import re
# https://python-mip.readthedocs.io/en/latest/
# Change SCIP to CBC if you don't have it, it's slower but this script
# can still run to completion
from mip import Model, SCIP, BINARY

ALLOWED_CHARS = set([*b"0123456789abcdefghijklmnopqrstuvwxyzABCDEFGHIJKLMNOPQRSTUVWXYZ!?#$%&-_"])

def bytes_to_bits(pt):
    return [*map(int, "".join(format(c, "08b") for c in pt))]

flag = input("Input password: ")
m = re.match(r"^SEE\{(.+)\}$", flag)
assert m and len(flag) == 25, "uwu"
password = m.groups()[0].encode()
assert all(c in ALLOWED_CHARS for c in password), "owo"
Y = bytes_to_bits(password)

model = Model(solver_name=SCIP)
X = [model.add_var(var_type=BINARY) for _ in range(7792)]

# Initialise model
model += X[270] - Y[66] - Y[2] <= 0
model += X[270] + Y[66] + Y[2] <= 2
model += X[727] - Y[67] - Y[3] <= 0
model += X[727] + Y[67] + Y[3] <= 2
model += X[830] - Y[71] - Y[7] <= 0
model += X[830] + Y[71] + Y[7] <= 2
model += X[7295] - Y[64] - Y[0] <= 0
model += X[7295] + Y[64] + Y[0] <= 2
model += X[6981] - Y[65] - Y[1] <= 0
model += X[6981] + Y[65] + Y[1] <= 2
model += -X[270] + Y[66] - Y[2] <= 0
model += -X[270] - Y[66] + Y[2] <= 0
model += -X[727] + Y[67] - Y[3] <= 0
model += -X[727] - Y[67] + Y[3] <= 0
model += X[4494] - Y[68] - Y[4] <= 0
model += X[4494] + Y[68] + Y[4] <= 2
model += X[6588] - Y[69] - Y[5] <= 0
model += X[6588] + Y[69] + Y[5] <= 2
model += X[2093] - Y[70] - Y[6] <= 0
model += X[2093] + Y[70] + Y[6] <= 2
model += -X[830] + Y[71] - Y[7] <= 0
model += -X[830] - Y[71] + Y[7] <= 0
model += X[4196] - Y[72] - Y[8] <= 0
model += X[4196] + Y[72] + Y[8] <= 2
model += X[3284] - Y[73] - Y[9] <= 0
model += X[3284] + Y[73] + Y[9] <= 2
model += X[672] - Y[77] - Y[13] <= 0
model += X[672] + Y[77] + Y[13] <= 2
model += X[497] - Y[78] - Y[14] <= 0
model += X[497] + Y[78] + Y[14] <= 2
model += X[947] - Y[73] - Y[25] <= 0
model += X[947] + Y[73] + Y[25] <= 2
model += X[391] - Y[78] - Y[30] <= 0
model += X[391] + Y[78] + Y[30] <= 2
model += X[236] - Y[68] - Y[36] <= 0
model += X[236] + Y[68] + Y[36] <= 2
model += X[16] - Y[72] - X[468] <= 0
model += X[16] + Y[72] + X[468] <= 2
model += X[56] - Y[68] - X[905] <= 0
model += X[56] + Y[68] + X[905] <= 2
model += X[19] - Y[154] - Y[90] <= 0
model += X[19] + Y[154] + Y[90] <= 2
model += -X[7295] + Y[64] - Y[0] <= 0
model += -X[7295] - Y[64] + Y[0] <= 0
model += -X[6981] + Y[65] - Y[1] <= 0
model += -X[6981] - Y[65] + Y[1] <= 0
model += -X[4494] + Y[68] - Y[4] <= 0
model += -X[4494] - Y[68] + Y[4] <= 0
model += -X[6588] + Y[69] - Y[5] <= 0
model += -X[6588] - Y[69] + Y[5] <= 0
model += -X[2093] + Y[70] - Y[6] <= 0
model += -X[2093] - Y[70] + Y[6] <= 0
model += -X[4196] + Y[72] - Y[8] <= 0
model += -X[4196] - Y[72] + Y[8] <= 0
model += -X[3284] + Y[73] - Y[9] <= 0
model += -X[3284] - Y[73] + Y[9] <= 0
model += X[2992] - Y[74] - Y[10] <= 0
model += X[2992] + Y[74] + Y[10] <= 2
model += X[2212] - Y[75] - Y[11] <= 0
model += X[2212] + Y[75] + Y[11] <= 2
model += X[4604] - Y[76] - Y[12] <= 0
model += X[4604] + Y[76] + Y[12] <= 2
model += -X[672] + Y[77] - Y[13] <= 0
model += -X[672] - Y[77] + Y[13] <= 0
model += -X[497] + Y[78] - Y[14] <= 0
model += -X[497] - Y[78] + Y[14] <= 0
model += X[4926] - Y[79] - Y[15] <= 0
model += X[4926] + Y[79] + Y[15] <= 2
model += X[4547] - Y[64] - Y[16] <= 0
model += X[4547] + Y[64] + Y[16] <= 2
model += X[1059] - Y[65] - Y[17] <= 0
model += X[1059] + Y[65] + Y[17] <= 2
model += X[4628] - Y[66] - Y[18] <= 0
model += X[4628] + Y[66] + Y[18] <= 2
model += X[6651] - Y[67] - Y[19] <= 0
model += X[6651] + Y[67] + Y[19] <= 2
model += X[5733] - Y[68] - Y[20] <= 0
model += X[5733] + Y[68] + Y[20] <= 2
model += X[2846] - Y[69] - Y[21] <= 0
model += X[2846] + Y[69] + Y[21] <= 2
model += X[3525] - Y[70] - Y[22] <= 0
model += X[3525] + Y[70] + Y[22] <= 2
model += X[5914] - Y[71] - Y[23] <= 0
model += X[5914] + Y[71] + Y[23] <= 2
model += X[3945] - Y[72] - Y[24] <= 0
model += X[3945] + Y[72] + Y[24] <= 2
model += -X[947] + Y[73] - Y[25] <= 0
model += -X[947] - Y[73] + Y[25] <= 0
model += X[1397] - Y[74] - Y[26] <= 0
model += X[1397] + Y[74] + Y[26] <= 2
model += X[6258] - Y[75] - Y[27] <= 0
model += X[6258] + Y[75] + Y[27] <= 2
model += X[3439] - Y[76] - Y[28] <= 0
model += X[3439] + Y[76] + Y[28] <= 2
model += X[6077] - Y[77] - Y[29] <= 0
model += X[6077] + Y[77] + Y[29] <= 2
model += -X[391] + Y[78] - Y[30] <= 0
model += -X[391] - Y[78] + Y[30] <= 0
model += X[1119] - Y[79] - Y[31] <= 0
model += X[1119] + Y[79] + Y[31] <= 2
model += X[1532] - Y[64] - Y[32] <= 0
model += X[1532] + Y[64] + Y[32] <= 2
model += X[3894] - Y[65] - Y[33] <= 0
model += X[3894] + Y[65] + Y[33] <= 2
model += X[4561] - Y[66] - Y[34] <= 0
model += X[4561] + Y[66] + Y[34] <= 2
model += X[3531] - Y[67] - Y[35] <= 0
model += X[3531] + Y[67] + Y[35] <= 2
model += -X[236] + Y[68] - Y[36] <= 0
model += -X[236] - Y[68] + Y[36] <= 0
model += X[2333] - Y[69] - Y[37] <= 0
model += X[2333] + Y[69] + Y[37] <= 2
model += X[4293] - Y[70] - Y[38] <= 0
model += X[4293] + Y[70] + Y[38] <= 2
model += X[6294] - Y[71] - Y[39] <= 0
model += X[6294] + Y[71] + Y[39] <= 2
model += X[6841] - Y[72] - Y[40] <= 0
model += X[6841] + Y[72] + Y[40] <= 2
model += X[5873] - Y[73] - Y[41] <= 0
model += X[5873] + Y[73] + Y[41] <= 2
model += X[3705] - Y[74] - Y[42] <= 0
model += X[3705] + Y[74] + Y[42] <= 2
model += X[7463] - Y[75] - Y[43] <= 0
model += X[7463] + Y[75] + Y[43] <= 2
model += X[6278] - Y[76] - Y[44] <= 0
model += X[6278] + Y[76] + Y[44] <= 2
model += X[3070] - Y[77] - Y[45] <= 0
model += X[3070] + Y[77] + Y[45] <= 2
model += X[1968] - Y[78] - Y[46] <= 0
model += X[1968] + Y[78] + Y[46] <= 2
model += X[1194] - Y[79] - Y[47] <= 0
model += X[1194] + Y[79] + Y[47] <= 2
model += X[2570] - Y[64] - Y[48] <= 0
model += X[2570] + Y[64] + Y[48] <= 2
model += X[1044] - Y[65] - Y[49] <= 0
model += X[1044] + Y[65] + Y[49] <= 2
model += X[3998] - Y[66] - Y[50] <= 0
model += X[3998] + Y[66] + Y[50] <= 2
model += X[1415] - Y[67] - Y[51] <= 0
model += X[1415] + Y[67] + Y[51] <= 2
model += X[7380] - Y[68] - Y[52] <= 0
model += X[7380] + Y[68] + Y[52] <= 2
model += X[7201] - Y[69] - Y[53] <= 0
model += X[7201] + Y[69] + Y[53] <= 2
model += X[7674] - Y[70] - Y[54] <= 0
model += X[7674] + Y[70] + Y[54] <= 2
model += X[1300] - Y[71] - Y[55] <= 0
model += X[1300] + Y[71] + Y[55] <= 2
model += X[2615] - Y[72] - Y[56] <= 0
model += X[2615] + Y[72] + Y[56] <= 2
model += X[4740] - Y[73] - Y[57] <= 0
model += X[4740] + Y[73] + Y[57] <= 2
model += X[3568] - Y[74] - Y[58] <= 0
model += X[3568] + Y[74] + Y[58] <= 2
model += X[6236] - Y[75] - Y[59] <= 0
model += X[6236] + Y[75] + Y[59] <= 2
model += X[3500] - Y[76] - Y[60] <= 0
model += X[3500] + Y[76] + Y[60] <= 2
model += X[5773] - Y[77] - Y[61] <= 0
model += X[5773] + Y[77] + Y[61] <= 2
model += X[7036] - Y[78] - Y[62] <= 0
model += X[7036] + Y[78] + Y[62] <= 2
model += X[7065] - Y[79] - Y[63] <= 0
model += X[7065] + Y[79] + Y[63] <= 2
model += X[834] - Y[79] - X[593] <= 0
model += X[834] + Y[79] + X[593] <= 2
model += X[413] - Y[72] - X[346] <= 0
model += X[413] + Y[72] + X[346] <= 2
model += X[977] - Y[68] - X[268] <= 0
model += X[977] + Y[68] + X[268] <= 2
model += X[1627] - Y[72] - X[50] <= 0
model += X[1627] + Y[72] + X[50] <= 2
model += -X[16] + Y[72] - X[468] <= 0
model += -X[16] - Y[72] + X[468] <= 0
model += X[1703] - Y[78] - X[21] <= 0
model += X[1703] + Y[78] + X[21] <= 2
model += X[765] - Y[65] - X[985] <= 0
model += X[765] + Y[65] + X[985] <= 2
model += X[6751] - Y[71] - X[26] <= 0
model += X[6751] + Y[71] + X[26] <= 2
model += X[553] - Y[71] - X[479] <= 0
model += X[553] + Y[71] + X[479] <= 2
model += X[616] - Y[73] - X[992] <= 0
model += X[616] + Y[73] + X[992] <= 2
model += X[1428] - Y[70] - X[13] <= 0
model += X[1428] + Y[70] + X[13] <= 2
model += X[66] - Y[73] - X[1228] <= 0
model += X[66] + Y[73] + X[1228] <= 2
model += X[742] - Y[66] - X[984] <= 0
model += X[742] + Y[66] + X[984] <= 2
model += X[6868] - Y[72] - X[83] <= 0
model += X[6868] + Y[72] + X[83] <= 2
model += X[5495] - X[44] - X[59] <= 0
model += X[5495] + X[44] + X[59] <= 2
model += X[578] - Y[75] - X[759] <= 0
model += X[578] + Y[75] + X[759] <= 2
model += X[6852] - Y[65] - X[74] <= 0
model += X[6852] + Y[65] + X[74] <= 2
model += -X[56] + Y[68] - X[905] <= 0
model += -X[56] - Y[68] + X[905] <= 0
model += X[974] - Y[66] - X[421] <= 0
model += X[974] + Y[66] + X[421] <= 2
model += X[2239] - Y[76] - X[58] <= 0
model += X[2239] + Y[76] + X[58] <= 2
model += X[1191] - Y[64] - X[54] <= 0
model += X[1191] + Y[64] + X[54] <= 2
model += X[6295] - Y[65] - X[91] <= 0
model += X[6295] + Y[65] + X[91] <= 2
model += X[38] - Y[68] - X[1784] <= 0
model += X[38] + Y[68] + X[1784] <= 2
model += X[532] - X[799] - X[35] <= 0
model += X[532] + X[799] + X[35] <= 2
model += X[665] - Y[148] - Y[84] <= 0
model += X[665] + Y[148] + Y[84] <= 2
model += -X[19] + Y[154] - Y[90] <= 0
model += -X[19] - Y[154] + Y[90] <= 0
model += X[167] - Y[157] - Y[93] <= 0
model += X[167] + Y[157] + Y[93] <= 2
model += X[950] - Y[144] - Y[96] <= 0
model += X[950] + Y[144] + Y[96] <= 2
model += X[93] - Y[151] - Y[103] <= 0
model += X[93] + Y[151] + Y[103] <= 2
model += X[127] - Y[153] - X[64] <= 0
model += X[127] + Y[153] + X[64] <= 2
model += X[41] - Y[147] - X[387] <= 0
model += X[41] + Y[147] + X[387] <= 2
model += X[28] - X[68] - X[6859] <= 0
model += X[28] + X[68] + X[6859] <= 2
model += X[5737] - X[873] - X[6] <= 0
model += X[5737] + X[873] + X[6] <= 2
model += -X[2992] + Y[74] - Y[10] <= 0
model += -X[2992] - Y[74] + Y[10] <= 0
model += -X[2212] + Y[75] - Y[11] <= 0
model += -X[2212] - Y[75] + Y[11] <= 0
model += -X[4604] + Y[76] - Y[12] <= 0
model += -X[4604] - Y[76] + Y[12] <= 0
model += -X[4926] + Y[79] - Y[15] <= 0
model += -X[4926] - Y[79] + Y[15] <= 0
model += -X[4547] + Y[64] - Y[16] <= 0
model += -X[4547] - Y[64] + Y[16] <= 0
model += -X[1059] + Y[65] - Y[17] <= 0
model += -X[1059] - Y[65] + Y[17] <= 0
model += -X[4628] + Y[66] - Y[18] <= 0
model += -X[4628] - Y[66] + Y[18] <= 0
model += -X[6651] + Y[67] - Y[19] <= 0
model += -X[6651] - Y[67] + Y[19] <= 0
model += -X[5733] + Y[68] - Y[20] <= 0
model += -X[5733] - Y[68] + Y[20] <= 0
model += -X[2846] + Y[69] - Y[21] <= 0
model += -X[2846] - Y[69] + Y[21] <= 0
model += -X[3525] + Y[70] - Y[22] <= 0
model += -X[3525] - Y[70] + Y[22] <= 0
model += -X[5914] + Y[71] - Y[23] <= 0
model += -X[5914] - Y[71] + Y[23] <= 0
model += -X[3945] + Y[72] - Y[24] <= 0
model += -X[3945] - Y[72] + Y[24] <= 0
model += -X[1397] + Y[74] - Y[26] <= 0
model += -X[1397] - Y[74] + Y[26] <= 0
model += -X[6258] + Y[75] - Y[27] <= 0
model += -X[6258] - Y[75] + Y[27] <= 0
model += -X[3439] + Y[76] - Y[28] <= 0
model += -X[3439] - Y[76] + Y[28] <= 0
model += -X[6077] + Y[77] - Y[29] <= 0
model += -X[6077] - Y[77] + Y[29] <= 0
model += -X[1119] + Y[79] - Y[31] <= 0
model += -X[1119] - Y[79] + Y[31] <= 0
model += -X[1532] + Y[64] - Y[32] <= 0
model += -X[1532] - Y[64] + Y[32] <= 0
model += -X[3894] + Y[65] - Y[33] <= 0
model += -X[3894] - Y[65] + Y[33] <= 0
model += -X[4561] + Y[66] - Y[34] <= 0
model += -X[4561] - Y[66] + Y[34] <= 0
model += -X[3531] + Y[67] - Y[35] <= 0
model += -X[3531] - Y[67] + Y[35] <= 0
model += -X[2333] + Y[69] - Y[37] <= 0
model += -X[2333] - Y[69] + Y[37] <= 0
model += -X[4293] + Y[70] - Y[38] <= 0
model += -X[4293] - Y[70] + Y[38] <= 0
model += -X[6294] + Y[71] - Y[39] <= 0
model += -X[6294] - Y[71] + Y[39] <= 0
model += -X[6841] + Y[72] - Y[40] <= 0
model += -X[6841] - Y[72] + Y[40] <= 0
model += -X[5873] + Y[73] - Y[41] <= 0
model += -X[5873] - Y[73] + Y[41] <= 0
model += -X[3705] + Y[74] - Y[42] <= 0
model += -X[3705] - Y[74] + Y[42] <= 0
model += -X[7463] + Y[75] - Y[43] <= 0
model += -X[7463] - Y[75] + Y[43] <= 0
model += -X[6278] + Y[76] - Y[44] <= 0
model += -X[6278] - Y[76] + Y[44] <= 0
model += -X[3070] + Y[77] - Y[45] <= 0
model += -X[3070] - Y[77] + Y[45] <= 0
model += -X[1968] + Y[78] - Y[46] <= 0
model += -X[1968] - Y[78] + Y[46] <= 0
model += -X[1194] + Y[79] - Y[47] <= 0
model += -X[1194] - Y[79] + Y[47] <= 0
model += -X[2570] + Y[64] - Y[48] <= 0
model += -X[2570] - Y[64] + Y[48] <= 0
model += -X[1044] + Y[65] - Y[49] <= 0
model += -X[1044] - Y[65] + Y[49] <= 0
model += -X[3998] + Y[66] - Y[50] <= 0
model += -X[3998] - Y[66] + Y[50] <= 0
model += -X[1415] + Y[67] - Y[51] <= 0
model += -X[1415] - Y[67] + Y[51] <= 0
model += -X[7380] + Y[68] - Y[52] <= 0
model += -X[7380] - Y[68] + Y[52] <= 0
model += -X[7201] + Y[69] - Y[53] <= 0
model += -X[7201] - Y[69] + Y[53] <= 0
model += -X[7674] + Y[70] - Y[54] <= 0
model += -X[7674] - Y[70] + Y[54] <= 0
model += -X[1300] + Y[71] - Y[55] <= 0
model += -X[1300] - Y[71] + Y[55] <= 0
model += -X[2615] + Y[72] - Y[56] <= 0
model += -X[2615] - Y[72] + Y[56] <= 0
model += -X[4740] + Y[73] - Y[57] <= 0
model += -X[4740] - Y[73] + Y[57] <= 0
model += -X[3568] + Y[74] - Y[58] <= 0
model += -X[3568] - Y[74] + Y[58] <= 0
model += -X[6236] + Y[75] - Y[59] <= 0
model += -X[6236] - Y[75] + Y[59] <= 0
model += -X[3500] + Y[76] - Y[60] <= 0
model += -X[3500] - Y[76] + Y[60] <= 0
model += -X[5773] + Y[77] - Y[61] <= 0
model += -X[5773] - Y[77] + Y[61] <= 0
model += -X[7036] + Y[78] - Y[62] <= 0
model += -X[7036] - Y[78] + Y[62] <= 0
model += -X[7065] + Y[79] - Y[63] <= 0
model += -X[7065] - Y[79] + Y[63] <= 0
model += X[604] - Y[68] - X[6847] <= 0
model += X[604] + Y[68] + X[6847] <= 2
model += X[2140] - Y[70] - X[841] <= 0
model += X[2140] + Y[70] + X[841] <= 2
model += X[2699] - Y[71] - X[970] <= 0
model += X[2699] + Y[71] + X[970] <= 2
model += -X[834] + Y[79] - X[593] <= 0
model += -X[834] - Y[79] + X[593] <= 0
model += X[3185] - Y[66] - X[359] <= 0
model += X[3185] + Y[66] + X[359] <= 2
model += X[3786] - Y[73] - X[500] <= 0
model += X[3786] + Y[73] + X[500] <= 2
model += -X[413] + Y[72] - X[346] <= 0
model += -X[413] - Y[72] + X[346] <= 0
model += X[2130] - Y[66] - X[777] <= 0
model += X[2130] + Y[66] + X[777] <= 2
model += X[419] - Y[70] - X[2418] <= 0
model += X[419] + Y[70] + X[2418] <= 2
model += X[7648] - Y[79] - X[138] <= 0
model += X[7648] + Y[79] + X[138] <= 2
model += -X[977] + Y[68] - X[268] <= 0
model += -X[977] - Y[68] + X[268] <= 0
model += X[192] - Y[67] - X[2266] <= 0
model += X[192] + Y[67] + X[2266] <= 2
model += X[608] - Y[68] - X[4520] <= 0
model += X[608] + Y[68] + X[4520] <= 2
model += X[1577] - Y[71] - X[881] <= 0
model += X[1577] + Y[71] + X[881] <= 2
model += X[4995] - Y[73] - X[924] <= 0
model += X[4995] + Y[73] + X[924] <= 2
model += X[718] - Y[76] - X[6079] <= 0
model += X[718] + Y[76] + X[6079] <= 2
model += X[7485] - Y[66] - X[231] <= 0
model += X[7485] + Y[66] + X[231] <= 2
model += X[103] - Y[67] - X[7377] <= 0
model += X[103] + Y[67] + X[7377] <= 2
model += X[2151] - Y[68] - X[104] <= 0
model += X[2151] + Y[68] + X[104] <= 2
model += -X[1627] + Y[72] - X[50] <= 0
model += -X[1627] - Y[72] + X[50] <= 0
model += X[414] - Y[78] - X[7202] <= 0
model += X[414] + Y[78] + X[7202] <= 2
model += X[3940] - Y[79] - X[365] <= 0
model += X[3940] + Y[79] + X[365] <= 2
model += X[313] - Y[64] - X[6115] <= 0
model += X[313] + Y[64] + X[6115] <= 2
model += X[567] - Y[64] - X[1768] <= 0
model += X[567] + Y[64] + X[1768] <= 2
model += X[354] - Y[75] - X[6669] <= 0
model += X[354] + Y[75] + X[6669] <= 2
model += X[662] - Y[76] - X[1890] <= 0
model += X[662] + Y[76] + X[1890] <= 2
model += X[3476] - Y[72] - X[772] <= 0
model += X[3476] + Y[72] + X[772] <= 2
model += X[1975] - Y[64] - X[132] <= 0
model += X[1975] + Y[64] + X[132] <= 2
model += X[1777] - Y[66] - X[707] <= 0
model += X[1777] + Y[66] + X[707] <= 2
model += X[474] - Y[75] - X[3702] <= 0
model += X[474] + Y[75] + X[3702] <= 2
model += X[7592] - Y[67] - X[322] <= 0
model += X[7592] + Y[67] + X[322] <= 2
model += X[185] - Y[75] - X[2019] <= 0
model += X[185] + Y[75] + X[2019] <= 2
model += -X[1703] + Y[78] - X[21] <= 0
model += -X[1703] - Y[78] + X[21] <= 0
model += X[889] - Y[79] - X[3502] <= 0
model += X[889] + Y[79] + X[3502] <= 2
model += -X[765] + Y[65] - X[985] <= 0
model += -X[765] - Y[65] + X[985] <= 0
model += X[934] - Y[70] - X[6937] <= 0
model += X[934] + Y[70] + X[6937] <= 2
model += X[6608] - Y[72] - X[523] <= 0
model += X[6608] + Y[72] + X[523] <= 2
model += X[7530] - Y[78] - X[312] <= 0
model += X[7530] + Y[78] + X[312] <= 2
model += X[174] - Y[66] - X[1040] <= 0
model += X[174] + Y[66] + X[1040] <= 2
model += X[907] - Y[68] - X[2455] <= 0
model += X[907] + Y[68] + X[2455] <= 2
model += -X[6751] + Y[71] - X[26] <= 0
model += -X[6751] - Y[71] + X[26] <= 0
model += X[540] - Y[67] - X[3898] <= 0
model += X[540] + Y[67] + X[3898] <= 2
model += X[1671] - Y[70] - X[361] <= 0
model += X[1671] + Y[70] + X[361] <= 2
model += -X[553] + Y[71] - X[479] <= 0
model += -X[553] - Y[71] + X[479] <= 0
model += X[292] - Y[76] - X[1740] <= 0
model += X[292] + Y[76] + X[1740] <= 2
model += X[475] - Y[64] - X[1729] <= 0
model += X[475] + Y[64] + X[1729] <= 2
model += X[989] - Y[75] - X[4361] <= 0
model += X[989] + Y[75] + X[4361] <= 2
model += X[679] - Y[65] - X[2296] <= 0
model += X[679] + Y[65] + X[2296] <= 2
model += X[918] - Y[75] - X[2442] <= 0
model += X[918] + Y[75] + X[2442] <= 2
model += X[4335] - Y[76] - X[215] <= 0
model += X[4335] + Y[76] + X[215] <= 2
model += X[6699] - Y[67] - X[668] <= 0
model += X[6699] + Y[67] + X[668] <= 2
model += X[3351] - Y[72] - X[337] <= 0
model += X[3351] + Y[72] + X[337] <= 2
model += X[96] - X[2575] - X[798] <= 0
model += X[96] + X[2575] + X[798] <= 2
model += X[2767] - Y[78] - X[115] <= 0
model += X[2767] + Y[78] + X[115] <= 2
model += X[7703] - Y[64] - X[464] <= 0
model += X[7703] + Y[64] + X[464] <= 2
model += X[4801] - Y[67] - X[501] <= 0
model += X[4801] + Y[67] + X[501] <= 2
model += X[674] - Y[68] - X[3822] <= 0
model += X[674] + Y[68] + X[3822] <= 2
model += X[726] - Y[75] - X[5602] <= 0
model += X[726] + Y[75] + X[5602] <= 2
model += X[522] - Y[66] - X[3601] <= 0
model += X[522] + Y[66] + X[3601] <= 2
model += X[245] - Y[73] - X[3794] <= 0
model += X[245] + Y[73] + X[3794] <= 2
model += X[239] - Y[76] - X[6183] <= 0
model += X[239] + Y[76] + X[6183] <= 2
model += X[783] - Y[65] - X[1450] <= 0
model += X[783] + Y[65] + X[1450] <= 2
model += X[355] - Y[68] - X[7287] <= 0
model += X[355] + Y[68] + X[7287] <= 2
model += X[7292] - Y[75] - X[788] <= 0
model += X[7292] + Y[75] + X[788] <= 2
model += X[3398] - Y[77] - X[175] <= 0
model += X[3398] + Y[77] + X[175] <= 2
model += X[778] - Y[79] - X[1290] <= 0
model += X[778] + Y[79] + X[1290] <= 2
model += X[4793] - Y[64] - X[463] <= 0
model += X[4793] + Y[64] + X[463] <= 2
model += X[495] - Y[66] - X[1453] <= 0
model += X[495] + Y[66] + X[1453] <= 2
model += -X[616] + Y[73] - X[992] <= 0
model += -X[616] - Y[73] + X[992] <= 0
model += X[769] - Y[68] - X[5882] <= 0
model += X[769] + Y[68] + X[5882] <= 2
model += X[1359] - Y[69] - X[318] <= 0
model += X[1359] + Y[69] + X[318] <= 2
model += -X[1428] + Y[70] - X[13] <= 0
model += -X[1428] - Y[70] + X[13] <= 0
model += X[155] - Y[71] - X[3410] <= 0
model += X[155] + Y[71] + X[3410] <= 2
model += -X[66] + Y[73] - X[1228] <= 0
model += -X[66] - Y[73] + X[1228] <= 0
model += X[482] - Y[74] - X[6421] <= 0
model += X[482] + Y[74] + X[6421] <= 2
model += X[484] - Y[64] - X[3003] <= 0
model += X[484] + Y[64] + X[3003] <= 2
model += -X[742] + Y[66] - X[984] <= 0
model += -X[742] - Y[66] + X[984] <= 0
model += X[755] - Y[79] - X[4544] <= 0
model += X[755] + Y[79] + X[4544] <= 2
model += X[5440] - Y[66] - X[803] <= 0
model += X[5440] + Y[66] + X[803] <= 2
model += X[3424] - Y[71] - X[711] <= 0
model += X[3424] + Y[71] + X[711] <= 2
model += X[894] - Y[72] - X[1104] <= 0
model += X[894] + Y[72] + X[1104] <= 2
model += X[715] - Y[73] - X[6825] <= 0
model += X[715] + Y[73] + X[6825] <= 2
model += X[694] - Y[66] - X[4667] <= 0
model += X[694] + Y[66] + X[4667] <= 2
model += X[2399] - Y[67] - X[373] <= 0
model += X[2399] + Y[67] + X[373] <= 2
model += -X[6868] + Y[72] - X[83] <= 0
model += -X[6868] - Y[72] + X[83] <= 0
model += X[109] - Y[69] - X[3469] <= 0
model += X[109] + Y[69] + X[3469] <= 2
model += X[5691] - Y[71] - X[377] <= 0
model += X[5691] + Y[71] + X[377] <= 2
model += X[7598] - Y[74] - X[968] <= 0
model += X[7598] + Y[74] + X[968] <= 2
model += X[240] - Y[65] - X[3178] <= 0
model += X[240] + Y[65] + X[3178] <= 2
model += X[5823] - Y[67] - X[272] <= 0
model += X[5823] + Y[67] + X[272] <= 2
model += X[888] - Y[77] - X[4316] <= 0
model += X[888] + Y[77] + X[4316] <= 2
model += X[4630] - Y[64] - X[274] <= 0
model += X[4630] + Y[64] + X[274] <= 2
model += X[634] - Y[70] - X[5359] <= 0
model += X[634] + Y[70] + X[5359] <= 2
model += X[5040] - Y[79] - X[699] <= 0
model += X[5040] + Y[79] + X[699] <= 2
model += X[6671] - Y[66] - X[806] <= 0
model += X[6671] + Y[66] + X[806] <= 2
model += X[483] - Y[67] - X[3149] <= 0
model += X[483] + Y[67] + X[3149] <= 2
model += X[160] - Y[71] - X[5616] <= 0
model += X[160] + Y[71] + X[5616] <= 2
model += X[710] - Y[73] - X[3273] <= 0
model += X[710] + Y[73] + X[3273] <= 2
model += -X[5495] + X[44] - X[59] <= 0
model += -X[5495] - X[44] + X[59] <= 0
model += X[358] - Y[67] - X[1654] <= 0
model += X[358] + Y[67] + X[1654] <= 2
model += X[408] - Y[68] - X[1732] <= 0
model += X[408] + Y[68] + X[1732] <= 2
model += X[689] - Y[72] - X[5622] <= 0
model += X[689] + Y[72] + X[5622] <= 2
model += -X[578] + Y[75] - X[759] <= 0
model += -X[578] - Y[75] + X[759] <= 0
model += X[257] - Y[76] - X[6554] <= 0
model += X[257] + Y[76] + X[6554] <= 2
model += X[6020] - X[3433] - X[8] <= 0
model += X[6020] + X[3433] + X[8] <= 2
model += X[5] - X[7566] - X[5129] <= 0
model += X[5] + X[7566] + X[5129] <= 2
model += X[2134] - X[695] - X[37] <= 0
model += X[2134] + X[695] + X[37] <= 2
model += X[802] - Y[78] - X[1436] <= 0
model += X[802] + Y[78] + X[1436] <= 2
model += X[3980] - Y[79] - X[859] <= 0
model += X[3980] + Y[79] + X[859] <= 2
model += X[5972] - Y[66] - X[507] <= 0
model += X[5972] + Y[66] + X[507] <= 2
model += X[598] - Y[66] - X[3580] <= 0
model += X[598] + Y[66] + X[3580] <= 2
model += X[1479] - Y[67] - X[648] <= 0
model += X[1479] + Y[67] + X[648] <= 2
model += X[382] - Y[69] - X[2337] <= 0
model += X[382] + Y[69] + X[2337] <= 2
model += -X[6852] + Y[65] - X[74] <= 0
model += -X[6852] - Y[65] + X[74] <= 0
model += X[7239] - Y[72] - X[829] <= 0
model += X[7239] + Y[72] + X[829] <= 2
model += X[9] - X[2103] - X[1467] <= 0
model += X[9] + X[2103] + X[1467] <= 2
model += X[340] - Y[72] - X[6096] <= 0
model += X[340] + Y[72] + X[6096] <= 2
model += X[3024] - Y[74] - X[485] <= 0
model += X[3024] + Y[74] + X[485] <= 2
model += X[814] - Y[74] - X[7394] <= 0
model += X[814] + Y[74] + X[7394] <= 2
model += X[808] - Y[66] - X[4303] <= 0
model += X[808] + Y[66] + X[4303] <= 2
model += X[1957] - Y[76] - X[502] <= 0
model += X[1957] + Y[76] + X[502] <= 2
model += X[207] - Y[78] - X[6879] <= 0
model += X[207] + Y[78] + X[6879] <= 2
model += X[993] - Y[64] - X[7028] <= 0
model += X[993] + Y[64] + X[7028] <= 2
model += X[417] - Y[65] - X[2159] <= 0
model += X[417] + Y[65] + X[2159] <= 2
model += X[642] - Y[67] - X[7559] <= 0
model += X[642] + Y[67] + X[7559] <= 2
model += X[2360] - X[2011] - X[7] <= 0
model += X[2360] + X[2011] + X[7] <= 2
model += X[3238] - Y[68] - X[446] <= 0
model += X[3238] + Y[68] + X[446] <= 2
model += X[1951] - Y[71] - X[944] <= 0
model += X[1951] + Y[71] + X[944] <= 2
model += X[4525] - Y[72] - X[782] <= 0
model += X[4525] + Y[72] + X[782] <= 2
model += X[7373] - Y[75] - X[930] <= 0
model += X[7373] + Y[75] + X[930] <= 2
model += X[1239] - Y[79] - X[804] <= 0
model += X[1239] + Y[79] + X[804] <= 2
model += X[3703] - Y[66] - X[227] <= 0
model += X[3703] + Y[66] + X[227] <= 2
model += X[6097] - Y[65] - X[319] <= 0
model += X[6097] + Y[65] + X[319] <= 2
model += -X[974] + Y[66] - X[421] <= 0
model += -X[974] - Y[66] + X[421] <= 0
model += X[276] - Y[70] - X[1674] <= 0
model += X[276] + Y[70] + X[1674] <= 2
model += -X[2239] + Y[76] - X[58] <= 0
model += -X[2239] - Y[76] + X[58] <= 0
model += X[572] - X[695] - X[293] <= 0
model += X[572] + X[695] + X[293] <= 2
model += X[3497] - Y[78] - X[831] <= 0
model += X[3497] + Y[78] + X[831] <= 2
model += X[3428] - Y[66] - X[943] <= 0
model += X[3428] + Y[66] + X[943] <= 2
model += -X[1191] + Y[64] - X[54] <= 0
model += -X[1191] - Y[64] + X[54] <= 0
model += -X[6295] + Y[65] - X[91] <= 0
model += -X[6295] - Y[65] + X[91] <= 0
model += X[3788] - Y[68] - X[840] <= 0
model += X[3788] + Y[68] + X[840] <= 2
model += X[650] - Y[70] - X[6220] <= 0
model += X[650] + Y[70] + X[6220] <= 2
model += X[3737] - Y[66] - X[624] <= 0
model += X[3737] + Y[66] + X[624] <= 2
model += X[4248] - Y[64] - X[168] <= 0
model += X[4248] + Y[64] + X[168] <= 2
model += X[2427] - Y[68] - X[503] <= 0
model += X[2427] + Y[68] + X[503] <= 2
model += X[2244] - Y[73] - X[400] <= 0
model += X[2244] + Y[73] + X[400] <= 2
model += X[0] - X[1039] - X[3384] <= 0
model += X[0] + X[1039] + X[3384] <= 2
model += X[891] - X[544] - X[605] <= 0
model += X[891] + X[544] + X[605] <= 2
model += X[366] - Y[66] - X[5771] <= 0
model += X[366] + Y[66] + X[5771] <= 2
model += X[1900] - X[6685] - X[1] <= 0
model += X[1900] + X[6685] + X[1] <= 2
model += X[454] - X[44] - X[6503] <= 0
model += X[454] + X[44] + X[6503] <= 2
model += -X[38] + Y[68] - X[1784] <= 0
model += -X[38] - Y[68] + X[1784] <= 0
model += X[6552] - Y[70] - X[557] <= 0
model += X[6552] + Y[70] + X[557] <= 2
model += X[254] - Y[71] - X[6019] <= 0
model += X[254] + Y[71] + X[6019] <= 2
model += X[2246] - Y[72] - X[551] <= 0
model += X[2246] + Y[72] + X[551] <= 2
model += X[573] - X[44] - X[1537] <= 0
model += X[573] + X[44] + X[1537] <= 2
model += X[2157] - X[2102] - X[3] <= 0
model += X[2157] + X[2102] + X[3] <= 2
model += X[7573] - Y[70] - X[457] <= 0
model += X[7573] + Y[70] + X[457] <= 2
model += -X[532] + X[799] - X[35] <= 0
model += -X[532] - X[799] + X[35] <= 0
model += X[1678] - Y[67] - X[620] <= 0
model += X[1678] + Y[67] + X[620] <= 2
model += X[5740] - X[23] - X[835] <= 0
model += X[5740] + X[23] + X[835] <= 2
model += X[18] - X[6186] - X[700] <= 0
model += X[18] + X[6186] + X[700] <= 2
model += X[2] - X[7039] - X[6743] <= 0
model += X[2] + X[7039] + X[6743] <= 2
model += X[4169] - Y[144] - Y[80] <= 0
model += X[4169] + Y[144] + Y[80] <= 2
model += X[1730] - Y[145] - Y[81] <= 0
model += X[1730] + Y[145] + Y[81] <= 2
model += X[7621] - Y[146] - Y[82] <= 0
model += X[7621] + Y[146] + Y[82] <= 2
model += X[5142] - Y[147] - Y[83] <= 0
model += X[5142] + Y[147] + Y[83] <= 2
model += -X[665] + Y[148] - Y[84] <= 0
model += -X[665] - Y[148] + Y[84] <= 0
model += X[2156] - Y[149] - Y[85] <= 0
model += X[2156] + Y[149] + Y[85] <= 2
model += X[2539] - Y[150] - Y[86] <= 0
model += X[2539] + Y[150] + Y[86] <= 2
model += X[3343] - Y[151] - Y[87] <= 0
model += X[3343] + Y[151] + Y[87] <= 2
model += X[7625] - Y[152] - Y[88] <= 0
model += X[7625] + Y[152] + Y[88] <= 2
model += X[1860] - Y[153] - Y[89] <= 0
model += X[1860] + Y[153] + Y[89] <= 2
model += X[7006] - Y[155] - Y[91] <= 0
model += X[7006] + Y[155] + Y[91] <= 2
model += X[4940] - Y[156] - Y[92] <= 0
model += X[4940] + Y[156] + Y[92] <= 2
model += -X[167] + Y[157] - Y[93] <= 0
model += -X[167] - Y[157] + Y[93] <= 0
model += X[5374] - Y[158] - Y[94] <= 0
model += X[5374] + Y[158] + Y[94] <= 2
model += X[7009] - Y[159] - Y[95] <= 0
model += X[7009] + Y[159] + Y[95] <= 2
model += -X[950] + Y[144] - Y[96] <= 0
model += -X[950] - Y[144] + Y[96] <= 0
model += X[6313] - Y[145] - Y[97] <= 0
model += X[6313] + Y[145] + Y[97] <= 2
model += X[7339] - Y[146] - Y[98] <= 0
model += X[7339] + Y[146] + Y[98] <= 2
model += X[1612] - Y[147] - Y[99] <= 0
model += X[1612] + Y[147] + Y[99] <= 2
model += -X[93] + Y[151] - Y[103] <= 0
model += -X[93] - Y[151] + Y[103] <= 0
model += X[927] - Y[158] - Y[110] <= 0
model += X[927] + Y[158] + Y[110] <= 2
model += X[972] - Y[144] - Y[112] <= 0
model += X[972] + Y[144] + Y[112] <= 2
model += X[149] - Y[158] - Y[126] <= 0
model += X[149] + Y[158] + Y[126] <= 2
model += X[139] - Y[146] - Y[130] <= 0
model += X[139] + Y[146] + Y[130] <= 2
model += X[341] - Y[149] - Y[133] <= 0
model += X[341] + Y[149] + Y[133] <= 2
model += X[420] - Y[153] - Y[137] <= 0
model += X[420] + Y[153] + Y[137] <= 2
model += X[909] - Y[147] - X[187] <= 0
model += X[909] + Y[147] + X[187] <= 2
model += -X[127] + Y[153] - X[64] <= 0
model += -X[127] - Y[153] + X[64] <= 0
model += X[80] - Y[159] - X[2224] <= 0
model += X[80] + Y[159] + X[2224] <= 2
model += X[15] - Y[148] - X[2512] <= 0
model += X[15] + Y[148] + X[2512] <= 2
model += X[867] - Y[156] - X[781] <= 0
model += X[867] + Y[156] + X[781] <= 2
model += -X[41] + Y[147] - X[387] <= 0
model += -X[41] - Y[147] + X[387] <= 0
model += X[981] - Y[151] - X[363] <= 0
model += X[981] + Y[151] + X[363] <= 2
model += X[7435] - X[68] - X[156] <= 0
model += X[7435] + X[68] + X[156] <= 2
model += X[6771] - Y[148] - X[98] <= 0
model += X[6771] + Y[148] + X[98] <= 2
model += X[511] - Y[150] - X[429] <= 0
model += X[511] + Y[150] + X[429] <= 2
model += X[345] - Y[151] - X[559] <= 0
model += X[345] + Y[151] + X[559] <= 2
model += X[3339] - Y[154] - X[72] <= 0
model += X[3339] + Y[154] + X[72] <= 2
model += X[2692] - Y[144] - X[92] <= 0
model += X[2692] + Y[144] + X[92] <= 2
model += X[1186] - Y[149] - X[11] <= 0
model += X[1186] + Y[149] + X[11] <= 2
model += X[76] - Y[150] - X[6332] <= 0
model += X[76] + Y[150] + X[6332] <= 2
model += X[4523] - Y[150] - X[27] <= 0
model += X[4523] + Y[150] + X[27] <= 2
model += X[6328] - X[179] - X[29] <= 0
model += X[6328] + X[179] + X[29] <= 2
model += X[153] - Y[157] - X[632] <= 0
model += X[153] + Y[157] + X[632] <= 2
model += X[4035] - X[68] - X[331] <= 0
model += X[4035] + X[68] + X[331] <= 2
model += X[4] - X[1143] - X[5265] <= 0
model += X[4] + X[1143] + X[5265] <= 2
model += X[79] - X[2562] - X[456] <= 0
model += X[79] + X[2562] + X[456] <= 2
model += X[24] - Y[156] - X[5806] <= 0
model += X[24] + Y[156] + X[5806] <= 2
model += X[983] - X[539] - X[214] <= 0
model += X[983] + X[539] + X[214] <= 2
model += X[1554] - Y[149] - X[39] <= 0
model += X[1554] + Y[149] + X[39] <= 2
model += X[52] - Y[150] - X[1877] <= 0
model += X[52] + Y[150] + X[1877] <= 2
model += X[67] - Y[151] - X[7632] <= 0
model += X[67] + Y[151] + X[7632] <= 2
model += X[5426] - X[68] - X[770] <= 0
model += X[5426] + X[68] + X[770] <= 2
model += X[290] - Y[145] - X[280] <= 0
model += X[290] + Y[145] + X[280] <= 2
model += X[2958] - X[68] - X[467] <= 0
model += X[2958] + X[68] + X[467] <= 2
model += -X[28] + X[68] - X[6859] <= 0
model += -X[28] - X[68] + X[6859] <= 0
model += -X[5737] + X[873] - X[6] <= 0
model += -X[5737] - X[873] + X[6] <= 0
model += X[599] - X[173] - X[515] <= 0
model += X[599] + X[173] + X[515] <= 2
model += X[69] - X[310] - X[3969] <= 0
model += X[69] + X[310] + X[3969] <= 2
model += X[2453] - Y[65] - X[1418] <= 0
model += X[2453] + Y[65] + X[1418] <= 2
model += X[5639] - Y[66] - X[3716] <= 0
model += X[5639] + Y[66] + X[3716] <= 2
model += X[6593] - Y[67] - X[2674] <= 0
model += X[6593] + Y[67] + X[2674] <= 2
model += -X[604] + Y[68] - X[6847] <= 0
model += -X[604] - Y[68] + X[6847] <= 0
model += X[7459] - Y[69] - X[1902] <= 0
model += X[7459] + Y[69] + X[1902] <= 2
model += -X[2140] + Y[70] - X[841] <= 0
model += -X[2140] - Y[70] + X[841] <= 0
model += -X[2699] + Y[71] - X[970] <= 0
model += -X[2699] - Y[71] + X[970] <= 0
model += X[3902] - Y[72] - X[1007] <= 0
model += X[3902] + Y[72] + X[1007] <= 2
model += X[7224] - Y[73] - X[6659] <= 0
model += X[7224] + Y[73] + X[6659] <= 2
model += X[3231] - Y[74] - X[1887] <= 0
model += X[3231] + Y[74] + X[1887] <= 2
model += X[6402] - Y[75] - X[5535] <= 0
model += X[6402] + Y[75] + X[5535] <= 2
model += X[4232] - Y[76] - X[3921] <= 0
model += X[4232] + Y[76] + X[3921] <= 2
model += X[7038] - Y[77] - X[7001] <= 0
model += X[7038] + Y[77] + X[7001] <= 2
model += X[2105] - Y[78] - X[7131] <= 0
model += X[2105] + Y[78] + X[7131] <= 2
model += X[5497] - Y[64] - X[1166] <= 0
model += X[5497] + Y[64] + X[1166] <= 2
model += X[5046] - Y[65] - X[5612] <= 0
model += X[5046] + Y[65] + X[5612] <= 2
model += -X[3185] + Y[66] - X[359] <= 0
model += -X[3185] - Y[66] + X[359] <= 0
model += X[6423] - Y[67] - X[5955] <= 0
model += X[6423] + Y[67] + X[5955] <= 2
model += X[5751] - Y[68] - X[4127] <= 0
model += X[5751] + Y[68] + X[4127] <= 2
model += X[2180] - Y[69] - X[7289] <= 0
model += X[2180] + Y[69] + X[7289] <= 2
model += X[2234] - Y[70] - X[6350] <= 0
model += X[2234] + Y[70] + X[6350] <= 2
model += X[6232] - Y[71] - X[3643] <= 0
model += X[6232] + Y[71] + X[3643] <= 2
model += X[6548] - Y[72] - X[6835] <= 0
model += X[6548] + Y[72] + X[6835] <= 2
model += -X[3786] + Y[73] - X[500] <= 0
model += -X[3786] - Y[73] + X[500] <= 0
model += X[2540] - Y[74] - X[1519] <= 0
model += X[2540] + Y[74] + X[1519] <= 2
model += X[5091] - Y[75] - X[6384] <= 0
model += X[5091] + Y[75] + X[6384] <= 2
model += X[4217] - Y[76] - X[2532] <= 0
model += X[4217] + Y[76] + X[2532] <= 2
model += X[3214] - Y[77] - X[6650] <= 0
model += X[3214] + Y[77] + X[6650] <= 2
model += X[5518] - Y[78] - X[7129] <= 0
model += X[5518] + Y[78] + X[7129] <= 2
model += X[5956] - Y[79] - X[2757] <= 0
model += X[5956] + Y[79] + X[2757] <= 2
model += X[6580] - Y[64] - X[3489] <= 0
model += X[6580] + Y[64] + X[3489] <= 2
model += X[4650] - Y[65] - X[7734] <= 0
model += X[4650] + Y[65] + X[7734] <= 2
model += X[2633] - Y[66] - X[3766] <= 0
model += X[2633] + Y[66] + X[3766] <= 2
model += X[4132] - Y[67] - X[2264] <= 0
model += X[4132] + Y[67] + X[2264] <= 2
model += X[3393] - Y[68] - X[4909] <= 0
model += X[3393] + Y[68] + X[4909] <= 2
model += X[4638] - Y[69] - X[4063] <= 0
model += X[4638] + Y[69] + X[4063] <= 2
model += X[4752] - Y[70] - X[5795] <= 0
model += X[4752] + Y[70] + X[5795] <= 2
model += X[3670] - Y[71] - X[2887] <= 0
model += X[3670] + Y[71] + X[2887] <= 2
model += X[4710] - Y[73] - X[2006] <= 0
model += X[4710] + Y[73] + X[2006] <= 2
model += X[7138] - Y[74] - X[1406] <= 0
model += X[7138] + Y[74] + X[1406] <= 2
model += X[5048] - Y[75] - X[3911] <= 0
model += X[5048] + Y[75] + X[3911] <= 2
model += X[2299] - Y[76] - X[1310] <= 0
model += X[2299] + Y[76] + X[1310] <= 2
model += X[4949] - Y[77] - X[1408] <= 0
model += X[4949] + Y[77] + X[1408] <= 2
model += X[2402] - Y[78] - X[4904] <= 0
model += X[2402] + Y[78] + X[4904] <= 2
model += X[6896] - Y[79] - X[2711] <= 0
model += X[6896] + Y[79] + X[2711] <= 2
model += X[4373] - Y[64] - X[5197] <= 0
model += X[4373] + Y[64] + X[5197] <= 2
model += X[3851] - Y[65] - X[5566] <= 0
model += X[3851] + Y[65] + X[5566] <= 2
model += -X[2130] + Y[66] - X[777] <= 0
model += -X[2130] - Y[66] + X[777] <= 0
model += X[6165] - Y[67] - X[1241] <= 0
model += X[6165] + Y[67] + X[1241] <= 2
model += X[3745] - Y[68] - X[5488] <= 0
model += X[3745] + Y[68] + X[5488] <= 2
model += X[7314] - Y[69] - X[2640] <= 0
model += X[7314] + Y[69] + X[2640] <= 2
model += -X[419] + Y[70] - X[2418] <= 0
model += -X[419] - Y[70] + X[2418] <= 0
model += X[7562] - Y[71] - X[2558] <= 0
model += X[7562] + Y[71] + X[2558] <= 2
model += X[4783] - Y[72] - X[2210] <= 0
model += X[4783] + Y[72] + X[2210] <= 2
model += X[1823] - Y[73] - X[1177] <= 0
model += X[1823] + Y[73] + X[1177] <= 2
model += X[2276] - Y[74] - X[2967] <= 0
model += X[2276] + Y[74] + X[2967] <= 2
model += X[5869] - Y[75] - X[4496] <= 0
model += X[5869] + Y[75] + X[4496] <= 2
model += X[6906] - Y[76] - X[3369] <= 0
model += X[6906] + Y[76] + X[3369] <= 2
model += X[2136] - Y[78] - X[6656] <= 0
model += X[2136] + Y[78] + X[6656] <= 2
model += -X[7648] + Y[79] - X[138] <= 0
model += -X[7648] - Y[79] + X[138] <= 0
model += X[6652] - Y[64] - X[2366] <= 0
model += X[6652] + Y[64] + X[2366] <= 2
model += X[1475] - Y[65] - X[6161] <= 0
model += X[1475] + Y[65] + X[6161] <= 2
model += X[6495] - Y[66] - X[4910] <= 0
model += X[6495] + Y[66] + X[4910] <= 2
model += X[5703] - Y[67] - X[3640] <= 0
model += X[5703] + Y[67] + X[3640] <= 2
model += X[3226] - Y[69] - X[7113] <= 0
model += X[3226] + Y[69] + X[7113] <= 2
model += X[3302] - Y[70] - X[3435] <= 0
model += X[3302] + Y[70] + X[3435] <= 2
model += X[3217] - Y[71] - X[6931] <= 0
model += X[3217] + Y[71] + X[6931] <= 2
model += X[6996] - Y[72] - X[5589] <= 0
model += X[6996] + Y[72] + X[5589] <= 2
model += X[1664] - Y[73] - X[7496] <= 0
model += X[1664] + Y[73] + X[7496] <= 2
model += X[7481] - Y[74] - X[5714] <= 0
model += X[7481] + Y[74] + X[5714] <= 2
model += X[1322] - Y[75] - X[2553] <= 0
model += X[1322] + Y[75] + X[2553] <= 2
model += X[4012] - Y[76] - X[6755] <= 0
model += X[4012] + Y[76] + X[6755] <= 2
model += X[2759] - Y[65] - X[7195] <= 0
model += X[2759] + Y[65] + X[7195] <= 2
model += X[3141] - Y[66] - X[4433] <= 0
model += X[3141] + Y[66] + X[4433] <= 2
model += -X[192] + Y[67] - X[2266] <= 0
model += -X[192] - Y[67] + X[2266] <= 0
model += X[1470] - Y[68] - X[2301] <= 0
model += X[1470] + Y[68] + X[2301] <= 2
model += X[2773] - Y[69] - X[7089] <= 0
model += X[2773] + Y[69] + X[7089] <= 2
model += X[1578] - Y[70] - X[1137] <= 0
model += X[1578] + Y[70] + X[1137] <= 2
model += X[2349] - Y[71] - X[6255] <= 0
model += X[2349] + Y[71] + X[6255] <= 2
model += X[5280] - Y[72] - X[3236] <= 0
model += X[5280] + Y[72] + X[3236] <= 2
model += X[1827] - Y[73] - X[6156] <= 0
model += X[1827] + Y[73] + X[6156] <= 2
model += X[1171] - Y[74] - X[6517] <= 0
model += X[1171] + Y[74] + X[6517] <= 2
model += X[5533] - Y[75] - X[5918] <= 0
model += X[5533] + Y[75] + X[5918] <= 2
model += X[1114] - Y[76] - X[1494] <= 0
model += X[1114] + Y[76] + X[1494] <= 2
model += X[2655] - Y[77] - X[5089] <= 0
model += X[2655] + Y[77] + X[5089] <= 2
model += X[7716] - Y[78] - X[4485] <= 0
model += X[7716] + Y[78] + X[4485] <= 2
model += X[5568] - Y[79] - X[5047] <= 0
model += X[5568] + Y[79] + X[5047] <= 2
model += X[3337] - Y[64] - X[2672] <= 0
model += X[3337] + Y[64] + X[2672] <= 2
model += X[3058] - Y[65] - X[4176] <= 0
model += X[3058] + Y[65] + X[4176] <= 2
model += X[5511] - Y[66] - X[5323] <= 0
model += X[5511] + Y[66] + X[5323] <= 2
model += X[3824] - Y[67] - X[6629] <= 0
model += X[3824] + Y[67] + X[6629] <= 2
model += -X[608] + Y[68] - X[4520] <= 0
model += -X[608] - Y[68] + X[4520] <= 0
model += X[4563] - Y[69] - X[6654] <= 0
model += X[4563] + Y[69] + X[6654] <= 2
model += X[5011] - Y[70] - X[2315] <= 0
model += X[5011] + Y[70] + X[2315] <= 2
model += -X[1577] + Y[71] - X[881] <= 0
model += -X[1577] - Y[71] + X[881] <= 0
model += X[3243] - Y[72] - X[1204] <= 0
model += X[3243] + Y[72] + X[1204] <= 2
model += -X[4995] + Y[73] - X[924] <= 0
model += -X[4995] - Y[73] + X[924] <= 0
model += X[3735] - Y[74] - X[6733] <= 0
model += X[3735] + Y[74] + X[6733] <= 2
model += X[3828] - Y[75] - X[5045] <= 0
model += X[3828] + Y[75] + X[5045] <= 2
model += -X[718] + Y[76] - X[6079] <= 0
model += -X[718] - Y[76] + X[6079] <= 0
model += X[5550] - Y[77] - X[6924] <= 0
model += X[5550] + Y[77] + X[6924] <= 2
model += X[1260] - Y[78] - X[1393] <= 0
model += X[1260] + Y[78] + X[1393] <= 2
model += X[7091] - Y[79] - X[4271] <= 0
model += X[7091] + Y[79] + X[4271] <= 2
model += X[1187] - Y[64] - X[6412] <= 0
model += X[1187] + Y[64] + X[6412] <= 2
model += X[3583] - Y[65] - X[3161] <= 0
model += X[3583] + Y[65] + X[3161] <= 2
model += -X[7485] + Y[66] - X[231] <= 0
model += -X[7485] - Y[66] + X[231] <= 0
model += -X[103] + Y[67] - X[7377] <= 0
model += -X[103] - Y[67] + X[7377] <= 0
model += -X[2151] + Y[68] - X[104] <= 0
model += -X[2151] - Y[68] + X[104] <= 0
model += X[2172] - Y[69] - X[5003] <= 0
model += X[2172] + Y[69] + X[5003] <= 2
model += X[1289] - Y[70] - X[3646] <= 0
model += X[1289] + Y[70] + X[3646] <= 2
model += X[3608] - Y[71] - X[6770] <= 0
model += X[3608] + Y[71] + X[6770] <= 2
model += X[3373] - Y[73] - X[5698] <= 0
model += X[3373] + Y[73] + X[5698] <= 2
model += X[4944] - Y[75] - X[4990] <= 0
model += X[4944] + Y[75] + X[4990] <= 2
model += X[3029] - Y[76] - X[3798] <= 0
model += X[3029] + Y[76] + X[3798] <= 2
model += X[2484] - Y[77] - X[6649] <= 0
model += X[2484] + Y[77] + X[6649] <= 2
model += -X[414] + Y[78] - X[7202] <= 0
model += -X[414] - Y[78] + X[7202] <= 0
model += -X[3940] + Y[79] - X[365] <= 0
model += -X[3940] - Y[79] + X[365] <= 0
model += -X[313] + Y[64] - X[6115] <= 0
model += -X[313] - Y[64] + X[6115] <= 0
model += X[2424] - Y[65] - X[3223] <= 0
model += X[2424] + Y[65] + X[3223] <= 2
model += X[1624] - Y[66] - X[5268] <= 0
model += X[1624] + Y[66] + X[5268] <= 2
model += X[3331] - Y[67] - X[5804] <= 0
model += X[3331] + Y[67] + X[5804] <= 2
model += X[6346] - Y[68] - X[3199] <= 0
model += X[6346] + Y[68] + X[3199] <= 2
model += X[7110] - Y[69] - X[3084] <= 0
model += X[7110] + Y[69] + X[3084] <= 2
model += X[2980] - Y[70] - X[1584] <= 0
model += X[2980] + Y[70] + X[1584] <= 2
model += X[4446] - Y[71] - X[2769] <= 0
model += X[4446] + Y[71] + X[2769] <= 2
model += X[3950] - Y[72] - X[3159] <= 0
model += X[3950] + Y[72] + X[3159] <= 2
model += X[1969] - Y[73] - X[7156] <= 0
model += X[1969] + Y[73] + X[7156] <= 2
model += X[5536] - Y[78] - X[6592] <= 0
model += X[5536] + Y[78] + X[6592] <= 2
model += X[2911] - Y[79] - X[6397] <= 0
model += X[2911] + Y[79] + X[6397] <= 2
model += -X[567] + Y[64] - X[1768] <= 0
model += -X[567] - Y[64] + X[1768] <= 0
model += X[4559] - Y[65] - X[1892] <= 0
model += X[4559] + Y[65] + X[1892] <= 2
model += X[6329] - Y[66] - X[6018] <= 0
model += X[6329] + Y[66] + X[6018] <= 2
model += X[5339] - Y[67] - X[4786] <= 0
model += X[5339] + Y[67] + X[4786] <= 2
model += X[4575] - Y[68] - X[5708] <= 0
model += X[4575] + Y[68] + X[5708] <= 2
model += X[5444] - Y[69] - X[4108] <= 0
model += X[5444] + Y[69] + X[4108] <= 2
model += X[1962] - Y[70] - X[3001] <= 0
model += X[1962] + Y[70] + X[3001] <= 2
model += X[5614] - Y[71] - X[4637] <= 0
model += X[5614] + Y[71] + X[4637] <= 2
model += X[1347] - Y[72] - X[3604] <= 0
model += X[1347] + Y[72] + X[3604] <= 2
model += X[7431] - Y[73] - X[2436] <= 0
model += X[7431] + Y[73] + X[2436] <= 2
model += X[7034] - Y[74] - X[7401] <= 0
model += X[7034] + Y[74] + X[7401] <= 2
model += -X[354] + Y[75] - X[6669] <= 0
model += -X[354] - Y[75] + X[6669] <= 0
model += -X[662] + Y[76] - X[1890] <= 0
model += -X[662] - Y[76] + X[1890] <= 0
model += X[3790] - Y[65] - X[2411] <= 0
model += X[3790] + Y[65] + X[2411] <= 2
model += X[4370] - Y[66] - X[5717] <= 0
model += X[4370] + Y[66] + X[5717] <= 2
model += X[2236] - Y[67] - X[4348] <= 0
model += X[2236] + Y[67] + X[4348] <= 2
model += X[5929] - Y[68] - X[1809] <= 0
model += X[5929] + Y[68] + X[1809] <= 2
model += X[5735] - Y[69] - X[6113] <= 0
model += X[5735] + Y[69] + X[6113] <= 2
model += X[2867] - Y[70] - X[2251] <= 0
model += X[2867] + Y[70] + X[2251] <= 2
model += X[4477] - Y[71] - X[2852] <= 0
model += X[4477] + Y[71] + X[2852] <= 2
model += -X[3476] + Y[72] - X[772] <= 0
model += -X[3476] - Y[72] + X[772] <= 0
model += X[2154] - Y[73] - X[7279] <= 0
model += X[2154] + Y[73] + X[7279] <= 2
model += X[6888] - Y[74] - X[5114] <= 0
model += X[6888] + Y[74] + X[5114] <= 2
model += X[7184] - Y[75] - X[4817] <= 0
model += X[7184] + Y[75] + X[4817] <= 2
model += X[4784] - Y[76] - X[3942] <= 0
model += X[4784] + Y[76] + X[3942] <= 2
model += X[4858] - Y[77] - X[4879] <= 0
model += X[4858] + Y[77] + X[4879] <= 2
model += X[7641] - Y[78] - X[2374] <= 0
model += X[7641] + Y[78] + X[2374] <= 2
model += X[1502] - Y[79] - X[3087] <= 0
model += X[1502] + Y[79] + X[3087] <= 2
model += -X[1975] + Y[64] - X[132] <= 0
model += -X[1975] - Y[64] + X[132] <= 0
model += X[5480] - Y[65] - X[6393] <= 0
model += X[5480] + Y[65] + X[6393] <= 2
model += -X[1777] + Y[66] - X[707] <= 0
model += -X[1777] - Y[66] + X[707] <= 0
model += X[1521] - Y[67] - X[4308] <= 0
model += X[1521] + Y[67] + X[4308] <= 2
model += X[5473] - Y[68] - X[5606] <= 0
model += X[5473] + Y[68] + X[5606] <= 2
model += X[2698] - Y[69] - X[5459] <= 0
model += X[2698] + Y[69] + X[5459] <= 2
model += X[4651] - Y[70] - X[7056] <= 0
model += X[4651] + Y[70] + X[7056] <= 2
model += X[1270] - Y[73] - X[5903] <= 0
model += X[1270] + Y[73] + X[5903] <= 2
model += X[7477] - Y[74] - X[2586] <= 0
model += X[7477] + Y[74] + X[2586] <= 2
model += -X[474] + Y[75] - X[3702] <= 0
model += -X[474] - Y[75] + X[3702] <= 0
model += X[6997] - Y[76] - X[5915] <= 0
model += X[6997] + Y[76] + X[5915] <= 2
model += X[6452] - Y[77] - X[7555] <= 0
model += X[6452] + Y[77] + X[7555] <= 2
model += X[1739] - Y[78] - X[3987] <= 0
model += X[1739] + Y[78] + X[3987] <= 2
model += X[2397] - Y[79] - X[7360] <= 0
model += X[2397] + Y[79] + X[7360] <= 2
model += X[1579] - Y[64] - X[3671] <= 0
model += X[1579] + Y[64] + X[3671] <= 2
model += X[5644] - Y[65] - X[6884] <= 0
model += X[5644] + Y[65] + X[6884] <= 2
model += X[2040] - Y[66] - X[1937] <= 0
model += X[2040] + Y[66] + X[1937] <= 2
model += -X[7592] + Y[67] - X[322] <= 0
model += -X[7592] - Y[67] + X[322] <= 0
model += X[4906] - Y[68] - X[5990] <= 0
model += X[4906] + Y[68] + X[5990] <= 2
model += X[1831] - Y[69] - X[4391] <= 0
model += X[1831] + Y[69] + X[4391] <= 2
model += X[6143] - Y[70] - X[5429] <= 0
model += X[6143] + Y[70] + X[5429] <= 2
model += -X[185] + Y[75] - X[2019] <= 0
model += -X[185] - Y[75] + X[2019] <= 0
model += X[3593] - Y[76] - X[5270] <= 0
model += X[3593] + Y[76] + X[5270] <= 2
model += X[5282] - Y[77] - X[4350] <= 0
model += X[5282] + Y[77] + X[4350] <= 2
model += -X[889] + Y[79] - X[3502] <= 0
model += -X[889] - Y[79] + X[3502] <= 0
model += X[6783] - Y[64] - X[5088] <= 0
model += X[6783] + Y[64] + X[5088] <= 2
model += X[7153] - Y[66] - X[4116] <= 0
model += X[7153] + Y[66] + X[4116] <= 2
model += X[6330] - Y[67] - X[7182] <= 0
model += X[6330] + Y[67] + X[7182] <= 2
model += X[6052] - Y[68] - X[5313] <= 0
model += X[6052] + Y[68] + X[5313] <= 2
model += X[3392] - Y[69] - X[4375] <= 0
model += X[3392] + Y[69] + X[4375] <= 2
model += -X[934] + Y[70] - X[6937] <= 0
model += -X[934] - Y[70] + X[6937] <= 0
model += X[3296] - Y[71] - X[3175] <= 0
model += X[3296] + Y[71] + X[3175] <= 2
model += -X[6608] + Y[72] - X[523] <= 0
model += -X[6608] - Y[72] + X[523] <= 0
model += X[2908] - Y[73] - X[6065] <= 0
model += X[2908] + Y[73] + X[6065] <= 2
model += -X[7530] + Y[78] - X[312] <= 0
model += -X[7530] - Y[78] + X[312] <= 0
model += X[6425] - Y[79] - X[2336] <= 0
model += X[6425] + Y[79] + X[2336] <= 2
model += X[3561] - Y[64] - X[4289] <= 0
model += X[3561] + Y[64] + X[4289] <= 2
model += X[1069] - Y[65] - X[4504] <= 0
model += X[1069] + Y[65] + X[4504] <= 2
model += -X[174] + Y[66] - X[1040] <= 0
model += -X[174] - Y[66] + X[1040] <= 0
model += X[1358] - Y[67] - X[2083] <= 0
model += X[1358] + Y[67] + X[2083] <= 2
model += -X[907] + Y[68] - X[2455] <= 0
model += -X[907] - Y[68] + X[2455] <= 0
model += X[1855] - Y[69] - X[2955] <= 0
model += X[1855] + Y[69] + X[2955] <= 2
model += X[5474] - Y[70] - X[1992] <= 0
model += X[5474] + Y[70] + X[1992] <= 2
model += X[3475] - Y[72] - X[7050] <= 0
model += X[3475] + Y[72] + X[7050] <= 2
model += X[6203] - Y[73] - X[7476] <= 0
model += X[6203] + Y[73] + X[7476] <= 2
model += X[4875] - Y[74] - X[7015] <= 0
model += X[4875] + Y[74] + X[7015] <= 2
model += X[3073] - Y[75] - X[3137] <= 0
model += X[3073] + Y[75] + X[3137] <= 2
model += X[4776] - Y[76] - X[5645] <= 0
model += X[4776] + Y[76] + X[5645] <= 2
model += X[314] - X[6114] - X[418] <= 0
model += X[314] + X[6114] + X[418] <= 2
model += X[4981] - Y[65] - X[5630] <= 0
model += X[4981] + Y[65] + X[5630] <= 2
model += X[7022] - Y[66] - X[6450] <= 0
model += X[7022] + Y[66] + X[6450] <= 2
model += -X[540] + Y[67] - X[3898] <= 0
model += -X[540] - Y[67] + X[3898] <= 0
model += X[7116] - Y[69] - X[2252] <= 0
model += X[7116] + Y[69] + X[2252] <= 2
model += -X[1671] + Y[70] - X[361] <= 0
model += -X[1671] - Y[70] + X[361] <= 0
model += X[5876] - Y[72] - X[4831] <= 0
model += X[5876] + Y[72] + X[4831] <= 2
model += X[3829] - Y[73] - X[5741] <= 0
model += X[3829] + Y[73] + X[5741] <= 2
model += X[7541] - Y[74] - X[6132] <= 0
model += X[7541] + Y[74] + X[6132] <= 2
model += X[3793] - Y[75] - X[3011] <= 0
model += X[3793] + Y[75] + X[3011] <= 2
model += -X[292] + Y[76] - X[1740] <= 0
model += -X[292] - Y[76] + X[1740] <= 0
model += X[4986] - Y[77] - X[4720] <= 0
model += X[4986] + Y[77] + X[4720] <= 2
model += X[5652] - Y[78] - X[2489] <= 0
model += X[5652] + Y[78] + X[2489] <= 2
model += X[1961] - Y[79] - X[2186] <= 0
model += X[1961] + Y[79] + X[2186] <= 2
model += -X[475] + Y[64] - X[1729] <= 0
model += -X[475] - Y[64] + X[1729] <= 0
model += X[2781] - Y[65] - X[1938] <= 0
model += X[2781] + Y[65] + X[1938] <= 2
model += X[3541] - Y[66] - X[1000] <= 0
model += X[3541] + Y[66] + X[1000] <= 2
model += X[4354] - Y[67] - X[6759] <= 0
model += X[4354] + Y[67] + X[6759] <= 2
model += X[4302] - Y[72] - X[2808] <= 0
model += X[4302] + Y[72] + X[2808] <= 2
model += X[4708] - Y[73] - X[6508] <= 0
model += X[4708] + Y[73] + X[6508] <= 2
model += X[7157] - Y[74] - X[6381] <= 0
model += X[7157] + Y[74] + X[6381] <= 2
model += -X[989] + Y[75] - X[4361] <= 0
model += -X[989] - Y[75] + X[4361] <= 0
model += X[7414] - Y[76] - X[2709] <= 0
model += X[7414] + Y[76] + X[2709] <= 2
model += X[7556] - Y[77] - X[1698] <= 0
model += X[7556] + Y[77] + X[1698] <= 2
model += X[1235] - Y[78] - X[7148] <= 0
model += X[1235] + Y[78] + X[7148] <= 2
model += X[2190] - Y[79] - X[6701] <= 0
model += X[2190] + Y[79] + X[6701] <= 2
model += X[5029] - Y[64] - X[3131] <= 0
model += X[5029] + Y[64] + X[3131] <= 2
model += -X[679] + Y[65] - X[2296] <= 0
model += -X[679] - Y[65] + X[2296] <= 0
model += X[2783] - Y[66] - X[5837] <= 0
model += X[2783] + Y[66] + X[5837] <= 2
model += X[1233] - Y[67] - X[3512] <= 0
model += X[1233] + Y[67] + X[3512] <= 2
model += X[3872] - Y[68] - X[6056] <= 0
model += X[3872] + Y[68] + X[6056] <= 2
model += X[7635] - Y[69] - X[2860] <= 0
model += X[7635] + Y[69] + X[2860] <= 2
model += X[4749] - Y[70] - X[1720] <= 0
model += X[4749] + Y[70] + X[1720] <= 2
model += -X[918] + Y[75] - X[2442] <= 0
model += -X[918] - Y[75] + X[2442] <= 0
model += -X[4335] + Y[76] - X[215] <= 0
model += -X[4335] - Y[76] + X[215] <= 0
model += X[5579] - Y[77] - X[3732] <= 0
model += X[5579] + Y[77] + X[3732] <= 2
model += X[4367] - Y[78] - X[1075] <= 0
model += X[4367] + Y[78] + X[1075] <= 2
model += X[2550] - Y[79] - X[5348] <= 0
model += X[2550] + Y[79] + X[5348] <= 2
model += X[1425] - Y[64] - X[5692] <= 0
model += X[1425] + Y[64] + X[5692] <= 2
model += X[4123] - Y[65] - X[5122] <= 0
model += X[4123] + Y[65] + X[5122] <= 2
model += X[5500] - Y[66] - X[5354] <= 0
model += X[5500] + Y[66] + X[5354] <= 2
model += -X[6699] + Y[67] - X[668] <= 0
model += -X[6699] - Y[67] + X[668] <= 0
model += X[4770] - Y[68] - X[4233] <= 0
model += X[4770] + Y[68] + X[4233] <= 2
model += X[7624] - Y[69] - X[2467] <= 0
model += X[7624] + Y[69] + X[2467] <= 2
model += X[3009] - Y[70] - X[7651] <= 0
model += X[3009] + Y[70] + X[7651] <= 2
model += X[2999] - Y[71] - X[3665] <= 0
model += X[2999] + Y[71] + X[3665] <= 2
model += -X[3351] + Y[72] - X[337] <= 0
model += -X[3351] - Y[72] + X[337] <= 0
model += X[2024] - Y[73] - X[1282] <= 0
model += X[2024] + Y[73] + X[1282] <= 2
model += -X[96] + X[2575] - X[798] <= 0
model += -X[96] - X[2575] + X[798] <= 0
model += -X[2767] + Y[78] - X[115] <= 0
model += -X[2767] - Y[78] + X[115] <= 0
model += X[2250] - Y[79] - X[3706] <= 0
model += X[2250] + Y[79] + X[3706] <= 2
model += -X[7703] + Y[64] - X[464] <= 0
model += -X[7703] - Y[64] + X[464] <= 0
model += X[5124] - X[44] - X[1095] <= 0
model += X[5124] + X[44] + X[1095] <= 2
model += X[428] - X[425] - X[2630] <= 0
model += X[428] + X[425] + X[2630] <= 2
model += X[2733] - Y[66] - X[1643] <= 0
model += X[2733] + Y[66] + X[1643] <= 2
model += -X[4801] + Y[67] - X[501] <= 0
model += -X[4801] - Y[67] + X[501] <= 0
model += -X[674] + Y[68] - X[3822] <= 0
model += -X[674] - Y[68] + X[3822] <= 0
model += X[1620] - Y[69] - X[1723] <= 0
model += X[1620] + Y[69] + X[1723] <= 2
model += X[5486] - Y[70] - X[1709] <= 0
model += X[5486] + Y[70] + X[1709] <= 2
model += X[3842] - Y[71] - X[1997] <= 0
model += X[3842] + Y[71] + X[1997] <= 2
model += X[7104] - Y[72] - X[7031] <= 0
model += X[7104] + Y[72] + X[7031] <= 2
model += X[1183] - Y[73] - X[3240] <= 0
model += X[1183] + Y[73] + X[3240] <= 2
model += X[2971] - Y[74] - X[1818] <= 0
model += X[2971] + Y[74] + X[1818] <= 2
model += X[5836] - Y[75] - X[5351] <= 0
model += X[5836] + Y[75] + X[5351] <= 2
model += X[4273] - Y[76] - X[6279] <= 0
model += X[4273] + Y[76] + X[6279] <= 2
model += X[3966] - X[687] - X[848] <= 0
model += X[3966] + X[687] + X[848] <= 2
model += X[4479] - Y[69] - X[7160] <= 0
model += X[4479] + Y[69] + X[7160] <= 2
model += X[5376] - Y[70] - X[2739] <= 0
model += X[5376] + Y[70] + X[2739] <= 2
model += X[4779] - Y[71] - X[1080] <= 0
model += X[4779] + Y[71] + X[1080] <= 2
model += X[6789] - Y[72] - X[3747] <= 0
model += X[6789] + Y[72] + X[3747] <= 2
model += X[5603] - Y[73] - X[1004] <= 0
model += X[5603] + Y[73] + X[1004] <= 2
model += X[2284] - Y[74] - X[1666] <= 0
model += X[2284] + Y[74] + X[1666] <= 2
model += -X[726] + Y[75] - X[5602] <= 0
model += -X[726] - Y[75] + X[5602] <= 0
model += X[6201] - Y[76] - X[4110] <= 0
model += X[6201] + Y[76] + X[4110] <= 2
model += X[2764] - Y[77] - X[2330] <= 0
model += X[2764] + Y[77] + X[2330] <= 2
model += X[5549] - Y[78] - X[2801] <= 0
model += X[5549] + Y[78] + X[2801] <= 2
model += X[1192] - Y[79] - X[4692] <= 0
model += X[1192] + Y[79] + X[4692] <= 2
model += X[2975] - Y[64] - X[4775] <= 0
model += X[2975] + Y[64] + X[4775] <= 2
model += X[7436] - Y[65] - X[4794] <= 0
model += X[7436] + Y[65] + X[4794] <= 2
model += -X[522] + Y[66] - X[3601] <= 0
model += -X[522] - Y[66] + X[3601] <= 0
model += X[1334] - Y[67] - X[6288] <= 0
model += X[1334] + Y[67] + X[6288] <= 2
model += X[1662] - X[3218] - X[90] <= 0
model += X[1662] + X[3218] + X[90] <= 2
model += X[3104] - Y[72] - X[7298] <= 0
model += X[3104] + Y[72] + X[7298] <= 2
model += -X[245] + Y[73] - X[3794] <= 0
model += -X[245] - Y[73] + X[3794] <= 0
model += X[5556] - Y[74] - X[6702] <= 0
model += X[5556] + Y[74] + X[6702] <= 2
model += X[5852] - Y[75] - X[4845] <= 0
model += X[5852] + Y[75] + X[4845] <= 2
model += -X[239] + Y[76] - X[6183] <= 0
model += -X[239] - Y[76] + X[6183] <= 0
model += X[2696] - Y[77] - X[4057] <= 0
model += X[2696] + Y[77] + X[4057] <= 2
model += X[1835] - Y[78] - X[4688] <= 0
model += X[1835] + Y[78] + X[4688] <= 2
model += X[7760] - Y[79] - X[1815] <= 0
model += X[7760] + Y[79] + X[1815] <= 2
model += X[2985] - Y[64] - X[6762] <= 0
model += X[2985] + Y[64] + X[6762] <= 2
model += -X[783] + Y[65] - X[1450] <= 0
model += -X[783] - Y[65] + X[1450] <= 0
model += X[5458] - Y[66] - X[2042] <= 0
model += X[5458] + Y[66] + X[2042] <= 2
model += X[4062] - Y[67] - X[3611] <= 0
model += X[4062] + Y[67] + X[3611] <= 2
model += -X[355] + Y[68] - X[7287] <= 0
model += -X[355] - Y[68] + X[7287] <= 0
model += X[4853] - Y[69] - X[2050] <= 0
model += X[4853] + Y[69] + X[2050] <= 2
model += X[3850] - Y[70] - X[6800] <= 0
model += X[3850] + Y[70] + X[6800] <= 2
model += -X[7292] + Y[75] - X[788] <= 0
model += -X[7292] - Y[75] + X[788] <= 0
model += X[6952] - Y[76] - X[3498] <= 0
model += X[6952] + Y[76] + X[3498] <= 2
model += -X[3398] + Y[77] - X[175] <= 0
model += -X[3398] - Y[77] + X[175] <= 0
model += -X[778] + Y[79] - X[1290] <= 0
model += -X[778] - Y[79] + X[1290] <= 0
model += -X[4793] + Y[64] - X[463] <= 0
model += -X[4793] - Y[64] + X[463] <= 0
model += X[5224] - Y[65] - X[1489] <= 0
model += X[5224] + Y[65] + X[1489] <= 2
model += -X[495] + Y[66] - X[1453] <= 0
model += -X[495] - Y[66] + X[1453] <= 0
model += X[4532] - Y[67] - X[4076] <= 0
model += X[4532] + Y[67] + X[4076] <= 2
model += X[5227] - Y[68] - X[7551] <= 0
model += X[5227] + Y[68] + X[7551] <= 2
model += X[1805] - Y[69] - X[7655] <= 0
model += X[1805] + Y[69] + X[7655] <= 2
model += X[4970] - Y[70] - X[5330] <= 0
model += X[4970] + Y[70] + X[5330] <= 2
model += X[4186] - Y[71] - X[1355] <= 0
model += X[4186] + Y[71] + X[1355] <= 2
model += X[3290] - Y[72] - X[5593] <= 0
model += X[3290] + Y[72] + X[5593] <= 2
model += X[4351] - X[44] - X[3180] <= 0
model += X[4351] + X[44] + X[3180] <= 2
model += X[6339] - X[584] - X[508] <= 0
model += X[6339] + X[584] + X[508] <= 2
model += X[6661] - Y[66] - X[5676] <= 0
model += X[6661] + Y[66] + X[5676] <= 2
model += X[7557] - Y[67] - X[4613] <= 0
model += X[7557] + Y[67] + X[4613] <= 2
model += -X[769] + Y[68] - X[5882] <= 0
model += -X[769] - Y[68] + X[5882] <= 0
model += -X[1359] + Y[69] - X[318] <= 0
model += -X[1359] - Y[69] + X[318] <= 0
model += -X[155] + Y[71] - X[3410] <= 0
model += -X[155] - Y[71] + X[3410] <= 0
model += X[6547] - Y[72] - X[7539] <= 0
model += X[6547] + Y[72] + X[7539] <= 2
model += X[4239] - Y[73] - X[4578] <= 0
model += X[4239] + Y[73] + X[4578] <= 2
model += X[7746] - Y[74] - X[1652] <= 0
model += X[7746] + Y[74] + X[1652] <= 2
model += X[6793] - Y[75] - X[3365] <= 0
model += X[6793] + Y[75] + X[3365] <= 2
model += X[4577] - Y[76] - X[3048] <= 0
model += X[4577] + Y[76] + X[3048] <= 2
model += X[4150] - Y[69] - X[1127] <= 0
model += X[4150] + Y[69] + X[1127] <= 2
model += X[1429] - Y[70] - X[4747] <= 0
model += X[1429] + Y[70] + X[4747] <= 2
model += X[3347] - Y[71] - X[6120] <= 0
model += X[3347] + Y[71] + X[6120] <= 2
model += X[4098] - Y[72] - X[2359] <= 0
model += X[4098] + Y[72] + X[2359] <= 2
model += X[4741] - Y[73] - X[2282] <= 0
model += X[4741] + Y[73] + X[2282] <= 2
model += X[6668] - Y[74] - X[7262] <= 0
model += X[6668] + Y[74] + X[7262] <= 2
model += X[7220] - Y[75] - X[3852] <= 0
model += X[7220] + Y[75] + X[3852] <= 2
model += X[2874] - Y[76] - X[2618] <= 0
model += X[2874] + Y[76] + X[2618] <= 2
model += X[3097] - Y[77] - X[2458] <= 0
model += X[3097] + Y[77] + X[2458] <= 2
model += X[7274] - Y[78] - X[5734] <= 0
model += X[7274] + Y[78] + X[5734] <= 2
model += X[7230] - Y[79] - X[6860] <= 0
model += X[7230] + Y[79] + X[6860] <= 2
model += X[7715] - Y[64] - X[4619] <= 0
model += X[7715] + Y[64] + X[4619] <= 2
model += X[7151] - Y[65] - X[7263] <= 0
model += X[7151] + Y[65] + X[7263] <= 2
model += X[3803] - Y[66] - X[2902] <= 0
model += X[3803] + Y[66] + X[2902] <= 2
model += X[4140] - Y[67] - X[5912] <= 0
model += X[4140] + Y[67] + X[5912] <= 2
model += X[1144] - Y[72] - X[4173] <= 0
model += X[1144] + Y[72] + X[4173] <= 2
model += -X[482] + Y[74] - X[6421] <= 0
model += -X[482] - Y[74] + X[6421] <= 0
model += X[3672] - Y[76] - X[4315] <= 0
model += X[3672] + Y[76] + X[4315] <= 2
model += X[3000] - Y[77] - X[5998] <= 0
model += X[3000] + Y[77] + X[5998] <= 2
model += X[5784] - Y[78] - X[6941] <= 0
model += X[5784] + Y[78] + X[6941] <= 2
model += X[3454] - Y[79] - X[3698] <= 0
model += X[3454] + Y[79] + X[3698] <= 2
model += -X[484] + Y[64] - X[3003] <= 0
model += -X[484] - Y[64] + X[3003] <= 0
model += X[1525] - Y[65] - X[1313] <= 0
model += X[1525] + Y[65] + X[1313] <= 2
model += X[4473] - Y[67] - X[6645] <= 0
model += X[4473] + Y[67] + X[6645] <= 2
model += X[4640] - Y[68] - X[6224] <= 0
model += X[4640] + Y[68] + X[6224] <= 2
model += X[5848] - Y[69] - X[1566] <= 0
model += X[5848] + Y[69] + X[1566] <= 2
model += X[2476] - Y[70] - X[2878] <= 0
model += X[2476] + Y[70] + X[2878] <= 2
model += -X[755] + Y[79] - X[4544] <= 0
model += -X[755] - Y[79] + X[4544] <= 0
model += X[5618] - Y[64] - X[1526] <= 0
model += X[5618] + Y[64] + X[1526] <= 2
model += X[1534] - Y[65] - X[3256] <= 0
model += X[1534] + Y[65] + X[3256] <= 2
model += -X[5440] + Y[66] - X[803] <= 0
model += -X[5440] - Y[66] + X[803] <= 0
model += X[3173] - Y[67] - X[7756] <= 0
model += X[3173] + Y[67] + X[7756] <= 2
model += X[5538] - Y[68] - X[3773] <= 0
model += X[5538] + Y[68] + X[3773] <= 2
model += X[7412] - Y[69] - X[1653] <= 0
model += X[7412] + Y[69] + X[1653] <= 2
model += X[5494] - Y[70] - X[7135] <= 0
model += X[5494] + Y[70] + X[7135] <= 2
model += -X[3424] + Y[71] - X[711] <= 0
model += -X[3424] - Y[71] + X[711] <= 0
model += -X[894] + Y[72] - X[1104] <= 0
model += -X[894] - Y[72] + X[1104] <= 0
model += -X[715] + Y[73] - X[6825] <= 0
model += -X[715] - Y[73] + X[6825] <= 0
model += X[1156] - X[44] - X[1573] <= 0
model += X[1156] + X[44] + X[1573] <= 2
model += -X[694] + Y[66] - X[4667] <= 0
model += -X[694] - Y[66] + X[4667] <= 0
model += -X[2399] + Y[67] - X[373] <= 0
model += -X[2399] - Y[67] + X[373] <= 0
model += X[2444] - Y[68] - X[2081] <= 0
model += X[2444] + Y[68] + X[2081] <= 2
model += X[7639] - Y[69] - X[6761] <= 0
model += X[7639] + Y[69] + X[6761] <= 2
model += X[6465] - Y[70] - X[5074] <= 0
model += X[6465] + Y[70] + X[5074] <= 2
model += X[1881] - Y[71] - X[5902] <= 0
model += X[1881] + Y[71] + X[5902] <= 2
model += X[4121] - Y[73] - X[7790] <= 0
model += X[4121] + Y[73] + X[7790] <= 2
model += X[1694] - Y[74] - X[1567] <= 0
model += X[1694] + Y[74] + X[1567] <= 2
model += X[2383] - Y[75] - X[5982] <= 0
model += X[2383] + Y[75] + X[5982] <= 2
model += X[6779] - Y[76] - X[2309] <= 0
model += X[6779] + Y[76] + X[2309] <= 2
model += X[3570] - X[7465] - X[85] <= 0
model += X[3570] + X[7465] + X[85] <= 2
model += -X[109] + Y[69] - X[3469] <= 0
model += -X[109] - Y[69] + X[3469] <= 0
model += X[7003] - Y[70] - X[4182] <= 0
model += X[7003] + Y[70] + X[4182] <= 2
model += -X[5691] + Y[71] - X[377] <= 0
model += -X[5691] - Y[71] + X[377] <= 0
model += X[1561] - X[544] - X[181] <= 0
model += X[1561] + X[544] + X[181] <= 2
model += X[5173] - Y[73] - X[7457] <= 0
model += X[5173] + Y[73] + X[7457] <= 2
model += -X[7598] + Y[74] - X[968] <= 0
model += -X[7598] - Y[74] + X[968] <= 0
model += X[4404] - Y[75] - X[6102] <= 0
model += X[4404] + Y[75] + X[6102] <= 2
model += X[1503] - Y[76] - X[4372] <= 0
model += X[1503] + Y[76] + X[4372] <= 2
model += X[1257] - Y[77] - X[3468] <= 0
model += X[1257] + Y[77] + X[3468] <= 2
model += X[1343] - Y[78] - X[1547] <= 0
model += X[1343] + Y[78] + X[1547] <= 2
model += X[4026] - Y[79] - X[1048] <= 0
model += X[4026] + Y[79] + X[1048] <= 2
model += X[3293] - Y[64] - X[3019] <= 0
model += X[3293] + Y[64] + X[3019] <= 2
model += -X[240] + Y[65] - X[3178] <= 0
model += -X[240] - Y[65] + X[3178] <= 0
model += X[6853] - Y[66] - X[7486] <= 0
model += X[6853] + Y[66] + X[7486] <= 2
model += -X[5823] + Y[67] - X[272] <= 0
model += -X[5823] - Y[67] + X[272] <= 0
model += X[3249] - Y[76] - X[7514] <= 0
model += X[3249] + Y[76] + X[7514] <= 2
model += -X[888] + Y[77] - X[4316] <= 0
model += -X[888] - Y[77] + X[4316] <= 0
model += X[6709] - Y[78] - X[5051] <= 0
model += X[6709] + Y[78] + X[5051] <= 2
model += X[3729] - Y[79] - X[6801] <= 0
model += X[3729] + Y[79] + X[6801] <= 2
model += -X[4630] + Y[64] - X[274] <= 0
model += -X[4630] - Y[64] + X[274] <= 0
model += X[3858] - Y[65] - X[6136] <= 0
model += X[3858] + Y[65] + X[6136] <= 2
model += X[2423] - Y[66] - X[2153] <= 0
model += X[2423] + Y[66] + X[2153] <= 2
model += X[4707] - Y[67] - X[3470] <= 0
model += X[4707] + Y[67] + X[3470] <= 2
model += X[4571] - Y[68] - X[3484] <= 0
model += X[4571] + Y[68] + X[3484] <= 2
model += X[5202] - Y[69] - X[1210] <= 0
model += X[5202] + Y[69] + X[1210] <= 2
model += -X[634] + Y[70] - X[5359] <= 0
model += -X[634] - Y[70] + X[5359] <= 0
model += X[7447] - X[1148] - X[49] <= 0
model += X[7447] + X[1148] + X[49] <= 2
model += X[1722] - X[2011] - X[88] <= 0
model += X[1722] + X[2011] + X[88] <= 2
model += -X[5040] + Y[79] - X[699] <= 0
model += -X[5040] - Y[79] + X[699] <= 0
model += X[4214] - Y[64] - X[2970] <= 0
model += X[4214] + Y[64] + X[2970] <= 2
model += X[5783] - Y[65] - X[1073] <= 0
model += X[5783] + Y[65] + X[1073] <= 2
model += -X[6671] + Y[66] - X[806] <= 0
model += -X[6671] - Y[66] + X[806] <= 0
model += -X[483] + Y[67] - X[3149] <= 0
model += -X[483] - Y[67] + X[3149] <= 0
model += X[3458] - Y[68] - X[6865] <= 0
model += X[3458] + Y[68] + X[6865] <= 2
model += X[1904] - Y[69] - X[5920] <= 0
model += X[1904] + Y[69] + X[5920] <= 2
model += X[2837] - Y[70] - X[4993] <= 0
model += X[2837] + Y[70] + X[4993] <= 2
model += -X[160] + Y[71] - X[5616] <= 0
model += -X[160] - Y[71] + X[5616] <= 0
model += X[1447] - Y[72] - X[3956] <= 0
model += X[1447] + Y[72] + X[3956] <= 2
model += -X[710] + Y[73] - X[3273] <= 0
model += -X[710] - Y[73] + X[3273] <= 0
model += X[2198] - Y[66] - X[2620] <= 0
model += X[2198] + Y[66] + X[2620] <= 2
model += -X[358] + Y[67] - X[1654] <= 0
model += -X[358] - Y[67] + X[1654] <= 0
model += -X[408] + Y[68] - X[1732] <= 0
model += -X[408] - Y[68] + X[1732] <= 0
model += X[4266] - Y[70] - X[5661] <= 0
model += X[4266] + Y[70] + X[5661] <= 2
model += X[6320] - Y[71] - X[1027] <= 0
model += X[6320] + Y[71] + X[1027] <= 2
model += -X[689] + Y[72] - X[5622] <= 0
model += -X[689] - Y[72] + X[5622] <= 0
model += X[4218] - Y[73] - X[5796] <= 0
model += X[4218] + Y[73] + X[5796] <= 2
model += X[6196] - Y[74] - X[7629] <= 0
model += X[6196] + Y[74] + X[7629] <= 2
model += -X[257] + Y[76] - X[6554] <= 0
model += -X[257] - Y[76] + X[6554] <= 0
model += -X[6020] + X[3433] - X[8] <= 0
model += -X[6020] - X[3433] + X[8] <= 0
model += -X[5] + X[7566] - X[5129] <= 0
model += -X[5] - X[7566] + X[5129] <= 0
model += -X[2134] + X[695] - X[37] <= 0
model += -X[2134] - X[695] + X[37] <= 0
model += X[2429] - X[4939] - X[63] <= 0
model += X[2429] + X[4939] + X[63] <= 2
model += X[191] - X[544] - X[5757] <= 0
model += X[191] + X[544] + X[5757] <= 2
model += X[4052] - Y[73] - X[5063] <= 0
model += X[4052] + Y[73] + X[5063] <= 2
model += X[3375] - Y[74] - X[5509] <= 0
model += X[3375] + Y[74] + X[5509] <= 2
model += X[4400] - Y[75] - X[2771] <= 0
model += X[4400] + Y[75] + X[2771] <= 2
model += X[7058] - Y[76] - X[2659] <= 0
model += X[7058] + Y[76] + X[2659] <= 2
model += X[1284] - Y[77] - X[5747] <= 0
model += X[1284] + Y[77] + X[5747] <= 2
model += -X[802] + Y[78] - X[1436] <= 0
model += -X[802] - Y[78] + X[1436] <= 0
model += -X[3980] + Y[79] - X[859] <= 0
model += -X[3980] - Y[79] + X[859] <= 0
model += X[7580] - Y[64] - X[2606] <= 0
model += X[7580] + Y[64] + X[2606] <= 2
model += X[2288] - Y[65] - X[3597] <= 0
model += X[2288] + Y[65] + X[3597] <= 2
model += -X[5972] + Y[66] - X[507] <= 0
model += -X[5972] - Y[66] + X[507] <= 0
model += X[2732] - Y[67] - X[7774] <= 0
model += X[2732] + Y[67] + X[7774] <= 2
model += X[5958] - X[6685] - X[60] <= 0
model += X[5958] + X[6685] + X[60] <= 2
model += X[7614] - Y[76] - X[6351] <= 0
model += X[7614] + Y[76] + X[6351] <= 2
model += X[3810] - Y[77] - X[3692] <= 0
model += X[3810] + Y[77] + X[3692] <= 2
model += X[5780] - Y[78] - X[3959] <= 0
model += X[5780] + Y[78] + X[3959] <= 2
model += X[2078] - Y[79] - X[4954] <= 0
model += X[2078] + Y[79] + X[4954] <= 2
model += X[6632] - Y[64] - X[5055] <= 0
model += X[6632] + Y[64] + X[5055] <= 2
model += X[2708] - Y[65] - X[5971] <= 0
model += X[2708] + Y[65] + X[5971] <= 2
model += -X[598] + Y[66] - X[3580] <= 0
model += -X[598] - Y[66] + X[3580] <= 0
model += -X[1479] + Y[67] - X[648] <= 0
model += -X[1479] - Y[67] + X[648] <= 0
model += X[2616] - Y[68] - X[5298] <= 0
model += X[2616] + Y[68] + X[5298] <= 2
model += -X[382] + Y[69] - X[2337] <= 0
model += -X[382] - Y[69] + X[2337] <= 0
model += X[1568] - Y[70] - X[4925] <= 0
model += X[1568] + Y[70] + X[4925] <= 2
model += X[2145] - Y[79] - X[5032] <= 0
model += X[2145] + Y[79] + X[5032] <= 2
model += X[2469] - Y[64] - X[4551] <= 0
model += X[2469] + Y[64] + X[4551] <= 2
model += X[6227] - X[590] - X[157] <= 0
model += X[6227] + X[590] + X[157] <= 2
model += X[1592] - Y[67] - X[1403] <= 0
model += X[1592] + Y[67] + X[1403] <= 2
model += X[7054] - Y[69] - X[4438] <= 0
model += X[7054] + Y[69] + X[4438] <= 2
model += X[7480] - Y[70] - X[7731] <= 0
model += X[7480] + Y[70] + X[7731] <= 2
model += X[1391] - Y[71] - X[6826] <= 0
model += X[1391] + Y[71] + X[6826] <= 2
model += -X[7239] + Y[72] - X[829] <= 0
model += -X[7239] - Y[72] + X[829] <= 0
model += X[3333] - Y[73] - X[3770] <= 0
model += X[3333] + Y[73] + X[3770] <= 2
model += X[2602] - X[44] - X[2037] <= 0
model += X[2602] + X[44] + X[2037] <= 2
model += X[1871] - X[584] - X[186] <= 0
model += X[1871] + X[584] + X[186] <= 2
model += -X[9] + X[2103] - X[1467] <= 0
model += -X[9] - X[2103] + X[1467] <= 0
model += X[2262] - Y[70] - X[2481] <= 0
model += X[2262] + Y[70] + X[2481] <= 2
model += X[7575] - Y[71] - X[4535] <= 0
model += X[7575] + Y[71] + X[4535] <= 2
model += -X[340] + Y[72] - X[6096] <= 0
model += -X[340] - Y[72] + X[6096] <= 0
model += X[5472] - Y[73] - X[5694] <= 0
model += X[5472] + Y[73] + X[5694] <= 2
model += -X[3024] + Y[74] - X[485] <= 0
model += -X[3024] - Y[74] + X[485] <= 0
model += X[7704] - Y[75] - X[4366] <= 0
model += X[7704] + Y[75] + X[4366] <= 2
model += X[2579] - Y[76] - X[4500] <= 0
model += X[2579] + Y[76] + X[4500] <= 2
model += X[979] - X[695] - X[2310] <= 0
model += X[979] + X[695] + X[2310] <= 2
model += X[3304] - X[544] - X[771] <= 0
model += X[3304] + X[544] + X[771] <= 2
model += X[1115] - X[824] - X[958] <= 0
model += X[1115] + X[824] + X[958] <= 2
model += X[2433] - Y[73] - X[3835] <= 0
model += X[2433] + Y[73] + X[3835] <= 2
model += -X[814] + Y[74] - X[7394] <= 0
model += -X[814] - Y[74] + X[7394] <= 0
model += X[7526] - Y[75] - X[3477] <= 0
model += X[7526] + Y[75] + X[3477] <= 2
model += X[5842] - Y[76] - X[5668] <= 0
model += X[5842] + Y[76] + X[5668] <= 2
model += X[4855] - Y[77] - X[7087] <= 0
model += X[4855] + Y[77] + X[7087] <= 2
model += X[4766] - Y[78] - X[1812] <= 0
model += X[4766] + Y[78] + X[1812] <= 2
model += X[1325] - Y[79] - X[3730] <= 0
model += X[1325] + Y[79] + X[3730] <= 2
model += X[4934] - Y[64] - X[5100] <= 0
model += X[4934] + Y[64] + X[5100] <= 2
model += X[6424] - Y[65] - X[6057] <= 0
model += X[6424] + Y[65] + X[6057] <= 2
model += -X[808] + Y[66] - X[4303] <= 0
model += -X[808] - Y[66] + X[4303] <= 0
model += X[6063] - Y[67] - X[6518] <= 0
model += X[6063] + Y[67] + X[6518] <= 2
model += -X[1957] + Y[76] - X[502] <= 0
model += -X[1957] - Y[76] + X[502] <= 0
model += X[6081] - Y[77] - X[6426] <= 0
model += X[6081] + Y[77] + X[6426] <= 2
model += -X[207] + Y[78] - X[6879] <= 0
model += -X[207] - Y[78] + X[6879] <= 0
model += -X[993] + Y[64] - X[7028] <= 0
model += -X[993] - Y[64] + X[7028] <= 0
model += -X[417] + Y[65] - X[2159] <= 0
model += -X[417] - Y[65] + X[2159] <= 0
model += X[2149] - Y[66] - X[6198] <= 0
model += X[2149] + Y[66] + X[6198] <= 2
model += -X[642] + Y[67] - X[7559] <= 0
model += -X[642] - Y[67] + X[7559] <= 0
model += X[5283] - Y[68] - X[4790] <= 0
model += X[5283] + Y[68] + X[4790] <= 2
model += X[4256] - Y[69] - X[2438] <= 0
model += X[4256] + Y[69] + X[2438] <= 2
model += X[2434] - Y[70] - X[7749] <= 0
model += X[2434] + Y[70] + X[7749] <= 2
model += -X[2360] + X[2011] - X[7] <= 0
model += -X[2360] - X[2011] + X[7] <= 0
model += X[4631] - X[262] - X[300] <= 0
model += X[4631] + X[262] + X[300] <= 2
model += X[4918] - X[799] - X[677] <= 0
model += X[4918] + X[799] + X[677] <= 2
model += X[2869] - Y[67] - X[6589] <= 0
model += X[2869] + Y[67] + X[6589] <= 2
model += -X[3238] + Y[68] - X[446] <= 0
model += -X[3238] - Y[68] + X[446] <= 0
model += X[4413] - Y[69] - X[2201] <= 0
model += X[4413] + Y[69] + X[2201] <= 2
model += X[7152] - Y[70] - X[6454] <= 0
model += X[7152] + Y[70] + X[6454] <= 2
model += -X[1951] + Y[71] - X[944] <= 0
model += -X[1951] - Y[71] + X[944] <= 0
model += X[2017] - Y[72] - X[4047] <= 0
model += X[2017] + Y[72] + X[4047] <= 2
model += X[6249] - Y[73] - X[3494] <= 0
model += X[6249] + Y[73] + X[3494] <= 2
model += X[6485] - X[44] - X[1464] <= 0
model += X[6485] + X[44] + X[1464] <= 2
model += X[591] - X[425] - X[1917] <= 0
model += X[591] + X[425] + X[1917] <= 2
model += X[6527] - Y[70] - X[5360] <= 0
model += X[6527] + Y[70] + X[5360] <= 2
model += X[7136] - Y[71] - X[7029] <= 0
model += X[7136] + Y[71] + X[7029] <= 2
model += -X[4525] + Y[72] - X[782] <= 0
model += -X[4525] - Y[72] + X[782] <= 0
model += X[6570] - Y[73] - X[2164] <= 0
model += X[6570] + Y[73] + X[2164] <= 2
model += X[7519] - Y[74] - X[3760] <= 0
model += X[7519] + Y[74] + X[3760] <= 2
model += -X[7373] + Y[75] - X[930] <= 0
model += -X[7373] - Y[75] + X[930] <= 0
model += X[4799] - Y[76] - X[3644] <= 0
model += X[4799] + Y[76] + X[3644] <= 2
model += X[655] - X[687] - X[6438] <= 0
model += X[655] + X[687] + X[6438] <= 2
model += X[1822] - X[695] - X[125] <= 0
model += X[1822] + X[695] + X[125] <= 2
model += X[2785] - Y[73] - X[5822] <= 0
model += X[2785] + Y[73] + X[5822] <= 2
model += X[3194] - Y[74] - X[7064] <= 0
model += X[3194] + Y[74] + X[7064] <= 2
model += X[1876] - Y[75] - X[5515] <= 0
model += X[1876] + Y[75] + X[5515] <= 2
model += X[4189] - Y[77] - X[4754] <= 0
model += X[4189] + Y[77] + X[4754] <= 2
model += X[4262] - Y[78] - X[1607] <= 0
model += X[4262] + Y[78] + X[1607] <= 2
model += -X[1239] + Y[79] - X[804] <= 0
model += -X[1239] - Y[79] + X[804] <= 0
model += X[5913] - Y[64] - X[1623] <= 0
model += X[5913] + Y[64] + X[1623] <= 2
model += X[5832] - Y[65] - X[1742] <= 0
model += X[5832] + Y[65] + X[1742] <= 2
model += -X[3703] + Y[66] - X[227] <= 0
model += -X[3703] - Y[66] + X[227] <= 0
model += X[3837] - Y[67] - X[6401] <= 0
model += X[3837] + Y[67] + X[6401] <= 2
model += X[7361] - Y[64] - X[1152] <= 0
model += X[7361] + Y[64] + X[1152] <= 2
model += -X[6097] + Y[65] - X[319] <= 0
model += -X[6097] - Y[65] + X[319] <= 0
model += X[5809] - Y[67] - X[6378] <= 0
model += X[5809] + Y[67] + X[6378] <= 2
model += X[2826] - Y[68] - X[2572] <= 0
model += X[2826] + Y[68] + X[2572] <= 2
model += X[2166] - Y[69] - X[1011] <= 0
model += X[2166] + Y[69] + X[1011] <= 2
model += X[2686] - Y[70] - X[2305] <= 0
model += X[2686] + Y[70] + X[2305] <= 2
model += X[729] - X[262] - X[1597] <= 0
model += X[729] + X[262] + X[1597] <= 2
model += X[6716] - Y[67] - X[3817] <= 0
model += X[6716] + Y[67] + X[3817] <= 2
model += X[3592] - Y[68] - X[5705] <= 0
model += X[3592] + Y[68] + X[5705] <= 2
model += X[6516] - Y[69] - X[3378] <= 0
model += X[6516] + Y[69] + X[3378] <= 2
model += X[3931] - Y[70] - X[6542] <= 0
model += X[3931] + Y[70] + X[6542] <= 2
model += X[2148] - Y[71] - X[6864] <= 0
model += X[2148] + Y[71] + X[6864] <= 2
model += X[4427] - Y[72] - X[7332] <= 0
model += X[4427] + Y[72] + X[7332] <= 2
model += X[3660] - Y[73] - X[1795] <= 0
model += X[3660] + Y[73] + X[1795] <= 2
model += X[1427] - X[44] - X[4051] <= 0
model += X[1427] + X[44] + X[4051] <= 2
model += -X[276] + Y[70] - X[1674] <= 0
model += -X[276] - Y[70] + X[1674] <= 0
model += X[1085] - Y[71] - X[1281] <= 0
model += X[1085] + Y[71] + X[1281] <= 2
model += X[3717] - Y[72] - X[6749] <= 0
model += X[3717] + Y[72] + X[6749] <= 2
model += X[7602] - Y[74] - X[1021] <= 0
model += X[7602] + Y[74] + X[1021] <= 2
model += X[3825] - Y[75] - X[3924] <= 0
model += X[3825] + Y[75] + X[3924] <= 2
model += -X[572] + X[695] - X[293] <= 0
model += -X[572] - X[695] + X[293] <= 0
model += X[5239] - Y[77] - X[7248] <= 0
model += X[5239] + Y[77] + X[7248] <= 2
model += -X[3497] + Y[78] - X[831] <= 0
model += -X[3497] - Y[78] + X[831] <= 0
model += X[6881] - Y[79] - X[6015] <= 0
model += X[6881] + Y[79] + X[6015] <= 2
model += X[4629] - Y[64] - X[4069] <= 0
model += X[4629] + Y[64] + X[4069] <= 2
model += X[5524] - Y[65] - X[6821] <= 0
model += X[5524] + Y[65] + X[6821] <= 2
model += -X[3428] + Y[66] - X[943] <= 0
model += -X[3428] - Y[66] + X[943] <= 0
model += X[2884] - Y[67] - X[6805] <= 0
model += X[2884] + Y[67] + X[6805] <= 2
model += X[84] - X[5843] - X[5275] <= 0
model += X[84] + X[5843] + X[5275] <= 2
model += X[6039] - Y[66] - X[1287] <= 0
model += X[6039] + Y[66] + X[1287] <= 2
model += X[2803] - Y[67] - X[1518] <= 0
model += X[2803] + Y[67] + X[1518] <= 2
model += -X[3788] + Y[68] - X[840] <= 0
model += -X[3788] - Y[68] + X[840] <= 0
model += X[4865] - Y[69] - X[5327] <= 0
model += X[4865] + Y[69] + X[5327] <= 2
model += -X[650] + Y[70] - X[6220] <= 0
model += -X[650] - Y[70] + X[6220] <= 0
model += X[3289] - X[590] - X[112] <= 0
model += X[3289] + X[590] + X[112] <= 2
model += X[1966] - Y[67] - X[3878] <= 0
model += X[1966] + Y[67] + X[3878] <= 2
model += X[3402] - Y[68] - X[4135] <= 0
model += X[3402] + Y[68] + X[4135] <= 2
model += X[7771] - Y[69] - X[6171] <= 0
model += X[7771] + Y[69] + X[6171] <= 2
model += X[1857] - X[1825] - X[22] <= 0
model += X[1857] + X[1825] + X[22] <= 2
model += X[4896] - Y[71] - X[5181] <= 0
model += X[4896] + Y[71] + X[5181] <= 2
model += X[1668] - Y[72] - X[6076] <= 0
model += X[1668] + Y[72] + X[6076] <= 2
model += X[2635] - Y[73] - X[3067] <= 0
model += X[2635] + Y[73] + X[3067] <= 2
model += X[7176] - X[44] - X[1492] <= 0
model += X[7176] + X[44] + X[1492] <= 2
model += X[406] - X[584] - X[7312] <= 0
model += X[406] + X[584] + X[7312] <= 2
model += X[7071] - Y[74] - X[4459] <= 0
model += X[7071] + Y[74] + X[4459] <= 2
model += X[5793] - Y[75] - X[4357] <= 0
model += X[5793] + Y[75] + X[4357] <= 2
model += X[1808] - Y[76] - X[3099] <= 0
model += X[1808] + Y[76] + X[3099] <= 2
model += X[3691] - X[544] - X[589] <= 0
model += X[3691] + X[544] + X[589] <= 2
model += X[5746] - Y[77] - X[4039] <= 0
model += X[5746] + Y[77] + X[4039] <= 2
model += X[1338] - Y[78] - X[7070] <= 0
model += X[1338] + Y[78] + X[7070] <= 2
model += X[1262] - Y[79] - X[3984] <= 0
model += X[1262] + Y[79] + X[3984] <= 2
model += X[1527] - Y[64] - X[4425] <= 0
model += X[1527] + Y[64] + X[4425] <= 2
model += X[2073] - Y[65] - X[4482] <= 0
model += X[2073] + Y[65] + X[4482] <= 2
model += -X[3737] + Y[66] - X[624] <= 0
model += -X[3737] - Y[66] + X[624] <= 0
model += X[2068] - Y[67] - X[1695] <= 0
model += X[2068] + Y[67] + X[1695] <= 2
model += X[87] - X[2596] - X[7205] <= 0
model += X[87] + X[2596] + X[7205] <= 2
model += -X[4248] + Y[64] - X[168] <= 0
model += -X[4248] - Y[64] + X[168] <= 0
model += X[4885] - Y[65] - X[2162] <= 0
model += X[4885] + Y[65] + X[2162] <= 2
model += X[5901] - Y[66] - X[7670] <= 0
model += X[5901] + Y[66] + X[7670] <= 2
model += X[628] - X[1180] - X[555] <= 0
model += X[628] + X[1180] + X[555] <= 2
model += -X[2427] + Y[68] - X[503] <= 0
model += -X[2427] - Y[68] + X[503] <= 0
model += X[7694] - Y[69] - X[3277] <= 0
model += X[7694] + Y[69] + X[3277] <= 2
model += X[3873] - Y[70] - X[6108] <= 0
model += X[3873] + Y[70] + X[6108] <= 2
model += X[3283] - Y[71] - X[4215] <= 0
model += X[3283] + Y[71] + X[4215] <= 2
model += X[6319] - Y[72] - X[6521] <= 0
model += X[6319] + Y[72] + X[6521] <= 2
model += -X[2244] + Y[73] - X[400] <= 0
model += -X[2244] - Y[73] + X[400] <= 0
model += X[1383] - X[44] - X[5231] <= 0
model += X[1383] + X[44] + X[5231] <= 2
model += X[853] - X[584] - X[2445] <= 0
model += X[853] + X[584] + X[2445] <= 2
model += -X[0] + X[1039] - X[3384] <= 0
model += -X[0] - X[1039] + X[3384] <= 0
model += X[303] - X[2102] - X[817] <= 0
model += X[303] + X[2102] + X[817] <= 2
model += X[1611] - Y[74] - X[4402] <= 0
model += X[1611] + Y[74] + X[4402] <= 2
model += X[5086] - Y[75] - X[4484] <= 0
model += X[5086] + Y[75] + X[4484] <= 2
model += X[7692] - Y[76] - X[2819] <= 0
model += X[7692] + Y[76] + X[2819] <= 2
model += X[2005] - X[7495] - X[14] <= 0
model += X[2005] + X[7495] + X[14] <= 2
model += X[925] - X[687] - X[3985] <= 0
model += X[925] + X[687] + X[3985] <= 2
model += -X[891] + X[544] - X[605] <= 0
model += -X[891] - X[544] + X[605] <= 0
model += X[4510] - Y[77] - X[5010] <= 0
model += X[4510] + Y[77] + X[5010] <= 2
model += X[4788] - Y[78] - X[3086] <= 0
model += X[4788] + Y[78] + X[3086] <= 2
model += X[2723] - Y[79] - X[3626] <= 0
model += X[2723] + Y[79] + X[3626] <= 2
model += X[5019] - Y[65] - X[1927] <= 0
model += X[5019] + Y[65] + X[1927] <= 2
model += -X[366] + Y[66] - X[5771] <= 0
model += -X[366] - Y[66] + X[5771] <= 0
model += X[4618] - Y[67] - X[6969] <= 0
model += X[4618] + Y[67] + X[6969] <= 2
model += -X[1900] + X[6685] - X[1] <= 0
model += -X[1900] - X[6685] + X[1] <= 0
model += X[94] - X[2596] - X[7475] <= 0
model += X[94] + X[2596] + X[7475] <= 2
model += X[1929] - Y[68] - X[2114] <= 0
model += X[1929] + Y[68] + X[2114] <= 2
model += X[3317] - Y[69] - X[5487] <= 0
model += X[3317] + Y[69] + X[5487] <= 2
model += X[5081] - Y[70] - X[4455] <= 0
model += X[5081] + Y[70] + X[4455] <= 2
model += X[2730] - X[262] - X[412] <= 0
model += X[2730] + X[262] + X[412] <= 2
model += X[6912] - Y[71] - X[3259] <= 0
model += X[6912] + Y[71] + X[3259] <= 2
model += X[5647] - Y[72] - X[4714] <= 0
model += X[5647] + Y[72] + X[4714] <= 2
model += X[4933] - Y[73] - X[2822] <= 0
model += X[4933] + Y[73] + X[2822] <= 2
model += -X[454] + X[44] - X[6503] <= 0
model += -X[454] - X[44] + X[6503] <= 0
model += X[6889] - Y[74] - X[2338] <= 0
model += X[6889] + Y[74] + X[2338] <= 2
model += X[4518] - Y[75] - X[7122] <= 0
model += X[4518] + Y[75] + X[7122] <= 2
model += X[5416] - Y[76] - X[6046] <= 0
model += X[5416] + Y[76] + X[6046] <= 2
model += X[57] - X[6095] - X[3200] <= 0
model += X[57] + X[6095] + X[3200] <= 2
model += X[757] - X[2207] - X[635] <= 0
model += X[757] + X[2207] + X[635] <= 2
model += X[5468] - Y[65] - X[6956] <= 0
model += X[5468] + Y[65] + X[6956] <= 2
model += X[7612] - Y[66] - X[6315] <= 0
model += X[7612] + Y[66] + X[6315] <= 2
model += X[3964] - Y[67] - X[7284] <= 0
model += X[3964] + Y[67] + X[7284] <= 2
model += X[2828] - Y[69] - X[3272] <= 0
model += X[2828] + Y[69] + X[3272] <= 2
model += -X[6552] + Y[70] - X[557] <= 0
model += -X[6552] - Y[70] + X[557] <= 0
model += -X[254] + Y[71] - X[6019] <= 0
model += -X[254] - Y[71] + X[6019] <= 0
model += -X[2246] + Y[72] - X[551] <= 0
model += -X[2246] - Y[72] + X[551] <= 0
model += X[4950] - Y[73] - X[1583] <= 0
model += X[4950] + Y[73] + X[1583] <= 2
model += -X[573] + X[44] - X[1537] <= 0
model += -X[573] - X[44] + X[1537] <= 0
model += X[3281] - X[425] - X[253] <= 0
model += X[3281] + X[425] + X[253] <= 2
model += X[488] - X[2103] - X[758] <= 0
model += X[488] + X[2103] + X[758] <= 2
model += -X[2157] + X[2102] - X[3] <= 0
model += -X[2157] - X[2102] + X[3] <= 0
model += X[779] - X[6323] - X[564] <= 0
model += X[779] + X[6323] + X[564] <= 2
model += X[2531] - Y[65] - X[1753] <= 0
model += X[2531] + Y[65] + X[1753] <= 2
model += X[3975] - Y[66] - X[1015] <= 0
model += X[3975] + Y[66] + X[1015] <= 2
model += X[5650] - Y[67] - X[5383] <= 0
model += X[5650] + Y[67] + X[5383] <= 2
model += X[6451] - Y[68] - X[4418] <= 0
model += X[6451] + Y[68] + X[4418] <= 2
model += X[3740] - Y[69] - X[2318] <= 0
model += X[3740] + Y[69] + X[2318] <= 2
model += -X[7573] + Y[70] - X[457] <= 0
model += -X[7573] - Y[70] + X[457] <= 0
model += X[2766] - X[23] - X[4010] <= 0
model += X[2766] + X[23] + X[4010] <= 2
model += X[48] - X[1825] - X[3245] <= 0
model += X[48] + X[1825] + X[3245] <= 2
model += X[2462] - X[44] - X[7683] <= 0
model += X[2462] + X[44] + X[7683] <= 2
model += X[6216] - X[2102] - X[10] <= 0
model += X[6216] + X[2102] + X[10] <= 2
model += X[5769] - X[695] - X[317] <= 0
model += X[5769] + X[695] + X[317] <= 2
model += X[351] - X[824] - X[4680] <= 0
model += X[351] + X[824] + X[4680] <= 2
model += X[6488] - Y[65] - X[5508] <= 0
model += X[6488] + Y[65] + X[5508] <= 2
model += X[6544] - Y[66] - X[5634] <= 0
model += X[6544] + Y[66] + X[5634] <= 2
model += -X[1678] + Y[67] - X[620] <= 0
model += -X[1678] - Y[67] + X[620] <= 0
model += X[667] - X[7778] - X[862] <= 0
model += X[667] + X[7778] + X[862] <= 2
model += X[51] - X[1180] - X[3746] <= 0
model += X[51] + X[1180] + X[3746] <= 2
model += X[3234] - X[23] - X[2650] <= 0
model += X[3234] + X[23] + X[2650] <= 2
model += X[877] - X[262] - X[5742] <= 0
model += X[877] + X[262] + X[5742] <= 2
model += X[1155] - X[44] - X[6995] <= 0
model += X[1155] + X[44] + X[6995] <= 2
model += X[20] - X[5237] - X[2216] <= 0
model += X[20] + X[5237] + X[2216] <= 2
model += X[53] - X[7566] - X[2742] <= 0
model += X[53] + X[7566] + X[2742] <= 2
model += -X[5740] + X[23] - X[835] <= 0
model += -X[5740] - X[23] + X[835] <= 0
model += X[659] - X[590] - X[1524] <= 0
model += X[659] + X[590] + X[1524] <= 2
model += X[3971] - X[262] - X[263] <= 0
model += X[3971] + X[262] + X[263] <= 2
model += X[6639] - X[233] - X[904] <= 0
model += X[6639] + X[233] + X[904] <= 2
model += X[95] - X[1747] - X[2528] <= 0
model += X[95] + X[1747] + X[2528] <= 2
model += X[5722] - X[23] - X[1234] <= 0
model += X[5722] + X[23] + X[1234] <= 2
model += X[2526] - X[2011] - X[40] <= 0
model += X[2526] + X[2011] + X[40] <= 2
model += X[7738] - X[799] - X[295] <= 0
model += X[7738] + X[799] + X[295] <= 2
model += X[77] - X[4856] - X[1635] <= 0
model += X[77] + X[4856] + X[1635] <= 2
model += X[6626] - X[425] - X[736] <= 0
model += X[6626] + X[425] + X[736] <= 2
model += X[654] - X[4038] - X[411] <= 0
model += X[654] + X[4038] + X[411] <= 2
model += X[7012] - X[23] - X[3452] <= 0
model += X[7012] + X[23] + X[3452] <= 2
model += -X[18] + X[6186] - X[700] <= 0
model += -X[18] - X[6186] + X[700] <= 0
model += X[299] - X[799] - X[6122] <= 0
model += X[299] + X[799] + X[6122] <= 2
model += X[5604] - X[7491] - X[30] <= 0
model += X[5604] + X[7491] + X[30] <= 2
model += X[4634] - X[824] - X[217] <= 0
model += X[4634] + X[824] + X[217] <= 2
model += -X[2] + X[7039] - X[6743] <= 0
model += -X[2] - X[7039] + X[6743] <= 0
model += X[3310] - X[23] - X[7178] <= 0
model += X[3310] + X[23] + X[7178] <= 2
model += X[6475] - X[590] - X[815] <= 0
model += X[6475] + X[590] + X[815] <= 2
model += X[915] - X[1481] - X[636] <= 0
model += X[915] + X[1481] + X[636] <= 2
model += X[3321] - X[5347] - X[36] <= 0
model += X[3321] + X[5347] + X[36] <= 2
model += X[680] - X[1277] - X[920] <= 0
model += X[680] + X[1277] + X[920] <= 2
model += X[3306] - X[824] - X[973] <= 0
model += X[3306] + X[824] + X[973] <= 2
model += X[47] - X[1747] - X[4269] <= 0
model += X[47] + X[1747] + X[4269] <= 2
model += X[71] - X[3528] - X[3449] <= 0
model += X[71] + X[3528] + X[3449] <= 2
model += X[4660] - X[307] - X[619] <= 0
model += X[4660] + X[307] + X[619] <= 2
model += X[2391] - X[23] - X[7304] <= 0
model += X[2391] + X[23] + X[7304] <= 2
model += X[874] - X[1825] - X[266] <= 0
model += X[874] + X[1825] + X[266] <= 2
model += X[5878] - X[2895] - X[33] <= 0
model += X[5878] + X[2895] + X[33] <= 2
model += X[469] - X[386] - X[3158] <= 0
model += X[469] + X[386] + X[3158] <= 2
model += X[764] - X[307] - X[1550] <= 0
model += X[764] + X[307] + X[1550] <= 2
model += X[6308] - X[23] - X[4490] <= 0
model += X[6308] + X[23] + X[4490] <= 2
model += X[5968] - X[544] - X[622] <= 0
model += X[5968] + X[544] + X[622] <= 2
model += -X[4169] + Y[144] - Y[80] <= 0
model += -X[4169] - Y[144] + Y[80] <= 0
model += -X[1730] + Y[145] - Y[81] <= 0
model += -X[1730] - Y[145] + Y[81] <= 0
model += -X[7621] + Y[146] - Y[82] <= 0
model += -X[7621] - Y[146] + Y[82] <= 0
model += -X[5142] + Y[147] - Y[83] <= 0
model += -X[5142] - Y[147] + Y[83] <= 0
model += -X[2156] + Y[149] - Y[85] <= 0
model += -X[2156] - Y[149] + Y[85] <= 0
model += -X[2539] + Y[150] - Y[86] <= 0
model += -X[2539] - Y[150] + Y[86] <= 0
model += -X[3343] + Y[151] - Y[87] <= 0
model += -X[3343] - Y[151] + Y[87] <= 0
model += -X[7625] + Y[152] - Y[88] <= 0
model += -X[7625] - Y[152] + Y[88] <= 0
model += -X[1860] + Y[153] - Y[89] <= 0
model += -X[1860] - Y[153] + Y[89] <= 0
model += -X[7006] + Y[155] - Y[91] <= 0
model += -X[7006] - Y[155] + Y[91] <= 0
model += -X[4940] + Y[156] - Y[92] <= 0
model += -X[4940] - Y[156] + Y[92] <= 0
model += -X[5374] + Y[158] - Y[94] <= 0
model += -X[5374] - Y[158] + Y[94] <= 0
model += -X[7009] + Y[159] - Y[95] <= 0
model += -X[7009] - Y[159] + Y[95] <= 0
model += -X[6313] + Y[145] - Y[97] <= 0
model += -X[6313] - Y[145] + Y[97] <= 0
model += -X[7339] + Y[146] - Y[98] <= 0
model += -X[7339] - Y[146] + Y[98] <= 0
model += -X[1612] + Y[147] - Y[99] <= 0
model += -X[1612] - Y[147] + Y[99] <= 0
model += X[7739] - Y[148] - Y[100] <= 0
model += X[7739] + Y[148] + Y[100] <= 2
model += X[2097] - Y[149] - Y[101] <= 0
model += X[2097] + Y[149] + Y[101] <= 2
model += X[6042] - Y[150] - Y[102] <= 0
model += X[6042] + Y[150] + Y[102] <= 2
model += X[4461] - Y[152] - Y[104] <= 0
model += X[4461] + Y[152] + Y[104] <= 2
model += X[6732] - Y[153] - Y[105] <= 0
model += X[6732] + Y[153] + Y[105] <= 2
model += X[3769] - Y[154] - Y[106] <= 0
model += X[3769] + Y[154] + Y[106] <= 2
model += X[5851] - Y[155] - Y[107] <= 0
model += X[5851] + Y[155] + Y[107] <= 2
model += X[3010] - Y[156] - Y[108] <= 0
model += X[3010] + Y[156] + Y[108] <= 2
model += X[5151] - Y[157] - Y[109] <= 0
model += X[5151] + Y[157] + Y[109] <= 2
model += -X[927] + Y[158] - Y[110] <= 0
model += -X[927] - Y[158] + Y[110] <= 0
model += X[3472] - Y[159] - Y[111] <= 0
model += X[3472] + Y[159] + Y[111] <= 2
model += -X[972] + Y[144] - Y[112] <= 0
model += -X[972] - Y[144] + Y[112] <= 0
model += X[1400] - Y[145] - Y[113] <= 0
model += X[1400] + Y[145] + Y[113] <= 2
model += X[4622] - Y[146] - Y[114] <= 0
model += X[4622] + Y[146] + Y[114] <= 2
model += X[5335] - Y[147] - Y[115] <= 0
model += X[5335] + Y[147] + Y[115] <= 2
model += X[7460] - Y[148] - Y[116] <= 0
model += X[7460] + Y[148] + Y[116] <= 2
model += X[6647] - Y[149] - Y[117] <= 0
model += X[6647] + Y[149] + Y[117] <= 2
model += X[2790] - Y[150] - Y[118] <= 0
model += X[2790] + Y[150] + Y[118] <= 2
model += X[5841] - Y[151] - Y[119] <= 0
model += X[5841] + Y[151] + Y[119] <= 2
model += X[2530] - Y[152] - Y[120] <= 0
model += X[2530] + Y[152] + Y[120] <= 2
model += X[1955] - Y[153] - Y[121] <= 0
model += X[1955] + Y[153] + Y[121] <= 2
model += X[4450] - Y[154] - Y[122] <= 0
model += X[4450] + Y[154] + Y[122] <= 2
model += X[4833] - Y[155] - Y[123] <= 0
model += X[4833] + Y[155] + Y[123] <= 2
model += X[7503] - Y[156] - Y[124] <= 0
model += X[7503] + Y[156] + Y[124] <= 2
model += X[7791] - Y[157] - Y[125] <= 0
model += X[7791] + Y[157] + Y[125] <= 2
model += -X[149] + Y[158] - Y[126] <= 0
model += -X[149] - Y[158] + Y[126] <= 0
model += X[1141] - Y[159] - Y[127] <= 0
model += X[1141] + Y[159] + Y[127] <= 2
model += X[5355] - Y[144] - Y[128] <= 0
model += X[5355] + Y[144] + Y[128] <= 2
model += X[7656] - Y[145] - Y[129] <= 0
model += X[7656] + Y[145] + Y[129] <= 2
model += -X[139] + Y[146] - Y[130] <= 0
model += -X[139] - Y[146] + Y[130] <= 0
model += X[2745] - Y[147] - Y[131] <= 0
model += X[2745] + Y[147] + Y[131] <= 2
model += X[3821] - Y[148] - Y[132] <= 0
model += X[3821] + Y[148] + Y[132] <= 2
model += -X[341] + Y[149] - Y[133] <= 0
model += -X[341] - Y[149] + Y[133] <= 0
model += X[3952] - Y[150] - Y[134] <= 0
model += X[3952] + Y[150] + Y[134] <= 2
model += X[4992] - Y[151] - Y[135] <= 0
model += X[4992] + Y[151] + Y[135] <= 2
model += X[4881] - Y[152] - Y[136] <= 0
model += X[4881] + Y[152] + Y[136] <= 2
model += -X[420] + Y[153] - Y[137] <= 0
model += -X[420] - Y[153] + Y[137] <= 0
model += X[3414] - Y[154] - Y[138] <= 0
model += X[3414] + Y[154] + Y[138] <= 2
model += X[3466] - Y[155] - Y[139] <= 0
model += X[3466] + Y[155] + Y[139] <= 2
model += X[2719] - Y[156] - Y[140] <= 0
model += X[2719] + Y[156] + Y[140] <= 2
model += X[2722] - Y[157] - Y[141] <= 0
model += X[2722] + Y[157] + Y[141] <= 2
model += X[1933] - Y[158] - Y[142] <= 0
model += X[1933] + Y[158] + Y[142] <= 2
model += X[7406] - Y[159] - Y[143] <= 0
model += X[7406] + Y[159] + Y[143] <= 2
model += X[105] - Y[148] - X[3451] <= 0
model += X[105] + Y[148] + X[3451] <= 2
model += X[6504] - Y[156] - X[151] <= 0
model += X[6504] + Y[156] + X[151] <= 2
model += X[435] - Y[157] - X[4298] <= 0
model += X[435] + Y[157] + X[4298] <= 2
model += X[937] - Y[146] - X[6907] <= 0
model += X[937] + Y[146] + X[6907] <= 2
model += X[4465] - Y[159] - X[684] <= 0
model += X[4465] + Y[159] + X[684] <= 2
model += X[2021] - Y[149] - X[698] <= 0
model += X[2021] + Y[149] + X[698] <= 2
model += X[520] - Y[153] - X[6993] <= 0
model += X[520] + Y[153] + X[6993] <= 2
model += X[259] - Y[154] - X[2053] <= 0
model += X[259] + Y[154] + X[2053] <= 2
model += X[3830] - Y[146] - X[113] <= 0
model += X[3830] + Y[146] + X[113] <= 2
model += X[893] - Y[151] - X[4554] <= 0
model += X[893] + Y[151] + X[4554] <= 2
model += X[717] - Y[154] - X[3071] <= 0
model += X[717] + Y[154] + X[3071] <= 2
model += X[211] - Y[158] - X[7163] <= 0
model += X[211] + Y[158] + X[7163] <= 2
model += X[246] - Y[145] - X[3813] <= 0
model += X[246] + Y[145] + X[3813] <= 2
model += -X[909] + Y[147] - X[187] <= 0
model += -X[909] - Y[147] + X[187] <= 0
model += X[5424] - Y[148] - X[334] <= 0
model += X[5424] + Y[148] + X[334] <= 2
model += X[2492] - Y[150] - X[325] <= 0
model += X[2492] + Y[150] + X[325] <= 2
model += X[630] - Y[153] - X[3157] <= 0
model += X[630] + Y[153] + X[3157] <= 2
model += X[6810] - Y[146] - X[121] <= 0
model += X[6810] + Y[146] + X[121] <= 2
model += X[898] - Y[155] - X[4533] <= 0
model += X[898] + Y[155] + X[4533] <= 2
model += X[7143] - Y[156] - X[423] <= 0
model += X[7143] + Y[156] + X[423] <= 2
model += X[5695] - Y[158] - X[431] <= 0
model += X[5695] + Y[158] + X[431] <= 2
model += -X[80] + Y[159] - X[2224] <= 0
model += -X[80] - Y[159] + X[2224] <= 0
model += X[7564] - Y[144] - X[210] <= 0
model += X[7564] + Y[144] + X[210] <= 2
model += X[922] - Y[157] - X[2624] <= 0
model += X[922] + Y[157] + X[2624] <= 2
model += X[7513] - Y[158] - X[720] <= 0
model += X[7513] + Y[158] + X[720] <= 2
model += X[1769] - Y[159] - X[281] <= 0
model += X[1769] + Y[159] + X[281] <= 2
model += X[316] - Y[145] - X[4602] <= 0
model += X[316] + Y[145] + X[4602] <= 2
model += X[1659] - Y[153] - X[513] <= 0
model += X[1659] + Y[153] + X[513] <= 2
model += X[7173] - Y[146] - X[228] <= 0
model += X[7173] + Y[146] + X[228] <= 2
model += X[195] - Y[148] - X[7347] <= 0
model += X[195] + Y[148] + X[7347] <= 2
model += X[805] - Y[159] - X[1885] <= 0
model += X[805] + Y[159] + X[1885] <= 2
model += X[7437] - Y[149] - X[688] <= 0
model += X[7437] + Y[149] + X[688] <= 2
model += X[1079] - Y[152] - X[743] <= 0
model += X[1079] + Y[152] + X[743] <= 2
model += X[3744] - Y[154] - X[775] <= 0
model += X[3744] + Y[154] + X[775] <= 2
model += -X[15] + Y[148] - X[2512] <= 0
model += -X[15] - Y[148] + X[2512] <= 0
model += X[4487] - Y[149] - X[230] <= 0
model += X[4487] + Y[149] + X[230] <= 2
model += X[878] - Y[150] - X[5835] <= 0
model += X[878] + Y[150] + X[5835] <= 2
model += X[3657] - Y[158] - X[200] <= 0
model += X[3657] + Y[158] + X[200] <= 2
model += X[4777] - Y[148] - X[347] <= 0
model += X[4777] + Y[148] + X[347] <= 2
model += X[517] - Y[158] - X[6343] <= 0
model += X[517] + Y[158] + X[6343] <= 2
model += X[3910] - Y[146] - X[952] <= 0
model += X[3910] + Y[146] + X[952] <= 2
model += X[6374] - Y[148] - X[278] <= 0
model += X[6374] + Y[148] + X[278] <= 2
model += X[4177] - Y[150] - X[455] <= 0
model += X[4177] + Y[150] + X[455] <= 2
model += X[448] - Y[159] - X[7568] <= 0
model += X[448] + Y[159] + X[7568] <= 2
model += X[7124] - Y[144] - X[556] <= 0
model += X[7124] + Y[144] + X[556] <= 2
model += X[6617] - Y[146] - X[357] <= 0
model += X[6617] + Y[146] + X[357] <= 2
model += X[4703] - Y[147] - X[530] <= 0
model += X[4703] + Y[147] + X[530] <= 2
model += X[749] - Y[145] - X[1230] <= 0
model += X[749] + Y[145] + X[1230] <= 2
model += X[865] - Y[153] - X[1326] <= 0
model += X[865] + Y[153] + X[1326] <= 2
model += X[787] - Y[155] - X[3041] <= 0
model += X[787] + Y[155] + X[3041] <= 2
model += X[7356] - Y[156] - X[465] <= 0
model += X[7356] + Y[156] + X[465] <= 2
model += X[5435] - Y[146] - X[917] <= 0
model += X[5435] + Y[146] + X[917] <= 2
model += X[7084] - Y[152] - X[443] <= 0
model += X[7084] + Y[152] + X[443] <= 2
model += X[4810] - Y[154] - X[202] <= 0
model += X[4810] + Y[154] + X[202] <= 2
model += X[902] - Y[155] - X[3723] <= 0
model += X[902] + Y[155] + X[3723] <= 2
model += -X[867] + Y[156] - X[781] <= 0
model += -X[867] - Y[156] + X[781] <= 0
model += X[588] - Y[157] - X[3359] <= 0
model += X[588] + Y[157] + X[3359] <= 2
model += X[244] - Y[153] - X[5539] <= 0
model += X[244] + Y[153] + X[5539] <= 2
model += X[7516] - Y[145] - X[793] <= 0
model += X[7516] + Y[145] + X[793] <= 2
model += X[735] - Y[150] - X[3577] <= 0
model += X[735] + Y[150] + X[3577] <= 2
model += X[5484] - Y[144] - X[534] <= 0
model += X[5484] + Y[144] + X[534] <= 2
model += X[1096] - Y[146] - X[960] <= 0
model += X[1096] + Y[146] + X[960] <= 2
model += -X[981] + Y[151] - X[363] <= 0
model += -X[981] - Y[151] + X[363] <= 0
model += X[1314] - Y[153] - X[549] <= 0
model += X[1314] + Y[153] + X[549] <= 2
model += X[6983] - X[1834] - X[62] <= 0
model += X[6983] + X[1834] + X[62] <= 2
model += X[116] - Y[154] - X[3076] <= 0
model += X[116] + Y[154] + X[3076] <= 2
model += X[843] - X[2858] - X[243] <= 0
model += X[843] + X[2858] + X[243] <= 2
model += X[847] - Y[149] - X[6643] <= 0
model += X[847] + Y[149] + X[6643] <= 2
model += X[7147] - Y[144] - X[504] <= 0
model += X[7147] + Y[144] + X[504] <= 2
model += X[3353] - Y[154] - X[763] <= 0
model += X[3353] + Y[154] + X[763] <= 2
model += X[440] - Y[157] - X[2591] <= 0
model += X[440] + Y[157] + X[2591] <= 2
model += X[832] - Y[159] - X[3255] <= 0
model += X[832] + Y[159] + X[3255] <= 2
model += X[6359] - X[68] - X[1266] <= 0
model += X[6359] + X[68] + X[1266] <= 2
model += X[2982] - Y[144] - X[697] <= 0
model += X[2982] + Y[144] + X[697] <= 2
model += X[369] - Y[145] - X[6299] <= 0
model += X[369] + Y[145] + X[6299] <= 2
model += X[722] - Y[152] - X[1690] <= 0
model += X[722] + Y[152] + X[1690] <= 2
model += X[422] - X[3757] - X[298] <= 0
model += X[422] + X[3757] + X[298] <= 2
model += X[647] - Y[149] - X[3751] <= 0
model += X[647] + Y[149] + X[3751] <= 2
model += X[309] - Y[151] - X[3632] <= 0
model += X[309] + Y[151] + X[3632] <= 2
model += X[4048] - Y[154] - X[486] <= 0
model += X[4048] + Y[154] + X[486] <= 2
model += X[1601] - Y[159] - X[147] <= 0
model += X[1601] + Y[159] + X[147] <= 2
model += -X[7435] + X[68] - X[156] <= 0
model += -X[7435] - X[68] + X[156] <= 0
model += X[617] - Y[159] - X[4928] <= 0
model += X[617] + Y[159] + X[4928] <= 2
model += X[4146] - Y[148] - X[398] <= 0
model += X[4146] + Y[148] + X[398] <= 2
model += X[795] - Y[152] - X[6829] <= 0
model += X[795] + Y[152] + X[6829] <= 2
model += X[55] - X[4805] - X[4580] <= 0
model += X[55] + X[4805] + X[4580] <= 2
model += -X[6771] + Y[148] - X[98] <= 0
model += -X[6771] - Y[148] + X[98] <= 0
model += -X[511] + Y[150] - X[429] <= 0
model += -X[511] - Y[150] + X[429] <= 0
model += X[5213] - Y[151] - X[675] <= 0
model += X[5213] + Y[151] + X[675] <= 2
model += X[267] - Y[153] - X[3939] <= 0
model += X[267] + Y[153] + X[3939] <= 2
model += X[383] - Y[149] - X[2603] <= 0
model += X[383] + Y[149] + X[2603] <= 2
model += X[286] - Y[150] - X[7155] <= 0
model += X[286] + Y[150] + X[7155] <= 2
model += X[5357] - Y[157] - X[566] <= 0
model += X[5357] + Y[157] + X[566] <= 2
model += X[716] - Y[158] - X[1928] <= 0
model += X[716] + Y[158] + X[1928] <= 2
model += X[949] - Y[159] - X[1043] <= 0
model += X[949] + Y[159] + X[1043] <= 2
model += X[470] - Y[146] - X[2079] <= 0
model += X[470] + Y[146] + X[2079] <= 2
model += X[5600] - X[173] - X[652] <= 0
model += X[5600] + X[173] + X[652] <= 2
model += X[2344] - Y[156] - X[932] <= 0
model += X[2344] + Y[156] + X[932] <= 2
model += X[353] - Y[157] - X[3683] <= 0
model += X[353] + Y[157] + X[3683] <= 2
model += X[514] - Y[145] - X[6553] <= 0
model += X[514] + Y[145] + X[6553] <= 2
model += X[801] - Y[149] - X[6282] <= 0
model += X[801] + Y[149] + X[6282] <= 2
model += X[1515] - X[68] - X[3509] <= 0
model += X[1515] + X[68] + X[3509] <= 2
model += X[131] - Y[159] - X[2984] <= 0
model += X[131] + Y[159] + X[2984] <= 2
model += X[980] - Y[144] - X[2002] <= 0
model += X[980] + Y[144] + X[2002] <= 2
model += X[489] - Y[152] - X[7238] <= 0
model += X[489] + Y[152] + X[7238] <= 2
model += -X[345] + Y[151] - X[559] <= 0
model += -X[345] - Y[151] + X[559] <= 0
model += -X[3339] + Y[154] - X[72] <= 0
model += -X[3339] - Y[154] + X[72] <= 0
model += X[1630] - Y[155] - X[395] <= 0
model += X[1630] + Y[155] + X[395] <= 2
model += X[542] - Y[158] - X[4406] <= 0
model += X[542] + Y[158] + X[4406] <= 2
model += X[982] - Y[159] - X[5303] <= 0
model += X[982] + Y[159] + X[5303] <= 2
model += -X[2692] + Y[144] - X[92] <= 0
model += -X[2692] - Y[144] + X[92] <= 0
model += X[1708] - Y[146] - X[285] <= 0
model += X[1708] + Y[146] + X[285] <= 2
model += X[2770] - X[3728] - X[73] <= 0
model += X[2770] + X[3728] + X[73] <= 2
model += X[2510] - X[173] - X[450] <= 0
model += X[2510] + X[173] + X[450] <= 2
model += X[442] - X[1705] - X[839] <= 0
model += X[442] + X[1705] + X[839] <= 2
model += X[911] - Y[144] - X[7158] <= 0
model += X[911] + Y[144] + X[7158] <= 2
model += X[444] - Y[146] - X[6958] <= 0
model += X[444] + Y[146] + X[6958] <= 2
model += -X[1186] + Y[149] - X[11] <= 0
model += -X[1186] - Y[149] + X[11] <= 0
model += X[3899] - X[873] - X[913] <= 0
model += X[3899] + X[873] + X[913] <= 2
model += X[2912] - X[68] - X[2451] <= 0
model += X[2912] + X[68] + X[2451] <= 2
model += X[6174] - X[3918] - X[25] <= 0
model += X[6174] + X[3918] + X[25] <= 2
model += X[375] - Y[144] - X[2601] <= 0
model += X[375] + Y[144] + X[2601] <= 2
model += X[326] - X[4295] - X[120] <= 0
model += X[326] + X[4295] + X[120] <= 2
model += X[264] - Y[147] - X[2541] <= 0
model += X[264] + Y[147] + X[2541] <= 2
model += X[114] - Y[149] - X[4734] <= 0
model += X[114] + Y[149] + X[4734] <= 2
model += -X[76] + Y[150] - X[6332] <= 0
model += -X[76] - Y[150] + X[6332] <= 0
model += X[940] - Y[151] - X[3247] <= 0
model += X[940] + Y[151] + X[3247] <= 2
model += X[2782] - Y[156] - X[606] <= 0
model += X[2782] + Y[156] + X[606] <= 2
model += X[2152] - X[173] - X[287] <= 0
model += X[2152] + X[173] + X[287] <= 2
model += X[142] - Y[148] - X[2189] <= 0
model += X[142] + Y[148] + X[2189] <= 2
model += -X[4523] + Y[150] - X[27] <= 0
model += -X[4523] - Y[150] + X[27] <= 0
model += X[5880] - X[68] - X[5689] <= 0
model += X[5880] + X[68] + X[5689] <= 2
model += X[5672] - Y[147] - X[117] <= 0
model += X[5672] + Y[147] + X[117] <= 2
model += X[352] - Y[151] - X[6010] <= 0
model += X[352] + Y[151] + X[6010] <= 2
model += X[424] - X[3757] - X[302] <= 0
model += X[424] + X[3757] + X[302] <= 2
model += X[528] - X[3651] - X[883] <= 0
model += X[528] + X[3651] + X[883] <= 2
model += -X[6328] + X[179] - X[29] <= 0
model += -X[6328] - X[179] + X[29] <= 0
model += X[2390] - Y[157] - X[130] <= 0
model += X[2390] + Y[157] + X[130] <= 2
model += X[2848] - Y[144] - X[921] <= 0
model += X[2848] + Y[144] + X[921] <= 2
model += X[4475] - X[539] - X[308] <= 0
model += X[4475] + X[539] + X[308] <= 2
model += X[7611] - Y[145] - X[800] <= 0
model += X[7611] + Y[145] + X[800] <= 2
model += X[3320] - X[873] - X[426] <= 0
model += X[3320] + X[873] + X[426] <= 2
model += X[5729] - X[68] - X[7267] <= 0
model += X[5729] + X[68] + X[7267] <= 2
model += X[623] - Y[155] - X[3187] <= 0
model += X[623] + Y[155] + X[3187] <= 2
model += X[43] - X[3721] - X[3261] <= 0
model += X[43] + X[3721] + X[3261] <= 2
model += X[4405] - X[2668] - X[99] <= 0
model += X[4405] + X[2668] + X[99] <= 2
model += -X[153] + Y[157] - X[632] <= 0
model += -X[153] - Y[157] + X[632] <= 0
model += X[97] - X[2275] - X[2607] <= 0
model += X[97] + X[2275] + X[2607] <= 2
model += X[1227] - Y[144] - X[774] <= 0
model += X[1227] + Y[144] + X[774] <= 2
model += X[986] - Y[149] - X[1558] <= 0
model += X[986] + Y[149] + X[1558] <= 2
model += X[3609] - X[873] - X[734] <= 0
model += X[3609] + X[873] + X[734] <= 2
model += -X[4035] + X[68] - X[331] <= 0
model += -X[4035] - X[68] + X[331] <= 0
model += -X[4] + X[1143] - X[5265] <= 0
model += -X[4] - X[1143] + X[5265] <= 0
model += X[6616] - Y[151] - X[816] <= 0
model += X[6616] + Y[151] + X[816] <= 2
model += -X[79] + X[2562] - X[456] <= 0
model += -X[79] - X[2562] + X[456] <= 0
model += X[2990] - Y[159] - X[995] <= 0
model += X[2990] + Y[159] + X[995] <= 2
model += X[5924] - Y[145] - X[953] <= 0
model += X[5924] + Y[145] + X[953] <= 2
model += X[4702] - X[68] - X[3560] <= 0
model += X[4702] + X[68] + X[3560] <= 2
model += X[189] - X[910] - X[3895] <= 0
model += X[189] + X[910] + X[3895] <= 2
model += X[4246] - Y[152] - X[849] <= 0
model += X[4246] + Y[152] + X[849] <= 2
model += X[7240] - X[1834] - X[65] <= 0
model += X[7240] + X[1834] + X[65] <= 2
model += X[34] - X[1776] - X[4723] <= 0
model += X[34] + X[1776] + X[4723] <= 2
model += X[7409] - X[451] - X[746] <= 0
model += X[7409] + X[451] + X[746] <= 2
model += X[969] - Y[158] - X[1031] <= 0
model += X[969] + Y[158] + X[1031] <= 2
model += X[951] - Y[148] - X[6660] <= 0
model += X[951] + Y[148] + X[6660] <= 2
model += X[6986] - X[68] - X[6666] <= 0
model += X[6986] + X[68] + X[6666] <= 2
model += X[971] - Y[153] - X[6497] <= 0
model += X[971] + Y[153] + X[6497] <= 2
model += X[730] - Y[155] - X[1066] <= 0
model += X[730] + Y[155] + X[1066] <= 2
model += -X[24] + Y[156] - X[5806] <= 0
model += -X[24] - Y[156] + X[5806] <= 0
model += X[296] - X[2306] - X[748] <= 0
model += X[296] + X[2306] + X[748] <= 2
model += X[78] - X[4230] - X[3382] <= 0
model += X[78] + X[4230] + X[3382] <= 2
model += X[2585] - X[173] - X[845] <= 0
model += X[2585] + X[173] + X[845] <= 2
model += -X[983] + X[539] - X[214] <= 0
model += -X[983] - X[539] + X[214] <= 0
model += X[45] - X[7149] - X[1214] <= 0
model += X[45] + X[7149] + X[1214] <= 2
model += -X[1554] + Y[149] - X[39] <= 0
model += -X[1554] - Y[149] + X[39] <= 0
model += -X[52] + Y[150] - X[1877] <= 0
model += -X[52] - Y[150] + X[1877] <= 0
model += X[7517] - X[68] - X[7235] <= 0
model += X[7517] + X[68] + X[7235] <= 2
model += -X[67] + Y[151] - X[7632] <= 0
model += -X[67] - Y[151] + X[7632] <= 0
model += X[70] - X[7619] - X[5534] <= 0
model += X[70] + X[7619] + X[5534] <= 2
model += X[531] - Y[147] - X[4043] <= 0
model += X[531] + Y[147] + X[4043] <= 2
model += X[4762] - Y[149] - X[923] <= 0
model += X[4762] + Y[149] + X[923] <= 2
model += -X[5426] + X[68] - X[770] <= 0
model += -X[5426] - X[68] + X[770] <= 0
model += X[745] - X[2866] - X[432] <= 0
model += X[745] + X[2866] + X[432] <= 2
model += X[962] - X[5096] - X[476] <= 0
model += X[962] + X[5096] + X[476] <= 2
model += X[2241] - X[179] - X[367] <= 0
model += X[2241] + X[179] + X[367] <= 2
model += -X[290] + Y[145] - X[280] <= 0
model += -X[290] - Y[145] + X[280] <= 0
model += X[118] - Y[146] - X[3631] <= 0
model += X[118] + Y[146] + X[3631] <= 2
model += X[453] - X[1340] - X[651] <= 0
model += X[453] + X[1340] + X[651] <= 2
model += X[368] - X[173] - X[1311] <= 0
model += X[368] + X[173] + X[1311] <= 2
model += X[558] - X[641] - X[1604] <= 0
model += X[558] + X[641] + X[1604] <= 2
model += X[948] - X[873] - X[6739] <= 0
model += X[948] + X[873] + X[6739] <= 2
model += -X[2958] + X[68] - X[467] <= 0
model += -X[2958] - X[68] + X[467] <= 0
model += X[4763] - X[6116] - X[42] <= 0
model += X[4763] + X[6116] + X[42] <= 2
model += X[82] - X[5096] - X[1344] <= 0
model += X[82] + X[5096] + X[1344] <= 2
model += X[601] - X[2841] - X[161] <= 0
model += X[601] + X[2841] + X[161] <= 2
model += X[554] - X[1138] - X[571] <= 0
model += X[554] + X[1138] + X[571] <= 2
model += X[32] - X[7547] - X[6988] <= 0
model += X[32] + X[7547] + X[6988] <= 2
model += X[3344] - X[4329] - X[31] <= 0
model += X[3344] + X[4329] + X[31] <= 2
model += X[4590] - X[68] - X[6926] <= 0
model += X[4590] + X[68] + X[6926] <= 2
model += X[61] - X[3651] - X[5874] <= 0
model += X[61] + X[3651] + X[5874] <= 2
model += X[731] - X[6031] - X[827] <= 0
model += X[731] + X[6031] + X[827] <= 2
model += X[510] - X[2858] - X[740] <= 0
model += X[510] + X[2858] + X[740] <= 2
model += X[89] - X[5023] - X[4665] <= 0
model += X[89] + X[5023] + X[4665] <= 2
model += X[5973] - X[81] - X[1471] <= 0
model += X[5973] + X[81] + X[1471] <= 2
model += X[754] - X[480] - X[4171] <= 0
model += X[754] + X[480] + X[4171] <= 2
model += X[4458] - X[586] - X[527] <= 0
model += X[4458] + X[586] + X[527] <= 2
model += X[826] - X[394] - X[6887] <= 0
model += X[826] + X[394] + X[6887] <= 2
model += X[2480] - X[68] - X[7183] <= 0
model += X[2480] + X[68] + X[7183] <= 2
model += X[4623] - X[2270] - X[86] <= 0
model += X[4623] + X[2270] + X[86] <= 2
model += X[4507] - X[179] - X[324] <= 0
model += X[4507] + X[179] + X[324] <= 2
model += X[7095] - X[81] - X[1302] <= 0
model += X[7095] + X[81] + X[1302] <= 2
model += -X[599] + X[173] - X[515] <= 0
model += -X[599] - X[173] + X[515] <= 0
model += X[854] - X[539] - X[3264] <= 0
model += X[854] + X[539] + X[3264] <= 2
model += X[2775] - X[68] - X[5027] <= 0
model += X[2775] + X[68] + X[5027] <= 2
model += X[5943] - X[997] - X[374] <= 0
model += X[5943] + X[997] + X[374] <= 2
model += -X[69] + X[310] - X[3969] <= 0
model += -X[69] - X[310] + X[3969] <= 0
model += X[481] - X[882] - X[5767] <= 0
model += X[481] + X[882] + X[5767] <= 2
model += X[251] - X[179] - X[3106] <= 0
model += X[251] + X[179] + X[3106] <= 2
model += X[5555] - X[81] - X[3295] <= 0
model += X[5555] + X[81] + X[3295] <= 2
model += X[289] - X[539] - X[4671] <= 0
model += X[289] + X[539] + X[4671] <= 2
model += X[170] - X[255] - X[3516] <= 0
model += X[170] + X[255] + X[3516] <= 2
model += X[2116] - X[68] - X[1641] <= 0
model += X[2116] + X[68] + X[1641] <= 2
model += X[6662] - X[12] - X[6540] <= 0
model += X[6662] + X[12] + X[6540] <= 2
model += X[2987] - X[910] - X[119] <= 0
model += X[2987] + X[910] + X[119] <= 2
model += X[46] - X[7197] - X[3881] <= 0
model += X[46] + X[7197] + X[3881] <= 2
model += X[100] - X[2841] - X[896] <= 0
model += X[100] + X[2841] + X[896] <= 2
model += X[5762] - X[81] - X[2235] <= 0
model += X[5762] + X[81] + X[2235] <= 2
model += X[356] - X[173] - X[4514] <= 0
model += X[356] + X[173] + X[4514] <= 2
model += X[237] - X[586] - X[3221] <= 0
model += X[237] + X[586] + X[3221] <= 2
model += X[7219] - X[12] - X[7229] <= 0
model += X[7219] + X[12] + X[7229] <= 2
model += X[75] - X[1884] - X[4267] <= 0
model += X[75] + X[1884] + X[4267] <= 2
model += X[208] - X[1143] - X[990] <= 0
model += X[208] + X[1143] + X[990] <= 2
model += X[250] - X[910] - X[5445] <= 0
model += X[250] + X[910] + X[5445] <= 2
model += X[6568] - X[997] - X[884] <= 0
model += X[6568] + X[997] + X[884] <= 2
model += X[17] - X[4593] - X[6532] <= 0
model += X[17] + X[4593] + X[6532] <= 2
model += X[768] - X[3294] - X[819] <= 0
model += X[768] + X[3294] + X[819] <= 2
model += X[3682] - X[882] - X[282] <= 0
model += X[3682] + X[882] + X[282] <= 2
model += X[965] - X[936] - X[6047] <= 0
model += X[965] + X[936] + X[6047] <= 2
model += -X[2453] + Y[65] - X[1418] <= 0
model += -X[2453] - Y[65] + X[1418] <= 0
model += -X[5639] + Y[66] - X[3716] <= 0
model += -X[5639] - Y[66] + X[3716] <= 0
model += -X[6593] + Y[67] - X[2674] <= 0
model += -X[6593] - Y[67] + X[2674] <= 0
model += -X[7459] + Y[69] - X[1902] <= 0
model += -X[7459] - Y[69] + X[1902] <= 0
model += -X[3902] + Y[72] - X[1007] <= 0
model += -X[3902] - Y[72] + X[1007] <= 0
model += -X[7224] + Y[73] - X[6659] <= 0
model += -X[7224] - Y[73] + X[6659] <= 0
model += -X[3231] + Y[74] - X[1887] <= 0
model += -X[3231] - Y[74] + X[1887] <= 0
model += -X[6402] + Y[75] - X[5535] <= 0
model += -X[6402] - Y[75] + X[5535] <= 0
model += -X[4232] + Y[76] - X[3921] <= 0
model += -X[4232] - Y[76] + X[3921] <= 0
model += -X[7038] + Y[77] - X[7001] <= 0
model += -X[7038] - Y[77] + X[7001] <= 0
model += -X[2105] + Y[78] - X[7131] <= 0
model += -X[2105] - Y[78] + X[7131] <= 0
model += -X[5497] + Y[64] - X[1166] <= 0
model += -X[5497] - Y[64] + X[1166] <= 0
model += -X[5046] + Y[65] - X[5612] <= 0
model += -X[5046] - Y[65] + X[5612] <= 0
model += -X[6423] + Y[67] - X[5955] <= 0
model += -X[6423] - Y[67] + X[5955] <= 0
model += -X[5751] + Y[68] - X[4127] <= 0
model += -X[5751] - Y[68] + X[4127] <= 0
model += -X[2180] + Y[69] - X[7289] <= 0
model += -X[2180] - Y[69] + X[7289] <= 0
model += -X[2234] + Y[70] - X[6350] <= 0
model += -X[2234] - Y[70] + X[6350] <= 0
model += -X[6232] + Y[71] - X[3643] <= 0
model += -X[6232] - Y[71] + X[3643] <= 0
model += -X[6548] + Y[72] - X[6835] <= 0
model += -X[6548] - Y[72] + X[6835] <= 0
model += -X[2540] + Y[74] - X[1519] <= 0
model += -X[2540] - Y[74] + X[1519] <= 0
model += -X[5091] + Y[75] - X[6384] <= 0
model += -X[5091] - Y[75] + X[6384] <= 0
model += -X[4217] + Y[76] - X[2532] <= 0
model += -X[4217] - Y[76] + X[2532] <= 0
model += -X[3214] + Y[77] - X[6650] <= 0
model += -X[3214] - Y[77] + X[6650] <= 0
model += -X[5518] + Y[78] - X[7129] <= 0
model += -X[5518] - Y[78] + X[7129] <= 0
model += -X[5956] + Y[79] - X[2757] <= 0
model += -X[5956] - Y[79] + X[2757] <= 0
model += -X[6580] + Y[64] - X[3489] <= 0
model += -X[6580] - Y[64] + X[3489] <= 0
model += -X[4650] + Y[65] - X[7734] <= 0
model += -X[4650] - Y[65] + X[7734] <= 0
model += -X[2633] + Y[66] - X[3766] <= 0
model += -X[2633] - Y[66] + X[3766] <= 0
model += -X[4132] + Y[67] - X[2264] <= 0
model += -X[4132] - Y[67] + X[2264] <= 0
model += -X[3393] + Y[68] - X[4909] <= 0
model += -X[3393] - Y[68] + X[4909] <= 0
model += -X[4638] + Y[69] - X[4063] <= 0
model += -X[4638] - Y[69] + X[4063] <= 0
model += -X[4752] + Y[70] - X[5795] <= 0
model += -X[4752] - Y[70] + X[5795] <= 0
model += -X[3670] + Y[71] - X[2887] <= 0
model += -X[3670] - Y[71] + X[2887] <= 0
model += -X[4710] + Y[73] - X[2006] <= 0
model += -X[4710] - Y[73] + X[2006] <= 0
model += -X[7138] + Y[74] - X[1406] <= 0
model += -X[7138] - Y[74] + X[1406] <= 0
model += -X[5048] + Y[75] - X[3911] <= 0
model += -X[5048] - Y[75] + X[3911] <= 0
model += -X[2299] + Y[76] - X[1310] <= 0
model += -X[2299] - Y[76] + X[1310] <= 0
model += -X[4949] + Y[77] - X[1408] <= 0
model += -X[4949] - Y[77] + X[1408] <= 0
model += -X[2402] + Y[78] - X[4904] <= 0
model += -X[2402] - Y[78] + X[4904] <= 0
model += -X[6896] + Y[79] - X[2711] <= 0
model += -X[6896] - Y[79] + X[2711] <= 0
model += -X[4373] + Y[64] - X[5197] <= 0
model += -X[4373] - Y[64] + X[5197] <= 0
model += -X[3851] + Y[65] - X[5566] <= 0
model += -X[3851] - Y[65] + X[5566] <= 0
model += -X[6165] + Y[67] - X[1241] <= 0
model += -X[6165] - Y[67] + X[1241] <= 0
model += -X[3745] + Y[68] - X[5488] <= 0
model += -X[3745] - Y[68] + X[5488] <= 0
model += -X[7314] + Y[69] - X[2640] <= 0
model += -X[7314] - Y[69] + X[2640] <= 0
model += -X[7562] + Y[71] - X[2558] <= 0
model += -X[7562] - Y[71] + X[2558] <= 0
model += -X[4783] + Y[72] - X[2210] <= 0
model += -X[4783] - Y[72] + X[2210] <= 0
model += -X[1823] + Y[73] - X[1177] <= 0
model += -X[1823] - Y[73] + X[1177] <= 0
model += -X[2276] + Y[74] - X[2967] <= 0
model += -X[2276] - Y[74] + X[2967] <= 0
model += -X[5869] + Y[75] - X[4496] <= 0
model += -X[5869] - Y[75] + X[4496] <= 0
model += -X[6906] + Y[76] - X[3369] <= 0
model += -X[6906] - Y[76] + X[3369] <= 0
model += -X[2136] + Y[78] - X[6656] <= 0
model += -X[2136] - Y[78] + X[6656] <= 0
model += -X[6652] + Y[64] - X[2366] <= 0
model += -X[6652] - Y[64] + X[2366] <= 0
model += -X[1475] + Y[65] - X[6161] <= 0
model += -X[1475] - Y[65] + X[6161] <= 0
model += -X[6495] + Y[66] - X[4910] <= 0
model += -X[6495] - Y[66] + X[4910] <= 0
model += -X[5703] + Y[67] - X[3640] <= 0
model += -X[5703] - Y[67] + X[3640] <= 0
model += -X[3226] + Y[69] - X[7113] <= 0
model += -X[3226] - Y[69] + X[7113] <= 0
model += -X[3302] + Y[70] - X[3435] <= 0
model += -X[3302] - Y[70] + X[3435] <= 0
model += -X[3217] + Y[71] - X[6931] <= 0
model += -X[3217] - Y[71] + X[6931] <= 0
model += -X[6996] + Y[72] - X[5589] <= 0
model += -X[6996] - Y[72] + X[5589] <= 0
model += -X[1664] + Y[73] - X[7496] <= 0
model += -X[1664] - Y[73] + X[7496] <= 0
model += -X[7481] + Y[74] - X[5714] <= 0
model += -X[7481] - Y[74] + X[5714] <= 0
model += -X[1322] + Y[75] - X[2553] <= 0
model += -X[1322] - Y[75] + X[2553] <= 0
model += -X[4012] + Y[76] - X[6755] <= 0
model += -X[4012] - Y[76] + X[6755] <= 0
model += X[6700] - X[6114] - X[794] <= 0
model += X[6700] + X[6114] + X[794] <= 2
model += -X[2759] + Y[65] - X[7195] <= 0
model += -X[2759] - Y[65] + X[7195] <= 0
model += -X[3141] + Y[66] - X[4433] <= 0
model += -X[3141] - Y[66] + X[4433] <= 0
model += -X[1470] + Y[68] - X[2301] <= 0
model += -X[1470] - Y[68] + X[2301] <= 0
model += -X[2773] + Y[69] - X[7089] <= 0
model += -X[2773] - Y[69] + X[7089] <= 0
model += -X[1578] + Y[70] - X[1137] <= 0
model += -X[1578] - Y[70] + X[1137] <= 0
model += -X[2349] + Y[71] - X[6255] <= 0
model += -X[2349] - Y[71] + X[6255] <= 0
model += -X[5280] + Y[72] - X[3236] <= 0
model += -X[5280] - Y[72] + X[3236] <= 0
model += -X[1827] + Y[73] - X[6156] <= 0
model += -X[1827] - Y[73] + X[6156] <= 0
model += -X[1171] + Y[74] - X[6517] <= 0
model += -X[1171] - Y[74] + X[6517] <= 0
model += -X[5533] + Y[75] - X[5918] <= 0
model += -X[5533] - Y[75] + X[5918] <= 0
model += -X[1114] + Y[76] - X[1494] <= 0
model += -X[1114] - Y[76] + X[1494] <= 0
model += -X[2655] + Y[77] - X[5089] <= 0
model += -X[2655] - Y[77] + X[5089] <= 0
model += -X[7716] + Y[78] - X[4485] <= 0
model += -X[7716] - Y[78] + X[4485] <= 0
model += -X[5568] + Y[79] - X[5047] <= 0
model += -X[5568] - Y[79] + X[5047] <= 0
model += -X[3337] + Y[64] - X[2672] <= 0
model += -X[3337] - Y[64] + X[2672] <= 0
model += -X[3058] + Y[65] - X[4176] <= 0
model += -X[3058] - Y[65] + X[4176] <= 0
model += -X[5511] + Y[66] - X[5323] <= 0
model += -X[5511] - Y[66] + X[5323] <= 0
model += -X[3824] + Y[67] - X[6629] <= 0
model += -X[3824] - Y[67] + X[6629] <= 0
model += -X[4563] + Y[69] - X[6654] <= 0
model += -X[4563] - Y[69] + X[6654] <= 0
model += -X[5011] + Y[70] - X[2315] <= 0
model += -X[5011] - Y[70] + X[2315] <= 0
model += -X[3243] + Y[72] - X[1204] <= 0
model += -X[3243] - Y[72] + X[1204] <= 0
model += -X[3735] + Y[74] - X[6733] <= 0
model += -X[3735] - Y[74] + X[6733] <= 0
model += -X[3828] + Y[75] - X[5045] <= 0
model += -X[3828] - Y[75] + X[5045] <= 0
model += -X[5550] + Y[77] - X[6924] <= 0
model += -X[5550] - Y[77] + X[6924] <= 0
model += -X[1260] + Y[78] - X[1393] <= 0
model += -X[1260] - Y[78] + X[1393] <= 0
model += -X[7091] + Y[79] - X[4271] <= 0
model += -X[7091] - Y[79] + X[4271] <= 0
model += -X[1187] + Y[64] - X[6412] <= 0
model += -X[1187] - Y[64] + X[6412] <= 0
model += -X[3583] + Y[65] - X[3161] <= 0
model += -X[3583] - Y[65] + X[3161] <= 0
model += -X[2172] + Y[69] - X[5003] <= 0
model += -X[2172] - Y[69] + X[5003] <= 0
model += -X[1289] + Y[70] - X[3646] <= 0
model += -X[1289] - Y[70] + X[3646] <= 0
model += -X[3608] + Y[71] - X[6770] <= 0
model += -X[3608] - Y[71] + X[6770] <= 0
model += -X[3373] + Y[73] - X[5698] <= 0
model += -X[3373] - Y[73] + X[5698] <= 0
model += X[4983] - X[1148] - X[438] <= 0
model += X[4983] + X[1148] + X[438] <= 2
model += -X[4944] + Y[75] - X[4990] <= 0
model += -X[4944] - Y[75] + X[4990] <= 0
model += -X[3029] + Y[76] - X[3798] <= 0
model += -X[3029] - Y[76] + X[3798] <= 0
model += -X[2484] + Y[77] - X[6649] <= 0
model += -X[2484] - Y[77] + X[6649] <= 0
model += -X[2424] + Y[65] - X[3223] <= 0
model += -X[2424] - Y[65] + X[3223] <= 0
model += -X[1624] + Y[66] - X[5268] <= 0
model += -X[1624] - Y[66] + X[5268] <= 0
model += -X[3331] + Y[67] - X[5804] <= 0
model += -X[3331] - Y[67] + X[5804] <= 0
model += -X[6346] + Y[68] - X[3199] <= 0
model += -X[6346] - Y[68] + X[3199] <= 0
model += -X[7110] + Y[69] - X[3084] <= 0
model += -X[7110] - Y[69] + X[3084] <= 0
model += -X[2980] + Y[70] - X[1584] <= 0
model += -X[2980] - Y[70] + X[1584] <= 0
model += -X[4446] + Y[71] - X[2769] <= 0
model += -X[4446] - Y[71] + X[2769] <= 0
model += -X[3950] + Y[72] - X[3159] <= 0
model += -X[3950] - Y[72] + X[3159] <= 0
model += -X[1969] + Y[73] - X[7156] <= 0
model += -X[1969] - Y[73] + X[7156] <= 0
model += X[612] - X[5414] - X[6863] <= 0
model += X[612] + X[5414] + X[6863] <= 2
model += -X[5536] + Y[78] - X[6592] <= 0
model += -X[5536] - Y[78] + X[6592] <= 0
model += -X[2911] + Y[79] - X[6397] <= 0
model += -X[2911] - Y[79] + X[6397] <= 0
model += -X[4559] + Y[65] - X[1892] <= 0
model += -X[4559] - Y[65] + X[1892] <= 0
model += -X[6329] + Y[66] - X[6018] <= 0
model += -X[6329] - Y[66] + X[6018] <= 0
model += -X[5339] + Y[67] - X[4786] <= 0
model += -X[5339] - Y[67] + X[4786] <= 0
model += -X[4575] + Y[68] - X[5708] <= 0
model += -X[4575] - Y[68] + X[5708] <= 0
model += -X[5444] + Y[69] - X[4108] <= 0
model += -X[5444] - Y[69] + X[4108] <= 0
model += -X[1962] + Y[70] - X[3001] <= 0
model += -X[1962] - Y[70] + X[3001] <= 0
model += -X[5614] + Y[71] - X[4637] <= 0
model += -X[5614] - Y[71] + X[4637] <= 0
model += -X[1347] + Y[72] - X[3604] <= 0
model += -X[1347] - Y[72] + X[3604] <= 0
model += -X[7431] + Y[73] - X[2436] <= 0
model += -X[7431] - Y[73] + X[2436] <= 0
model += -X[7034] + Y[74] - X[7401] <= 0
model += -X[7034] - Y[74] + X[7401] <= 0
model += -X[3790] + Y[65] - X[2411] <= 0
model += -X[3790] - Y[65] + X[2411] <= 0
model += -X[4370] + Y[66] - X[5717] <= 0
model += -X[4370] - Y[66] + X[5717] <= 0
model += -X[2236] + Y[67] - X[4348] <= 0
model += -X[2236] - Y[67] + X[4348] <= 0
model += -X[5929] + Y[68] - X[1809] <= 0
model += -X[5929] - Y[68] + X[1809] <= 0
model += -X[5735] + Y[69] - X[6113] <= 0
model += -X[5735] - Y[69] + X[6113] <= 0
model += -X[2867] + Y[70] - X[2251] <= 0
model += -X[2867] - Y[70] + X[2251] <= 0
model += -X[4477] + Y[71] - X[2852] <= 0
model += -X[4477] - Y[71] + X[2852] <= 0
model += -X[2154] + Y[73] - X[7279] <= 0
model += -X[2154] - Y[73] + X[7279] <= 0
model += -X[6888] + Y[74] - X[5114] <= 0
model += -X[6888] - Y[74] + X[5114] <= 0
model += -X[7184] + Y[75] - X[4817] <= 0
model += -X[7184] - Y[75] + X[4817] <= 0
model += -X[4784] + Y[76] - X[3942] <= 0
model += -X[4784] - Y[76] + X[3942] <= 0
model += -X[4858] + Y[77] - X[4879] <= 0
model += -X[4858] - Y[77] + X[4879] <= 0
model += -X[7641] + Y[78] - X[2374] <= 0
model += -X[7641] - Y[78] + X[2374] <= 0
model += -X[1502] + Y[79] - X[3087] <= 0
model += -X[1502] - Y[79] + X[3087] <= 0
model += -X[5480] + Y[65] - X[6393] <= 0
model += -X[5480] - Y[65] + X[6393] <= 0
model += -X[1521] + Y[67] - X[4308] <= 0
model += -X[1521] - Y[67] + X[4308] <= 0
model += -X[5473] + Y[68] - X[5606] <= 0
model += -X[5473] - Y[68] + X[5606] <= 0
model += -X[2698] + Y[69] - X[5459] <= 0
model += -X[2698] - Y[69] + X[5459] <= 0
model += -X[4651] + Y[70] - X[7056] <= 0
model += -X[4651] - Y[70] + X[7056] <= 0
model += -X[1270] + Y[73] - X[5903] <= 0
model += -X[1270] - Y[73] + X[5903] <= 0
model += -X[7477] + Y[74] - X[2586] <= 0
model += -X[7477] - Y[74] + X[2586] <= 0
model += -X[6997] + Y[76] - X[5915] <= 0
model += -X[6997] - Y[76] + X[5915] <= 0
model += -X[6452] + Y[77] - X[7555] <= 0
model += -X[6452] - Y[77] + X[7555] <= 0
model += -X[1739] + Y[78] - X[3987] <= 0
model += -X[1739] - Y[78] + X[3987] <= 0
model += -X[2397] + Y[79] - X[7360] <= 0
model += -X[2397] - Y[79] + X[7360] <= 0
model += -X[1579] + Y[64] - X[3671] <= 0
model += -X[1579] - Y[64] + X[3671] <= 0
model += -X[5644] + Y[65] - X[6884] <= 0
model += -X[5644] - Y[65] + X[6884] <= 0
model += -X[2040] + Y[66] - X[1937] <= 0
model += -X[2040] - Y[66] + X[1937] <= 0
model += -X[4906] + Y[68] - X[5990] <= 0
model += -X[4906] - Y[68] + X[5990] <= 0
model += -X[1831] + Y[69] - X[4391] <= 0
model += -X[1831] - Y[69] + X[4391] <= 0
model += -X[6143] + Y[70] - X[5429] <= 0
model += -X[6143] - Y[70] + X[5429] <= 0
model += -X[3593] + Y[76] - X[5270] <= 0
model += -X[3593] - Y[76] + X[5270] <= 0
model += -X[5282] + Y[77] - X[4350] <= 0
model += -X[5282] - Y[77] + X[4350] <= 0
model += -X[6783] + Y[64] - X[5088] <= 0
model += -X[6783] - Y[64] + X[5088] <= 0
model += -X[7153] + Y[66] - X[4116] <= 0
model += -X[7153] - Y[66] + X[4116] <= 0
model += -X[6330] + Y[67] - X[7182] <= 0
model += -X[6330] - Y[67] + X[7182] <= 0
model += -X[6052] + Y[68] - X[5313] <= 0
model += -X[6052] - Y[68] + X[5313] <= 0
model += -X[3392] + Y[69] - X[4375] <= 0
model += -X[3392] - Y[69] + X[4375] <= 0
model += -X[3296] + Y[71] - X[3175] <= 0
model += -X[3296] - Y[71] + X[3175] <= 0
model += -X[2908] + Y[73] - X[6065] <= 0
model += -X[2908] - Y[73] + X[6065] <= 0
model += X[6698] - X[5308] - X[646] <= 0
model += X[6698] + X[5308] + X[646] <= 2
model += -X[6425] + Y[79] - X[2336] <= 0
model += -X[6425] - Y[79] + X[2336] <= 0
model += -X[3561] + Y[64] - X[4289] <= 0
model += -X[3561] - Y[64] + X[4289] <= 0
model += -X[1069] + Y[65] - X[4504] <= 0
model += -X[1069] - Y[65] + X[4504] <= 0
model += -X[1358] + Y[67] - X[2083] <= 0
model += -X[1358] - Y[67] + X[2083] <= 0
model += -X[1855] + Y[69] - X[2955] <= 0
model += -X[1855] - Y[69] + X[2955] <= 0
model += -X[5474] + Y[70] - X[1992] <= 0
model += -X[5474] - Y[70] + X[1992] <= 0
model += -X[3475] + Y[72] - X[7050] <= 0
model += -X[3475] - Y[72] + X[7050] <= 0
model += -X[6203] + Y[73] - X[7476] <= 0
model += -X[6203] - Y[73] + X[7476] <= 0
model += -X[4875] + Y[74] - X[7015] <= 0
model += -X[4875] - Y[74] + X[7015] <= 0
model += -X[3073] + Y[75] - X[3137] <= 0
model += -X[3073] - Y[75] + X[3137] <= 0
model += -X[4776] + Y[76] - X[5645] <= 0
model += -X[4776] - Y[76] + X[5645] <= 0
model += -X[314] + X[6114] - X[418] <= 0
model += -X[314] - X[6114] + X[418] <= 0
model += X[1998] - X[7495] - X[241] <= 0
model += X[1998] + X[7495] + X[241] <= 2
model += X[196] - X[3433] - X[6298] <= 0
model += X[196] + X[3433] + X[6298] <= 2
model += X[3663] - X[7465] - X[487] <= 0
model += X[3663] + X[7465] + X[487] <= 2
model += -X[4981] + Y[65] - X[5630] <= 0
model += -X[4981] - Y[65] + X[5630] <= 0
model += -X[7022] + Y[66] - X[6450] <= 0
model += -X[7022] - Y[66] + X[6450] <= 0
model += X[4772] - X[687] - X[7382] <= 0
model += X[4772] + X[687] + X[7382] <= 2
model += X[2356] - X[695] - X[5068] <= 0
model += X[2356] + X[695] + X[5068] <= 2
model += -X[7116] + Y[69] - X[2252] <= 0
model += -X[7116] - Y[69] + X[2252] <= 0
model += -X[5876] + Y[72] - X[4831] <= 0
model += -X[5876] - Y[72] + X[4831] <= 0
model += -X[3829] + Y[73] - X[5741] <= 0
model += -X[3829] - Y[73] + X[5741] <= 0
model += -X[7541] + Y[74] - X[6132] <= 0
model += -X[7541] - Y[74] + X[6132] <= 0
model += -X[3793] + Y[75] - X[3011] <= 0
model += -X[3793] - Y[75] + X[3011] <= 0
model += -X[4986] + Y[77] - X[4720] <= 0
model += -X[4986] - Y[77] + X[4720] <= 0
model += -X[5652] + Y[78] - X[2489] <= 0
model += -X[5652] - Y[78] + X[2489] <= 0
model += -X[1961] + Y[79] - X[2186] <= 0
model += -X[1961] - Y[79] + X[2186] <= 0
model += -X[2781] + Y[65] - X[1938] <= 0
model += -X[2781] - Y[65] + X[1938] <= 0
model += -X[3541] + Y[66] - X[1000] <= 0
model += -X[3541] - Y[66] + X[1000] <= 0
model += -X[4354] + Y[67] - X[6759] <= 0
model += -X[4354] - Y[67] + X[6759] <= 0
model += X[957] - X[3218] - X[3417] <= 0
model += X[957] + X[3218] + X[3417] <= 2
model += X[2592] - X[7778] - X[629] <= 0
model += X[2592] + X[7778] + X[629] <= 2
model += -X[4302] + Y[72] - X[2808] <= 0
model += -X[4302] - Y[72] + X[2808] <= 0
model += -X[4708] + Y[73] - X[6508] <= 0
model += -X[4708] - Y[73] + X[6508] <= 0
model += -X[7157] + Y[74] - X[6381] <= 0
model += -X[7157] - Y[74] + X[6381] <= 0
model += -X[7414] + Y[76] - X[2709] <= 0
model += -X[7414] - Y[76] + X[2709] <= 0
model += -X[7556] + Y[77] - X[1698] <= 0
model += -X[7556] - Y[77] + X[1698] <= 0
model += -X[1235] + Y[78] - X[7148] <= 0
model += -X[1235] - Y[78] + X[7148] <= 0
model += -X[2190] + Y[79] - X[6701] <= 0
model += -X[2190] - Y[79] + X[6701] <= 0
model += -X[5029] + Y[64] - X[3131] <= 0
model += -X[5029] - Y[64] + X[3131] <= 0
model += -X[2783] + Y[66] - X[5837] <= 0
model += -X[2783] - Y[66] + X[5837] <= 0
model += -X[1233] + Y[67] - X[3512] <= 0
model += -X[1233] - Y[67] + X[3512] <= 0
model += -X[3872] + Y[68] - X[6056] <= 0
model += -X[3872] - Y[68] + X[6056] <= 0
model += -X[7635] + Y[69] - X[2860] <= 0
model += -X[7635] - Y[69] + X[2860] <= 0
model += -X[4749] + Y[70] - X[1720] <= 0
model += -X[4749] - Y[70] + X[1720] <= 0
model += X[3060] - X[1148] - X[739] <= 0
model += X[3060] + X[1148] + X[739] <= 2
model += -X[5579] + Y[77] - X[3732] <= 0
model += -X[5579] - Y[77] + X[3732] <= 0
model += -X[4367] + Y[78] - X[1075] <= 0
model += -X[4367] - Y[78] + X[1075] <= 0
model += -X[2550] + Y[79] - X[5348] <= 0
model += -X[2550] - Y[79] + X[5348] <= 0
model += -X[1425] + Y[64] - X[5692] <= 0
model += -X[1425] - Y[64] + X[5692] <= 0
model += -X[4123] + Y[65] - X[5122] <= 0
model += -X[4123] - Y[65] + X[5122] <= 0
model += -X[5500] + Y[66] - X[5354] <= 0
model += -X[5500] - Y[66] + X[5354] <= 0
model += -X[4770] + Y[68] - X[4233] <= 0
model += -X[4770] - Y[68] + X[4233] <= 0
model += -X[7624] + Y[69] - X[2467] <= 0
model += -X[7624] - Y[69] + X[2467] <= 0
model += -X[3009] + Y[70] - X[7651] <= 0
model += -X[3009] - Y[70] + X[7651] <= 0
model += -X[2999] + Y[71] - X[3665] <= 0
model += -X[2999] - Y[71] + X[3665] <= 0
model += -X[2024] + Y[73] - X[1282] <= 0
model += -X[2024] - Y[73] + X[1282] <= 0
model += X[1487] - X[4317] - X[141] <= 0
model += X[1487] + X[4317] + X[141] <= 2
model += -X[2250] + Y[79] - X[3706] <= 0
model += -X[2250] - Y[79] + X[3706] <= 0
model += -X[5124] + X[44] - X[1095] <= 0
model += -X[5124] - X[44] + X[1095] <= 0
model += X[1553] - X[584] - X[2243] <= 0
model += X[1553] + X[584] + X[2243] <= 2
model += -X[428] + X[425] - X[2630] <= 0
model += -X[428] - X[425] + X[2630] <= 0
model += -X[2733] + Y[66] - X[1643] <= 0
model += -X[2733] - Y[66] + X[1643] <= 0
model += -X[1620] + Y[69] - X[1723] <= 0
model += -X[1620] - Y[69] + X[1723] <= 0
model += -X[5486] + Y[70] - X[1709] <= 0
model += -X[5486] - Y[70] + X[1709] <= 0
model += -X[3842] + Y[71] - X[1997] <= 0
model += -X[3842] - Y[71] + X[1997] <= 0
model += -X[7104] + Y[72] - X[7031] <= 0
model += -X[7104] - Y[72] + X[7031] <= 0
model += -X[1183] + Y[73] - X[3240] <= 0
model += -X[1183] - Y[73] + X[3240] <= 0
model += -X[2971] + Y[74] - X[1818] <= 0
model += -X[2971] - Y[74] + X[1818] <= 0
model += -X[5836] + Y[75] - X[5351] <= 0
model += -X[5836] - Y[75] + X[5351] <= 0
model += -X[4273] + Y[76] - X[6279] <= 0
model += -X[4273] - Y[76] + X[6279] <= 0
model += -X[3966] + X[687] - X[848] <= 0
model += -X[3966] - X[687] + X[848] <= 0
model += X[2621] - X[7566] - X[158] <= 0
model += X[2621] + X[7566] + X[158] <= 2
model += X[7668] - X[695] - X[4539] <= 0
model += X[7668] + X[695] + X[4539] <= 2
model += -X[4479] + Y[69] - X[7160] <= 0
model += -X[4479] - Y[69] + X[7160] <= 0
model += -X[5376] + Y[70] - X[2739] <= 0
model += -X[5376] - Y[70] + X[2739] <= 0
model += -X[4779] + Y[71] - X[1080] <= 0
model += -X[4779] - Y[71] + X[1080] <= 0
model += -X[6789] + Y[72] - X[3747] <= 0
model += -X[6789] - Y[72] + X[3747] <= 0
model += -X[5603] + Y[73] - X[1004] <= 0
model += -X[5603] - Y[73] + X[1004] <= 0
model += -X[2284] + Y[74] - X[1666] <= 0
model += -X[2284] - Y[74] + X[1666] <= 0
model += -X[6201] + Y[76] - X[4110] <= 0
model += -X[6201] - Y[76] + X[4110] <= 0
model += -X[2764] + Y[77] - X[2330] <= 0
model += -X[2764] - Y[77] + X[2330] <= 0
model += -X[5549] + Y[78] - X[2801] <= 0
model += -X[5549] - Y[78] + X[2801] <= 0
model += -X[1192] + Y[79] - X[4692] <= 0
model += -X[1192] - Y[79] + X[4692] <= 0
model += -X[2975] + Y[64] - X[4775] <= 0
model += -X[2975] - Y[64] + X[4775] <= 0
model += -X[7436] + Y[65] - X[4794] <= 0
model += -X[7436] - Y[65] + X[4794] <= 0
model += -X[1334] + Y[67] - X[6288] <= 0
model += -X[1334] - Y[67] + X[6288] <= 0
model += -X[1662] + X[3218] - X[90] <= 0
model += -X[1662] - X[3218] + X[90] <= 0
model += X[541] - X[3093] - X[3699] <= 0
model += X[541] + X[3093] + X[3699] <= 2
model += X[205] - X[7778] - X[2897] <= 0
model += X[205] + X[7778] + X[2897] <= 2
model += -X[3104] + Y[72] - X[7298] <= 0
model += -X[3104] - Y[72] + X[7298] <= 0
model += -X[5556] + Y[74] - X[6702] <= 0
model += -X[5556] - Y[74] + X[6702] <= 0
model += -X[5852] + Y[75] - X[4845] <= 0
model += -X[5852] - Y[75] + X[4845] <= 0
model += -X[2696] + Y[77] - X[4057] <= 0
model += -X[2696] - Y[77] + X[4057] <= 0
model += -X[1835] + Y[78] - X[4688] <= 0
model += -X[1835] - Y[78] + X[4688] <= 0
model += -X[7760] + Y[79] - X[1815] <= 0
model += -X[7760] - Y[79] + X[1815] <= 0
model += -X[2985] + Y[64] - X[6762] <= 0
model += -X[2985] - Y[64] + X[6762] <= 0
model += -X[5458] + Y[66] - X[2042] <= 0
model += -X[5458] - Y[66] + X[2042] <= 0
model += -X[4062] + Y[67] - X[3611] <= 0
model += -X[4062] - Y[67] + X[3611] <= 0
model += -X[4853] + Y[69] - X[2050] <= 0
model += -X[4853] - Y[69] + X[2050] <= 0
model += -X[3850] + Y[70] - X[6800] <= 0
model += -X[3850] - Y[70] + X[6800] <= 0
model += X[562] - X[1148] - X[3050] <= 0
model += X[562] + X[1148] + X[3050] <= 2
model += X[5443] - X[4337] - X[206] <= 0
model += X[5443] + X[4337] + X[206] <= 2
model += -X[6952] + Y[76] - X[3498] <= 0
model += -X[6952] - Y[76] + X[3498] <= 0
model += X[258] - X[3636] - X[6594] <= 0
model += X[258] + X[3636] + X[6594] <= 2
model += X[916] - X[5877] - X[2832] <= 0
model += X[916] + X[5877] + X[2832] <= 2
model += -X[5224] + Y[65] - X[1489] <= 0
model += -X[5224] - Y[65] + X[1489] <= 0
model += -X[4532] + Y[67] - X[4076] <= 0
model += -X[4532] - Y[67] + X[4076] <= 0
model += -X[5227] + Y[68] - X[7551] <= 0
model += -X[5227] - Y[68] + X[7551] <= 0
model += -X[1805] + Y[69] - X[7655] <= 0
model += -X[1805] - Y[69] + X[7655] <= 0
model += -X[4970] + Y[70] - X[5330] <= 0
model += -X[4970] - Y[70] + X[5330] <= 0
model += -X[4186] + Y[71] - X[1355] <= 0
model += -X[4186] - Y[71] + X[1355] <= 0
model += -X[3290] + Y[72] - X[5593] <= 0
model += -X[3290] - Y[72] + X[5593] <= 0
model += -X[4351] + X[44] - X[3180] <= 0
model += -X[4351] - X[44] + X[3180] <= 0
model += -X[6339] + X[584] - X[508] <= 0
model += -X[6339] - X[584] + X[508] <= 0
model += X[5575] - X[425] - X[7016] <= 0
model += X[5575] + X[425] + X[7016] <= 2
model += -X[6661] + Y[66] - X[5676] <= 0
model += -X[6661] - Y[66] + X[5676] <= 0
model += -X[7557] + Y[67] - X[4613] <= 0
model += -X[7557] - Y[67] + X[4613] <= 0
model += -X[6547] + Y[72] - X[7539] <= 0
model += -X[6547] - Y[72] + X[7539] <= 0
model += -X[4239] + Y[73] - X[4578] <= 0
model += -X[4239] - Y[73] + X[4578] <= 0
model += -X[7746] + Y[74] - X[1652] <= 0
model += -X[7746] - Y[74] + X[1652] <= 0
model += -X[6793] + Y[75] - X[3365] <= 0
model += -X[6793] - Y[75] + X[3365] <= 0
model += -X[4577] + Y[76] - X[3048] <= 0
model += -X[4577] - Y[76] + X[3048] <= 0
model += X[5857] - X[687] - X[1163] <= 0
model += X[5857] + X[687] + X[1163] <= 2
model += X[4951] - X[695] - X[2853] <= 0
model += X[4951] + X[695] + X[2853] <= 2
model += -X[4150] + Y[69] - X[1127] <= 0
model += -X[4150] - Y[69] + X[1127] <= 0
model += -X[1429] + Y[70] - X[4747] <= 0
model += -X[1429] - Y[70] + X[4747] <= 0
model += -X[3347] + Y[71] - X[6120] <= 0
model += -X[3347] - Y[71] + X[6120] <= 0
model += -X[4098] + Y[72] - X[2359] <= 0
model += -X[4098] - Y[72] + X[2359] <= 0
model += -X[4741] + Y[73] - X[2282] <= 0
model += -X[4741] - Y[73] + X[2282] <= 0
model += -X[6668] + Y[74] - X[7262] <= 0
model += -X[6668] - Y[74] + X[7262] <= 0
model += -X[7220] + Y[75] - X[3852] <= 0
model += -X[7220] - Y[75] + X[3852] <= 0
model += -X[2874] + Y[76] - X[2618] <= 0
model += -X[2874] - Y[76] + X[2618] <= 0
model += -X[3097] + Y[77] - X[2458] <= 0
model += -X[3097] - Y[77] + X[2458] <= 0
model += -X[7274] + Y[78] - X[5734] <= 0
model += -X[7274] - Y[78] + X[5734] <= 0
model += -X[7230] + Y[79] - X[6860] <= 0
model += -X[7230] - Y[79] + X[6860] <= 0
model += -X[7715] + Y[64] - X[4619] <= 0
model += -X[7715] - Y[64] + X[4619] <= 0
model += -X[7151] + Y[65] - X[7263] <= 0
model += -X[7151] - Y[65] + X[7263] <= 0
model += -X[3803] + Y[66] - X[2902] <= 0
model += -X[3803] - Y[66] + X[2902] <= 0
model += -X[4140] + Y[67] - X[5912] <= 0
model += -X[4140] - Y[67] + X[5912] <= 0
model += -X[1144] + Y[72] - X[4173] <= 0
model += -X[1144] - Y[72] + X[4173] <= 0
model += -X[3672] + Y[76] - X[4315] <= 0
model += -X[3672] - Y[76] + X[4315] <= 0
model += -X[3000] + Y[77] - X[5998] <= 0
model += -X[3000] - Y[77] + X[5998] <= 0
model += -X[5784] + Y[78] - X[6941] <= 0
model += -X[5784] - Y[78] + X[6941] <= 0
model += -X[3454] + Y[79] - X[3698] <= 0
model += -X[3454] - Y[79] + X[3698] <= 0
model += -X[1525] + Y[65] - X[1313] <= 0
model += -X[1525] - Y[65] + X[1313] <= 0
model += -X[4473] + Y[67] - X[6645] <= 0
model += -X[4473] - Y[67] + X[6645] <= 0
model += -X[4640] + Y[68] - X[6224] <= 0
model += -X[4640] - Y[68] + X[6224] <= 0
model += -X[5848] + Y[69] - X[1566] <= 0
model += -X[5848] - Y[69] + X[1566] <= 0
model += -X[2476] + Y[70] - X[2878] <= 0
model += -X[2476] - Y[70] + X[2878] <= 0
model += X[856] - X[4279] - X[6917] <= 0
model += X[856] + X[4279] + X[6917] <= 2
model += -X[5618] + Y[64] - X[1526] <= 0
model += -X[5618] - Y[64] + X[1526] <= 0
model += -X[1534] + Y[65] - X[3256] <= 0
model += -X[1534] - Y[65] + X[3256] <= 0
model += -X[3173] + Y[67] - X[7756] <= 0
model += -X[3173] - Y[67] + X[7756] <= 0
model += -X[5538] + Y[68] - X[3773] <= 0
model += -X[5538] - Y[68] + X[3773] <= 0
model += -X[7412] + Y[69] - X[1653] <= 0
model += -X[7412] - Y[69] + X[1653] <= 0
model += -X[5494] + Y[70] - X[7135] <= 0
model += -X[5494] - Y[70] + X[7135] <= 0
model += X[4725] - X[4317] - X[188] <= 0
model += X[4725] + X[4317] + X[188] <= 2
model += X[6449] - X[2575] - X[723] <= 0
model += X[6449] + X[2575] + X[723] <= 2
model += -X[1156] + X[44] - X[1573] <= 0
model += -X[1156] - X[44] + X[1573] <= 0
model += X[7222] - X[6604] - X[796] <= 0
model += X[7222] + X[6604] + X[796] <= 2
model += X[2265] - X[584] - X[1461] <= 0
model += X[2265] + X[584] + X[1461] <= 2
model += X[7650] - X[425] - X[2786] <= 0
model += X[7650] + X[425] + X[2786] <= 2
model += -X[2444] + Y[68] - X[2081] <= 0
model += -X[2444] - Y[68] + X[2081] <= 0
model += -X[7639] + Y[69] - X[6761] <= 0
model += -X[7639] - Y[69] + X[6761] <= 0
model += -X[6465] + Y[70] - X[5074] <= 0
model += -X[6465] - Y[70] + X[5074] <= 0
model += -X[1881] + Y[71] - X[5902] <= 0
model += -X[1881] - Y[71] + X[5902] <= 0
model += -X[4121] + Y[73] - X[7790] <= 0
model += -X[4121] - Y[73] + X[7790] <= 0
model += -X[1694] + Y[74] - X[1567] <= 0
model += -X[1694] - Y[74] + X[1567] <= 0
model += -X[2383] + Y[75] - X[5982] <= 0
model += -X[2383] - Y[75] + X[5982] <= 0
model += -X[6779] + Y[76] - X[2309] <= 0
model += -X[6779] - Y[76] + X[2309] <= 0
model += X[728] - X[6114] - X[2260] <= 0
model += X[728] + X[6114] + X[2260] <= 2
model += -X[3570] + X[7465] - X[85] <= 0
model += -X[3570] - X[7465] + X[85] <= 0
model += X[7505] - X[687] - X[5591] <= 0
model += X[7505] + X[687] + X[5591] <= 2
model += X[6838] - X[695] - X[7490] <= 0
model += X[6838] + X[695] + X[7490] <= 2
model += -X[7003] + Y[70] - X[4182] <= 0
model += -X[7003] - Y[70] + X[4182] <= 0
model += X[401] - X[3405] - X[4706] <= 0
model += X[401] + X[3405] + X[4706] <= 2
model += -X[1561] + X[544] - X[181] <= 0
model += -X[1561] - X[544] + X[181] <= 0
model += X[7236] - X[824] - X[2272] <= 0
model += X[7236] + X[824] + X[2272] <= 2
model += -X[5173] + Y[73] - X[7457] <= 0
model += -X[5173] - Y[73] + X[7457] <= 0
model += -X[4404] + Y[75] - X[6102] <= 0
model += -X[4404] - Y[75] + X[6102] <= 0
model += -X[1503] + Y[76] - X[4372] <= 0
model += -X[1503] - Y[76] + X[4372] <= 0
model += -X[1257] + Y[77] - X[3468] <= 0
model += -X[1257] - Y[77] + X[3468] <= 0
model += -X[1343] + Y[78] - X[1547] <= 0
model += -X[1343] - Y[78] + X[1547] <= 0
model += -X[4026] + Y[79] - X[1048] <= 0
model += -X[4026] - Y[79] + X[1048] <= 0
model += -X[3293] + Y[64] - X[3019] <= 0
model += -X[3293] - Y[64] + X[3019] <= 0
model += -X[6853] + Y[66] - X[7486] <= 0
model += -X[6853] - Y[66] + X[7486] <= 0
model += X[524] - X[3093] - X[4087] <= 0
model += X[524] + X[3093] + X[4087] <= 2
model += -X[3249] + Y[76] - X[7514] <= 0
model += -X[3249] - Y[76] + X[7514] <= 0
model += -X[6709] + Y[78] - X[5051] <= 0
model += -X[6709] - Y[78] + X[5051] <= 0
model += -X[3729] + Y[79] - X[6801] <= 0
model += -X[3729] - Y[79] + X[6801] <= 0
model += -X[3858] + Y[65] - X[6136] <= 0
model += -X[3858] - Y[65] + X[6136] <= 0
model += -X[2423] + Y[66] - X[2153] <= 0
model += -X[2423] - Y[66] + X[2153] <= 0
model += -X[4707] + Y[67] - X[3470] <= 0
model += -X[4707] - Y[67] + X[3470] <= 0
model += -X[4571] + Y[68] - X[3484] <= 0
model += -X[4571] - Y[68] + X[3484] <= 0
model += -X[5202] + Y[69] - X[1210] <= 0
model += -X[5202] - Y[69] + X[1210] <= 0
model += -X[7447] + X[1148] - X[49] <= 0
model += -X[7447] - X[1148] + X[49] <= 0
model += -X[1722] + X[2011] - X[88] <= 0
model += -X[1722] - X[2011] + X[88] <= 0
model += X[1667] - X[3636] - X[533] <= 0
model += X[1667] + X[3636] + X[533] <= 2
model += -X[4214] + Y[64] - X[2970] <= 0
model += -X[4214] - Y[64] + X[2970] <= 0
model += -X[5783] + Y[65] - X[1073] <= 0
model += -X[5783] - Y[65] + X[1073] <= 0
model += -X[3458] + Y[68] - X[6865] <= 0
model += -X[3458] - Y[68] + X[6865] <= 0
model += -X[1904] + Y[69] - X[5920] <= 0
model += -X[1904] - Y[69] + X[5920] <= 0
model += -X[2837] + Y[70] - X[4993] <= 0
model += -X[2837] - Y[70] + X[4993] <= 0
model += -X[1447] + Y[72] - X[3956] <= 0
model += -X[1447] - Y[72] + X[3956] <= 0
model += X[4330] - X[4317] - X[790] <= 0
model += X[4330] + X[4317] + X[790] <= 2
model += X[5476] - X[6604] - X[581] <= 0
model += X[5476] + X[6604] + X[581] <= 2
model += X[7657] - X[584] - X[4045] <= 0
model += X[7657] + X[584] + X[4045] <= 2
model += X[7752] - X[425] - X[1445] <= 0
model += X[7752] + X[425] + X[1445] <= 2
model += -X[2198] + Y[66] - X[2620] <= 0
model += -X[2198] - Y[66] + X[2620] <= 0
model += X[2865] - X[6559] - X[183] <= 0
model += X[2865] + X[6559] + X[183] <= 2
model += -X[4266] + Y[70] - X[5661] <= 0
model += -X[4266] - Y[70] + X[5661] <= 0
model += -X[6320] + Y[71] - X[1027] <= 0
model += -X[6320] - Y[71] + X[1027] <= 0
model += -X[4218] + Y[73] - X[5796] <= 0
model += -X[4218] - Y[73] + X[5796] <= 0
model += -X[6196] + Y[74] - X[7629] <= 0
model += -X[6196] - Y[74] + X[7629] <= 0
model += X[5917] - X[6114] - X[321] <= 0
model += X[5917] + X[6114] + X[321] <= 2
model += X[931] - X[7495] - X[1022] <= 0
model += X[931] + X[7495] + X[1022] <= 2
model += X[3864] - X[7465] - X[107] <= 0
model += X[3864] + X[7465] + X[107] <= 2
model += X[5605] - X[687] - X[2255] <= 0
model += X[5605] + X[687] + X[2255] <= 2
model += -X[2429] + X[4939] - X[63] <= 0
model += -X[2429] - X[4939] + X[63] <= 0
model += X[2707] - X[3405] - X[987] <= 0
model += X[2707] + X[3405] + X[987] <= 2
model += -X[191] + X[544] - X[5757] <= 0
model += -X[191] - X[544] + X[5757] <= 0
model += X[3391] - X[824] - X[5025] <= 0
model += X[3391] + X[824] + X[5025] <= 2
model += -X[4052] + Y[73] - X[5063] <= 0
model += -X[4052] - Y[73] + X[5063] <= 0
model += -X[3375] + Y[74] - X[5509] <= 0
model += -X[3375] - Y[74] + X[5509] <= 0
model += -X[4400] + Y[75] - X[2771] <= 0
model += -X[4400] - Y[75] + X[2771] <= 0
model += -X[7058] + Y[76] - X[2659] <= 0
model += -X[7058] - Y[76] + X[2659] <= 0
model += -X[1284] + Y[77] - X[5747] <= 0
model += -X[1284] - Y[77] + X[5747] <= 0
model += -X[7580] + Y[64] - X[2606] <= 0
model += -X[7580] - Y[64] + X[2606] <= 0
model += -X[2288] + Y[65] - X[3597] <= 0
model += -X[2288] - Y[65] + X[3597] <= 0
model += -X[2732] + Y[67] - X[7774] <= 0
model += -X[2732] - Y[67] + X[7774] <= 0
model += X[304] - X[3093] - X[2892] <= 0
model += X[304] + X[3093] + X[2892] <= 2
model += X[7040] - X[5843] - X[587] <= 0
model += X[7040] + X[5843] + X[587] <= 2
model += -X[5958] + X[6685] - X[60] <= 0
model += -X[5958] - X[6685] + X[60] <= 0
model += -X[7614] + Y[76] - X[6351] <= 0
model += -X[7614] - Y[76] + X[6351] <= 0
model += -X[3810] + Y[77] - X[3692] <= 0
model += -X[3810] - Y[77] + X[3692] <= 0
model += -X[5780] + Y[78] - X[3959] <= 0
model += -X[5780] - Y[78] + X[3959] <= 0
model += -X[2078] + Y[79] - X[4954] <= 0
model += -X[2078] - Y[79] + X[4954] <= 0
model += -X[6632] + Y[64] - X[5055] <= 0
model += -X[6632] - Y[64] + X[5055] <= 0
model += -X[2708] + Y[65] - X[5971] <= 0
model += -X[2708] - Y[65] + X[5971] <= 0
model += -X[2616] + Y[68] - X[5298] <= 0
model += -X[2616] - Y[68] + X[5298] <= 0
model += -X[1568] + Y[70] - X[4925] <= 0
model += -X[1568] - Y[70] + X[4925] <= 0
model += X[6788] - X[4151] - X[914] <= 0
model += X[6788] + X[4151] + X[914] <= 2
model += X[343] - X[4337] - X[3951] <= 0
model += X[343] + X[4337] + X[3951] <= 2
model += -X[2145] + Y[79] - X[5032] <= 0
model += -X[2145] - Y[79] + X[5032] <= 0
model += -X[2469] + Y[64] - X[4551] <= 0
model += -X[2469] - Y[64] + X[4551] <= 0
model += -X[6227] + X[590] - X[157] <= 0
model += -X[6227] - X[590] + X[157] <= 0
model += X[3584] - X[262] - X[5983] <= 0
model += X[3584] + X[262] + X[5983] <= 2
model += X[2379] - X[799] - X[4678] <= 0
model += X[2379] + X[799] + X[4678] <= 2
model += -X[1592] + Y[67] - X[1403] <= 0
model += -X[1592] - Y[67] + X[1403] <= 0
model += -X[7054] + Y[69] - X[4438] <= 0
model += -X[7054] - Y[69] + X[4438] <= 0
model += -X[7480] + Y[70] - X[7731] <= 0
model += -X[7480] - Y[70] + X[7731] <= 0
model += -X[1391] + Y[71] - X[6826] <= 0
model += -X[1391] - Y[71] + X[6826] <= 0
model += -X[3333] + Y[73] - X[3770] <= 0
model += -X[3333] - Y[73] + X[3770] <= 0
model += -X[2602] + X[44] - X[2037] <= 0
model += -X[2602] - X[44] + X[2037] <= 0
model += X[2459] - X[6604] - X[473] <= 0
model += X[2459] + X[6604] + X[473] <= 2
model += -X[1871] + X[584] - X[186] <= 0
model += -X[1871] - X[584] + X[186] <= 0
model += X[2954] - X[425] - X[3637] <= 0
model += X[2954] + X[425] + X[3637] <= 2
model += -X[2262] + Y[70] - X[2481] <= 0
model += -X[2262] - Y[70] + X[2481] <= 0
model += -X[7575] + Y[71] - X[4535] <= 0
model += -X[7575] - Y[71] + X[4535] <= 0
model += -X[5472] + Y[73] - X[5694] <= 0
model += -X[5472] - Y[73] + X[5694] <= 0
model += -X[7704] + Y[75] - X[4366] <= 0
model += -X[7704] - Y[75] + X[4366] <= 0
model += -X[2579] + Y[76] - X[4500] <= 0
model += -X[2579] - Y[76] + X[4500] <= 0
model += X[1836] - X[687] - X[3549] <= 0
model += X[1836] + X[687] + X[3549] <= 2
model += -X[979] + X[695] - X[2310] <= 0
model += -X[979] - X[695] + X[2310] <= 0
model += X[273] - X[3405] - X[1482] <= 0
model += X[273] + X[3405] + X[1482] <= 2
model += -X[3304] + X[544] - X[771] <= 0
model += -X[3304] - X[544] + X[771] <= 0
model += -X[1115] + X[824] - X[958] <= 0
model += -X[1115] - X[824] + X[958] <= 0
model += -X[2433] + Y[73] - X[3835] <= 0
model += -X[2433] - Y[73] + X[3835] <= 0
model += -X[7526] + Y[75] - X[3477] <= 0
model += -X[7526] - Y[75] + X[3477] <= 0
model += -X[5842] + Y[76] - X[5668] <= 0
model += -X[5842] - Y[76] + X[5668] <= 0
model += -X[4855] + Y[77] - X[7087] <= 0
model += -X[4855] - Y[77] + X[7087] <= 0
model += -X[4766] + Y[78] - X[1812] <= 0
model += -X[4766] - Y[78] + X[1812] <= 0
model += -X[1325] + Y[79] - X[3730] <= 0
model += -X[1325] - Y[79] + X[3730] <= 0
model += -X[4934] + Y[64] - X[5100] <= 0
model += -X[4934] - Y[64] + X[5100] <= 0
model += -X[6424] + Y[65] - X[6057] <= 0
model += -X[6424] - Y[65] + X[6057] <= 0
model += -X[6063] + Y[67] - X[6518] <= 0
model += -X[6063] - Y[67] + X[6518] <= 0
model += X[1531] - X[3218] - X[526] <= 0
model += X[1531] + X[3218] + X[526] <= 2
model += -X[6081] + Y[77] - X[6426] <= 0
model += -X[6081] - Y[77] + X[6426] <= 0
model += X[449] - X[7660] - X[1948] <= 0
model += X[449] + X[7660] + X[1948] <= 2
model += X[576] - X[7039] - X[1017] <= 0
model += X[576] + X[7039] + X[1017] <= 2
model += X[1941] - X[3711] - X[460] <= 0
model += X[1941] + X[3711] + X[460] <= 2
model += -X[2149] + Y[66] - X[6198] <= 0
model += -X[2149] - Y[66] + X[6198] <= 0
model += -X[5283] + Y[68] - X[4790] <= 0
model += -X[5283] - Y[68] + X[4790] <= 0
model += -X[4256] + Y[69] - X[2438] <= 0
model += -X[4256] - Y[69] + X[2438] <= 0
model += -X[2434] + Y[70] - X[7749] <= 0
model += -X[2434] - Y[70] + X[7749] <= 0
model += X[5633] - X[4337] - X[415] <= 0
model += X[5633] + X[4337] + X[415] <= 2
model += X[3511] - X[590] - X[2463] <= 0
model += X[3511] + X[590] + X[2463] <= 2
model += -X[4631] + X[262] - X[300] <= 0
model += -X[4631] - X[262] + X[300] <= 0
model += -X[4918] + X[799] - X[677] <= 0
model += -X[4918] - X[799] + X[677] <= 0
model += -X[2869] + Y[67] - X[6589] <= 0
model += -X[2869] - Y[67] + X[6589] <= 0
model += -X[4413] + Y[69] - X[2201] <= 0
model += -X[4413] - Y[69] + X[2201] <= 0
model += -X[7152] + Y[70] - X[6454] <= 0
model += -X[7152] - Y[70] + X[6454] <= 0
model += -X[2017] + Y[72] - X[4047] <= 0
model += -X[2017] - Y[72] + X[4047] <= 0
model += -X[6249] + Y[73] - X[3494] <= 0
model += -X[6249] - Y[73] + X[3494] <= 0
model += -X[6485] + X[44] - X[1464] <= 0
model += -X[6485] - X[44] + X[1464] <= 0
model += X[6729] - X[584] - X[2671] <= 0
model += X[6729] + X[584] + X[2671] <= 2
model += -X[591] + X[425] - X[1917] <= 0
model += -X[591] - X[425] + X[1917] <= 0
model += X[761] - X[7591] - X[5563] <= 0
model += X[761] + X[7591] + X[5563] <= 2
model += -X[6527] + Y[70] - X[5360] <= 0
model += -X[6527] - Y[70] + X[5360] <= 0
model += -X[7136] + Y[71] - X[7029] <= 0
model += -X[7136] - Y[71] + X[7029] <= 0
model += -X[6570] + Y[73] - X[2164] <= 0
model += -X[6570] - Y[73] + X[2164] <= 0
model += -X[7519] + Y[74] - X[3760] <= 0
model += -X[7519] - Y[74] + X[3760] <= 0
model += -X[4799] + Y[76] - X[3644] <= 0
model += -X[4799] - Y[76] + X[3644] <= 0
model += X[597] - X[3433] - X[4097] <= 0
model += X[597] + X[3433] + X[4097] <= 2
model += -X[655] + X[687] - X[6438] <= 0
model += -X[655] - X[687] + X[6438] <= 0
model += -X[1822] + X[695] - X[125] <= 0
model += -X[1822] - X[695] + X[125] <= 0
model += X[439] - X[6095] - X[2120] <= 0
model += X[439] + X[6095] + X[2120] <= 2
model += X[1847] - X[544] - X[5685] <= 0
model += X[1847] + X[544] + X[5685] <= 2
model += X[5418] - X[824] - X[7273] <= 0
model += X[5418] + X[824] + X[7273] <= 2
model += -X[2785] + Y[73] - X[5822] <= 0
model += -X[2785] - Y[73] + X[5822] <= 0
model += -X[3194] + Y[74] - X[7064] <= 0
model += -X[3194] - Y[74] + X[7064] <= 0
model += -X[1876] + Y[75] - X[5515] <= 0
model += -X[1876] - Y[75] + X[5515] <= 0
model += X[705] - X[2450] - X[3208] <= 0
model += X[705] + X[2450] + X[3208] <= 2
model += X[2263] - X[4443] - X[860] <= 0
model += X[2263] + X[4443] + X[860] <= 2
model += -X[4189] + Y[77] - X[4754] <= 0
model += -X[4189] - Y[77] + X[4754] <= 0
model += -X[4262] + Y[78] - X[1607] <= 0
model += -X[4262] - Y[78] + X[1607] <= 0
model += -X[5913] + Y[64] - X[1623] <= 0
model += -X[5913] - Y[64] + X[1623] <= 0
model += -X[5832] + Y[65] - X[1742] <= 0
model += -X[5832] - Y[65] + X[1742] <= 0
model += -X[3837] + Y[67] - X[6401] <= 0
model += -X[3837] - Y[67] + X[6401] <= 0
model += X[5529] - X[3218] - X[348] <= 0
model += X[5529] + X[3218] + X[348] <= 2
model += X[512] - X[3093] - X[4270] <= 0
model += X[512] + X[3093] + X[4270] <= 2
model += X[7423] - X[3711] - X[165] <= 0
model += X[7423] + X[3711] + X[165] <= 2
model += -X[7361] + Y[64] - X[1152] <= 0
model += -X[7361] - Y[64] + X[1152] <= 0
model += -X[5809] + Y[67] - X[6378] <= 0
model += -X[5809] - Y[67] + X[6378] <= 0
model += -X[2826] + Y[68] - X[2572] <= 0
model += -X[2826] - Y[68] + X[2572] <= 0
model += -X[2166] + Y[69] - X[1011] <= 0
model += -X[2166] - Y[69] + X[1011] <= 0
model += -X[2686] + Y[70] - X[2305] <= 0
model += -X[2686] - Y[70] + X[2305] <= 0
model += X[738] - X[2486] - X[2966] <= 0
model += X[738] + X[2486] + X[2966] <= 2
model += X[638] - X[4279] - X[1342] <= 0
model += X[638] + X[4279] + X[1342] <= 2
model += X[5995] - X[590] - X[4356] <= 0
model += X[5995] + X[590] + X[4356] <= 2
model += -X[729] + X[262] - X[1597] <= 0
model += -X[729] - X[262] + X[1597] <= 0
model += X[152] - X[3471] - X[2534] <= 0
model += X[152] + X[3471] + X[2534] <= 2
model += X[3919] - X[799] - X[1778] <= 0
model += X[3919] + X[799] + X[1778] <= 2
model += -X[6716] + Y[67] - X[3817] <= 0
model += -X[6716] - Y[67] + X[3817] <= 0
model += -X[3592] + Y[68] - X[5705] <= 0
model += -X[3592] - Y[68] + X[5705] <= 0
model += -X[6516] + Y[69] - X[3378] <= 0
model += -X[6516] - Y[69] + X[3378] <= 0
model += -X[3931] + Y[70] - X[6542] <= 0
model += -X[3931] - Y[70] + X[6542] <= 0
model += -X[2148] + Y[71] - X[6864] <= 0
model += -X[2148] - Y[71] + X[6864] <= 0
model += -X[4427] + Y[72] - X[7332] <= 0
model += -X[4427] - Y[72] + X[7332] <= 0
model += -X[3660] + Y[73] - X[1795] <= 0
model += -X[3660] - Y[73] + X[1795] <= 0
model += X[2368] - X[4317] - X[518] <= 0
model += X[2368] + X[4317] + X[518] <= 2
model += X[744] - X[5414] - X[6459] <= 0
model += X[744] + X[5414] + X[6459] <= 2
model += -X[1427] + X[44] - X[4051] <= 0
model += -X[1427] - X[44] + X[4051] <= 0
model += X[5409] - X[584] - X[6184] <= 0
model += X[5409] + X[584] + X[6184] <= 2
model += X[1246] - X[425] - X[4389] <= 0
model += X[1246] + X[425] + X[4389] <= 2
model += X[180] - X[7591] - X[3689] <= 0
model += X[180] + X[7591] + X[3689] <= 2
model += -X[1085] + Y[71] - X[1281] <= 0
model += -X[1085] - Y[71] + X[1281] <= 0
model += -X[3717] + Y[72] - X[6749] <= 0
model += -X[3717] - Y[72] + X[6749] <= 0
model += X[283] - X[2102] - X[6080] <= 0
model += X[283] + X[2102] + X[6080] <= 2
model += -X[7602] + Y[74] - X[1021] <= 0
model += -X[7602] - Y[74] + X[1021] <= 0
model += -X[3825] + Y[75] - X[3924] <= 0
model += -X[3825] - Y[75] + X[3924] <= 0
model += X[376] - X[7465] - X[1036] <= 0
model += X[376] + X[7465] + X[1036] <= 2
model += X[4100] - X[687] - X[4431] <= 0
model += X[4100] + X[687] + X[4431] <= 2
model += X[490] - X[4939] - X[5594] <= 0
model += X[490] + X[4939] + X[5594] <= 2
model += X[6673] - X[544] - X[4830] <= 0
model += X[6673] + X[544] + X[4830] <= 2
model += X[2155] - X[824] - X[6237] <= 0
model += X[2155] + X[824] + X[6237] <= 2
model += -X[5239] + Y[77] - X[7248] <= 0
model += -X[5239] - Y[77] + X[7248] <= 0
model += -X[6881] + Y[79] - X[6015] <= 0
model += -X[6881] - Y[79] + X[6015] <= 0
model += -X[4629] + Y[64] - X[4069] <= 0
model += -X[4629] - Y[64] + X[4069] <= 0
model += -X[5524] + Y[65] - X[6821] <= 0
model += -X[5524] - Y[65] + X[6821] <= 0
model += -X[2884] + Y[67] - X[6805] <= 0
model += -X[2884] - Y[67] + X[6805] <= 0
model += X[644] - X[3218] - X[2080] <= 0
model += X[644] + X[3218] + X[2080] <= 2
model += X[3871] - X[7778] - X[618] <= 0
model += X[3871] + X[7778] + X[618] <= 2
model += -X[84] + X[5843] - X[5275] <= 0
model += -X[84] - X[5843] + X[5275] <= 0
model += X[3795] - X[3711] - X[198] <= 0
model += X[3795] + X[3711] + X[198] <= 2
model += -X[6039] + Y[66] - X[1287] <= 0
model += -X[6039] - Y[66] + X[1287] <= 0
model += -X[2803] + Y[67] - X[1518] <= 0
model += -X[2803] - Y[67] + X[1518] <= 0
model += -X[4865] + Y[69] - X[5327] <= 0
model += -X[4865] - Y[69] + X[5327] <= 0
model += X[3696] - X[4279] - X[447] <= 0
model += X[3696] + X[4279] + X[447] <= 2
model += X[1370] - X[5877] - X[129] <= 0
model += X[1370] + X[5877] + X[129] <= 2
model += -X[3289] + X[590] - X[112] <= 0
model += -X[3289] - X[590] + X[112] <= 0
model += X[7649] - X[262] - X[1939] <= 0
model += X[7649] + X[262] + X[1939] <= 2
model += X[5362] - X[799] - X[4958] <= 0
model += X[5362] + X[799] + X[4958] <= 2
model += -X[1966] + Y[67] - X[3878] <= 0
model += -X[1966] - Y[67] + X[3878] <= 0
model += -X[3402] + Y[68] - X[4135] <= 0
model += -X[3402] - Y[68] + X[4135] <= 0
model += -X[7771] + Y[69] - X[6171] <= 0
model += -X[7771] - Y[69] + X[6171] <= 0
model += -X[1857] + X[1825] - X[22] <= 0
model += -X[1857] - X[1825] + X[22] <= 0
model += X[766] - X[4856] - X[1120] <= 0
model += X[766] + X[4856] + X[1120] <= 2
model += -X[4896] + Y[71] - X[5181] <= 0
model += -X[4896] - Y[71] + X[5181] <= 0
model += -X[1668] + Y[72] - X[6076] <= 0
model += -X[1668] - Y[72] + X[6076] <= 0
model += -X[2635] + Y[73] - X[3067] <= 0
model += -X[2635] - Y[73] + X[3067] <= 0
model += -X[7176] + X[44] - X[1492] <= 0
model += -X[7176] - X[44] + X[1492] <= 0
model += -X[406] + X[584] - X[7312] <= 0
model += -X[406] - X[584] + X[7312] <= 0
model += X[2622] - X[425] - X[3806] <= 0
model += X[2622] + X[425] + X[3806] <= 2
model += X[4851] - X[6559] - X[712] <= 0
model += X[4851] + X[6559] + X[712] <= 2
model += X[2058] - X[7591] - X[673] <= 0
model += X[2058] + X[7591] + X[673] <= 2
model += X[670] - X[2102] - X[5802] <= 0
model += X[670] + X[2102] + X[5802] <= 2
model += -X[7071] + Y[74] - X[4459] <= 0
model += -X[7071] - Y[74] + X[4459] <= 0
model += -X[5793] + Y[75] - X[4357] <= 0
model += -X[5793] - Y[75] + X[4357] <= 0
model += -X[1808] + Y[76] - X[3099] <= 0
model += -X[1808] - Y[76] + X[3099] <= 0
model += X[5553] - X[7495] - X[234] <= 0
model += X[5553] + X[7495] + X[234] <= 2
model += X[221] - X[3433] - X[6777] <= 0
model += X[221] + X[3433] + X[6777] <= 2
model += X[1552] - X[687] - X[6147] <= 0
model += X[1552] + X[687] + X[6147] <= 2
model += X[4240] - X[695] - X[1439] <= 0
model += X[4240] + X[695] + X[1439] <= 2
model += -X[3691] + X[544] - X[589] <= 0
model += -X[3691] - X[544] + X[589] <= 0
model += X[6683] - X[824] - X[5547] <= 0
model += X[6683] + X[824] + X[5547] <= 2
model += X[6722] - X[2207] - X[724] <= 0
model += X[6722] + X[2207] + X[724] <= 2
model += -X[5746] + Y[77] - X[4039] <= 0
model += -X[5746] - Y[77] + X[4039] <= 0
model += -X[1338] + Y[78] - X[7070] <= 0
model += -X[1338] - Y[78] + X[7070] <= 0
model += -X[1262] + Y[79] - X[3984] <= 0
model += -X[1262] - Y[79] + X[3984] <= 0
model += -X[1527] + Y[64] - X[4425] <= 0
model += -X[1527] - Y[64] + X[4425] <= 0
model += -X[2073] + Y[65] - X[4482] <= 0
model += -X[2073] - Y[65] + X[4482] <= 0
model += -X[2068] + Y[67] - X[1695] <= 0
model += -X[2068] - Y[67] + X[1695] <= 0
model += X[7355] - X[7660] - X[494] <= 0
model += X[7355] + X[7660] + X[494] <= 2
model += -X[87] + X[2596] - X[7205] <= 0
model += -X[87] - X[2596] + X[7205] <= 0
model += -X[4885] + Y[65] - X[2162] <= 0
model += -X[4885] - Y[65] + X[2162] <= 0
model += -X[5901] + Y[66] - X[7670] <= 0
model += -X[5901] - Y[66] + X[7670] <= 0
model += -X[628] + X[1180] - X[555] <= 0
model += -X[628] - X[1180] + X[555] <= 0
model += -X[7694] + Y[69] - X[3277] <= 0
model += -X[7694] - Y[69] + X[3277] <= 0
model += -X[3873] + Y[70] - X[6108] <= 0
model += -X[3873] - Y[70] + X[6108] <= 0
model += X[2104] - X[2486] - X[966] <= 0
model += X[2104] + X[2486] + X[966] <= 2
model += X[7582] - X[590] - X[3432] <= 0
model += X[7582] + X[590] + X[3432] <= 2
model += X[7533] - X[262] - X[2012] <= 0
model += X[7533] + X[262] + X[2012] <= 2
model += X[2056] - X[799] - X[4383] <= 0
model += X[2056] + X[799] + X[4383] <= 2
model += X[472] - X[6083] - X[7386] <= 0
model += X[472] + X[6083] + X[7386] <= 2
model += -X[3283] + Y[71] - X[4215] <= 0
model += -X[3283] - Y[71] + X[4215] <= 0
model += -X[6319] + Y[72] - X[6521] <= 0
model += -X[6319] - Y[72] + X[6521] <= 0
model += -X[1383] + X[44] - X[5231] <= 0
model += -X[1383] - X[44] + X[5231] <= 0
model += -X[853] + X[584] - X[2445] <= 0
model += -X[853] - X[584] + X[2445] <= 0
model += X[7488] - X[425] - X[5179] <= 0
model += X[7488] + X[425] + X[5179] <= 2
model += X[536] - X[7591] - X[2026] <= 0
model += X[536] + X[7591] + X[2026] <= 2
model += -X[303] + X[2102] - X[817] <= 0
model += -X[303] - X[2102] + X[817] <= 0
model += -X[1611] + Y[74] - X[4402] <= 0
model += -X[1611] - Y[74] + X[4402] <= 0
model += -X[5086] + Y[75] - X[4484] <= 0
model += -X[5086] - Y[75] + X[4484] <= 0
model += -X[7692] + Y[76] - X[2819] <= 0
model += -X[7692] - Y[76] + X[2819] <= 0
model += -X[2005] + X[7495] - X[14] <= 0
model += -X[2005] - X[7495] + X[14] <= 0
model += -X[925] + X[687] - X[3985] <= 0
model += -X[925] - X[687] + X[3985] <= 0
model += X[2474] - X[695] - X[5949] <= 0
model += X[2474] + X[695] + X[5949] <= 2
model += X[5475] - X[824] - X[3326] <= 0
model += X[5475] + X[824] + X[3326] <= 2
model += X[144] - X[2207] - X[3136] <= 0
model += X[144] + X[2207] + X[3136] <= 2
model += -X[4510] + Y[77] - X[5010] <= 0
model += -X[4510] - Y[77] + X[5010] <= 0
model += -X[4788] + Y[78] - X[3086] <= 0
model += -X[4788] - Y[78] + X[3086] <= 0
model += -X[2723] + Y[79] - X[3626] <= 0
model += -X[2723] - Y[79] + X[3626] <= 0
model += -X[5019] + Y[65] - X[1927] <= 0
model += -X[5019] - Y[65] + X[1927] <= 0
model += -X[4618] + Y[67] - X[6969] <= 0
model += -X[4618] - Y[67] + X[6969] <= 0
model += X[509] - X[2377] - X[3156] <= 0
model += X[509] + X[2377] + X[3156] <= 2
model += X[2331] - X[5843] - X[213] <= 0
model += X[2331] + X[5843] + X[213] <= 2
model += X[4999] - X[7660] - X[381] <= 0
model += X[4999] + X[7660] + X[381] <= 2
model += -X[94] + X[2596] - X[7475] <= 0
model += -X[94] - X[2596] + X[7475] <= 0
model += X[6543] - X[7039] - X[583] <= 0
model += X[6543] + X[7039] + X[583] <= 2
model += X[111] - X[3827] - X[2691] <= 0
model += X[111] + X[3827] + X[2691] <= 2
model += X[5682] - X[3280] - X[649] <= 0
model += X[5682] + X[3280] + X[649] <= 2
model += -X[1929] + Y[68] - X[2114] <= 0
model += -X[1929] - Y[68] + X[2114] <= 0
model += -X[3317] + Y[69] - X[5487] <= 0
model += -X[3317] - Y[69] + X[5487] <= 0
model += -X[5081] + Y[70] - X[4455] <= 0
model += -X[5081] - Y[70] + X[4455] <= 0
model += X[538] - X[4151] - X[7608] <= 0
model += X[538] + X[4151] + X[7608] <= 2
model += X[145] - X[4337] - X[4334] <= 0
model += X[145] + X[4337] + X[4334] <= 2
model += X[5543] - X[4279] - X[833] <= 0
model += X[5543] + X[4279] + X[833] <= 2
model += X[1175] - X[590] - X[2232] <= 0
model += X[1175] + X[590] + X[2232] <= 2
model += -X[2730] + X[262] - X[412] <= 0
model += -X[2730] - X[262] + X[412] <= 0
model += X[4325] - X[799] - X[1491] <= 0
model += X[4325] + X[799] + X[1491] <= 2
model += X[870] - X[1825] - X[7454] <= 0
model += X[870] + X[1825] + X[7454] <= 2
model += X[128] - X[6083] - X[7442] <= 0
model += X[128] + X[6083] + X[7442] <= 2
model += -X[6912] + Y[71] - X[3259] <= 0
model += -X[6912] - Y[71] + X[3259] <= 0
model += -X[5647] + Y[72] - X[4714] <= 0
model += -X[5647] - Y[72] + X[4714] <= 0
model += -X[4933] + Y[73] - X[2822] <= 0
model += -X[4933] - Y[73] + X[2822] <= 0
model += X[7206] - X[584] - X[5034] <= 0
model += X[7206] + X[584] + X[5034] <= 2
model += X[4429] - X[425] - X[5931] <= 0
model += X[4429] + X[425] + X[5931] <= 2
model += X[678] - X[6559] - X[5997] <= 0
model += X[678] + X[6559] + X[5997] <= 2
model += X[2717] - X[5347] - X[614] <= 0
model += X[2717] + X[5347] + X[614] <= 2
model += -X[6889] + Y[74] - X[2338] <= 0
model += -X[6889] - Y[74] + X[2338] <= 0
model += -X[4518] + Y[75] - X[7122] <= 0
model += -X[4518] - Y[75] + X[7122] <= 0
model += -X[5416] + Y[76] - X[6046] <= 0
model += -X[5416] - Y[76] + X[6046] <= 0
model += X[3360] - X[687] - X[2398] <= 0
model += X[3360] + X[687] + X[2398] <= 2
model += X[5113] - X[695] - X[6240] <= 0
model += X[5113] + X[695] + X[6240] <= 2
model += -X[57] + X[6095] - X[3200] <= 0
model += -X[57] - X[6095] + X[3200] <= 0
model += X[7068] - X[544] - X[6363] <= 0
model += X[7068] + X[544] + X[6363] <= 2
model += X[1896] - X[824] - X[6576] <= 0
model += X[1896] + X[824] + X[6576] <= 2
model += -X[757] + X[2207] - X[635] <= 0
model += -X[757] - X[2207] + X[635] <= 0
model += -X[5468] + Y[65] - X[6956] <= 0
model += -X[5468] - Y[65] + X[6956] <= 0
model += -X[7612] + Y[66] - X[6315] <= 0
model += -X[7612] - Y[66] + X[6315] <= 0
model += -X[3964] + Y[67] - X[7284] <= 0
model += -X[3964] - Y[67] + X[7284] <= 0
model += X[1895] - X[2377] - X[868] <= 0
model += X[1895] + X[2377] + X[868] <= 2
model += X[861] - X[3093] - X[2497] <= 0
model += X[861] + X[3093] + X[2497] <= 2
model += X[2464] - X[4595] - X[184] <= 0
model += X[2464] + X[4595] + X[184] <= 2
model += X[3777] - X[1180] - X[294] <= 0
model += X[3777] + X[1180] + X[294] <= 2
model += -X[2828] + Y[69] - X[3272] <= 0
model += -X[2828] - Y[69] + X[3272] <= 0
model += X[301] - X[2486] - X[1833] <= 0
model += X[301] + X[2486] + X[1833] <= 2
model += X[491] - X[2011] - X[7191] <= 0
model += X[491] + X[2011] + X[7191] <= 2
model += X[1576] - X[590] - X[2506] <= 0
model += X[1576] + X[590] + X[2506] <= 2
model += X[2678] - X[262] - X[1848] <= 0
model += X[2678] + X[262] + X[1848] <= 2
model += X[4867] - X[799] - X[2948] <= 0
model += X[4867] + X[799] + X[2948] <= 2
model += X[6215] - X[6083] - X[123] <= 0
model += X[6215] + X[6083] + X[123] <= 2
model += -X[4950] + Y[73] - X[1583] <= 0
model += -X[4950] - Y[73] + X[1583] <= 0
model += X[664] - X[5790] - X[3574] <= 0
model += X[664] + X[5790] + X[3574] <= 2
model += X[5318] - X[233] - X[6642] <= 0
model += X[5318] + X[233] + X[6642] <= 2
model += X[5211] - X[584] - X[7005] <= 0
model += X[5211] + X[584] + X[7005] <= 2
model += -X[3281] + X[425] - X[253] <= 0
model += -X[3281] - X[425] + X[253] <= 0
model += -X[488] + X[2103] - X[758] <= 0
model += -X[488] - X[2103] + X[758] <= 0
model += X[3164] - X[1039] - X[384] <= 0
model += X[3164] + X[1039] + X[384] <= 2
model += -X[779] + X[6323] - X[564] <= 0
model += -X[779] - X[6323] + X[564] <= 0
model += X[5131] - X[1724] - X[961] <= 0
model += X[5131] + X[1724] + X[961] <= 2
model += X[4892] - X[687] - X[3034] <= 0
model += X[4892] + X[687] + X[3034] <= 2
model += X[3168] - X[695] - X[4748] <= 0
model += X[3168] + X[695] + X[4748] <= 2
model += X[277] - X[3405] - X[7277] <= 0
model += X[277] + X[3405] + X[7277] <= 2
model += X[4073] - X[544] - X[5372] <= 0
model += X[4073] + X[544] + X[5372] <= 2
model += X[3022] - X[824] - X[7345] <= 0
model += X[3022] + X[824] + X[7345] <= 2
model += X[6246] - X[2450] - X[256] <= 0
model += X[6246] + X[2450] + X[256] <= 2
model += X[756] - X[7544] - X[4084] <= 0
model += X[756] + X[7544] + X[4084] <= 2
model += -X[2531] + Y[65] - X[1753] <= 0
model += -X[2531] - Y[65] + X[1753] <= 0
model += -X[3975] + Y[66] - X[1015] <= 0
model += -X[3975] - Y[66] + X[1015] <= 0
model += -X[5650] + Y[67] - X[5383] <= 0
model += -X[5650] - Y[67] + X[5383] <= 0
model += X[2341] - X[2377] - X[955] <= 0
model += X[2341] + X[2377] + X[955] <= 2
model += X[339] - X[7778] - X[3982] <= 0
model += X[339] + X[7778] + X[3982] <= 2
model += X[6013] - X[5843] - X[978] <= 0
model += X[6013] + X[5843] + X[978] <= 2
model += X[838] - X[7660] - X[5188] <= 0
model += X[838] + X[7660] + X[5188] <= 2
model += X[945] - X[2596] - X[4002] <= 0
model += X[945] + X[2596] + X[4002] <= 2
model += X[499] - X[3711] - X[3620] <= 0
model += X[499] + X[3711] + X[3620] <= 2
model += -X[6451] + Y[68] - X[4418] <= 0
model += -X[6451] - Y[68] + X[4418] <= 0
model += -X[3740] + Y[69] - X[2318] <= 0
model += -X[3740] - Y[69] + X[2318] <= 0
model += -X[2766] + X[23] - X[4010] <= 0
model += -X[2766] - X[23] + X[4010] <= 0
model += X[2879] - X[5877] - X[261] <= 0
model += X[2879] + X[5877] + X[261] <= 2
model += X[1105] - X[590] - X[7169] <= 0
model += X[1105] + X[590] + X[7169] <= 2
model += X[5659] - X[262] - X[5262] <= 0
model += X[5659] + X[262] + X[5262] <= 2
model += -X[48] + X[1825] - X[3245] <= 0
model += -X[48] - X[1825] + X[3245] <= 0
model += X[269] - X[6083] - X[4540] <= 0
model += X[269] + X[6083] + X[4540] <= 2
model += X[2431] - X[5790] - X[760] <= 0
model += X[2431] + X[5790] + X[760] <= 2
model += X[3571] - X[233] - X[6467] <= 0
model += X[3571] + X[233] + X[6467] <= 2
model += X[4730] - X[2575] - X[543] <= 0
model += X[4730] + X[2575] + X[543] <= 2
model += -X[2462] + X[44] - X[7683] <= 0
model += -X[2462] - X[44] + X[7683] <= 0
model += X[3944] - X[584] - X[5159] <= 0
model += X[3944] + X[584] + X[5159] <= 2
model += X[6886] - X[425] - X[6891] <= 0
model += X[6886] + X[425] + X[6891] <= 2
model += -X[6216] + X[2102] - X[10] <= 0
model += -X[6216] - X[2102] + X[10] <= 0
model += X[2995] - X[687] - X[4276] <= 0
model += X[2995] + X[687] + X[4276] <= 2
model += -X[5769] + X[695] - X[317] <= 0
model += -X[5769] - X[695] + X[317] <= 0
model += X[1615] - X[544] - X[1433] <= 0
model += X[1615] + X[544] + X[1433] <= 2
model += -X[351] + X[824] - X[4680] <= 0
model += -X[351] - X[824] + X[4680] <= 0
model += X[6670] - X[7544] - X[560] <= 0
model += X[6670] + X[7544] + X[560] <= 2
model += -X[6488] + Y[65] - X[5508] <= 0
model += -X[6488] - Y[65] + X[5508] <= 0
model += -X[6544] + Y[66] - X[5634] <= 0
model += -X[6544] - Y[66] + X[5634] <= 0
model += X[3799] - X[5324] - X[329] <= 0
model += X[3799] + X[5324] + X[329] <= 2
model += -X[667] + X[7778] - X[862] <= 0
model += -X[667] - X[7778] + X[862] <= 0
model += X[3776] - X[5843] - X[552] <= 0
model += X[3776] + X[5843] + X[552] <= 2
model += X[999] - X[7039] - X[3937] <= 0
model += X[999] + X[7039] + X[3937] <= 2
model += -X[51] + X[1180] - X[3746] <= 0
model += -X[51] - X[1180] + X[3746] <= 0
model += -X[3234] + X[23] - X[2650] <= 0
model += -X[3234] - X[23] + X[2650] <= 0
model += X[3005] - X[4279] - X[505] <= 0
model += X[3005] + X[4279] + X[505] <= 2
model += X[6747] - X[590] - X[7258] <= 0
model += X[6747] + X[590] + X[7258] <= 2
model += -X[877] + X[262] - X[5742] <= 0
model += -X[877] - X[262] + X[5742] <= 0
model += X[7617] - X[799] - X[6792] <= 0
model += X[7617] + X[799] + X[6792] <= 2
model += X[5469] - X[1825] - X[380] <= 0
model += X[5469] + X[1825] + X[380] <= 2
model += X[360] - X[7777] - X[6265] <= 0
model += X[360] + X[7777] + X[6265] <= 2
model += X[433] - X[2895] - X[3739] <= 0
model += X[433] + X[2895] + X[3739] <= 2
model += X[2494] - X[233] - X[7057] <= 0
model += X[2494] + X[233] + X[7057] <= 2
model += -X[1155] + X[44] - X[6995] <= 0
model += -X[1155] - X[44] + X[6995] <= 0
model += X[4488] - X[584] - X[5557] <= 0
model += X[4488] + X[584] + X[5557] <= 2
model += X[2237] - X[425] - X[7357] <= 0
model += X[2237] + X[425] + X[7357] <= 2
model += X[639] - X[1483] - X[5016] <= 0
model += X[639] + X[1483] + X[5016] <= 2
model += X[3423] - X[7630] - X[903] <= 0
model += X[3423] + X[7630] + X[903] <= 2
model += X[3556] - X[5347] - X[872] <= 0
model += X[3556] + X[5347] + X[872] <= 2
model += X[1504] - X[5811] - X[963] <= 0
model += X[1504] + X[5811] + X[963] <= 2
model += -X[20] + X[5237] - X[2216] <= 0
model += -X[20] - X[5237] + X[2216] <= 0
model += -X[53] + X[7566] - X[2742] <= 0
model += -X[53] - X[7566] + X[2742] <= 0
model += X[6706] - X[695] - X[4824] <= 0
model += X[6706] + X[695] + X[4824] <= 2
model += X[1121] - X[6095] - X[603] <= 0
model += X[1121] + X[6095] + X[603] <= 2
model += X[537] - X[3405] - X[1362] <= 0
model += X[537] + X[3405] + X[1362] <= 2
model += X[1023] - X[544] - X[3661] <= 0
model += X[1023] + X[544] + X[3661] <= 2
model += X[2784] - X[824] - X[2514] <= 0
model += X[2784] + X[824] + X[2514] <= 2
model += X[6690] - X[2450] - X[887] <= 0
model += X[6690] + X[2450] + X[887] <= 2
model += X[4796] - X[2377] - X[658] <= 0
model += X[4796] + X[2377] + X[658] <= 2
model += X[392] - X[7778] - X[2901] <= 0
model += X[392] + X[7778] + X[2901] <= 2
model += X[2536] - X[5843] - X[621] <= 0
model += X[2536] + X[5843] + X[621] <= 2
model += X[901] - X[4595] - X[6534] <= 0
model += X[901] + X[4595] + X[6534] <= 2
model += X[545] - X[6685] - X[4074] <= 0
model += X[545] + X[6685] + X[4074] <= 2
model += X[461] - X[3827] - X[7388] <= 0
model += X[461] + X[3827] + X[7388] <= 2
model += X[823] - X[1180] - X[5541] <= 0
model += X[823] + X[1180] + X[5541] <= 2
model += X[212] - X[7770] - X[1099] <= 0
model += X[212] + X[7770] + X[1099] <= 2
model += X[1564] - X[4151] - X[994] <= 0
model += X[1564] + X[4151] + X[994] <= 2
model += -X[659] + X[590] - X[1524] <= 0
model += -X[659] - X[590] + X[1524] <= 0
model += -X[3971] + X[262] - X[263] <= 0
model += -X[3971] - X[262] + X[263] <= 0
model += X[393] - X[3471] - X[6885] <= 0
model += X[393] + X[3471] + X[6885] <= 2
model += X[3169] - X[799] - X[6772] <= 0
model += X[3169] + X[799] + X[6772] <= 2
model += X[792] - X[7777] - X[6043] <= 0
model += X[792] + X[7777] + X[6043] <= 2
model += X[3388] - X[1088] - X[709] <= 0
model += X[3388] + X[1088] + X[709] <= 2
model += -X[6639] + X[233] - X[904] <= 0
model += -X[6639] - X[233] + X[904] <= 0
model += X[602] - X[1481] - X[6719] <= 0
model += X[602] + X[1481] + X[6719] <= 2
model += X[5028] - X[584] - X[7082] <= 0
model += X[5028] + X[584] + X[7082] <= 2
model += X[6514] - X[425] - X[2947] <= 0
model += X[6514] + X[425] + X[2947] <= 2
model += X[785] - X[2102] - X[4304] <= 0
model += X[785] + X[2102] + X[4304] <= 2
model += X[7346] - X[5347] - X[135] <= 0
model += X[7346] + X[5347] + X[135] <= 2
model += X[2229] - X[5811] - X[171] <= 0
model += X[2229] + X[5811] + X[171] <= 2
model += X[6505] - X[2969] - X[691] <= 0
model += X[6505] + X[2969] + X[691] <= 2
model += X[6602] - X[695] - X[5760] <= 0
model += X[6602] + X[695] + X[5760] <= 2
model += X[2675] - X[3405] - X[895] <= 0
model += X[2675] + X[3405] + X[895] <= 2
model += X[1621] - X[544] - X[1259] <= 0
model += X[1621] + X[544] + X[1259] <= 2
model += X[3540] - X[824] - X[6068] <= 0
model += X[3540] + X[824] + X[6068] <= 2
model += X[218] - X[2450] - X[5195] <= 0
model += X[218] + X[2450] + X[5195] <= 2
model += X[2161] - X[3196] - X[869] <= 0
model += X[2161] + X[3196] + X[869] <= 2
model += -X[95] + X[1747] - X[2528] <= 0
model += -X[95] - X[1747] + X[2528] <= 0
model += X[4474] - X[2596] - X[897] <= 0
model += X[4474] + X[2596] + X[897] <= 2
model += X[297] - X[7039] - X[3974] <= 0
model += X[297] + X[7039] + X[3974] <= 2
model += -X[5722] + X[23] - X[1234] <= 0
model += -X[5722] - X[23] + X[1234] <= 0
model += X[1392] - X[7770] - X[134] <= 0
model += X[1392] + X[7770] + X[134] <= 2
model += X[1184] - X[159] - X[4381] <= 0
model += X[1184] + X[159] + X[4381] <= 2
model += -X[2526] + X[2011] - X[40] <= 0
model += -X[2526] - X[2011] + X[40] <= 0
model += X[3055] - X[590] - X[5216] <= 0
model += X[3055] + X[590] + X[5216] <= 2
model += X[3212] - X[262] - X[2256] <= 0
model += X[3212] + X[262] + X[2256] <= 2
model += X[106] - X[3471] - X[1838] <= 0
model += X[106] + X[3471] + X[1838] <= 2
model += -X[7738] + X[799] - X[295] <= 0
model += -X[7738] - X[799] + X[295] <= 0
model += -X[77] + X[4856] - X[1635] <= 0
model += -X[77] - X[4856] + X[1635] <= 0
model += X[133] - X[6083] - X[1987] <= 0
model += X[133] + X[6083] + X[1987] <= 2
model += X[342] - X[2895] - X[5840] <= 0
model += X[342] + X[2895] + X[5840] <= 2
model += X[2917] - X[233] - X[2118] <= 0
model += X[2917] + X[233] + X[2118] <= 2
model += X[2559] - X[7755] - X[964] <= 0
model += X[2559] + X[7755] + X[964] <= 2
model += X[7705] - X[584] - X[7786] <= 0
model += X[7705] + X[584] + X[7786] <= 2
model += -X[6626] + X[425] - X[736] <= 0
model += -X[6626] - X[425] + X[736] <= 0
model += X[529] - X[6559] - X[4454] <= 0
model += X[529] + X[6559] + X[4454] <= 2
model += X[445] - X[1039] - X[3613] <= 0
model += X[445] + X[1039] + X[3613] <= 2
model += X[379] - X[5237] - X[1154] <= 0
model += X[379] + X[5237] + X[1154] <= 2
model += X[4698] - X[695] - X[5527] <= 0
model += X[4698] + X[695] + X[5527] <= 2
model += X[690] - X[6095] - X[3733] <= 0
model += X[690] + X[6095] + X[3733] <= 2
model += X[2027] - X[3405] - X[364] <= 0
model += X[2027] + X[3405] + X[364] <= 2
model += X[6797] - X[544] - X[5846] <= 0
model += X[6797] + X[544] + X[5846] <= 2
model += X[1810] - X[824] - X[7350] <= 0
model += X[1810] + X[824] + X[7350] <= 2
model += X[610] - X[4443] - X[1217] <= 0
model += X[610] + X[4443] + X[1217] <= 2
model += -X[654] + X[4038] - X[411] <= 0
model += -X[654] - X[4038] + X[411] <= 0
model += X[4570] - X[3528] - X[162] <= 0
model += X[4570] + X[3528] + X[162] <= 2
model += X[4586] - X[307] - X[7535] <= 0
model += X[4586] + X[307] + X[7535] <= 2
model += X[2830] - X[2596] - X[863] <= 0
model += X[2830] + X[2596] + X[863] <= 2
model += X[5005] - X[3280] - X[850] <= 0
model += X[5005] + X[3280] + X[850] <= 2
model += -X[7012] + X[23] - X[3452] <= 0
model += -X[7012] - X[23] + X[3452] <= 0
model += X[6528] - X[159] - X[5706] <= 0
model += X[6528] + X[159] + X[5706] <= 2
model += X[776] - X[3506] - X[7181] <= 0
model += X[776] + X[3506] + X[7181] <= 2
model += X[3083] - X[2011] - X[220] <= 0
model += X[3083] + X[2011] + X[220] <= 2
model += X[1511] - X[590] - X[6326] <= 0
model += X[1511] + X[590] + X[6326] <= 2
model += X[2818] - X[262] - X[5671] <= 0
model += X[2818] + X[262] + X[5671] <= 2
model += X[6806] - X[3471] - X[546] <= 0
model += X[6806] + X[3471] + X[546] <= 2
model += -X[299] + X[799] - X[6122] <= 0
model += -X[299] - X[799] + X[6122] <= 0
model += X[822] - X[6083] - X[6574] <= 0
model += X[822] + X[6083] + X[6574] <= 2
model += X[6173] - X[1088] - X[434] <= 0
model += X[6173] + X[1088] + X[434] <= 2
model += X[4645] - X[233] - X[6933] <= 0
model += X[4645] + X[233] + X[6933] <= 2
model += X[7301] - X[584] - X[4309] <= 0
model += X[7301] + X[584] + X[4309] <= 2
model += X[3893] - X[425] - X[4023] <= 0
model += X[3893] + X[425] + X[4023] <= 2
model += X[906] - X[6559] - X[2647] <= 0
model += X[906] + X[6559] + X[2647] <= 2
model += X[7128] - X[5347] - X[568] <= 0
model += X[7128] + X[5347] + X[568] <= 2
model += X[7324] - X[2969] - X[404] <= 0
model += X[7324] + X[2969] + X[404] <= 2
model += X[660] - X[4821] - X[1799] <= 0
model += X[660] + X[4821] + X[1799] <= 2
model += X[886] - X[1277] - X[3958] <= 0
model += X[886] + X[1277] + X[3958] <= 2
model += X[5334] - X[695] - X[2193] <= 0
model += X[5334] + X[695] + X[2193] <= 2
model += X[3676] - X[386] - X[4422] <= 0
model += X[3676] + X[386] + X[4422] <= 2
model += -X[5604] + X[7491] - X[30] <= 0
model += -X[5604] - X[7491] + X[30] <= 0
model += X[2087] - X[544] - X[3163] <= 0
model += X[2087] + X[544] + X[3163] <= 2
model += -X[4634] + X[824] - X[217] <= 0
model += -X[4634] - X[824] + X[217] <= 0
model += X[5153] - X[3443] - X[582] <= 0
model += X[5153] + X[3443] + X[582] <= 2
model += X[6627] - X[4038] - X[458] <= 0
model += X[6627] + X[4038] + X[458] <= 2
model += X[1249] - X[307] - X[5710] <= 0
model += X[1249] + X[307] + X[5710] <= 2
model += X[194] - X[7660] - X[7726] <= 0
model += X[194] + X[7660] + X[7726] <= 2
model += X[7323] - X[3711] - X[991] <= 0
model += X[7323] + X[3711] + X[991] <= 2
model += -X[3310] + X[23] - X[7178] <= 0
model += -X[3310] - X[23] + X[7178] <= 0
model += X[203] - X[3662] - X[6653] <= 0
model += X[203] + X[3662] + X[6653] <= 2
model += X[7283] - X[159] - X[3110] <= 0
model += X[7283] + X[159] + X[3110] <= 2
model += X[2171] - X[7096] - X[852] <= 0
model += X[2171] + X[7096] + X[852] <= 2
model += X[6573] - X[2011] - X[521] <= 0
model += X[6573] + X[2011] + X[521] <= 2
model += X[701] - X[3636] - X[3505] <= 0
model += X[701] + X[3636] + X[3505] <= 2
model += X[2737] - X[5877] - X[370] <= 0
model += X[2737] + X[5877] + X[370] <= 2
model += -X[6475] + X[590] - X[815] <= 0
model += -X[6475] - X[590] + X[815] <= 0
model += X[3265] - X[262] - X[3441] <= 0
model += X[3265] + X[262] + X[3441] <= 2
model += X[6305] - X[799] - X[1981] <= 0
model += X[6305] + X[799] + X[1981] <= 2
model += X[5049] - X[7777] - X[466] <= 0
model += X[5049] + X[7777] + X[466] <= 2
model += X[2351] - X[233] - X[6675] <= 0
model += X[2351] + X[233] + X[6675] <= 2
model += -X[915] + X[1481] - X[636] <= 0
model += -X[915] - X[1481] + X[636] <= 0
model += X[5559] - X[7755] - X[575] <= 0
model += X[5559] + X[7755] + X[575] <= 2
model += X[2515] - X[584] - X[7313] <= 0
model += X[2515] + X[584] + X[7313] <= 2
model += X[4874] - X[425] - X[5680] <= 0
model += X[4874] + X[425] + X[5680] <= 2
model += X[143] - X[1483] - X[6335] <= 0
model += X[143] + X[1483] + X[6335] <= 2
model += -X[3321] + X[5347] - X[36] <= 0
model += -X[3321] - X[5347] + X[36] <= 0
model += X[3973] - X[6323] - X[204] <= 0
model += X[3973] + X[6323] + X[204] <= 2
model += -X[680] + X[1277] - X[920] <= 0
model += -X[680] - X[1277] + X[920] <= 0
model += X[7247] - X[386] - X[4543] <= 0
model += X[7247] + X[386] + X[4543] <= 2
model += X[3849] - X[544] - X[5977] <= 0
model += X[3849] + X[544] + X[5977] <= 2
model += -X[3306] + X[824] - X[973] <= 0
model += -X[3306] - X[824] + X[973] <= 0
model += X[3008] - X[2207] - X[600] <= 0
model += X[3008] + X[2207] + X[600] <= 2
model += X[719] - X[3196] - X[1101] <= 0
model += X[719] + X[3196] + X[1101] <= 2
model += X[4531] - X[5824] - X[323] <= 0
model += X[4531] + X[5824] + X[323] <= 2
model += -X[47] + X[1747] - X[4269] <= 0
model += -X[47] - X[1747] + X[4269] <= 0
model += -X[71] + X[3528] - X[3449] <= 0
model += -X[71] - X[3528] + X[3449] <= 0
model += -X[4660] + X[307] - X[619] <= 0
model += -X[4660] - X[307] + X[619] <= 0
model += X[3013] - X[4595] - X[653] <= 0
model += X[3013] + X[4595] + X[653] <= 2
model += X[4724] - X[5255] - X[437] <= 0
model += X[4724] + X[5255] + X[437] <= 2
model += -X[2391] + X[23] - X[7304] <= 0
model += -X[2391] - X[23] + X[7304] <= 0
model += X[209] - X[7770] - X[3727] <= 0
model += X[209] + X[7770] + X[3727] <= 2
model += X[1605] - X[159] - X[6223] <= 0
model += X[1605] + X[159] + X[6223] <= 2
model += X[7141] - X[3636] - X[137] <= 0
model += X[7141] + X[3636] + X[137] <= 2
model += X[5677] - X[262] - X[4574] <= 0
model += X[5677] + X[262] + X[4574] <= 2
model += X[1622] - X[799] - X[5690] <= 0
model += X[1622] + X[799] + X[5690] <= 2
model += -X[874] + X[1825] - X[266] <= 0
model += -X[874] - X[1825] + X[266] <= 0
model += X[637] - X[4856] - X[4299] <= 0
model += X[637] + X[4856] + X[4299] <= 2
model += -X[5878] + X[2895] - X[33] <= 0
model += -X[5878] - X[2895] + X[33] <= 0
model += X[3946] - X[233] - X[5816] <= 0
model += X[3946] + X[233] + X[5816] <= 2
model += X[7426] - X[2968] - X[372] <= 0
model += X[7426] + X[2968] + X[372] <= 2
model += X[703] - X[2103] - X[1280] <= 0
model += X[703] + X[2103] + X[1280] <= 2
model += X[661] - X[5347] - X[3006] <= 0
model += X[661] + X[5347] + X[3006] <= 2
model += X[5134] - X[5237] - X[291] <= 0
model += X[5134] + X[5237] + X[291] <= 2
model += X[836] - X[3324] - X[7594] <= 0
model += X[836] + X[3324] + X[7594] <= 2
model += X[4972] - X[6226] - X[570] <= 0
model += X[4972] + X[6226] + X[570] <= 2
model += -X[469] + X[386] - X[3158] <= 0
model += -X[469] - X[386] + X[3158] <= 0
model += X[2560] - X[7491] - X[988] <= 0
model += X[2560] + X[7491] + X[988] <= 2
model += X[4991] - X[544] - X[7060] <= 0
model += X[4991] + X[544] + X[7060] <= 2
model += X[3129] - X[824] - X[1413] <= 0
model += X[3129] + X[824] + X[1413] <= 2
model += X[3697] - X[2207] - X[224] <= 0
model += X[3697] + X[2207] + X[224] <= 2
model += X[275] - X[5324] - X[2899] <= 0
model += X[275] + X[5324] + X[2899] <= 2
model += X[216] - X[3528] - X[4101] <= 0
model += X[216] + X[3528] + X[4101] <= 2
model += -X[764] + X[307] - X[1550] <= 0
model += -X[764] - X[307] + X[1550] <= 0
model += X[5423] - X[5075] - X[899] <= 0
model += X[5423] + X[5075] + X[899] <= 2
model += X[7291] - X[3280] - X[102] <= 0
model += X[7291] + X[3280] + X[102] <= 2
model += -X[6308] + X[23] - X[4490] <= 0
model += -X[6308] - X[23] + X[4490] <= 0
model += X[7293] - X[159] - X[1766] <= 0
model += X[7293] + X[159] + X[1766] <= 2
model += X[3065] - X[262] - X[4792] <= 0
model += X[3065] + X[262] + X[4792] <= 2
model += X[4592] - X[799] - X[3890] <= 0
model += X[4592] + X[799] + X[3890] <= 2
model += X[704] - X[1825] - X[6934] <= 0
model += X[704] + X[1825] + X[6934] <= 2
model += X[2225] - X[233] - X[4053] <= 0
model += X[2225] + X[233] + X[4053] <= 2
model += X[656] - X[2369] - X[7288] <= 0
model += X[656] + X[2369] + X[7288] <= 2
model += X[5699] - X[7755] - X[851] <= 0
model += X[5699] + X[7755] + X[851] <= 2
model += X[663] - X[1856] - X[7473] <= 0
model += X[663] + X[1856] + X[7473] <= 2
model += X[3408] - X[7591] - X[279] <= 0
model += X[3408] + X[7591] + X[279] <= 2
model += X[7354] - X[2103] - X[938] <= 0
model += X[7354] + X[2103] + X[938] <= 2
model += X[6601] - X[1039] - X[706] <= 0
model += X[6601] + X[1039] + X[706] <= 2
model += X[6753] - X[5347] - X[338] <= 0
model += X[6753] + X[5347] + X[338] <= 2
model += X[7404] - X[1724] - X[657] <= 0
model += X[7404] + X[1724] + X[657] <= 2
model += X[7208] - X[386] - X[7083] <= 0
model += X[7208] + X[386] + X[7083] <= 2
model += X[773] - X[3405] - X[4133] <= 0
model += X[773] + X[3405] + X[4133] <= 2
model += -X[5968] + X[544] - X[622] <= 0
model += -X[5968] - X[544] + X[622] <= 0
model += X[4225] - X[824] - X[6248] <= 0
model += X[4225] + X[824] + X[6248] <= 2
model += -X[7739] + Y[148] - Y[100] <= 0
model += -X[7739] - Y[148] + Y[100] <= 0
model += -X[2097] + Y[149] - Y[101] <= 0
model += -X[2097] - Y[149] + Y[101] <= 0
model += -X[6042] + Y[150] - Y[102] <= 0
model += -X[6042] - Y[150] + Y[102] <= 0
model += -X[4461] + Y[152] - Y[104] <= 0
model += -X[4461] - Y[152] + Y[104] <= 0
model += -X[6732] + Y[153] - Y[105] <= 0
model += -X[6732] - Y[153] + Y[105] <= 0
model += -X[3769] + Y[154] - Y[106] <= 0
model += -X[3769] - Y[154] + Y[106] <= 0
model += -X[5851] + Y[155] - Y[107] <= 0
model += -X[5851] - Y[155] + Y[107] <= 0
model += -X[3010] + Y[156] - Y[108] <= 0
model += -X[3010] - Y[156] + Y[108] <= 0
model += -X[5151] + Y[157] - Y[109] <= 0
model += -X[5151] - Y[157] + Y[109] <= 0
model += -X[3472] + Y[159] - Y[111] <= 0
model += -X[3472] - Y[159] + Y[111] <= 0
model += -X[1400] + Y[145] - Y[113] <= 0
model += -X[1400] - Y[145] + Y[113] <= 0
model += -X[4622] + Y[146] - Y[114] <= 0
model += -X[4622] - Y[146] + Y[114] <= 0
model += -X[5335] + Y[147] - Y[115] <= 0
model += -X[5335] - Y[147] + Y[115] <= 0
model += -X[7460] + Y[148] - Y[116] <= 0
model += -X[7460] - Y[148] + Y[116] <= 0
model += -X[6647] + Y[149] - Y[117] <= 0
model += -X[6647] - Y[149] + Y[117] <= 0
model += -X[2790] + Y[150] - Y[118] <= 0
model += -X[2790] - Y[150] + Y[118] <= 0
model += -X[5841] + Y[151] - Y[119] <= 0
model += -X[5841] - Y[151] + Y[119] <= 0
model += -X[2530] + Y[152] - Y[120] <= 0
model += -X[2530] - Y[152] + Y[120] <= 0
model += -X[1955] + Y[153] - Y[121] <= 0
model += -X[1955] - Y[153] + Y[121] <= 0
model += -X[4450] + Y[154] - Y[122] <= 0
model += -X[4450] - Y[154] + Y[122] <= 0
model += -X[4833] + Y[155] - Y[123] <= 0
model += -X[4833] - Y[155] + Y[123] <= 0
model += -X[7503] + Y[156] - Y[124] <= 0
model += -X[7503] - Y[156] + Y[124] <= 0
model += -X[7791] + Y[157] - Y[125] <= 0
model += -X[7791] - Y[157] + Y[125] <= 0
model += -X[1141] + Y[159] - Y[127] <= 0
model += -X[1141] - Y[159] + Y[127] <= 0
model += -X[5355] + Y[144] - Y[128] <= 0
model += -X[5355] - Y[144] + Y[128] <= 0
model += -X[7656] + Y[145] - Y[129] <= 0
model += -X[7656] - Y[145] + Y[129] <= 0
model += -X[2745] + Y[147] - Y[131] <= 0
model += -X[2745] - Y[147] + Y[131] <= 0
model += -X[3821] + Y[148] - Y[132] <= 0
model += -X[3821] - Y[148] + Y[132] <= 0
model += -X[3952] + Y[150] - Y[134] <= 0
model += -X[3952] - Y[150] + Y[134] <= 0
model += -X[4992] + Y[151] - Y[135] <= 0
model += -X[4992] - Y[151] + Y[135] <= 0
model += -X[4881] + Y[152] - Y[136] <= 0
model += -X[4881] - Y[152] + Y[136] <= 0
model += -X[3414] + Y[154] - Y[138] <= 0
model += -X[3414] - Y[154] + Y[138] <= 0
model += -X[3466] + Y[155] - Y[139] <= 0
model += -X[3466] - Y[155] + Y[139] <= 0
model += -X[2719] + Y[156] - Y[140] <= 0
model += -X[2719] - Y[156] + Y[140] <= 0
model += -X[2722] + Y[157] - Y[141] <= 0
model += -X[2722] - Y[157] + Y[141] <= 0
model += -X[1933] + Y[158] - Y[142] <= 0
model += -X[1933] - Y[158] + Y[142] <= 0
model += -X[7406] + Y[159] - Y[143] <= 0
model += -X[7406] - Y[159] + Y[143] <= 0
model += X[4006] - X[451] - X[4077] <= 0
model += X[4006] + X[451] + X[4077] <= 2
model += X[2401] - Y[145] - X[6985] <= 0
model += X[2401] + Y[145] + X[6985] <= 2
model += X[3585] - Y[146] - X[2107] <= 0
model += X[3585] + Y[146] + X[2107] <= 2
model += X[1718] - Y[147] - X[6029] <= 0
model += X[1718] + Y[147] + X[6029] <= 2
model += -X[105] + Y[148] - X[3451] <= 0
model += -X[105] - Y[148] + X[3451] <= 0
model += X[7699] - Y[149] - X[1854] <= 0
model += X[7699] + Y[149] + X[1854] <= 2
model += X[6103] - Y[150] - X[6520] <= 0
model += X[6103] + Y[150] + X[6520] <= 2
model += X[6723] - Y[151] - X[2988] <= 0
model += X[6723] + Y[151] + X[2988] <= 2
model += X[2580] - Y[152] - X[5937] <= 0
model += X[2580] + Y[152] + X[5937] <= 2
model += X[6129] - Y[153] - X[3947] <= 0
model += X[6129] + Y[153] + X[3947] <= 2
model += X[3554] - Y[154] - X[1329] <= 0
model += X[3554] + Y[154] + X[1329] <= 2
model += X[2813] - Y[155] - X[1813] <= 0
model += X[2813] + Y[155] + X[1813] <= 2
model += -X[6504] + Y[156] - X[151] <= 0
model += -X[6504] - Y[156] + X[151] <= 0
model += -X[435] + Y[157] - X[4298] <= 0
model += -X[435] - Y[157] + X[4298] <= 0
model += X[4194] - Y[158] - X[4572] <= 0
model += X[4194] + Y[158] + X[4572] <= 2
model += X[7468] - Y[159] - X[2932] <= 0
model += X[7468] + Y[159] + X[2932] <= 2
model += X[6086] - Y[144] - X[7466] <= 0
model += X[6086] + Y[144] + X[7466] <= 2
model += X[1545] - Y[145] - X[5128] <= 0
model += X[1545] + Y[145] + X[5128] <= 2
model += -X[937] + Y[146] - X[6907] <= 0
model += -X[937] - Y[146] + X[6907] <= 0
model += X[6098] - Y[147] - X[5020] <= 0
model += X[6098] + Y[147] + X[5020] <= 2
model += X[3286] - Y[148] - X[1372] <= 0
model += X[3286] + Y[148] + X[1372] <= 2
model += X[1582] - Y[149] - X[2608] <= 0
model += X[1582] + Y[149] + X[2608] <= 2
model += X[1457] - Y[150] - X[7319] <= 0
model += X[1457] + Y[150] + X[7319] <= 2
model += X[1655] - Y[151] - X[6648] <= 0
model += X[1655] + Y[151] + X[6648] <= 2
model += X[4088] - Y[152] - X[4814] <= 0
model += X[4088] + Y[152] + X[4814] <= 2
model += X[5141] - Y[153] - X[6053] <= 0
model += X[5141] + Y[153] + X[6053] <= 2
model += X[1814] - Y[154] - X[1063] <= 0
model += X[1814] + Y[154] + X[1063] <= 2
model += X[3897] - Y[155] - X[1760] <= 0
model += X[3897] + Y[155] + X[1760] <= 2
model += X[3467] - Y[156] - X[7322] <= 0
model += X[3467] + Y[156] + X[7322] <= 2
model += X[1016] - Y[157] - X[1523] <= 0
model += X[1016] + Y[157] + X[1523] <= 2
model += X[4677] - Y[158] - X[1174] <= 0
model += X[4677] + Y[158] + X[1174] <= 2
model += -X[4465] + Y[159] - X[684] <= 0
model += -X[4465] - Y[159] + X[684] <= 0
model += X[3346] - Y[144] - X[4880] <= 0
model += X[3346] + Y[144] + X[4880] <= 2
model += X[1772] - Y[145] - X[1865] <= 0
model += X[1772] + Y[145] + X[1865] <= 2
model += X[1505] - Y[146] - X[6566] <= 0
model += X[1505] + Y[146] + X[6566] <= 2
model += X[6596] - Y[147] - X[4452] <= 0
model += X[6596] + Y[147] + X[4452] <= 2
model += X[2098] - Y[148] - X[4969] <= 0
model += X[2098] + Y[148] + X[4969] <= 2
model += -X[2021] + Y[149] - X[698] <= 0
model += -X[2021] - Y[149] + X[698] <= 0
model += X[4942] - Y[150] - X[5050] <= 0
model += X[4942] + Y[150] + X[5050] <= 2
model += X[2072] - Y[151] - X[4122] <= 0
model += X[2072] + Y[151] + X[4122] <= 2
model += X[1384] - Y[152] - X[5273] <= 0
model += X[1384] + Y[152] + X[5273] <= 2
model += -X[520] + Y[153] - X[6993] <= 0
model += -X[520] - Y[153] + X[6993] <= 0
model += -X[259] + Y[154] - X[2053] <= 0
model += -X[259] - Y[154] + X[2053] <= 0
model += X[5662] - Y[155] - X[4013] <= 0
model += X[5662] + Y[155] + X[4013] <= 2
model += X[6111] - Y[156] - X[7192] <= 0
model += X[6111] + Y[156] + X[7192] <= 2
model += X[6808] - Y[157] - X[3031] <= 0
model += X[6808] + Y[157] + X[3031] <= 2
model += X[5130] - Y[158] - X[6104] <= 0
model += X[5130] + Y[158] + X[6104] <= 2
model += X[4967] - Y[159] - X[7702] <= 0
model += X[4967] + Y[159] + X[7702] <= 2
model += X[5454] - Y[144] - X[7780] <= 0
model += X[5454] + Y[144] + X[7780] <= 2
model += X[6867] - Y[145] - X[1202] <= 0
model += X[6867] + Y[145] + X[1202] <= 2
model += -X[3830] + Y[146] - X[113] <= 0
model += -X[3830] - Y[146] + X[113] <= 0
model += X[2705] - Y[147] - X[2519] <= 0
model += X[2705] + Y[147] + X[2519] <= 2
model += X[5887] - Y[148] - X[5864] <= 0
model += X[5887] + Y[148] + X[5864] <= 2
model += X[6943] - Y[149] - X[7552] <= 0
model += X[6943] + Y[149] + X[7552] <= 2
model += X[2319] - Y[150] - X[1571] <= 0
model += X[2319] + Y[150] + X[1571] <= 2
model += -X[893] + Y[151] - X[4554] <= 0
model += -X[893] - Y[151] + X[4554] <= 0
model += X[4732] - Y[152] - X[3130] <= 0
model += X[4732] + Y[152] + X[3130] <= 2
model += X[3857] - Y[153] - X[6264] <= 0
model += X[3857] + Y[153] + X[6264] <= 2
model += -X[717] + Y[154] - X[3071] <= 0
model += -X[717] - Y[154] + X[3071] <= 0
model += X[3914] - Y[155] - X[5369] <= 0
model += X[3914] + Y[155] + X[5369] <= 2
model += X[6998] - Y[156] - X[2654] <= 0
model += X[6998] + Y[156] + X[2654] <= 2
model += -X[211] + Y[158] - X[7163] <= 0
model += -X[211] - Y[158] + X[7163] <= 0
model += X[1111] - Y[159] - X[7328] <= 0
model += X[1111] + Y[159] + X[7328] <= 2
model += X[1594] - Y[144] - X[6033] <= 0
model += X[1594] + Y[144] + X[6033] <= 2
model += -X[246] + Y[145] - X[3813] <= 0
model += -X[246] - Y[145] + X[3813] <= 0
model += X[1581] - Y[146] - X[2900] <= 0
model += X[1581] + Y[146] + X[2900] <= 2
model += -X[5424] + Y[148] - X[334] <= 0
model += -X[5424] - Y[148] + X[334] <= 0
model += X[7327] - Y[149] - X[5436] <= 0
model += X[7327] + Y[149] + X[5436] <= 2
model += -X[2492] + Y[150] - X[325] <= 0
model += -X[2492] - Y[150] + X[325] <= 0
model += X[6344] - Y[151] - X[7048] <= 0
model += X[6344] + Y[151] + X[7048] <= 2
model += X[6883] - Y[152] - X[3251] <= 0
model += X[6883] + Y[152] + X[3251] <= 2
model += -X[630] + Y[153] - X[3157] <= 0
model += -X[630] - Y[153] + X[3157] <= 0
model += X[6689] - Y[154] - X[6208] <= 0
model += X[6689] + Y[154] + X[6208] <= 2
model += X[4255] - Y[155] - X[3115] <= 0
model += X[4255] + Y[155] + X[3115] <= 2
model += X[3615] - Y[156] - X[2610] <= 0
model += X[3615] + Y[156] + X[2610] <= 2
model += X[6390] - X[451] - X[1236] <= 0
model += X[6390] + X[451] + X[1236] <= 2
model += X[389] - X[3688] - X[6564] <= 0
model += X[389] + X[3688] + X[6564] <= 2
model += X[6373] - Y[145] - X[5057] <= 0
model += X[6373] + Y[145] + X[5057] <= 2
model += -X[6810] + Y[146] - X[121] <= 0
model += -X[6810] - Y[146] + X[121] <= 0
model += X[2163] - Y[147] - X[1591] <= 0
model += X[2163] + Y[147] + X[1591] <= 2
model += X[2523] - Y[148] - X[6247] <= 0
model += X[2523] + Y[148] + X[6247] <= 2
model += X[2409] - Y[149] - X[2291] <= 0
model += X[2409] + Y[149] + X[2291] <= 2
model += X[6176] - Y[150] - X[2316] <= 0
model += X[6176] + Y[150] + X[2316] <= 2
model += X[6290] - Y[151] - X[5872] <= 0
model += X[6290] + Y[151] + X[5872] <= 2
model += X[1993] - Y[152] - X[7398] <= 0
model += X[1993] + Y[152] + X[7398] <= 2
model += X[1574] - Y[154] - X[6398] <= 0
model += X[1574] + Y[154] + X[6398] <= 2
model += -X[898] + Y[155] - X[4533] <= 0
model += -X[898] - Y[155] + X[4533] <= 0
model += -X[7143] + Y[156] - X[423] <= 0
model += -X[7143] - Y[156] + X[423] <= 0
model += X[7584] - Y[157] - X[4968] <= 0
model += X[7584] + Y[157] + X[4968] <= 2
model += -X[5695] + Y[158] - X[431] <= 0
model += -X[5695] - Y[158] + X[431] <= 0
model += -X[7564] + Y[144] - X[210] <= 0
model += -X[7564] - Y[144] + X[210] <= 0
model += X[3797] - Y[145] - X[1596] <= 0
model += X[3797] + Y[145] + X[1596] <= 2
model += X[7364] - Y[146] - X[5834] <= 0
model += X[7364] + Y[146] + X[5834] <= 2
model += X[5109] - Y[147] - X[6923] <= 0
model += X[5109] + Y[147] + X[6923] <= 2
model += X[4861] - Y[148] - X[7018] <= 0
model += X[4861] + Y[148] + X[7018] <= 2
model += X[6764] - Y[149] - X[2137] <= 0
model += X[6764] + Y[149] + X[2137] <= 2
model += X[5417] - Y[150] - X[7164] <= 0
model += X[5417] + Y[150] + X[7164] <= 2
model += X[6511] - Y[151] - X[3364] <= 0
model += X[6511] + Y[151] + X[3364] <= 2
model += X[3652] - Y[152] - X[5967] <= 0
model += X[3652] + Y[152] + X[5967] <= 2
model += X[7175] - Y[153] - X[6830] <= 0
model += X[7175] + Y[153] + X[6830] <= 2
model += X[7725] - Y[154] - X[1727] <= 0
model += X[7725] + Y[154] + X[1727] <= 2
model += X[6840] - Y[155] - X[1074] <= 0
model += X[6840] + Y[155] + X[1074] <= 2
model += X[2546] - Y[156] - X[5540] <= 0
model += X[2546] + Y[156] + X[5540] <= 2
model += -X[922] + Y[157] - X[2624] <= 0
model += -X[922] - Y[157] + X[2624] <= 0
model += -X[7513] + Y[158] - X[720] <= 0
model += -X[7513] - Y[158] + X[720] <= 0
model += -X[1769] + Y[159] - X[281] <= 0
model += -X[1769] - Y[159] + X[281] <= 0
model += X[5451] - Y[144] - X[3926] <= 0
model += X[5451] + Y[144] + X[3926] <= 2
model += -X[316] + Y[145] - X[4602] <= 0
model += -X[316] - Y[145] + X[4602] <= 0
model += X[5287] - Y[146] - X[1883] <= 0
model += X[5287] + Y[146] + X[1883] <= 2
model += X[1728] - Y[147] - X[5546] <= 0
model += X[1728] + Y[147] + X[5546] <= 2
model += X[4847] - Y[148] - X[1474] <= 0
model += X[4847] + Y[148] + X[1474] <= 2
model += X[2590] - Y[149] - X[5545] <= 0
model += X[2590] + Y[149] + X[5545] <= 2
model += X[5307] - Y[150] - X[4893] <= 0
model += X[5307] + Y[150] + X[4893] <= 2
model += X[4935] - Y[151] - X[4117] <= 0
model += X[4935] + Y[151] + X[4117] <= 2
model += X[1128] - Y[152] - X[5615] <= 0
model += X[1128] + Y[152] + X[5615] <= 2
model += -X[1659] + Y[153] - X[513] <= 0
model += -X[1659] - Y[153] + X[513] <= 0
model += X[7074] - X[873] - X[5521] <= 0
model += X[7074] + X[873] + X[5521] <= 2
model += X[4538] - Y[155] - X[6735] <= 0
model += X[4538] + Y[155] + X[6735] <= 2
model += X[3522] - Y[156] - X[2681] <= 0
model += X[3522] + Y[156] + X[2681] <= 2
model += X[3183] - Y[157] - X[4261] <= 0
model += X[3183] + Y[157] + X[4261] <= 2
model += X[2395] - Y[158] - X[5716] <= 0
model += X[2395] + Y[158] + X[5716] <= 2
model += X[6205] - Y[159] - X[7478] <= 0
model += X[6205] + Y[159] + X[7478] <= 2
model += X[1042] - Y[144] - X[2047] <= 0
model += X[1042] + Y[144] + X[2047] <= 2
model += X[3487] - Y[145] - X[7335] <= 0
model += X[3487] + Y[145] + X[7335] <= 2
model += -X[7173] + Y[146] - X[228] <= 0
model += -X[7173] - Y[146] + X[228] <= 0
model += X[3270] - Y[147] - X[1320] <= 0
model += X[3270] + Y[147] + X[1320] <= 2
model += -X[195] + Y[148] - X[7347] <= 0
model += -X[195] - Y[148] + X[7347] <= 0
model += X[3455] - Y[149] - X[5452] <= 0
model += X[3455] + Y[149] + X[5452] <= 2
model += X[4565] - Y[150] - X[3116] <= 0
model += X[4565] + Y[150] + X[3116] <= 2
model += X[3548] - Y[151] - X[7296] <= 0
model += X[3548] + Y[151] + X[7296] <= 2
model += X[2936] - Y[152] - X[1401] <= 0
model += X[2936] + Y[152] + X[1401] <= 2
model += X[7532] - Y[153] - X[5080] <= 0
model += X[7532] + Y[153] + X[5080] <= 2
model += X[2038] - Y[158] - X[6471] <= 0
model += X[2038] + Y[158] + X[6471] <= 2
model += -X[805] + Y[159] - X[1885] <= 0
model += -X[805] - Y[159] + X[1885] <= 0
model += X[6766] - Y[144] - X[2929] <= 0
model += X[6766] + Y[144] + X[2929] <= 2
model += X[4227] - Y[145] - X[2046] <= 0
model += X[4227] + Y[145] + X[2046] <= 2
model += X[7413] - Y[146] - X[6005] <= 0
model += X[7413] + Y[146] + X[6005] <= 2
model += X[3572] - Y[147] - X[5667] <= 0
model += X[3572] + Y[147] + X[5667] <= 2
model += X[5392] - Y[148] - X[7317] <= 0
model += X[5392] + Y[148] + X[7317] <= 2
model += -X[7437] + Y[149] - X[688] <= 0
model += -X[7437] - Y[149] + X[688] <= 0
model += X[7190] - Y[150] - X[7695] <= 0
model += X[7190] + Y[150] + X[7695] <= 2
model += X[5223] - Y[151] - X[4866] <= 0
model += X[5223] + Y[151] + X[4866] <= 2
model += -X[1079] + Y[152] - X[743] <= 0
model += -X[1079] - Y[152] + X[743] <= 0
model += X[7114] - Y[153] - X[3363] <= 0
model += X[7114] + Y[153] + X[3363] <= 2
model += -X[3744] + Y[154] - X[775] <= 0
model += -X[3744] - Y[154] + X[775] <= 0
model += X[5078] - Y[155] - X[6262] <= 0
model += X[5078] + Y[155] + X[6262] <= 2
model += X[7420] - Y[156] - X[6049] <= 0
model += X[7420] + Y[156] + X[6049] <= 2
model += X[7150] - X[451] - X[2170] <= 0
model += X[7150] + X[451] + X[2170] <= 2
model += X[6395] - Y[145] - X[3080] <= 0
model += X[6395] + Y[145] + X[3080] <= 2
model += X[2557] - Y[146] - X[6477] <= 0
model += X[2557] + Y[146] + X[6477] <= 2
model += X[3867] - Y[147] - X[2644] <= 0
model += X[3867] + Y[147] + X[2644] <= 2
model += -X[4487] + Y[149] - X[230] <= 0
model += -X[4487] - Y[149] + X[230] <= 0
model += -X[878] + Y[150] - X[5835] <= 0
model += -X[878] - Y[150] + X[5835] <= 0
model += X[3124] - Y[151] - X[2507] <= 0
model += X[3124] + Y[151] + X[2507] <= 2
model += X[7662] - Y[152] - X[6795] <= 0
model += X[7662] + Y[152] + X[6795] <= 2
model += X[1269] - Y[153] - X[6833] <= 0
model += X[1269] + Y[153] + X[6833] <= 2
model += X[2111] - Y[154] - X[4984] <= 0
model += X[2111] + Y[154] + X[4984] <= 2
model += X[1794] - Y[155] - X[5186] <= 0
model += X[1794] + Y[155] + X[5186] <= 2
model += X[4932] - Y[156] - X[7352] <= 0
model += X[4932] + Y[156] + X[7352] <= 2
model += X[5992] - Y[157] - X[1908] <= 0
model += X[5992] + Y[157] + X[1908] <= 2
model += -X[3657] + Y[158] - X[200] <= 0
model += -X[3657] - Y[158] + X[200] <= 0
model += X[6786] - Y[159] - X[1783] <= 0
model += X[6786] + Y[159] + X[1783] <= 2
model += X[2994] - Y[144] - X[6974] <= 0
model += X[2994] + Y[144] + X[6974] <= 2
model += X[4815] - Y[145] - X[4030] <= 0
model += X[4815] + Y[145] + X[4030] <= 2
model += X[1879] - Y[146] - X[2127] <= 0
model += X[1879] + Y[146] + X[2127] <= 2
model += X[1851] - Y[147] - X[5808] <= 0
model += X[1851] + Y[147] + X[5808] <= 2
model += -X[4777] + Y[148] - X[347] <= 0
model += -X[4777] - Y[148] + X[347] <= 0
model += X[5439] - Y[149] - X[5136] <= 0
model += X[5439] + Y[149] + X[5136] <= 2
model += X[7055] - Y[150] - X[1253] <= 0
model += X[7055] + Y[150] + X[1253] <= 2
model += X[7168] - X[311] - X[7546] <= 0
model += X[7168] + X[311] + X[7546] <= 2
model += X[2533] - Y[152] - X[2906] <= 0
model += X[2533] + Y[152] + X[2906] <= 2
model += X[2123] - Y[153] - X[2032] <= 0
model += X[2123] + Y[153] + X[2032] <= 2
model += X[4655] - Y[154] - X[6929] <= 0
model += X[4655] + Y[154] + X[6929] <= 2
model += X[4890] - Y[155] - X[5817] <= 0
model += X[4890] + Y[155] + X[5817] <= 2
model += X[6347] - Y[156] - X[3395] <= 0
model += X[6347] + Y[156] + X[3395] <= 2
model += X[1211] - Y[157] - X[2342] <= 0
model += X[1211] + Y[157] + X[2342] <= 2
model += -X[517] + Y[158] - X[6343] <= 0
model += -X[517] - Y[158] + X[6343] <= 0
model += X[5052] - Y[159] - X[7724] <= 0
model += X[5052] + Y[159] + X[7724] <= 2
model += X[7472] - Y[144] - X[3517] <= 0
model += X[7472] + Y[144] + X[3517] <= 2
model += X[7497] - Y[145] - X[4828] <= 0
model += X[7497] + Y[145] + X[4828] <= 2
model += -X[3910] + Y[146] - X[952] <= 0
model += -X[3910] - Y[146] + X[952] <= 0
model += X[3263] - Y[147] - X[2178] <= 0
model += X[3263] + Y[147] + X[2178] <= 2
model += -X[6374] + Y[148] - X[278] <= 0
model += -X[6374] - Y[148] + X[278] <= 0
model += X[7097] - Y[149] - X[7333] <= 0
model += X[7097] + Y[149] + X[7333] <= 2
model += -X[4177] + Y[150] - X[455] <= 0
model += -X[4177] - Y[150] + X[455] <= 0
model += X[1495] - X[873] - X[1759] <= 0
model += X[1495] + X[873] + X[1759] <= 2
model += X[7010] - Y[155] - X[2320] <= 0
model += X[7010] + Y[155] + X[2320] <= 2
model += X[1423] - Y[156] - X[1517] <= 0
model += X[1423] + Y[156] + X[1517] <= 2
model += X[6235] - Y[157] - X[2890] <= 0
model += X[6235] + Y[157] + X[2890] <= 2
model += X[6260] - Y[158] - X[7308] <= 0
model += X[6260] + Y[158] + X[7308] <= 2
model += -X[448] + Y[159] - X[7568] <= 0
model += -X[448] - Y[159] + X[7568] <= 0
model += -X[7124] + Y[144] - X[556] <= 0
model += -X[7124] - Y[144] + X[556] <= 0
model += X[4739] - Y[145] - X[4126] <= 0
model += X[4739] + Y[145] + X[4126] <= 2
model += -X[6617] + Y[146] - X[357] <= 0
model += -X[6617] - Y[146] + X[357] <= 0
model += -X[4703] + Y[147] - X[530] <= 0
model += -X[4703] - Y[147] + X[530] <= 0
model += X[7553] - Y[148] - X[3575] <= 0
model += X[7553] + Y[148] + X[3575] <= 2
model += X[1793] - Y[149] - X[6067] <= 0
model += X[1793] + Y[149] + X[6067] <= 2
model += X[7736] - Y[150] - X[5072] <= 0
model += X[7736] + Y[150] + X[5072] <= 2
model += X[7540] - Y[151] - X[4456] <= 0
model += X[7540] + Y[151] + X[4456] <= 2
model += X[2267] - Y[152] - X[6195] <= 0
model += X[2267] + Y[152] + X[6195] <= 2
model += X[7740] - Y[153] - X[7272] <= 0
model += X[7740] + Y[153] + X[7272] <= 2
model += X[335] - X[4805] - X[4339] <= 0
model += X[335] + X[4805] + X[4339] <= 2
model += X[5162] - Y[158] - X[4082] <= 0
model += X[5162] + Y[158] + X[4082] <= 2
model += X[4897] - Y[159] - X[7652] <= 0
model += X[4897] + Y[159] + X[7652] <= 2
model += X[5207] - Y[144] - X[2312] <= 0
model += X[5207] + Y[144] + X[2312] <= 2
model += -X[749] + Y[145] - X[1230] <= 0
model += -X[749] - Y[145] + X[1230] <= 0
model += X[1920] - Y[146] - X[4469] <= 0
model += X[1920] + Y[146] + X[4469] <= 2
model += X[7616] - Y[147] - X[7316] <= 0
model += X[7616] + Y[147] + X[7316] <= 2
model += X[5180] - Y[148] - X[4471] <= 0
model += X[5180] + Y[148] + X[4471] <= 2
model += X[6038] - Y[149] - X[6352] <= 0
model += X[6038] + Y[149] + X[6352] <= 2
model += X[6225] - Y[150] - X[6169] <= 0
model += X[6225] + Y[150] + X[6169] <= 2
model += X[5875] - Y[151] - X[5787] <= 0
model += X[5875] + Y[151] + X[5787] <= 2
model += X[5651] - Y[152] - X[6356] <= 0
model += X[5651] + Y[152] + X[6356] <= 2
model += -X[865] + Y[153] - X[1326] <= 0
model += -X[865] - Y[153] + X[1326] <= 0
model += X[7106] - Y[154] - X[2639] <= 0
model += X[7106] + Y[154] + X[2639] <= 2
model += -X[787] + Y[155] - X[3041] <= 0
model += -X[787] - Y[155] + X[3041] <= 0
model += -X[7356] + Y[156] - X[465] <= 0
model += -X[7356] - Y[156] + X[465] <= 0
model += X[6869] - X[451] - X[5116] <= 0
model += X[6869] + X[451] + X[5116] <= 2
model += X[550] - X[3688] - X[5083] <= 0
model += X[550] + X[3688] + X[5083] <= 2
model += X[956] - X[4230] - X[2169] <= 0
model += X[956] + X[4230] + X[2169] <= 2
model += X[6563] - Y[145] - X[2499] <= 0
model += X[6563] + Y[145] + X[2499] <= 2
model += -X[5435] + Y[146] - X[917] <= 0
model += -X[5435] - Y[146] + X[917] <= 0
model += X[5297] - Y[147] - X[3847] <= 0
model += X[5297] + Y[147] + X[3847] <= 2
model += X[6975] - X[6297] - X[219] <= 0
model += X[6975] + X[6297] + X[219] <= 2
model += X[3955] - Y[149] - X[4287] <= 0
model += X[3955] + Y[149] + X[4287] <= 2
model += X[4282] - Y[150] - X[3869] <= 0
model += X[4282] + Y[150] + X[3869] <= 2
model += X[5477] - Y[151] - X[5636] <= 0
model += X[5477] + Y[151] + X[5636] <= 2
model += -X[7084] + Y[152] - X[443] <= 0
model += -X[7084] - Y[152] + X[443] <= 0
model += X[2718] - Y[153] - X[1980] <= 0
model += X[2718] + Y[153] + X[1980] <= 2
model += -X[4810] + Y[154] - X[202] <= 0
model += -X[4810] - Y[154] + X[202] <= 0
model += -X[902] + Y[155] - X[3723] <= 0
model += -X[902] - Y[155] + X[3723] <= 0
model += -X[588] + Y[157] - X[3359] <= 0
model += -X[588] - Y[157] + X[3359] <= 0
model += X[1551] - Y[158] - X[2361] <= 0
model += X[1551] + Y[158] + X[2361] <= 2
model += X[6858] - Y[159] - X[5368] <= 0
model += X[6858] + Y[159] + X[5368] <= 2
model += X[6101] - Y[144] - X[6697] <= 0
model += X[6101] + Y[144] + X[6697] <= 2
model += X[5221] - Y[145] - X[4463] <= 0
model += X[5221] + Y[145] + X[4463] <= 2
model += X[2490] - Y[146] - X[1232] <= 0
model += X[2490] + Y[146] + X[1232] <= 2
model += X[1973] - X[311] - X[4797] <= 0
model += X[1973] + X[311] + X[4797] <= 2
model += X[4333] - Y[152] - X[7019] <= 0
model += X[4333] + Y[152] + X[7019] <= 2
model += -X[244] + Y[153] - X[5539] <= 0
model += -X[244] - Y[153] + X[5539] <= 0
model += X[3892] - Y[154] - X[2993] <= 0
model += X[3892] + Y[154] + X[2993] <= 2
model += X[3142] - Y[155] - X[3397] <= 0
model += X[3142] + Y[155] + X[3397] <= 2
model += X[6711] - Y[156] - X[4666] <= 0
model += X[6711] + Y[156] + X[4666] <= 2
model += X[2855] - Y[157] - X[1054] <= 0
model += X[2855] + Y[157] + X[1054] <= 2
model += X[5234] - Y[158] - X[4905] <= 0
model += X[5234] + Y[158] + X[4905] <= 2
model += X[1129] - Y[159] - X[3066] <= 0
model += X[1129] + Y[159] + X[3066] <= 2
model += X[5523] - Y[144] - X[5711] <= 0
model += X[5523] + Y[144] + X[5711] <= 2
model += -X[7516] + Y[145] - X[793] <= 0
model += -X[7516] - Y[145] + X[793] <= 0
model += X[4877] - Y[146] - X[6429] <= 0
model += X[4877] + Y[146] + X[6429] <= 2
model += X[5147] - Y[147] - X[5738] <= 0
model += X[5147] + Y[147] + X[5738] <= 2
model += X[4365] - Y[148] - X[1965] <= 0
model += X[4365] + Y[148] + X[1965] <= 2
model += X[5279] - Y[149] - X[4106] <= 0
model += X[5279] + Y[149] + X[4106] <= 2
model += -X[735] + Y[150] - X[3577] <= 0
model += -X[735] - Y[150] + X[3577] <= 0
model += X[5731] - X[873] - X[1949] <= 0
model += X[5731] + X[873] + X[1949] <= 2
model += X[6089] - Y[155] - X[3403] <= 0
model += X[6089] + Y[155] + X[3403] <= 2
model += X[4691] - Y[156] - X[5267] <= 0
model += X[4691] + Y[156] + X[5267] <= 2
model += X[2937] - Y[157] - X[3848] <= 0
model += X[2937] + Y[157] + X[3848] <= 2
model += X[5316] - Y[158] - X[6406] <= 0
model += X[5316] + Y[158] + X[6406] <= 2
model += X[1123] - Y[159] - X[2281] <= 0
model += X[1123] + Y[159] + X[2281] <= 2
model += -X[5484] + Y[144] - X[534] <= 0
model += -X[5484] - Y[144] + X[534] <= 0
model += X[2734] - Y[145] - X[6190] <= 0
model += X[2734] + Y[145] + X[6190] <= 2
model += -X[1096] + Y[146] - X[960] <= 0
model += -X[1096] - Y[146] + X[960] <= 0
model += X[3533] - Y[147] - X[3524] <= 0
model += X[3533] + Y[147] + X[3524] <= 2
model += X[6603] - Y[148] - X[1602] <= 0
model += X[6603] + Y[148] + X[1602] <= 2
model += X[6555] - Y[149] - X[3530] <= 0
model += X[6555] + Y[149] + X[3530] <= 2
model += X[3621] - Y[150] - X[5675] <= 0
model += X[3621] + Y[150] + X[5675] <= 2
model += X[1201] - Y[152] - X[1687] <= 0
model += X[1201] + Y[152] + X[1687] <= 2
model += -X[1314] + Y[153] - X[549] <= 0
model += -X[1314] - Y[153] + X[549] <= 0
model += X[7714] - X[4805] - X[492] <= 0
model += X[7714] + X[4805] + X[492] <= 2
model += -X[6983] + X[1834] - X[62] <= 0
model += -X[6983] - X[1834] + X[62] <= 0
model += X[5248] - Y[158] - X[7688] <= 0
model += X[5248] + Y[158] + X[7688] <= 2
model += X[5403] - Y[159] - X[4319] <= 0
model += X[5403] + Y[159] + X[4319] <= 2
model += X[4283] - Y[144] - X[6354] <= 0
model += X[4283] + Y[144] + X[6354] <= 2
model += X[821] - X[1256] - X[6400] <= 0
model += X[821] + X[1256] + X[6400] <= 2
model += X[2372] - Y[146] - X[6982] <= 0
model += X[2372] + Y[146] + X[6982] <= 2
model += X[7223] - Y[147] - X[7052] <= 0
model += X[7223] + Y[147] + X[7052] <= 2
model += X[5721] - Y[148] - X[3349] <= 0
model += X[5721] + Y[148] + X[3349] <= 2
model += X[2482] - Y[149] - X[5748] <= 0
model += X[2482] + Y[149] + X[5748] <= 2
model += X[2471] - Y[150] - X[5200] <= 0
model += X[2471] + Y[150] + X[5200] <= 2
model += X[7763] - Y[151] - X[3151] <= 0
model += X[7763] + Y[151] + X[3151] <= 2
model += X[6327] - Y[152] - X[2961] <= 0
model += X[6327] + Y[152] + X[2961] <= 2
model += X[5143] - Y[153] - X[3228] <= 0
model += X[5143] + Y[153] + X[3228] <= 2
model += -X[116] + Y[154] - X[3076] <= 0
model += -X[116] - Y[154] + X[3076] <= 0
model += X[3260] - Y[155] - X[7271] <= 0
model += X[3260] + Y[155] + X[7271] <= 2
model += X[2294] - Y[156] - X[2945] <= 0
model += X[2294] + Y[156] + X[2945] <= 2
model += X[6557] - X[451] - X[1181] <= 0
model += X[6557] + X[451] + X[1181] <= 2
model += X[430] - X[6297] - X[6394] <= 0
model += X[430] + X[6297] + X[6394] <= 2
model += -X[843] + X[2858] - X[243] <= 0
model += -X[843] - X[2858] + X[243] <= 0
model += -X[847] + Y[149] - X[6643] <= 0
model += -X[847] - Y[149] + X[6643] <= 0
model += X[6210] - Y[150] - X[1469] <= 0
model += X[6210] + Y[150] + X[1469] <= 2
model += X[3719] - Y[151] - X[1820] <= 0
model += X[3719] + Y[151] + X[1820] <= 2
model += X[1770] - Y[152] - X[3438] <= 0
model += X[1770] + Y[152] + X[3438] <= 2
model += X[5119] - Y[153] - X[7363] <= 0
model += X[5119] + Y[153] + X[7363] <= 2
model += X[1585] - Y[154] - X[6444] <= 0
model += X[1585] + Y[154] + X[6444] <= 2
model += X[4764] - Y[155] - X[7374] <= 0
model += X[4764] + Y[155] + X[7374] <= 2
model += X[5082] - Y[156] - X[2689] <= 0
model += X[5082] + Y[156] + X[2689] <= 2
model += X[1195] - Y[157] - X[7170] <= 0
model += X[1195] + Y[157] + X[7170] <= 2
model += X[6936] - Y[158] - X[7261] <= 0
model += X[6936] + Y[158] + X[7261] <= 2
model += X[5669] - Y[159] - X[3184] <= 0
model += X[5669] + Y[159] + X[3184] <= 2
model += -X[7147] + Y[144] - X[504] <= 0
model += -X[7147] - Y[144] + X[504] <= 0
model += X[3913] - Y[145] - X[5516] <= 0
model += X[3913] + Y[145] + X[5516] <= 2
model += X[3499] - Y[146] - X[1255] <= 0
model += X[3499] + Y[146] + X[1255] <= 2
model += X[5263] - Y[147] - X[4818] <= 0
model += X[5263] + Y[147] + X[4818] <= 2
model += X[1345] - X[311] - X[5149] <= 0
model += X[1345] + X[311] + X[5149] <= 2
model += X[786] - X[3728] - X[3341] <= 0
model += X[786] + X[3728] + X[3341] <= 2
model += X[2713] - Y[152] - X[4840] <= 0
model += X[2713] + Y[152] + X[4840] <= 2
model += X[3811] - Y[153] - X[5302] <= 0
model += X[3811] + Y[153] + X[5302] <= 2
model += -X[3353] + Y[154] - X[763] <= 0
model += -X[3353] - Y[154] + X[763] <= 0
model += X[4886] - Y[155] - X[3150] <= 0
model += X[4886] + Y[155] + X[3150] <= 2
model += X[3836] - Y[156] - X[2009] <= 0
model += X[3836] + Y[156] + X[2009] <= 2
model += -X[440] + Y[157] - X[2591] <= 0
model += -X[440] - Y[157] + X[2591] <= 0
model += X[3181] - Y[158] - X[2875] <= 0
model += X[3181] + Y[158] + X[2875] <= 2
model += -X[832] + Y[159] - X[3255] <= 0
model += -X[832] - Y[159] + X[3255] <= 0
model += X[2746] - Y[144] - X[5146] <= 0
model += X[2746] + Y[144] + X[5146] <= 2
model += X[3617] - Y[145] - X[2609] <= 0
model += X[3617] + Y[145] + X[2609] <= 2
model += X[2613] - Y[146] - X[6963] <= 0
model += X[2613] + Y[146] + X[6963] <= 2
model += X[7504] - Y[147] - X[2568] <= 0
model += X[7504] + Y[147] + X[2568] <= 2
model += X[1882] - Y[148] - X[4395] <= 0
model += X[1882] + Y[148] + X[4395] <= 2
model += X[4506] - Y[149] - X[4392] <= 0
model += X[4506] + Y[149] + X[4392] <= 2
model += X[5504] - Y[150] - X[3555] <= 0
model += X[5504] + Y[150] + X[3555] <= 2
model += X[496] - X[2669] - X[5217] <= 0
model += X[496] + X[2669] + X[5217] <= 2
model += X[7719] - X[873] - X[6989] <= 0
model += X[7719] + X[873] + X[6989] <= 2
model += X[225] - X[4167] - X[4808] <= 0
model += X[225] + X[4167] + X[4808] <= 2
model += X[1477] - X[2165] - X[784] <= 0
model += X[1477] + X[2165] + X[784] <= 2
model += X[6945] - Y[155] - X[6148] <= 0
model += X[6945] + Y[155] + X[6148] <= 2
model += X[1421] - Y[156] - X[1360] <= 0
model += X[1421] + Y[156] + X[1360] <= 2
model += X[2857] - Y[157] - X[6550] <= 0
model += X[2857] + Y[157] + X[6550] <= 2
model += X[4659] - X[7212] - X[879] <= 0
model += X[4659] + X[7212] + X[879] <= 2
model += -X[6359] + X[68] - X[1266] <= 0
model += -X[6359] - X[68] + X[1266] <= 0
model += X[4647] - Y[159] - X[6172] <= 0
model += X[4647] + Y[159] + X[6172] <= 2
model += -X[2982] + Y[144] - X[697] <= 0
model += -X[2982] - Y[144] + X[697] <= 0
model += -X[369] + Y[145] - X[6299] <= 0
model += -X[369] - Y[145] + X[6299] <= 0
model += X[5388] - Y[146] - X[1478] <= 0
model += X[5388] + Y[146] + X[1478] <= 2
model += X[1103] - Y[147] - X[4000] <= 0
model += X[1103] + Y[147] + X[4000] <= 2
model += X[1321] - Y[148] - X[5683] <= 0
model += X[1321] + Y[148] + X[5683] <= 2
model += X[5304] - Y[149] - X[7161] <= 0
model += X[5304] + Y[149] + X[7161] <= 2
model += X[2925] - Y[150] - X[1078] <= 0
model += X[2925] + Y[150] + X[1078] <= 2
model += X[5532] - Y[151] - X[3686] <= 0
model += X[5532] + Y[151] + X[3686] <= 2
model += -X[722] + Y[152] - X[1690] <= 0
model += -X[722] - Y[152] + X[1690] <= 0
model += X[6803] - Y[153] - X[5408] <= 0
model += X[6803] + Y[153] + X[5408] <= 2
model += -X[422] + X[3757] - X[298] <= 0
model += -X[422] - X[3757] + X[298] <= 0
model += X[5291] - Y[146] - X[1133] <= 0
model += X[5291] + Y[146] + X[1133] <= 2
model += X[3690] - Y[147] - X[4275] <= 0
model += X[3690] + Y[147] + X[4275] <= 2
model += X[4605] - Y[148] - X[4368] <= 0
model += X[4605] + Y[148] + X[4368] <= 2
model += X[4527] - Y[149] - X[7383] <= 0
model += X[4527] + Y[149] + X[7383] <= 2
model += X[3162] - Y[150] - X[4908] <= 0
model += X[3162] + Y[150] + X[4908] <= 2
model += X[6916] - Y[151] - X[3677] <= 0
model += X[6916] + Y[151] + X[3677] <= 2
model += X[3257] - Y[152] - X[6854] <= 0
model += X[3257] + Y[152] + X[6854] <= 2
model += X[4072] - Y[153] - X[6944] <= 0
model += X[4072] + Y[153] + X[6944] <= 2
model += X[6059] - Y[154] - X[2578] <= 0
model += X[6059] + Y[154] + X[2578] <= 2
model += X[1396] - Y[155] - X[4963] <= 0
model += X[1396] + Y[155] + X[4963] <= 2
model += X[4263] - Y[156] - X[3600] <= 0
model += X[4263] + Y[156] + X[3600] <= 2
model += X[3967] - X[451] - X[1010] <= 0
model += X[3967] + X[451] + X[1010] <= 2
model += X[315] - X[7619] - X[5625] <= 0
model += X[315] + X[7619] + X[5625] <= 2
model += -X[647] + Y[149] - X[3751] <= 0
model += -X[647] - Y[149] + X[3751] <= 0
model += X[6832] - Y[150] - X[3279] <= 0
model += X[6832] + Y[150] + X[3279] <= 2
model += -X[309] + Y[151] - X[3632] <= 0
model += -X[309] - Y[151] + X[3632] <= 0
model += X[1989] - Y[152] - X[3113] <= 0
model += X[1989] + Y[152] + X[3113] <= 2
model += X[6474] - Y[153] - X[3834] <= 0
model += X[6474] + Y[153] + X[3834] <= 2
model += X[5110] - Y[154] - X[1706] <= 0
model += X[5110] + Y[154] + X[1706] <= 2
model += X[3680] - Y[155] - X[1124] <= 0
model += X[3680] + Y[155] + X[1124] <= 2
model += X[3242] - Y[156] - X[6345] <= 0
model += X[3242] + Y[156] + X[6345] <= 2
model += X[1575] - Y[157] - X[5739] <= 0
model += X[1575] + Y[157] + X[5739] <= 2
model += X[5724] - Y[158] - X[4174] <= 0
model += X[5724] + Y[158] + X[4174] <= 2
model += X[4278] - Y[159] - X[3174] <= 0
model += X[4278] + Y[159] + X[3174] <= 2
model += X[6994] - Y[144] - X[5725] <= 0
model += X[6994] + Y[144] + X[5725] <= 2
model += X[5422] - Y[145] - X[5560] <= 0
model += X[5422] + Y[145] + X[5560] <= 2
model += X[6558] - Y[146] - X[1339] <= 0
model += X[6558] + Y[146] + X[1339] <= 2
model += X[2881] - Y[147] - X[7381] <= 0
model += X[2881] + Y[147] + X[7381] <= 2
model += X[2643] - X[311] - X[1919] <= 0
model += X[2643] + X[311] + X[1919] <= 2
model += X[7416] - Y[152] - X[6316] <= 0
model += X[7416] + Y[152] + X[6316] <= 2
model += X[4718] - Y[153] - X[5988] <= 0
model += X[4718] + Y[153] + X[5988] <= 2
model += -X[4048] + Y[154] - X[486] <= 0
model += -X[4048] - Y[154] + X[486] <= 0
model += X[1875] - X[173] - X[2552] <= 0
model += X[1875] + X[173] + X[2552] <= 2
model += X[5601] - Y[156] - X[2920] <= 0
model += X[5601] + Y[156] + X[2920] <= 2
model += X[5226] - Y[157] - X[2564] <= 0
model += X[5226] + Y[157] + X[2564] <= 2
model += X[3547] - Y[158] - X[4646] <= 0
model += X[3547] + Y[158] + X[4646] <= 2
model += -X[1601] + Y[159] - X[147] <= 0
model += -X[1601] - Y[159] + X[147] <= 0
model += X[2913] - Y[144] - X[2279] <= 0
model += X[2913] + Y[144] + X[2279] <= 2
model += X[4197] - Y[145] - X[7079] <= 0
model += X[4197] + Y[145] + X[7079] <= 2
model += X[5778] - Y[146] - X[6440] <= 0
model += X[5778] + Y[146] + X[6440] <= 2
model += X[3891] - Y[147] - X[4711] <= 0
model += X[3891] + Y[147] + X[4711] <= 2
model += X[5499] - Y[148] - X[6361] <= 0
model += X[5499] + Y[148] + X[6361] <= 2
model += X[5935] - Y[149] - X[2682] <= 0
model += X[5935] + Y[149] + X[2682] <= 2
model += X[7125] - Y[150] - X[4187] <= 0
model += X[7125] + Y[150] + X[4187] <= 2
model += X[4439] - X[873] - X[3527] <= 0
model += X[4439] + X[873] + X[3527] <= 2
model += -X[617] + Y[159] - X[4928] <= 0
model += -X[617] - Y[159] + X[4928] <= 0
model += X[1868] - Y[144] - X[6691] <= 0
model += X[1868] + Y[144] + X[6691] <= 2
model += X[1330] - Y[145] - X[2645] <= 0
model += X[1330] + Y[145] + X[2645] <= 2
model += X[1153] - Y[146] - X[1110] <= 0
model += X[1153] + Y[146] + X[1110] <= 2
model += X[5366] - Y[147] - X[6222] <= 0
model += X[5366] + Y[147] + X[6222] <= 2
model += -X[4146] + Y[148] - X[398] <= 0
model += -X[4146] - Y[148] + X[398] <= 0
model += X[3021] - Y[149] - X[7266] <= 0
model += X[3021] + Y[149] + X[7266] <= 2
model += X[1824] - Y[150] - X[2863] <= 0
model += X[1824] + Y[150] + X[2863] <= 2
model += X[1109] - Y[151] - X[3614] <= 0
model += X[1109] + Y[151] + X[3614] <= 2
model += -X[795] + Y[152] - X[6829] <= 0
model += -X[795] - Y[152] + X[6829] <= 0
model += X[1600] - Y[153] - X[6705] <= 0
model += X[1600] + Y[153] + X[6705] <= 2
model += -X[55] + X[4805] - X[4580] <= 0
model += -X[55] - X[4805] + X[4580] <= 0
model += X[4656] - X[1834] - X[713] <= 0
model += X[4656] + X[1834] + X[713] <= 2
model += X[6646] - X[6950] - X[585] <= 0
model += X[6646] + X[6950] + X[585] <= 2
model += X[405] - X[5859] - X[4095] <= 0
model += X[405] + X[5859] + X[4095] <= 2
model += X[6054] - Y[146] - X[3004] <= 0
model += X[6054] + Y[146] + X[3004] <= 2
model += X[2679] - Y[147] - X[1944] <= 0
model += X[2679] + Y[147] + X[1944] <= 2
model += X[2023] - Y[149] - X[2768] <= 0
model += X[2023] + Y[149] + X[2768] <= 2
model += -X[5213] + Y[151] - X[675] <= 0
model += -X[5213] - Y[151] + X[675] <= 0
model += X[5868] - Y[152] - X[3407] <= 0
model += X[5868] + Y[152] + X[3407] <= 2
model += -X[267] + Y[153] - X[3939] <= 0
model += -X[267] - Y[153] + X[3939] <= 0
model += X[3075] - Y[154] - X[6273] <= 0
model += X[3075] + Y[154] + X[6273] <= 2
model += X[6382] - Y[155] - X[2951] <= 0
model += X[6382] + Y[155] + X[2951] <= 2
model += X[5791] - Y[156] - X[3994] <= 0
model += X[5791] + Y[156] + X[3994] <= 2
model += X[2802] - X[2562] - X[733] <= 0
model += X[2802] + X[2562] + X[733] <= 2
model += X[3068] - X[451] - X[4522] <= 0
model += X[3068] + X[451] + X[4522] <= 2
model += X[4125] - X[3688] - X[403] <= 0
model += X[4125] + X[3688] + X[403] <= 2
model += -X[383] + Y[149] - X[2603] <= 0
model += -X[383] - Y[149] + X[2603] <= 0
model += -X[286] + Y[150] - X[7155] <= 0
model += -X[286] - Y[150] + X[7155] <= 0
model += X[4379] - Y[151] - X[2972] <= 0
model += X[4379] + Y[151] + X[2972] <= 2
model += X[3463] - Y[153] - X[7225] <= 0
model += X[3463] + Y[153] + X[7225] <= 2
model += X[4318] - Y[154] - X[6745] <= 0
model += X[4318] + Y[154] + X[6745] <= 2
model += X[2065] - Y[155] - X[2477] <= 0
model += X[2065] + Y[155] + X[2477] <= 2
model += X[2343] - Y[156] - X[7098] <= 0
model += X[2343] + Y[156] + X[7098] <= 2
model += -X[5357] + Y[157] - X[566] <= 0
model += -X[5357] - Y[157] + X[566] <= 0
model += -X[716] + Y[158] - X[1928] <= 0
model += -X[716] - Y[158] + X[1928] <= 0
model += -X[949] + Y[159] - X[1043] <= 0
model += -X[949] - Y[159] + X[1043] <= 0
model += X[5257] - Y[144] - X[3576] <= 0
model += X[5257] + Y[144] + X[3576] <= 2
model += X[1657] - Y[145] - X[5056] <= 0
model += X[1657] + Y[145] + X[5056] <= 2
model += -X[470] + Y[146] - X[2079] <= 0
model += -X[470] - Y[146] + X[2079] <= 0
model += X[6976] - Y[147] - X[6457] <= 0
model += X[6976] + Y[147] + X[6457] <= 2
model += X[7167] - X[311] - X[7713] <= 0
model += X[7167] + X[311] + X[7713] <= 2
model += X[5438] - X[1340] - X[880] <= 0
model += X[5438] + X[1340] + X[880] <= 2
model += -X[5600] + X[173] - X[652] <= 0
model += -X[5600] - X[173] + X[652] <= 0
model += -X[2344] + Y[156] - X[932] <= 0
model += -X[2344] - Y[156] + X[932] <= 0
model += -X[353] + Y[157] - X[3683] <= 0
model += -X[353] - Y[157] + X[3683] <= 0
model += X[7730] - Y[158] - X[1319] <= 0
model += X[7730] + Y[158] + X[1319] <= 2
model += X[1229] - Y[159] - X[3861] <= 0
model += X[1229] + Y[159] + X[3861] <= 2
model += X[3630] - Y[144] - X[4955] <= 0
model += X[3630] + Y[144] + X[4955] <= 2
model += -X[514] + Y[145] - X[6553] <= 0
model += -X[514] - Y[145] + X[6553] <= 0
model += X[1198] - Y[146] - X[7407] <= 0
model += X[1198] + Y[146] + X[7407] <= 2
model += X[2571] - Y[147] - X[3244] <= 0
model += X[2571] + Y[147] + X[3244] <= 2
model += X[7479] - Y[148] - X[1463] <= 0
model += X[7479] + Y[148] + X[1463] <= 2
model += -X[801] + Y[149] - X[6282] <= 0
model += -X[801] - Y[149] + X[6282] <= 0
model += X[2491] - Y[150] - X[6921] <= 0
model += X[2491] + Y[150] + X[6921] <= 2
model += X[1842] - X[873] - X[2815] <= 0
model += X[1842] + X[873] + X[2815] <= 2
model += X[767] - X[1916] - X[6318] <= 0
model += X[767] + X[1916] + X[6318] <= 2
model += -X[1515] + X[68] - X[3509] <= 0
model += -X[1515] - X[68] + X[3509] <= 0
model += -X[131] + Y[159] - X[2984] <= 0
model += -X[131] - Y[159] + X[2984] <= 0
model += -X[980] + Y[144] - X[2002] <= 0
model += -X[980] - Y[144] + X[2002] <= 0
model += X[3332] - Y[145] - X[5648] <= 0
model += X[3332] + Y[145] + X[5648] <= 2
model += X[2676] - Y[146] - X[6084] <= 0
model += X[2676] + Y[146] + X[6084] <= 2
model += X[2714] - Y[147] - X[3738] <= 0
model += X[2714] + Y[147] + X[3738] <= 2
model += X[7507] - Y[148] - X[7606] <= 0
model += X[7507] + Y[148] + X[7606] <= 2
model += X[6289] - Y[149] - X[6695] <= 0
model += X[6289] + Y[149] + X[6695] <= 2
model += X[4549] - Y[150] - X[4493] <= 0
model += X[4549] + Y[150] + X[4493] <= 2
model += X[1954] - Y[151] - X[3352] <= 0
model += X[1954] + Y[151] + X[3352] <= 2
model += -X[489] + Y[152] - X[7238] <= 0
model += -X[489] - Y[152] + X[7238] <= 0
model += X[3206] - Y[153] - X[3875] <= 0
model += X[3206] + Y[153] + X[3875] <= 2
model += X[7762] - Y[146] - X[2475] <= 0
model += X[7762] + Y[146] + X[2475] <= 2
model += X[1639] - Y[147] - X[6487] <= 0
model += X[1639] + Y[147] + X[6487] <= 2
model += X[7252] - Y[148] - X[5042] <= 0
model += X[7252] + Y[148] + X[5042] <= 2
model += X[5058] - Y[150] - X[4579] <= 0
model += X[5058] + Y[150] + X[4579] <= 2
model += X[4979] - Y[152] - X[1806] <= 0
model += X[4979] + Y[152] + X[1806] <= 2
model += X[1897] - Y[153] - X[4204] <= 0
model += X[1897] + Y[153] + X[4204] <= 2
model += -X[1630] + Y[155] - X[395] <= 0
model += -X[1630] - Y[155] + X[395] <= 0
model += X[7427] - Y[156] - X[6523] <= 0
model += X[7427] + Y[156] + X[6523] <= 2
model += X[6365] - X[451] - X[5009] <= 0
model += X[6365] + X[451] + X[5009] <= 2
model += X[5572] - X[4230] - X[941] <= 0
model += X[5572] + X[4230] + X[941] <= 2
model += X[222] - X[2866] - X[6281] <= 0
model += X[222] + X[2866] + X[6281] <= 2
model += X[2791] - Y[153] - X[3037] <= 0
model += X[2791] + Y[153] + X[3037] <= 2
model += X[7768] - Y[154] - X[2778] <= 0
model += X[7768] + Y[154] + X[2778] <= 2
model += X[3355] - Y[155] - X[4188] <= 0
model += X[3355] + Y[155] + X[4188] <= 2
model += X[6168] - Y[156] - X[2545] <= 0
model += X[6168] + Y[156] + X[2545] <= 2
model += X[1051] - Y[157] - X[6007] <= 0
model += X[1051] + Y[157] + X[6007] <= 2
model += -X[542] + Y[158] - X[4406] <= 0
model += -X[542] - Y[158] + X[4406] <= 0
model += -X[982] + Y[159] - X[5303] <= 0
model += -X[982] - Y[159] + X[5303] <= 0
model += X[7334] - Y[145] - X[7508] <= 0
model += X[7334] + Y[145] + X[7508] <= 2
model += -X[1708] + Y[146] - X[285] <= 0
model += -X[1708] - Y[146] + X[285] <= 0
model += X[6009] - Y[147] - X[5993] <= 0
model += X[6009] + Y[147] + X[5993] <= 2
model += X[2529] - X[311] - X[1399] <= 0
model += X[2529] + X[311] + X[1399] <= 2
model += -X[2770] + X[3728] - X[73] <= 0
model += -X[2770] - X[3728] + X[73] <= 0
model += X[122] - X[3978] - X[5890] <= 0
model += X[122] + X[3978] + X[5890] <= 2
model += -X[2510] + X[173] - X[450] <= 0
model += -X[2510] - X[173] + X[450] <= 0
model += -X[442] + X[1705] - X[839] <= 0
model += -X[442] - X[1705] + X[839] <= 0
model += X[4432] - Y[156] - X[7623] <= 0
model += X[4432] + Y[156] + X[7623] <= 2
model += X[2095] - Y[157] - X[3639] <= 0
model += X[2095] + Y[157] + X[3639] <= 2
model += X[5904] - Y[158] - X[5244] <= 0
model += X[5904] + Y[158] + X[5244] <= 2
model += X[5870] - Y[159] - X[5264] <= 0
model += X[5870] + Y[159] + X[5264] <= 2
model += -X[911] + Y[144] - X[7158] <= 0
model += -X[911] - Y[144] + X[7158] <= 0
model += X[5258] - Y[145] - X[7245] <= 0
model += X[5258] + Y[145] + X[7245] <= 2
model += -X[444] + Y[146] - X[6958] <= 0
model += -X[444] - Y[146] + X[6958] <= 0
model += X[3582] - Y[147] - X[1888] <= 0
model += X[3582] + Y[147] + X[1888] <= 2
model += X[6687] - Y[148] - X[4780] <= 0
model += X[6687] + Y[148] + X[4780] <= 2
model += X[5847] - Y[150] - X[5756] <= 0
model += X[5847] + Y[150] + X[5756] <= 2
model += -X[3899] + X[873] - X[913] <= 0
model += -X[3899] - X[873] + X[913] <= 0
model += X[6285] - X[2165] - X[506] <= 0
model += X[6285] + X[2165] + X[506] <= 2
model += -X[2912] + X[68] - X[2451] <= 0
model += -X[2912] - X[68] + X[2451] <= 0
model += -X[6174] + X[3918] - X[25] <= 0
model += -X[6174] - X[3918] + X[25] <= 0
model += X[3748] - Y[159] - X[2168] <= 0
model += X[3748] + Y[159] + X[2168] <= 2
model += -X[375] + Y[144] - X[2601] <= 0
model += -X[375] - Y[144] + X[2601] <= 0
model += X[4952] - Y[145] - X[6802] <= 0
model += X[4952] + Y[145] + X[6802] <= 2
model += -X[326] + X[4295] - X[120] <= 0
model += -X[326] - X[4295] + X[120] <= 0
model += -X[264] + Y[147] - X[2541] <= 0
model += -X[264] - Y[147] + X[2541] <= 0
model += X[4003] - Y[148] - X[3912] <= 0
model += X[4003] + Y[148] + X[3912] <= 2
model += -X[114] + Y[149] - X[4734] <= 0
model += -X[114] - Y[149] + X[4734] <= 0
model += X[7196] - Y[151] - X[2092] <= 0
model += X[7196] + Y[151] + X[2092] <= 2
model += X[1800] - Y[152] - X[5505] <= 0
model += X[1800] + Y[152] + X[5505] <= 2
model += X[2905] - Y[153] - X[6037] <= 0
model += X[2905] + Y[153] + X[6037] <= 2
model += X[2959] - X[6950] - X[858] <= 0
model += X[2959] + X[6950] + X[858] <= 2
model += X[452] - X[5859] - X[3211] <= 0
model += X[452] + X[5859] + X[3211] <= 2
model += X[7403] - X[3651] - X[169] <= 0
model += X[7403] + X[3651] + X[169] <= 2
model += X[7342] - Y[150] - X[3042] <= 0
model += X[7342] + Y[150] + X[3042] <= 2
model += -X[940] + Y[151] - X[3247] <= 0
model += -X[940] - Y[151] + X[3247] <= 0
model += X[1907] - Y[152] - X[4049] <= 0
model += X[1907] + Y[152] + X[4049] <= 2
model += X[1617] - Y[153] - X[6276] <= 0
model += X[1617] + Y[153] + X[6276] <= 2
model += X[1510] - Y[154] - X[7375] <= 0
model += X[1510] + Y[154] + X[7375] <= 2
model += X[3478] - Y[155] - X[4615] <= 0
model += X[3478] + Y[155] + X[4615] <= 2
model += X[4307] - Y[156] - X[4212] <= 0
model += X[4307] + Y[156] + X[4212] <= 2
model += X[4819] - X[451] - X[4018] <= 0
model += X[4819] + X[451] + X[4018] <= 2
model += X[235] - X[2858] - X[3442] <= 0
model += X[235] + X[2858] + X[3442] <= 2
model += X[305] - X[3721] - X[7772] <= 0
model += X[305] + X[3721] + X[7772] <= 2
model += X[288] - X[2668] - X[5299] <= 0
model += X[288] + X[2668] + X[5299] <= 2
model += X[5704] - Y[153] - X[3491] <= 0
model += X[5704] + Y[153] + X[3491] <= 2
model += X[4228] - Y[154] - X[3628] <= 0
model += X[4228] + Y[154] + X[3628] <= 2
model += X[7425] - Y[155] - X[1354] <= 0
model += X[7425] + Y[155] + X[1354] <= 2
model += -X[2782] + Y[156] - X[606] <= 0
model += -X[2782] - Y[156] + X[606] <= 0
model += X[2584] - Y[157] - X[4761] <= 0
model += X[2584] + Y[157] + X[4761] <= 2
model += X[7577] - Y[158] - X[1715] <= 0
model += X[7577] + Y[158] + X[1715] <= 2
model += X[6908] - Y[159] - X[5801] <= 0
model += X[6908] + Y[159] + X[5801] <= 2
model += X[4453] - Y[144] - X[7675] <= 0
model += X[4453] + Y[144] + X[7675] <= 2
model += X[6876] - Y[145] - X[6752] <= 0
model += X[6876] + Y[145] + X[6752] <= 2
model += X[5496] - Y[146] - X[1640] <= 0
model += X[5496] + Y[146] + X[1640] <= 2
model += X[4195] - Y[147] - X[5905] <= 0
model += X[4195] + Y[147] + X[5905] <= 2
model += X[6072] - X[311] - X[5104] <= 0
model += X[6072] + X[311] + X[5104] <= 2
model += X[809] - X[1130] - X[3687] <= 0
model += X[809] + X[1130] + X[3687] <= 2
model += -X[2152] + X[173] - X[287] <= 0
model += -X[2152] - X[173] + X[287] <= 0
model += X[5460] - Y[156] - X[3542] <= 0
model += X[5460] + Y[156] + X[3542] <= 2
model += X[2313] - Y[157] - X[1486] <= 0
model += X[2313] + Y[157] + X[1486] <= 2
model += X[6980] - Y[158] - X[5530] <= 0
model += X[6980] + Y[158] + X[5530] <= 2
model += X[4552] - X[2957] - X[682] <= 0
model += X[4552] + X[2957] + X[682] <= 2
model += X[4883] - X[539] - X[2662] <= 0
model += X[4883] + X[539] + X[2662] <= 2
model += X[7264] - Y[144] - X[6107] <= 0
model += X[7264] + Y[144] + X[6107] <= 2
model += X[4822] - Y[145] - X[4987] <= 0
model += X[4822] + Y[145] + X[4987] <= 2
model += X[2495] - Y[146] - X[1316] <= 0
model += X[2495] + Y[146] + X[1316] <= 2
model += X[3496] - Y[147] - X[6272] <= 0
model += X[3496] + Y[147] + X[6272] <= 2
model += -X[142] + Y[148] - X[2189] <= 0
model += -X[142] - Y[148] + X[2189] <= 0
model += X[3908] - Y[149] - X[6571] <= 0
model += X[3908] + Y[149] + X[6571] <= 2
model += X[402] - X[2669] - X[2758] <= 0
model += X[402] + X[2669] + X[2758] <= 2
model += X[3855] - X[873] - X[6855] <= 0
model += X[3855] + X[873] + X[6855] <= 2
model += -X[5880] + X[68] - X[5689] <= 0
model += -X[5880] - X[68] + X[5689] <= 0
model += X[6619] - X[7385] - X[683] <= 0
model += X[6619] + X[7385] + X[683] <= 2
model += X[753] - X[1884] - X[6271] <= 0
model += X[753] + X[1884] + X[6271] <= 2
model += -X[5672] + Y[147] - X[117] <= 0
model += -X[5672] - Y[147] + X[117] <= 0
model += X[6448] - Y[148] - X[5067] <= 0
model += X[6448] + Y[148] + X[5067] <= 2
model += X[6433] - Y[149] - X[4166] <= 0
model += X[6433] + Y[149] + X[4166] <= 2
model += X[4778] - Y[150] - X[3655] <= 0
model += X[4778] + Y[150] + X[3655] <= 2
model += -X[352] + Y[151] - X[6010] <= 0
model += -X[352] - Y[151] + X[6010] <= 0
model += X[6524] - Y[152] - X[5467] <= 0
model += X[6524] + Y[152] + X[5467] <= 2
model += X[2339] - Y[153] - X[7086] <= 0
model += X[2339] + Y[153] + X[7086] <= 2
model += X[362] - X[6950] - X[3309] <= 0
model += X[362] + X[6950] + X[3309] <= 2
model += X[6317] - X[5859] - X[686] <= 0
model += X[6317] + X[5859] + X[686] <= 2
model += -X[424] + X[3757] - X[302] <= 0
model += -X[424] - X[3757] + X[302] <= 0
model += -X[528] + X[3651] - X[883] <= 0
model += -X[528] - X[3651] + X[883] <= 0
model += X[1614] - Y[150] - X[7596] <= 0
model += X[1614] + Y[150] + X[7596] <= 2
model += X[5681] - Y[151] - X[4765] <= 0
model += X[5681] + Y[151] + X[4765] <= 2
model += X[4274] - Y[152] - X[2175] <= 0
model += X[4274] + Y[152] + X[2175] <= 2
model += X[3152] - Y[153] - X[6245] <= 0
model += X[3152] + Y[153] + X[6245] <= 2
model += X[4175] - Y[154] - X[5632] <= 0
model += X[4175] + Y[154] + X[5632] <= 2
model += X[1556] - Y[155] - X[7023] <= 0
model += X[1556] + Y[155] + X[7023] <= 2
model += X[5774] - Y[156] - X[2020] <= 0
model += X[5774] + Y[156] + X[2020] <= 2
model += X[7177] - X[451] - X[4773] <= 0
model += X[7177] + X[451] + X[4773] <= 2
model += X[349] - X[6297] - X[5889] <= 0
model += X[349] + X[6297] + X[5889] <= 2
model += X[6486] - X[2858] - X[519] <= 0
model += X[6486] + X[2858] + X[519] <= 2
model += X[1755] - Y[153] - X[2956] <= 0
model += X[1755] + Y[153] + X[2956] <= 2
model += X[4001] - Y[154] - X[7686] <= 0
model += X[4001] + Y[154] + X[7686] <= 2
model += X[7570] - Y[155] - X[3400] <= 0
model += X[7570] + Y[155] + X[3400] <= 2
model += X[725] - X[3796] - X[3565] <= 0
model += X[725] + X[3796] + X[3565] <= 2
model += -X[2390] + Y[157] - X[130] <= 0
model += -X[2390] - Y[157] + X[130] <= 0
model += X[4385] - Y[158] - X[5493] <= 0
model += X[4385] + Y[158] + X[5493] <= 2
model += X[6409] - Y[159] - X[5879] <= 0
model += X[6409] + Y[159] + X[5879] <= 2
model += -X[2848] + Y[144] - X[921] <= 0
model += -X[2848] - Y[144] + X[921] <= 0
model += X[1178] - Y[145] - X[4583] <= 0
model += X[1178] + Y[145] + X[4583] <= 2
model += X[2439] - Y[146] - X[5501] <= 0
model += X[2439] + Y[146] + X[5501] <= 2
model += X[1844] - Y[147] - X[6322] <= 0
model += X[1844] + Y[147] + X[6322] <= 2
model += X[1460] - X[4687] - X[846] <= 0
model += X[1460] + X[4687] + X[846] <= 2
model += X[6899] - X[311] - X[6678] <= 0
model += X[6899] + X[311] + X[6678] <= 2
model += X[6026] - X[173] - X[5230] <= 0
model += X[6026] + X[173] + X[5230] <= 2
model += X[607] - X[4973] - X[5482] <= 0
model += X[607] + X[4973] + X[5482] <= 2
model += -X[4475] + X[539] - X[308] <= 0
model += -X[4475] - X[539] + X[308] <= 0
model += X[5510] - Y[144] - X[1309] <= 0
model += X[5510] + Y[144] + X[1309] <= 2
model += -X[7611] + Y[145] - X[800] <= 0
model += -X[7611] - Y[145] + X[800] <= 0
model += X[4889] - Y[146] - X[2192] <= 0
model += X[4889] + Y[146] + X[2192] <= 2
model += X[4841] - Y[147] - X[3144] <= 0
model += X[4841] + Y[147] + X[3144] <= 2
model += X[1126] - Y[148] - X[6304] <= 0
model += X[1126] + Y[148] + X[6304] <= 2
model += X[6665] - Y[149] - X[4046] <= 0
model += X[6665] + Y[149] + X[4046] <= 2
model += X[3418] - Y[150] - X[1889] <= 0
model += X[3418] + Y[150] + X[1889] <= 2
model += -X[3320] + X[873] - X[426] <= 0
model += -X[3320] - X[873] + X[426] <= 0
model += X[471] - X[2165] - X[6157] <= 0
model += X[471] + X[2165] + X[6157] <= 2
model += X[1254] - X[7212] - X[477] <= 0
model += X[1254] + X[7212] + X[477] <= 2
model += -X[5729] + X[68] - X[7267] <= 0
model += -X[5729] - X[68] + X[7267] <= 0
model += X[676] - X[4295] - X[3250] <= 0
model += X[676] + X[4295] + X[3250] <= 2
model += X[4537] - Y[147] - X[7701] <= 0
model += X[4537] + Y[147] + X[7701] <= 2
model += X[1140] - Y[148] - X[2088] <= 0
model += X[1140] + Y[148] + X[2088] <= 2
model += X[4731] - Y[149] - X[5420] <= 0
model += X[4731] + Y[149] + X[5420] <= 2
model += X[5860] - Y[150] - X[6577] <= 0
model += X[5860] + Y[150] + X[6577] <= 2
model += X[7405] - Y[151] - X[4130] <= 0
model += X[7405] + Y[151] + X[4130] <= 2
model += X[5825] - Y[152] - X[6710] <= 0
model += X[5825] + Y[152] + X[6710] <= 2
model += X[1625] - Y[153] - X[2242] <= 0
model += X[1625] + Y[153] + X[2242] <= 2
model += X[110] - X[1721] - X[4804] <= 0
model += X[110] + X[1721] + X[4804] <= 2
model += X[3831] - X[6031] - X[844] <= 0
model += X[3831] + X[6031] + X[844] <= 2
model += X[2286] - Y[150] - X[7710] <= 0
model += X[2286] + Y[150] + X[7710] <= 2
model += X[6498] - Y[151] - X[5189] <= 0
model += X[6498] + Y[151] + X[5189] <= 2
model += X[2861] - Y[152] - X[4854] <= 0
model += X[2861] + Y[152] + X[4854] <= 2
model += X[4393] - Y[154] - X[7785] <= 0
model += X[4393] + Y[154] + X[7785] <= 2
model += -X[623] + Y[155] - X[3187] <= 0
model += -X[623] - Y[155] + X[3187] <= 0
model += X[1959] - Y[156] - X[3820] <= 0
model += X[1959] + Y[156] + X[3820] <= 2
model += X[6545] - X[2562] - X[975] <= 0
model += X[6545] + X[2562] + X[975] <= 2
model += X[7595] - X[451] - X[2117] <= 0
model += X[7595] + X[451] + X[2117] <= 2
model += -X[43] + X[3721] - X[3261] <= 0
model += -X[43] - X[3721] + X[3261] <= 0
model += -X[4405] + X[2668] - X[99] <= 0
model += -X[4405] - X[2668] + X[99] <= 0
model += X[3248] - X[179] - X[3421] <= 0
model += X[3248] + X[179] + X[3421] <= 2
model += X[2085] - Y[158] - X[7000] <= 0
model += X[2085] + Y[158] + X[7000] <= 2
model += X[6160] - Y[159] - X[4109] <= 0
model += X[6160] + Y[159] + X[4109] <= 2
model += X[4297] - Y[144] - X[4247] <= 0
model += X[4297] + Y[144] + X[4247] <= 2
model += X[7186] - Y[145] - X[4397] <= 0
model += X[7186] + Y[145] + X[4397] <= 2
model += X[1273] - Y[146] - X[5095] <= 0
model += X[1273] + Y[146] + X[5095] <= 2
model += X[2363] - Y[147] - X[7310] <= 0
model += X[2363] + Y[147] + X[7310] <= 2
model += X[5465] - X[311] - X[5353] <= 0
model += X[5465] + X[311] + X[5353] <= 2
model += X[611] - X[1340] - X[6200] <= 0
model += X[611] + X[1340] + X[6200] <= 2
model += X[5344] - X[173] - X[2289] <= 0
model += X[5344] + X[173] + X[2289] <= 2
model += X[892] - X[2957] - X[5254] <= 0
model += X[892] + X[2957] + X[5254] <= 2
model += X[3081] - X[539] - X[4643] <= 0
model += X[3081] + X[539] + X[4643] <= 2
model += -X[97] + X[2275] - X[2607] <= 0
model += -X[97] - X[2275] + X[2607] <= 0
model += -X[1227] + Y[144] - X[774] <= 0
model += -X[1227] - Y[144] + X[774] <= 0
model += X[7102] - Y[145] - X[7424] <= 0
model += X[7102] + Y[145] + X[7424] <= 2
model += X[2182] - Y[146] - X[2125] <= 0
model += X[2182] + Y[146] + X[2125] <= 2
model += X[3999] - Y[147] - X[4601] <= 0
model += X[3999] + Y[147] + X[4601] <= 2
model += X[6882] - Y[148] - X[4587] <= 0
model += X[6882] + Y[148] + X[4587] <= 2
model += -X[986] + Y[149] - X[1558] <= 0
model += -X[986] - Y[149] + X[1558] <= 0
model += X[6296] - Y[150] - X[1240] <= 0
model += X[6296] + Y[150] + X[1240] <= 2
model += -X[3609] + X[873] - X[734] <= 0
model += -X[3609] - X[873] + X[734] <= 0
model += X[3779] - X[7385] - X[396] <= 0
model += X[3779] + X[7385] + X[396] <= 2
model += X[5378] - Y[147] - X[3404] <= 0
model += X[5378] + Y[147] + X[3404] <= 2
model += X[2695] - Y[148] - X[5274] <= 0
model += X[2695] + Y[148] + X[5274] <= 2
model += X[2749] - Y[149] - X[3501] <= 0
model += X[2749] + Y[149] + X[3501] <= 2
model += X[344] - X[4345] - X[2034] <= 0
model += X[344] + X[4345] + X[2034] <= 2
model += X[6178] - X[910] - X[1299] <= 0
model += X[6178] + X[910] + X[1299] <= 2
model += -X[6616] + Y[151] - X[816] <= 0
model += -X[6616] - Y[151] + X[816] <= 0
model += X[7441] - Y[152] - X[6303] <= 0
model += X[7441] + Y[152] + X[6303] <= 2
model += X[3856] - Y[153] - X[2938] <= 0
model += X[3856] + Y[153] + X[2938] <= 2
model += X[436] - X[1834] - X[1866] <= 0
model += X[436] + X[1834] + X[1866] <= 2
model += X[6048] - X[5094] - X[864] <= 0
model += X[6048] + X[5094] + X[864] <= 2
model += X[4903] - X[6031] - X[929] <= 0
model += X[4903] + X[6031] + X[929] <= 2
model += X[248] - X[1776] - X[1964] <= 0
model += X[248] + X[1776] + X[1964] <= 2
model += X[828] - X[7197] - X[5513] <= 0
model += X[828] + X[7197] + X[5513] <= 2
model += X[6605] - Y[154] - X[5093] <= 0
model += X[6605] + Y[154] + X[5093] <= 2
model += X[1086] - Y[155] - X[7013] <= 0
model += X[1086] + Y[155] + X[7013] <= 2
model += X[5266] - Y[156] - X[2797] <= 0
model += X[5266] + Y[156] + X[2797] <= 2
model += X[4401] - X[451] - X[2008] <= 0
model += X[4401] + X[451] + X[2008] <= 2
model += X[4923] - X[2866] - X[177] <= 0
model += X[4923] + X[2866] + X[177] <= 2
model += X[3127] - X[179] - X[4774] <= 0
model += X[3127] + X[179] + X[4774] <= 2
model += X[1308] - Y[157] - X[2836] <= 0
model += X[1308] + Y[157] + X[2836] <= 2
model += X[2394] - Y[158] - X[5364] <= 0
model += X[2394] + Y[158] + X[5364] <= 2
model += -X[2990] + Y[159] - X[995] <= 0
model += -X[2990] - Y[159] + X[995] <= 0
model += X[2748] - Y[144] - X[5201] <= 0
model += X[2748] + Y[144] + X[5201] <= 2
model += X[3965] - Y[145] - X[3460] <= 0
model += X[3965] + Y[145] + X[3460] <= 2
model += X[1771] - Y[146] - X[4654] <= 0
model += X[1771] + Y[146] + X[4654] <= 2
model += X[5542] - Y[147] - X[5819] <= 0
model += X[5542] + Y[147] + X[5819] <= 2
model += X[4745] - X[311] - X[6443] <= 0
model += X[4745] + X[311] + X[6443] <= 2
model += X[609] - X[3728] - X[6427] <= 0
model += X[609] + X[3728] + X[6427] <= 2
model += X[3649] - X[173] - X[7571] <= 0
model += X[3649] + X[173] + X[7571] <= 2
model += X[6613] - X[4973] - X[332] <= 0
model += X[6613] + X[4973] + X[332] <= 2
model += X[4758] - X[539] - X[2918] <= 0
model += X[4758] + X[539] + X[2918] <= 2
model += X[4156] - Y[144] - X[2795] <= 0
model += X[4156] + Y[144] + X[2795] <= 2
model += -X[5924] + Y[145] - X[953] <= 0
model += -X[5924] - Y[145] + X[953] <= 0
model += X[4550] - Y[146] - X[4162] <= 0
model += X[4550] + Y[146] + X[4162] <= 2
model += X[6754] - X[1138] - X[163] <= 0
model += X[6754] + X[1138] + X[163] <= 2
model += X[4338] - X[641] - X[2466] <= 0
model += X[4338] + X[641] + X[2466] <= 2
model += X[2206] - X[255] - X[5932] <= 0
model += X[2206] + X[255] + X[5932] <= 2
model += X[2039] - Y[148] - X[2974] <= 0
model += X[2039] + Y[148] + X[2974] <= 2
model += X[6428] - Y[149] - X[4472] <= 0
model += X[6428] + Y[149] + X[4472] <= 2
model += X[2457] - Y[150] - X[3225] <= 0
model += X[2457] + Y[150] + X[3225] <= 2
model += X[5938] - X[873] - X[6804] <= 0
model += X[5938] + X[873] + X[6804] <= 2
model += X[752] - X[4167] - X[2248] <= 0
model += X[752] + X[4167] + X[2248] <= 2
model += X[633] - X[2165] - X[4388] <= 0
model += X[633] + X[2165] + X[4388] <= 2
model += -X[4702] + X[68] - X[3560] <= 0
model += -X[4702] - X[68] + X[3560] <= 0
model += X[1173] - X[4295] - X[919] <= 0
model += X[1173] + X[4295] + X[919] <= 2
model += X[2054] - X[7385] - X[565] <= 0
model += X[2054] + X[7385] + X[565] <= 2
model += X[928] - X[1884] - X[1761] <= 0
model += X[928] + X[1884] + X[1761] <= 2
model += X[996] - X[4811] - X[6692] <= 0
model += X[996] + X[4811] + X[6692] <= 2
model += -X[189] + X[910] - X[3895] <= 0
model += -X[189] - X[910] + X[3895] <= 0
model += X[3107] - Y[151] - X[4220] <= 0
model += X[3107] + Y[151] + X[4220] <= 2
model += -X[4246] + Y[152] - X[849] <= 0
model += -X[4246] - Y[152] + X[849] <= 0
model += X[7720] - Y[153] - X[1434] <= 0
model += X[7720] + Y[153] + X[1434] <= 2
model += -X[7240] + X[1834] - X[65] <= 0
model += -X[7240] - X[1834] + X[65] <= 0
model += X[5125] - X[6950] - X[900] <= 0
model += X[5125] + X[6950] + X[900] <= 2
model += X[692] - X[3651] - X[7666] <= 0
model += X[692] + X[3651] + X[7666] <= 2
model += X[164] - X[3233] - X[4915] <= 0
model += X[164] + X[3233] + X[4915] <= 2
model += -X[34] + X[1776] - X[4723] <= 0
model += -X[34] - X[1776] + X[4723] <= 0
model += X[2522] - X[4795] - X[441] <= 0
model += X[2522] + X[4795] + X[441] <= 2
model += X[7482] - Y[154] - X[6188] <= 0
model += X[7482] + Y[154] + X[6188] <= 2
model += X[4649] - Y[155] - X[7775] <= 0
model += X[4649] + Y[155] + X[7775] <= 2
model += X[6901] - Y[156] - X[2144] <= 0
model += X[6901] + Y[156] + X[2144] <= 2
model += -X[7409] + X[451] - X[746] <= 0
model += -X[7409] - X[451] + X[746] <= 0
model += X[409] - X[2858] - X[2219] <= 0
model += X[409] + X[2858] + X[2219] <= 2
model += X[721] - X[2668] - X[6062] <= 0
model += X[721] + X[2668] + X[6062] <= 2
model += X[5720] - X[179] - X[5898] <= 0
model += X[5720] + X[179] + X[5898] <= 2
model += X[1047] - Y[157] - X[7063] <= 0
model += X[1047] + Y[157] + X[7063] <= 2
model += -X[969] + Y[158] - X[1031] <= 0
model += -X[969] - Y[158] + X[1031] <= 0
model += X[2703] - Y[159] - X[3047] <= 0
model += X[2703] + Y[159] + X[3047] <= 2
model += X[1758] - Y[145] - X[4044] <= 0
model += X[1758] + Y[145] + X[4044] <= 2
model += X[7499] - Y[146] - X[6055] <= 0
model += X[7499] + Y[146] + X[6055] <= 2
model += X[5190] - Y[147] - X[2292] <= 0
model += X[5190] + Y[147] + X[2292] <= 2
model += X[2364] - X[311] - X[6724] <= 0
model += X[2364] + X[311] + X[6724] <= 2
model += X[4265] - X[173] - X[4962] <= 0
model += X[4265] + X[173] + X[4962] <= 2
model += X[5026] - X[539] - X[1443] <= 0
model += X[5026] + X[539] + X[1443] <= 2
model += X[866] - X[1138] - X[6302] <= 0
model += X[866] + X[1138] + X[6302] <= 2
model += X[3925] - X[641] - X[2772] <= 0
model += X[3925] + X[641] + X[2772] <= 2
model += X[7035] - X[255] - X[6478] <= 0
model += X[7035] + X[255] + X[6478] <= 2
model += -X[951] + Y[148] - X[6660] <= 0
model += -X[951] - Y[148] + X[6660] <= 0
model += X[3220] - Y[149] - X[1106] <= 0
model += X[3220] + Y[149] + X[1106] <= 2
model += X[4079] - Y[150] - X[1979] <= 0
model += X[4079] + Y[150] + X[1979] <= 2
model += X[5586] - X[873] - X[4161] <= 0
model += X[5586] + X[873] + X[4161] <= 2
model += -X[6986] + X[68] - X[6666] <= 0
model += -X[6986] - X[68] + X[6666] <= 0
model += X[714] - X[3918] - X[4907] <= 0
model += X[714] + X[3918] + X[4907] <= 2
model += X[5277] - X[4295] - X[478] <= 0
model += X[5277] + X[4295] + X[478] <= 2
model += X[7729] - X[7385] - X[825] <= 0
model += X[7729] + X[7385] + X[825] <= 2
model += X[390] - X[7748] - X[6241] <= 0
model += X[390] + X[7748] + X[6241] <= 2
model += X[2283] - X[910] - X[4085] <= 0
model += X[2283] + X[910] + X[4085] <= 2
model += X[5607] - Y[151] - X[5161] <= 0
model += X[5607] + Y[151] + X[5161] <= 2
model += X[2173] - Y[152] - X[3606] <= 0
model += X[2173] + Y[152] + X[3606] <= 2
model += -X[971] + Y[153] - X[6497] <= 0
model += -X[971] - Y[153] + X[6497] <= 0
model += X[385] - X[5094] - X[2187] <= 0
model += X[385] + X[5094] + X[2187] <= 2
model += X[3456] - X[6031] - X[462] <= 0
model += X[3456] + X[6031] + X[462] <= 2
model += X[416] - X[7197] - X[7002] <= 0
model += X[416] + X[7197] + X[7002] <= 2
model += X[3503] - Y[154] - X[5696] <= 0
model += X[3503] + Y[154] + X[5696] <= 2
model += -X[730] + Y[155] - X[1066] <= 0
model += -X[730] - Y[155] + X[1066] <= 0
model += -X[296] + X[2306] - X[748] <= 0
model += -X[296] - X[2306] + X[748] <= 0
model += X[6030] - X[451] - X[5926] <= 0
model += X[6030] + X[451] + X[5926] <= 2
model += -X[78] + X[4230] - X[3382] <= 0
model += -X[78] - X[4230] + X[3382] <= 0
model += X[2473] - X[7547] - X[810] <= 0
model += X[2473] + X[7547] + X[810] <= 2
model += X[3707] - X[179] - X[4025] <= 0
model += X[3707] + X[179] + X[4025] <= 2
model += X[4242] - Y[145] - X[3052] <= 0
model += X[4242] + Y[145] + X[3052] <= 2
model += X[4440] - Y[146] - X[1275] <= 0
model += X[4440] + Y[146] + X[1275] <= 2
model += X[3370] - Y[147] - X[1765] <= 0
model += X[3370] + Y[147] + X[1765] <= 2
model += X[2314] - X[311] - X[2227] <= 0
model += X[2314] + X[311] + X[2227] <= 2
model += -X[2585] + X[173] - X[845] <= 0
model += -X[2585] - X[173] + X[845] <= 0
model += -X[45] + X[7149] - X[1214] <= 0
model += -X[45] - X[7149] + X[1214] <= 0
model += X[5663] - X[641] - X[7518] <= 0
model += X[5663] + X[641] + X[7518] <= 2
model += X[5701] - X[255] - X[7581] <= 0
model += X[5701] + X[255] + X[7581] <= 2
model += X[2452] - Y[148] - X[3401] <= 0
model += X[2452] + Y[148] + X[3401] <= 2
model += X[2882] - X[873] - X[1185] <= 0
model += X[2882] + X[873] + X[1185] <= 2
model += X[6519] - X[4167] - X[737] <= 0
model += X[6519] + X[4167] + X[737] <= 2
model += -X[7517] + X[68] - X[7235] <= 0
model += -X[7517] - X[68] + X[7235] <= 0
model += X[625] - X[7385] - X[3962] <= 0
model += X[625] + X[7385] + X[3962] <= 2
model += X[3990] - X[1884] - X[150] <= 0
model += X[3990] + X[1884] + X[150] <= 2
model += X[6310] - X[1143] - X[954] <= 0
model += X[6310] + X[1143] + X[954] <= 2
model += X[6117] - X[910] - X[7133] <= 0
model += X[6117] + X[910] + X[7133] <= 2
model += X[1649] - Y[152] - X[3736] <= 0
model += X[1649] + Y[152] + X[3736] <= 2
model += X[3336] - Y[153] - X[6152] <= 0
model += X[3336] + Y[153] + X[6152] <= 2
model += X[6484] - X[6479] - X[547] <= 0
model += X[6484] + X[6479] + X[547] <= 2
model += X[4715] - X[1834] - X[595] <= 0
model += X[4715] + X[1834] + X[595] <= 2
model += X[399] - X[5859] - X[4610] <= 0
model += X[399] + X[5859] + X[4610] <= 2
model += X[640] - X[5094] - X[1811] <= 0
model += X[640] + X[5094] + X[1811] <= 2
model += X[2983] - X[3233] - X[876] <= 0
model += X[2983] + X[3233] + X[876] <= 2
model += X[2290] - X[7197] - X[178] <= 0
model += X[2290] + X[7197] + X[178] <= 2
model += X[563] - X[5398] - X[7603] <= 0
model += X[563] + X[5398] + X[7603] <= 2
model += X[5953] - X[451] - X[6948] <= 0
model += X[5953] + X[451] + X[6948] <= 2
model += X[998] - X[3573] - X[5581] <= 0
model += X[998] + X[3573] + X[5581] <= 2
model += X[6848] - X[6297] - X[238] <= 0
model += X[6848] + X[6297] + X[238] <= 2
model += -X[70] + X[7619] - X[5534] <= 0
model += -X[70] - X[7619] + X[5534] <= 0
model += X[2233] - X[5096] - X[812] <= 0
model += X[2233] + X[5096] + X[812] <= 2
model += X[2611] - X[179] - X[3485] <= 0
model += X[2611] + X[179] + X[3485] <= 2
model += X[3420] - X[2841] - X[410] <= 0
model += X[3420] + X[2841] + X[410] <= 2
model += X[5333] - X[6432] - X[596] <= 0
model += X[5333] + X[6432] + X[596] <= 2
model += X[2461] - Y[145] - X[5076] <= 0
model += X[2461] + Y[145] + X[5076] <= 2
model += X[7654] - Y[146] - X[2788] <= 0
model += X[7654] + Y[146] + X[2788] <= 2
model += -X[531] + Y[147] - X[4043] <= 0
model += -X[531] - Y[147] + X[4043] <= 0
model += X[4709] - X[4687] - X[643] <= 0
model += X[4709] + X[4687] + X[643] <= 2
model += X[1035] - X[311] - X[5963] <= 0
model += X[1035] + X[311] + X[5963] <= 2
model += X[797] - X[3978] - X[5251] <= 0
model += X[797] + X[3978] + X[5251] <= 2
model += X[4268] - X[173] - X[3805] <= 0
model += X[4268] + X[173] + X[3805] <= 2
model += X[1286] - X[539] - X[2518] <= 0
model += X[1286] + X[539] + X[2518] <= 2
model += X[247] - X[1138] - X[7549] <= 0
model += X[247] + X[1138] + X[7549] <= 2
model += X[4387] - X[641] - X[3297] <= 0
model += X[4387] + X[641] + X[3297] <= 2
model += X[4260] - X[255] - X[2324] <= 0
model += X[4260] + X[255] + X[2324] <= 2
model += X[7042] - Y[148] - X[5178] <= 0
model += X[7042] + Y[148] + X[5178] <= 2
model += -X[4762] + Y[149] - X[923] <= 0
model += -X[4762] - Y[149] + X[923] <= 0
model += X[5893] - Y[150] - X[3032] <= 0
model += X[5893] + Y[150] + X[3032] <= 2
model += X[2060] - X[480] - X[4576] <= 0
model += X[2060] + X[480] + X[4576] <= 2
model += X[6162] - X[791] - X[2472] <= 0
model += X[6162] + X[791] + X[2472] <= 2
model += X[5907] - X[7088] - X[271] <= 0
model += X[5907] + X[7088] + X[271] <= 2
model += X[5002] - X[873] - X[4290] <= 0
model += X[5002] + X[873] + X[4290] <= 2
model += X[2188] - X[2165] - X[702] <= 0
model += X[2188] + X[2165] + X[702] <= 2
model += X[574] - X[7212] - X[3675] <= 0
model += X[574] + X[7212] + X[3675] <= 2
model += X[3380] - X[4345] - X[328] <= 0
model += X[3380] + X[4345] + X[328] <= 2
model += X[6595] - X[910] - X[7007] <= 0
model += X[6595] + X[910] + X[7007] <= 2
model += X[5229] - X[2962] - X[857] <= 0
model += X[5229] + X[2962] + X[857] <= 2
model += X[4589] - X[6479] - X[959] <= 0
model += X[4589] + X[6479] + X[959] <= 2
model += X[6812] - X[1834] - X[813] <= 0
model += X[6812] + X[1834] + X[813] <= 2
model += X[493] - X[5094] - X[6034] <= 0
model += X[493] + X[5094] + X[6034] <= 2
model += X[5256] - X[1776] - X[201] <= 0
model += X[5256] + X[1776] + X[201] <= 2
model += X[1572] - X[451] - X[5797] <= 0
model += X[1572] + X[451] + X[5797] <= 2
model += X[5626] - X[3688] - X[747] <= 0
model += X[5626] + X[3688] + X[747] <= 2
model += X[226] - X[3721] - X[6001] <= 0
model += X[226] + X[3721] + X[6001] <= 2
model += -X[745] + X[2866] - X[432] <= 0
model += -X[745] - X[2866] + X[432] <= 0
model += -X[962] + X[5096] - X[476] <= 0
model += -X[962] - X[5096] + X[476] <= 0
model += -X[2241] + X[179] - X[367] <= 0
model += -X[2241] - X[179] + X[367] <= 0
model += X[350] - X[3796] - X[4564] <= 0
model += X[350] + X[3796] + X[4564] <= 2
model += X[498] - X[5974] - X[3507] <= 0
model += X[498] + X[5974] + X[3507] <= 2
model += -X[118] + Y[146] - X[3631] <= 0
model += -X[118] - Y[146] + X[3631] <= 0
model += X[7696] - Y[147] - X[1665] <= 0
model += X[7696] + Y[147] + X[1665] <= 2
model += X[284] - X[5930] - X[5292] <= 0
model += X[284] + X[5930] + X[5292] <= 2
model += X[5597] - X[4329] - X[908] <= 0
model += X[5597] + X[4329] + X[908] <= 2
model += X[6163] - X[311] - X[3791] <= 0
model += X[6163] + X[311] + X[3791] <= 2
model += X[190] - X[3728] - X[6898] <= 0
model += X[190] + X[3728] + X[6898] <= 2
model += -X[453] + X[1340] - X[651] <= 0
model += -X[453] - X[1340] + X[651] <= 0
model += -X[368] + X[173] - X[1311] <= 0
model += -X[368] - X[173] + X[1311] <= 0
model += X[818] - X[2957] - X[3684] <= 0
model += X[818] + X[2957] + X[3684] <= 2
model += X[2632] - X[539] - X[3276] <= 0
model += X[2632] + X[539] + X[3276] <= 2
model += X[871] - X[1138] - X[2082] <= 0
model += X[871] + X[1138] + X[2082] <= 2
model += -X[558] + X[641] - X[1604] <= 0
model += -X[558] - X[641] + X[1604] <= 0
model += X[2502] - X[255] - X[2112] <= 0
model += X[2502] + X[255] + X[2112] <= 2
model += X[5582] - X[480] - X[1910] <= 0
model += X[5582] + X[480] + X[1910] <= 2
model += X[1689] - X[791] - X[2352] <= 0
model += X[1689] + X[791] + X[2352] <= 2
model += -X[948] + X[873] - X[6739] <= 0
model += -X[948] - X[873] + X[6739] <= 0
model += X[1131] - X[7385] - X[780] <= 0
model += X[1131] + X[7385] + X[780] <= 2
model += X[2146] - X[910] - X[3935] <= 0
model += X[2146] + X[910] + X[3935] <= 2
model += -X[4763] + X[6116] - X[42] <= 0
model += -X[4763] - X[6116] + X[42] <= 0
model += X[594] - X[1256] - X[6919] <= 0
model += X[594] + X[1256] + X[6919] <= 2
model += X[6962] - X[3651] - X[124] <= 0
model += X[6962] + X[3651] + X[124] <= 2
model += X[6765] - X[5094] - X[126] <= 0
model += X[6765] + X[5094] + X[126] <= 2
model += X[6238] - X[3233] - X[249] <= 0
model += X[6238] + X[3233] + X[249] <= 2
model += X[3537] - X[1776] - X[378] <= 0
model += X[3537] + X[1776] + X[378] <= 2
model += X[7753] - X[5398] - X[645] <= 0
model += X[7753] + X[5398] + X[645] <= 2
model += X[4996] - X[451] - X[1751] <= 0
model += X[4996] + X[451] + X[1751] <= 2
model += X[1245] - X[1389] - X[561] <= 0
model += X[1245] + X[1389] + X[561] <= 2
model += -X[82] + X[5096] - X[1344] <= 0
model += -X[82] - X[5096] + X[1344] <= 0
model += X[6357] - X[179] - X[5349] <= 0
model += X[6357] + X[179] + X[5349] <= 2
model += -X[601] + X[2841] - X[161] <= 0
model += -X[601] - X[2841] + X[161] <= 0
model += X[1278] - X[311] - X[5380] <= 0
model += X[1278] + X[311] + X[5380] <= 2
model += X[5908] - X[1130] - X[407] <= 0
model += X[5908] + X[1130] + X[407] <= 2
model += X[7512] - X[1340] - X[548] <= 0
model += X[7512] + X[1340] + X[548] <= 2
model += X[5158] - X[173] - X[3274] <= 0
model += X[5158] + X[173] + X[3274] <= 2
model += X[2028] - X[539] - X[4596] <= 0
model += X[2028] + X[539] + X[4596] <= 2
model += -X[554] + X[1138] - X[571] <= 0
model += -X[554] - X[1138] + X[571] <= 0
model += X[6133] - X[641] - X[3215] <= 0
model += X[6133] + X[641] + X[3215] <= 2
model += X[5730] - X[255] - X[4190] <= 0
model += X[5730] + X[255] + X[4190] <= 2
model += X[6011] - X[480] - X[2259] <= 0
model += X[6011] + X[480] + X[2259] <= 2
model += X[5092] - X[791] - X[7634] <= 0
model += X[5092] + X[791] + X[7634] <= 2
model += X[3319] - X[873] - X[5643] <= 0
model += X[3319] + X[873] + X[5643] <= 2
model += X[4349] - X[1884] - X[807] <= 0
model += X[4349] + X[1884] + X[807] <= 2
model += X[3681] - X[1143] - X[762] <= 0
model += X[3681] + X[1143] + X[762] <= 2
model += X[5758] - X[910] - X[2209] <= 0
model += X[5758] + X[910] + X[2209] <= 2
model += X[4234] - X[1834] - X[613] <= 0
model += X[4234] + X[1834] + X[613] <= 2
model += X[4922] - X[6950] - X[371] <= 0
model += X[4922] + X[6950] + X[371] <= 2
model += X[2924] - X[6300] - X[926] <= 0
model += X[2924] + X[6300] + X[926] <= 2
model += X[4467] - X[997] - X[2651] <= 0
model += X[4467] + X[997] + X[2651] <= 2
model += X[1692] - X[4180] - X[108] <= 0
model += X[1692] + X[4180] + X[108] <= 2
model += X[252] - X[2858] - X[2780] <= 0
model += X[252] + X[2858] + X[2780] <= 2
model += X[172] - X[3721] - X[3581] <= 0
model += X[172] + X[3721] + X[3581] <= 2
model += -X[32] + X[7547] - X[6988] <= 0
model += -X[32] - X[7547] + X[6988] <= 0
model += X[4582] - X[179] - X[5206] <= 0
model += X[4582] + X[179] + X[5206] <= 2
model += X[2033] - X[5384] - X[197] <= 0
model += X[2033] + X[5384] + X[197] <= 2
model += X[967] - X[5930] - X[7213] <= 0
model += X[967] + X[5930] + X[7213] <= 2
model += -X[3344] + X[4329] - X[31] <= 0
model += -X[3344] - X[4329] + X[31] <= 0
model += X[4920] - X[311] - X[3061] <= 0
model += X[4920] + X[311] + X[3061] <= 2
model += X[3532] - X[3728] - X[885] <= 0
model += X[3532] + X[3728] + X[885] <= 2
model += X[976] - X[1130] - X[4562] <= 0
model += X[976] + X[1130] + X[4562] <= 2
model += X[5098] - X[173] - X[6640] <= 0
model += X[5098] + X[173] + X[6640] <= 2
model += X[1349] - X[539] - X[2326] <= 0
model += X[1349] + X[539] + X[2326] <= 2
model += X[3132] - X[641] - X[1677] <= 0
model += X[3132] + X[641] + X[1677] <= 2
model += X[7687] - X[255] - X[3092] <= 0
model += X[7687] + X[255] + X[3092] <= 2
model += X[1974] - X[480] - X[1014] <= 0
model += X[1974] + X[480] + X[1014] <= 2
model += X[3645] - X[791] - X[3139] <= 0
model += X[3645] + X[791] + X[3139] <= 2
model += X[671] - X[7088] - X[5305] <= 0
model += X[671] + X[7088] + X[5305] <= 2
model += X[2254] - X[586] - X[1350] <= 0
model += X[2254] + X[586] + X[1350] <= 2
model += X[5352] - X[394] - X[7500] <= 0
model += X[5352] + X[394] + X[7500] <= 2
model += -X[4590] + X[68] - X[6926] <= 0
model += -X[4590] - X[68] + X[6926] <= 0
model += X[1952] - X[910] - X[1444] <= 0
model += X[1952] + X[910] + X[1444] <= 2
model += X[5991] - X[2962] - X[685] <= 0
model += X[5991] + X[2962] + X[685] <= 2
model += X[4103] - X[997] - X[5218] <= 0
model += X[4103] + X[997] + X[5218] <= 2
model += -X[61] + X[3651] - X[5874] <= 0
model += -X[61] - X[3651] + X[5874] <= 0
model += -X[731] + X[6031] - X[827] <= 0
model += -X[731] - X[6031] + X[827] <= 0
model += X[7359] - X[7392] - X[427] <= 0
model += X[7359] + X[7392] + X[427] <= 2
model += X[2907] - X[6297] - X[696] <= 0
model += X[2907] + X[6297] + X[696] <= 2
model += -X[510] + X[2858] - X[740] <= 0
model += -X[510] - X[2858] + X[740] <= 0
model += X[154] - X[3721] - X[6408] <= 0
model += X[154] + X[3721] + X[6408] <= 2
model += X[199] - X[7547] - X[3807] <= 0
model += X[199] + X[7547] + X[3807] <= 2
model += X[3979] - X[179] - X[1306] <= 0
model += X[3979] + X[179] + X[1306] <= 2
model += X[2113] - X[3796] - X[333] <= 0
model += X[2113] + X[3796] + X[333] <= 2
model += -X[89] + X[5023] - X[4665] <= 0
model += -X[89] - X[5023] + X[4665] <= 0
model += X[3599] - X[311] - X[7453] <= 0
model += X[3599] + X[311] + X[7453] <= 2
model += X[615] - X[2382] - X[1160] <= 0
model += X[615] + X[2382] + X[1160] <= 2
model += -X[5973] + X[81] - X[1471] <= 0
model += -X[5973] - X[81] + X[1471] <= 0
model += X[580] - X[1340] - X[3523] <= 0
model += X[580] + X[1340] + X[3523] <= 2
model += X[7254] - X[173] - X[1459] <= 0
model += X[7254] + X[173] + X[1459] <= 2
model += X[592] - X[4973] - X[7207] <= 0
model += X[592] + X[4973] + X[7207] <= 2
model += X[3291] - X[539] - X[1682] <= 0
model += X[3291] + X[539] + X[1682] <= 2
model += X[166] - X[1138] - X[3659] <= 0
model += X[166] + X[1138] + X[3659] <= 2
model += X[1803] - X[641] - X[5649] <= 0
model += X[1803] + X[641] + X[5649] <= 2
model += X[2007] - X[255] - X[2404] <= 0
model += X[2007] + X[255] + X[2404] <= 2
model += -X[754] + X[480] - X[4171] <= 0
model += -X[754] - X[480] + X[4171] <= 0
model += X[6615] - X[791] - X[6112] <= 0
model += X[6615] + X[791] + X[6112] <= 2
model += X[5008] - X[6252] - X[631] <= 0
model += X[5008] + X[6252] + X[631] <= 2
model += -X[4458] + X[586] - X[527] <= 0
model += -X[4458] - X[586] + X[527] <= 0
model += -X[826] + X[394] - X[6887] <= 0
model += -X[826] - X[394] + X[6887] <= 0
model += -X[2480] + X[68] - X[7183] <= 0
model += -X[2480] - X[68] + X[7183] <= 0
model += X[336] - X[1143] - X[6371] <= 0
model += X[336] + X[1143] + X[6371] <= 2
model += X[3198] - X[910] - X[6585] <= 0
model += X[3198] + X[910] + X[6585] <= 2
model += X[1863] - X[7232] - X[875] <= 0
model += X[1863] + X[7232] + X[875] <= 2
model += X[741] - X[6300] - X[7217] <= 0
model += X[741] + X[6300] + X[7217] <= 2
model += X[3669] - X[997] - X[7062] <= 0
model += X[3669] + X[997] + X[7062] <= 2
model += X[732] - X[3757] - X[2619] <= 0
model += X[732] + X[3757] + X[2619] <= 2
model += X[666] - X[5094] - X[2589] <= 0
model += X[666] + X[5094] + X[2589] <= 2
model += X[1631] - X[3233] - X[397] <= 0
model += X[1631] + X[3233] + X[397] <= 2
model += X[2122] - X[5398] - X[260] <= 0
model += X[2122] + X[5398] + X[260] <= 2
model += X[4376] - X[882] - X[2048] <= 0
model += X[4376] + X[882] + X[2048] <= 2
model += -X[4623] + X[2270] - X[86] <= 0
model += -X[4623] - X[2270] + X[86] <= 0
model += X[7297] - X[936] - X[1539] <= 0
model += X[7297] + X[936] + X[1539] <= 2
model += X[2989] - X[2926] - X[912] <= 0
model += X[2989] + X[2926] + X[912] <= 2
model += X[2185] - X[2866] - X[223] <= 0
model += X[2185] + X[2866] + X[223] <= 2
model += X[669] - X[2668] - X[3564] <= 0
model += X[669] + X[2668] + X[3564] <= 2
model += X[4636] - X[5096] - X[327] <= 0
model += X[4636] + X[5096] + X[327] <= 2
model += -X[4507] + X[179] - X[324] <= 0
model += -X[4507] - X[179] + X[324] <= 0
model += X[4675] - X[3796] - X[842] <= 0
model += X[4675] + X[3796] + X[842] <= 2
model += X[627] - X[2841] - X[6470] <= 0
model += X[627] + X[2841] + X[6470] <= 2
model += X[939] - X[5930] - X[2599] <= 0
model += X[939] + X[5930] + X[2599] <= 2
model += X[1206] - X[6149] - X[525] <= 0
model += X[1206] + X[6149] + X[525] <= 2
model += -X[7095] + X[81] - X[1302] <= 0
model += -X[7095] - X[81] + X[1302] <= 0
model += X[3114] - X[1340] - X[942] <= 0
model += X[3114] + X[1340] + X[942] <= 2
model += X[3330] - X[1705] - X[820] <= 0
model += X[3330] + X[1705] + X[820] <= 2
model += X[320] - X[2957] - X[1977] <= 0
model += X[320] + X[2957] + X[1977] <= 2
model += -X[854] + X[539] - X[3264] <= 0
model += -X[854] - X[539] + X[3264] <= 0
model += X[4751] - X[1138] - X[751] <= 0
model += X[4751] + X[1138] + X[751] <= 2
model += X[1108] - X[641] - X[2566] <= 0
model += X[1108] + X[641] + X[2566] <= 2
model += X[4004] - X[255] - X[3907] <= 0
model += X[4004] + X[255] + X[3907] <= 2
model += X[7268] - X[480] - X[7545] <= 0
model += X[7268] + X[480] + X[7545] <= 2
model += X[6385] - X[791] - X[3205] <= 0
model += X[6385] + X[791] + X[3205] <= 2
model += X[1926] - X[586] - X[5492] <= 0
model += X[1926] + X[586] + X[5492] <= 2
model += X[2385] - X[394] - X[3685] <= 0
model += X[2385] + X[394] + X[3685] <= 2
model += X[933] - X[1797] - X[2075] <= 0
model += X[933] + X[1797] + X[2075] <= 2
model += X[2787] - X[7212] - X[946] <= 0
model += X[2787] + X[7212] + X[946] <= 2
model += -X[2775] + X[68] - X[5027] <= 0
model += -X[2775] - X[68] + X[5027] <= 0
model += X[4144] - X[1884] - X[101] <= 0
model += X[4144] + X[1884] + X[101] <= 2
model += X[1744] - X[910] - X[5951] <= 0
model += X[1744] + X[910] + X[5951] <= 2
model += X[693] - X[1711] - X[4447] <= 0
model += X[693] + X[1711] + X[4447] <= 2
model += X[330] - X[6300] - X[6434] <= 0
model += X[330] + X[6300] + X[6434] <= 2
model += -X[5943] + X[997] - X[374] <= 0
model += -X[5943] - X[997] + X[374] <= 0
model += X[535] - X[3440] - X[6445] <= 0
model += X[535] + X[3440] + X[6445] <= 2
model += X[2440] - X[1776] - X[306] <= 0
model += X[2440] + X[1776] + X[306] <= 2
model += X[626] - X[7197] - X[6644] <= 0
model += X[626] + X[7197] + X[6644] <= 2
model += X[579] - X[5398] - X[4168] <= 0
model += X[579] + X[5398] + X[4168] <= 2
model += X[388] - X[3294] - X[2684] <= 0
model += X[388] + X[3294] + X[2684] <= 2
model += X[6041] - X[7392] - X[855] <= 0
model += X[6041] + X[7392] + X[855] <= 2
model += -X[481] + X[882] - X[5767] <= 0
model += -X[481] - X[882] + X[5767] <= 0
model += X[5405] - X[936] - X[4033] <= 0
model += X[5405] + X[936] + X[4033] <= 2
model += -X[251] + X[179] - X[3106] <= 0
model += -X[251] - X[179] + X[3106] <= 0
model += X[5312] - X[3796] - X[148] <= 0
model += X[5312] + X[3796] + X[148] <= 2
model += X[5167] - X[4329] - X[789] <= 0
model += X[5167] + X[4329] + X[789] <= 2
model += -X[5555] + X[81] - X[3295] <= 0
model += -X[5555] - X[81] + X[3295] <= 0
model += X[5772] - X[173] - X[3775] <= 0
model += X[5772] + X[173] + X[3775] <= 2
model += -X[289] + X[539] - X[4671] <= 0
model += -X[289] - X[539] + X[4671] <= 0
model += X[146] - X[1138] - X[1685] <= 0
model += X[146] + X[1138] + X[1685] <= 2
model += X[1846] - X[641] - X[7379] <= 0
model += X[1846] + X[641] + X[7379] <= 2
model += -X[170] + X[255] - X[3516] <= 0
model += -X[170] - X[255] + X[3516] <= 0
model += X[6693] - X[480] - X[2665] <= 0
model += X[6693] + X[480] + X[2665] <= 2
model += X[3536] - X[1237] - X[811] <= 0
model += X[3536] + X[1237] + X[811] <= 2
model += X[4961] - X[791] - X[1782] <= 0
model += X[4961] + X[791] + X[1782] <= 2
model += X[4178] - X[6252] - X[140] <= 0
model += X[4178] + X[6252] + X[140] <= 2
model += X[5981] - X[586] - X[2842] <= 0
model += X[5981] + X[586] + X[2842] <= 2
model += X[7371] - X[394] - X[6712] <= 0
model += X[7371] + X[394] + X[6712] <= 2
model += X[890] - X[7212] - X[4094] <= 0
model += X[890] + X[7212] + X[4094] <= 2
model += -X[2116] + X[68] - X[1641] <= 0
model += -X[2116] - X[68] + X[1641] <= 0
model += -X[6662] + X[12] - X[6540] <= 0
model += -X[6662] - X[12] + X[6540] <= 0
model += X[1637] - X[4345] - X[750] <= 0
model += X[1637] + X[4345] + X[750] <= 2
model += -X[2987] + X[910] - X[119] <= 0
model += -X[2987] - X[910] + X[119] <= 0
model += X[459] - X[6479] - X[2090] <= 0
model += X[459] + X[6479] + X[2090] <= 2
model += X[6368] - X[997] - X[1307] <= 0
model += X[6368] + X[997] + X[1307] <= 2
model += X[4249] - X[3440] - X[136] <= 0
model += X[4249] + X[3440] + X[136] <= 2
model += X[1058] - X[310] - X[4787] <= 0
model += X[1058] + X[310] + X[4787] <= 2
model += X[6628] - X[6967] - X[193] <= 0
model += X[6628] + X[6967] + X[193] <= 2
model += X[6721] - X[6031] - X[935] <= 0
model += X[6721] + X[6031] + X[935] <= 2
model += X[7020] - X[3233] - X[569] <= 0
model += X[7020] + X[3233] + X[569] <= 2
model += X[6419] - X[1776] - X[681] <= 0
model += X[6419] + X[1776] + X[681] <= 2
model += -X[46] + X[7197] - X[3881] <= 0
model += -X[46] - X[7197] + X[3881] <= 0
model += X[4988] - X[5398] - X[577] <= 0
model += X[4988] + X[5398] + X[577] <= 2
model += X[7789] - X[882] - X[6895] <= 0
model += X[7789] + X[882] + X[6895] <= 2
model += X[3313] - X[936] - X[5118] <= 0
model += X[3313] + X[936] + X[5118] <= 2
model += X[1901] - X[2926] - X[265] <= 0
model += X[1901] + X[2926] + X[265] <= 2
model += X[4491] - X[2866] - X[229] <= 0
model += X[4491] + X[2866] + X[229] <= 2
model += X[1634] - X[179] - X[4914] <= 0
model += X[1634] + X[179] + X[4914] <= 2
model += -X[100] + X[2841] - X[896] <= 0
model += -X[100] - X[2841] + X[896] <= 0
model += -X[5762] + X[81] - X[2235] <= 0
model += -X[5762] - X[81] + X[2235] <= 0
model += -X[356] + X[173] - X[4514] <= 0
model += -X[356] - X[173] + X[4514] <= 0
model += X[7589] - X[7506] - X[242] <= 0
model += X[7589] + X[7506] + X[242] <= 2
model += X[7782] - X[176] - X[4102] <= 0
model += X[7782] + X[176] + X[4102] <= 2
model += X[5544] - X[539] - X[6355] <= 0
model += X[5544] + X[539] + X[6355] <= 2
model += X[4529] - X[641] - X[5759] <= 0
model += X[4529] + X[641] + X[5759] <= 2
model += X[4061] - X[255] - X[4139] <= 0
model += X[4061] + X[255] + X[4139] <= 2
model += X[7747] - X[480] - X[7761] <= 0
model += X[7747] + X[480] + X[7761] <= 2
model += X[7787] - X[791] - X[7231] <= 0
model += X[7787] + X[791] + X[7231] <= 2
model += -X[237] + X[586] - X[3221] <= 0
model += -X[237] - X[586] + X[3221] <= 0
model += X[5946] - X[394] - X[4495] <= 0
model += X[5946] + X[394] + X[4495] <= 2
model += -X[7219] + X[12] - X[7229] <= 0
model += -X[7219] - X[12] + X[7229] <= 0
model += -X[75] + X[1884] - X[4267] <= 0
model += -X[75] - X[1884] + X[4267] <= 0
model += -X[208] + X[1143] - X[990] <= 0
model += -X[208] - X[1143] + X[990] <= 0
model += X[182] - X[4811] - X[1341] <= 0
model += X[182] + X[4811] + X[1341] <= 2
model += -X[250] + X[910] - X[5445] <= 0
model += -X[250] - X[910] + X[5445] <= 0
model += X[837] - X[6479] - X[6377] <= 0
model += X[837] + X[6479] + X[6377] <= 2
model += -X[6568] + X[997] - X[884] <= 0
model += -X[6568] - X[997] + X[884] <= 0
model += X[2181] - X[310] - X[1555] <= 0
model += X[2181] + X[310] + X[1555] <= 2
model += -X[17] + X[4593] - X[6532] <= 0
model += -X[17] - X[4593] + X[6532] <= 0
model += X[232] - X[5398] - X[1988] <= 0
model += X[232] + X[5398] + X[1988] <= 2
model += -X[768] + X[3294] - X[819] <= 0
model += -X[768] - X[3294] + X[819] <= 0
model += X[1719] - X[3447] - X[708] <= 0
model += X[1719] + X[3447] + X[708] <= 2
model += -X[3682] + X[882] - X[282] <= 0
model += -X[3682] - X[882] + X[282] <= 0
model += -X[965] + X[936] - X[6047] <= 0
model += -X[965] - X[936] + X[6047] <= 0
model += X[516] - X[2866] - X[7671] <= 0
model += X[516] + X[2866] + X[7671] <= 2
model += X[5489] - X[6114] - X[5670] <= 0
model += X[5489] + X[6114] + X[5670] <= 2
model += X[3906] - X[7495] - X[4066] <= 0
model += X[3906] + X[7495] + X[4066] <= 2
model += X[2690] - X[3433] - X[2870] <= 0
model += X[2690] + X[3433] + X[2870] <= 2
model += X[1995] - X[7465] - X[2362] <= 0
model += X[1995] + X[7465] + X[2362] <= 2
model += X[1748] - X[4317] - X[6561] <= 0
model += X[1748] + X[4317] + X[6561] <= 2
model += X[6342] - X[2575] - X[6016] <= 0
model += X[6342] + X[2575] + X[6016] <= 2
model += X[3679] - X[5308] - X[2688] <= 0
model += X[3679] + X[5308] + X[2688] <= 2
model += X[2460] - X[5414] - X[6849] <= 0
model += X[2460] + X[5414] + X[6849] <= 2
model += -X[6700] + X[6114] - X[794] <= 0
model += -X[6700] - X[6114] + X[794] <= 0
model += X[7679] - X[7495] - X[6110] <= 0
model += X[7679] + X[7495] + X[6110] <= 2
model += X[5838] - X[3433] - X[2755] <= 0
model += X[5838] + X[3433] + X[2755] <= 2
model += X[2203] - X[7465] - X[4652] <= 0
model += X[2203] + X[7465] + X[4652] <= 2
model += X[3085] - X[2486] - X[4080] <= 0
model += X[3085] + X[2486] + X[4080] <= 2
model += X[3853] - X[4151] - X[5163] <= 0
model += X[3853] + X[4151] + X[5163] <= 2
model += -X[4983] + X[1148] - X[438] <= 0
model += -X[4983] - X[1148] + X[438] <= 0
model += X[3515] - X[4337] - X[4369] <= 0
model += X[3515] + X[4337] + X[4369] <= 2
model += X[5688] - X[4317] - X[2547] <= 0
model += X[5688] + X[4317] + X[2547] <= 2
model += X[4143] - X[2575] - X[5471] <= 0
model += X[4143] + X[2575] + X[5471] <= 2
model += X[6128] - X[5308] - X[4936] <= 0
model += X[6128] + X[5308] + X[4936] <= 2
model += -X[612] + X[5414] - X[6863] <= 0
model += -X[612] - X[5414] + X[6863] <= 0
model += X[1375] - X[6114] - X[6823] <= 0
model += X[1375] + X[6114] + X[6823] <= 2
model += X[4344] - X[7495] - X[6634] <= 0
model += X[4344] + X[7495] + X[6634] <= 2
model += X[2139] - X[3433] - X[1407] <= 0
model += X[2139] + X[3433] + X[1407] <= 2
model += X[4884] - X[7465] - X[7189] <= 0
model += X[4884] + X[7465] + X[7189] <= 2
model += X[6609] - X[3218] - X[1238] <= 0
model += X[6609] + X[3218] + X[1238] <= 2
model += X[7302] - X[2377] - X[5799] <= 0
model += X[7302] + X[2377] + X[5799] <= 2
model += X[1207] - X[3093] - X[4624] <= 0
model += X[1207] + X[3093] + X[4624] <= 2
model += X[4007] - X[7778] - X[3712] <= 0
model += X[4007] + X[7778] + X[3712] <= 2
model += X[6715] - X[2486] - X[2345] <= 0
model += X[6715] + X[2486] + X[2345] <= 2
model += X[7209] - X[4151] - X[4410] <= 0
model += X[7209] + X[4151] + X[4410] <= 2
model += X[1012] - X[1148] - X[2273] <= 0
model += X[1012] + X[1148] + X[2273] <= 2
model += X[4292] - X[4337] - X[7501] <= 0
model += X[4292] + X[4337] + X[7501] <= 2
model += X[2833] - X[4317] - X[7759] <= 0
model += X[2833] + X[4317] + X[7759] <= 2
model += X[1357] - X[2575] - X[6360] <= 0
model += X[1357] + X[2575] + X[6360] <= 2
model += -X[6698] + X[5308] - X[646] <= 0
model += -X[6698] - X[5308] + X[646] <= 0
model += X[5831] - X[5414] - X[4054] <= 0
model += X[5831] + X[5414] + X[4054] <= 2
model += -X[1998] + X[7495] - X[241] <= 0
model += -X[1998] - X[7495] + X[241] <= 0
model += -X[196] + X[3433] - X[6298] <= 0
model += -X[196] - X[3433] + X[6298] <= 0
model += -X[3663] + X[7465] - X[487] <= 0
model += -X[3663] - X[7465] + X[487] <= 0
model += -X[4772] + X[687] - X[7382] <= 0
model += -X[4772] - X[687] + X[7382] <= 0
model += X[3422] - X[7566] - X[3094] <= 0
model += X[3422] + X[7566] + X[3094] <= 2
model += -X[2356] + X[695] - X[5068] <= 0
model += -X[2356] - X[695] + X[5068] <= 0
model += X[2222] - X[6095] - X[1430] <= 0
model += X[2222] + X[6095] + X[1430] <= 2
model += -X[957] + X[3218] - X[3417] <= 0
model += -X[957] - X[3218] + X[3417] <= 0
model += X[2638] - X[2377] - X[6979] <= 0
model += X[2638] + X[2377] + X[6979] <= 2
model += X[6515] - X[3093] - X[5367] <= 0
model += X[6515] + X[3093] + X[5367] <= 2
model += -X[2592] + X[7778] - X[629] <= 0
model += -X[2592] - X[7778] + X[629] <= 0
model += X[4781] - X[2486] - X[3357] <= 0
model += X[4781] + X[2486] + X[3357] <= 2
model += X[1098] - X[4151] - X[4869] <= 0
model += X[1098] + X[4151] + X[4869] <= 2
model += -X[3060] + X[1148] - X[739] <= 0
model += -X[3060] - X[1148] + X[739] <= 0
model += X[1513] - X[4337] - X[7434] <= 0
model += X[1513] + X[4337] + X[7434] <= 2
model += -X[1487] + X[4317] - X[141] <= 0
model += -X[1487] - X[4317] + X[141] <= 0
model += X[5592] - X[5308] - X[1826] <= 0
model += X[5592] + X[5308] + X[1826] <= 2
model += X[6760] - X[5414] - X[1452] <= 0
model += X[6760] + X[5414] + X[1452] <= 2
model += X[1462] - X[6604] - X[3190] <= 0
model += X[1462] + X[6604] + X[3190] <= 2
model += -X[1553] + X[584] - X[2243] <= 0
model += -X[1553] - X[584] + X[2243] <= 0
model += X[6261] - X[6114] - X[5715] <= 0
model += X[6261] + X[6114] + X[5715] <= 2
model += X[1248] - X[7495] - X[3436] <= 0
model += X[1248] + X[7495] + X[3436] <= 2
model += X[3014] - X[3433] - X[4913] <= 0
model += X[3014] + X[3433] + X[4913] <= 2
model += X[3903] - X[7465] - X[2646] <= 0
model += X[3903] + X[7465] + X[2646] <= 2
model += -X[2621] + X[7566] - X[158] <= 0
model += -X[2621] - X[7566] + X[158] <= 0
model += -X[7668] + X[695] - X[4539] <= 0
model += -X[7668] - X[695] + X[4539] <= 0
model += X[3874] - X[6095] - X[2798] <= 0
model += X[3874] + X[6095] + X[2798] <= 2
model += X[3030] - X[2377] - X[3877] <= 0
model += X[3030] + X[2377] + X[3877] <= 2
model += -X[541] + X[3093] - X[3699] <= 0
model += -X[541] - X[3093] + X[3699] <= 0
model += -X[205] + X[7778] - X[2897] <= 0
model += -X[205] - X[7778] + X[2897] <= 0
model += X[3146] - X[2486] - X[4399] <= 0
model += X[3146] + X[2486] + X[4399] <= 2
model += X[1279] - X[4151] - X[7123] <= 0
model += X[1279] + X[4151] + X[7123] <= 2
model += -X[562] + X[1148] - X[3050] <= 0
model += -X[562] - X[1148] + X[3050] <= 0
model += -X[5443] + X[4337] - X[206] <= 0
model += -X[5443] - X[4337] + X[206] <= 0
model += X[2520] - X[4279] - X[5320] <= 0
model += X[2520] + X[4279] + X[5320] <= 2
model += X[7764] - X[2011] - X[7521] <= 0
model += X[7764] + X[2011] + X[7521] <= 2
model += -X[258] + X[3636] - X[6594] <= 0
model += -X[258] - X[3636] + X[6594] <= 0
model += -X[916] + X[5877] - X[2832] <= 0
model += -X[916] - X[5877] + X[2832] <= 0
model += X[7487] - X[4317] - X[2350] <= 0
model += X[7487] + X[4317] + X[2350] <= 2
model += X[1018] - X[2575] - X[4912] <= 0
model += X[1018] + X[2575] + X[4912] <= 2
model += X[7548] - X[5308] - X[1161] <= 0
model += X[7548] + X[5308] + X[1161] <= 2
model += X[6090] - X[5414] - X[7684] <= 0
model += X[6090] + X[5414] + X[7684] <= 2
model += X[6321] - X[6604] - X[3526] <= 0
model += X[6321] + X[6604] + X[3526] <= 2
model += -X[5575] + X[425] - X[7016] <= 0
model += -X[5575] - X[425] + X[7016] <= 0
model += X[4015] - X[6114] - X[1899] <= 0
model += X[4015] + X[6114] + X[1899] <= 2
model += X[2184] - X[7495] - X[3064] <= 0
model += X[2184] + X[7495] + X[3064] <= 2
model += X[6911] - X[3433] - X[4314] <= 0
model += X[6911] + X[3433] + X[4314] <= 2
model += X[6964] - X[7465] - X[4022] <= 0
model += X[6964] + X[7465] + X[4022] <= 2
model += -X[5857] + X[687] - X[1163] <= 0
model += -X[5857] - X[687] + X[1163] <= 0
model += X[5060] - X[7566] - X[3481] <= 0
model += X[5060] + X[7566] + X[3481] <= 2
model += -X[4951] + X[695] - X[2853] <= 0
model += -X[4951] - X[695] + X[2853] <= 0
model += X[7474] - X[6095] - X[6525] <= 0
model += X[7474] + X[6095] + X[6525] <= 2
model += X[6153] - X[3218] - X[1268] <= 0
model += X[6153] + X[3218] + X[1268] <= 2
model += X[3179] - X[2377] - X[4722] <= 0
model += X[3179] + X[2377] + X[4722] <= 2
model += X[4782] - X[3093] - X[1093] <= 0
model += X[4782] + X[3093] + X[1093] <= 2
model += X[3079] - X[7778] - X[5453] <= 0
model += X[3079] + X[7778] + X[5453] <= 2
model += X[6959] - X[5843] - X[6209] <= 0
model += X[6959] + X[5843] + X[6209] <= 2
model += X[6269] - X[4595] - X[3275] <= 0
model += X[6269] + X[4595] + X[3275] <= 2
model += X[4014] - X[6685] - X[4597] <= 0
model += X[4014] + X[6685] + X[4597] <= 2
model += X[4346] - X[2939] - X[1560] <= 0
model += X[4346] + X[2939] + X[1560] <= 2
model += X[3938] - X[2486] - X[7077] <= 0
model += X[3938] + X[2486] + X[7077] <= 2
model += X[2663] - X[4151] - X[4823] <= 0
model += X[2663] + X[4151] + X[4823] <= 2
model += X[1684] - X[1148] - X[2142] <= 0
model += X[1684] + X[1148] + X[2142] <= 2
model += X[4124] - X[4337] - X[4672] <= 0
model += X[4124] + X[4337] + X[4672] <= 2
model += -X[856] + X[4279] - X[6917] <= 0
model += -X[856] - X[4279] + X[6917] <= 0
model += X[5551] - X[2011] - X[4244] <= 0
model += X[5551] + X[2011] + X[4244] <= 2
model += X[1830] - X[3636] - X[6708] <= 0
model += X[1830] + X[3636] + X[6708] <= 2
model += X[2511] - X[5877] - X[2416] <= 0
model += X[2511] + X[5877] + X[2416] <= 2
model += -X[4725] + X[4317] - X[188] <= 0
model += -X[4725] - X[4317] + X[188] <= 0
model += -X[6449] + X[2575] - X[723] <= 0
model += -X[6449] - X[2575] + X[723] <= 0
model += X[6336] - X[5308] - X[5381] <= 0
model += X[6336] + X[5308] + X[5381] <= 2
model += X[7642] - X[5414] - X[3155] <= 0
model += X[7642] + X[5414] + X[3155] <= 2
model += -X[7222] + X[6604] - X[796] <= 0
model += -X[7222] - X[6604] + X[796] <= 0
model += -X[2265] + X[584] - X[1461] <= 0
model += -X[2265] - X[584] + X[1461] <= 0
model += -X[7650] + X[425] - X[2786] <= 0
model += -X[7650] - X[425] + X[2786] <= 0
model += -X[728] + X[6114] - X[2260] <= 0
model += -X[728] - X[6114] + X[2260] <= 0
model += X[6718] - X[7495] - X[6562] <= 0
model += X[6718] + X[7495] + X[6562] <= 2
model += X[6283] - X[3433] - X[1294] <= 0
model += X[6283] + X[3433] + X[1294] <= 2
model += -X[7505] + X[687] - X[5591] <= 0
model += -X[7505] - X[687] + X[5591] <= 0
model += X[6707] - X[7566] - X[6468] <= 0
model += X[6707] + X[7566] + X[6468] <= 2
model += -X[6838] + X[695] - X[7490] <= 0
model += -X[6838] - X[695] + X[7490] <= 0
model += X[3768] - X[6095] - X[4363] <= 0
model += X[3768] + X[6095] + X[4363] <= 2
model += X[5187] - X[4939] - X[4236] <= 0
model += X[5187] + X[4939] + X[4236] <= 2
model += -X[401] + X[3405] - X[4706] <= 0
model += -X[401] - X[3405] + X[4706] <= 0
model += -X[7236] + X[824] - X[2272] <= 0
model += -X[7236] - X[824] + X[2272] <= 0
model += X[2856] - X[3218] - X[6353] <= 0
model += X[2856] + X[3218] + X[6353] <= 2
model += X[5939] - X[2377] - X[6638] <= 0
model += X[5939] + X[2377] + X[6638] <= 2
model += -X[524] + X[3093] - X[4087] <= 0
model += -X[524] - X[3093] + X[4087] <= 0
model += X[5373] - X[7778] - X[6127] <= 0
model += X[5373] + X[7778] + X[6127] <= 2
model += X[3197] - X[5843] - X[1781] <= 0
model += X[3197] + X[5843] + X[1781] <= 2
model += X[3905] - X[4595] - X[1379] <= 0
model += X[3905] + X[4595] + X[1379] <= 2
model += X[4860] - X[6685] - X[1071] <= 0
model += X[4860] + X[6685] + X[1071] <= 2
model += X[1985] - X[2939] - X[6774] <= 0
model += X[1985] + X[2939] + X[6774] <= 2
model += X[2367] - X[2486] - X[7698] <= 0
model += X[2367] + X[2486] + X[7698] <= 2
model += X[7396] - X[4151] - X[3904] <= 0
model += X[7396] + X[4151] + X[3904] <= 2
model += X[6341] - X[4337] - X[1057] <= 0
model += X[6341] + X[4337] + X[1057] <= 2
model += X[2724] - X[4279] - X[2896] <= 0
model += X[2724] + X[4279] + X[2896] <= 2
model += -X[1667] + X[3636] - X[533] <= 0
model += -X[1667] - X[3636] + X[533] <= 0
model += X[3591] - X[5877] - X[6758] <= 0
model += X[3591] + X[5877] + X[6758] <= 2
model += -X[4330] + X[4317] - X[790] <= 0
model += -X[4330] - X[4317] + X[790] <= 0
model += X[4849] - X[2575] - X[4657] <= 0
model += X[4849] + X[2575] + X[4657] <= 2
model += X[6791] - X[5308] - X[3756] <= 0
model += X[6791] + X[5308] + X[3756] <= 2
model += X[7419] - X[5414] - X[1903] <= 0
model += X[7419] + X[5414] + X[1903] <= 2
model += -X[5476] + X[6604] - X[581] <= 0
model += -X[5476] - X[6604] + X[581] <= 0
model += -X[7657] + X[584] - X[4045] <= 0
model += -X[7657] - X[584] + X[4045] <= 0
model += -X[7752] + X[425] - X[1445] <= 0
model += -X[7752] - X[425] + X[1445] <= 0
model += -X[2865] + X[6559] - X[183] <= 0
model += -X[2865] - X[6559] + X[183] <= 0
model += X[5401] - X[7591] - X[3119] <= 0
model += X[5401] + X[7591] + X[3119] <= 2
model += X[3278] - X[1483] - X[7661] <= 0
model += X[3278] + X[1483] + X[7661] <= 2
model += X[6870] - X[2103] - X[2931] <= 0
model += X[6870] + X[2103] + X[2931] <= 2
model += -X[5917] + X[6114] - X[321] <= 0
model += -X[5917] - X[6114] + X[321] <= 0
model += -X[931] + X[7495] - X[1022] <= 0
model += -X[931] - X[7495] + X[1022] <= 0
model += -X[3864] + X[7465] - X[107] <= 0
model += -X[3864] - X[7465] + X[107] <= 0
model += -X[5605] + X[687] - X[2255] <= 0
model += -X[5605] - X[687] + X[2255] <= 0
model += X[6202] - X[6095] - X[7461] <= 0
model += X[6202] + X[6095] + X[7461] <= 2
model += -X[2707] + X[3405] - X[987] <= 0
model += -X[2707] - X[3405] + X[987] <= 0
model += -X[3391] + X[824] - X[5025] <= 0
model += -X[3391] - X[824] + X[5025] <= 0
model += X[5293] - X[3218] - X[7081] <= 0
model += X[5293] + X[3218] + X[7081] <= 2
model += X[7008] - X[2377] - X[5678] <= 0
model += X[7008] + X[2377] + X[5678] <= 2
model += -X[304] + X[3093] - X[2892] <= 0
model += -X[304] - X[3093] + X[2892] <= 0
model += X[5433] - X[7778] - X[2403] <= 0
model += X[5433] + X[7778] + X[2403] <= 2
model += -X[7040] + X[5843] - X[587] <= 0
model += -X[7040] - X[5843] + X[587] <= 0
model += X[5139] - X[4595] - X[7494] <= 0
model += X[5139] + X[4595] + X[7494] <= 2
model += X[4115] - X[2939] - X[7469] <= 0
model += X[4115] + X[2939] + X[7469] <= 2
model += X[6778] - X[2486] - X[1052] <= 0
model += X[6778] + X[2486] + X[1052] <= 2
model += -X[6788] + X[4151] - X[914] <= 0
model += -X[6788] - X[4151] + X[914] <= 0
model += X[5024] - X[1148] - X[5210] <= 0
model += X[5024] + X[1148] + X[5210] <= 2
model += -X[343] + X[4337] - X[3951] <= 0
model += -X[343] - X[4337] + X[3951] <= 0
model += X[4726] - X[4279] - X[5097] <= 0
model += X[4726] + X[4279] + X[5097] <= 2
model += X[4931] - X[2011] - X[3508] <= 0
model += X[4931] + X[2011] + X[3508] <= 2
model += X[2825] - X[3636] - X[3312] <= 0
model += X[2825] + X[3636] + X[3312] <= 2
model += X[2849] - X[5877] - X[2685] <= 0
model += X[2849] + X[5877] + X[2685] <= 2
model += -X[3584] + X[262] - X[5983] <= 0
model += -X[3584] - X[262] + X[5983] <= 0
model += X[3120] - X[3471] - X[6878] <= 0
model += X[3120] + X[3471] + X[6878] <= 2
model += -X[2379] + X[799] - X[4678] <= 0
model += -X[2379] - X[799] + X[4678] <= 0
model += X[4625] - X[4317] - X[1002] <= 0
model += X[4625] + X[4317] + X[1002] <= 2
model += X[3425] - X[2575] - X[6727] <= 0
model += X[3425] + X[2575] + X[6727] <= 2
model += X[7667] - X[5308] - X[7244] <= 0
model += X[7667] + X[5308] + X[7244] <= 2
model += X[5457] - X[5414] - X[1076] <= 0
model += X[5457] + X[5414] + X[1076] <= 2
model += -X[2459] + X[6604] - X[473] <= 0
model += -X[2459] - X[6604] + X[473] <= 0
model += -X[2954] + X[425] - X[3637] <= 0
model += -X[2954] - X[425] + X[3637] <= 0
model += X[6414] - X[6559] - X[4059] <= 0
model += X[6414] + X[6559] + X[4059] <= 2
model += X[4226] - X[7591] - X[3358] <= 0
model += X[4226] + X[7591] + X[3358] <= 2
model += X[5247] - X[1483] - X[5895] <= 0
model += X[5247] + X[1483] + X[5895] <= 2
model += X[2573] - X[6114] - X[3647] <= 0
model += X[2573] + X[6114] + X[3647] <= 2
model += X[1283] - X[7495] - X[1205] <= 0
model += X[1283] + X[7495] + X[1205] <= 2
model += X[1626] - X[3433] - X[1978] <= 0
model += X[1626] + X[3433] + X[1978] <= 2
model += X[6902] - X[7465] - X[5171] <= 0
model += X[6902] + X[7465] + X[5171] <= 2
model += -X[1836] + X[687] - X[3549] <= 0
model += -X[1836] - X[687] + X[3549] <= 0
model += X[1837] - X[7566] - X[2876] <= 0
model += X[1837] + X[7566] + X[2876] <= 2
model += X[6533] - X[6095] - X[2308] <= 0
model += X[6533] + X[6095] + X[2308] <= 2
model += X[4971] - X[4939] - X[1696] <= 0
model += X[4971] + X[4939] + X[1696] <= 2
model += -X[273] + X[3405] - X[1482] <= 0
model += -X[273] - X[3405] + X[1482] <= 0
model += -X[1531] + X[3218] - X[526] <= 0
model += -X[1531] - X[3218] + X[526] <= 0
model += X[1914] - X[2377] - X[4216] <= 0
model += X[1914] + X[2377] + X[4216] <= 2
model += X[1317] - X[3093] - X[1164] <= 0
model += X[1317] + X[3093] + X[1164] <= 2
model += X[1145] - X[7778] - X[3694] <= 0
model += X[1145] + X[7778] + X[3694] <= 2
model += X[1193] - X[5843] - X[1915] <= 0
model += X[1193] + X[5843] + X[1915] <= 2
model += X[6578] - X[4595] - X[6446] <= 0
model += X[6578] + X[4595] + X[6446] <= 2
model += X[2437] - X[6685] - X[5805] <= 0
model += X[2437] + X[6685] + X[5805] <= 2
model += X[3603] - X[2939] - X[7646] <= 0
model += X[3603] + X[2939] + X[7646] <= 2
model += -X[449] + X[7660] - X[1948] <= 0
model += -X[449] - X[7660] + X[1948] <= 0
model += X[7769] - X[2596] - X[6194] <= 0
model += X[7769] + X[2596] + X[6194] <= 2
model += -X[576] + X[7039] - X[1017] <= 0
model += -X[576] - X[7039] + X[1017] <= 0
model += -X[1941] + X[3711] - X[460] <= 0
model += -X[1941] - X[3711] + X[460] <= 0
model += X[2483] - X[2486] - X[2807] <= 0
model += X[2483] + X[2486] + X[2807] <= 2
model += X[6187] - X[4151] - X[1146] <= 0
model += X[6187] + X[4151] + X[1146] <= 2
model += X[6006] - X[1148] - X[5978] <= 0
model += X[6006] + X[1148] + X[5978] <= 2
model += -X[5633] + X[4337] - X[415] <= 0
model += -X[5633] - X[4337] + X[415] <= 0
model += X[1936] - X[4279] - X[6925] <= 0
model += X[1936] + X[4279] + X[6925] <= 2
model += X[6904] - X[3636] - X[5325] <= 0
model += X[6904] + X[3636] + X[5325] <= 2
model += X[1008] - X[5877] - X[3653] <= 0
model += X[1008] + X[5877] + X[3653] <= 2
model += -X[3511] + X[590] - X[2463] <= 0
model += -X[3511] - X[590] + X[2463] <= 0
model += X[1861] - X[3471] - X[3318] <= 0
model += X[1861] + X[3471] + X[3318] <= 2
model += X[1646] - X[4317] - X[7362] <= 0
model += X[1646] + X[4317] + X[7362] <= 2
model += X[7218] - X[2575] - X[5228] <= 0
model += X[7218] + X[2575] + X[5228] <= 2
model += X[6551] - X[5308] - X[3148] <= 0
model += X[6551] + X[5308] + X[3148] <= 2
model += X[4250] - X[5414] - X[1222] <= 0
model += X[4250] + X[5414] + X[1222] <= 2
model += X[4382] - X[6604] - X[2726] <= 0
model += X[4382] + X[6604] + X[2726] <= 2
model += -X[6729] + X[584] - X[2671] <= 0
model += -X[6729] - X[584] + X[2671] <= 0
model += X[3635] - X[6559] - X[3356] <= 0
model += X[3635] + X[6559] + X[3356] <= 2
model += -X[761] + X[7591] - X[5563] <= 0
model += -X[761] - X[7591] + X[5563] <= 0
model += X[1382] - X[1483] - X[6920] <= 0
model += X[1382] + X[1483] + X[6920] <= 2
model += X[6819] - X[2103] - X[6349] <= 0
model += X[6819] + X[2103] + X[6349] <= 2
model += X[6134] - X[6114] - X[7139] <= 0
model += X[6134] + X[6114] + X[7139] <= 2
model += X[3886] - X[7495] - X[2943] <= 0
model += X[3886] + X[7495] + X[2943] <= 2
model += -X[597] + X[3433] - X[4097] <= 0
model += -X[597] - X[3433] + X[4097] <= 0
model += X[5897] - X[7465] - X[1520] <= 0
model += X[5897] + X[7465] + X[1520] <= 2
model += X[5620] - X[7566] - X[3900] <= 0
model += X[5620] + X[7566] + X[3900] <= 2
model += -X[439] + X[6095] - X[2120] <= 0
model += -X[439] - X[6095] + X[2120] <= 0
model += X[5941] - X[4939] - X[4019] <= 0
model += X[5941] + X[4939] + X[4019] <= 2
model += X[2348] - X[3405] - X[3989] <= 0
model += X[2348] + X[3405] + X[3989] <= 2
model += -X[1847] + X[544] - X[5685] <= 0
model += -X[1847] - X[544] + X[5685] <= 0
model += -X[5418] + X[824] - X[7273] <= 0
model += -X[5418] - X[824] + X[7273] <= 0
model += -X[705] + X[2450] - X[3208] <= 0
model += -X[705] - X[2450] + X[3208] <= 0
model += X[2388] - X[3443] - X[2889] <= 0
model += X[2388] + X[3443] + X[2889] <= 2
model += X[6334] - X[2207] - X[4600] <= 0
model += X[6334] + X[2207] + X[4600] <= 2
model += -X[2263] + X[4443] - X[860] <= 0
model += -X[2263] - X[4443] + X[860] <= 0
model += -X[5529] + X[3218] - X[348] <= 0
model += -X[5529] - X[3218] + X[348] <= 0
model += X[3778] - X[2377] - X[2824] <= 0
model += X[3778] + X[2377] + X[2824] <= 2
model += -X[512] + X[3093] - X[4270] <= 0
model += -X[512] - X[3093] + X[4270] <= 0
model += X[5399] - X[7778] - X[5584] <= 0
model += X[5399] + X[7778] + X[5584] <= 2
model += X[3885] - X[5843] - X[6526] <= 0
model += X[3885] + X[5843] + X[6526] <= 2
model += X[4921] - X[4595] - X[7046] <= 0
model += X[4921] + X[4595] + X[7046] <= 2
model += X[2960] - X[6685] - X[6135] <= 0
model += X[2960] + X[6685] + X[6135] <= 2
model += X[6834] - X[2939] - X[5030] <= 0
model += X[6834] + X[2939] + X[5030] <= 2
model += X[4863] - X[7660] - X[6927] <= 0
model += X[4863] + X[7660] + X[6927] <= 2
model += X[1967] - X[2596] - X[5090] <= 0
model += X[1967] + X[2596] + X[5090] <= 2
model += X[6978] - X[7039] - X[5573] <= 0
model += X[6978] + X[7039] + X[5573] <= 2
model += -X[7423] + X[3711] - X[165] <= 0
model += -X[7423] - X[3711] + X[165] <= 0
model += -X[738] + X[2486] - X[2966] <= 0
model += -X[738] - X[2486] + X[2966] <= 0
model += X[3668] - X[4151] - X[1398] <= 0
model += X[3668] + X[4151] + X[1398] <= 2
model += X[4658] - X[1148] - X[1960] <= 0
model += X[4658] + X[1148] + X[1960] <= 2
model += X[1402] - X[4337] - X[5719] <= 0
model += X[1402] + X[4337] + X[5719] <= 2
model += -X[638] + X[4279] - X[1342] <= 0
model += -X[638] - X[4279] + X[1342] <= 0
model += X[7599] - X[2011] - X[3569] <= 0
model += X[7599] + X[2011] + X[3569] <= 2
model += X[6012] - X[3636] - X[5456] <= 0
model += X[6012] + X[3636] + X[5456] <= 2
model += X[7390] - X[5877] - X[1789] <= 0
model += X[7390] + X[5877] + X[1789] <= 2
model += -X[5995] + X[590] - X[4356] <= 0
model += -X[5995] - X[590] + X[4356] <= 0
model += -X[152] + X[3471] - X[2534] <= 0
model += -X[152] - X[3471] + X[2534] <= 0
model += -X[3919] + X[799] - X[1778] <= 0
model += -X[3919] - X[799] + X[1778] <= 0
model += -X[2368] + X[4317] - X[518] <= 0
model += -X[2368] - X[4317] + X[518] <= 0
model += X[3040] - X[2575] - X[3427] <= 0
model += X[3040] + X[2575] + X[3427] <= 2
model += X[2257] - X[5308] - X[4864] <= 0
model += X[2257] + X[5308] + X[4864] <= 2
model += -X[744] + X[5414] - X[6459] <= 0
model += -X[744] - X[5414] + X[6459] <= 0
model += X[6731] - X[6604] - X[5749] <= 0
model += X[6731] + X[6604] + X[5749] <= 2
model += -X[5409] + X[584] - X[6184] <= 0
model += -X[5409] - X[584] + X[6184] <= 0
model += -X[1246] + X[425] - X[4389] <= 0
model += -X[1246] - X[425] + X[4389] <= 0
model += X[3953] - X[6559] - X[1757] <= 0
model += X[3953] + X[6559] + X[1757] <= 2
model += -X[180] + X[7591] - X[3689] <= 0
model += -X[180] - X[7591] + X[3689] <= 0
model += X[1295] - X[1483] - X[5442] <= 0
model += X[1295] + X[1483] + X[5442] <= 2
model += X[4501] - X[2103] - X[4834] <= 0
model += X[4501] + X[2103] + X[4834] <= 2
model += X[3207] - X[7630] - X[1136] <= 0
model += X[3207] + X[7630] + X[1136] <= 2
model += X[2415] - X[1039] - X[2498] <= 0
model += X[2415] + X[1039] + X[2498] <= 2
model += -X[283] + X[2102] - X[6080] <= 0
model += -X[283] - X[2102] + X[6080] <= 0
model += X[1045] - X[5347] - X[5382] <= 0
model += X[1045] + X[5347] + X[5382] <= 2
model += X[3057] - X[6114] - X[3112] <= 0
model += X[3057] + X[6114] + X[3112] <= 2
model += X[4021] - X[7495] - X[4042] <= 0
model += X[4021] + X[7495] + X[4042] <= 2
model += X[6025] - X[3433] - X[3210] <= 0
model += X[6025] + X[3433] + X[3210] <= 2
model += -X[376] + X[7465] - X[1036] <= 0
model += -X[376] - X[7465] + X[1036] <= 0
model += -X[4100] + X[687] - X[4431] <= 0
model += -X[4100] - X[687] + X[4431] <= 0
model += X[1168] - X[7566] - X[1394] <= 0
model += X[1168] + X[7566] + X[1394] <= 2
model += X[4820] - X[6095] - X[4839] <= 0
model += X[4820] + X[6095] + X[4839] <= 2
model += -X[490] + X[4939] - X[5594] <= 0
model += -X[490] - X[4939] + X[5594] <= 0
model += X[5517] - X[3405] - X[6992] <= 0
model += X[5517] + X[3405] + X[6992] <= 2
model += -X[6673] + X[544] - X[4830] <= 0
model += -X[6673] - X[544] + X[4830] <= 0
model += -X[2155] + X[824] - X[6237] <= 0
model += -X[2155] - X[824] + X[6237] <= 0
model += X[1485] - X[2450] - X[3787] <= 0
model += X[1485] + X[2450] + X[3787] <= 2
model += X[1243] - X[3443] - X[1252] <= 0
model += X[1243] + X[3443] + X[1252] <= 2
model += X[7446] - X[2207] - X[4056] <= 0
model += X[7446] + X[2207] + X[4056] <= 2
model += X[1958] - X[4443] - X[6362] <= 0
model += X[1958] + X[4443] + X[6362] <= 2
model += -X[644] + X[3218] - X[2080] <= 0
model += -X[644] - X[3218] + X[2080] <= 0
model += X[7041] - X[2377] - X[4037] <= 0
model += X[7041] + X[2377] + X[4037] <= 2
model += X[7265] - X[3093] - X[3567] <= 0
model += X[7265] + X[3093] + X[3567] <= 2
model += -X[3871] + X[7778] - X[618] <= 0
model += -X[3871] - X[7778] + X[618] <= 0
model += X[5723] - X[4595] - X[2588] <= 0
model += X[5723] + X[4595] + X[2588] <= 2
model += X[4028] - X[6685] - X[6892] <= 0
model += X[4028] + X[6685] + X[6892] <= 2
model += X[7017] - X[2939] - X[5940] <= 0
model += X[7017] + X[2939] + X[5940] <= 2
model += X[7542] - X[7660] - X[4092] <= 0
model += X[7542] + X[7660] + X[4092] <= 2
model += X[6773] - X[2596] - X[3521] <= 0
model += X[6773] + X[2596] + X[3521] <= 2
model += X[1150] - X[7039] - X[6822] <= 0
model += X[1150] + X[7039] + X[6822] <= 2
model += -X[3795] + X[3711] - X[198] <= 0
model += -X[3795] - X[3711] + X[198] <= 0
model += X[2417] - X[2486] - X[6633] <= 0
model += X[2417] + X[2486] + X[6633] <= 2
model += X[3177] - X[4151] - X[4584] <= 0
model += X[3177] + X[4151] + X[4584] <= 2
model += X[5803] - X[1148] - X[3219] <= 0
model += X[5803] + X[1148] + X[3219] <= 2
model += X[6831] - X[4337] - X[6482] <= 0
model += X[6831] + X[4337] + X[6482] <= 2
model += -X[3696] + X[4279] - X[447] <= 0
model += -X[3696] - X[4279] + X[447] <= 0
model += X[1559] - X[2011] - X[5512] <= 0
model += X[1559] + X[2011] + X[5512] <= 2
model += X[5137] - X[3636] - X[1841] <= 0
model += X[5137] + X[3636] + X[1841] <= 2
model += -X[1370] + X[5877] - X[129] <= 0
model += -X[1370] - X[5877] + X[129] <= 0
model += -X[7649] + X[262] - X[1939] <= 0
model += -X[7649] - X[262] + X[1939] <= 0
model += X[6306] - X[3471] - X[1749] <= 0
model += X[6306] + X[3471] + X[1749] <= 2
model += -X[5362] + X[799] - X[4958] <= 0
model += -X[5362] - X[799] + X[4958] <= 0
model += -X[766] + X[4856] - X[1120] <= 0
model += -X[766] - X[4856] + X[1120] <= 0
model += X[5788] - X[7777] - X[2400] <= 0
model += X[5788] + X[7777] + X[2400] <= 2
model += X[3315] - X[6083] - X[2804] <= 0
model += X[3315] + X[6083] + X[2804] <= 2
model += X[7408] - X[4317] - X[5117] <= 0
model += X[7408] + X[4317] + X[5117] <= 2
model += X[4728] - X[2575] - X[3376] <= 0
model += X[4728] + X[2575] + X[3376] <= 2
model += X[1999] - X[5308] - X[4696] <= 0
model += X[1999] + X[5308] + X[4696] <= 2
model += X[6348] - X[5414] - X[5786] <= 0
model += X[6348] + X[5414] + X[5786] <= 2
model += X[2177] - X[6604] - X[1893] <= 0
model += X[2177] + X[6604] + X[1893] <= 2
model += -X[2622] + X[425] - X[3806] <= 0
model += -X[2622] - X[425] + X[3806] <= 0
model += -X[4851] + X[6559] - X[712] <= 0
model += -X[4851] - X[6559] + X[712] <= 0
model += -X[2058] + X[7591] - X[673] <= 0
model += -X[2058] - X[7591] + X[673] <= 0
model += X[5986] - X[1483] - X[5959] <= 0
model += X[5986] + X[1483] + X[5959] <= 2
model += X[2581] - X[2103] - X[3641] <= 0
model += X[2581] + X[2103] + X[3641] <= 2
model += X[4332] - X[7630] - X[5276] <= 0
model += X[4332] + X[7630] + X[5276] <= 2
model += X[4164] - X[1039] - X[2311] <= 0
model += X[4164] + X[1039] + X[2311] <= 2
model += -X[670] + X[2102] - X[5802] <= 0
model += -X[670] - X[2102] + X[5802] <= 0
model += X[3371] - X[5347] - X[5814] <= 0
model += X[3371] + X[5347] + X[5814] <= 2
model += X[6586] - X[6114] - X[4530] <= 0
model += X[6586] + X[6114] + X[4530] <= 2
model += -X[5553] + X[7495] - X[234] <= 0
model += -X[5553] - X[7495] + X[234] <= 0
model += -X[221] + X[3433] - X[6777] <= 0
model += -X[221] - X[3433] + X[6777] <= 0
model += X[5121] - X[7465] - X[6905] <= 0
model += X[5121] + X[7465] + X[6905] <= 2
model += -X[1552] + X[687] - X[6147] <= 0
model += -X[1552] - X[687] + X[6147] <= 0
model += X[6900] - X[7566] - X[5684] <= 0
model += X[6900] + X[7566] + X[5684] <= 2
model += -X[4240] + X[695] - X[1439] <= 0
model += -X[4240] - X[695] + X[1439] <= 0
model += X[2653] - X[6095] - X[2240] <= 0
model += X[2653] + X[6095] + X[2240] <= 2
model += X[4759] - X[4939] - X[2574] <= 0
model += X[4759] + X[4939] + X[2574] <= 2
model += X[6599] - X[3405] - X[1363] <= 0
model += X[6599] + X[3405] + X[1363] <= 2
model += -X[6683] + X[824] - X[5547] <= 0
model += -X[6683] - X[824] + X[5547] <= 0
model += X[2129] - X[2450] - X[5069] <= 0
model += X[2129] + X[2450] + X[5069] <= 2
model += X[5957] - X[3443] - X[6966] <= 0
model += X[5957] + X[3443] + X[6966] <= 2
model += -X[6722] + X[2207] - X[724] <= 0
model += -X[6722] - X[2207] + X[724] <= 0
model += X[7080] - X[4443] - X[6600] <= 0
model += X[7080] + X[4443] + X[6600] <= 2
model += X[3616] - X[3218] - X[3262] <= 0
model += X[3616] + X[3218] + X[3262] <= 2
model += X[1675] - X[2377] - X[4767] <= 0
model += X[1675] + X[2377] + X[4767] <= 2
model += X[2851] - X[3093] - X[2657] <= 0
model += X[2851] + X[3093] + X[2657] <= 2
model += X[5658] - X[7778] - X[2370] <= 0
model += X[5658] + X[7778] + X[2370] <= 2
model += X[2215] - X[5843] - X[6741] <= 0
model += X[2215] + X[5843] + X[6741] <= 2
model += X[1509] - X[4595] - X[5397] <= 0
model += X[1509] + X[4595] + X[5397] <= 2
model += X[3767] - X[6685] - X[6159] <= 0
model += X[3767] + X[6685] + X[6159] <= 2
model += X[7665] - X[2939] - X[5101] <= 0
model += X[7665] + X[2939] + X[5101] <= 2
model += -X[7355] + X[7660] - X[494] <= 0
model += -X[7355] - X[7660] + X[494] <= 0
model += X[1424] - X[7039] - X[4557] <= 0
model += X[1424] + X[7039] + X[4557] <= 2
model += X[2614] - X[3711] - X[1953] <= 0
model += X[2614] + X[3711] + X[1953] <= 2
model += X[2834] - X[5255] - X[7281] <= 0
model += X[2834] + X[5255] + X[7281] <= 2
model += X[2500] - X[3827] - X[7389] <= 0
model += X[2500] + X[3827] + X[7389] <= 2
model += X[1271] - X[3280] - X[6630] <= 0
model += X[1271] + X[3280] + X[6630] <= 2
model += -X[2104] + X[2486] - X[966] <= 0
model += -X[2104] - X[2486] + X[966] <= 0
model += X[7700] - X[4151] - X[2108] <= 0
model += X[7700] + X[4151] + X[2108] <= 2
model += X[4857] - X[1148] - X[6874] <= 0
model += X[4857] + X[1148] + X[6874] <= 2
model += X[3802] - X[4337] - X[1543] <= 0
model += X[3802] + X[4337] + X[1543] <= 2
model += X[5464] - X[4279] - X[3026] <= 0
model += X[5464] + X[4279] + X[3026] <= 2
model += X[3419] - X[2011] - X[7369] <= 0
model += X[3419] + X[2011] + X[7369] <= 2
model += X[6268] - X[3636] - X[7078] <= 0
model += X[6268] + X[3636] + X[7078] <= 2
model += X[4957] - X[5877] - X[5646] <= 0
model += X[4957] + X[5877] + X[5646] <= 2
model += -X[7582] + X[590] - X[3432] <= 0
model += -X[7582] - X[590] + X[3432] <= 0
model += -X[7533] + X[262] - X[2012] <= 0
model += -X[7533] - X[262] + X[2012] <= 0
model += X[6903] - X[3471] - X[6938] <= 0
model += X[6903] + X[3471] + X[6938] <= 2
model += -X[2056] + X[799] - X[4383] <= 0
model += -X[2056] - X[799] + X[4383] <= 0
model += X[3818] - X[1825] - X[2147] <= 0
model += X[3818] + X[1825] + X[2147] <= 2
model += X[7511] - X[4856] - X[1493] <= 0
model += X[7511] + X[4856] + X[1493] <= 2
model += X[4941] - X[7777] - X[6612] <= 0
model += X[4941] + X[7777] + X[6612] <= 2
model += -X[472] + X[6083] - X[7386] <= 0
model += -X[472] - X[6083] + X[7386] <= 0
model += X[6106] - X[4317] - X[4199] <= 0
model += X[6106] + X[4317] + X[4199] <= 2
model += X[7282] - X[2575] - X[3049] <= 0
model += X[7282] + X[2575] + X[3049] <= 2
model += X[1455] - X[5308] - X[5571] <= 0
model += X[1455] + X[5308] + X[5571] <= 2
model += X[5655] - X[5414] - X[1636] <= 0
model += X[5655] + X[5414] + X[1636] <= 2
model += X[1764] - X[6604] - X[7718] <= 0
model += X[1764] + X[6604] + X[7718] <= 2
model += -X[7488] + X[425] - X[5179] <= 0
model += -X[7488] - X[425] + X[5179] <= 0
model += X[2538] - X[6559] - X[3970] <= 0
model += X[2538] + X[6559] + X[3970] <= 2
model += -X[536] + X[7591] - X[2026] <= 0
model += -X[536] - X[7591] + X[2026] <= 0
model += X[7026] - X[1483] - X[4137] <= 0
model += X[7026] + X[1483] + X[4137] <= 2
model += X[3299] - X[2103] - X[7706] <= 0
model += X[3299] + X[2103] + X[7706] <= 2
model += X[3884] - X[7630] - X[5241] <= 0
model += X[3884] + X[7630] + X[5241] <= 2
model += X[3329] - X[5347] - X[6490] <= 0
model += X[3329] + X[5347] + X[6490] <= 2
model += X[4843] - X[6114] - X[3074] <= 0
model += X[4843] + X[6114] + X[3074] <= 2
model += X[4560] - X[3433] - X[5884] <= 0
model += X[4560] + X[3433] + X[5884] <= 2
model += X[2823] - X[7465] - X[3171] <= 0
model += X[2823] + X[7465] + X[3171] <= 2
model += X[2577] - X[7566] - X[4735] <= 0
model += X[2577] + X[7566] + X[4735] <= 2
model += -X[2474] + X[695] - X[5949] <= 0
model += -X[2474] - X[695] + X[5949] <= 0
model += X[6386] - X[6095] - X[6263] <= 0
model += X[6386] + X[6095] + X[6263] <= 2
model += X[3381] - X[4939] - X[2077] <= 0
model += X[3381] + X[4939] + X[2077] <= 2
model += X[4513] - X[3405] - X[5346] <= 0
model += X[4513] + X[3405] + X[5346] <= 2
model += -X[5475] + X[824] - X[3326] <= 0
model += -X[5475] - X[824] + X[3326] <= 0
model += X[3379] - X[2450] - X[7270] <= 0
model += X[3379] + X[2450] + X[7270] <= 2
model += X[4153] - X[3443] - X[6930] <= 0
model += X[4153] + X[3443] + X[6930] <= 2
model += -X[144] + X[2207] - X[3136] <= 0
model += -X[144] - X[2207] + X[3136] <= 0
model += X[1548] - X[4443] - X[6375] <= 0
model += X[1548] + X[4443] + X[6375] <= 2
model += X[3160] - X[3196] - X[2991] <= 0
model += X[3160] + X[3196] + X[2991] <= 2
model += X[3125] - X[7544] - X[3742] <= 0
model += X[3125] + X[7544] + X[3742] <= 2
model += X[1449] - X[2221] - X[4611] <= 0
model += X[1449] + X[2221] + X[4611] <= 2
model += X[5619] - X[4038] - X[3002] <= 0
model += X[5619] + X[4038] + X[3002] <= 2
model += X[5260] - X[3218] - X[2964] <= 0
model += X[5260] + X[3218] + X[2964] <= 2
model += -X[509] + X[2377] - X[3156] <= 0
model += -X[509] - X[2377] + X[3156] <= 0
model += X[6073] - X[3093] - X[4089] <= 0
model += X[6073] + X[3093] + X[4089] <= 2
model += X[3774] - X[7778] - X[5015] <= 0
model += X[3774] + X[7778] + X[5015] <= 2
model += -X[2331] + X[5843] - X[213] <= 0
model += -X[2331] - X[5843] + X[213] <= 0
model += X[3762] - X[4595] - X[4738] <= 0
model += X[3762] + X[4595] + X[4738] <= 2
model += X[7393] - X[2939] - X[2567] <= 0
model += X[7393] + X[2939] + X[2567] <= 2
model += -X[4999] + X[7660] - X[381] <= 0
model += -X[4999] - X[7660] + X[381] <= 0
model += -X[6543] + X[7039] - X[583] <= 0
model += -X[6543] - X[7039] + X[583] <= 0
model += X[4158] - X[3711] - X[5709] <= 0
model += X[4158] + X[3711] + X[5709] <= 2
model += X[5900] - X[5255] - X[4229] <= 0
model += X[5900] + X[5255] + X[4229] <= 2
model += -X[111] + X[3827] - X[2691] <= 0
model += -X[111] - X[3827] + X[2691] <= 0
model += X[5203] - X[1180] - X[3335] <= 0
model += X[5203] + X[1180] + X[3335] <= 2
model += -X[5682] + X[3280] - X[649] <= 0
model += -X[5682] - X[3280] + X[649] <= 0
model += X[2935] - X[2486] - X[7534] <= 0
model += X[2935] + X[2486] + X[7534] <= 2
model += -X[538] + X[4151] - X[7608] <= 0
model += -X[538] - X[4151] + X[7608] <= 0
model += X[6219] - X[1148] - X[6211] <= 0
model += X[6219] + X[1148] + X[6211] <= 2
model += -X[145] + X[4337] - X[4334] <= 0
model += -X[145] - X[4337] + X[4334] <= 0
model += -X[5543] + X[4279] - X[833] <= 0
model += -X[5543] - X[4279] + X[833] <= 0
model += X[6873] - X[2011] - X[1704] <= 0
model += X[6873] + X[2011] + X[1704] <= 2
model += X[1385] - X[3636] - X[7636] <= 0
model += X[1385] + X[3636] + X[7636] <= 2
model += X[6311] - X[5877] - X[6369] <= 0
model += X[6311] + X[5877] + X[6369] <= 2
model += -X[1175] + X[590] - X[2232] <= 0
model += -X[1175] - X[590] + X[2232] <= 0
model += X[7215] - X[3471] - X[2317] <= 0
model += X[7215] + X[3471] + X[2317] <= 2
model += -X[4325] + X[799] - X[1491] <= 0
model += -X[4325] - X[799] + X[1491] <= 0
model += -X[870] + X[1825] - X[7454] <= 0
model += -X[870] - X[1825] + X[7454] <= 0
model += X[7051] - X[4856] - X[2109] <= 0
model += X[7051] + X[4856] + X[2109] <= 2
model += X[7727] - X[7777] - X[5944] <= 0
model += X[7727] + X[7777] + X[5944] <= 2
model += -X[128] + X[6083] - X[7442] <= 0
model += -X[128] - X[6083] + X[7442] <= 0
model += X[1258] - X[4317] - X[4642] <= 0
model += X[1258] + X[4317] + X[4642] <= 2
model += X[1303] - X[2575] - X[6229] <= 0
model += X[1303] + X[2575] + X[6229] <= 2
model += X[2697] - X[5308] - X[1026] <= 0
model += X[2697] + X[5308] + X[1026] <= 2
model += X[5871] - X[5414] - X[6430] <= 0
model += X[5871] + X[5414] + X[6430] <= 2
model += X[1773] - X[6604] - X[1869] <= 0
model += X[1773] + X[6604] + X[1869] <= 2
model += -X[7206] + X[584] - X[5034] <= 0
model += -X[7206] - X[584] + X[5034] <= 0
model += -X[4429] + X[425] - X[5931] <= 0
model += -X[4429] - X[425] + X[5931] <= 0
model += -X[678] + X[6559] - X[5997] <= 0
model += -X[678] - X[6559] + X[5997] <= 0
model += X[5794] - X[7591] - X[3493] <= 0
model += X[5794] + X[7591] + X[3493] <= 2
model += X[5927] - X[1483] - X[1932] <= 0
model += X[5927] + X[1483] + X[1932] <= 2
model += X[7627] - X[2103] - X[7741] <= 0
model += X[7627] + X[2103] + X[7741] <= 2
model += X[2269] - X[7630] - X[3814] <= 0
model += X[2269] + X[7630] + X[3814] <= 2
model += X[1714] - X[1039] - X[3916] <= 0
model += X[1714] + X[1039] + X[3916] <= 2
model += X[3465] - X[2102] - X[5309] <= 0
model += X[3465] + X[2102] + X[5309] <= 2
model += -X[2717] + X[5347] - X[614] <= 0
model += -X[2717] - X[5347] + X[614] <= 0
model += X[1589] - X[5182] - X[5925] <= 0
model += X[1589] + X[5182] + X[5925] <= 2
model += X[3431] - X[6323] - X[7653] <= 0
model += X[3431] + X[6323] + X[7653] <= 2
model += X[7134] - X[1724] - X[4426] <= 0
model += X[7134] + X[1724] + X[4426] <= 2
model += X[2426] - X[5811] - X[1947] <= 0
model += X[2426] + X[5811] + X[1947] <= 2
model += X[4451] - X[7495] - X[6366] <= 0
model += X[4451] + X[7495] + X[6366] <= 2
model += X[1441] - X[3433] - X[2329] <= 0
model += X[1441] + X[3433] + X[2329] <= 2
model += X[2978] - X[7465] - X[4953] <= 0
model += X[2978] + X[7465] + X[4953] <= 2
model += -X[3360] + X[687] - X[2398] <= 0
model += -X[3360] - X[687] + X[2398] <= 0
model += X[6658] - X[7566] - X[2384] <= 0
model += X[6658] + X[7566] + X[2384] <= 2
model += -X[5113] + X[695] - X[6240] <= 0
model += -X[5113] - X[695] + X[6240] <= 0
model += X[4148] - X[4939] - X[4898] <= 0
model += X[4148] + X[4939] + X[4898] <= 2
model += X[4682] - X[3405] - X[4548] <= 0
model += X[4682] + X[3405] + X[4548] <= 2
model += -X[7068] + X[544] - X[6363] <= 0
model += -X[7068] - X[544] + X[6363] <= 0
model += -X[1896] + X[824] - X[6576] <= 0
model += -X[1896] - X[824] + X[6576] <= 0
model += X[5326] - X[2450] - X[4809] <= 0
model += X[5326] + X[2450] + X[4809] <= 2
model += X[7119] - X[3443] - X[1196] <= 0
model += X[7119] + X[3443] + X[1196] <= 2
model += X[3062] - X[4443] - X[1940] <= 0
model += X[3062] + X[4443] + X[1940] <= 2
model += X[6331] - X[3196] - X[2226] <= 0
model += X[6331] + X[3196] + X[2226] <= 2
model += X[5813] - X[7544] - X[6379] <= 0
model += X[5813] + X[7544] + X[6379] <= 2
model += X[1840] - X[2221] - X[4235] <= 0
model += X[1840] + X[2221] + X[4235] <= 2
model += X[5306] - X[4038] - X[5176] <= 0
model += X[5306] + X[4038] + X[5176] <= 2
model += X[7326] - X[3218] - X[6657] <= 0
model += X[7326] + X[3218] + X[6657] <= 2
model += -X[1895] + X[2377] - X[868] <= 0
model += -X[1895] - X[2377] + X[868] <= 0
model += -X[861] + X[3093] - X[2497] <= 0
model += -X[861] - X[3093] + X[2497] <= 0
model += X[2086] - X[7778] - X[7299] <= 0
model += X[2086] + X[7778] + X[7299] <= 2
model += X[3316] - X[5843] - X[6078] <= 0
model += X[3316] + X[5843] + X[6078] <= 2
model += -X[2464] + X[4595] - X[184] <= 0
model += -X[2464] - X[4595] + X[184] <= 0
model += X[3550] - X[6685] - X[4621] <= 0
model += X[3550] + X[6685] + X[4621] <= 2
model += X[5238] - X[2939] - X[2806] <= 0
model += X[5238] + X[2939] + X[2806] <= 2
model += X[1170] - X[7660] - X[5782] <= 0
model += X[1170] + X[7660] + X[5782] <= 2
model += X[1212] - X[2596] - X[6324] <= 0
model += X[1212] + X[2596] + X[6324] <= 2
model += X[6704] - X[7039] - X[6947] <= 0
model += X[6704] + X[7039] + X[6947] <= 2
model += X[4852] - X[3711] - X[5687] <= 0
model += X[4852] + X[3711] + X[5687] <= 2
model += X[6684] - X[5255] - X[1488] <= 0
model += X[6684] + X[5255] + X[1488] <= 2
model += X[2741] - X[3827] - X[4016] <= 0
model += X[2741] + X[3827] + X[4016] <= 2
model += -X[3777] + X[1180] - X[294] <= 0
model += -X[3777] - X[1180] + X[294] <= 0
model += X[1006] - X[3280] - X[1176] <= 0
model += X[1006] + X[3280] + X[1176] <= 2
model += -X[301] + X[2486] - X[1833] <= 0
model += -X[301] - X[2486] + X[1833] <= 0
model += X[6977] - X[4151] - X[6569] <= 0
model += X[6977] + X[4151] + X[6569] <= 2
model += X[2933] - X[1148] - X[7200] <= 0
model += X[2933] + X[1148] + X[7200] <= 2
model += X[7620] - X[4337] - X[4081] <= 0
model += X[7620] + X[4337] + X[4081] <= 2
model += X[2396] - X[4279] - X[1332] <= 0
model += X[2396] + X[4279] + X[1332] <= 2
model += -X[491] + X[2011] - X[7191] <= 0
model += -X[491] - X[2011] + X[7191] <= 0
model += X[4670] - X[3636] - X[2660] <= 0
model += X[4670] + X[3636] + X[2660] <= 2
model += X[7464] - X[5877] - X[6221] <= 0
model += X[7464] + X[5877] + X[6221] <= 2
model += -X[1576] + X[590] - X[2506] <= 0
model += -X[1576] - X[590] + X[2506] <= 0
model += -X[2678] + X[262] - X[1848] <= 0
model += -X[2678] - X[262] + X[1848] <= 0
model += X[6418] - X[3471] - X[7093] <= 0
model += X[6418] + X[3471] + X[7093] <= 2
model += -X[4867] + X[799] - X[2948] <= 0
model += -X[4867] - X[799] + X[2948] <= 0
model += X[3036] - X[1825] - X[5253] <= 0
model += X[3036] + X[1825] + X[5253] <= 2
model += X[1288] - X[4856] - X[4179] <= 0
model += X[1288] + X[4856] + X[4179] <= 2
model += X[2736] - X[7777] - X[1741] <= 0
model += X[2736] + X[7777] + X[1741] <= 2
model += -X[6215] + X[6083] - X[123] <= 0
model += -X[6215] - X[6083] + X[123] <= 0
model += X[5952] - X[2895] - X[2921] <= 0
model += X[5952] + X[2895] + X[2921] <= 2
model += X[2375] - X[1088] - X[6667] <= 0
model += X[2375] + X[1088] + X[6667] <= 2
model += -X[664] + X[5790] - X[3574] <= 0
model += -X[664] - X[5790] + X[3574] <= 0
model += -X[5318] + X[233] - X[6642] <= 0
model += -X[5318] - X[233] + X[6642] <= 0
model += X[3860] - X[2575] - X[4184] <= 0
model += X[3860] + X[2575] + X[4184] <= 2
model += X[2612] - X[5308] - X[3627] <= 0
model += X[2612] + X[5308] + X[3627] <= 2
model += X[6274] - X[5414] - X[5830] <= 0
model += X[6274] + X[5414] + X[5830] <= 2
model += X[6481] - X[6604] - X[4771] <= 0
model += X[6481] + X[6604] + X[4771] <= 2
model += -X[5211] + X[584] - X[7005] <= 0
model += -X[5211] - X[584] + X[7005] <= 0
model += X[5702] - X[6559] - X[4719] <= 0
model += X[5702] + X[6559] + X[4719] <= 2
model += X[1348] - X[7591] - X[3046] <= 0
model += X[1348] + X[7591] + X[3046] <= 2
model += X[7707] - X[1483] - X[5428] <= 0
model += X[7707] + X[1483] + X[5428] <= 2
model += X[5343] - X[7630] - X[6536] <= 0
model += X[5343] + X[7630] + X[6536] <= 2
model += -X[3164] + X[1039] - X[384] <= 0
model += -X[3164] - X[1039] + X[384] <= 0
model += X[7311] - X[5347] - X[7574] <= 0
model += X[7311] + X[5347] + X[7574] <= 2
model += X[1686] - X[5182] - X[1473] <= 0
model += X[1686] + X[5182] + X[1473] <= 2
model += -X[5131] + X[1724] - X[961] <= 0
model += -X[5131] - X[1724] + X[961] <= 0
model += X[6314] - X[5811] - X[3709] <= 0
model += X[6314] + X[5811] + X[3709] <= 2
model += X[7522] - X[7495] - X[7633] <= 0
model += X[7522] + X[7495] + X[7633] <= 2
model += X[7615] - X[3433] - X[2838] <= 0
model += X[7615] + X[3433] + X[2838] <= 2
model += X[1336] - X[7465] - X[7585] <= 0
model += X[1336] + X[7465] + X[7585] <= 2
model += -X[4892] + X[687] - X[3034] <= 0
model += -X[4892] - X[687] + X[3034] <= 0
model += X[1508] - X[7566] - X[3416] <= 0
model += X[1508] + X[7566] + X[3416] <= 2
model += -X[3168] + X[695] - X[4748] <= 0
model += -X[3168] - X[695] + X[4748] <= 0
model += X[7448] - X[6095] - X[3504] <= 0
model += X[7448] + X[6095] + X[3504] <= 2
model += X[2747] - X[4939] - X[5144] <= 0
model += X[2747] + X[4939] + X[5144] <= 2
model += -X[277] + X[3405] - X[7277] <= 0
model += -X[277] - X[3405] + X[7277] <= 0
model += -X[4073] + X[544] - X[5372] <= 0
model += -X[4073] - X[544] + X[5372] <= 0
model += -X[3022] + X[824] - X[7345] <= 0
model += -X[3022] - X[824] + X[7345] <= 0
model += -X[6246] + X[2450] - X[256] <= 0
model += -X[6246] - X[2450] + X[256] <= 0
model += X[2605] - X[3443] - X[3429] <= 0
model += X[2605] + X[3443] + X[3429] <= 2
model += X[6137] - X[2207] - X[6301] <= 0
model += X[6137] + X[2207] + X[6301] <= 2
model += X[6044] - X[4443] - X[7561] <= 0
model += X[6044] + X[4443] + X[7561] <= 2
model += X[4170] - X[3196] - X[4207] <= 0
model += X[4170] + X[3196] + X[4207] <= 2
model += -X[756] + X[7544] - X[4084] <= 0
model += -X[756] - X[7544] + X[4084] <= 0
model += X[5585] - X[2221] - X[2230] <= 0
model += X[5585] + X[2221] + X[2230] <= 2
model += X[6199] - X[4038] - X[3901] <= 0
model += X[6199] + X[4038] + X[3901] <= 2
model += X[7498] - X[3218] - X[2158] <= 0
model += X[7498] + X[3218] + X[2158] <= 2
model += -X[2341] + X[2377] - X[955] <= 0
model += -X[2341] - X[2377] + X[955] <= 0
model += X[2965] - X[3093] - X[2715] <= 0
model += X[2965] + X[3093] + X[2715] <= 2
model += -X[339] + X[7778] - X[3982] <= 0
model += -X[339] - X[7778] + X[3982] <= 0
model += -X[6013] + X[5843] - X[978] <= 0
model += -X[6013] - X[5843] + X[978] <= 0
model += X[5290] - X[4595] - X[3300] <= 0
model += X[5290] + X[4595] + X[3300] <= 2
model += X[4585] - X[6685] - X[1852] <= 0
model += X[4585] + X[6685] + X[1852] <= 2
model += X[5641] - X[2939] - X[5250] <= 0
model += X[5641] + X[2939] + X[5250] <= 2
model += -X[838] + X[7660] - X[5188] <= 0
model += -X[838] - X[7660] + X[5188] <= 0
model += -X[945] + X[2596] - X[4002] <= 0
model += -X[945] - X[2596] + X[4002] <= 0
model += X[3557] - X[7039] - X[3415] <= 0
model += X[3557] + X[7039] + X[3415] <= 2
model += -X[499] + X[3711] - X[3620] <= 0
model += -X[499] - X[3711] + X[3620] <= 0
model += X[5507] - X[5255] - X[3385] <= 0
model += X[5507] + X[5255] + X[3385] <= 2
model += X[2927] - X[3827] - X[1790] <= 0
model += X[2927] + X[3827] + X[1790] <= 2
model += X[3752] - X[1180] - X[3596] <= 0
model += X[3752] + X[1180] + X[3596] <= 2
model += X[4252] - X[3280] - X[3426] <= 0
model += X[4252] + X[3280] + X[3426] <= 2
model += X[2389] - X[7770] - X[4526] <= 0
model += X[2389] + X[7770] + X[4526] <= 2
model += X[2763] - X[3662] - X[4064] <= 0
model += X[2763] + X[3662] + X[4064] <= 2
model += X[5792] - X[7366] - X[3673] <= 0
model += X[5792] + X[7366] + X[3673] <= 2
model += X[4060] - X[4151] - X[3342] <= 0
model += X[4060] + X[4151] + X[3342] <= 2
model += X[7402] - X[1148] - X[5970] <= 0
model += X[7402] + X[1148] + X[5970] <= 2
model += X[1250] - X[4337] - X[2706] <= 0
model += X[1250] + X[4337] + X[2706] <= 2
model += X[6748] - X[4279] - X[1352] <= 0
model += X[6748] + X[4279] + X[1352] <= 2
model += X[1580] - X[2011] - X[5332] <= 0
model += X[1580] + X[2011] + X[5332] <= 2
model += X[5311] - X[3636] - X[4712] <= 0
model += X[5311] + X[3636] + X[4712] <= 2
model += -X[2879] + X[5877] - X[261] <= 0
model += -X[2879] - X[5877] + X[261] <= 0
model += -X[1105] + X[590] - X[7169] <= 0
model += -X[1105] - X[590] + X[7169] <= 0
model += -X[5659] + X[262] - X[5262] <= 0
model += -X[5659] - X[262] + X[5262] <= 0
model += X[6951] - X[3471] - X[4633] <= 0
model += X[6951] + X[3471] + X[4633] <= 2
model += X[3726] - X[4856] - X[3045] <= 0
model += X[3726] + X[4856] + X[3045] <= 2
model += X[4639] - X[7777] - X[2973] <= 0
model += X[4639] + X[7777] + X[2973] <= 2
model += -X[269] + X[6083] - X[4540] <= 0
model += -X[269] - X[6083] + X[4540] <= 0
model += X[1112] - X[2895] - X[4386] <= 0
model += X[1112] + X[2895] + X[4386] <= 2
model += X[5407] - X[1088] - X[4713] <= 0
model += X[5407] + X[1088] + X[4713] <= 2
model += -X[2431] + X[5790] - X[760] <= 0
model += -X[2431] - X[5790] + X[760] <= 0
model += -X[3571] + X[233] - X[6467] <= 0
model += -X[3571] - X[233] + X[6467] <= 0
model += -X[4730] + X[2575] - X[543] <= 0
model += -X[4730] - X[2575] + X[543] <= 0
model += X[1328] - X[5308] - X[5481] <= 0
model += X[1328] + X[5308] + X[5481] <= 2
model += X[1894] - X[5414] - X[1946] <= 0
model += X[1894] + X[5414] + X[1946] <= 2
model += X[6587] - X[6604] - X[7750] <= 0
model += X[6587] + X[6604] + X[7750] <= 2
model += -X[3944] + X[584] - X[5159] <= 0
model += -X[3944] - X[584] + X[5159] <= 0
model += -X[6886] + X[425] - X[6891] <= 0
model += -X[6886] - X[425] + X[6891] <= 0
model += X[3909] - X[6559] - X[6909] <= 0
model += X[3909] + X[6559] + X[6909] <= 2
model += X[4567] - X[7591] - X[2253] <= 0
model += X[4567] + X[7591] + X[2253] <= 2
model += X[1361] - X[1483] - X[1005] <= 0
model += X[1361] + X[1483] + X[1005] <= 2
model += X[4221] - X[2103] - X[1432] <= 0
model += X[4221] + X[2103] + X[1432] <= 2
model += X[4553] - X[7630] - X[6999] <= 0
model += X[4553] + X[7630] + X[6999] <= 2
model += X[4288] - X[1039] - X[4243] <= 0
model += X[4288] + X[1039] + X[4243] <= 2
model += X[4145] - X[5347] - X[4729] <= 0
model += X[4145] + X[5347] + X[4729] <= 2
model += X[4686] - X[5182] - X[6003] <= 0
model += X[4686] + X[5182] + X[6003] <= 2
model += X[1660] - X[6323] - X[7045] <= 0
model += X[1660] + X[6323] + X[7045] <= 2
model += X[4982] - X[1724] - X[3308] <= 0
model += X[4982] + X[1724] + X[3308] <= 2
model += X[3801] - X[5811] - X[4138] <= 0
model += X[3801] + X[5811] + X[4138] <= 2
model += X[6151] - X[7495] - X[7560] <= 0
model += X[6151] + X[7495] + X[7560] <= 2
model += X[4948] - X[3433] - X[2449] <= 0
model += X[4948] + X[3433] + X[2449] <= 2
model += X[1533] - X[7465] - X[4911] <= 0
model += X[1533] + X[7465] + X[4911] <= 2
model += -X[2995] + X[687] - X[4276] <= 0
model += -X[2995] - X[687] + X[4276] <= 0
model += X[2393] - X[7566] - X[3846] <= 0
model += X[2393] + X[7566] + X[3846] <= 2
model += X[1167] - X[6095] - X[4257] <= 0
model += X[1167] + X[6095] + X[4257] <= 2
model += X[3101] - X[4939] - X[2839] <= 0
model += X[3101] + X[4939] + X[2839] <= 2
model += X[5886] - X[3405] - X[5105] <= 0
model += X[5886] + X[3405] + X[5105] <= 2
model += -X[1615] + X[544] - X[1433] <= 0
model += -X[1615] - X[544] + X[1433] <= 0
model += X[4989] - X[2450] - X[7609] <= 0
model += X[4989] + X[2450] + X[7609] <= 2
model += X[4664] - X[3443] - X[2941] <= 0
model += X[4664] + X[3443] + X[2941] <= 2
model += X[6655] - X[2207] - X[6164] <= 0
model += X[6655] + X[2207] + X[6164] <= 2
model += X[2750] - X[4443] - X[6507] <= 0
model += X[2750] + X[4443] + X[6507] <= 2
model += X[3870] - X[3196] - X[1267] <= 0
model += X[3870] + X[3196] + X[1267] <= 2
model += -X[6670] + X[7544] - X[560] <= 0
model += -X[6670] - X[7544] + X[560] <= 0
model += X[4803] - X[2221] - X[4091] <= 0
model += X[4803] + X[2221] + X[4091] <= 2
model += X[5954] - X[4038] - X[2045] <= 0
model += X[5954] + X[4038] + X[2045] <= 2
model += -X[3799] + X[5324] - X[329] <= 0
model += -X[3799] - X[5324] + X[329] <= 0
model += X[5375] - X[5824] - X[4070] <= 0
model += X[5375] + X[5824] + X[4070] <= 2
model += X[3135] - X[5775] - X[7109] <= 0
model += X[3135] + X[5775] + X[7109] <= 2
model += X[2031] - X[1747] - X[1796] <= 0
model += X[2031] + X[1747] + X[1796] <= 2
model += X[3977] - X[2377] - X[6124] <= 0
model += X[3977] + X[2377] + X[6124] <= 2
model += X[6139] - X[3093] - X[6720] <= 0
model += X[6139] + X[3093] + X[6720] <= 2
model += -X[3776] + X[5843] - X[552] <= 0
model += -X[3776] - X[5843] + X[552] <= 0
model += X[7751] - X[4595] - X[5240] <= 0
model += X[7751] + X[4595] + X[5240] <= 2
model += X[7493] - X[6685] - X[7418] <= 0
model += X[7493] + X[6685] + X[7418] <= 2
model += X[3176] - X[2939] - X[6008] <= 0
model += X[3176] + X[2939] + X[6008] <= 2
model += X[3023] - X[7660] - X[7510] <= 0
model += X[3023] + X[7660] + X[7510] <= 2
model += X[2652] - X[2596] - X[3072] <= 0
model += X[2652] + X[2596] + X[3072] <= 2
model += -X[999] + X[7039] - X[3937] <= 0
model += -X[999] - X[7039] + X[3937] <= 0
model += X[7776] - X[3711] - X[6713] <= 0
model += X[7776] + X[3711] + X[6713] <= 2
model += X[1333] - X[5255] - X[1292] <= 0
model += X[1333] + X[5255] + X[1292] <= 2
model += X[3845] - X[3827] - X[6437] <= 0
model += X[3845] + X[3827] + X[6437] <= 2
model += X[2845] - X[3280] - X[5732] <= 0
model += X[2845] + X[3280] + X[5732] <= 2
model += X[4237] - X[7770] - X[4517] <= 0
model += X[4237] + X[7770] + X[4517] <= 2
model += X[1226] - X[3662] - X[3553] <= 0
model += X[1226] + X[3662] + X[3553] <= 2
model += X[1265] - X[7366] - X[6597] <= 0
model += X[1265] + X[7366] + X[6597] <= 2
model += X[4846] - X[4151] - X[3305] <= 0
model += X[4846] + X[4151] + X[3305] <= 2
model += X[2604] - X[1148] - X[5184] <= 0
model += X[2604] + X[1148] + X[5184] <= 2
model += X[2877] - X[4337] - X[5640] <= 0
model += X[2877] + X[4337] + X[5640] <= 2
model += -X[3005] + X[4279] - X[505] <= 0
model += -X[3005] - X[4279] + X[505] <= 0
model += X[6957] - X[2011] - X[3063] <= 0
model += X[6957] + X[2011] + X[3063] <= 2
model += X[2016] - X[3636] - X[1291] <= 0
model += X[2016] + X[3636] + X[1291] <= 2
model += X[1231] - X[5877] - X[3473] <= 0
model += X[1231] + X[5877] + X[3473] <= 2
model += -X[6747] + X[590] - X[7258] <= 0
model += -X[6747] - X[590] + X[7258] <= 0
model += X[3917] - X[3471] - X[7376] <= 0
model += X[3917] + X[3471] + X[7376] <= 2
model += -X[7617] + X[799] - X[6792] <= 0
model += -X[7617] - X[799] + X[6792] <= 0
model += -X[5469] + X[1825] - X[380] <= 0
model += -X[5469] - X[1825] + X[380] <= 0
model += X[6466] - X[4856] - X[6051] <= 0
model += X[6466] + X[4856] + X[6051] <= 2
model += -X[360] + X[7777] - X[6265] <= 0
model += -X[360] - X[7777] + X[6265] <= 0
model += X[3051] - X[6083] - X[6070] <= 0
model += X[3051] + X[6083] + X[6070] <= 2
model += -X[433] + X[2895] - X[3739] <= 0
model += -X[433] - X[2895] + X[3739] <= 0
model += X[1157] - X[1088] - X[6105] <= 0
model += X[1157] + X[1088] + X[6105] <= 2
model += X[5976] - X[5790] - X[3629] <= 0
model += X[5976] + X[5790] + X[3629] <= 2
model += -X[2494] + X[233] - X[7057] <= 0
model += -X[2494] - X[233] + X[7057] <= 0
model += X[4850] - X[2575] - X[2064] <= 0
model += X[4850] + X[2575] + X[2064] <= 2
model += X[6910] - X[5308] - X[3678] <= 0
model += X[6910] + X[5308] + X[3678] <= 2
model += X[7470] - X[5414] - X[2334] <= 0
model += X[7470] + X[5414] + X[2334] <= 2
model += X[6403] - X[6604] - X[1030] <= 0
model += X[6403] + X[6604] + X[1030] <= 2
model += -X[4488] + X[584] - X[5557] <= 0
model += -X[4488] - X[584] + X[5557] <= 0
model += -X[2237] + X[425] - X[7357] <= 0
model += -X[2237] - X[425] + X[7357] <= 0
model += X[2940] - X[6559] - X[5961] <= 0
model += X[2940] + X[6559] + X[5961] <= 2
model += X[1873] - X[7591] - X[6756] <= 0
model += X[1873] + X[7591] + X[6756] <= 2
model += -X[639] + X[1483] - X[5016] <= 0
model += -X[639] - X[1483] + X[5016] <= 0
model += X[5764] - X[2103] - X[4978] <= 0
model += X[5764] + X[2103] + X[4978] <= 2
model += -X[3423] + X[7630] - X[903] <= 0
model += -X[3423] - X[7630] + X[903] <= 0
model += X[2346] - X[1039] - X[3563] <= 0
model += X[2346] + X[1039] + X[3563] <= 2
model += X[1911] - X[2102] - X[5434] <= 0
model += X[1911] + X[2102] + X[5434] <= 2
model += -X[3556] + X[5347] - X[872] <= 0
model += -X[3556] - X[5347] + X[872] <= 0
model += X[3725] - X[5182] - X[1676] <= 0
model += X[3725] + X[5182] + X[1676] <= 2
model += X[5450] - X[6323] - X[5638] <= 0
model += X[5450] + X[6323] + X[5638] <= 2
model += X[5338] - X[1724] - X[3759] <= 0
model += X[5338] + X[1724] + X[3759] <= 2
model += -X[1504] + X[5811] - X[963] <= 0
model += -X[1504] - X[5811] + X[963] <= 0
model += X[7234] - X[7495] - X[4281] <= 0
model += X[7234] + X[7495] + X[4281] <= 2
model += X[5781] - X[3433] - X[7443] <= 0
model += X[5781] + X[3433] + X[7443] <= 2
model += X[3865] - X[7465] - X[2728] <= 0
model += X[3865] + X[7465] + X[2728] <= 2
model += X[4768] - X[2969] - X[3100] <= 0
model += X[4768] + X[2969] + X[3100] <= 2
model += X[3588] - X[4821] - X[2293] <= 0
model += X[3588] + X[4821] + X[2293] <= 2
model += X[7451] - X[1277] - X[2245] <= 0
model += X[7451] + X[1277] + X[2245] <= 2
model += -X[6706] + X[695] - X[4824] <= 0
model += -X[6706] - X[695] + X[4824] <= 0
model += -X[1121] + X[6095] - X[603] <= 0
model += -X[1121] - X[6095] + X[603] <= 0
model += X[3529] - X[4939] - X[4938] <= 0
model += X[3529] + X[4939] + X[4938] <= 2
model += -X[537] + X[3405] - X[1362] <= 0
model += -X[537] - X[3405] + X[1362] <= 0
model += -X[1023] + X[544] - X[3661] <= 0
model += -X[1023] - X[544] + X[3661] <= 0
model += -X[2784] + X[824] - X[2514] <= 0
model += -X[2784] - X[824] + X[2514] <= 0
model += -X[6690] + X[2450] - X[887] <= 0
model += -X[6690] - X[2450] + X[887] <= 0
model += X[5085] - X[3443] - X[6737] <= 0
model += X[5085] + X[3443] + X[6737] <= 2
model += X[5365] - X[2207] - X[1775] <= 0
model += X[5365] + X[2207] + X[1775] <= 2
model += X[7211] - X[4443] - X[6463] <= 0
model += X[7211] + X[4443] + X[6463] <= 2
model += X[2307] - X[3196] - X[1707] <= 0
model += X[2307] + X[3196] + X[1707] <= 2
model += X[1983] - X[7544] - X[2302] <= 0
model += X[1983] + X[7544] + X[2302] <= 2
model += X[6417] - X[2221] - X[5406] <= 0
model += X[6417] + X[2221] + X[5406] <= 2
model += X[1549] - X[4038] - X[6807] <= 0
model += X[1549] + X[4038] + X[6807] <= 2
model += X[5412] - X[5324] - X[2465] <= 0
model += X[5412] + X[5324] + X[2465] <= 2
model += X[4264] - X[5824] - X[2765] <= 0
model += X[4264] + X[5824] + X[2765] <= 2
model += X[2071] - X[5775] - X[2322] <= 0
model += X[2071] + X[5775] + X[2322] <= 2
model += X[1323] - X[1747] - X[1001] <= 0
model += X[1323] + X[1747] + X[1001] <= 2
model += -X[4796] + X[2377] - X[658] <= 0
model += -X[4796] - X[2377] + X[658] <= 0
model += X[5850] - X[3093] - X[6422] <= 0
model += X[5850] + X[3093] + X[6422] <= 2
model += -X[392] + X[7778] - X[2901] <= 0
model += -X[392] - X[7778] + X[2901] <= 0
model += -X[2536] + X[5843] - X[621] <= 0
model += -X[2536] - X[5843] + X[621] <= 0
model += -X[901] + X[4595] - X[6534] <= 0
model += -X[901] - X[4595] + X[6534] <= 0
model += -X[545] + X[6685] - X[4074] <= 0
model += -X[545] - X[6685] + X[4074] <= 0
model += X[2810] - X[2939] - X[3322] <= 0
model += X[2810] + X[2939] + X[3322] <= 2
model += X[5185] - X[7660] - X[7072] <= 0
model += X[5185] + X[7660] + X[7072] <= 2
model += X[4492] - X[2596] - X[4757] <= 0
model += X[4492] + X[2596] + X[4757] <= 2
model += X[1956] - X[7039] - X[5194] <= 0
model += X[1956] + X[7039] + X[5194] <= 2
model += X[7397] - X[3711] - X[3674] <= 0
model += X[7397] + X[3711] + X[3674] <= 2
model += X[3154] - X[5255] - X[5554] <= 0
model += X[3154] + X[5255] + X[5554] <= 2
model += -X[461] + X[3827] - X[7388] <= 0
model += -X[461] - X[3827] + X[7388] <= 0
model += -X[823] + X[1180] - X[5541] <= 0
model += -X[823] - X[1180] + X[5541] <= 0
model += X[4573] - X[3280] - X[6866] <= 0
model += X[4573] + X[3280] + X[6866] <= 2
model += -X[212] + X[7770] - X[1099] <= 0
model += -X[212] - X[7770] + X[1099] <= 0
model += X[1541] - X[3662] - X[6493] <= 0
model += X[1541] + X[3662] + X[6493] <= 2
model += X[3605] - X[7366] - X[4311] <= 0
model += X[3605] + X[7366] + X[4311] <= 2
model += -X[1564] + X[4151] - X[994] <= 0
model += -X[1564] - X[4151] + X[994] <= 0
model += X[6439] - X[1148] - X[4588] <= 0
model += X[6439] + X[1148] + X[4588] <= 2
model += X[6144] - X[4337] - X[5115] <= 0
model += X[6144] + X[4337] + X[5115] <= 2
model += X[2328] - X[4279] - X[3552] <= 0
model += X[2328] + X[4279] + X[3552] <= 2
model += X[5138] - X[2011] - X[2041] <= 0
model += X[5138] + X[2011] + X[2041] <= 2
model += X[3988] - X[3636] - X[5498] <= 0
model += X[3988] + X[3636] + X[5498] <= 2
model += X[7099] - X[5877] - X[6674] <= 0
model += X[7099] + X[5877] + X[6674] <= 2
model += -X[393] + X[3471] - X[6885] <= 0
model += -X[393] - X[3471] + X[6885] <= 0
model += -X[3169] + X[799] - X[6772] <= 0
model += -X[3169] - X[799] + X[6772] <= 0
model += X[1603] - X[1825] - X[6953] <= 0
model += X[1603] + X[1825] + X[6953] <= 2
model += X[5923] - X[4856] - X[5288] <= 0
model += X[5923] + X[4856] + X[5288] <= 2
model += -X[792] + X[7777] - X[6043] <= 0
model += -X[792] - X[7777] + X[6043] <= 0
model += X[5798] - X[6083] - X[7399] <= 0
model += X[5798] + X[6083] + X[7399] <= 2
model += X[6775] - X[2895] - X[5001] <= 0
model += X[6775] + X[2895] + X[5001] <= 2
model += -X[3388] + X[1088] - X[709] <= 0
model += -X[3388] - X[1088] + X[709] <= 0
model += X[4832] - X[5790] - X[3406] <= 0
model += X[4832] + X[5790] + X[3406] <= 2
model += X[5896] - X[2575] - X[5922] <= 0
model += X[5896] + X[2575] + X[5922] <= 2
model += X[1767] - X[5308] - X[7210] <= 0
model += X[1767] + X[5308] + X[7210] <= 2
model += X[2029] - X[5414] - X[5172] <= 0
model += X[2029] + X[5414] + X[5172] <= 2
model += X[7187] - X[2968] - X[4005] <= 0
model += X[7187] + X[2968] + X[4005] <= 2
model += X[3186] - X[2369] - X[7471] <= 0
model += X[3186] + X[2369] + X[7471] <= 2
model += -X[602] + X[1481] - X[6719] <= 0
model += -X[602] - X[1481] + X[6719] <= 0
model += X[7717] - X[7755] - X[7450] <= 0
model += X[7717] + X[7755] + X[7450] <= 2
model += X[1055] - X[6604] - X[5595] <= 0
model += X[1055] + X[6604] + X[5595] <= 2
model += -X[5028] + X[584] - X[7082] <= 0
model += -X[5028] - X[584] + X[7082] <= 0
model += -X[6514] + X[425] - X[2947] <= 0
model += -X[6514] - X[425] + X[2947] <= 0
model += X[5921] - X[6559] - X[7241] <= 0
model += X[5921] + X[6559] + X[7241] <= 2
model += X[1013] - X[7591] - X[2817] <= 0
model += X[1013] + X[7591] + X[2817] <= 2
model += X[7643] - X[1483] - X[2376] <= 0
model += X[7643] + X[1483] + X[2376] <= 2
model += X[3128] - X[2103] - X[5526] <= 0
model += X[3128] + X[2103] + X[5526] <= 2
model += X[7467] - X[7630] - X[5726] <= 0
model += X[7467] + X[7630] + X[5726] <= 2
model += X[5849] - X[1039] - X[7691] <= 0
model += X[5849] + X[1039] + X[7691] <= 2
model += -X[785] + X[2102] - X[4304] <= 0
model += -X[785] - X[2102] + X[4304] <= 0
model += -X[7346] + X[5347] - X[135] <= 0
model += -X[7346] - X[5347] + X[135] <= 0
model += X[4503] - X[5182] - X[5038] <= 0
model += X[4503] + X[5182] + X[5038] <= 2
model += X[2727] - X[6323] - X[5950] <= 0
model += X[2727] + X[6323] + X[5950] <= 2
model += X[6154] - X[1724] - X[3936] <= 0
model += X[6154] + X[1724] + X[3936] <= 2
model += -X[2229] + X[5811] - X[171] <= 0
model += -X[2229] - X[5811] + X[171] <= 0
model += -X[6505] + X[2969] - X[691] <= 0
model += -X[6505] - X[2969] + X[691] <= 0
model += X[4352] - X[4821] - X[3535] <= 0
model += X[4352] + X[4821] + X[3535] <= 2
model += X[2504] - X[1277] - X[5391] <= 0
model += X[2504] + X[1277] + X[5391] <= 2
model += X[5278] - X[5237] - X[1538] <= 0
model += X[5278] + X[5237] + X[1538] <= 2
model += X[3896] - X[7566] - X[5948] <= 0
model += X[3896] + X[7566] + X[5948] <= 2
model += -X[6602] + X[695] - X[5760] <= 0
model += -X[6602] - X[695] + X[5760] <= 0
model += X[5289] - X[6095] - X[7199] <= 0
model += X[5289] + X[6095] + X[7199] <= 2
model += X[1697] - X[4939] - X[1070] <= 0
model += X[1697] + X[4939] + X[1070] <= 2
model += -X[2675] + X[3405] - X[895] <= 0
model += -X[2675] - X[3405] + X[895] <= 0
model += -X[1621] + X[544] - X[1259] <= 0
model += -X[1621] - X[544] + X[1259] <= 0
model += -X[3540] + X[824] - X[6068] <= 0
model += -X[3540] - X[824] + X[6068] <= 0
model += -X[218] + X[2450] - X[5195] <= 0
model += -X[218] - X[2450] + X[5195] <= 0
model += X[3862] - X[3443] - X[3658] <= 0
model += X[3862] + X[3443] + X[3658] <= 2
model += X[6611] - X[2207] - X[1858] <= 0
model += X[6611] + X[2207] + X[1858] <= 2
model += X[5588] - X[4443] - X[6023] <= 0
model += X[5588] + X[4443] + X[6023] <= 2
model += -X[2161] + X[3196] - X[869] <= 0
model += -X[2161] - X[3196] + X[869] <= 0
model += X[7765] - X[7544] - X[7121] <= 0
model += X[7765] + X[7544] + X[7121] <= 2
model += X[4888] - X[2221] - X[3390] <= 0
model += X[4888] + X[2221] + X[3390] <= 2
model += X[5157] - X[4038] - X[5448] <= 0
model += X[5157] + X[4038] + X[5448] <= 2
model += X[4676] - X[5324] - X[6325] <= 0
model += X[4676] + X[5324] + X[6325] <= 2
model += X[3607] - X[5824] - X[2710] <= 0
model += X[3607] + X[5824] + X[2710] <= 2
model += X[4566] - X[5775] - X[4068] <= 0
model += X[4566] + X[5775] + X[4068] <= 2
model += X[6696] - X[2377] - X[6816] <= 0
model += X[6696] + X[2377] + X[6816] <= 2
model += X[4653] - X[3093] - X[2199] <= 0
model += X[4653] + X[3093] + X[2199] <= 2
model += X[2174] - X[7778] - X[3708] <= 0
model += X[2174] + X[7778] + X[3708] <= 2
model += X[1544] - X[5843] - X[1458] <= 0
model += X[1544] + X[5843] + X[1458] <= 2
model += X[4152] - X[4595] - X[4616] <= 0
model += X[4152] + X[4595] + X[4616] <= 2
model += X[3558] - X[6685] - X[4280] <= 0
model += X[3558] + X[6685] + X[4280] <= 2
model += X[7417] - X[2939] - X[4340] <= 0
model += X[7417] + X[2939] + X[4340] <= 2
model += X[2873] - X[7660] - X[1661] <= 0
model += X[2873] + X[7660] + X[1661] <= 2
model += -X[4474] + X[2596] - X[897] <= 0
model += -X[4474] - X[2596] + X[897] <= 0
model += -X[297] + X[7039] - X[3974] <= 0
model += -X[297] - X[7039] + X[3974] <= 0
model += X[6814] - X[3711] - X[5642] <= 0
model += X[6814] + X[3711] + X[5642] <= 2
model += X[2854] - X[5255] - X[1501] <= 0
model += X[2854] + X[5255] + X[1501] <= 2
model += X[5613] - X[3827] - X[4113] <= 0
model += X[5613] + X[3827] + X[4113] <= 2
model += X[3866] - X[1180] - X[2625] <= 0
model += X[3866] + X[1180] + X[2625] <= 2
model += X[5243] - X[3280] - X[7154] <= 0
model += X[5243] + X[3280] + X[7154] <= 2
model += -X[1392] + X[7770] - X[134] <= 0
model += -X[1392] - X[7770] + X[134] <= 0
model += X[1563] - X[3662] - X[6388] <= 0
model += X[1563] + X[3662] + X[6388] <= 2
model += X[4206] - X[7366] - X[5570] <= 0
model += X[4206] + X[7366] + X[5570] <= 2
model += X[7737] - X[4151] - X[5120] <= 0
model += X[7737] + X[4151] + X[5120] <= 2
model += X[1216] - X[1148] - X[2642] <= 0
model += X[1216] + X[1148] + X[2642] <= 2
model += X[4041] - X[4337] - X[4222] <= 0
model += X[4041] + X[4337] + X[4222] <= 2
model += X[6991] - X[6186] - X[7410] <= 0
model += X[6991] + X[6186] + X[7410] <= 2
model += -X[1184] + X[159] - X[4381] <= 0
model += -X[1184] - X[159] + X[4381] <= 0
model += X[7484] - X[3506] - X[1716] <= 0
model += X[7484] + X[3506] + X[1716] <= 2
model += X[6473] - X[7096] - X[6014] <= 0
model += X[6473] + X[7096] + X[6014] <= 2
model += X[3963] - X[3636] - X[2843] <= 0
model += X[3963] + X[3636] + X[2843] <= 2
model += X[4591] - X[5877] - X[7338] <= 0
model += X[4591] + X[5877] + X[7338] <= 2
model += -X[3055] + X[590] - X[5216] <= 0
model += -X[3055] - X[590] + X[5216] <= 0
model += -X[3212] + X[262] - X[2256] <= 0
model += -X[3212] - X[262] + X[2256] <= 0
model += -X[106] + X[3471] - X[1838] <= 0
model += -X[106] - X[3471] + X[1838] <= 0
model += X[2673] - X[1825] - X[4327] <= 0
model += X[2673] + X[1825] + X[4327] <= 2
model += X[7300] - X[7777] - X[5892] <= 0
model += X[7300] + X[7777] + X[5892] <= 2
model += -X[133] + X[6083] - X[1987] <= 0
model += -X[133] - X[6083] + X[1987] <= 0
model += -X[342] + X[2895] - X[5840] <= 0
model += -X[342] - X[2895] + X[5840] <= 0
model += X[6242] - X[1088] - X[4205] <= 0
model += X[6242] + X[1088] + X[4205] <= 2
model += X[3520] - X[5790] - X[5411] <= 0
model += X[3520] + X[5790] + X[5411] <= 2
model += -X[2917] + X[233] - X[2118] <= 0
model += -X[2917] - X[233] + X[2118] <= 0
model += X[1779] - X[2968] - X[4336] <= 0
model += X[1779] + X[2968] + X[4336] <= 2
model += X[7391] - X[2369] - X[6292] <= 0
model += X[7391] + X[2369] + X[6292] <= 2
model += X[7578] - X[1481] - X[2535] <= 0
model += X[7578] + X[1481] + X[2535] <= 2
model += -X[2559] + X[7755] - X[964] <= 0
model += -X[2559] - X[7755] + X[964] <= 0
model += X[6509] - X[6604] - X[1366] <= 0
model += X[6509] + X[6604] + X[1366] <= 2
model += -X[7705] + X[584] - X[7786] <= 0
model += -X[7705] - X[584] + X[7786] <= 0
model += -X[529] + X[6559] - X[4454] <= 0
model += -X[529] - X[6559] + X[4454] <= 0
model += X[5617] - X[7591] - X[3771] <= 0
model += X[5617] + X[7591] + X[3771] <= 2
model += X[2872] - X[1483] - X[7428] <= 0
model += X[2872] + X[1483] + X[7428] <= 2
model += X[4901] - X[2103] - X[4390] <= 0
model += X[4901] + X[2103] + X[4390] <= 2
model += X[6839] - X[7630] - X[6182] <= 0
model += X[6839] + X[7630] + X[6182] <= 2
model += -X[445] + X[1039] - X[3613] <= 0
model += -X[445] - X[1039] + X[3613] <= 0
model += X[6768] - X[2102] - X[4306] <= 0
model += X[6768] + X[2102] + X[4306] <= 2
model += X[6045] - X[5347] - X[5370] <= 0
model += X[6045] + X[5347] + X[5370] <= 2
model += X[1251] - X[5182] - X[5936] <= 0
model += X[1251] + X[5182] + X[5936] <= 2
model += X[3054] - X[6323] - X[4668] <= 0
model += X[3054] + X[6323] + X[4668] <= 2
model += X[2141] - X[1724] - X[4384] <= 0
model += X[2141] + X[1724] + X[4384] <= 2
model += X[5102] - X[5811] - X[6150] <= 0
model += X[5102] + X[5811] + X[6150] <= 2
model += X[1298] - X[2969] - X[4131] <= 0
model += X[1298] + X[2969] + X[4131] <= 2
model += X[6965] - X[4821] - X[1179] <= 0
model += X[6965] + X[4821] + X[1179] <= 2
model += X[4075] - X[1277] - X[6960] <= 0
model += X[4075] + X[1277] + X[6960] <= 2
model += -X[379] + X[5237] - X[1154] <= 0
model += -X[379] - X[5237] + X[1154] <= 0
model += X[4142] - X[7566] - X[1378] <= 0
model += X[4142] + X[7566] + X[1378] <= 2
model += -X[4698] + X[695] - X[5527] <= 0
model += -X[4698] - X[695] + X[5527] <= 0
model += -X[690] + X[6095] - X[3733] <= 0
model += -X[690] - X[6095] + X[3733] <= 0
model += X[7242] - X[4939] - X[3383] <= 0
model += X[7242] + X[4939] + X[3383] <= 2
model += -X[2027] + X[3405] - X[364] <= 0
model += -X[2027] - X[3405] + X[364] <= 0
model += -X[6797] + X[544] - X[5846] <= 0
model += -X[6797] - X[544] + X[5846] <= 0
model += -X[1810] + X[824] - X[7350] <= 0
model += -X[1810] - X[824] + X[7350] <= 0
model += X[6166] - X[2450] - X[6069] <= 0
model += X[6166] + X[2450] + X[6069] <= 2
model += X[1586] - X[3443] - X[6142] <= 0
model += X[1586] + X[3443] + X[6142] <= 2
model += X[7378] - X[2207] - X[6185] <= 0
model += X[7378] + X[2207] + X[6185] <= 2
model += -X[610] + X[4443] - X[1217] <= 0
model += -X[610] - X[4443] + X[1217] <= 0
model += X[1368] - X[3196] - X[4086] <= 0
model += X[1368] + X[3196] + X[4086] <= 2
model += X[1077] - X[7544] - X[3667] <= 0
model += X[1077] + X[7544] + X[3667] <= 2
model += X[4546] - X[2221] - X[3314] <= 0
model += X[4546] + X[2221] + X[3314] <= 2
model += X[1082] - X[5324] - X[1618] <= 0
model += X[1082] + X[5324] + X[1618] <= 2
model += X[3722] - X[5824] - X[4449] <= 0
model += X[3722] + X[5824] + X[4449] <= 2
model += X[5087] - X[5775] - X[2217] <= 0
model += X[5087] + X[5775] + X[2217] <= 2
model += X[7348] - X[1747] - X[3202] <= 0
model += X[7348] + X[1747] + X[3202] <= 2
model += X[2354] - X[2377] - X[2779] <= 0
model += X[2354] + X[2377] + X[2779] <= 2
model += X[2057] - X[3093] - X[4929] <= 0
model += X[2057] + X[3093] + X[4929] <= 2
model += X[1272] - X[7778] - X[1598] <= 0
model += X[1272] + X[7778] + X[1598] <= 2
model += -X[4570] + X[3528] - X[162] <= 0
model += -X[4570] - X[3528] + X[162] <= 0
model += X[7550] - X[1791] - X[5483] <= 0
model += X[7550] + X[1791] + X[5483] <= 2
model += X[3167] - X[6270] - X[3915] <= 0
model += X[3167] + X[6270] + X[3915] <= 2
model += -X[4586] + X[307] - X[7535] <= 0
model += -X[4586] - X[307] + X[7535] <= 0
model += X[7159] - X[4595] - X[4872] <= 0
model += X[7159] + X[4595] + X[4872] <= 2
model += X[5776] - X[6685] - X[7767] <= 0
model += X[5776] + X[6685] + X[7767] <= 2
model += X[6694] - X[2939] - X[5062] <= 0
model += X[6694] + X[2939] + X[5062] <= 2
model += X[7676] - X[7660] - X[4211] <= 0
model += X[7676] + X[7660] + X[4211] <= 2
model += -X[2830] + X[2596] - X[863] <= 0
model += -X[2830] - X[2596] + X[863] <= 0
model += X[3232] - X[7039] - X[3189] <= 0
model += X[3232] + X[7039] + X[3189] <= 2
model += X[5242] - X[3711] - X[1942] <= 0
model += X[5242] + X[3711] + X[1942] <= 2
model += X[5031] - X[5255] - X[3089] <= 0
model += X[5031] + X[5255] + X[3089] <= 2
model += X[1680] - X[3827] - X[1315] <= 0
model += X[1680] + X[3827] + X[1315] <= 2
model += X[4648] - X[1180] - X[6181] <= 0
model += X[4648] + X[1180] + X[6181] <= 2
model += -X[5005] + X[3280] - X[850] <= 0
model += -X[5005] - X[3280] + X[850] <= 0
model += X[2347] - X[7770] - X[2135] <= 0
model += X[2347] + X[7770] + X[2135] <= 2
model += X[1388] - X[3662] - X[1264] <= 0
model += X[1388] + X[3662] + X[1264] <= 2
model += X[1606] - X[7366] - X[5777] <= 0
model += X[1606] + X[7366] + X[5777] <= 2
model += -X[6528] + X[159] - X[5706] <= 0
model += -X[6528] - X[159] + X[5706] <= 0
model += -X[776] + X[3506] - X[7181] <= 0
model += -X[776] - X[3506] + X[7181] <= 0
model += X[6623] - X[7096] - X[6851] <= 0
model += X[6623] + X[7096] + X[6851] <= 2
model += -X[3083] + X[2011] - X[220] <= 0
model += -X[3083] - X[2011] + X[220] <= 0
model += X[6074] - X[3636] - X[5164] <= 0
model += X[6074] + X[3636] + X[5164] <= 2
model += X[5059] - X[5877] - X[5021] <= 0
model += X[5059] + X[5877] + X[5021] <= 2
model += -X[1511] + X[590] - X[6326] <= 0
model += -X[1511] - X[590] + X[6326] <= 0
model += -X[2818] + X[262] - X[5671] <= 0
model += -X[2818] - X[262] + X[5671] <= 0
model += -X[6806] + X[3471] - X[546] <= 0
model += -X[6806] - X[3471] + X[546] <= 0
model += X[3411] - X[1825] - X[5660] <= 0
model += X[3411] + X[1825] + X[5660] <= 2
model += X[6681] - X[4856] - X[2435] <= 0
model += X[6681] + X[4856] + X[2435] <= 2
model += X[3983] - X[7777] - X[4545] <= 0
model += X[3983] + X[7777] + X[4545] <= 2
model += -X[822] + X[6083] - X[6574] <= 0
model += -X[822] - X[6083] + X[6574] <= 0
model += X[4555] - X[2895] - X[5064] <= 0
model += X[4555] + X[2895] + X[5064] <= 2
model += -X[6173] + X[1088] - X[434] <= 0
model += -X[6173] - X[1088] + X[434] <= 0
model += X[6004] - X[5790] - X[1244] <= 0
model += X[6004] + X[5790] + X[1244] <= 2
model += -X[4645] + X[233] - X[6933] <= 0
model += -X[4645] - X[233] + X[6933] <= 0
model += X[6179] - X[2968] - X[5984] <= 0
model += X[6179] + X[2968] + X[5984] <= 2
model += X[5994] - X[2369] - X[4415] <= 0
model += X[5994] + X[2369] + X[4415] <= 2
model += X[7788] - X[1481] - X[2106] <= 0
model += X[7788] + X[1481] + X[2106] <= 2
model += X[2441] - X[7755] - X[4943] <= 0
model += X[2441] + X[7755] + X[4943] <= 2
model += X[7735] - X[6604] - X[2544] <= 0
model += X[7735] + X[6604] + X[2544] <= 2
model += -X[7301] + X[584] - X[4309] <= 0
model += -X[7301] - X[584] + X[4309] <= 0
model += -X[3893] + X[425] - X[4023] <= 0
model += -X[3893] - X[425] + X[4023] <= 0
model += -X[906] + X[6559] - X[2647] <= 0
model += -X[906] - X[6559] + X[2647] <= 0
model += X[4355] - X[7591] - X[7531] <= 0
model += X[4355] + X[7591] + X[7531] <= 2
model += X[5779] - X[1483] - X[1158] <= 0
model += X[5779] + X[1483] + X[1158] <= 2
model += X[3091] - X[2103] - X[1028] <= 0
model += X[3091] + X[2103] + X[1028] <= 2
model += X[2321] - X[7630] - X[3209] <= 0
model += X[2321] + X[7630] + X[3209] <= 2
model += X[5987] - X[1039] - X[1733] <= 0
model += X[5987] + X[1039] + X[1733] <= 2
model += X[6338] - X[2102] - X[6158] <= 0
model += X[6338] + X[2102] + X[6158] <= 2
model += -X[7128] + X[5347] - X[568] <= 0
model += -X[7128] - X[5347] + X[568] <= 0
model += X[1337] - X[5182] - X[1679] <= 0
model += X[1337] + X[5182] + X[1679] <= 2
model += X[2880] - X[6323] - X[1203] <= 0
model += X[2880] + X[6323] + X[1203] <= 2
model += X[1497] - X[1724] - X[7678] <= 0
model += X[1497] + X[1724] + X[7678] <= 2
model += X[1116] - X[5811] - X[4136] <= 0
model += X[1116] + X[5811] + X[4136] <= 2
model += -X[7324] + X[2969] - X[404] <= 0
model += -X[7324] - X[2969] + X[404] <= 0
model += -X[660] + X[4821] - X[1799] <= 0
model += -X[660] - X[4821] + X[1799] <= 0
model += -X[886] + X[1277] - X[3958] <= 0
model += -X[886] - X[1277] + X[3958] <= 0
model += X[5736] - X[5237] - X[1200] <= 0
model += X[5736] + X[5237] + X[1200] <= 2
model += X[2729] - X[7566] - X[2022] <= 0
model += X[2729] + X[7566] + X[2022] <= 2
model += -X[5334] + X[695] - X[2193] <= 0
model += -X[5334] - X[695] + X[2193] <= 0
model += X[4209] - X[6095] - X[6680] <= 0
model += X[4209] + X[6095] + X[6680] <= 2
model += X[5358] - X[3324] - X[2731] <= 0
model += X[5358] + X[3324] + X[2731] <= 2
model += X[5236] - X[6226] - X[5350] <= 0
model += X[5236] + X[6226] + X[5350] <= 2
model += -X[3676] + X[386] - X[4422] <= 0
model += -X[3676] - X[386] + X[4422] <= 0
model += X[6024] - X[3405] - X[7387] <= 0
model += X[6024] + X[3405] + X[7387] <= 2
model += -X[2087] + X[544] - X[3163] <= 0
model += -X[2087] - X[544] + X[3163] <= 0
model += X[7349] - X[2450] - X[2516] <= 0
model += X[7349] + X[2450] + X[2516] <= 2
model += -X[5153] + X[3443] - X[582] <= 0
model += -X[5153] - X[3443] + X[582] <= 0
model += X[2626] - X[2207] - X[2015] <= 0
model += X[2626] + X[2207] + X[2015] <= 2
model += X[6146] - X[4443] - X[4416] <= 0
model += X[6146] + X[4443] + X[4416] <= 2
model += X[6206] - X[3196] - X[5193] <= 0
model += X[6206] + X[3196] + X[5193] <= 2
model += X[2641] - X[7544] - X[4223] <= 0
model += X[2641] + X[7544] + X[4223] <= 2
model += X[4083] - X[2221] - X[7565] <= 0
model += X[4083] + X[2221] + X[7565] <= 2
model += -X[6627] + X[4038] - X[458] <= 0
model += -X[6627] - X[4038] + X[458] <= 0
model += X[1569] - X[5324] - X[7049] <= 0
model += X[1569] + X[5324] + X[7049] <= 2
model += X[1878] - X[5824] - X[3743] <= 0
model += X[1878] + X[5824] + X[3743] <= 2
model += X[4301] - X[5775] - X[6513] <= 0
model += X[4301] + X[5775] + X[6513] <= 2
model += X[3213] - X[1747] - X[1802] <= 0
model += X[3213] + X[1747] + X[1802] <= 2
model += X[3105] - X[3528] - X[5827] <= 0
model += X[3105] + X[3528] + X[5827] <= 2
model += X[4791] - X[1791] - X[5175] <= 0
model += X[4791] + X[1791] + X[5175] <= 2
model += X[4445] - X[6270] - X[6641] <= 0
model += X[4445] + X[6270] + X[6641] <= 2
model += -X[1249] + X[307] - X[5710] <= 0
model += -X[1249] - X[307] + X[5710] <= 0
model += X[2247] - X[4595] - X[5281] <= 0
model += X[2247] + X[4595] + X[5281] <= 2
model += X[1151] - X[6685] - X[4193] <= 0
model += X[1151] + X[6685] + X[4193] <= 2
model += X[3039] - X[2939] - X[7523] <= 0
model += X[3039] + X[2939] + X[7523] <= 2
model += -X[194] + X[7660] - X[7726] <= 0
model += -X[194] - X[7660] + X[7726] <= 0
model += X[3976] - X[2596] - X[4727] <= 0
model += X[3976] + X[2596] + X[4727] <= 2
model += -X[7323] + X[3711] - X[991] <= 0
model += -X[7323] - X[3711] + X[991] <= 0
model += X[1845] - X[5255] - X[1404] <= 0
model += X[1845] + X[5255] + X[1404] <= 2
model += X[5249] - X[3827] - X[4684] <= 0
model += X[5249] + X[3827] + X[4684] <= 2
model += X[4721] - X[1180] - X[4423] <= 0
model += X[4721] + X[1180] + X[4423] <= 2
model += X[2357] - X[3280] - X[4163] <= 0
model += X[2357] + X[3280] + X[4163] <= 2
model += X[4534] - X[7770] - X[3366] <= 0
model += X[4534] + X[7770] + X[3366] <= 2
model += -X[203] + X[3662] - X[6653] <= 0
model += -X[203] - X[3662] + X[6653] <= 0
model += X[3078] - X[7366] - X[7433] <= 0
model += X[3078] + X[7366] + X[7433] <= 2
model += X[3960] - X[6186] - X[1672] <= 0
model += X[3960] + X[6186] + X[1672] <= 2
model += -X[7283] + X[159] - X[3110] <= 0
model += -X[7283] - X[159] + X[3110] <= 0
model += X[5389] - X[3506] - X[7255] <= 0
model += X[5389] + X[3506] + X[7255] <= 2
model += -X[2171] + X[7096] - X[852] <= 0
model += -X[2171] - X[7096] + X[852] <= 0
model += -X[6573] + X[2011] - X[521] <= 0
model += -X[6573] - X[2011] + X[521] <= 0
model += -X[701] + X[3636] - X[3505] <= 0
model += -X[701] - X[3636] + X[3505] <= 0
model += -X[2737] + X[5877] - X[370] <= 0
model += -X[2737] - X[5877] + X[370] <= 0
model += -X[3265] + X[262] - X[3441] <= 0
model += -X[3265] - X[262] + X[3441] <= 0
model += X[7120] - X[3471] - X[1528] <= 0
model += X[7120] + X[3471] + X[1528] <= 2
model += -X[6305] + X[799] - X[1981] <= 0
model += -X[6305] - X[799] + X[1981] <= 0
model += X[7597] - X[1825] - X[1305] <= 0
model += X[7597] + X[1825] + X[1305] <= 2
model += X[5225] - X[4856] - X[3838] <= 0
model += X[5225] + X[4856] + X[3838] <= 2
model += -X[5049] + X[7777] - X[466] <= 0
model += -X[5049] - X[7777] + X[466] <= 0
model += X[7593] - X[6083] - X[6877] <= 0
model += X[7593] + X[6083] + X[6877] <= 2
model += X[1442] - X[2895] - X[6267] <= 0
model += X[1442] + X[2895] + X[6267] <= 2
model += X[6501] - X[1088] - X[5631] <= 0
model += X[6501] + X[1088] + X[5631] <= 2
model += X[5317] - X[5790] - X[1125] <= 0
model += X[5317] + X[5790] + X[1125] <= 2
model += -X[2351] + X[233] - X[6675] <= 0
model += -X[2351] - X[233] + X[6675] <= 0
model += X[2196] - X[2968] - X[7085] <= 0
model += X[2196] + X[2968] + X[7085] <= 2
model += X[3812] - X[2369] - X[4347] <= 0
model += X[3812] + X[2369] + X[4347] <= 2
model += -X[5559] + X[7755] - X[575] <= 0
model += -X[5559] - X[7755] + X[575] <= 0
model += X[2556] - X[6604] - X[5635] <= 0
model += X[2556] + X[6604] + X[5635] <= 2
model += -X[2515] + X[584] - X[7313] <= 0
model += -X[2515] - X[584] + X[7313] <= 0
model += -X[4874] + X[425] - X[5680] <= 0
model += -X[4874] - X[425] + X[5680] <= 0
model += X[5133] - X[1856] - X[5980] <= 0
model += X[5133] + X[1856] + X[5980] <= 2
model += X[2430] - X[7538] - X[5754] <= 0
model += X[2430] + X[7538] + X[5754] <= 2
model += X[2208] - X[7303] - X[3954] <= 0
model += X[2208] + X[7303] + X[3954] <= 2
model += X[4985] - X[4253] - X[6784] <= 0
model += X[4985] + X[4253] + X[6784] <= 2
model += X[6483] - X[7591] - X[3268] <= 0
model += X[6483] + X[7591] + X[3268] <= 2
model += -X[143] + X[1483] - X[6335] <= 0
model += -X[143] - X[1483] + X[6335] <= 0
model += X[5393] - X[2103] - X[5135] <= 0
model += X[5393] + X[2103] + X[5135] <= 2
model += X[7257] - X[7630] - X[3714] <= 0
model += X[7257] + X[7630] + X[3714] <= 2
model += X[1049] - X[1039] - X[4009] <= 0
model += X[1049] + X[1039] + X[4009] <= 2
model += X[3598] - X[2102] - X[5199] <= 0
model += X[3598] + X[2102] + X[5199] <= 2
model += X[2387] - X[5182] - X[4476] <= 0
model += X[2387] + X[5182] + X[4476] <= 2
model += -X[3973] + X[6323] - X[204] <= 0
model += -X[3973] - X[6323] + X[204] <= 0
model += X[5867] - X[1724] - X[7309] <= 0
model += X[5867] + X[1724] + X[7309] <= 2
model += X[1921] - X[5811] - X[1046] <= 0
model += X[1921] + X[5811] + X[1046] <= 2
model += X[2335] - X[2969] - X[6119] <= 0
model += X[2335] + X[2969] + X[6119] <= 2
model += X[3229] - X[4821] - X[6530] <= 0
model += X[3229] + X[4821] + X[6530] <= 2
model += X[4878] - X[5237] - X[4998] <= 0
model += X[4878] + X[5237] + X[4998] <= 2
model += X[3374] - X[3324] - X[5665] <= 0
model += X[3374] + X[3324] + X[5665] <= 2
model += X[7607] - X[6226] - X[7758] <= 0
model += X[7607] + X[6226] + X[7758] <= 2
model += -X[7247] + X[386] - X[4543] <= 0
model += -X[7247] - X[386] + X[4543] <= 0
model += X[2871] - X[7491] - X[1122] <= 0
model += X[2871] + X[7491] + X[1122] <= 2
model += X[2115] - X[3405] - X[7610] <= 0
model += X[2115] + X[3405] + X[7610] <= 2
model += -X[3849] + X[544] - X[5977] <= 0
model += -X[3849] - X[544] + X[5977] <= 0
model += X[7061] - X[2450] - X[7430] <= 0
model += X[7061] + X[2450] + X[7430] <= 2
model += X[3887] - X[3443] - X[4919] <= 0
model += X[3887] + X[3443] + X[4919] <= 2
model += -X[3008] + X[2207] - X[600] <= 0
model += -X[3008] - X[2207] + X[600] <= 0
model += X[1656] - X[4443] - X[3204] <= 0
model += X[1656] + X[4443] + X[3204] <= 2
model += -X[719] + X[3196] - X[1101] <= 0
model += -X[719] - X[3196] + X[1101] <= 0
model += X[4599] - X[7544] - X[5232] <= 0
model += X[4599] + X[7544] + X[5232] <= 2
model += X[7745] - X[2221] - X[1699] <= 0
model += X[7745] + X[2221] + X[1699] <= 2
model += X[6370] - X[4038] - X[5004] <= 0
model += X[6370] + X[4038] + X[5004] <= 2
model += X[3783] - X[5324] - X[2595] <= 0
model += X[3783] + X[5324] + X[2595] <= 2
model += -X[4531] + X[5824] - X[323] <= 0
model += -X[4531] - X[5824] + X[323] <= 0
model += X[4699] - X[5775] - X[3815] <= 0
model += X[4699] + X[5775] + X[3815] <= 2
model += X[6141] - X[1791] - X[7483] <= 0
model += X[6141] + X[1791] + X[7483] <= 2
model += X[3513] - X[6270] - X[5610] <= 0
model += X[3513] + X[6270] + X[5610] <= 2
model += -X[3013] + X[4595] - X[653] <= 0
model += -X[3013] - X[4595] + X[653] <= 0
model += X[1663] - X[6685] - X[2061] <= 0
model += X[1663] + X[6685] + X[2061] <= 2
model += X[1734] - X[2939] - X[6607] <= 0
model += X[1734] + X[2939] + X[6607] <= 2
model += X[4891] - X[7660] - X[4641] <= 0
model += X[4891] + X[7660] + X[4641] <= 2
model += X[6614] - X[2596] - X[1190] <= 0
model += X[6614] + X[2596] + X[1190] <= 2
model += X[2827] - X[7039] - X[5112] <= 0
model += X[2827] + X[7039] + X[5112] <= 2
model += X[2811] - X[3711] - X[5996] <= 0
model += X[2811] + X[3711] + X[5996] <= 2
model += -X[4724] + X[5255] - X[437] <= 0
model += -X[4724] - X[5255] + X[437] <= 0
model += X[1829] - X[3827] - X[3028] <= 0
model += X[1829] + X[3827] + X[3028] <= 2
model += X[2799] - X[1180] - X[2716] <= 0
model += X[2799] + X[1180] + X[2716] <= 2
model += X[7353] - X[3280] - X[2371] <= 0
model += X[7353] + X[3280] + X[2371] <= 2
model += -X[209] + X[7770] - X[3727] <= 0
model += -X[209] - X[7770] + X[3727] <= 0
model += X[2997] - X[3662] - X[5022] <= 0
model += X[2997] + X[3662] + X[5022] <= 2
model += X[5899] - X[7366] - X[5152] <= 0
model += X[5899] + X[7366] + X[5152] <= 2
model += X[3634] - X[6186] - X[4701] <= 0
model += X[3634] + X[6186] + X[4701] <= 2
model += -X[1605] + X[159] - X[6223] <= 0
model += -X[1605] - X[159] + X[6223] <= 0
model += X[7689] - X[3506] - X[6192] <= 0
model += X[7689] + X[3506] + X[6192] <= 2
model += X[2986] - X[7096] - X[5387] <= 0
model += X[2986] + X[7096] + X[5387] <= 2
model += X[3618] - X[2011] - X[6228] <= 0
model += X[3618] + X[2011] + X[6228] <= 2
model += -X[7141] + X[3636] - X[137] <= 0
model += -X[7141] - X[3636] + X[137] <= 0
model += X[5145] - X[5877] - X[1610] <= 0
model += X[5145] + X[5877] + X[1610] <= 2
model += X[5569] - X[5294] - X[3121] <= 0
model += X[5569] + X[5294] + X[3121] <= 2
model += X[3879] - X[4542] - X[7628] <= 0
model += X[3879] + X[4542] + X[7628] <= 2
model += X[1117] - X[6740] - X[6590] <= 0
model += X[1117] + X[6740] + X[6590] <= 2
model += X[2413] - X[3519] - X[4683] <= 0
model += X[2413] + X[3519] + X[4683] <= 2
model += -X[5677] + X[262] - X[4574] <= 0
model += -X[5677] - X[262] + X[4574] <= 0
model += X[1817] - X[3471] - X[7305] <= 0
model += X[1817] + X[3471] + X[7305] <= 2
model += -X[1622] + X[799] - X[5690] <= 0
model += -X[1622] - X[799] + X[5690] <= 0
model += -X[637] + X[4856] - X[4299] <= 0
model += -X[637] - X[4856] + X[4299] <= 0
model += X[1019] - X[7777] - X[4848] <= 0
model += X[1019] + X[7777] + X[4848] <= 2
model += X[1507] - X[6083] - X[3819] <= 0
model += X[1507] + X[6083] + X[3819] <= 2
model += X[5427] - X[1088] - X[6637] <= 0
model += X[5427] + X[1088] + X[6637] <= 2
model += X[2179] - X[5790] - X[7721] <= 0
model += X[2179] + X[5790] + X[7721] <= 2
model += -X[3946] + X[233] - X[5816] <= 0
model += -X[3946] - X[233] + X[5816] <= 0
model += -X[7426] + X[2968] - X[372] <= 0
model += -X[7426] - X[2968] + X[372] <= 0
model += X[3832] - X[2369] - X[1798] <= 0
model += X[3832] + X[2369] + X[1798] <= 2
model += X[1437] - X[1481] - X[2809] <= 0
model += X[1437] + X[1481] + X[2809] <= 2
model += X[2003] - X[7755] - X[5770] <= 0
model += X[2003] + X[7755] + X[5770] <= 2
model += X[1743] - X[1856] - X[6064] <= 0
model += X[1743] + X[1856] + X[6064] <= 2
model += X[6458] - X[7538] - X[2543] <= 0
model += X[6458] + X[7538] + X[2543] <= 2
model += X[2649] - X[7303] - X[4483] <= 0
model += X[2649] + X[7303] + X[4483] <= 2
model += X[5018] - X[4253] - X[2859] <= 0
model += X[5018] + X[4253] + X[2859] <= 2
model += X[7233] - X[7591] - X[1924] <= 0
model += X[7233] + X[7591] + X[1924] <= 2
model += X[3479] - X[1483] - X[2844] <= 0
model += X[3479] + X[1483] + X[2844] <= 2
model += -X[703] + X[2103] - X[1280] <= 0
model += -X[703] - X[2103] + X[1280] <= 0
model += X[5043] - X[7630] - X[3792] <= 0
model += X[5043] + X[7630] + X[3792] <= 2
model += X[5578] - X[1039] - X[7275] <= 0
model += X[5578] + X[1039] + X[7275] <= 2
model += X[7489] - X[2102] - X[3932] <= 0
model += X[7489] + X[2102] + X[3932] <= 2
model += -X[661] + X[5347] - X[3006] <= 0
model += -X[661] - X[5347] + X[3006] <= 0
model += X[4960] - X[5182] - X[3880] <= 0
model += X[4960] + X[5182] + X[3880] <= 2
model += X[5296] - X[6323] - X[2278] <= 0
model += X[5296] + X[6323] + X[2278] <= 2
model += X[2160] - X[1724] - X[5356] <= 0
model += X[2160] + X[1724] + X[5356] <= 2
model += X[2525] - X[5811] - X[2976] <= 0
model += X[2525] + X[5811] + X[2976] <= 2
model += X[1468] - X[2969] - X[6734] <= 0
model += X[1468] + X[2969] + X[6734] <= 2
model += X[6250] - X[4821] - X[3927] <= 0
model += X[6250] + X[4821] + X[3927] <= 2
model += X[5561] - X[1277] - X[2694] <= 0
model += X[5561] + X[1277] + X[2694] <= 2
model += -X[5134] + X[5237] - X[291] <= 0
model += -X[5134] - X[5237] + X[291] <= 0
model += -X[836] + X[3324] - X[7594] <= 0
model += -X[836] - X[3324] + X[7594] <= 0
model += -X[4972] + X[6226] - X[570] <= 0
model += -X[4972] - X[6226] + X[570] <= 0
model += -X[2560] + X[7491] - X[988] <= 0
model += -X[2560] - X[7491] + X[988] <= 0
model += X[3445] - X[3405] - X[1647] <= 0
model += X[3445] + X[3405] + X[1647] <= 2
model += -X[4991] + X[544] - X[7060] <= 0
model += -X[4991] - X[544] + X[7060] <= 0
model += -X[3129] + X[824] - X[1413] <= 0
model += -X[3129] - X[824] + X[1413] <= 0
model += X[6337] - X[2450] - X[4324] <= 0
model += X[6337] + X[2450] + X[4324] <= 2
model += X[7690] - X[3443] - X[1886] <= 0
model += X[7690] + X[3443] + X[1886] <= 2
model += -X[3697] + X[2207] - X[224] <= 0
model += -X[3697] - X[2207] + X[224] <= 0
model += X[2358] - X[4443] - X[5911] <= 0
model += X[2358] + X[4443] + X[5911] <= 2
model += X[7331] - X[3196] - X[1619] <= 0
model += X[7331] + X[3196] + X[1619] <= 2
model += X[5765] - X[7544] - X[2950] <= 0
model += X[5765] + X[7544] + X[2950] <= 2
model += X[6914] - X[2221] - X[6686] <= 0
model += X[6914] + X[2221] + X[6686] <= 2
model += X[5371] - X[4038] - X[4341] <= 0
model += X[5371] + X[4038] + X[4341] <= 2
model += -X[275] + X[5324] - X[2899] <= 0
model += -X[275] - X[5324] + X[2899] <= 0
model += X[7069] - X[5824] - X[4284] <= 0
model += X[7069] + X[5824] + X[4284] <= 2
model += X[1440] - X[5775] - X[4321] <= 0
model += X[1440] + X[5775] + X[4321] <= 2
model += X[7712] - X[1747] - X[6082] <= 0
model += X[7712] + X[1747] + X[6082] <= 2
model += -X[216] + X[3528] - X[4101] <= 0
model += -X[216] - X[3528] + X[4101] <= 0
model += X[6560] - X[1791] - X[6254] <= 0
model += X[6560] + X[1791] + X[6254] <= 2
model += X[5285] - X[6270] - X[6785] <= 0
model += X[5285] + X[6270] + X[6785] <= 2
model += X[5390] - X[4595] - X[3559] <= 0
model += X[5390] + X[4595] + X[3559] <= 2
model += X[6584] - X[6685] - X[7315] <= 0
model += X[6584] + X[6685] + X[7315] <= 2
model += X[1785] - X[2939] - X[5415] <= 0
model += X[1785] + X[2939] + X[5415] <= 2
model += X[6811] - X[7766] - X[5177] <= 0
model += X[6811] + X[7766] + X[5177] <= 2
model += X[5596] - X[6293] - X[1565] <= 0
model += X[5596] + X[6293] + X[1565] <= 2
model += X[6383] - X[5246] - X[5964] <= 0
model += X[6383] + X[5246] + X[5964] <= 2
model += -X[5423] + X[5075] - X[899] <= 0
model += -X[5423] - X[5075] + X[899] <= 0
model += X[2883] - X[2596] - X[4519] <= 0
model += X[2883] + X[2596] + X[4519] <= 2
model += X[2934] - X[7039] - X[6367] <= 0
model += X[2934] + X[7039] + X[6367] <= 2
model += X[5111] - X[3711] - X[3920] <= 0
model += X[5111] + X[3711] + X[3920] <= 2
model += X[3325] - X[5255] - X[5363] <= 0
model += X[3325] + X[5255] + X[5363] <= 2
model += X[2231] - X[3827] - X[5132] <= 0
model += X[2231] + X[3827] + X[5132] <= 2
model += X[5985] - X[1180] - X[1304] <= 0
model += X[5985] + X[1180] + X[1304] <= 2
model += -X[7291] + X[3280] - X[102] <= 0
model += -X[7291] - X[3280] + X[102] <= 0
model += X[1172] - X[7770] - X[3823] <= 0
model += X[1172] + X[7770] + X[3823] <= 2
model += X[1542] - X[3662] - X[5328] <= 0
model += X[1542] + X[3662] + X[5328] <= 2
model += X[2258] - X[7366] - X[3216] <= 0
model += X[2258] + X[7366] + X[3216] <= 2
model += X[1628] - X[6186] - X[3361] <= 0
model += X[1628] + X[6186] + X[3361] <= 2
model += -X[7293] + X[159] - X[1766] <= 0
model += -X[7293] - X[159] + X[1766] <= 0
model += X[5763] - X[3506] - X[1387] <= 0
model += X[5763] + X[3506] + X[1387] <= 2
model += X[2898] - X[7096] - X[3800] <= 0
model += X[2898] + X[7096] + X[3800] <= 2
model += X[5743] - X[5294] - X[5037] <= 0
model += X[5743] + X[5294] + X[5037] <= 2
model += X[1422] - X[4542] - X[1750] <= 0
model += X[1422] + X[4542] + X[1750] <= 2
model += X[6000] - X[6740] - X[3809] <= 0
model += X[6000] + X[6740] + X[3809] <= 2
model += X[1971] - X[3519] - X[4241] <= 0
model += X[1971] + X[3519] + X[4241] <= 2
model += -X[3065] + X[262] - X[4792] <= 0
model += -X[3065] - X[262] + X[4792] <= 0
model += X[1691] - X[3471] - X[5812] <= 0
model += X[1691] + X[3471] + X[5812] <= 2
model += -X[4592] + X[799] - X[3890] <= 0
model += -X[4592] - X[799] + X[3890] <= 0
model += -X[704] + X[1825] - X[6934] <= 0
model += -X[704] - X[1825] + X[6934] <= 0
model += X[4974] - X[4856] - X[6918] <= 0
model += X[4974] + X[4856] + X[6918] <= 2
model += X[6407] - X[7777] - X[2297] <= 0
model += X[6407] + X[7777] + X[2297] <= 2
model += X[5220] - X[6083] - X[5621] <= 0
model += X[5220] + X[6083] + X[5621] <= 2
model += X[5035] - X[2895] - X[6125] <= 0
model += X[5035] + X[2895] + X[6125] <= 2
model += X[4871] - X[1088] - X[1033] <= 0
model += X[4871] + X[1088] + X[1033] <= 2
model += X[2084] - X[5790] - X[4437] <= 0
model += X[2084] + X[5790] + X[4437] <= 2
model += -X[2225] + X[233] - X[4053] <= 0
model += -X[2225] - X[233] + X[4053] <= 0
model += X[5761] - X[2968] - X[1918] <= 0
model += X[5761] + X[2968] + X[1918] <= 2
model += -X[656] + X[2369] - X[7288] <= 0
model += -X[656] - X[2369] + X[7288] <= 0
model += X[1763] - X[1481] - X[7365] <= 0
model += X[1763] + X[1481] + X[7365] <= 2
model += -X[5699] + X[7755] - X[851] <= 0
model += -X[5699] - X[7755] + X[851] <= 0
model += -X[663] + X[1856] - X[7473] <= 0
model += -X[663] - X[1856] + X[7473] <= 0
model += X[1717] - X[7538] - X[5377] <= 0
model += X[1717] + X[7538] + X[5377] <= 2
model += X[3991] - X[7303] - X[3348] <= 0
model += X[3991] + X[7303] + X[3348] <= 2
model += X[5906] - X[4253] - X[2628] <= 0
model += X[5906] + X[4253] + X[2628] <= 2
model += -X[3408] + X[7591] - X[279] <= 0
model += -X[3408] - X[7591] + X[279] <= 0
model += X[1935] - X[1483] - X[3153] <= 0
model += X[1935] + X[1483] + X[3153] <= 2
model += -X[7354] + X[2103] - X[938] <= 0
model += -X[7354] - X[2103] + X[938] <= 0
model += X[6123] - X[7630] - X[3038] <= 0
model += X[6123] + X[7630] + X[3038] <= 2
model += -X[6601] + X[1039] - X[706] <= 0
model += -X[6601] - X[1039] + X[706] <= 0
model += X[6970] - X[2102] - X[1081] <= 0
model += X[6970] + X[2102] + X[1081] <= 2
model += -X[6753] + X[5347] - X[338] <= 0
model += -X[6753] - X[5347] + X[338] <= 0
model += X[3995] - X[5182] - X[3642] <= 0
model += X[3995] + X[5182] + X[3642] <= 2
model += X[1113] - X[6323] - X[7773] <= 0
model += X[1113] + X[6323] + X[7773] <= 2
model += -X[7404] + X[1724] - X[657] <= 0
model += -X[7404] - X[1724] + X[657] <= 0
model += X[2094] - X[5811] - X[1188] <= 0
model += X[2094] + X[5811] + X[1188] <= 2
model += X[1632] - X[2969] - X[1934] <= 0
model += X[1632] + X[2969] + X[1934] <= 2
model += X[5070] - X[4821] - X[4964] <= 0
model += X[5070] + X[4821] + X[4964] <= 2
model += X[5531] - X[1277] - X[4149] <= 0
model += X[5531] + X[1277] + X[4149] <= 2
model += X[2928] - X[5237] - X[1593] <= 0
model += X[2928] + X[5237] + X[1593] <= 2
model += X[3453] - X[3324] - X[6809] <= 0
model += X[3453] + X[3324] + X[6809] <= 2
model += X[5969] - X[6226] - X[6436] <= 0
model += X[5969] + X[6226] + X[6436] <= 2
model += -X[7208] + X[386] - X[7083] <= 0
model += -X[7208] - X[386] + X[7083] <= 0
model += X[3434] - X[7491] - X[4245] <= 0
model += X[3434] + X[7491] + X[4245] <= 2
model += -X[773] + X[3405] - X[4133] <= 0
model += -X[773] - X[3405] + X[4133] <= 0
model += -X[4225] + X[824] - X[6248] <= 0
model += -X[4225] - X[824] + X[6248] <= 0
model += X[3123] - X[2562] - X[7681] <= 0
model += X[3123] + X[2562] + X[7681] <= 2
model += -X[4006] + X[451] - X[4077] <= 0
model += -X[4006] - X[451] + X[4077] <= 0
model += X[5934] - X[3688] - X[2004] <= 0
model += X[5934] + X[3688] + X[2004] <= 2
model += X[4997] - X[4230] - X[2414] <= 0
model += X[4997] + X[4230] + X[2414] <= 2
model += -X[2401] + Y[145] - X[6985] <= 0
model += -X[2401] - Y[145] + X[6985] <= 0
model += -X[3585] + Y[146] - X[2107] <= 0
model += -X[3585] - Y[146] + X[2107] <= 0
model += -X[1718] + Y[147] - X[6029] <= 0
model += -X[1718] - Y[147] + X[6029] <= 0
model += -X[7699] + Y[149] - X[1854] <= 0
model += -X[7699] - Y[149] + X[1854] <= 0
model += -X[6103] + Y[150] - X[6520] <= 0
model += -X[6103] - Y[150] + X[6520] <= 0
model += -X[6723] + Y[151] - X[2988] <= 0
model += -X[6723] - Y[151] + X[2988] <= 0
model += -X[2580] + Y[152] - X[5937] <= 0
model += -X[2580] - Y[152] + X[5937] <= 0
model += -X[6129] + Y[153] - X[3947] <= 0
model += -X[6129] - Y[153] + X[3947] <= 0
model += -X[3554] + Y[154] - X[1329] <= 0
model += -X[3554] - Y[154] + X[1329] <= 0
model += -X[2813] + Y[155] - X[1813] <= 0
model += -X[2813] - Y[155] + X[1813] <= 0
model += -X[4194] + Y[158] - X[4572] <= 0
model += -X[4194] - Y[158] + X[4572] <= 0
model += -X[7468] + Y[159] - X[2932] <= 0
model += -X[7468] - Y[159] + X[2932] <= 0
model += -X[6086] + Y[144] - X[7466] <= 0
model += -X[6086] - Y[144] + X[7466] <= 0
model += -X[1545] + Y[145] - X[5128] <= 0
model += -X[1545] - Y[145] + X[5128] <= 0
model += -X[6098] + Y[147] - X[5020] <= 0
model += -X[6098] - Y[147] + X[5020] <= 0
model += -X[3286] + Y[148] - X[1372] <= 0
model += -X[3286] - Y[148] + X[1372] <= 0
model += -X[1582] + Y[149] - X[2608] <= 0
model += -X[1582] - Y[149] + X[2608] <= 0
model += -X[1457] + Y[150] - X[7319] <= 0
model += -X[1457] - Y[150] + X[7319] <= 0
model += -X[1655] + Y[151] - X[6648] <= 0
model += -X[1655] - Y[151] + X[6648] <= 0
model += -X[4088] + Y[152] - X[4814] <= 0
model += -X[4088] - Y[152] + X[4814] <= 0
model += -X[5141] + Y[153] - X[6053] <= 0
model += -X[5141] - Y[153] + X[6053] <= 0
model += -X[1814] + Y[154] - X[1063] <= 0
model += -X[1814] - Y[154] + X[1063] <= 0
model += -X[3897] + Y[155] - X[1760] <= 0
model += -X[3897] - Y[155] + X[1760] <= 0
model += -X[3467] + Y[156] - X[7322] <= 0
model += -X[3467] - Y[156] + X[7322] <= 0
model += -X[1016] + Y[157] - X[1523] <= 0
model += -X[1016] - Y[157] + X[1523] <= 0
model += -X[4677] + Y[158] - X[1174] <= 0
model += -X[4677] - Y[158] + X[1174] <= 0
model += -X[3346] + Y[144] - X[4880] <= 0
model += -X[3346] - Y[144] + X[4880] <= 0
model += -X[1772] + Y[145] - X[1865] <= 0
model += -X[1772] - Y[145] + X[1865] <= 0
model += -X[1505] + Y[146] - X[6566] <= 0
model += -X[1505] - Y[146] + X[6566] <= 0
model += -X[6596] + Y[147] - X[4452] <= 0
model += -X[6596] - Y[147] + X[4452] <= 0
model += -X[2098] + Y[148] - X[4969] <= 0
model += -X[2098] - Y[148] + X[4969] <= 0
model += -X[4942] + Y[150] - X[5050] <= 0
model += -X[4942] - Y[150] + X[5050] <= 0
model += -X[2072] + Y[151] - X[4122] <= 0
model += -X[2072] - Y[151] + X[4122] <= 0
model += -X[1384] + Y[152] - X[5273] <= 0
model += -X[1384] - Y[152] + X[5273] <= 0
model += -X[5662] + Y[155] - X[4013] <= 0
model += -X[5662] - Y[155] + X[4013] <= 0
model += -X[6111] + Y[156] - X[7192] <= 0
model += -X[6111] - Y[156] + X[7192] <= 0
model += -X[6808] + Y[157] - X[3031] <= 0
model += -X[6808] - Y[157] + X[3031] <= 0
model += -X[5130] + Y[158] - X[6104] <= 0
model += -X[5130] - Y[158] + X[6104] <= 0
model += -X[4967] + Y[159] - X[7702] <= 0
model += -X[4967] - Y[159] + X[7702] <= 0
model += -X[5454] + Y[144] - X[7780] <= 0
model += -X[5454] - Y[144] + X[7780] <= 0
model += -X[6867] + Y[145] - X[1202] <= 0
model += -X[6867] - Y[145] + X[1202] <= 0
model += -X[2705] + Y[147] - X[2519] <= 0
model += -X[2705] - Y[147] + X[2519] <= 0
model += -X[5887] + Y[148] - X[5864] <= 0
model += -X[5887] - Y[148] + X[5864] <= 0
model += -X[6943] + Y[149] - X[7552] <= 0
model += -X[6943] - Y[149] + X[7552] <= 0
model += -X[2319] + Y[150] - X[1571] <= 0
model += -X[2319] - Y[150] + X[1571] <= 0
model += -X[4732] + Y[152] - X[3130] <= 0
model += -X[4732] - Y[152] + X[3130] <= 0
model += -X[3857] + Y[153] - X[6264] <= 0
model += -X[3857] - Y[153] + X[6264] <= 0
model += -X[3914] + Y[155] - X[5369] <= 0
model += -X[3914] - Y[155] + X[5369] <= 0
model += -X[6998] + Y[156] - X[2654] <= 0
model += -X[6998] - Y[156] + X[2654] <= 0
model += X[4581] - X[4805] - X[5960] <= 0
model += X[4581] + X[4805] + X[5960] <= 2
model += X[1862] - X[1834] - X[1562] <= 0
model += X[1862] + X[1834] + X[1562] <= 2
model += X[5385] - X[5150] - X[3889] <= 0
model += X[5385] + X[5150] + X[3889] <= 2
model += X[6130] - X[6950] - X[2285] <= 0
model += X[6130] + X[6950] + X[2285] <= 2
model += -X[1111] + Y[159] - X[7328] <= 0
model += -X[1111] - Y[159] + X[7328] <= 0
model += -X[1594] + Y[144] - X[6033] <= 0
model += -X[1594] - Y[144] + X[6033] <= 0
model += -X[1581] + Y[146] - X[2900] <= 0
model += -X[1581] - Y[146] + X[2900] <= 0
model += -X[7327] + Y[149] - X[5436] <= 0
model += -X[7327] - Y[149] + X[5436] <= 0
model += -X[6344] + Y[151] - X[7048] <= 0
model += -X[6344] - Y[151] + X[7048] <= 0
model += -X[6883] + Y[152] - X[3251] <= 0
model += -X[6883] - Y[152] + X[3251] <= 0
model += -X[6689] + Y[154] - X[6208] <= 0
model += -X[6689] - Y[154] + X[6208] <= 0
model += -X[4255] + Y[155] - X[3115] <= 0
model += -X[4255] - Y[155] + X[3115] <= 0
model += -X[3615] + Y[156] - X[2610] <= 0
model += -X[3615] - Y[156] + X[2610] <= 0
model += X[7276] - X[2562] - X[2121] <= 0
model += X[7276] + X[2562] + X[2121] <= 2
model += -X[6390] + X[451] - X[1236] <= 0
model += -X[6390] - X[451] + X[1236] <= 0
model += -X[389] + X[3688] - X[6564] <= 0
model += -X[389] - X[3688] + X[6564] <= 0
model += X[2355] - X[4230] - X[7728] <= 0
model += X[2355] + X[4230] + X[7728] <= 2
model += -X[6373] + Y[145] - X[5057] <= 0
model += -X[6373] - Y[145] + X[5057] <= 0
model += -X[2163] + Y[147] - X[1591] <= 0
model += -X[2163] - Y[147] + X[1591] <= 0
model += -X[2523] + Y[148] - X[6247] <= 0
model += -X[2523] - Y[148] + X[6247] <= 0
model += -X[2409] + Y[149] - X[2291] <= 0
model += -X[2409] - Y[149] + X[2291] <= 0
model += -X[6176] + Y[150] - X[2316] <= 0
model += -X[6176] - Y[150] + X[2316] <= 0
model += -X[6290] + Y[151] - X[5872] <= 0
model += -X[6290] - Y[151] + X[5872] <= 0
model += -X[1993] + Y[152] - X[7398] <= 0
model += -X[1993] - Y[152] + X[7398] <= 0
model += -X[1574] + Y[154] - X[6398] <= 0
model += -X[1574] - Y[154] + X[6398] <= 0
model += -X[7584] + Y[157] - X[4968] <= 0
model += -X[7584] - Y[157] + X[4968] <= 0
model += -X[3797] + Y[145] - X[1596] <= 0
model += -X[3797] - Y[145] + X[1596] <= 0
model += -X[7364] + Y[146] - X[5834] <= 0
model += -X[7364] - Y[146] + X[5834] <= 0
model += -X[5109] + Y[147] - X[6923] <= 0
model += -X[5109] - Y[147] + X[6923] <= 0
model += -X[4861] + Y[148] - X[7018] <= 0
model += -X[4861] - Y[148] + X[7018] <= 0
model += -X[6764] + Y[149] - X[2137] <= 0
model += -X[6764] - Y[149] + X[2137] <= 0
model += -X[5417] + Y[150] - X[7164] <= 0
model += -X[5417] - Y[150] + X[7164] <= 0
model += -X[6511] + Y[151] - X[3364] <= 0
model += -X[6511] - Y[151] + X[3364] <= 0
model += -X[3652] + Y[152] - X[5967] <= 0
model += -X[3652] - Y[152] + X[5967] <= 0
model += -X[7175] + Y[153] - X[6830] <= 0
model += -X[7175] - Y[153] + X[6830] <= 0
model += -X[7725] + Y[154] - X[1727] <= 0
model += -X[7725] - Y[154] + X[1727] <= 0
model += -X[6840] + Y[155] - X[1074] <= 0
model += -X[6840] - Y[155] + X[1074] <= 0
model += -X[2546] + Y[156] - X[5540] <= 0
model += -X[2546] - Y[156] + X[5540] <= 0
model += -X[5451] + Y[144] - X[3926] <= 0
model += -X[5451] - Y[144] + X[3926] <= 0
model += -X[5287] + Y[146] - X[1883] <= 0
model += -X[5287] - Y[146] + X[1883] <= 0
model += -X[1728] + Y[147] - X[5546] <= 0
model += -X[1728] - Y[147] + X[5546] <= 0
model += -X[4847] + Y[148] - X[1474] <= 0
model += -X[4847] - Y[148] + X[1474] <= 0
model += -X[2590] + Y[149] - X[5545] <= 0
model += -X[2590] - Y[149] + X[5545] <= 0
model += -X[5307] + Y[150] - X[4893] <= 0
model += -X[5307] - Y[150] + X[4893] <= 0
model += -X[4935] + Y[151] - X[4117] <= 0
model += -X[4935] - Y[151] + X[4117] <= 0
model += -X[1128] + Y[152] - X[5615] <= 0
model += -X[1128] - Y[152] + X[5615] <= 0
model += X[5891] - X[2669] - X[3266] <= 0
model += X[5891] + X[2669] + X[3266] <= 2
model += -X[7074] + X[873] - X[5521] <= 0
model += -X[7074] - X[873] + X[5521] <= 0
model += X[2223] - X[4167] - X[2847] <= 0
model += X[2223] + X[4167] + X[2847] <= 2
model += X[5574] - X[2165] - X[4509] <= 0
model += X[5574] + X[2165] + X[4509] <= 2
model += -X[4538] + Y[155] - X[6735] <= 0
model += -X[4538] - Y[155] + X[6735] <= 0
model += -X[3522] + Y[156] - X[2681] <= 0
model += -X[3522] - Y[156] + X[2681] <= 0
model += -X[3183] + Y[157] - X[4261] <= 0
model += -X[3183] - Y[157] + X[4261] <= 0
model += -X[2395] + Y[158] - X[5716] <= 0
model += -X[2395] - Y[158] + X[5716] <= 0
model += -X[6205] + Y[159] - X[7478] <= 0
model += -X[6205] - Y[159] + X[7478] <= 0
model += -X[1042] + Y[144] - X[2047] <= 0
model += -X[1042] - Y[144] + X[2047] <= 0
model += -X[3487] + Y[145] - X[7335] <= 0
model += -X[3487] - Y[145] + X[7335] <= 0
model += -X[3270] + Y[147] - X[1320] <= 0
model += -X[3270] - Y[147] + X[1320] <= 0
model += -X[3455] + Y[149] - X[5452] <= 0
model += -X[3455] - Y[149] + X[5452] <= 0
model += -X[4565] + Y[150] - X[3116] <= 0
model += -X[4565] - Y[150] + X[3116] <= 0
model += -X[3548] + Y[151] - X[7296] <= 0
model += -X[3548] - Y[151] + X[7296] <= 0
model += -X[2936] + Y[152] - X[1401] <= 0
model += -X[2936] - Y[152] + X[1401] <= 0
model += -X[7532] + Y[153] - X[5080] <= 0
model += -X[7532] - Y[153] + X[5080] <= 0
model += X[1456] - X[4805] - X[3328] <= 0
model += X[1456] + X[4805] + X[3328] <= 2
model += X[5212] - X[1834] - X[1208] <= 0
model += X[5212] + X[1834] + X[1208] <= 2
model += X[4027] - X[5150] - X[2677] <= 0
model += X[4027] + X[5150] + X[2677] <= 2
model += X[1986] - X[6950] - X[7278] <= 0
model += X[1986] + X[6950] + X[7278] <= 2
model += -X[2038] + Y[158] - X[6471] <= 0
model += -X[2038] - Y[158] + X[6471] <= 0
model += -X[6766] + Y[144] - X[2929] <= 0
model += -X[6766] - Y[144] + X[2929] <= 0
model += -X[4227] + Y[145] - X[2046] <= 0
model += -X[4227] - Y[145] + X[2046] <= 0
model += -X[7413] + Y[146] - X[6005] <= 0
model += -X[7413] - Y[146] + X[6005] <= 0
model += -X[3572] + Y[147] - X[5667] <= 0
model += -X[3572] - Y[147] + X[5667] <= 0
model += -X[5392] + Y[148] - X[7317] <= 0
model += -X[5392] - Y[148] + X[7317] <= 0
model += -X[7190] + Y[150] - X[7695] <= 0
model += -X[7190] - Y[150] + X[7695] <= 0
model += -X[5223] + Y[151] - X[4866] <= 0
model += -X[5223] - Y[151] + X[4866] <= 0
model += -X[7114] + Y[153] - X[3363] <= 0
model += -X[7114] - Y[153] + X[3363] <= 0
model += -X[5078] + Y[155] - X[6262] <= 0
model += -X[5078] - Y[155] + X[6262] <= 0
model += -X[7420] + Y[156] - X[6049] <= 0
model += -X[7420] - Y[156] + X[6049] <= 0
model += X[6416] - X[2562] - X[6915] <= 0
model += X[6416] + X[2562] + X[6915] <= 2
model += -X[7150] + X[451] - X[2170] <= 0
model += -X[7150] - X[451] + X[2170] <= 0
model += X[5300] - X[3688] - X[6500] <= 0
model += X[5300] + X[3688] + X[6500] <= 2
model += X[7368] - X[4230] - X[2903] <= 0
model += X[7368] + X[4230] + X[2903] <= 2
model += -X[6395] + Y[145] - X[3080] <= 0
model += -X[6395] - Y[145] + X[3080] <= 0
model += -X[2557] + Y[146] - X[6477] <= 0
model += -X[2557] - Y[146] + X[6477] <= 0
model += -X[3867] + Y[147] - X[2644] <= 0
model += -X[3867] - Y[147] + X[2644] <= 0
model += -X[3124] + Y[151] - X[2507] <= 0
model += -X[3124] - Y[151] + X[2507] <= 0
model += -X[7662] + Y[152] - X[6795] <= 0
model += -X[7662] - Y[152] + X[6795] <= 0
model += -X[1269] + Y[153] - X[6833] <= 0
model += -X[1269] - Y[153] + X[6833] <= 0
model += -X[2111] + Y[154] - X[4984] <= 0
model += -X[2111] - Y[154] + X[4984] <= 0
model += -X[1794] + Y[155] - X[5186] <= 0
model += -X[1794] - Y[155] + X[5186] <= 0
model += -X[4932] + Y[156] - X[7352] <= 0
model += -X[4932] - Y[156] + X[7352] <= 0
model += -X[5992] + Y[157] - X[1908] <= 0
model += -X[5992] - Y[157] + X[1908] <= 0
model += -X[6786] + Y[159] - X[1783] <= 0
model += -X[6786] - Y[159] + X[1783] <= 0
model += -X[2994] + Y[144] - X[6974] <= 0
model += -X[2994] - Y[144] + X[6974] <= 0
model += -X[4815] + Y[145] - X[4030] <= 0
model += -X[4815] - Y[145] + X[4030] <= 0
model += -X[1879] + Y[146] - X[2127] <= 0
model += -X[1879] - Y[146] + X[2127] <= 0
model += -X[1851] + Y[147] - X[5808] <= 0
model += -X[1851] - Y[147] + X[5808] <= 0
model += -X[5439] + Y[149] - X[5136] <= 0
model += -X[5439] - Y[149] + X[5136] <= 0
model += -X[7055] + Y[150] - X[1253] <= 0
model += -X[7055] - Y[150] + X[1253] <= 0
model += X[4111] - X[4687] - X[4835] <= 0
model += X[4111] + X[4687] + X[4835] <= 2
model += -X[7168] + X[311] - X[7546] <= 0
model += -X[7168] - X[311] + X[7546] <= 0
model += X[7101] - X[3728] - X[7165] <= 0
model += X[7101] + X[3728] + X[7165] <= 2
model += X[4695] - X[1130] - X[3288] <= 0
model += X[4695] + X[1130] + X[3288] <= 2
model += -X[2533] + Y[152] - X[2906] <= 0
model += -X[2533] - Y[152] + X[2906] <= 0
model += -X[2123] + Y[153] - X[2032] <= 0
model += -X[2123] - Y[153] + X[2032] <= 0
model += -X[4655] + Y[154] - X[6929] <= 0
model += -X[4655] - Y[154] + X[6929] <= 0
model += -X[4890] + Y[155] - X[5817] <= 0
model += -X[4890] - Y[155] + X[5817] <= 0
model += -X[6347] + Y[156] - X[3395] <= 0
model += -X[6347] - Y[156] + X[3395] <= 0
model += -X[1211] + Y[157] - X[2342] <= 0
model += -X[1211] - Y[157] + X[2342] <= 0
model += -X[5052] + Y[159] - X[7724] <= 0
model += -X[5052] - Y[159] + X[7724] <= 0
model += -X[7472] + Y[144] - X[3517] <= 0
model += -X[7472] - Y[144] + X[3517] <= 0
model += -X[7497] + Y[145] - X[4828] <= 0
model += -X[7497] - Y[145] + X[4828] <= 0
model += -X[3263] + Y[147] - X[2178] <= 0
model += -X[3263] - Y[147] + X[2178] <= 0
model += -X[7097] + Y[149] - X[7333] <= 0
model += -X[7097] - Y[149] + X[7333] <= 0
model += X[4661] - X[2669] - X[4895] <= 0
model += X[4661] + X[2669] + X[4895] <= 2
model += -X[1495] + X[873] - X[1759] <= 0
model += -X[1495] - X[873] + X[1759] <= 0
model += X[7320] - X[4167] - X[3566] <= 0
model += X[7320] + X[4167] + X[3566] <= 2
model += X[3731] - X[2165] - X[6798] <= 0
model += X[3731] + X[2165] + X[6798] <= 2
model += -X[7010] + Y[155] - X[2320] <= 0
model += -X[7010] - Y[155] + X[2320] <= 0
model += -X[1423] + Y[156] - X[1517] <= 0
model += -X[1423] - Y[156] + X[1517] <= 0
model += -X[6235] + Y[157] - X[2890] <= 0
model += -X[6235] - Y[157] + X[2890] <= 0
model += -X[6260] + Y[158] - X[7308] <= 0
model += -X[6260] - Y[158] + X[7308] <= 0
model += -X[4739] + Y[145] - X[4126] <= 0
model += -X[4739] - Y[145] + X[4126] <= 0
model += -X[7553] + Y[148] - X[3575] <= 0
model += -X[7553] - Y[148] + X[3575] <= 0
model += -X[1793] + Y[149] - X[6067] <= 0
model += -X[1793] - Y[149] + X[6067] <= 0
model += -X[7736] + Y[150] - X[5072] <= 0
model += -X[7736] - Y[150] + X[5072] <= 0
model += -X[7540] + Y[151] - X[4456] <= 0
model += -X[7540] - Y[151] + X[4456] <= 0
model += -X[2267] + Y[152] - X[6195] <= 0
model += -X[2267] - Y[152] + X[6195] <= 0
model += -X[7740] + Y[153] - X[7272] <= 0
model += -X[7740] - Y[153] + X[7272] <= 0
model += -X[335] + X[4805] - X[4339] <= 0
model += -X[335] - X[4805] + X[4339] <= 0
model += X[5331] - X[1834] - X[1650] <= 0
model += X[5331] + X[1834] + X[1650] <= 2
model += X[6441] - X[5150] - X[3888] <= 0
model += X[6441] + X[5150] + X[3888] <= 2
model += X[3514] - X[6950] - X[1867] <= 0
model += X[3514] + X[6950] + X[1867] <= 2
model += -X[5162] + Y[158] - X[4082] <= 0
model += -X[5162] - Y[158] + X[4082] <= 0
model += -X[4897] + Y[159] - X[7652] <= 0
model += -X[4897] - Y[159] + X[7652] <= 0
model += -X[5207] + Y[144] - X[2312] <= 0
model += -X[5207] - Y[144] + X[2312] <= 0
model += -X[1920] + Y[146] - X[4469] <= 0
model += -X[1920] - Y[146] + X[4469] <= 0
model += -X[7616] + Y[147] - X[7316] <= 0
model += -X[7616] - Y[147] + X[7316] <= 0
model += -X[5180] + Y[148] - X[4471] <= 0
model += -X[5180] - Y[148] + X[4471] <= 0
model += -X[6038] + Y[149] - X[6352] <= 0
model += -X[6038] - Y[149] + X[6352] <= 0
model += -X[6225] + Y[150] - X[6169] <= 0
model += -X[6225] - Y[150] + X[6169] <= 0
model += -X[5875] + Y[151] - X[5787] <= 0
model += -X[5875] - Y[151] + X[5787] <= 0
model += -X[5651] + Y[152] - X[6356] <= 0
model += -X[5651] - Y[152] + X[6356] <= 0
model += -X[7106] + Y[154] - X[2639] <= 0
model += -X[7106] - Y[154] + X[2639] <= 0
model += X[3025] - X[2562] - X[6946] <= 0
model += X[3025] + X[2562] + X[6946] <= 2
model += -X[6869] + X[451] - X[5116] <= 0
model += -X[6869] - X[451] + X[5116] <= 0
model += -X[550] + X[3688] - X[5083] <= 0
model += -X[550] - X[3688] + X[5083] <= 0
model += -X[956] + X[4230] - X[2169] <= 0
model += -X[956] - X[4230] + X[2169] <= 0
model += -X[6563] + Y[145] - X[2499] <= 0
model += -X[6563] - Y[145] + X[2499] <= 0
model += -X[5297] + Y[147] - X[3847] <= 0
model += -X[5297] - Y[147] + X[3847] <= 0
model += X[3043] - X[3573] - X[3111] <= 0
model += X[3043] + X[3573] + X[3111] <= 2
model += -X[6975] + X[6297] - X[219] <= 0
model += -X[6975] - X[6297] + X[219] <= 0
model += X[4704] - X[7619] - X[4285] <= 0
model += X[4704] + X[7619] + X[4285] <= 2
model += X[2298] - X[2858] - X[6738] <= 0
model += X[2298] + X[2858] + X[6738] <= 2
model += -X[3955] + Y[149] - X[4287] <= 0
model += -X[3955] - Y[149] + X[4287] <= 0
model += -X[4282] + Y[150] - X[3869] <= 0
model += -X[4282] - Y[150] + X[3869] <= 0
model += -X[5477] + Y[151] - X[5636] <= 0
model += -X[5477] - Y[151] + X[5636] <= 0
model += -X[2718] + Y[153] - X[1980] <= 0
model += -X[2718] - Y[153] + X[1980] <= 0
model += -X[1551] + Y[158] - X[2361] <= 0
model += -X[1551] - Y[158] + X[2361] <= 0
model += -X[6858] + Y[159] - X[5368] <= 0
model += -X[6858] - Y[159] + X[5368] <= 0
model += -X[6101] + Y[144] - X[6697] <= 0
model += -X[6101] - Y[144] + X[6697] <= 0
model += -X[5221] + Y[145] - X[4463] <= 0
model += -X[5221] - Y[145] + X[4463] <= 0
model += -X[2490] + Y[146] - X[1232] <= 0
model += -X[2490] - Y[146] + X[1232] <= 0
model += X[6217] - X[4687] - X[3741] <= 0
model += X[6217] + X[4687] + X[3741] <= 2
model += -X[1973] + X[311] - X[4797] <= 0
model += -X[1973] - X[311] + X[4797] <= 0
model += X[1613] - X[3728] - X[4607] <= 0
model += X[1613] + X[3728] + X[4607] <= 2
model += X[3782] - X[1130] - X[5198] <= 0
model += X[3782] + X[1130] + X[5198] <= 2
model += -X[4333] + Y[152] - X[7019] <= 0
model += -X[4333] - Y[152] + X[7019] <= 0
model += -X[3892] + Y[154] - X[2993] <= 0
model += -X[3892] - Y[154] + X[2993] <= 0
model += -X[3142] + Y[155] - X[3397] <= 0
model += -X[3142] - Y[155] + X[3397] <= 0
model += -X[6711] + Y[156] - X[4666] <= 0
model += -X[6711] - Y[156] + X[4666] <= 0
model += -X[2855] + Y[157] - X[1054] <= 0
model += -X[2855] - Y[157] + X[1054] <= 0
model += -X[5234] + Y[158] - X[4905] <= 0
model += -X[5234] - Y[158] + X[4905] <= 0
model += -X[1129] + Y[159] - X[3066] <= 0
model += -X[1129] - Y[159] + X[3066] <= 0
model += -X[5523] + Y[144] - X[5711] <= 0
model += -X[5523] - Y[144] + X[5711] <= 0
model += -X[4877] + Y[146] - X[6429] <= 0
model += -X[4877] - Y[146] + X[6429] <= 0
model += -X[5147] + Y[147] - X[5738] <= 0
model += -X[5147] - Y[147] + X[5738] <= 0
model += -X[4365] + Y[148] - X[1965] <= 0
model += -X[4365] - Y[148] + X[1965] <= 0
model += -X[5279] + Y[149] - X[4106] <= 0
model += -X[5279] - Y[149] + X[4106] <= 0
model += X[6499] - X[2669] - X[1087] <= 0
model += X[6499] + X[2669] + X[1087] <= 2
model += -X[5731] + X[873] - X[1949] <= 0
model += -X[5731] - X[873] + X[1949] <= 0
model += X[4071] - X[4167] - X[5447] <= 0
model += X[4071] + X[4167] + X[5447] <= 2
model += X[1925] - X[2165] - X[1020] <= 0
model += X[1925] + X[2165] + X[1020] <= 2
model += -X[6089] + Y[155] - X[3403] <= 0
model += -X[6089] - Y[155] + X[3403] <= 0
model += -X[4691] + Y[156] - X[5267] <= 0
model += -X[4691] - Y[156] + X[5267] <= 0
model += -X[2937] + Y[157] - X[3848] <= 0
model += -X[2937] - Y[157] + X[3848] <= 0
model += -X[5316] + Y[158] - X[6406] <= 0
model += -X[5316] - Y[158] + X[6406] <= 0
model += -X[1123] + Y[159] - X[2281] <= 0
model += -X[1123] - Y[159] + X[2281] <= 0
model += -X[2734] + Y[145] - X[6190] <= 0
model += -X[2734] - Y[145] + X[6190] <= 0
model += -X[3533] + Y[147] - X[3524] <= 0
model += -X[3533] - Y[147] + X[3524] <= 0
model += -X[6603] + Y[148] - X[1602] <= 0
model += -X[6603] - Y[148] + X[1602] <= 0
model += -X[6555] + Y[149] - X[3530] <= 0
model += -X[6555] - Y[149] + X[3530] <= 0
model += -X[3621] + Y[150] - X[5675] <= 0
model += -X[3621] - Y[150] + X[5675] <= 0
model += -X[1201] + Y[152] - X[1687] <= 0
model += -X[1201] - Y[152] + X[1687] <= 0
model += -X[7714] + X[4805] - X[492] <= 0
model += -X[7714] - X[4805] + X[492] <= 0
model += X[1297] - X[5150] - X[4497] <= 0
model += X[1297] + X[5150] + X[4497] <= 2
model += X[4756] - X[6950] - X[3957] <= 0
model += X[4756] + X[6950] + X[3957] <= 2
model += -X[5248] + Y[158] - X[7688] <= 0
model += -X[5248] - Y[158] + X[7688] <= 0
model += -X[5403] + Y[159] - X[4319] <= 0
model += -X[5403] - Y[159] + X[4319] <= 0
model += -X[4283] + Y[144] - X[6354] <= 0
model += -X[4283] - Y[144] + X[6354] <= 0
model += X[1472] - X[5859] - X[4441] <= 0
model += X[1472] + X[5859] + X[4441] <= 2
model += X[5073] - X[3757] - X[2405] <= 0
model += X[5073] + X[3757] + X[2405] <= 2
model += -X[821] + X[1256] - X[6400] <= 0
model += -X[821] - X[1256] + X[6400] <= 0
model += X[1426] - X[3651] - X[1786] <= 0
model += X[1426] + X[3651] + X[1786] <= 2
model += -X[2372] + Y[146] - X[6982] <= 0
model += -X[2372] - Y[146] + X[6982] <= 0
model += -X[7223] + Y[147] - X[7052] <= 0
model += -X[7223] - Y[147] + X[7052] <= 0
model += -X[5721] + Y[148] - X[3349] <= 0
model += -X[5721] - Y[148] + X[3349] <= 0
model += -X[2482] + Y[149] - X[5748] <= 0
model += -X[2482] - Y[149] + X[5748] <= 0
model += -X[2471] + Y[150] - X[5200] <= 0
model += -X[2471] - Y[150] + X[5200] <= 0
model += -X[7763] + Y[151] - X[3151] <= 0
model += -X[7763] - Y[151] + X[3151] <= 0
model += -X[6327] + Y[152] - X[2961] <= 0
model += -X[6327] - Y[152] + X[2961] <= 0
model += -X[5143] + Y[153] - X[3228] <= 0
model += -X[5143] - Y[153] + X[3228] <= 0
model += -X[3260] + Y[155] - X[7271] <= 0
model += -X[3260] - Y[155] + X[7271] <= 0
model += -X[2294] + Y[156] - X[2945] <= 0
model += -X[2294] - Y[156] + X[2945] <= 0
model += X[2634] - X[2562] - X[3968] <= 0
model += X[2634] + X[2562] + X[3968] <= 2
model += -X[6557] + X[451] - X[1181] <= 0
model += -X[6557] - X[451] + X[1181] <= 0
model += X[5006] - X[3688] - X[7237] <= 0
model += X[5006] + X[3688] + X[7237] <= 2
model += X[1242] - X[4230] - X[5106] <= 0
model += X[1242] + X[4230] + X[5106] <= 2
model += X[3715] - X[3573] - X[2648] <= 0
model += X[3715] + X[3573] + X[2648] <= 2
model += -X[430] + X[6297] - X[6394] <= 0
model += -X[430] - X[6297] + X[6394] <= 0
model += X[3483] - X[7619] - X[6565] <= 0
model += X[3483] + X[7619] + X[6565] <= 2
model += -X[6210] + Y[150] - X[1469] <= 0
model += -X[6210] - Y[150] + X[1469] <= 0
model += -X[3719] + Y[151] - X[1820] <= 0
model += -X[3719] - Y[151] + X[1820] <= 0
model += -X[1770] + Y[152] - X[3438] <= 0
model += -X[1770] - Y[152] + X[3438] <= 0
model += -X[5119] + Y[153] - X[7363] <= 0
model += -X[5119] - Y[153] + X[7363] <= 0
model += -X[1585] + Y[154] - X[6444] <= 0
model += -X[1585] - Y[154] + X[6444] <= 0
model += -X[4764] + Y[155] - X[7374] <= 0
model += -X[4764] - Y[155] + X[7374] <= 0
model += -X[5082] + Y[156] - X[2689] <= 0
model += -X[5082] - Y[156] + X[2689] <= 0
model += -X[1195] + Y[157] - X[7170] <= 0
model += -X[1195] - Y[157] + X[7170] <= 0
model += -X[6936] + Y[158] - X[7261] <= 0
model += -X[6936] - Y[158] + X[7261] <= 0
model += -X[5669] + Y[159] - X[3184] <= 0
model += -X[5669] - Y[159] + X[3184] <= 0
model += -X[3913] + Y[145] - X[5516] <= 0
model += -X[3913] - Y[145] + X[5516] <= 0
model += -X[3499] + Y[146] - X[1255] <= 0
model += -X[3499] - Y[146] + X[1255] <= 0
model += -X[5263] + Y[147] - X[4818] <= 0
model += -X[5263] - Y[147] + X[4818] <= 0
model += X[3287] - X[4687] - X[2629] <= 0
model += X[3287] + X[4687] + X[2629] <= 2
model += -X[1345] + X[311] - X[5149] <= 0
model += -X[1345] - X[311] + X[5149] <= 0
model += -X[786] + X[3728] - X[3341] <= 0
model += -X[786] - X[3728] + X[3341] <= 0
model += X[6392] - X[1130] - X[5745] <= 0
model += X[6392] + X[1130] + X[5745] <= 2
model += -X[2713] + Y[152] - X[4840] <= 0
model += -X[2713] - Y[152] + X[4840] <= 0
model += -X[3811] + Y[153] - X[5302] <= 0
model += -X[3811] - Y[153] + X[5302] <= 0
model += -X[4886] + Y[155] - X[3150] <= 0
model += -X[4886] - Y[155] + X[3150] <= 0
model += -X[3836] + Y[156] - X[2009] <= 0
model += -X[3836] - Y[156] + X[2009] <= 0
model += -X[3181] + Y[158] - X[2875] <= 0
model += -X[3181] - Y[158] + X[2875] <= 0
model += -X[2746] + Y[144] - X[5146] <= 0
model += -X[2746] - Y[144] + X[5146] <= 0
model += -X[3617] + Y[145] - X[2609] <= 0
model += -X[3617] - Y[145] + X[2609] <= 0
model += -X[2613] + Y[146] - X[6963] <= 0
model += -X[2613] - Y[146] + X[6963] <= 0
model += -X[7504] + Y[147] - X[2568] <= 0
model += -X[7504] - Y[147] + X[2568] <= 0
model += -X[1882] + Y[148] - X[4395] <= 0
model += -X[1882] - Y[148] + X[4395] <= 0
model += -X[4506] + Y[149] - X[4392] <= 0
model += -X[4506] - Y[149] + X[4392] <= 0
model += -X[5504] + Y[150] - X[3555] <= 0
model += -X[5504] - Y[150] + X[3555] <= 0
model += -X[496] + X[2669] - X[5217] <= 0
model += -X[496] - X[2669] + X[5217] <= 0
model += -X[7719] + X[873] - X[6989] <= 0
model += -X[7719] - X[873] + X[6989] <= 0
model += -X[225] + X[4167] - X[4808] <= 0
model += -X[225] - X[4167] + X[4808] <= 0
model += -X[1477] + X[2165] - X[784] <= 0
model += -X[1477] - X[2165] + X[784] <= 0
model += -X[6945] + Y[155] - X[6148] <= 0
model += -X[6945] - Y[155] + X[6148] <= 0
model += -X[1421] + Y[156] - X[1360] <= 0
model += -X[1421] - Y[156] + X[1360] <= 0
model += -X[2857] + Y[157] - X[6550] <= 0
model += -X[2857] - Y[157] + X[6550] <= 0
model += X[4017] - X[1916] - X[2381] <= 0
model += X[4017] + X[1916] + X[2381] <= 2
model += -X[4659] + X[7212] - X[879] <= 0
model += -X[4659] - X[7212] + X[879] <= 0
model += X[2762] - X[3918] - X[4343] <= 0
model += X[2762] + X[3918] + X[4343] <= 2
model += -X[4647] + Y[159] - X[6172] <= 0
model += -X[4647] - Y[159] + X[6172] <= 0
model += -X[5388] + Y[146] - X[1478] <= 0
model += -X[5388] - Y[146] + X[1478] <= 0
model += -X[1103] + Y[147] - X[4000] <= 0
model += -X[1103] - Y[147] + X[4000] <= 0
model += -X[1321] + Y[148] - X[5683] <= 0
model += -X[1321] - Y[148] + X[5683] <= 0
model += -X[5304] + Y[149] - X[7161] <= 0
model += -X[5304] - Y[149] + X[7161] <= 0
model += -X[2925] + Y[150] - X[1078] <= 0
model += -X[2925] - Y[150] + X[1078] <= 0
model += -X[5532] + Y[151] - X[3686] <= 0
model += -X[5532] - Y[151] + X[3686] <= 0
model += -X[6803] + Y[153] - X[5408] <= 0
model += -X[6803] - Y[153] + X[5408] <= 0
model += X[4478] - X[4805] - X[6028] <= 0
model += X[4478] + X[4805] + X[6028] <= 2
model += X[1945] - X[1834] - X[1588] <= 0
model += X[1945] + X[1834] + X[1588] <= 2
model += X[3586] - X[5150] - X[2979] <= 0
model += X[3586] + X[5150] + X[2979] <= 2
model += X[2891] - X[6950] - X[4155] <= 0
model += X[2891] + X[6950] + X[4155] <= 2
model += X[5461] - X[5859] - X[1386] <= 0
model += X[5461] + X[5859] + X[1386] <= 2
model += X[3056] - X[1256] - X[6663] <= 0
model += X[3056] + X[1256] + X[6663] <= 2
model += X[6266] - X[3651] - X[4259] <= 0
model += X[6266] + X[3651] + X[4259] <= 2
model += -X[5291] + Y[146] - X[1133] <= 0
model += -X[5291] - Y[146] + X[1133] <= 0
model += -X[3690] + Y[147] - X[4275] <= 0
model += -X[3690] - Y[147] + X[4275] <= 0
model += -X[4605] + Y[148] - X[4368] <= 0
model += -X[4605] - Y[148] + X[4368] <= 0
model += -X[4527] + Y[149] - X[7383] <= 0
model += -X[4527] - Y[149] + X[7383] <= 0
model += -X[3162] + Y[150] - X[4908] <= 0
model += -X[3162] - Y[150] + X[4908] <= 0
model += -X[6916] + Y[151] - X[3677] <= 0
model += -X[6916] - Y[151] + X[3677] <= 0
model += -X[3257] + Y[152] - X[6854] <= 0
model += -X[3257] - Y[152] + X[6854] <= 0
model += -X[4072] + Y[153] - X[6944] <= 0
model += -X[4072] - Y[153] + X[6944] <= 0
model += -X[6059] + Y[154] - X[2578] <= 0
model += -X[6059] - Y[154] + X[2578] <= 0
model += -X[1396] + Y[155] - X[4963] <= 0
model += -X[1396] - Y[155] + X[4963] <= 0
model += -X[4263] + Y[156] - X[3600] <= 0
model += -X[4263] - Y[156] + X[3600] <= 0
model += X[7226] - X[2562] - X[5490] <= 0
model += X[7226] + X[2562] + X[5490] <= 2
model += -X[3967] + X[451] - X[1010] <= 0
model += -X[3967] - X[451] + X[1010] <= 0
model += X[7601] - X[3688] - X[1490] <= 0
model += X[7601] + X[3688] + X[1490] <= 2
model += X[3863] - X[4230] - X[1465] <= 0
model += X[3863] + X[4230] + X[1465] <= 2
model += X[7321] - X[3573] - X[4181] <= 0
model += X[7321] + X[3573] + X[4181] <= 2
model += X[4254] - X[6297] - X[3816] <= 0
model += X[4254] + X[6297] + X[3816] <= 2
model += -X[315] + X[7619] - X[5625] <= 0
model += -X[315] - X[7619] + X[5625] <= 0
model += X[5664] - X[2858] - X[4200] <= 0
model += X[5664] + X[2858] + X[4200] <= 2
model += -X[6832] + Y[150] - X[3279] <= 0
model += -X[6832] - Y[150] + X[3279] <= 0
model += -X[1989] + Y[152] - X[3113] <= 0
model += -X[1989] - Y[152] + X[3113] <= 0
model += -X[6474] + Y[153] - X[3834] <= 0
model += -X[6474] - Y[153] + X[3834] <= 0
model += -X[5110] + Y[154] - X[1706] <= 0
model += -X[5110] - Y[154] + X[1706] <= 0
model += -X[3680] + Y[155] - X[1124] <= 0
model += -X[3680] - Y[155] + X[1124] <= 0
model += -X[3242] + Y[156] - X[6345] <= 0
model += -X[3242] - Y[156] + X[6345] <= 0
model += -X[1575] + Y[157] - X[5739] <= 0
model += -X[1575] - Y[157] + X[5739] <= 0
model += -X[5724] + Y[158] - X[4174] <= 0
model += -X[5724] - Y[158] + X[4174] <= 0
model += -X[4278] + Y[159] - X[3174] <= 0
model += -X[4278] - Y[159] + X[3174] <= 0
model += -X[6994] + Y[144] - X[5725] <= 0
model += -X[6994] - Y[144] + X[5725] <= 0
model += -X[5422] + Y[145] - X[5560] <= 0
model += -X[5422] - Y[145] + X[5560] <= 0
model += -X[6558] + Y[146] - X[1339] <= 0
model += -X[6558] - Y[146] + X[1339] <= 0
model += -X[2881] + Y[147] - X[7381] <= 0
model += -X[2881] - Y[147] + X[7381] <= 0
model += X[5679] - X[4687] - X[2789] <= 0
model += X[5679] + X[4687] + X[2789] <= 2
model += -X[2643] + X[311] - X[1919] <= 0
model += -X[2643] - X[311] + X[1919] <= 0
model += X[1412] - X[3728] - X[5272] <= 0
model += X[1412] + X[3728] + X[5272] <= 2
model += X[2096] - X[1130] - X[6453] <= 0
model += X[2096] + X[1130] + X[6453] <= 2
model += -X[7416] + Y[152] - X[6316] <= 0
model += -X[7416] - Y[152] + X[6316] <= 0
model += -X[4718] + Y[153] - X[5988] <= 0
model += -X[4718] - Y[153] + X[5988] <= 0
model += X[1094] - X[3978] - X[5503] <= 0
model += X[1094] + X[3978] + X[5503] <= 2
model += X[1165] - X[1340] - X[2150] <= 0
model += X[1165] + X[1340] + X[2150] <= 2
model += -X[1875] + X[173] - X[2552] <= 0
model += -X[1875] - X[173] + X[2552] <= 0
model += X[1681] - X[1705] - X[7027] <= 0
model += X[1681] + X[1705] + X[7027] <= 2
model += -X[5601] + Y[156] - X[2920] <= 0
model += -X[5601] - Y[156] + X[2920] <= 0
model += -X[5226] + Y[157] - X[2564] <= 0
model += -X[5226] - Y[157] + X[2564] <= 0
model += -X[3547] + Y[158] - X[4646] <= 0
model += -X[3547] - Y[158] + X[4646] <= 0
model += -X[2913] + Y[144] - X[2279] <= 0
model += -X[2913] - Y[144] + X[2279] <= 0
model += -X[4197] + Y[145] - X[7079] <= 0
model += -X[4197] - Y[145] + X[7079] <= 0
model += -X[5778] + Y[146] - X[6440] <= 0
model += -X[5778] - Y[146] + X[6440] <= 0
model += -X[3891] + Y[147] - X[4711] <= 0
model += -X[3891] - Y[147] + X[4711] <= 0
model += -X[5499] + Y[148] - X[6361] <= 0
model += -X[5499] - Y[148] + X[6361] <= 0
model += -X[5935] + Y[149] - X[2682] <= 0
model += -X[5935] - Y[149] + X[2682] <= 0
model += -X[7125] + Y[150] - X[4187] <= 0
model += -X[7125] - Y[150] + X[4187] <= 0
model += X[6813] - X[2669] - X[1351] <= 0
model += X[6813] + X[2669] + X[1351] <= 2
model += -X[4439] + X[873] - X[3527] <= 0
model += -X[4439] - X[873] + X[3527] <= 0
model += X[4917] - X[4167] - X[1476] <= 0
model += X[4917] + X[4167] + X[1476] <= 2
model += X[4419] - X[2165] - X[5165] <= 0
model += X[4419] + X[2165] + X[5165] <= 2
model += X[7179] - X[1916] - X[5752] <= 0
model += X[7179] + X[1916] + X[5752] <= 2
model += X[4183] - X[7212] - X[3534] <= 0
model += X[4183] + X[7212] + X[3534] <= 2
model += X[2551] - X[3918] - X[6728] <= 0
model += X[2551] + X[3918] + X[6728] <= 2
model += -X[1868] + Y[144] - X[6691] <= 0
model += -X[1868] - Y[144] + X[6691] <= 0
model += -X[1330] + Y[145] - X[2645] <= 0
model += -X[1330] - Y[145] + X[2645] <= 0
model += -X[1153] + Y[146] - X[1110] <= 0
model += -X[1153] - Y[146] + X[1110] <= 0
model += -X[5366] + Y[147] - X[6222] <= 0
model += -X[5366] - Y[147] + X[6222] <= 0
model += -X[3021] + Y[149] - X[7266] <= 0
model += -X[3021] - Y[149] + X[7266] <= 0
model += -X[1824] + Y[150] - X[2863] <= 0
model += -X[1824] - Y[150] + X[2863] <= 0
model += -X[1109] + Y[151] - X[3614] <= 0
model += -X[1109] - Y[151] + X[3614] <= 0
model += -X[1600] + Y[153] - X[6705] <= 0
model += -X[1600] - Y[153] + X[6705] <= 0
model += -X[4656] + X[1834] - X[713] <= 0
model += -X[4656] - X[1834] + X[713] <= 0
model += X[2380] - X[5150] - X[4977] <= 0
model += X[2380] + X[5150] + X[4977] <= 2
model += -X[6646] + X[6950] - X[585] <= 0
model += -X[6646] - X[6950] + X[585] <= 0
model += -X[405] + X[5859] - X[4095] <= 0
model += -X[405] - X[5859] + X[4095] <= 0
model += X[6913] - X[3757] - X[7004] <= 0
model += X[6913] + X[3757] + X[7004] <= 2
model += X[2001] - X[1256] - X[7536] <= 0
model += X[2001] + X[1256] + X[7536] <= 2
model += X[3301] - X[3651] - X[5707] <= 0
model += X[3301] + X[3651] + X[5707] <= 2
model += -X[6054] + Y[146] - X[3004] <= 0
model += -X[6054] - Y[146] + X[3004] <= 0
model += -X[2679] + Y[147] - X[1944] <= 0
model += -X[2679] - Y[147] + X[1944] <= 0
model += -X[2023] + Y[149] - X[2768] <= 0
model += -X[2023] - Y[149] + X[2768] <= 0
model += -X[5868] + Y[152] - X[3407] <= 0
model += -X[5868] - Y[152] + X[3407] <= 0
model += -X[3075] + Y[154] - X[6273] <= 0
model += -X[3075] - Y[154] + X[6273] <= 0
model += -X[6382] + Y[155] - X[2951] <= 0
model += -X[6382] - Y[155] + X[2951] <= 0
model += -X[5791] + Y[156] - X[3994] <= 0
model += -X[5791] - Y[156] + X[3994] <= 0
model += -X[2802] + X[2562] - X[733] <= 0
model += -X[2802] - X[2562] + X[733] <= 0
model += -X[3068] + X[451] - X[4522] <= 0
model += -X[3068] - X[451] + X[4522] <= 0
model += -X[4125] + X[3688] - X[403] <= 0
model += -X[4125] - X[3688] + X[403] <= 0
model += X[2910] - X[4230] - X[2508] <= 0
model += X[2910] + X[4230] + X[2508] <= 2
model += X[6167] - X[3573] - X[4693] <= 0
model += X[6167] + X[3573] + X[4693] <= 2
model += X[2998] - X[6297] - X[5402] <= 0
model += X[2998] + X[6297] + X[5402] <= 2
model += X[2916] - X[7619] - X[1506] <= 0
model += X[2916] + X[7619] + X[1506] <= 2
model += X[1570] - X[2858] - X[7462] <= 0
model += X[1570] + X[2858] + X[7462] <= 2
model += -X[4379] + Y[151] - X[2972] <= 0
model += -X[4379] - Y[151] + X[2972] <= 0
model += X[1595] - X[3721] - X[3928] <= 0
model += X[1595] + X[3721] + X[3928] <= 2
model += X[2062] - X[2926] - X[2582] <= 0
model += X[2062] + X[2926] + X[2582] <= 2
model += X[7188] - X[2866] - X[6935] <= 0
model += X[7188] + X[2866] + X[6935] <= 2
model += X[2036] - X[2668] - X[4360] <= 0
model += X[2036] + X[2668] + X[4360] <= 2
model += -X[3463] + Y[153] - X[7225] <= 0
model += -X[3463] - Y[153] + X[7225] <= 0
model += -X[4318] + Y[154] - X[6745] <= 0
model += -X[4318] - Y[154] + X[6745] <= 0
model += -X[2065] + Y[155] - X[2477] <= 0
model += -X[2065] - Y[155] + X[2477] <= 0
model += -X[2343] + Y[156] - X[7098] <= 0
model += -X[2343] - Y[156] + X[7098] <= 0
model += -X[5257] + Y[144] - X[3576] <= 0
model += -X[5257] - Y[144] + X[3576] <= 0
model += -X[1657] + Y[145] - X[5056] <= 0
model += -X[1657] - Y[145] + X[5056] <= 0
model += -X[6976] + Y[147] - X[6457] <= 0
model += -X[6976] - Y[147] + X[6457] <= 0
model += X[1516] - X[4687] - X[6537] <= 0
model += X[1516] + X[4687] + X[6537] <= 2
model += -X[7167] + X[311] - X[7713] <= 0
model += -X[7167] - X[311] + X[7713] <= 0
model += X[5340] - X[3728] - X[5013] <= 0
model += X[5340] + X[3728] + X[5013] <= 2
model += X[3625] - X[1130] - X[7422] <= 0
model += X[3625] + X[1130] + X[7422] <= 2
model += X[7092] - X[3978] - X[7307] <= 0
model += X[7092] + X[3978] + X[7307] <= 2
model += -X[5438] + X[1340] - X[880] <= 0
model += -X[5438] - X[1340] + X[880] <= 0
model += X[2820] - X[1705] - X[5170] <= 0
model += X[2820] + X[1705] + X[5170] <= 2
model += -X[7730] + Y[158] - X[1319] <= 0
model += -X[7730] - Y[158] + X[1319] <= 0
model += -X[1229] + Y[159] - X[3861] <= 0
model += -X[1229] - Y[159] + X[3861] <= 0
model += -X[3630] + Y[144] - X[4955] <= 0
model += -X[3630] - Y[144] + X[4955] <= 0
model += -X[1198] + Y[146] - X[7407] <= 0
model += -X[1198] - Y[146] + X[7407] <= 0
model += -X[2571] + Y[147] - X[3244] <= 0
model += -X[2571] - Y[147] + X[3244] <= 0
model += -X[7479] + Y[148] - X[1463] <= 0
model += -X[7479] - Y[148] + X[1463] <= 0
model += -X[2491] + Y[150] - X[6921] <= 0
model += -X[2491] - Y[150] + X[6921] <= 0
model += X[1446] - X[2669] - X[2587] <= 0
model += X[1446] + X[2669] + X[2587] <= 2
model += -X[1842] + X[873] - X[2815] <= 0
model += -X[1842] - X[873] + X[2815] <= 0
model += X[6197] - X[4167] - X[1261] <= 0
model += X[6197] + X[4167] + X[1261] <= 2
model += X[1514] - X[2165] - X[3749] <= 0
model += X[1514] + X[2165] + X[3749] <= 2
model += -X[767] + X[1916] - X[6318] <= 0
model += -X[767] - X[1916] + X[6318] <= 0
model += X[4141] - X[7212] - X[4008] <= 0
model += X[4141] + X[7212] + X[4008] <= 2
model += X[4608] - X[3918] - X[1367] <= 0
model += X[4608] + X[3918] + X[1367] <= 2
model += -X[3332] + Y[145] - X[5648] <= 0
model += -X[3332] - Y[145] + X[5648] <= 0
model += -X[2676] + Y[146] - X[6084] <= 0
model += -X[2676] - Y[146] + X[6084] <= 0
model += -X[2714] + Y[147] - X[3738] <= 0
model += -X[2714] - Y[147] + X[3738] <= 0
model += -X[7507] + Y[148] - X[7606] <= 0
model += -X[7507] - Y[148] + X[7606] <= 0
model += -X[6289] + Y[149] - X[6695] <= 0
model += -X[6289] - Y[149] + X[6695] <= 0
model += -X[4549] + Y[150] - X[4493] <= 0
model += -X[4549] - Y[150] + X[4493] <= 0
model += -X[1954] + Y[151] - X[3352] <= 0
model += -X[1954] - Y[151] + X[3352] <= 0
model += -X[3206] + Y[153] - X[3875] <= 0
model += -X[3206] - Y[153] + X[3875] <= 0
model += X[1726] - X[4805] - X[1038] <= 0
model += X[1726] + X[4805] + X[1038] <= 2
model += X[1496] - X[1834] - X[7659] <= 0
model += X[1496] + X[1834] + X[7659] <= 2
model += X[1912] - X[5150] - X[7527] <= 0
model += X[1912] + X[5150] + X[7527] <= 2
model += X[2059] - X[6950] - X[2271] <= 0
model += X[2059] + X[6950] + X[2271] <= 2
model += X[4272] - X[5859] - X[7709] <= 0
model += X[4272] + X[5859] + X[7709] <= 2
model += X[5519] - X[3757] - X[2744] <= 0
model += X[5519] + X[3757] + X[2744] <= 2
model += X[7137] - X[1256] - X[3133] <= 0
model += X[7137] + X[1256] + X[3133] <= 2
model += X[5909] - X[3651] - X[7117] <= 0
model += X[5909] + X[3651] + X[7117] <= 2
model += -X[7762] + Y[146] - X[2475] <= 0
model += -X[7762] - Y[146] + X[2475] <= 0
model += -X[1639] + Y[147] - X[6487] <= 0
model += -X[1639] - Y[147] + X[6487] <= 0
model += -X[7252] + Y[148] - X[5042] <= 0
model += -X[7252] - Y[148] + X[5042] <= 0
model += X[5537] - X[5094] - X[1731] <= 0
model += X[5537] + X[5094] + X[1731] <= 2
model += X[6040] - X[1721] - X[1787] <= 0
model += X[6040] + X[1721] + X[1787] <= 2
model += X[6828] - X[6031] - X[6955] <= 0
model += X[6828] + X[6031] + X[6955] <= 2
model += X[1972] - X[3233] - X[7658] <= 0
model += X[1972] + X[3233] + X[7658] <= 2
model += -X[5058] + Y[150] - X[4579] <= 0
model += -X[5058] - Y[150] + X[4579] <= 0
model += -X[4979] + Y[152] - X[1806] <= 0
model += -X[4979] - Y[152] + X[1806] <= 0
model += -X[1897] + Y[153] - X[4204] <= 0
model += -X[1897] - Y[153] + X[4204] <= 0
model += -X[7427] + Y[156] - X[6523] <= 0
model += -X[7427] - Y[156] + X[6523] <= 0
model += X[3780] - X[2562] - X[2800] <= 0
model += X[3780] + X[2562] + X[2800] <= 2
model += -X[6365] + X[451] - X[5009] <= 0
model += -X[6365] - X[451] + X[5009] <= 0
model += X[3444] - X[3688] - X[2392] <= 0
model += X[3444] + X[3688] + X[2392] <= 2
model += -X[5572] + X[4230] - X[941] <= 0
model += -X[5572] - X[4230] + X[941] <= 0
model += X[2406] - X[3573] - X[5654] <= 0
model += X[2406] + X[3573] + X[5654] <= 2
model += X[2478] - X[6297] - X[5853] <= 0
model += X[2478] + X[6297] + X[5853] <= 2
model += X[2996] - X[7619] - X[6472] <= 0
model += X[2996] + X[7619] + X[6472] <= 2
model += X[6750] - X[2858] - X[4029] <= 0
model += X[6750] + X[2858] + X[4029] <= 2
model += X[7132] - X[3721] - X[3579] <= 0
model += X[7132] + X[3721] + X[3579] <= 2
model += X[1499] - X[2926] - X[7708] <= 0
model += X[1499] + X[2926] + X[7708] <= 2
model += -X[222] + X[2866] - X[6281] <= 0
model += -X[222] - X[2866] + X[6281] <= 0
model += X[1905] - X[2668] - X[7669] <= 0
model += X[1905] + X[2668] + X[7669] <= 2
model += -X[2791] + Y[153] - X[3037] <= 0
model += -X[2791] - Y[153] + X[3037] <= 0
model += -X[7768] + Y[154] - X[2778] <= 0
model += -X[7768] - Y[154] + X[2778] <= 0
model += -X[3355] + Y[155] - X[4188] <= 0
model += -X[3355] - Y[155] + X[4188] <= 0
model += -X[6168] + Y[156] - X[2545] <= 0
model += -X[6168] - Y[156] + X[2545] <= 0
model += -X[1051] + Y[157] - X[6007] <= 0
model += -X[1051] - Y[157] + X[6007] <= 0
model += -X[7334] + Y[145] - X[7508] <= 0
model += -X[7334] - Y[145] + X[7508] <= 0
model += -X[6009] + Y[147] - X[5993] <= 0
model += -X[6009] - Y[147] + X[5993] <= 0
model += X[4826] - X[4687] - X[3518] <= 0
model += X[4826] + X[4687] + X[3518] <= 2
model += -X[2529] + X[311] - X[1399] <= 0
model += -X[2529] - X[311] + X[1399] <= 0
model += X[2658] - X[1130] - X[7253] <= 0
model += X[2658] + X[1130] + X[7253] <= 2
model += -X[122] + X[3978] - X[5890] <= 0
model += -X[122] - X[3978] + X[5890] <= 0
model += X[3102] - X[1340] - X[4078] <= 0
model += X[3102] + X[1340] + X[4078] <= 2
model += -X[4432] + Y[156] - X[7623] <= 0
model += -X[4432] - Y[156] + X[7623] <= 0
model += -X[2095] + Y[157] - X[3639] <= 0
model += -X[2095] - Y[157] + X[3639] <= 0
model += -X[5904] + Y[158] - X[5244] <= 0
model += -X[5904] - Y[158] + X[5244] <= 0
model += -X[5870] + Y[159] - X[5264] <= 0
model += -X[5870] - Y[159] + X[5264] <= 0
model += -X[5258] + Y[145] - X[7245] <= 0
model += -X[5258] - Y[145] + X[7245] <= 0
model += -X[3582] + Y[147] - X[1888] <= 0
model += -X[3582] - Y[147] + X[1888] <= 0
model += -X[6687] + Y[148] - X[4780] <= 0
model += -X[6687] - Y[148] + X[4780] <= 0
model += -X[5847] + Y[150] - X[5756] <= 0
model += -X[5847] - Y[150] + X[5756] <= 0
model += X[5947] - X[2669] - X[3053] <= 0
model += X[5947] + X[2669] + X[3053] <= 2
model += X[5815] - X[4167] - X[6510] <= 0
model += X[5815] + X[4167] + X[6510] <= 2
model += -X[6285] + X[2165] - X[506] <= 0
model += -X[6285] - X[2165] + X[506] <= 0
model += X[6126] - X[1916] - X[3578] <= 0
model += X[6126] + X[1916] + X[3578] <= 2
model += X[6742] - X[7212] - X[4946] <= 0
model += X[6742] + X[7212] + X[4946] <= 2
model += -X[3748] + Y[159] - X[2168] <= 0
model += -X[3748] - Y[159] + X[2168] <= 0
model += -X[4952] + Y[145] - X[6802] <= 0
model += -X[4952] - Y[145] + X[6802] <= 0
model += X[4521] - X[7385] - X[7583] <= 0
model += X[4521] + X[7385] + X[7583] <= 2
model += X[7286] - X[1884] - X[5077] <= 0
model += X[7286] + X[1884] + X[5077] <= 2
model += X[1346] - X[7748] - X[4868] <= 0
model += X[1346] + X[7748] + X[4868] <= 2
model += -X[4003] + Y[148] - X[3912] <= 0
model += -X[4003] - Y[148] + X[3912] <= 0
model += -X[7196] + Y[151] - X[2092] <= 0
model += -X[7196] - Y[151] + X[2092] <= 0
model += -X[1800] + Y[152] - X[5505] <= 0
model += -X[1800] - Y[152] + X[5505] <= 0
model += -X[2905] + Y[153] - X[6037] <= 0
model += -X[2905] - Y[153] + X[6037] <= 0
model += X[5033] - X[4805] - X[6815] <= 0
model += X[5033] + X[4805] + X[6815] <= 2
model += X[2743] - X[1834] - X[7100] <= 0
model += X[2743] + X[1834] + X[7100] <= 2
model += X[6251] - X[5150] - X[6579] <= 0
model += X[6251] + X[5150] + X[6579] <= 2
model += -X[2959] + X[6950] - X[858] <= 0
model += -X[2959] - X[6950] + X[858] <= 0
model += -X[452] + X[5859] - X[3211] <= 0
model += -X[452] - X[5859] + X[3211] <= 0
model += X[1608] - X[3757] - X[4421] <= 0
model += X[1608] + X[3757] + X[4421] <= 2
model += X[3754] - X[1256] - X[4617] <= 0
model += X[3754] + X[1256] + X[4617] <= 2
model += -X[7403] + X[3651] - X[169] <= 0
model += -X[7403] - X[3651] + X[169] <= 0
model += X[1003] - X[5094] - X[2661] <= 0
model += X[1003] + X[5094] + X[2661] <= 2
model += X[6286] - X[1721] - X[4975] <= 0
model += X[6286] + X[1721] + X[4975] <= 2
model += X[4806] - X[6031] - X[4980] <= 0
model += X[4806] + X[6031] + X[4980] <= 2
model += X[6492] - X[3233] - X[3992] <= 0
model += X[6492] + X[3233] + X[3992] <= 2
model += -X[7342] + Y[150] - X[3042] <= 0
model += -X[7342] - Y[150] + X[3042] <= 0
model += -X[1907] + Y[152] - X[4049] <= 0
model += -X[1907] - Y[152] + X[4049] <= 0
model += -X[1617] + Y[153] - X[6276] <= 0
model += -X[1617] - Y[153] + X[6276] <= 0
model += -X[1510] + Y[154] - X[7375] <= 0
model += -X[1510] - Y[154] + X[7375] <= 0
model += -X[3478] + Y[155] - X[4615] <= 0
model += -X[3478] - Y[155] + X[4615] <= 0
model += -X[4307] + Y[156] - X[4212] <= 0
model += -X[4307] - Y[156] + X[4212] <= 0
model += X[5156] - X[2562] - X[2977] <= 0
model += X[5156] + X[2562] + X[2977] <= 2
model += -X[4819] + X[451] - X[4018] <= 0
model += -X[4819] - X[451] + X[4018] <= 0
model += X[7256] - X[3688] - X[2470] <= 0
model += X[7256] + X[3688] + X[2470] <= 2
model += X[6875] - X[4230] - X[5329] <= 0
model += X[6875] + X[4230] + X[5329] <= 2
model += X[7663] - X[3573] - X[3883] <= 0
model += X[7663] + X[3573] + X[3883] <= 2
model += X[7587] - X[6297] - X[1990] <= 0
model += X[7587] + X[6297] + X[1990] <= 2
model += X[5394] - X[7619] - X[6506] <= 0
model += X[5394] + X[7619] + X[6506] <= 2
model += -X[235] + X[2858] - X[3442] <= 0
model += -X[235] - X[2858] + X[3442] <= 0
model += -X[305] + X[3721] - X[7772] <= 0
model += -X[305] - X[3721] + X[7772] <= 0
model += X[2981] - X[2926] - X[2365] <= 0
model += X[2981] + X[2926] + X[2365] <= 2
model += X[3622] - X[2866] - X[2197] <= 0
model += X[3622] + X[2866] + X[2197] <= 2
model += -X[288] + X[2668] - X[5299] <= 0
model += -X[288] - X[2668] + X[5299] <= 0
model += -X[5704] + Y[153] - X[3491] <= 0
model += -X[5704] - Y[153] + X[3491] <= 0
model += -X[4228] + Y[154] - X[3628] <= 0
model += -X[4228] - Y[154] + X[3628] <= 0
model += -X[7425] + Y[155] - X[1354] <= 0
model += -X[7425] - Y[155] + X[1354] <= 0
model += -X[2584] + Y[157] - X[4761] <= 0
model += -X[2584] - Y[157] + X[4761] <= 0
model += -X[7577] + Y[158] - X[1715] <= 0
model += -X[7577] - Y[158] + X[1715] <= 0
model += -X[6908] + Y[159] - X[5801] <= 0
model += -X[6908] - Y[159] + X[5801] <= 0
model += -X[4453] + Y[144] - X[7675] <= 0
model += -X[4453] - Y[144] + X[7675] <= 0
model += -X[6876] + Y[145] - X[6752] <= 0
model += -X[6876] - Y[145] + X[6752] <= 0
model += -X[5496] + Y[146] - X[1640] <= 0
model += -X[5496] - Y[146] + X[1640] <= 0
model += -X[4195] + Y[147] - X[5905] <= 0
model += -X[4195] - Y[147] + X[5905] <= 0
model += X[6193] - X[4687] - X[2814] <= 0
model += X[6193] + X[4687] + X[2814] <= 2
model += -X[6072] + X[311] - X[5104] <= 0
model += -X[6072] - X[311] + X[5104] <= 0
model += X[7325] - X[3728] - X[6769] <= 0
model += X[7325] + X[3728] + X[6769] <= 2
model += -X[809] + X[1130] - X[3687] <= 0
model += -X[809] - X[1130] + X[3687] <= 0
model += X[1725] - X[3978] - X[4769] <= 0
model += X[1725] + X[3978] + X[4769] <= 2
model += X[1923] - X[1340] - X[1536] <= 0
model += X[1923] + X[1340] + X[1536] <= 2
model += X[6364] - X[1705] - X[4716] <= 0
model += X[6364] + X[1705] + X[4716] <= 2
model += -X[5460] + Y[156] - X[3542] <= 0
model += -X[5460] - Y[156] + X[3542] <= 0
model += -X[2313] + Y[157] - X[1486] <= 0
model += -X[2313] - Y[157] + X[1486] <= 0
model += -X[6980] + Y[158] - X[5530] <= 0
model += -X[6980] - Y[158] + X[5530] <= 0
model += -X[4552] + X[2957] - X[682] <= 0
model += -X[4552] - X[2957] + X[682] <= 0
model += X[4827] - X[4973] - X[3018] <= 0
model += X[4827] + X[4973] + X[3018] <= 2
model += -X[4883] + X[539] - X[2662] <= 0
model += -X[4883] - X[539] + X[2662] <= 0
model += X[1223] - X[2275] - X[4512] <= 0
model += X[1223] + X[2275] + X[4512] <= 2
model += -X[7264] + Y[144] - X[6107] <= 0
model += -X[7264] - Y[144] + X[6107] <= 0
model += -X[4822] + Y[145] - X[4987] <= 0
model += -X[4822] - Y[145] + X[4987] <= 0
model += -X[2495] + Y[146] - X[1316] <= 0
model += -X[2495] - Y[146] + X[1316] <= 0
model += -X[3496] + Y[147] - X[6272] <= 0
model += -X[3496] - Y[147] + X[6272] <= 0
model += -X[3908] + Y[149] - X[6571] <= 0
model += -X[3908] - Y[149] + X[6571] <= 0
model += -X[402] + X[2669] - X[2758] <= 0
model += -X[402] - X[2669] + X[2758] <= 0
model += -X[3855] + X[873] - X[6855] <= 0
model += -X[3855] - X[873] + X[6855] <= 0
model += X[2885] - X[4167] - X[2796] <= 0
model += X[2885] + X[4167] + X[2796] <= 2
model += X[2194] - X[2165] - X[6061] <= 0
model += X[2194] + X[2165] + X[6061] <= 2
model += X[3230] - X[1916] - X[2720] <= 0
model += X[3230] + X[1916] + X[2720] <= 2
model += X[2468] - X[7212] - X[6763] <= 0
model += X[2468] + X[7212] + X[6763] <= 2
model += X[4689] - X[3918] - X[4096] <= 0
model += X[4689] + X[3918] + X[4096] <= 2
model += X[4192] - X[4295] - X[7185] <= 0
model += X[4192] + X[4295] + X[7185] <= 2
model += -X[6619] + X[7385] - X[683] <= 0
model += -X[6619] - X[7385] + X[683] <= 0
model += -X[753] + X[1884] - X[6271] <= 0
model += -X[753] - X[1884] + X[6271] <= 0
model += X[3246] - X[7748] - X[2740] <= 0
model += X[3246] + X[7748] + X[2740] <= 2
model += -X[6448] + Y[148] - X[5067] <= 0
model += -X[6448] - Y[148] + X[5067] <= 0
model += -X[6433] + Y[149] - X[4166] <= 0
model += -X[6433] - Y[149] + X[4166] <= 0
model += -X[4778] + Y[150] - X[3655] <= 0
model += -X[4778] - Y[150] + X[3655] <= 0
model += -X[6524] + Y[152] - X[5467] <= 0
model += -X[6524] - Y[152] + X[5467] <= 0
model += -X[2339] + Y[153] - X[7086] <= 0
model += -X[2339] - Y[153] + X[7086] <= 0
model += X[1209] - X[4805] - X[7638] <= 0
model += X[1209] + X[4805] + X[7638] <= 2
model += X[1448] - X[1834] - X[6404] <= 0
model += X[1448] + X[1834] + X[6404] <= 2
model += X[7572] - X[5150] - X[2325] <= 0
model += X[7572] + X[5150] + X[2325] <= 2
model += -X[362] + X[6950] - X[3309] <= 0
model += -X[362] - X[6950] + X[3309] <= 0
model += -X[6317] + X[5859] - X[686] <= 0
model += -X[6317] - X[5859] + X[686] <= 0
model += X[5821] - X[1256] - X[4508] <= 0
model += X[5821] + X[1256] + X[4508] <= 2
model += X[4800] - X[5094] - X[5196] <= 0
model += X[4800] + X[5094] + X[5196] <= 2
model += X[5395] - X[1721] - X[5828] <= 0
model += X[5395] + X[1721] + X[5828] <= 2
model += X[2946] - X[6031] - X[6682] <= 0
model += X[2946] + X[6031] + X[6682] <= 2
model += X[1906] - X[3233] - X[6239] <= 0
model += X[1906] + X[3233] + X[6239] <= 2
model += -X[1614] + Y[150] - X[7596] <= 0
model += -X[1614] - Y[150] + X[7596] <= 0
model += -X[5681] + Y[151] - X[4765] <= 0
model += -X[5681] - Y[151] + X[4765] <= 0
model += -X[4274] + Y[152] - X[2175] <= 0
model += -X[4274] - Y[152] + X[2175] <= 0
model += -X[3152] + Y[153] - X[6245] <= 0
model += -X[3152] - Y[153] + X[6245] <= 0
model += -X[4175] + Y[154] - X[5632] <= 0
model += -X[4175] - Y[154] + X[5632] <= 0
model += -X[1556] + Y[155] - X[7023] <= 0
model += -X[1556] - Y[155] + X[7023] <= 0
model += -X[5774] + Y[156] - X[2020] <= 0
model += -X[5774] - Y[156] + X[2020] <= 0
model += X[4876] - X[2562] - X[6622] <= 0
model += X[4876] + X[2562] + X[6622] <= 2
model += -X[7177] + X[451] - X[4773] <= 0
model += -X[7177] - X[451] + X[4773] <= 0
model += X[6340] - X[3688] - X[7529] <= 0
model += X[6340] + X[3688] + X[7529] <= 2
model += X[3619] - X[4230] - X[5166] <= 0
model += X[3619] + X[4230] + X[5166] <= 2
model += X[3462] - X[3573] - X[1197] <= 0
model += X[3462] + X[3573] + X[1197] <= 2
model += -X[349] + X[6297] - X[5889] <= 0
model += -X[349] - X[6297] + X[5889] <= 0
model += X[7180] - X[7619] - X[4258] <= 0
model += X[7180] + X[7619] + X[4258] <= 2
model += -X[6486] + X[2858] - X[519] <= 0
model += -X[6486] - X[2858] + X[519] <= 0
model += X[1994] - X[3721] - X[1752] <= 0
model += X[1994] + X[3721] + X[1752] <= 2
model += X[2754] - X[2926] - X[6583] <= 0
model += X[2754] + X[2926] + X[6583] <= 2
model += X[4412] - X[2866] - X[6476] <= 0
model += X[4412] + X[2866] + X[6476] <= 2
model += X[3227] - X[2668] - X[5565] <= 0
model += X[3227] + X[2668] + X[5565] <= 2
model += -X[1755] + Y[153] - X[2956] <= 0
model += -X[1755] - Y[153] + X[2956] <= 0
model += -X[4001] + Y[154] - X[7686] <= 0
model += -X[4001] - Y[154] + X[7686] <= 0
model += -X[7570] + Y[155] - X[3400] <= 0
model += -X[7570] - Y[155] + X[3400] <= 0
model += X[1710] - X[5096] - X[3718] <= 0
model += X[1710] + X[5096] + X[3718] <= 2
model += X[7144] - X[7547] - X[7600] <= 0
model += X[7144] + X[7547] + X[7600] <= 2
model += -X[725] + X[3796] - X[3565] <= 0
model += -X[725] - X[3796] + X[3565] <= 0
model += -X[4385] + Y[158] - X[5493] <= 0
model += -X[4385] - Y[158] + X[5493] <= 0
model += -X[6409] + Y[159] - X[5879] <= 0
model += -X[6409] - Y[159] + X[5879] <= 0
model += -X[1178] + Y[145] - X[4583] <= 0
model += -X[1178] - Y[145] + X[4583] <= 0
model += -X[2439] + Y[146] - X[5501] <= 0
model += -X[2439] - Y[146] + X[5501] <= 0
model += -X[1844] + Y[147] - X[6322] <= 0
model += -X[1844] - Y[147] + X[6322] <= 0
model += -X[1460] + X[4687] - X[846] <= 0
model += -X[1460] - X[4687] + X[846] <= 0
model += -X[6899] + X[311] - X[6678] <= 0
model += -X[6899] - X[311] + X[6678] <= 0
model += X[3253] - X[3728] - X[6391] <= 0
model += X[3253] + X[3728] + X[6391] <= 2
model += X[7251] - X[1130] - X[1097] <= 0
model += X[7251] + X[1130] + X[1097] <= 2
model += X[1658] - X[3978] - X[6824] <= 0
model += X[1658] + X[3978] + X[6824] <= 2
model += X[2340] - X[1340] - X[1061] <= 0
model += X[2340] + X[1340] + X[1061] <= 2
model += -X[6026] + X[173] - X[5230] <= 0
model += -X[6026] - X[173] + X[5230] <= 0
model += X[3126] - X[1705] - X[4238] <= 0
model += X[3126] + X[1705] + X[4238] <= 2
model += X[1976] - X[2957] - X[1084] <= 0
model += X[1976] + X[2957] + X[1084] <= 2
model += -X[607] + X[4973] - X[5482] <= 0
model += -X[607] - X[4973] + X[5482] <= 0
model += X[7590] - X[2275] - X[6726] <= 0
model += X[7590] + X[2275] + X[6726] <= 2
model += -X[5510] + Y[144] - X[1309] <= 0
model += -X[5510] - Y[144] + X[1309] <= 0
model += -X[4889] + Y[146] - X[2192] <= 0
model += -X[4889] - Y[146] + X[2192] <= 0
model += -X[4841] + Y[147] - X[3144] <= 0
model += -X[4841] - Y[147] + X[3144] <= 0
model += -X[1126] + Y[148] - X[6304] <= 0
model += -X[1126] - Y[148] + X[6304] <= 0
model += -X[6665] + Y[149] - X[4046] <= 0
model += -X[6665] - Y[149] + X[4046] <= 0
model += -X[3418] + Y[150] - X[1889] <= 0
model += -X[3418] - Y[150] + X[1889] <= 0
model += X[3134] - X[2669] - X[1738] <= 0
model += X[3134] + X[2669] + X[1738] <= 2
model += X[6462] - X[4167] - X[2228] <= 0
model += X[6462] + X[4167] + X[2228] <= 2
model += -X[471] + X[2165] - X[6157] <= 0
model += -X[471] - X[2165] + X[6157] <= 0
model += X[5466] - X[1916] - X[5820] <= 0
model += X[5466] + X[1916] + X[5820] <= 2
model += -X[1254] + X[7212] - X[477] <= 0
model += -X[1254] - X[7212] + X[477] <= 0
model += X[6435] - X[3918] - X[4464] <= 0
model += X[6435] + X[3918] + X[4464] <= 2
model += -X[676] + X[4295] - X[3250] <= 0
model += -X[676] - X[4295] + X[3250] <= 0
model += X[6620] - X[7385] - X[5065] <= 0
model += X[6620] + X[7385] + X[5065] <= 2
model += X[7269] - X[1884] - X[3450] <= 0
model += X[7269] + X[1884] + X[3450] <= 2
model += X[3772] - X[7748] - X[3948] <= 0
model += X[3772] + X[7748] + X[3948] <= 2
model += -X[4537] + Y[147] - X[7701] <= 0
model += -X[4537] - Y[147] + X[7701] <= 0
model += -X[1140] + Y[148] - X[2088] <= 0
model += -X[1140] - Y[148] + X[2088] <= 0
model += -X[4731] + Y[149] - X[5420] <= 0
model += -X[4731] - Y[149] + X[5420] <= 0
model += -X[5860] + Y[150] - X[6577] <= 0
model += -X[5860] - Y[150] + X[6577] <= 0
model += -X[7405] + Y[151] - X[4130] <= 0
model += -X[7405] - Y[151] + X[4130] <= 0
model += -X[5825] + Y[152] - X[6710] <= 0
model += -X[5825] - Y[152] + X[6710] <= 0
model += -X[1625] + Y[153] - X[2242] <= 0
model += -X[1625] - Y[153] + X[2242] <= 0
model += X[5066] - X[4805] - X[7340] <= 0
model += X[5066] + X[4805] + X[7340] <= 2
model += X[7142] - X[1834] - X[7246] <= 0
model += X[7142] + X[1834] + X[7246] <= 2
model += X[6844] - X[5150] - X[6257] <= 0
model += X[6844] + X[5150] + X[6257] <= 2
model += X[7563] - X[6950] - X[3362] <= 0
model += X[7563] + X[6950] + X[3362] <= 2
model += X[1609] - X[5859] - X[4609] <= 0
model += X[1609] + X[5859] + X[4609] <= 2
model += X[1850] - X[3757] - X[2014] <= 0
model += X[1850] + X[3757] + X[2014] <= 2
model += X[6280] - X[1256] - X[7343] <= 0
model += X[6280] + X[1256] + X[7343] <= 2
model += X[6582] - X[3651] - X[7732] <= 0
model += X[6582] + X[3651] + X[7732] <= 2
model += X[1220] - X[5094] - X[1651] <= 0
model += X[1220] + X[5094] + X[1651] <= 2
model += -X[110] + X[1721] - X[4804] <= 0
model += -X[110] - X[1721] + X[4804] <= 0
model += -X[3831] + X[6031] - X[844] <= 0
model += -X[3831] - X[6031] + X[844] <= 0
model += X[4632] - X[3233] - X[4119] <= 0
model += X[4632] + X[3233] + X[4119] <= 2
model += -X[2286] + Y[150] - X[7710] <= 0
model += -X[2286] - Y[150] + X[7710] <= 0
model += -X[6498] + Y[151] - X[5189] <= 0
model += -X[6498] - Y[151] + X[5189] <= 0
model += -X[2861] + Y[152] - X[4854] <= 0
model += -X[2861] - Y[152] + X[4854] <= 0
model += X[3077] - X[1776] - X[2066] <= 0
model += X[3077] + X[1776] + X[2066] <= 2
model += X[1438] - X[4203] - X[1644] <= 0
model += X[1438] + X[4203] + X[1644] <= 2
model += X[1318] - X[7197] - X[2277] <= 0
model += X[1318] + X[7197] + X[2277] <= 2
model += X[4569] - X[4795] - X[4644] <= 0
model += X[4569] + X[4795] + X[4644] <= 2
model += -X[4393] + Y[154] - X[7785] <= 0
model += -X[4393] - Y[154] + X[7785] <= 0
model += -X[1959] + Y[156] - X[3820] <= 0
model += -X[1959] - Y[156] + X[3820] <= 0
model += -X[6545] + X[2562] - X[975] <= 0
model += -X[6545] - X[2562] + X[975] <= 0
model += -X[7595] + X[451] - X[2117] <= 0
model += -X[7595] - X[451] + X[2117] <= 0
model += X[6180] - X[3688] - X[3239] <= 0
model += X[6180] + X[3688] + X[3239] <= 2
model += X[5425] - X[4230] - X[7528] <= 0
model += X[5425] + X[4230] + X[7528] <= 2
model += X[1301] - X[3573] - X[3808] <= 0
model += X[1301] + X[3573] + X[3808] <= 2
model += X[3464] - X[6297] - X[1169] <= 0
model += X[3464] + X[6297] + X[1169] <= 2
model += X[2043] - X[7619] - X[1373] <= 0
model += X[2043] + X[7619] + X[1373] <= 2
model += X[4457] - X[2858] - X[6827] <= 0
model += X[4457] + X[2858] + X[6827] <= 2
model += X[3201] - X[2926] - X[2753] <= 0
model += X[3201] + X[2926] + X[2753] <= 2
model += X[5697] - X[2866] - X[4536] <= 0
model += X[5697] + X[2866] + X[4536] <= 2
model += X[1870] - X[5096] - X[2030] <= 0
model += X[1870] + X[5096] + X[2030] <= 2
model += X[5192] - X[7547] - X[2953] <= 0
model += X[5192] + X[7547] + X[2953] <= 2
model += -X[3248] + X[179] - X[3421] <= 0
model += -X[3248] - X[179] + X[3421] <= 0
model += X[6259] - X[3796] - X[5750] <= 0
model += X[6259] + X[3796] + X[5750] <= 2
model += -X[2085] + Y[158] - X[7000] <= 0
model += -X[2085] - Y[158] + X[7000] <= 0
model += -X[6160] + Y[159] - X[4109] <= 0
model += -X[6160] - Y[159] + X[4109] <= 0
model += -X[4297] + Y[144] - X[4247] <= 0
model += -X[4297] - Y[144] + X[4247] <= 0
model += -X[7186] + Y[145] - X[4397] <= 0
model += -X[7186] - Y[145] + X[4397] <= 0
model += -X[1273] + Y[146] - X[5095] <= 0
model += -X[1273] - Y[146] + X[5095] <= 0
model += -X[2363] + Y[147] - X[7310] <= 0
model += -X[2363] - Y[147] + X[7310] <= 0
model += X[4112] - X[4687] - X[6677] <= 0
model += X[4112] + X[4687] + X[6677] <= 2
model += -X[5465] + X[311] - X[5353] <= 0
model += -X[5465] - X[311] + X[5353] <= 0
model += X[3088] - X[3728] - X[5962] <= 0
model += X[3088] + X[3728] + X[5962] <= 2
model += X[3758] - X[1130] - X[5214] <= 0
model += X[3758] + X[1130] + X[5214] <= 2
model += X[1498] - X[3978] - X[3923] <= 0
model += X[1498] + X[3978] + X[3923] <= 2
model += -X[611] + X[1340] - X[6200] <= 0
model += -X[611] - X[1340] + X[6200] <= 0
model += -X[5344] + X[173] - X[2289] <= 0
model += -X[5344] - X[173] + X[2289] <= 0
model += X[6213] - X[1705] - X[6085] <= 0
model += X[6213] + X[1705] + X[6085] <= 2
model += -X[892] + X[2957] - X[5254] <= 0
model += -X[892] - X[2957] + X[5254] <= 0
model += X[3396] - X[4973] - X[5657] <= 0
model += X[3396] + X[4973] + X[5657] <= 2
model += -X[3081] + X[539] - X[4643] <= 0
model += -X[3081] - X[539] + X[4643] <= 0
model += -X[7102] + Y[145] - X[7424] <= 0
model += -X[7102] - Y[145] + X[7424] <= 0
model += -X[2182] + Y[146] - X[2125] <= 0
model += -X[2182] - Y[146] + X[2125] <= 0
model += -X[3999] + Y[147] - X[4601] <= 0
model += -X[3999] - Y[147] + X[4601] <= 0
model += -X[6882] + Y[148] - X[4587] <= 0
model += -X[6882] - Y[148] + X[4587] <= 0
model += -X[6296] + Y[150] - X[1240] <= 0
model += -X[6296] - Y[150] + X[1240] <= 0
model += X[3267] - X[2669] - X[1091] <= 0
model += X[3267] + X[2669] + X[1091] <= 2
model += X[7025] - X[4167] - X[4224] <= 0
model += X[7025] + X[4167] + X[4224] <= 2
model += X[1587] - X[2165] - X[2949] <= 0
model += X[1587] + X[2165] + X[2949] <= 2
model += X[5432] - X[1916] - X[4873] <= 0
model += X[5432] + X[1916] + X[4873] <= 2
model += X[5336] - X[7212] - X[3170] <= 0
model += X[5336] + X[7212] + X[3170] <= 2
model += X[3027] - X[3918] - X[2280] <= 0
model += X[3027] + X[3918] + X[2280] <= 2
model += X[3859] - X[4295] - X[1365] <= 0
model += X[3859] + X[4295] + X[1365] <= 2
model += -X[3779] + X[7385] - X[396] <= 0
model += -X[3779] - X[7385] + X[396] <= 0
model += X[6175] - X[1884] - X[1930] <= 0
model += X[6175] + X[1884] + X[1930] <= 2
model += X[5862] - X[7748] - X[7783] <= 0
model += X[5862] + X[7748] + X[7783] <= 2
model += -X[5378] + Y[147] - X[3404] <= 0
model += -X[5378] - Y[147] + X[3404] <= 0
model += -X[2695] + Y[148] - X[5274] <= 0
model += -X[2695] - Y[148] + X[5274] <= 0
model += -X[2749] + Y[149] - X[3501] <= 0
model += -X[2749] - Y[149] + X[3501] <= 0
model += -X[344] + X[4345] - X[2034] <= 0
model += -X[344] - X[4345] + X[2034] <= 0
model += X[5712] - X[4811] - X[2407] <= 0
model += X[5712] + X[4811] + X[2407] <= 2
model += -X[6178] + X[910] - X[1299] <= 0
model += -X[6178] - X[910] + X[1299] <= 0
model += -X[7441] + Y[152] - X[6303] <= 0
model += -X[7441] - Y[152] + X[6303] <= 0
model += -X[3856] + Y[153] - X[2938] <= 0
model += -X[3856] - Y[153] + X[2938] <= 0
model += X[6376] - X[4805] - X[2930] <= 0
model += X[6376] + X[4805] + X[2930] <= 2
model += -X[436] + X[1834] - X[1866] <= 0
model += -X[436] - X[1834] + X[1866] <= 0
model += X[3784] - X[5150] - X[7094] <= 0
model += X[3784] + X[5150] + X[7094] <= 2
model += X[6091] - X[6950] - X[3082] <= 0
model += X[6091] + X[6950] + X[3082] <= 2
model += X[3327] - X[5859] - X[4606] <= 0
model += X[3327] + X[5859] + X[4606] <= 2
model += X[3345] - X[3757] - X[6820] <= 0
model += X[3345] + X[3757] + X[6820] <= 2
model += X[6399] - X[1256] - X[4202] <= 0
model += X[6399] + X[1256] + X[4202] <= 2
model += X[2261] - X[3651] - X[3399] <= 0
model += X[2261] + X[3651] + X[3399] <= 2
model += -X[6048] + X[5094] - X[864] <= 0
model += -X[6048] - X[5094] + X[864] <= 0
model += X[5564] - X[1721] - X[1431] <= 0
model += X[5564] + X[1721] + X[1431] <= 2
model += -X[4903] + X[6031] - X[929] <= 0
model += -X[4903] - X[6031] + X[929] <= 0
model += X[3538] - X[3233] - X[3562] <= 0
model += X[3538] + X[3233] + X[3562] <= 2
model += -X[248] + X[1776] - X[1964] <= 0
model += -X[248] - X[1776] + X[1964] <= 0
model += X[3764] - X[4203] - X[5174] <= 0
model += X[3764] + X[4203] + X[5174] <= 2
model += -X[828] + X[7197] - X[5513] <= 0
model += -X[828] - X[7197] + X[5513] <= 0
model += X[4603] - X[4795] - X[5054] <= 0
model += X[4603] + X[4795] + X[5054] <= 2
model += -X[6605] + Y[154] - X[5093] <= 0
model += -X[6605] - Y[154] + X[5093] <= 0
model += -X[1086] + Y[155] - X[7013] <= 0
model += -X[1086] - Y[155] + X[7013] <= 0
model += -X[5266] + Y[156] - X[2797] <= 0
model += -X[5266] - Y[156] + X[2797] <= 0
model += -X[4401] + X[451] - X[2008] <= 0
model += -X[4401] - X[451] + X[2008] <= 0
model += X[6333] - X[3688] - X[1713] <= 0
model += X[6333] + X[3688] + X[1713] <= 2
model += X[4945] - X[4230] - X[6413] <= 0
model += X[4945] + X[4230] + X[6413] <= 2
model += X[5233] - X[3573] - X[5126] <= 0
model += X[5233] + X[3573] + X[5126] <= 2
model += X[7075] - X[6297] - X[5713] <= 0
model += X[7075] + X[6297] + X[5713] <= 2
model += X[5463] - X[7619] - X[7685] <= 0
model += X[5463] + X[7619] + X[7685] <= 2
model += X[2419] - X[2858] - X[1182] <= 0
model += X[2419] + X[2858] + X[1182] <= 2
model += X[6746] - X[3721] - X[5386] <= 0
model += X[6746] + X[3721] + X[5386] <= 2
model += X[6610] - X[2926] - X[3882] <= 0
model += X[6610] + X[2926] + X[3882] <= 2
model += -X[4923] + X[2866] - X[177] <= 0
model += -X[4923] - X[2866] + X[177] <= 0
model += X[7784] - X[2668] - X[4251] <= 0
model += X[7784] + X[2668] + X[4251] <= 2
model += X[3323] - X[5096] - X[7520] <= 0
model += X[3323] + X[5096] + X[7520] <= 2
model += X[3602] - X[7547] - X[2919] <= 0
model += X[3602] + X[7547] + X[2919] <= 2
model += -X[3127] + X[179] - X[4774] <= 0
model += -X[3127] - X[179] + X[4774] <= 0
model += X[1274] - X[3796] - X[6744] <= 0
model += X[1274] + X[3796] + X[6744] <= 2
model += -X[1308] + Y[157] - X[2836] <= 0
model += -X[1308] - Y[157] + X[2836] <= 0
model += -X[2394] + Y[158] - X[5364] <= 0
model += -X[2394] - Y[158] + X[5364] <= 0
model += -X[2748] + Y[144] - X[5201] <= 0
model += -X[2748] - Y[144] + X[5201] <= 0
model += -X[3965] + Y[145] - X[3460] <= 0
model += -X[3965] - Y[145] + X[3460] <= 0
model += -X[1771] + Y[146] - X[4654] <= 0
model += -X[1771] - Y[146] + X[4654] <= 0
model += -X[5542] + Y[147] - X[5819] <= 0
model += -X[5542] - Y[147] + X[5819] <= 0
model += X[1162] - X[4687] - X[1950] <= 0
model += X[1162] + X[4687] + X[1950] <= 2
model += -X[4745] + X[311] - X[6443] <= 0
model += -X[4745] - X[311] + X[6443] <= 0
model += -X[609] + X[3728] - X[6427] <= 0
model += -X[609] - X[3728] + X[6427] <= 0
model += X[7030] - X[1130] - X[2793] <= 0
model += X[7030] + X[1130] + X[2793] <= 2
model += X[1083] - X[3978] - X[5728] <= 0
model += X[1083] + X[3978] + X[5728] <= 2
model += X[5590] - X[1340] - X[7444] <= 0
model += X[5590] + X[1340] + X[7444] <= 2
model += -X[3649] + X[173] - X[7571] <= 0
model += -X[3649] - X[173] + X[7571] <= 0
model += X[2524] - X[1705] - X[3993] <= 0
model += X[2524] + X[1705] + X[3993] <= 2
model += X[5071] - X[2957] - X[3612] <= 0
model += X[5071] + X[2957] + X[3612] <= 2
model += -X[6613] + X[4973] - X[332] <= 0
model += -X[6613] - X[4973] + X[332] <= 0
model += -X[4758] + X[539] - X[2918] <= 0
model += -X[4758] - X[539] + X[2918] <= 0
model += X[5608] - X[2275] - X[6714] <= 0
model += X[5608] + X[2275] + X[6714] <= 2
model += -X[4156] + Y[144] - X[2795] <= 0
model += -X[4156] - Y[144] + X[2795] <= 0
model += -X[4550] + Y[146] - X[4162] <= 0
model += -X[4550] - Y[146] + X[4162] <= 0
model += X[2963] - X[7149] - X[6145] <= 0
model += X[2963] + X[7149] + X[6145] <= 2
model += -X[6754] + X[1138] - X[163] <= 0
model += -X[6754] - X[1138] + X[163] <= 0
model += -X[4338] + X[641] - X[2466] <= 0
model += -X[4338] - X[641] + X[2466] <= 0
model += -X[2206] + X[255] - X[5932] <= 0
model += -X[2206] - X[255] + X[5932] <= 0
model += -X[2039] + Y[148] - X[2974] <= 0
model += -X[2039] - Y[148] + X[2974] <= 0
model += -X[6428] + Y[149] - X[4472] <= 0
model += -X[6428] - Y[149] + X[4472] <= 0
model += -X[2457] + Y[150] - X[3225] <= 0
model += -X[2457] - Y[150] + X[3225] <= 0
model += X[6191] - X[2669] - X[5252] <= 0
model += X[6191] + X[2669] + X[5252] <= 2
model += -X[5938] + X[873] - X[6804] <= 0
model += -X[5938] - X[873] + X[6804] <= 0
model += -X[752] + X[4167] - X[2248] <= 0
model += -X[752] - X[4167] + X[2248] <= 0
model += -X[633] + X[2165] - X[4388] <= 0
model += -X[633] - X[2165] + X[4388] <= 0
model += X[6027] - X[1916] - X[2886] <= 0
model += X[6027] + X[1916] + X[2886] <= 2
model += X[7227] - X[7212] - X[5361] <= 0
model += X[7227] + X[7212] + X[5361] <= 2
model += X[5580] - X[3918] - X[3430] <= 0
model += X[5580] + X[3918] + X[3430] <= 2
model += -X[1173] + X[4295] - X[919] <= 0
model += -X[1173] - X[4295] + X[919] <= 0
model += -X[2054] + X[7385] - X[565] <= 0
model += -X[2054] - X[7385] + X[565] <= 0
model += -X[928] + X[1884] - X[1761] <= 0
model += -X[928] - X[1884] + X[1761] <= 0
model += X[1142] - X[7748] - X[7329] <= 0
model += X[1142] + X[7748] + X[7329] <= 2
model += X[7438] - X[4345] - X[2636] <= 0
model += X[7438] + X[4345] + X[2636] <= 2
model += X[2702] - X[1143] - X[3059] <= 0
model += X[2702] + X[1143] + X[3059] <= 2
model += -X[996] + X[4811] - X[6692] <= 0
model += -X[996] - X[4811] + X[6692] <= 0
model += -X[3107] + Y[151] - X[4220] <= 0
model += -X[3107] - Y[151] + X[4220] <= 0
model += -X[7720] + Y[153] - X[1434] <= 0
model += -X[7720] - Y[153] + X[1434] <= 0
model += X[4924] - X[4805] - X[4323] <= 0
model += X[4924] + X[4805] + X[4323] <= 2
model += X[2794] - X[5150] - X[5807] <= 0
model += X[2794] + X[5150] + X[5807] <= 2
model += -X[5125] + X[6950] - X[900] <= 0
model += -X[5125] - X[6950] + X[900] <= 0
model += X[5576] - X[5859] - X[5942] <= 0
model += X[5576] + X[5859] + X[5942] <= 2
model += X[2295] - X[3757] - X[6230] <= 0
model += X[2295] + X[3757] + X[6230] <= 2
model += X[1839] - X[1256] - X[3303] <= 0
model += X[1839] + X[1256] + X[3303] <= 2
model += -X[692] + X[3651] - X[7666] <= 0
model += -X[692] - X[3651] + X[7666] <= 0
model += X[1804] - X[5094] - X[5084] <= 0
model += X[1804] + X[5094] + X[5084] <= 2
model += X[5041] - X[1721] - X[2693] <= 0
model += X[5041] + X[1721] + X[2693] <= 2
model += X[6857] - X[6031] - X[1032] <= 0
model += X[6857] + X[6031] + X[1032] <= 2
model += -X[164] + X[3233] - X[4915] <= 0
model += -X[164] - X[3233] + X[4915] <= 0
model += X[7411] - X[4203] - X[5567] <= 0
model += X[7411] + X[4203] + X[5567] <= 2
model += X[3459] - X[7197] - X[3876] <= 0
model += X[3459] + X[7197] + X[3876] <= 2
model += -X[2522] + X[4795] - X[441] <= 0
model += -X[2522] - X[4795] + X[441] <= 0
model += -X[7482] + Y[154] - X[6188] <= 0
model += -X[7482] - Y[154] + X[6188] <= 0
model += -X[4649] + Y[155] - X[7775] <= 0
model += -X[4649] - Y[155] + X[7775] <= 0
model += -X[6901] + Y[156] - X[2144] <= 0
model += -X[6901] - Y[156] + X[2144] <= 0
model += X[6549] - X[2562] - X[1090] <= 0
model += X[6549] + X[2562] + X[1090] <= 2
model += X[1853] - X[3688] - X[1982] <= 0
model += X[1853] + X[3688] + X[1982] <= 2
model += X[6672] - X[4230] - X[4342] <= 0
model += X[6672] + X[4230] + X[4342] <= 2
model += X[5609] - X[3573] - X[4498] <= 0
model += X[5609] + X[3573] + X[4498] <= 2
model += X[6243] - X[6297] - X[6842] <= 0
model += X[6243] + X[6297] + X[6842] <= 2
model += X[4612] - X[7619] - X[6231] <= 0
model += X[4612] + X[7619] + X[6231] <= 2
model += -X[409] + X[2858] - X[2219] <= 0
model += -X[409] - X[2858] + X[2219] <= 0
model += X[7341] - X[3721] - X[6307] <= 0
model += X[7341] + X[3721] + X[6307] <= 2
model += X[4414] - X[2926] - X[2220] <= 0
model += X[4414] + X[2926] + X[2220] <= 2
model += X[7579] - X[2866] - X[6556] <= 0
model += X[7579] + X[2866] + X[6556] <= 2
model += -X[721] + X[2668] - X[6062] <= 0
model += -X[721] - X[2668] + X[6062] <= 0
model += X[7073] - X[5096] - X[5183] <= 0
model += X[7073] + X[5096] + X[5183] <= 2
model += X[2100] - X[7547] - X[6538] <= 0
model += X[2100] + X[7547] + X[6538] <= 2
model += -X[5720] + X[179] - X[5898] <= 0
model += -X[5720] - X[179] + X[5898] <= 0
model += X[1147] - X[3796] - X[2051] <= 0
model += X[1147] + X[3796] + X[2051] <= 2
model += -X[1047] + Y[157] - X[7063] <= 0
model += -X[1047] - Y[157] + X[7063] <= 0
model += -X[2703] + Y[159] - X[3047] <= 0
model += -X[2703] - Y[159] + X[3047] <= 0
model += X[7294] - X[2841] - X[6625] <= 0
model += X[7294] + X[2841] + X[6625] <= 2
model += X[7171] - X[5384] - X[4755] <= 0
model += X[7171] + X[5384] + X[4755] <= 2
model += X[2761] - X[5974] - X[3933] <= 0
model += X[2761] + X[5974] + X[3933] <= 2
model += X[5108] - X[6432] - X[7445] <= 0
model += X[5108] + X[6432] + X[7445] <= 2
model += -X[1758] + Y[145] - X[4044] <= 0
model += -X[1758] - Y[145] + X[4044] <= 0
model += -X[7499] + Y[146] - X[6055] <= 0
model += -X[7499] - Y[146] + X[6055] <= 0
model += -X[5190] + Y[147] - X[2292] <= 0
model += -X[5190] - Y[147] + X[2292] <= 0
model += X[4034] - X[4687] - X[3372] <= 0
model += X[4034] + X[4687] + X[3372] <= 2
model += -X[2364] + X[311] - X[6724] <= 0
model += -X[2364] - X[311] + X[6724] <= 0
model += X[4396] - X[3728] - X[1484] <= 0
model += X[4396] + X[3728] + X[1484] <= 2
model += X[6460] - X[1130] - X[6940] <= 0
model += X[6460] + X[1130] + X[6940] <= 2
model += X[3412] - X[3978] - X[7243] <= 0
model += X[3412] + X[3978] + X[7243] <= 2
model += X[2110] - X[1340] - X[2583] <= 0
model += X[2110] + X[1340] + X[2583] <= 2
model += -X[4265] + X[173] - X[4962] <= 0
model += -X[4265] - X[173] + X[4962] <= 0
model += X[1369] - X[1705] - X[3389] <= 0
model += X[1369] + X[1705] + X[3389] <= 2
model += X[1648] - X[2957] - X[5785] <= 0
model += X[1648] + X[2957] + X[5785] <= 2
model += X[5753] - X[4973] - X[1746] <= 0
model += X[5753] + X[4973] + X[1746] <= 2
model += -X[5026] + X[539] - X[1443] <= 0
model += -X[5026] - X[539] + X[1443] <= 0
model += X[3165] - X[2275] - X[1219] <= 0
model += X[3165] + X[2275] + X[1219] <= 2
model += X[1221] - X[7149] - X[2214] <= 0
model += X[1221] + X[7149] + X[2214] <= 2
model += -X[866] + X[1138] - X[6302] <= 0
model += -X[866] - X[1138] + X[6302] <= 0
model += -X[3925] + X[641] - X[2772] <= 0
model += -X[3925] - X[641] + X[2772] <= 0
model += -X[7035] + X[255] - X[6478] <= 0
model += -X[7035] - X[255] + X[6478] <= 0
model += -X[3220] + Y[149] - X[1106] <= 0
model += -X[3220] - Y[149] + X[1106] <= 0
model += -X[4079] + Y[150] - X[1979] <= 0
model += -X[4079] - Y[150] + X[1979] <= 0
model += X[4160] - X[2669] - X[7622] <= 0
model += X[4160] + X[2669] + X[7622] <= 2
model += -X[5586] + X[873] - X[4161] <= 0
model += -X[5586] - X[873] + X[4161] <= 0
model += X[2410] - X[4167] - X[5653] <= 0
model += X[2410] + X[4167] + X[5653] <= 2
model += X[3664] - X[2165] - X[3854] <= 0
model += X[3664] + X[2165] + X[3854] <= 2
model += X[5478] - X[1916] - X[4364] <= 0
model += X[5478] + X[1916] + X[4364] <= 2
model += X[6894] - X[7212] - X[1872] <= 0
model += X[6894] + X[7212] + X[1872] <= 2
model += -X[714] + X[3918] - X[4907] <= 0
model += -X[714] - X[3918] + X[4907] <= 0
model += -X[5277] + X[4295] - X[478] <= 0
model += -X[5277] - X[4295] + X[478] <= 0
model += -X[7729] + X[7385] - X[825] <= 0
model += -X[7729] - X[7385] + X[825] <= 0
model += X[1754] - X[1884] - X[2670] <= 0
model += X[1754] + X[1884] + X[2670] <= 2
model += -X[390] + X[7748] - X[6241] <= 0
model += -X[390] - X[7748] + X[6241] <= 0
model += X[5768] - X[4345] - X[4902] <= 0
model += X[5768] + X[4345] + X[4902] <= 2
model += X[6420] - X[1143] - X[2456] <= 0
model += X[6420] + X[1143] + X[2456] <= 2
model += X[1466] - X[4811] - X[4128] <= 0
model += X[1466] + X[4811] + X[4128] <= 2
model += -X[2283] + X[910] - X[4085] <= 0
model += -X[2283] - X[910] + X[4085] <= 0
model += -X[5607] + Y[151] - X[5161] <= 0
model += -X[5607] - Y[151] + X[5161] <= 0
model += -X[2173] + Y[152] - X[3606] <= 0
model += -X[2173] - Y[152] + X[3606] <= 0
model += X[6071] - X[4805] - X[1756] <= 0
model += X[6071] + X[4805] + X[1756] <= 2
model += X[5502] - X[1834] - X[4594] <= 0
model += X[5502] + X[1834] + X[4594] <= 2
model += X[3437] - X[5150] - X[5123] <= 0
model += X[3437] + X[5150] + X[5123] <= 2
model += X[5562] - X[6950] - X[1224] <= 0
model += X[5562] + X[6950] + X[1224] <= 2
model += X[4528] - X[5859] - X[4024] <= 0
model += X[4528] + X[5859] + X[4024] <= 2
model += X[6017] - X[3757] - X[3340] <= 0
model += X[6017] + X[3757] + X[3340] <= 2
model += X[6212] - X[1256] - X[4428] <= 0
model += X[6212] + X[1256] + X[4428] <= 2
model += X[7779] - X[3651] - X[4380] <= 0
model += X[7779] + X[3651] + X[4380] <= 2
model += -X[385] + X[5094] - X[2187] <= 0
model += -X[385] - X[5094] + X[2187] <= 0
model += X[2840] - X[1721] - X[1599] <= 0
model += X[2840] + X[1721] + X[1599] <= 2
model += -X[3456] + X[6031] - X[462] <= 0
model += -X[3456] - X[6031] + X[462] <= 0
model += X[4378] - X[3233] - X[3695] <= 0
model += X[4378] + X[3233] + X[3695] <= 2
model += X[1788] - X[1776] - X[2505] <= 0
model += X[1788] + X[1776] + X[2505] <= 2
model += X[4502] - X[4203] - X[2099] <= 0
model += X[4502] + X[4203] + X[2099] <= 2
model += -X[416] + X[7197] - X[7002] <= 0
model += -X[416] - X[7197] + X[7002] <= 0
model += X[5012] - X[4795] - X[5686] <= 0
model += X[5012] + X[4795] + X[5686] <= 2
model += -X[3503] + Y[154] - X[5696] <= 0
model += -X[3503] - Y[154] + X[5696] <= 0
model += X[3017] - X[5398] - X[1535] <= 0
model += X[3017] + X[5398] + X[1535] <= 2
model += X[4635] - X[3294] - X[6636] <= 0
model += X[4635] + X[3294] + X[6636] <= 2
model += X[5419] - X[3447] - X[3182] <= 0
model += X[5419] + X[3447] + X[3182] <= 2
model += -X[6030] + X[451] - X[5926] <= 0
model += -X[6030] - X[451] + X[5926] <= 0
model += X[6546] - X[3688] - X[3482] <= 0
model += X[6546] + X[3688] + X[3482] <= 2
model += X[5215] - X[3573] - X[2756] <= 0
model += X[5215] + X[3573] + X[2756] <= 2
model += X[2070] - X[6297] - X[5322] <= 0
model += X[2070] + X[6297] + X[5322] <= 2
model += X[1335] - X[7619] - X[5866] <= 0
model += X[1335] + X[7619] + X[5866] <= 2
model += X[4505] - X[2858] - X[7130] <= 0
model += X[4505] + X[2858] + X[7130] <= 2
model += X[1149] - X[3721] - X[3943] <= 0
model += X[1149] + X[3721] + X[3943] <= 2
model += X[4802] - X[2926] - X[3269] <= 0
model += X[4802] + X[2926] + X[3269] <= 2
model += X[3638] - X[2866] - X[6776] <= 0
model += X[3638] + X[2866] + X[6776] <= 2
model += X[7502] - X[2668] - X[4829] <= 0
model += X[7502] + X[2668] + X[4829] <= 2
model += X[1072] - X[5096] - X[6138] <= 0
model += X[1072] + X[5096] + X[6138] <= 2
model += -X[2473] + X[7547] - X[810] <= 0
model += -X[2473] - X[7547] + X[810] <= 0
model += -X[3707] + X[179] - X[4025] <= 0
model += -X[3707] - X[179] + X[4025] <= 0
model += X[2521] - X[3796] - X[1041] <= 0
model += X[2521] + X[3796] + X[1041] <= 2
model += X[4760] - X[2841] - X[5208] <= 0
model += X[4760] + X[2841] + X[5208] <= 2
model += X[5160] - X[5384] - X[3930] <= 0
model += X[5160] + X[5384] + X[3930] <= 2
model += X[4937] - X[5974] - X[5861] <= 0
model += X[4937] + X[5974] + X[5861] <= 2
model += X[6972] - X[6432] - X[3012] <= 0
model += X[6972] + X[6432] + X[3012] <= 2
model += -X[4242] + Y[145] - X[3052] <= 0
model += -X[4242] - Y[145] + X[3052] <= 0
model += -X[4440] + Y[146] - X[1275] <= 0
model += -X[4440] - Y[146] + X[1275] <= 0
model += -X[3370] + Y[147] - X[1765] <= 0
model += -X[3370] - Y[147] + X[1765] <= 0
model += X[4305] - X[4687] - X[2131] <= 0
model += X[4305] + X[4687] + X[2131] <= 2
model += -X[2314] + X[311] - X[2227] <= 0
model += -X[2314] - X[311] + X[2227] <= 0
model += X[4516] - X[3728] - X[2074] <= 0
model += X[4516] + X[3728] + X[2074] <= 2
model += X[4685] - X[1130] - X[7115] <= 0
model += X[4685] + X[1130] + X[7115] <= 2
model += X[5284] - X[3978] - X[1409] <= 0
model += X[5284] + X[3978] + X[1409] <= 2
model += X[4448] - X[1340] - X[3804] <= 0
model += X[4448] + X[1340] + X[3804] <= 2
model += X[6118] - X[1705] - X[2751] <= 0
model += X[6118] + X[1705] + X[2751] <= 2
model += X[7613] - X[2957] - X[7415] <= 0
model += X[7613] + X[2957] + X[7415] <= 2
model += X[2479] - X[4973] - X[2202] <= 0
model += X[2479] + X[4973] + X[2202] <= 2
model += X[4430] - X[2275] - X[3551] <= 0
model += X[4430] + X[2275] + X[3551] <= 2
model += X[5259] - X[1138] - X[3140] <= 0
model += X[5259] + X[1138] + X[3140] <= 2
model += -X[5663] + X[641] - X[7518] <= 0
model += -X[5663] - X[641] + X[7518] <= 0
model += -X[5701] + X[255] - X[7581] <= 0
model += -X[5701] - X[255] + X[7581] <= 0
model += -X[2452] + Y[148] - X[3401] <= 0
model += -X[2452] - Y[148] + X[3401] <= 0
model += X[3755] - X[2669] - X[7640] <= 0
model += X[3755] + X[2669] + X[7640] <= 2
model += -X[2882] + X[873] - X[1185] <= 0
model += -X[2882] - X[873] + X[1185] <= 0
model += -X[6519] + X[4167] - X[737] <= 0
model += -X[6519] - X[4167] + X[737] <= 0
model += X[3486] - X[2165] - X[7174] <= 0
model += X[3486] + X[2165] + X[7174] <= 2
model += X[4789] - X[1916] - X[3446] <= 0
model += X[4789] + X[1916] + X[3446] <= 2
model += X[4737] - X[7212] - X[2904] <= 0
model += X[4737] + X[7212] + X[2904] <= 2
model += X[5044] - X[3918] - X[1688] <= 0
model += X[5044] + X[3918] + X[1688] <= 2
model += X[3307] - X[4295] - X[6058] <= 0
model += X[3307] + X[4295] + X[6058] <= 2
model += -X[625] + X[7385] - X[3962] <= 0
model += -X[625] - X[7385] + X[3962] <= 0
model += -X[3990] + X[1884] - X[150] <= 0
model += -X[3990] - X[1884] + X[150] <= 0
model += X[7166] - X[7748] - X[1060] <= 0
model += X[7166] + X[7748] + X[1060] <= 2
model += X[3118] - X[4345] - X[2353] <= 0
model += X[3118] + X[4345] + X[2353] <= 2
model += -X[6310] + X[1143] - X[954] <= 0
model += -X[6310] - X[1143] + X[954] <= 0
model += X[4358] - X[4811] - X[5485] <= 0
model += X[4358] + X[4811] + X[5485] <= 2
model += -X[6117] + X[910] - X[7133] <= 0
model += -X[6117] - X[910] + X[7133] <= 0
model += -X[1649] + Y[152] - X[3736] <= 0
model += -X[1649] - Y[152] + X[3736] <= 0
model += -X[3336] + Y[153] - X[6152] <= 0
model += -X[3336] - Y[153] + X[6152] <= 0
model += X[4700] - X[7232] - X[2101] <= 0
model += X[4700] + X[7232] + X[2101] <= 2
model += X[6856] - X[2962] - X[6780] <= 0
model += X[6856] + X[2962] + X[6780] <= 2
model += -X[6484] + X[6479] - X[547] <= 0
model += -X[6484] - X[6479] + X[547] <= 0
model += X[2063] - X[6116] - X[1092] <= 0
model += X[2063] + X[6116] + X[1092] <= 2
model += -X[4715] + X[1834] - X[595] <= 0
model += -X[4715] - X[1834] + X[595] <= 0
model += X[4031] - X[5150] - X[3986] <= 0
model += X[4031] + X[5150] + X[3986] <= 2
model += X[6736] - X[6950] - X[2143] <= 0
model += X[6736] + X[6950] + X[2143] <= 2
model += -X[399] + X[5859] - X[4610] <= 0
model += -X[399] - X[5859] + X[4610] <= 0
model += X[1102] - X[3757] - X[5945] <= 0
model += X[1102] + X[3757] + X[5945] <= 2
model += X[7605] - X[1256] - X[7372] <= 0
model += X[7605] + X[1256] + X[7372] <= 2
model += X[4742] - X[3651] - X[1673] <= 0
model += X[4742] + X[3651] + X[1673] <= 2
model += -X[640] + X[5094] - X[1811] <= 0
model += -X[640] - X[5094] + X[1811] <= 0
model += X[3117] - X[1721] - X[3949] <= 0
model += X[3117] + X[1721] + X[3949] <= 2
model += X[6075] - X[6031] - X[4836] <= 0
model += X[6075] + X[6031] + X[4836] <= 2
model += -X[2983] + X[3233] - X[876] <= 0
model += -X[2983] - X[3233] + X[876] <= 0
model += X[3720] - X[1776] - X[5629] <= 0
model += X[3720] + X[1776] + X[5629] <= 2
model += X[3929] - X[4203] - X[1546] <= 0
model += X[3929] + X[4203] + X[1546] <= 2
model += -X[2290] + X[7197] - X[178] <= 0
model += -X[2290] - X[7197] + X[178] <= 0
model += X[3701] - X[4795] - X[5854] <= 0
model += X[3701] + X[4795] + X[5854] <= 2
model += -X[563] + X[5398] - X[7603] <= 0
model += -X[563] - X[5398] + X[7603] <= 0
model += X[4694] - X[2306] - X[4460] <= 0
model += X[4694] + X[2306] + X[4460] <= 2
model += X[2683] - X[3294] - X[3539] <= 0
model += X[2683] + X[3294] + X[3539] <= 2
model += X[2667] - X[3447] - X[2176] <= 0
model += X[2667] + X[3447] + X[2176] <= 2
model += -X[5953] + X[451] - X[6948] <= 0
model += -X[5953] - X[451] + X[6948] <= 0
model += X[2597] - X[3688] - X[7677] <= 0
model += X[2597] + X[3688] + X[7677] <= 2
model += X[1218] - X[4230] - X[6757] <= 0
model += X[1218] + X[4230] + X[6757] <= 2
model += -X[998] + X[3573] - X[5581] <= 0
model += -X[998] - X[3573] + X[5581] <= 0
model += -X[6848] + X[6297] - X[238] <= 0
model += -X[6848] - X[6297] + X[238] <= 0
model += X[4104] - X[2858] - X[1420] <= 0
model += X[4104] + X[2858] + X[1420] <= 2
model += X[6464] - X[3721] - X[4470] <= 0
model += X[6464] + X[3721] + X[4470] <= 2
model += X[6131] - X[2926] - X[1374] <= 0
model += X[6131] + X[2926] + X[1374] <= 2
model += X[7395] - X[2866] - X[3704] <= 0
model += X[7395] + X[2866] + X[3704] <= 2
model += X[2664] - X[2668] - X[5269] <= 0
model += X[2664] + X[2668] + X[5269] <= 2
model += -X[2233] + X[5096] - X[812] <= 0
model += -X[2233] - X[5096] + X[812] <= 0
model += X[2888] - X[7547] - X[4157] <= 0
model += X[2888] + X[7547] + X[4157] <= 2
model += -X[2611] + X[179] - X[3485] <= 0
model += -X[2611] - X[179] + X[3485] <= 0
model += X[2443] - X[3796] - X[1780] <= 0
model += X[2443] + X[3796] + X[1780] <= 2
model += -X[3420] + X[2841] - X[410] <= 0
model += -X[3420] - X[2841] + X[410] <= 0
model += X[2569] - X[5384] - X[4359] <= 0
model += X[2569] + X[5384] + X[4359] <= 2
model += X[4371] - X[5974] - X[7367] <= 0
model += X[4371] + X[5974] + X[7367] <= 2
model += -X[5333] + X[6432] - X[596] <= 0
model += -X[5333] - X[6432] + X[596] <= 0
model += -X[2461] + Y[145] - X[5076] <= 0
model += -X[2461] - Y[145] + X[5076] <= 0
model += -X[7654] + Y[146] - X[2788] <= 0
model += -X[7654] - Y[146] + X[2788] <= 0
model += -X[4709] + X[4687] - X[643] <= 0
model += -X[4709] - X[4687] + X[643] <= 0
model += -X[1035] + X[311] - X[5963] <= 0
model += -X[1035] - X[311] + X[5963] <= 0
model += X[2829] - X[3728] - X[6871] <= 0
model += X[2829] + X[3728] + X[6871] <= 2
model += X[3354] - X[1130] - X[4899] <= 0
model += X[3354] + X[1130] + X[4899] <= 2
model += -X[797] + X[3978] - X[5251] <= 0
model += -X[797] - X[3978] + X[5251] <= 0
model += X[2656] - X[1340] - X[3367] <= 0
model += X[2656] + X[1340] + X[3367] <= 2
model += -X[4268] + X[173] - X[3805] <= 0
model += -X[4268] - X[173] + X[3805] <= 0
model += X[6845] - X[1705] - X[7439] <= 0
model += X[6845] + X[1705] + X[7439] <= 2
model += X[7524] - X[2957] - X[4312] <= 0
model += X[7524] + X[2957] + X[4312] <= 2
model += X[1638] - X[4973] - X[6277] <= 0
model += X[1638] + X[4973] + X[6277] <= 2
model += -X[1286] + X[539] - X[2518] <= 0
model += -X[1286] - X[539] + X[2518] <= 0
model += X[6541] - X[2275] - X[1801] <= 0
model += X[6541] + X[2275] + X[1801] <= 2
model += X[2386] - X[7149] - X[7033] <= 0
model += X[2386] + X[7149] + X[7033] <= 2
model += -X[247] + X[1138] - X[7549] <= 0
model += -X[247] - X[1138] + X[7549] <= 0
model += -X[4387] + X[641] - X[3297] <= 0
model += -X[4387] - X[641] + X[3297] <= 0
model += -X[4260] + X[255] - X[2324] <= 0
model += -X[4260] - X[255] + X[2324] <= 0
model += -X[7042] + Y[148] - X[5178] <= 0
model += -X[7042] - Y[148] + X[5178] <= 0
model += -X[5893] + Y[150] - X[3032] <= 0
model += -X[5893] - Y[150] + X[3032] <= 0
model += -X[2060] + X[480] - X[4576] <= 0
model += -X[2060] - X[480] + X[4576] <= 0
model += X[7204] - X[1237] - X[6567] <= 0
model += X[7204] + X[1237] + X[6567] <= 2
model += -X[6162] + X[791] - X[2472] <= 0
model += -X[6162] - X[791] + X[2472] <= 0
model += -X[5907] + X[7088] - X[271] <= 0
model += -X[5907] - X[7088] + X[271] <= 0
model += -X[5002] + X[873] - X[4290] <= 0
model += -X[5002] - X[873] + X[4290] <= 0
model += X[6088] - X[4167] - X[3480] <= 0
model += X[6088] + X[4167] + X[3480] <= 2
model += -X[2188] + X[2165] - X[702] <= 0
model += -X[2188] - X[2165] + X[702] <= 0
model += X[5845] - X[1916] - X[4353] <= 0
model += X[5845] + X[1916] + X[4353] <= 2
model += -X[574] + X[7212] - X[3675] <= 0
model += -X[574] - X[7212] + X[3675] <= 0
model += X[3474] - X[3918] - X[7421] <= 0
model += X[3474] + X[3918] + X[7421] <= 2
model += X[4394] - X[4295] - X[1037] <= 0
model += X[4394] + X[4295] + X[1037] <= 2
model += X[7285] - X[7385] - X[5345] <= 0
model += X[7285] + X[7385] + X[5345] <= 2
model += X[1633] - X[1884] - X[2488] <= 0
model += X[1633] + X[1884] + X[2488] <= 2
model += X[4408] - X[7748] - X[7260] <= 0
model += X[4408] + X[7748] + X[7260] <= 2
model += -X[3380] + X[4345] - X[328] <= 0
model += -X[3380] - X[4345] + X[328] <= 0
model += X[4480] - X[1143] - X[1062] <= 0
model += X[4480] + X[1143] + X[1062] <= 2
model += X[2893] - X[4811] - X[5552] <= 0
model += X[2893] + X[4811] + X[5552] <= 2
model += -X[6595] + X[910] - X[7007] <= 0
model += -X[6595] - X[910] + X[7007] <= 0
model += X[4277] - X[7232] - X[2561] <= 0
model += X[4277] + X[7232] + X[2561] <= 2
model += -X[5229] + X[2962] - X[857] <= 0
model += -X[5229] - X[2962] + X[857] <= 0
model += -X[4589] + X[6479] - X[959] <= 0
model += -X[4589] - X[6479] + X[959] <= 0
model += X[5718] - X[6116] - X[2211] <= 0
model += X[5718] + X[6116] + X[2211] <= 2
model += -X[6812] + X[1834] - X[813] <= 0
model += -X[6812] - X[1834] + X[813] <= 0
model += X[3510] - X[5150] - X[7604] <= 0
model += X[3510] + X[5150] + X[7604] <= 2
model += X[2864] - X[6950] - X[7351] <= 0
model += X[2864] + X[6950] + X[7351] <= 2
model += X[1435] - X[5859] - X[4296] <= 0
model += X[1435] + X[5859] + X[4296] <= 2
model += X[4837] - X[3757] - X[3033] <= 0
model += X[4837] + X[3757] + X[3033] <= 2
model += X[6455] - X[1256] - X[4785] <= 0
model += X[6455] + X[1256] + X[4785] <= 2
model += X[4816] - X[3651] - X[2132] <= 0
model += X[4816] + X[3651] + X[2132] <= 2
model += -X[493] + X[5094] - X[6034] <= 0
model += -X[493] - X[5094] + X[6034] <= 0
model += X[2010] - X[1721] - X[4105] <= 0
model += X[2010] + X[1721] + X[4105] <= 2
model += X[1991] - X[6031] - X[3203] <= 0
model += X[1991] + X[6031] + X[3203] <= 2
model += X[6872] - X[3233] - X[1065] <= 0
model += X[6872] + X[3233] + X[1065] <= 2
model += -X[5256] + X[1776] - X[201] <= 0
model += -X[5256] - X[1776] + X[201] <= 0
model += X[2128] - X[4203] - X[3843] <= 0
model += X[2128] + X[4203] + X[3843] <= 2
model += X[7203] - X[7197] - X[7618] <= 0
model += X[7203] + X[7197] + X[7618] <= 2
model += X[5169] - X[4795] - X[6022] <= 0
model += X[5169] + X[4795] + X[6022] <= 2
model += X[2701] - X[5398] - X[3654] <= 0
model += X[2701] + X[5398] + X[3654] <= 2
model += X[3192] - X[2306] - X[4201] <= 0
model += X[3192] + X[2306] + X[4201] <= 2
model += X[3666] - X[3294] - X[4172] <= 0
model += X[3666] + X[3294] + X[4172] <= 2
model += X[5431] - X[3447] - X[2565] <= 0
model += X[5431] + X[3447] + X[2565] <= 2
model += -X[1572] + X[451] - X[5797] <= 0
model += -X[1572] - X[451] + X[5797] <= 0
model += -X[5626] + X[3688] - X[747] <= 0
model += -X[5626] - X[3688] + X[747] <= 0
model += X[2287] - X[4230] - X[7118] <= 0
model += X[2287] + X[4230] + X[7118] <= 2
model += X[6099] - X[3573] - X[2138] <= 0
model += X[6099] + X[3573] + X[2138] <= 2
model += X[1067] - X[6297] - X[6253] <= 0
model += X[1067] + X[6297] + X[6253] <= 2
model += X[5222] - X[7619] - X[5219] <= 0
model += X[5222] + X[7619] + X[5219] <= 2
model += X[4093] - X[2858] - X[6635] <= 0
model += X[4093] + X[2858] + X[6635] <= 2
model += -X[226] + X[3721] - X[6001] <= 0
model += -X[226] - X[3721] + X[6001] <= 0
model += X[1557] - X[2926] - X[3237] <= 0
model += X[1557] + X[2926] + X[3237] <= 2
model += X[3543] - X[2668] - X[7146] <= 0
model += X[3543] + X[2668] + X[7146] <= 2
model += X[6396] - X[7547] - X[1050] <= 0
model += X[6396] + X[7547] + X[1050] <= 2
model += -X[350] + X[3796] - X[4564] <= 0
model += -X[350] - X[3796] + X[4564] <= 0
model += X[1056] - X[2841] - X[3147] <= 0
model += X[1056] + X[2841] + X[3147] <= 2
model += X[4300] - X[5384] - X[5441] <= 0
model += X[4300] + X[5384] + X[5441] <= 2
model += -X[498] + X[5974] - X[3507] <= 0
model += -X[498] - X[5974] + X[3507] <= 0
model += X[4398] - X[6432] - X[4118] <= 0
model += X[4398] + X[6432] + X[4118] <= 2
model += -X[7696] + Y[147] - X[1665] <= 0
model += -X[7696] - Y[147] + X[1665] <= 0
model += X[4050] - X[5023] - X[5342] <= 0
model += X[4050] + X[5023] + X[5342] <= 2
model += -X[284] + X[5930] - X[5292] <= 0
model += -X[284] - X[5930] + X[5292] <= 0
model += -X[5597] + X[4329] - X[908] <= 0
model += -X[5597] - X[4329] + X[908] <= 0
model += X[7757] - X[5766] - X[7193] <= 0
model += X[7757] + X[5766] + X[7193] <= 2
model += -X[6163] + X[311] - X[3791] <= 0
model += -X[6163] - X[311] + X[3791] <= 0
model += -X[190] + X[3728] - X[6898] <= 0
model += -X[190] - X[3728] + X[6898] <= 0
model += X[4894] - X[1130] - X[7103] <= 0
model += X[4894] + X[1130] + X[7103] <= 2
model += X[6631] - X[3978] - X[3095] <= 0
model += X[6631] + X[3978] + X[3095] <= 2
model += X[1529] - X[1705] - X[4065] <= 0
model += X[1529] + X[1705] + X[4065] <= 2
model += -X[818] + X[2957] - X[3684] <= 0
model += -X[818] - X[2957] + X[3684] <= 0
model += X[7429] - X[4973] - X[1064] <= 0
model += X[7429] + X[4973] + X[1064] <= 2
model += -X[2632] + X[539] - X[3276] <= 0
model += -X[2632] - X[539] + X[3276] <= 0
model += X[3252] - X[2275] - X[2704] <= 0
model += X[3252] + X[2275] + X[2704] <= 2
model += X[1864] - X[7149] - X[7021] <= 0
model += X[1864] + X[7149] + X[7021] <= 2
model += -X[871] + X[1138] - X[2082] <= 0
model += -X[871] - X[1138] + X[2082] <= 0
model += -X[2502] + X[255] - X[2112] <= 0
model += -X[2502] - X[255] + X[2112] <= 0
model += -X[5582] + X[480] - X[1910] <= 0
model += -X[5582] - X[480] + X[1910] <= 0
model += X[5885] - X[1237] - X[3108] <= 0
model += X[5885] + X[1237] + X[3108] <= 2
model += -X[1689] + X[791] - X[2352] <= 0
model += -X[1689] - X[791] + X[2352] <= 0
model += X[5883] - X[7088] - X[5856] <= 0
model += X[5883] + X[7088] + X[5856] <= 2
model += X[1970] - X[4167] - X[4626] <= 0
model += X[1970] + X[4167] + X[4626] <= 2
model += X[3282] - X[2165] - X[4753] <= 0
model += X[3282] + X[2165] + X[4753] <= 2
model += X[6155] - X[1916] - X[3700] <= 0
model += X[6155] + X[1916] + X[3700] <= 2
model += X[2537] - X[7212] - X[1819] <= 0
model += X[2537] + X[7212] + X[1819] <= 2
model += X[3610] - X[3918] - X[3138] <= 0
model += X[3610] + X[3918] + X[3138] <= 2
model += X[5863] - X[4295] - X[1735] <= 0
model += X[5863] + X[4295] + X[1735] <= 2
model += -X[1131] + X[7385] - X[780] <= 0
model += -X[1131] - X[7385] + X[780] <= 0
model += X[7664] - X[1884] - X[4444] <= 0
model += X[7664] + X[1884] + X[4444] <= 2
model += X[1135] - X[7748] - X[2617] <= 0
model += X[1135] + X[7748] + X[2617] <= 2
model += X[1331] - X[4345] - X[3191] <= 0
model += X[1331] + X[4345] + X[3191] <= 2
model += X[4313] - X[1143] - X[1414] <= 0
model += X[4313] + X[1143] + X[1414] <= 2
model += X[3763] - X[4811] - X[5446] <= 0
model += X[3763] + X[4811] + X[5446] <= 2
model += -X[2146] + X[910] - X[3935] <= 0
model += -X[2146] - X[910] + X[3935] <= 0
model += X[4966] - X[7232] - X[4750] <= 0
model += X[4966] + X[7232] + X[4750] <= 2
model += X[1213] - X[2962] - X[5674] <= 0
model += X[1213] + X[2962] + X[5674] <= 2
model += X[7067] - X[6479] - X[1189] <= 0
model += X[7067] + X[6479] + X[1189] <= 2
model += X[3633] - X[1834] - X[4481] <= 0
model += X[3633] + X[1834] + X[4481] <= 2
model += X[4744] - X[5150] - X[6664] <= 0
model += X[4744] + X[5150] + X[6664] <= 2
model += X[1356] - X[6950] - X[3172] <= 0
model += X[1356] + X[6950] + X[3172] <= 2
model += X[5999] - X[5859] - X[7682] <= 0
model += X[5999] + X[5859] + X[7682] <= 2
model += X[5127] - X[3757] - X[3789] <= 0
model += X[5127] + X[3757] + X[3789] <= 2
model += -X[594] + X[1256] - X[6919] <= 0
model += -X[594] - X[1256] + X[6919] <= 0
model += -X[6962] + X[3651] - X[124] <= 0
model += -X[6962] - X[3651] + X[124] <= 0
model += -X[6765] + X[5094] - X[126] <= 0
model += -X[6765] - X[5094] + X[126] <= 0
model += X[7306] - X[1721] - X[2323] <= 0
model += X[7306] + X[1721] + X[2323] <= 2
model += X[2035] - X[6031] - X[2249] <= 0
model += X[2035] + X[6031] + X[2249] <= 2
model += -X[6238] + X[3233] - X[249] <= 0
model += -X[6238] - X[3233] + X[249] <= 0
model += -X[3537] + X[1776] - X[378] <= 0
model += -X[3537] - X[1776] + X[378] <= 0
model += X[2593] - X[4203] - X[1931] <= 0
model += X[2593] + X[4203] + X[1931] <= 2
model += X[3298] - X[7197] - X[5430] <= 0
model += X[3298] + X[7197] + X[5430] <= 2
model += X[5099] - X[4795] - X[6502] <= 0
model += X[5099] + X[4795] + X[6502] <= 2
model += -X[7753] + X[5398] - X[645] <= 0
model += -X[7753] - X[5398] + X[645] <= 0
model += X[5413] - X[2306] - X[1898] <= 0
model += X[5413] + X[2306] + X[1898] <= 2
model += X[2000] - X[3294] - X[2805] <= 0
model += X[2000] + X[3294] + X[2805] <= 2
model += X[5789] - X[3447] - X[1247] <= 0
model += X[5789] + X[3447] + X[1247] <= 2
model += -X[4996] + X[451] - X[1751] <= 0
model += -X[4996] - X[451] + X[1751] <= 0
model += X[2119] - X[3688] - X[7644] <= 0
model += X[2119] + X[3688] + X[7644] <= 2
model += X[1821] - X[4230] - X[6893] <= 0
model += X[1821] + X[4230] + X[6893] <= 2
model += X[2124] - X[4180] - X[5865] <= 0
model += X[2124] + X[4180] + X[5865] <= 2
model += X[3785] - X[3826] - X[6676] <= 0
model += X[3785] + X[3826] + X[6676] <= 2
model += -X[1245] + X[1389] - X[561] <= 0
model += -X[1245] - X[1389] + X[561] <= 0
model += X[2487] - X[7392] - X[5818] <= 0
model += X[2487] + X[7392] + X[5818] <= 2
model += X[7011] - X[6297] - X[2700] <= 0
model += X[7011] + X[6297] + X[2700] <= 2
model += X[5611] - X[7619] - X[5844] <= 0
model += X[5611] + X[7619] + X[5844] <= 2
model += X[3368] - X[2858] - X[2204] <= 0
model += X[3368] + X[2858] + X[2204] <= 2
model += X[5800] - X[3721] - X[4154] <= 0
model += X[5800] + X[3721] + X[4154] <= 2
model += X[6539] - X[2926] - X[5000] <= 0
model += X[6539] + X[2926] + X[5000] <= 2
model += X[2167] - X[2866] - X[6021] <= 0
model += X[2167] + X[2866] + X[6021] <= 2
model += X[2862] - X[2668] - X[2735] <= 0
model += X[2862] + X[2668] + X[2735] <= 2
model += X[4959] - X[7547] - X[2126] <= 0
model += X[4959] + X[7547] + X[2126] <= 2
model += -X[6357] + X[179] - X[5349] <= 0
model += -X[6357] - X[179] + X[5349] <= 0
model += X[6679] - X[3796] - X[1943] <= 0
model += X[6679] + X[3796] + X[1943] <= 2
model += X[6287] - X[5384] - X[6469] <= 0
model += X[6287] + X[5384] + X[6469] <= 2
model += X[7145] - X[5974] - X[2432] <= 0
model += X[7145] + X[5974] + X[2432] <= 2
model += X[2213] - X[6432] - X[1701] <= 0
model += X[2213] + X[6432] + X[1701] <= 2
model += X[6410] - X[5023] - X[3624] <= 0
model += X[6410] + X[5023] + X[3624] <= 2
model += X[6984] - X[5930] - X[3961] <= 0
model += X[6984] + X[5930] + X[3961] <= 2
model += X[6380] - X[4329] - X[1380] <= 0
model += X[6380] + X[4329] + X[1380] <= 2
model += X[5191] - X[5766] - X[4326] <= 0
model += X[5191] + X[5766] + X[4326] <= 2
model += -X[1278] + X[311] - X[5380] <= 0
model += -X[1278] - X[311] + X[5380] <= 0
model += X[5154] - X[3728] - X[1411] <= 0
model += X[5154] + X[3728] + X[1411] <= 2
model += -X[5908] + X[1130] - X[407] <= 0
model += -X[5908] - X[1130] + X[407] <= 0
model += X[3334] - X[3978] - X[6928] <= 0
model += X[3334] + X[3978] + X[6928] <= 2
model += -X[7512] + X[1340] - X[548] <= 0
model += -X[7512] - X[1340] + X[548] <= 0
model += -X[5158] + X[173] - X[3274] <= 0
model += -X[5158] - X[173] + X[3274] <= 0
model += X[7194] - X[1705] - X[6035] <= 0
model += X[7194] + X[1705] + X[6035] <= 2
model += X[5314] - X[2957] - X[2493] <= 0
model += X[5314] + X[2957] + X[2493] <= 2
model += X[5245] - X[4973] - X[2909] <= 0
model += X[5245] + X[4973] + X[2909] <= 2
model += -X[2028] + X[539] - X[4596] <= 0
model += -X[2028] - X[539] + X[4596] <= 0
model += X[6109] - X[2275] - X[4568] <= 0
model += X[6109] + X[2275] + X[4568] <= 2
model += X[4036] - X[7149] - X[4956] <= 0
model += X[4036] + X[7149] + X[4956] <= 2
model += -X[6133] + X[641] - X[3215] <= 0
model += -X[6133] - X[641] + X[3215] <= 0
model += -X[5730] + X[255] - X[4190] <= 0
model += -X[5730] - X[255] + X[4190] <= 0
model += -X[6011] + X[480] - X[2259] <= 0
model += -X[6011] - X[480] + X[2259] <= 0
model += X[7576] - X[1237] - X[3461] <= 0
model += X[7576] + X[1237] + X[3461] <= 2
model += -X[5092] + X[791] - X[7634] <= 0
model += -X[5092] - X[791] + X[7634] <= 0
model += X[2752] - X[7088] - X[3833] <= 0
model += X[2752] + X[7088] + X[3833] <= 2
model += -X[3319] + X[873] - X[5643] <= 0
model += -X[3319] - X[873] + X[5643] <= 0
model += X[3488] - X[4167] - X[7455] <= 0
model += X[3488] + X[4167] + X[7455] <= 2
model += X[4746] - X[2165] - X[6060] <= 0
model += X[4746] + X[2165] + X[6060] <= 2
model += X[3188] - X[1916] - X[3016] <= 0
model += X[3188] + X[1916] + X[3016] <= 2
model += X[5558] - X[7212] - X[5209] <= 0
model += X[5558] + X[7212] + X[5209] <= 2
model += X[4310] - X[3918] - X[4994] <= 0
model += X[4310] + X[3918] + X[4994] <= 2
model += X[2944] - X[4295] - X[5396] <= 0
model += X[2944] + X[4295] + X[5396] <= 2
model += X[1616] - X[7385] - X[3292] <= 0
model += X[1616] + X[7385] + X[3292] <= 2
model += -X[4349] + X[1884] - X[807] <= 0
model += -X[4349] - X[1884] + X[807] <= 0
model += X[5479] - X[7748] - X[2915] <= 0
model += X[5479] + X[7748] + X[2915] <= 2
model += X[5079] - X[4345] - X[4286] <= 0
model += X[5079] + X[4345] + X[4286] <= 2
model += -X[3681] + X[1143] - X[762] <= 0
model += -X[3681] - X[1143] + X[762] <= 0
model += X[7645] - X[4811] - X[6796] <= 0
model += X[7645] + X[4811] + X[6796] <= 2
model += -X[5758] + X[910] - X[2209] <= 0
model += -X[5758] - X[910] + X[2209] <= 0
model += X[2501] - X[7232] - X[5727] <= 0
model += X[2501] + X[7232] + X[5727] <= 2
model += X[5833] - X[2962] - X[5656] <= 0
model += X[5833] + X[2962] + X[5656] <= 2
model += X[6100] - X[6479] - X[2218] <= 0
model += X[6100] + X[6479] + X[2218] <= 2
model += X[3350] - X[6116] - X[4556] <= 0
model += X[3350] + X[6116] + X[4556] <= 2
model += -X[4234] + X[1834] - X[613] <= 0
model += -X[4234] - X[1834] + X[613] <= 0
model += X[6836] - X[5150] - X[1324] <= 0
model += X[6836] + X[5150] + X[1324] <= 2
model += -X[4922] + X[6950] - X[371] <= 0
model += -X[4922] - X[6950] + X[371] <= 0
model += X[4020] - X[1711] - X[3781] <= 0
model += X[4020] + X[1711] + X[3781] <= 2
model += -X[2924] + X[6300] - X[926] <= 0
model += -X[2924] - X[6300] + X[926] <= 0
model += -X[4467] + X[997] - X[2651] <= 0
model += -X[4467] - X[997] + X[2651] <= 0
model += X[1376] - X[3440] - X[6234] <= 0
model += X[1376] + X[3440] + X[6234] <= 2
model += X[6624] - X[3757] - X[1629] <= 0
model += X[6624] + X[3757] + X[1629] <= 2
model += X[6480] - X[1256] - X[4032] <= 0
model += X[6480] + X[1256] + X[4032] <= 2
model += X[3656] - X[3651] - X[6961] <= 0
model += X[3656] + X[3651] + X[6961] <= 2
model += X[5599] - X[5094] - X[5520] <= 0
model += X[5599] + X[5094] + X[5520] <= 2
model += X[6818] - X[1721] - X[4185] <= 0
model += X[6818] + X[1721] + X[4185] <= 2
model += X[2055] - X[6031] - X[4681] <= 0
model += X[2055] + X[6031] + X[4681] <= 2
model += X[6204] - X[3233] - X[6214] <= 0
model += X[6204] + X[3233] + X[6214] <= 2
model += X[4798] - X[1776] - X[7711] <= 0
model += X[4798] + X[1776] + X[7711] <= 2
model += X[2548] - X[4203] - X[5966] <= 0
model += X[2548] + X[4203] + X[5966] <= 2
model += X[2238] - X[7197] - X[5598] <= 0
model += X[2238] + X[7197] + X[5598] <= 2
model += X[1642] - X[4795] - X[2923] <= 0
model += X[1642] + X[4795] + X[2923] <= 2
model += X[4442] - X[5398] - X[4466] <= 0
model += X[4442] + X[5398] + X[4466] <= 2
model += X[1215] - X[2306] - X[6794] <= 0
model += X[1215] + X[2306] + X[6794] <= 2
model += X[2332] - X[3294] - X[5989] <= 0
model += X[2332] + X[3294] + X[5989] <= 2
model += X[1416] - X[3447] - X[5548] <= 0
model += X[1416] + X[3447] + X[5548] <= 2
model += -X[1692] + X[4180] - X[108] <= 0
model += -X[1692] - X[4180] + X[108] <= 0
model += X[2133] - X[3826] - X[6050] <= 0
model += X[2133] + X[3826] + X[6050] <= 2
model += X[6843] - X[1389] - X[6415] <= 0
model += X[6843] + X[1389] + X[6415] <= 2
model += X[1984] - X[7392] - X[4120] <= 0
model += X[1984] + X[7392] + X[4120] <= 2
model += X[7515] - X[6297] - X[6121] <= 0
model += X[7515] + X[6297] + X[6121] <= 2
model += X[5140] - X[7619] - X[5916] <= 0
model += X[5140] + X[7619] + X[5916] <= 2
model += -X[252] + X[2858] - X[2780] <= 0
model += -X[252] - X[2858] + X[2780] <= 0
model += -X[172] + X[3721] - X[3581] <= 0
model += -X[172] - X[3721] + X[3581] <= 0
model += X[7214] - X[2926] - X[4663] <= 0
model += X[7214] + X[2926] + X[4663] <= 2
model += X[3594] - X[2866] - X[4900] <= 0
model += X[3594] + X[2866] + X[4900] <= 2
model += X[4328] - X[2668] - X[3271] <= 0
model += X[4328] + X[2668] + X[3271] <= 2
model += X[7697] - X[5096] - X[2549] <= 0
model += X[7697] + X[5096] + X[2549] <= 2
model += -X[4582] + X[179] - X[5206] <= 0
model += -X[4582] - X[179] + X[5206] <= 0
model += X[6140] - X[3796] - X[4417] <= 0
model += X[6140] + X[3796] + X[4417] <= 2
model += X[3103] - X[2841] - X[6598] <= 0
model += X[3103] + X[2841] + X[6598] <= 2
model += -X[2033] + X[5384] - X[197] <= 0
model += -X[2033] - X[5384] + X[197] <= 0
model += X[2274] - X[5974] - X[6968] <= 0
model += X[2274] + X[5974] + X[6968] <= 2
model += X[2420] - X[6432] - X[2496] <= 0
model += X[2420] + X[6432] + X[2496] <= 2
model += X[5410] - X[5023] - X[4690] <= 0
model += X[5410] + X[5023] + X[4690] <= 2
model += -X[967] + X[5930] - X[7213] <= 0
model += -X[967] - X[5930] + X[7213] <= 0
model += X[4374] - X[5766] - X[2868] <= 0
model += X[4374] + X[5766] + X[2868] <= 2
model += -X[4920] + X[311] - X[3061] <= 0
model += -X[4920] - X[311] + X[3061] <= 0
model += -X[3532] + X[3728] - X[885] <= 0
model += -X[3532] - X[3728] + X[885] <= 0
model += -X[976] + X[1130] - X[4562] <= 0
model += -X[976] - X[1130] + X[4562] <= 0
model += X[1736] - X[3978] - X[7781] <= 0
model += X[1736] + X[3978] + X[7781] <= 2
model += X[3997] - X[1340] - X[4099] <= 0
model += X[3997] + X[1340] + X[4099] <= 2
model += -X[5098] + X[173] - X[6640] <= 0
model += -X[5098] - X[173] + X[6640] <= 0
model += X[7162] - X[1705] - X[1670] <= 0
model += X[7162] + X[1705] + X[1670] <= 2
model += X[3589] - X[2957] - X[5881] <= 0
model += X[3589] + X[2957] + X[5881] <= 2
model += X[2666] - X[4973] - X[7458] <= 0
model += X[2666] + X[4973] + X[7458] <= 2
model += -X[1349] + X[539] - X[2326] <= 0
model += -X[1349] - X[539] + X[2326] <= 0
model += X[7509] - X[2275] - X[6987] <= 0
model += X[7509] + X[2275] + X[6987] <= 2
model += X[7432] - X[7149] - X[3623] <= 0
model += X[7432] + X[7149] + X[3623] <= 2
model += X[6575] - X[1138] - X[1118] <= 0
model += X[6575] + X[1138] + X[1118] <= 2
model += -X[3132] + X[641] - X[1677] <= 0
model += -X[3132] - X[641] + X[1677] <= 0
model += -X[7687] + X[255] - X[3092] <= 0
model += -X[7687] - X[255] + X[3092] <= 0
model += -X[1974] + X[480] - X[1014] <= 0
model += -X[1974] - X[480] + X[1014] <= 0
model += X[6971] - X[1237] - X[5319] <= 0
model += X[6971] + X[1237] + X[5319] <= 2
model += -X[3645] + X[791] - X[3139] <= 0
model += -X[3645] - X[791] + X[3139] <= 0
model += -X[671] + X[7088] - X[5305] <= 0
model += -X[671] - X[7088] + X[5305] <= 0
model += X[5624] - X[4167] - X[5933] <= 0
model += X[5624] + X[4167] + X[5933] <= 2
model += X[5404] - X[2165] - X[4673] <= 0
model += X[5404] + X[2165] + X[4673] <= 2
model += X[7112] - X[6252] - X[6897] <= 0
model += X[7112] + X[6252] + X[6897] <= 2
model += -X[2254] + X[586] - X[1350] <= 0
model += -X[2254] - X[586] + X[1350] <= 0
model += -X[5352] + X[394] - X[7500] <= 0
model += -X[5352] - X[394] + X[7500] <= 0
model += X[5965] - X[1797] - X[1353] <= 0
model += X[5965] + X[1797] + X[1353] <= 2
model += X[5007] - X[7212] - X[5053] <= 0
model += X[5007] + X[7212] + X[5053] <= 2
model += X[2760] - X[3918] - X[2052] <= 0
model += X[2760] + X[3918] + X[2052] <= 2
model += X[3377] - X[4295] - X[3044] <= 0
model += X[3377] + X[4295] + X[3044] <= 2
model += X[5839] - X[7385] - X[7673] <= 0
model += X[5839] + X[7385] + X[7673] <= 2
model += X[1843] - X[1884] - X[4219] <= 0
model += X[1843] + X[1884] + X[4219] <= 2
model += X[3922] - X[7748] - X[1276] <= 0
model += X[3922] + X[7748] + X[1276] <= 2
model += X[5627] - X[4345] - X[4524] <= 0
model += X[5627] + X[4345] + X[4524] <= 2
model += X[4055] - X[1143] - X[1139] <= 0
model += X[4055] + X[1143] + X[1139] <= 2
model += X[2563] - X[4811] - X[3145] <= 0
model += X[2563] + X[4811] + X[3145] <= 2
model += -X[1952] + X[910] - X[1444] <= 0
model += -X[1952] - X[910] + X[1444] <= 0
model += X[1849] - X[7232] - X[6954] <= 0
model += X[1849] + X[7232] + X[6954] <= 2
model += -X[5991] + X[2962] - X[685] <= 0
model += -X[5991] - X[2962] + X[685] <= 0
model += X[5235] - X[6479] - X[2850] <= 0
model += X[5235] + X[6479] + X[2850] <= 2
model += X[7744] - X[6116] - X[3090] <= 0
model += X[7744] + X[6116] + X[3090] <= 2
model += X[3590] - X[1711] - X[2454] <= 0
model += X[3590] + X[1711] + X[2454] <= 2
model += X[5315] - X[6300] - X[6036] <= 0
model += X[5315] + X[6300] + X[6036] <= 2
model += -X[4103] + X[997] - X[5218] <= 0
model += -X[4103] - X[997] + X[5218] <= 0
model += X[2598] - X[3440] - X[4679] <= 0
model += X[2598] + X[3440] + X[4679] <= 2
model += X[4331] - X[3757] - X[5673] <= 0
model += X[4331] + X[3757] + X[5673] <= 2
model += X[1454] - X[1256] - X[2191] <= 0
model += X[1454] + X[1256] + X[2191] <= 2
model += X[3981] - X[5094] - X[4210] <= 0
model += X[3981] + X[5094] + X[4210] <= 2
model += X[1913] - X[1721] - X[2447] <= 0
model += X[1913] + X[1721] + X[2447] <= 2
model += X[7586] - X[3233] - X[7647] <= 0
model += X[7586] + X[3233] + X[7647] <= 2
model += X[1410] - X[1776] - X[4965] <= 0
model += X[1410] + X[1776] + X[4965] <= 2
model += X[3285] - X[4203] - X[2554] <= 0
model += X[3285] + X[4203] + X[2554] <= 2
model += X[4620] - X[7197] - X[5148] <= 0
model += X[4620] + X[7197] + X[5148] <= 2
model += X[3258] - X[4795] - X[5583] <= 0
model += X[3258] + X[4795] + X[5583] <= 2
model += X[2268] - X[5398] - X[1009] <= 0
model += X[2268] + X[5398] + X[1009] <= 2
model += X[6790] - X[2306] - X[1669] <= 0
model += X[6790] + X[2306] + X[1669] <= 2
model += X[7249] - X[3294] - X[7543] <= 0
model += X[7249] + X[3294] + X[7543] <= 2
model += X[1134] - X[3447] - X[7076] <= 0
model += X[1134] + X[3447] + X[7076] <= 2
model += X[1025] - X[4180] - X[7014] <= 0
model += X[1025] + X[4180] + X[7014] <= 2
model += X[4862] - X[3826] - X[6491] <= 0
model += X[4862] + X[3826] + X[6491] <= 2
model += X[1132] - X[1389] - X[6618] <= 0
model += X[1132] + X[1389] + X[6618] <= 2
model += -X[7359] + X[7392] - X[427] <= 0
model += -X[7359] - X[7392] + X[427] <= 0
model += -X[2907] + X[6297] - X[696] <= 0
model += -X[2907] - X[6297] + X[696] <= 0
model += X[5666] - X[7619] - X[6275] <= 0
model += X[5666] + X[7619] + X[6275] <= 2
model += -X[154] + X[3721] - X[6408] <= 0
model += -X[154] - X[3721] + X[6408] <= 0
model += X[4674] - X[2926] - X[4870] <= 0
model += X[4674] + X[2926] + X[4870] <= 2
model += X[3413] - X[2866] - X[7059] <= 0
model += X[3413] + X[2866] + X[7059] <= 2
model += X[5295] - X[2668] - X[4294] <= 0
model += X[5295] + X[2668] + X[4294] <= 2
model += X[6496] - X[5096] - X[6207] <= 0
model += X[6496] + X[5096] + X[6207] <= 2
model += -X[199] + X[7547] - X[3807] <= 0
model += -X[199] - X[7547] + X[3807] <= 0
model += -X[3979] + X[179] - X[1306] <= 0
model += -X[3979] - X[179] + X[1306] <= 0
model += -X[2113] + X[3796] - X[333] <= 0
model += -X[2113] - X[3796] + X[333] <= 0
model += X[7449] - X[2841] - X[5894] <= 0
model += X[7449] + X[2841] + X[5894] <= 2
model += X[2774] - X[5384] - X[6032] <= 0
model += X[2774] + X[5384] + X[6032] <= 2
model += X[6850] - X[5974] - X[3020] <= 0
model += X[6850] + X[5974] + X[3020] <= 2
model += X[3241] - X[6432] - X[5979] <= 0
model += X[3241] + X[6432] + X[5979] <= 2
model += X[3713] - X[5930] - X[7043] <= 0
model += X[3713] + X[5930] + X[7043] <= 2
model += X[4407] - X[4329] - X[5286] <= 0
model += X[4407] + X[4329] + X[5286] <= 2
model += X[7569] - X[5766] - X[7216] <= 0
model += X[7569] + X[5766] + X[7216] <= 2
model += -X[3599] + X[311] - X[7453] <= 0
model += -X[3599] - X[311] + X[7453] <= 0
model += X[4434] - X[3728] - X[5744] <= 0
model += X[4434] + X[3728] + X[5744] <= 2
model += X[2049] - X[1130] - X[4191] <= 0
model += X[2049] + X[1130] + X[4191] <= 2
model += X[5205] - X[6489] - X[4499] <= 0
model += X[5205] + X[6489] + X[4499] <= 2
model += X[7723] - X[6149] - X[2448] <= 0
model += X[7723] + X[6149] + X[2448] <= 2
model += -X[615] + X[2382] - X[1160] <= 0
model += -X[615] - X[2382] + X[1160] <= 0
model += -X[580] + X[1340] - X[3523] <= 0
model += -X[580] - X[1340] + X[3523] <= 0
model += -X[7254] + X[173] - X[1459] <= 0
model += -X[7254] - X[173] + X[1459] <= 0
model += X[7358] - X[1705] - X[1693] <= 0
model += X[7358] + X[1705] + X[1693] <= 2
model += X[7626] - X[2957] - X[1419] <= 0
model += X[7626] + X[2957] + X[1419] <= 2
model += -X[592] + X[4973] - X[7207] <= 0
model += -X[592] - X[4973] + X[7207] <= 0
model += -X[3291] + X[539] - X[1682] <= 0
model += -X[3291] - X[539] + X[1682] <= 0
model += X[1996] - X[2275] - X[1034] <= 0
model += X[1996] + X[2275] + X[1034] <= 2
model += X[6621] - X[7149] - X[5449] <= 0
model += X[6621] + X[7149] + X[5449] <= 2
model += -X[166] + X[1138] - X[3659] <= 0
model += -X[166] - X[1138] + X[3659] <= 0
model += -X[1803] + X[641] - X[5649] <= 0
model += -X[1803] - X[641] + X[5649] <= 0
model += -X[2007] + X[255] - X[2404] <= 0
model += -X[2007] - X[255] + X[2404] <= 0
model += X[4882] - X[1237] - X[5587] <= 0
model += X[4882] + X[1237] + X[5587] <= 2
model += -X[6615] + X[791] - X[6112] <= 0
model += -X[6615] - X[791] + X[6112] <= 0
model += X[7221] - X[7088] - X[4930] <= 0
model += X[7221] + X[7088] + X[4930] <= 2
model += -X[5008] + X[6252] - X[631] <= 0
model += -X[5008] - X[6252] + X[631] <= 0
model += X[2738] - X[1797] - X[6837] <= 0
model += X[2738] + X[1797] + X[6837] <= 2
model += X[2013] - X[7212] - X[2687] <= 0
model += X[2013] + X[7212] + X[2687] <= 2
model += X[4743] - X[3918] - X[7733] <= 0
model += X[4743] + X[3918] + X[7733] <= 2
model += X[6939] - X[4295] - X[4213] <= 0
model += X[6939] + X[4295] + X[4213] <= 2
model += X[6494] - X[7385] - X[6512] <= 0
model += X[6494] + X[7385] + X[6512] <= 2
model += X[2594] - X[1884] - X[2069] <= 0
model += X[2594] + X[1884] + X[2069] <= 2
model += X[1530] - X[7748] - X[5506] <= 0
model += X[1530] + X[7748] + X[5506] <= 2
model += X[2680] - X[4345] - X[5810] <= 0
model += X[2680] + X[4345] + X[5810] <= 2
model += -X[336] + X[1143] - X[6371] <= 0
model += -X[336] - X[1143] + X[6371] <= 0
model += X[2513] - X[4811] - X[2025] <= 0
model += X[2513] + X[4811] + X[2025] <= 2
model += -X[3198] + X[910] - X[6585] <= 0
model += -X[3198] - X[910] + X[6585] <= 0
model += -X[1863] + X[7232] - X[875] <= 0
model += -X[1863] - X[7232] + X[875] <= 0
model += X[2776] - X[2962] - X[4107] <= 0
model += X[2776] + X[2962] + X[4107] <= 2
model += X[5271] - X[6479] - X[5470] <= 0
model += X[5271] + X[6479] + X[5470] <= 2
model += X[4705] - X[6116] - X[7588] <= 0
model += X[4705] + X[6116] + X[7588] <= 2
model += X[7280] - X[1711] - X[2503] <= 0
model += X[7280] + X[1711] + X[2503] <= 2
model += -X[741] + X[6300] - X[7217] <= 0
model += -X[741] - X[6300] + X[7217] <= 0
model += -X[3669] + X[997] - X[7062] <= 0
model += -X[3669] - X[997] + X[7062] <= 0
model += X[6170] - X[3440] - X[6725] <= 0
model += X[6170] + X[3440] + X[6725] <= 2
model += -X[732] + X[3757] - X[2619] <= 0
model += -X[732] - X[3757] + X[2619] <= 0
model += X[2300] - X[1256] - X[1263] <= 0
model += X[2300] + X[1256] + X[1263] <= 2
model += X[6717] - X[3651] - X[5855] <= 0
model += X[6717] + X[3651] + X[5855] <= 2
model += -X[666] + X[5094] - X[2589] <= 0
model += -X[666] - X[5094] + X[2589] <= 0
model += X[2952] - X[1721] - X[7090] <= 0
model += X[2952] + X[1721] + X[7090] <= 2
model += X[2018] - X[6031] - X[7037] <= 0
model += X[2018] + X[6031] + X[7037] <= 2
model += -X[1631] + X[3233] - X[397] <= 0
model += -X[1631] - X[3233] + X[397] <= 0
model += X[2517] - X[1776] - X[6387] <= 0
model += X[2517] + X[1776] + X[6387] <= 2
model += X[1702] - X[4203] - X[6730] <= 0
model += X[1702] + X[4203] + X[6730] <= 2
model += X[4436] - X[7197] - X[7066] <= 0
model += X[4436] + X[7197] + X[7066] <= 2
model += X[1500] - X[4795] - X[1293] <= 0
model += X[1500] + X[4795] + X[1293] <= 2
model += -X[2122] + X[5398] - X[260] <= 0
model += -X[2122] - X[5398] + X[260] <= 0
model += X[2914] - X[2306] - X[1159] <= 0
model += X[2914] + X[2306] + X[1159] <= 2
model += X[5421] - X[3294] - X[3840] <= 0
model += X[5421] + X[3294] + X[3840] <= 2
model += X[3841] - X[3447] - X[4403] <= 0
model += X[3841] + X[3447] + X[4403] <= 2
model += X[5637] - X[4180] - X[5919] <= 0
model += X[5637] + X[4180] + X[5919] <= 2
model += X[7107] - X[3826] - X[1225] <= 0
model += X[7107] + X[3826] + X[1225] <= 2
model += X[7290] - X[1389] - X[4040] <= 0
model += X[7290] + X[1389] + X[4040] <= 2
model += X[6372] - X[7392] - X[3544] <= 0
model += X[6372] + X[7392] + X[3544] <= 2
model += X[5061] - X[6297] - X[4468] <= 0
model += X[5061] + X[6297] + X[4468] <= 2
model += X[6431] - X[7619] - X[6358] <= 0
model += X[6431] + X[7619] + X[6358] <= 2
model += X[1762] - X[2858] - X[2942] <= 0
model += X[1762] + X[2858] + X[2942] <= 2
model += -X[4376] + X[882] - X[2048] <= 0
model += -X[4376] - X[882] + X[2048] <= 0
model += X[2421] - X[3750] - X[3098] <= 0
model += X[2421] + X[3750] + X[3098] <= 2
model += -X[7297] + X[936] - X[1539] <= 0
model += -X[7297] - X[936] + X[1539] <= 0
model += -X[2989] + X[2926] - X[912] <= 0
model += -X[2989] - X[2926] + X[912] <= 0
model += -X[2185] + X[2866] - X[223] <= 0
model += -X[2185] - X[2866] + X[223] <= 0
model += -X[669] + X[2668] - X[3564] <= 0
model += -X[669] - X[2668] + X[3564] <= 0
model += -X[4636] + X[5096] - X[327] <= 0
model += -X[4636] - X[5096] + X[327] <= 0
model += X[1832] - X[7547] - X[3734] <= 0
model += X[1832] + X[7547] + X[3734] <= 2
model += -X[4675] + X[3796] - X[842] <= 0
model += -X[4675] - X[3796] + X[842] <= 0
model += -X[627] + X[2841] - X[6470] <= 0
model += -X[627] - X[2841] + X[6470] <= 0
model += X[7440] - X[5384] - X[4927] <= 0
model += X[7440] + X[5384] + X[4927] <= 2
model += X[6405] - X[5974] - X[7754] <= 0
model += X[6405] + X[5974] + X[7754] <= 2
model += X[4812] - X[6432] - X[6922] <= 0
model += X[4812] + X[6432] + X[6922] <= 2
model += X[5039] - X[5023] - X[7250] <= 0
model += X[5039] + X[5023] + X[7250] <= 2
model += -X[939] + X[5930] - X[2599] <= 0
model += -X[939] - X[5930] + X[2599] <= 0
model += X[2792] - X[4329] - X[5341] <= 0
model += X[2792] + X[4329] + X[5341] <= 2
model += X[1024] - X[5766] - X[6094] <= 0
model += X[1024] + X[5766] + X[6094] <= 2
model += X[6787] - X[6489] - X[6767] <= 0
model += X[6787] + X[6489] + X[6767] <= 2
model += -X[1206] + X[6149] - X[525] <= 0
model += -X[1206] - X[6149] + X[525] <= 0
model += X[6456] - X[2382] - X[1700] <= 0
model += X[6456] + X[2382] + X[1700] <= 2
model += -X[3114] + X[1340] - X[942] <= 0
model += -X[3114] - X[1340] + X[942] <= 0
model += -X[3330] + X[1705] - X[820] <= 0
model += -X[3330] - X[1705] + X[820] <= 0
model += -X[320] + X[2957] - X[1977] <= 0
model += -X[320] - X[2957] + X[1977] <= 0
model += X[2627] - X[4973] - X[3387] <= 0
model += X[2627] + X[4973] + X[3387] <= 2
model += X[6309] - X[2275] - X[2576] <= 0
model += X[6309] + X[2275] + X[2576] <= 2
model += X[4515] - X[7149] - X[5577] <= 0
model += X[4515] + X[7149] + X[5577] <= 2
model += -X[4751] + X[1138] - X[751] <= 0
model += -X[4751] - X[1138] + X[751] <= 0
model += -X[1108] + X[641] - X[2566] <= 0
model += -X[1108] - X[641] + X[2566] <= 0
model += -X[4004] + X[255] - X[3907] <= 0
model += -X[4004] - X[255] + X[3907] <= 0
model += -X[7268] + X[480] - X[7545] <= 0
model += -X[7268] - X[480] + X[7545] <= 0
model += X[5858] - X[1237] - X[7558] <= 0
model += X[5858] + X[1237] + X[7558] <= 2
model += -X[6385] + X[791] - X[3205] <= 0
model += -X[6385] - X[791] + X[3205] <= 0
model += X[4947] - X[7088] - X[7637] <= 0
model += X[4947] + X[7088] + X[7637] <= 2
model += X[7105] - X[6252] - X[7492] <= 0
model += X[7105] + X[6252] + X[7492] <= 2
model += -X[1926] + X[586] - X[5492] <= 0
model += -X[1926] - X[586] + X[5492] <= 0
model += -X[2385] + X[394] - X[3685] <= 0
model += -X[2385] - X[394] + X[3685] <= 0
model += -X[933] + X[1797] - X[2075] <= 0
model += -X[933] - X[1797] + X[2075] <= 0
model += -X[2787] + X[7212] - X[946] <= 0
model += -X[2787] - X[7212] + X[946] <= 0
model += X[3015] - X[3918] - X[2623] <= 0
model += X[3015] + X[3918] + X[2623] <= 2
model += X[7567] - X[4295] - X[7337] <= 0
model += X[7567] + X[4295] + X[7337] <= 2
model += X[6890] - X[7385] - X[1327] <= 0
model += X[6890] + X[7385] + X[1327] <= 2
model += -X[4144] + X[1884] - X[101] <= 0
model += -X[4144] - X[1884] + X[101] <= 0
model += X[4916] - X[7748] - X[4887] <= 0
model += X[4916] + X[7748] + X[4887] <= 2
model += X[2721] - X[4345] - X[2408] <= 0
model += X[2721] + X[4345] + X[2408] <= 2
model += X[6218] - X[1143] - X[7525] <= 0
model += X[6218] + X[1143] + X[7525] <= 2
model += X[2195] - X[4811] - X[2422] <= 0
model += X[2195] + X[4811] + X[2422] <= 2
model += -X[1744] + X[910] - X[5951] <= 0
model += -X[1744] - X[910] + X[5951] <= 0
model += X[4409] - X[7232] - X[6703] <= 0
model += X[4409] + X[7232] + X[6703] <= 2
model += X[1364] - X[2962] - X[4807] <= 0
model += X[1364] + X[2962] + X[4807] <= 2
model += X[1390] - X[6479] - X[6781] <= 0
model += X[1390] + X[6479] + X[6781] <= 2
model += X[1089] - X[6116] - X[7330] <= 0
model += X[1089] + X[6116] + X[7330] <= 2
model += -X[693] + X[1711] - X[4447] <= 0
model += -X[693] - X[1711] + X[4447] <= 0
model += -X[330] + X[6300] - X[6434] <= 0
model += -X[330] - X[6300] + X[6434] <= 0
model += -X[535] + X[3440] - X[6445] <= 0
model += -X[535] - X[3440] + X[6445] <= 0
model += X[1922] - X[3757] - X[6606] <= 0
model += X[1922] + X[3757] + X[6606] <= 2
model += X[4362] - X[1256] - X[1963] <= 0
model += X[4362] + X[1256] + X[1963] <= 2
model += X[6291] - X[3651] - X[6447] <= 0
model += X[6291] + X[3651] + X[6447] <= 2
model += X[1068] - X[6967] - X[6411] <= 0
model += X[1068] + X[6967] + X[6411] <= 2
model += X[2067] - X[7198] - X[4129] <= 0
model += X[2067] + X[7198] + X[4129] <= 2
model += X[4627] - X[4593] - X[3096] <= 0
model += X[4627] + X[4593] + X[3096] <= 2
model += X[7722] - X[1721] - X[4377] <= 0
model += X[7722] + X[1721] + X[4377] <= 2
model += X[1296] - X[6031] - X[4614] <= 0
model += X[1296] + X[6031] + X[4614] <= 2
model += X[6093] - X[3233] - X[2425] <= 0
model += X[6093] + X[3233] + X[2425] <= 2
model += -X[2440] + X[1776] - X[306] <= 0
model += -X[2440] - X[1776] + X[306] <= 0
model += X[2542] - X[4203] - X[5628] <= 0
model += X[2542] + X[4203] + X[5628] <= 2
model += -X[626] + X[7197] - X[6644] <= 0
model += -X[626] - X[7197] + X[6644] <= 0
model += X[7032] - X[4795] - X[3195] <= 0
model += X[7032] + X[4795] + X[3195] <= 2
model += -X[579] + X[5398] - X[4168] <= 0
model += -X[579] - X[5398] + X[4168] <= 0
model += X[2509] - X[2306] - X[7400] <= 0
model += X[2509] + X[2306] + X[7400] <= 2
model += -X[388] + X[3294] - X[2684] <= 0
model += -X[388] - X[3294] + X[2684] <= 0
model += X[7172] - X[3447] - X[5455] <= 0
model += X[7172] + X[3447] + X[5455] <= 2
model += X[1737] - X[4180] - X[5103] <= 0
model += X[1737] + X[4180] + X[5103] <= 2
model += X[1029] - X[3826] - X[7228] <= 0
model += X[1029] + X[3826] + X[7228] <= 2
model += X[2446] - X[1389] - X[7024] <= 0
model += X[2446] + X[1389] + X[7024] <= 2
model += -X[6041] + X[7392] - X[855] <= 0
model += -X[6041] - X[7392] + X[855] <= 0
model += X[3492] - X[2270] - X[7631] <= 0
model += X[3492] + X[2270] + X[7631] <= 2
model += X[5168] - X[3750] - X[1645] <= 0
model += X[5168] + X[3750] + X[1645] <= 2
model += -X[5405] + X[936] - X[4033] <= 0
model += -X[5405] - X[936] + X[4033] <= 0
model += X[2631] - X[2926] - X[6389] <= 0
model += X[2631] + X[2926] + X[6389] <= 2
model += X[6581] - X[2866] - X[4486] <= 0
model += X[6581] + X[2866] + X[4486] <= 2
model += X[4717] - X[2668] - X[1285] <= 0
model += X[4717] + X[2668] + X[1285] <= 2
model += X[5528] - X[5096] - X[1590] <= 0
model += X[5528] + X[5096] + X[1590] <= 2
model += X[3235] - X[7547] - X[7126] <= 0
model += X[3235] + X[7547] + X[7126] <= 2
model += -X[5312] + X[3796] - X[148] <= 0
model += -X[5312] - X[3796] + X[148] <= 0
model += X[4291] - X[2841] - X[4844] <= 0
model += X[4291] + X[2841] + X[4844] <= 2
model += X[1828] - X[5384] - X[7108] <= 0
model += X[1828] + X[5384] + X[7108] <= 2
model += X[3693] - X[5974] - X[6862] <= 0
model += X[3693] + X[5974] + X[6862] <= 2
model += X[4231] - X[6432] - X[2304] <= 0
model += X[4231] + X[6432] + X[2304] <= 2
model += X[5693] - X[5023] - X[3546] <= 0
model += X[5693] + X[5023] + X[3546] <= 2
model += X[6535] - X[5930] - X[6782] <= 0
model += X[6535] + X[5930] + X[6782] <= 2
model += -X[5167] + X[4329] - X[789] <= 0
model += -X[5167] - X[4329] + X[789] <= 0
model += X[1807] - X[5766] - X[7370] <= 0
model += X[1807] + X[5766] + X[7370] <= 2
model += X[6817] - X[6489] - X[7344] <= 0
model += X[6817] + X[6489] + X[7344] <= 2
model += X[4462] - X[6149] - X[1405] <= 0
model += X[4462] + X[6149] + X[1405] <= 2
model += X[3495] - X[2382] - X[7672] <= 0
model += X[3495] + X[2382] + X[7672] <= 2
model += X[4147] - X[1340] - X[5522] <= 0
model += X[4147] + X[1340] + X[5522] <= 2
model += -X[5772] + X[173] - X[3775] <= 0
model += -X[5772] - X[173] + X[3775] <= 0
model += X[3650] - X[1705] - X[2183] <= 0
model += X[3650] + X[1705] + X[2183] <= 2
model += X[1312] - X[2957] - X[7140] <= 0
model += X[1312] + X[2957] + X[7140] <= 2
model += X[5888] - X[4973] - X[4697] <= 0
model += X[5888] + X[4973] + X[4697] <= 2
model += X[1199] - X[2275] - X[1745] <= 0
model += X[1199] + X[2275] + X[1745] <= 2
model += X[3254] - X[7149] - X[5014] <= 0
model += X[3254] + X[7149] + X[5014] <= 2
model += -X[146] + X[1138] - X[1685] <= 0
model += -X[146] - X[1138] + X[1685] <= 0
model += -X[1846] + X[641] - X[7379] <= 0
model += -X[1846] - X[641] + X[7379] <= 0
model += -X[6693] + X[480] - X[2665] <= 0
model += -X[6693] - X[480] + X[2665] <= 0
model += -X[3536] + X[1237] - X[811] <= 0
model += -X[3536] - X[1237] + X[811] <= 0
model += -X[4961] + X[791] - X[1782] <= 0
model += -X[4961] - X[791] + X[1782] <= 0
model += X[1712] - X[7088] - X[2777] <= 0
model += X[1712] + X[7088] + X[2777] <= 2
model += -X[4178] + X[6252] - X[140] <= 0
model += -X[4178] - X[6252] + X[140] <= 0
model += -X[5981] + X[586] - X[2842] <= 0
model += -X[5981] - X[586] + X[2842] <= 0
model += -X[7371] + X[394] - X[6712] <= 0
model += -X[7371] - X[394] + X[6712] <= 0
model += X[2076] - X[1797] - X[1107] <= 0
model += X[2076] + X[1797] + X[1107] <= 2
model += -X[890] + X[7212] - X[4094] <= 0
model += -X[890] - X[7212] + X[4094] <= 0
model += X[1540] - X[3918] - X[4838] <= 0
model += X[1540] + X[3918] + X[4838] <= 2
model += X[2835] - X[5107] - X[6522] <= 0
model += X[2835] + X[5107] + X[6522] <= 2
model += X[7680] - X[4424] - X[5379] <= 0
model += X[7680] + X[4424] + X[5379] <= 2
model += X[2922] - X[4411] - X[6189] <= 0
model += X[2922] + X[4411] + X[6189] <= 2
model += X[3972] - X[7385] - X[3448] <= 0
model += X[3972] + X[7385] + X[3448] <= 2
model += X[3386] - X[1884] - X[1377] <= 0
model += X[3386] + X[1884] + X[1377] <= 2
model += X[4134] - X[7748] - X[6177] <= 0
model += X[4134] + X[7748] + X[6177] <= 2
model += -X[1637] + X[4345] - X[750] <= 0
model += -X[1637] - X[4345] + X[750] <= 0
model += X[4541] - X[1143] - X[2812] <= 0
model += X[4541] + X[1143] + X[2812] <= 2
model += X[4669] - X[4811] - X[4320] <= 0
model += X[4669] + X[4811] + X[4320] <= 2
model += X[7127] - X[7232] - X[7053] <= 0
model += X[7127] + X[7232] + X[7053] <= 2
model += X[3941] - X[2962] - X[3166] <= 0
model += X[3941] + X[2962] + X[3166] <= 2
model += -X[459] + X[6479] - X[2090] <= 0
model += -X[459] - X[6479] + X[2090] <= 0
model += X[3490] - X[6116] - X[3710] <= 0
model += X[3490] + X[6116] + X[3710] <= 2
model += X[1683] - X[1711] - X[1480] <= 0
model += X[1683] + X[1711] + X[1480] <= 2
model += X[4598] - X[6300] - X[2555] <= 0
model += X[4598] + X[6300] + X[2555] <= 2
model += -X[6368] + X[997] - X[1307] <= 0
model += -X[6368] - X[997] + X[1307] <= 0
model += -X[4249] + X[3440] - X[136] <= 0
model += -X[4249] - X[3440] + X[136] <= 0
model += -X[1058] + X[310] - X[4787] <= 0
model += -X[1058] - X[310] + X[4787] <= 0
model += -X[6628] + X[6967] - X[193] <= 0
model += -X[6628] - X[6967] + X[193] <= 0
model += X[4198] - X[7198] - X[1371] <= 0
model += X[4198] + X[7198] + X[1371] <= 2
model += X[6066] - X[4593] - X[7111] <= 0
model += X[6066] + X[4593] + X[7111] <= 2
model += X[7259] - X[1721] - X[4511] <= 0
model += X[7259] + X[1721] + X[4511] <= 2
model += -X[6721] + X[6031] - X[935] <= 0
model += -X[6721] - X[6031] + X[935] <= 0
model += -X[7020] + X[3233] - X[569] <= 0
model += -X[7020] - X[3233] + X[569] <= 0
model += -X[6419] + X[1776] - X[681] <= 0
model += -X[6419] - X[1776] + X[681] <= 0
model += X[3143] - X[4203] - X[1451] <= 0
model += X[3143] + X[4203] + X[1451] <= 2
model += X[5975] - X[4795] - X[2378] <= 0
model += X[5975] + X[4795] + X[2378] <= 2
model += -X[4988] + X[5398] - X[577] <= 0
model += -X[4988] - X[5398] + X[577] <= 0
model += X[4489] - X[2306] - X[5204] <= 0
model += X[4489] + X[2306] + X[5204] <= 2
model += X[5400] - X[3294] - X[4067] <= 0
model += X[5400] + X[3294] + X[4067] <= 2
model += X[2205] - X[3447] - X[2821] <= 0
model += X[2205] + X[3447] + X[2821] <= 2
model += X[7452] - X[4180] - X[5514] <= 0
model += X[7452] + X[4180] + X[5514] <= 2
model += X[3761] - X[3826] - X[1880] <= 0
model += X[3761] + X[3826] + X[1880] <= 2
model += X[2894] - X[1389] - X[2637] <= 0
model += X[2894] + X[1389] + X[2637] <= 2
model += X[4733] - X[7392] - X[1512] <= 0
model += X[4733] + X[7392] + X[1512] <= 2
model += -X[7789] + X[882] - X[6895] <= 0
model += -X[7789] - X[882] + X[6895] <= 0
model += X[2816] - X[2270] - X[6591] <= 0
model += X[2816] + X[2270] + X[6591] <= 2
model += X[4208] - X[3750] - X[5755] <= 0
model += X[4208] + X[3750] + X[5755] <= 2
model += -X[3313] + X[936] - X[5118] <= 0
model += -X[3313] - X[936] + X[5118] <= 0
model += -X[1901] + X[2926] - X[265] <= 0
model += -X[1901] - X[2926] + X[265] <= 0
model += -X[4491] + X[2866] - X[229] <= 0
model += -X[4491] - X[2866] + X[229] <= 0
model += X[7047] - X[2668] - X[3724] <= 0
model += X[7047] + X[2668] + X[3724] <= 2
model += X[7537] - X[5096] - X[6531] <= 0
model += X[7537] + X[5096] + X[6531] <= 2
model += X[4420] - X[7547] - X[2091] <= 0
model += X[4420] + X[7547] + X[2091] <= 2
model += -X[1634] + X[179] - X[4914] <= 0
model += -X[1634] - X[179] + X[4914] <= 0
model += X[6312] - X[3796] - X[2412] <= 0
model += X[6312] + X[3796] + X[2412] <= 2
model += X[1859] - X[5384] - X[6688] <= 0
model += X[1859] + X[5384] + X[6688] <= 2
model += X[4114] - X[5974] - X[3753] <= 0
model += X[4114] + X[5974] + X[3753] <= 2
model += X[1381] - X[6432] - X[5829] <= 0
model += X[1381] + X[6432] + X[5829] <= 2
model += X[1395] - X[5023] - X[2200] <= 0
model += X[1395] + X[5023] + X[2200] <= 2
model += X[5301] - X[5930] - X[6973] <= 0
model += X[5301] + X[5930] + X[6973] <= 2
model += X[3224] - X[4329] - X[2712] <= 0
model += X[3224] + X[4329] + X[2712] <= 2
model += X[4736] - X[5766] - X[5310] <= 0
model += X[4736] + X[5766] + X[5310] <= 2
model += X[4859] - X[6489] - X[2044] <= 0
model += X[4859] + X[6489] + X[2044] <= 2
model += X[5036] - X[6149] - X[6529] <= 0
model += X[5036] + X[6149] + X[6529] <= 2
model += X[6949] - X[2382] - X[5017] <= 0
model += X[6949] + X[2382] + X[5017] <= 2
model += X[2527] - X[1340] - X[2303] <= 0
model += X[2527] + X[1340] + X[2303] <= 2
model += X[3844] - X[1705] - X[6442] <= 0
model += X[3844] + X[1705] + X[6442] <= 2
model += -X[7589] + X[7506] - X[242] <= 0
model += -X[7589] - X[7506] + X[242] <= 0
model += X[2373] - X[6861] - X[5525] <= 0
model += X[2373] + X[6861] + X[5525] <= 2
model += X[3765] - X[3409] - X[4825] <= 0
model += X[3765] + X[3409] + X[4825] <= 2
model += -X[7782] + X[176] - X[4102] <= 0
model += -X[7782] - X[176] + X[4102] <= 0
model += X[1792] - X[4973] - X[6002] <= 0
model += X[1792] + X[4973] + X[6002] <= 2
model += -X[5544] + X[539] - X[6355] <= 0
model += -X[5544] - X[539] + X[6355] <= 0
model += X[1891] - X[2275] - X[3222] <= 0
model += X[1891] + X[2275] + X[3222] <= 2
model += X[2831] - X[7149] - X[5826] <= 0
model += X[2831] + X[7149] + X[5826] <= 2
model += X[1909] - X[1138] - X[4011] <= 0
model += X[1909] + X[1138] + X[4011] <= 2
model += -X[4529] + X[641] - X[5759] <= 0
model += -X[4529] - X[641] + X[5759] <= 0
model += -X[4061] + X[255] - X[4139] <= 0
model += -X[4061] - X[255] + X[4139] <= 0
model += -X[7747] + X[480] - X[7761] <= 0
model += -X[7747] - X[480] + X[7761] <= 0
model += X[3587] - X[1237] - X[3035] <= 0
model += X[3587] + X[1237] + X[3035] <= 2
model += -X[7787] + X[791] - X[7231] <= 0
model += -X[7787] - X[791] + X[7231] <= 0
model += X[1816] - X[7088] - X[6932] <= 0
model += X[1816] + X[7088] + X[6932] <= 2
model += X[4322] - X[6252] - X[7336] <= 0
model += X[4322] + X[6252] + X[7336] <= 2
model += -X[5946] + X[394] - X[4495] <= 0
model += -X[5946] - X[394] + X[4495] <= 0
model += X[3457] - X[1797] - X[4090] <= 0
model += X[3457] + X[1797] + X[4090] <= 2
model += X[1774] - X[5107] - X[2725] <= 0
model += X[1774] + X[5107] + X[2725] <= 2
model += X[5623] - X[4424] - X[6880] <= 0
model += X[5623] + X[4424] + X[6880] <= 2
model += X[3122] - X[4411] - X[3007] <= 0
model += X[3122] + X[4411] + X[3007] <= 2
model += X[7693] - X[7385] - X[6087] <= 0
model += X[7693] + X[7385] + X[6087] <= 2
model += X[4435] - X[7748] - X[1417] <= 0
model += X[4435] + X[7748] + X[1417] <= 2
model += X[5321] - X[4345] - X[4813] <= 0
model += X[5321] + X[4345] + X[4813] <= 2
model += -X[182] + X[4811] - X[1341] <= 0
model += -X[182] - X[4811] + X[1341] <= 0
model += X[2600] - X[7232] - X[2327] <= 0
model += X[2600] + X[7232] + X[2327] <= 2
model += X[7384] - X[2962] - X[2428] <= 0
model += X[7384] + X[2962] + X[2428] <= 2
model += -X[837] + X[6479] - X[6377] <= 0
model += -X[837] - X[6479] + X[6377] <= 0
model += X[7743] - X[6116] - X[3394] <= 0
model += X[7743] + X[6116] + X[3394] <= 2
model += X[4842] - X[1711] - X[2485] <= 0
model += X[4842] + X[1711] + X[2485] <= 2
model += X[1874] - X[6300] - X[7044] <= 0
model += X[1874] + X[6300] + X[7044] <= 2
model += X[5910] - X[3440] - X[3311] <= 0
model += X[5910] + X[3440] + X[3311] <= 2
model += -X[2181] + X[310] - X[1555] <= 0
model += -X[2181] - X[310] + X[1555] <= 0
model += X[3648] - X[6967] - X[5928] <= 0
model += X[3648] + X[6967] + X[5928] <= 2
model += X[5700] - X[7198] - X[4165] <= 0
model += X[5700] + X[7198] + X[4165] <= 2
model += X[6284] - X[1721] - X[5491] <= 0
model += X[6284] + X[1721] + X[5491] <= 2
model += X[6244] - X[6031] - X[5155] <= 0
model += X[6244] + X[6031] + X[5155] <= 2
model += X[4976] - X[3233] - X[5437] <= 0
model += X[4976] + X[3233] + X[5437] <= 2
model += X[3545] - X[1776] - X[6092] <= 0
model += X[3545] + X[1776] + X[6092] <= 2
model += X[3193] - X[4203] - X[7456] <= 0
model += X[3193] + X[4203] + X[7456] <= 2
model += X[6846] - X[7197] - X[1522] <= 0
model += X[6846] + X[7197] + X[1522] <= 2
model += X[7318] - X[4795] - X[3595] <= 0
model += X[7318] + X[4795] + X[3595] <= 2
model += -X[232] + X[5398] - X[1988] <= 0
model += -X[232] - X[5398] + X[1988] <= 0
model += X[3996] - X[2306] - X[6799] <= 0
model += X[3996] + X[2306] + X[6799] <= 2
model += -X[1719] + X[3447] - X[708] <= 0
model += -X[1719] - X[3447] + X[708] <= 0
model += X[6461] - X[4180] - X[3934] <= 0
model += X[6461] + X[4180] + X[3934] <= 2
model += X[3109] - X[3826] - X[4159] <= 0
model += X[3109] + X[3826] + X[4159] <= 2
model += X[5337] - X[1389] - X[5261] <= 0
model += X[5337] + X[1389] + X[5261] <= 2
model += X[3868] - X[7392] - X[3069] <= 0
model += X[3868] + X[7392] + X[3069] <= 2
model += X[6233] - X[2270] - X[7742] <= 0
model += X[6233] + X[2270] + X[7742] <= 2
model += X[4058] - X[3750] - X[7554] <= 0
model += X[4058] + X[3750] + X[7554] <= 2
model += X[2089] - X[2926] - X[6990] <= 0
model += X[2089] + X[2926] + X[6990] <= 2
model += -X[516] + X[2866] - X[7671] <= 0
model += -X[516] - X[2866] + X[7671] <= 0
model += X[6256] - X[2668] - X[4558] <= 0
model += X[6256] + X[2668] + X[4558] <= 2
model += -X[5489] + X[6114] - X[5670] <= 0
model += -X[5489] - X[6114] + X[5670] <= 0
model += -X[3906] + X[7495] - X[4066] <= 0
model += -X[3906] - X[7495] + X[4066] <= 0
model += -X[2690] + X[3433] - X[2870] <= 0
model += -X[2690] - X[3433] + X[2870] <= 0
model += -X[1995] + X[7465] - X[2362] <= 0
model += -X[1995] - X[7465] + X[2362] <= 0
model += -X[1748] + X[4317] - X[6561] <= 0
model += -X[1748] - X[4317] + X[6561] <= 0
model += -X[6342] + X[2575] - X[6016] <= 0
model += -X[6342] - X[2575] + X[6016] <= 0
model += -X[3679] + X[5308] - X[2688] <= 0
model += -X[3679] - X[5308] + X[2688] <= 0
model += -X[2460] + X[5414] - X[6849] <= 0
model += -X[2460] - X[5414] + X[6849] <= 0
model += -X[7679] + X[7495] - X[6110] <= 0
model += -X[7679] - X[7495] + X[6110] <= 0
model += -X[5838] + X[3433] - X[2755] <= 0
model += -X[5838] - X[3433] + X[2755] <= 0
model += -X[2203] + X[7465] - X[4652] <= 0
model += -X[2203] - X[7465] + X[4652] <= 0
model += -X[3085] + X[2486] - X[4080] <= 0
model += -X[3085] - X[2486] + X[4080] <= 0
model += -X[3853] + X[4151] - X[5163] <= 0
model += -X[3853] - X[4151] + X[5163] <= 0
model += -X[3515] + X[4337] - X[4369] <= 0
model += -X[3515] - X[4337] + X[4369] <= 0
model += -X[5688] + X[4317] - X[2547] <= 0
model += -X[5688] - X[4317] + X[2547] <= 0
model += -X[4143] + X[2575] - X[5471] <= 0
model += -X[4143] - X[2575] + X[5471] <= 0
model += -X[6128] + X[5308] - X[4936] <= 0
model += -X[6128] - X[5308] + X[4936] <= 0
model += -X[1375] + X[6114] - X[6823] <= 0
model += -X[1375] - X[6114] + X[6823] <= 0
model += -X[4344] + X[7495] - X[6634] <= 0
model += -X[4344] - X[7495] + X[6634] <= 0
model += -X[2139] + X[3433] - X[1407] <= 0
model += -X[2139] - X[3433] + X[1407] <= 0
model += -X[4884] + X[7465] - X[7189] <= 0
model += -X[4884] - X[7465] + X[7189] <= 0
model += -X[6609] + X[3218] - X[1238] <= 0
model += -X[6609] - X[3218] + X[1238] <= 0
model += -X[7302] + X[2377] - X[5799] <= 0
model += -X[7302] - X[2377] + X[5799] <= 0
model += -X[1207] + X[3093] - X[4624] <= 0
model += -X[1207] - X[3093] + X[4624] <= 0
model += -X[4007] + X[7778] - X[3712] <= 0
model += -X[4007] - X[7778] + X[3712] <= 0
model += -X[6715] + X[2486] - X[2345] <= 0
model += -X[6715] - X[2486] + X[2345] <= 0
model += -X[7209] + X[4151] - X[4410] <= 0
model += -X[7209] - X[4151] + X[4410] <= 0
model += -X[1012] + X[1148] - X[2273] <= 0
model += -X[1012] - X[1148] + X[2273] <= 0
model += -X[4292] + X[4337] - X[7501] <= 0
model += -X[4292] - X[4337] + X[7501] <= 0
model += -X[2833] + X[4317] - X[7759] <= 0
model += -X[2833] - X[4317] + X[7759] <= 0
model += -X[1357] + X[2575] - X[6360] <= 0
model += -X[1357] - X[2575] + X[6360] <= 0
model += -X[5831] + X[5414] - X[4054] <= 0
model += -X[5831] - X[5414] + X[4054] <= 0
model += -X[3422] + X[7566] - X[3094] <= 0
model += -X[3422] - X[7566] + X[3094] <= 0
model += -X[2222] + X[6095] - X[1430] <= 0
model += -X[2222] - X[6095] + X[1430] <= 0
model += -X[2638] + X[2377] - X[6979] <= 0
model += -X[2638] - X[2377] + X[6979] <= 0
model += -X[6515] + X[3093] - X[5367] <= 0
model += -X[6515] - X[3093] + X[5367] <= 0
model += -X[4781] + X[2486] - X[3357] <= 0
model += -X[4781] - X[2486] + X[3357] <= 0
model += -X[1098] + X[4151] - X[4869] <= 0
model += -X[1098] - X[4151] + X[4869] <= 0
model += -X[1513] + X[4337] - X[7434] <= 0
model += -X[1513] - X[4337] + X[7434] <= 0
model += -X[5592] + X[5308] - X[1826] <= 0
model += -X[5592] - X[5308] + X[1826] <= 0
model += -X[6760] + X[5414] - X[1452] <= 0
model += -X[6760] - X[5414] + X[1452] <= 0
model += -X[1462] + X[6604] - X[3190] <= 0
model += -X[1462] - X[6604] + X[3190] <= 0
model += -X[6261] + X[6114] - X[5715] <= 0
model += -X[6261] - X[6114] + X[5715] <= 0
model += -X[1248] + X[7495] - X[3436] <= 0
model += -X[1248] - X[7495] + X[3436] <= 0
model += -X[3014] + X[3433] - X[4913] <= 0
model += -X[3014] - X[3433] + X[4913] <= 0
model += -X[3903] + X[7465] - X[2646] <= 0
model += -X[3903] - X[7465] + X[2646] <= 0
model += -X[3874] + X[6095] - X[2798] <= 0
model += -X[3874] - X[6095] + X[2798] <= 0
model += -X[3030] + X[2377] - X[3877] <= 0
model += -X[3030] - X[2377] + X[3877] <= 0
model += -X[3146] + X[2486] - X[4399] <= 0
model += -X[3146] - X[2486] + X[4399] <= 0
model += -X[1279] + X[4151] - X[7123] <= 0
model += -X[1279] - X[4151] + X[7123] <= 0
model += -X[2520] + X[4279] - X[5320] <= 0
model += -X[2520] - X[4279] + X[5320] <= 0
model += -X[7764] + X[2011] - X[7521] <= 0
model += -X[7764] - X[2011] + X[7521] <= 0
model += -X[7487] + X[4317] - X[2350] <= 0
model += -X[7487] - X[4317] + X[2350] <= 0
model += -X[1018] + X[2575] - X[4912] <= 0
model += -X[1018] - X[2575] + X[4912] <= 0
model += -X[7548] + X[5308] - X[1161] <= 0
model += -X[7548] - X[5308] + X[1161] <= 0
model += -X[6090] + X[5414] - X[7684] <= 0
model += -X[6090] - X[5414] + X[7684] <= 0
model += -X[6321] + X[6604] - X[3526] <= 0
model += -X[6321] - X[6604] + X[3526] <= 0
model += -X[4015] + X[6114] - X[1899] <= 0
model += -X[4015] - X[6114] + X[1899] <= 0
model += -X[2184] + X[7495] - X[3064] <= 0
model += -X[2184] - X[7495] + X[3064] <= 0
model += -X[6911] + X[3433] - X[4314] <= 0
model += -X[6911] - X[3433] + X[4314] <= 0
model += -X[6964] + X[7465] - X[4022] <= 0
model += -X[6964] - X[7465] + X[4022] <= 0
model += -X[5060] + X[7566] - X[3481] <= 0
model += -X[5060] - X[7566] + X[3481] <= 0
model += -X[7474] + X[6095] - X[6525] <= 0
model += -X[7474] - X[6095] + X[6525] <= 0
model += -X[6153] + X[3218] - X[1268] <= 0
model += -X[6153] - X[3218] + X[1268] <= 0
model += -X[3179] + X[2377] - X[4722] <= 0
model += -X[3179] - X[2377] + X[4722] <= 0
model += -X[4782] + X[3093] - X[1093] <= 0
model += -X[4782] - X[3093] + X[1093] <= 0
model += -X[3079] + X[7778] - X[5453] <= 0
model += -X[3079] - X[7778] + X[5453] <= 0
model += -X[6959] + X[5843] - X[6209] <= 0
model += -X[6959] - X[5843] + X[6209] <= 0
model += -X[6269] + X[4595] - X[3275] <= 0
model += -X[6269] - X[4595] + X[3275] <= 0
model += -X[4014] + X[6685] - X[4597] <= 0
model += -X[4014] - X[6685] + X[4597] <= 0
model += -X[4346] + X[2939] - X[1560] <= 0
model += -X[4346] - X[2939] + X[1560] <= 0
model += -X[3938] + X[2486] - X[7077] <= 0
model += -X[3938] - X[2486] + X[7077] <= 0
model += -X[2663] + X[4151] - X[4823] <= 0
model += -X[2663] - X[4151] + X[4823] <= 0
model += -X[1684] + X[1148] - X[2142] <= 0
model += -X[1684] - X[1148] + X[2142] <= 0
model += -X[4124] + X[4337] - X[4672] <= 0
model += -X[4124] - X[4337] + X[4672] <= 0
model += -X[5551] + X[2011] - X[4244] <= 0
model += -X[5551] - X[2011] + X[4244] <= 0
model += -X[1830] + X[3636] - X[6708] <= 0
model += -X[1830] - X[3636] + X[6708] <= 0
model += -X[2511] + X[5877] - X[2416] <= 0
model += -X[2511] - X[5877] + X[2416] <= 0
model += -X[6336] + X[5308] - X[5381] <= 0
model += -X[6336] - X[5308] + X[5381] <= 0
model += -X[7642] + X[5414] - X[3155] <= 0
model += -X[7642] - X[5414] + X[3155] <= 0
model += -X[6718] + X[7495] - X[6562] <= 0
model += -X[6718] - X[7495] + X[6562] <= 0
model += -X[6283] + X[3433] - X[1294] <= 0
model += -X[6283] - X[3433] + X[1294] <= 0
model += -X[6707] + X[7566] - X[6468] <= 0
model += -X[6707] - X[7566] + X[6468] <= 0
model += -X[3768] + X[6095] - X[4363] <= 0
model += -X[3768] - X[6095] + X[4363] <= 0
model += -X[5187] + X[4939] - X[4236] <= 0
model += -X[5187] - X[4939] + X[4236] <= 0
model += -X[2856] + X[3218] - X[6353] <= 0
model += -X[2856] - X[3218] + X[6353] <= 0
model += -X[5939] + X[2377] - X[6638] <= 0
model += -X[5939] - X[2377] + X[6638] <= 0
model += -X[5373] + X[7778] - X[6127] <= 0
model += -X[5373] - X[7778] + X[6127] <= 0
model += -X[3197] + X[5843] - X[1781] <= 0
model += -X[3197] - X[5843] + X[1781] <= 0
model += -X[3905] + X[4595] - X[1379] <= 0
model += -X[3905] - X[4595] + X[1379] <= 0
model += -X[4860] + X[6685] - X[1071] <= 0
model += -X[4860] - X[6685] + X[1071] <= 0
model += -X[1985] + X[2939] - X[6774] <= 0
model += -X[1985] - X[2939] + X[6774] <= 0
model += -X[2367] + X[2486] - X[7698] <= 0
model += -X[2367] - X[2486] + X[7698] <= 0
model += -X[7396] + X[4151] - X[3904] <= 0
model += -X[7396] - X[4151] + X[3904] <= 0
model += -X[6341] + X[4337] - X[1057] <= 0
model += -X[6341] - X[4337] + X[1057] <= 0
model += -X[2724] + X[4279] - X[2896] <= 0
model += -X[2724] - X[4279] + X[2896] <= 0
model += -X[3591] + X[5877] - X[6758] <= 0
model += -X[3591] - X[5877] + X[6758] <= 0
model += -X[4849] + X[2575] - X[4657] <= 0
model += -X[4849] - X[2575] + X[4657] <= 0
model += -X[6791] + X[5308] - X[3756] <= 0
model += -X[6791] - X[5308] + X[3756] <= 0
model += -X[7419] + X[5414] - X[1903] <= 0
model += -X[7419] - X[5414] + X[1903] <= 0
model += -X[5401] + X[7591] - X[3119] <= 0
model += -X[5401] - X[7591] + X[3119] <= 0
model += -X[3278] + X[1483] - X[7661] <= 0
model += -X[3278] - X[1483] + X[7661] <= 0
model += -X[6870] + X[2103] - X[2931] <= 0
model += -X[6870] - X[2103] + X[2931] <= 0
model += -X[6202] + X[6095] - X[7461] <= 0
model += -X[6202] - X[6095] + X[7461] <= 0
model += -X[5293] + X[3218] - X[7081] <= 0
model += -X[5293] - X[3218] + X[7081] <= 0
model += -X[7008] + X[2377] - X[5678] <= 0
model += -X[7008] - X[2377] + X[5678] <= 0
model += -X[5433] + X[7778] - X[2403] <= 0
model += -X[5433] - X[7778] + X[2403] <= 0
model += -X[5139] + X[4595] - X[7494] <= 0
model += -X[5139] - X[4595] + X[7494] <= 0
model += -X[4115] + X[2939] - X[7469] <= 0
model += -X[4115] - X[2939] + X[7469] <= 0
model += -X[6778] + X[2486] - X[1052] <= 0
model += -X[6778] - X[2486] + X[1052] <= 0
model += -X[5024] + X[1148] - X[5210] <= 0
model += -X[5024] - X[1148] + X[5210] <= 0
model += -X[4726] + X[4279] - X[5097] <= 0
model += -X[4726] - X[4279] + X[5097] <= 0
model += -X[4931] + X[2011] - X[3508] <= 0
model += -X[4931] - X[2011] + X[3508] <= 0
model += -X[2825] + X[3636] - X[3312] <= 0
model += -X[2825] - X[3636] + X[3312] <= 0
model += -X[2849] + X[5877] - X[2685] <= 0
model += -X[2849] - X[5877] + X[2685] <= 0
model += -X[3120] + X[3471] - X[6878] <= 0
model += -X[3120] - X[3471] + X[6878] <= 0
model += -X[4625] + X[4317] - X[1002] <= 0
model += -X[4625] - X[4317] + X[1002] <= 0
model += -X[3425] + X[2575] - X[6727] <= 0
model += -X[3425] - X[2575] + X[6727] <= 0
model += -X[7667] + X[5308] - X[7244] <= 0
model += -X[7667] - X[5308] + X[7244] <= 0
model += -X[5457] + X[5414] - X[1076] <= 0
model += -X[5457] - X[5414] + X[1076] <= 0
model += -X[6414] + X[6559] - X[4059] <= 0
model += -X[6414] - X[6559] + X[4059] <= 0
model += -X[4226] + X[7591] - X[3358] <= 0
model += -X[4226] - X[7591] + X[3358] <= 0
model += -X[5247] + X[1483] - X[5895] <= 0
model += -X[5247] - X[1483] + X[5895] <= 0
model += -X[2573] + X[6114] - X[3647] <= 0
model += -X[2573] - X[6114] + X[3647] <= 0
model += -X[1283] + X[7495] - X[1205] <= 0
model += -X[1283] - X[7495] + X[1205] <= 0
model += -X[1626] + X[3433] - X[1978] <= 0
model += -X[1626] - X[3433] + X[1978] <= 0
model += -X[6902] + X[7465] - X[5171] <= 0
model += -X[6902] - X[7465] + X[5171] <= 0
model += -X[1837] + X[7566] - X[2876] <= 0
model += -X[1837] - X[7566] + X[2876] <= 0
model += -X[6533] + X[6095] - X[2308] <= 0
model += -X[6533] - X[6095] + X[2308] <= 0
model += -X[4971] + X[4939] - X[1696] <= 0
model += -X[4971] - X[4939] + X[1696] <= 0
model += -X[1914] + X[2377] - X[4216] <= 0
model += -X[1914] - X[2377] + X[4216] <= 0
model += -X[1317] + X[3093] - X[1164] <= 0
model += -X[1317] - X[3093] + X[1164] <= 0
model += -X[1145] + X[7778] - X[3694] <= 0
model += -X[1145] - X[7778] + X[3694] <= 0
model += -X[1193] + X[5843] - X[1915] <= 0
model += -X[1193] - X[5843] + X[1915] <= 0
model += -X[6578] + X[4595] - X[6446] <= 0
model += -X[6578] - X[4595] + X[6446] <= 0
model += -X[2437] + X[6685] - X[5805] <= 0
model += -X[2437] - X[6685] + X[5805] <= 0
model += -X[3603] + X[2939] - X[7646] <= 0
model += -X[3603] - X[2939] + X[7646] <= 0
model += -X[7769] + X[2596] - X[6194] <= 0
model += -X[7769] - X[2596] + X[6194] <= 0
model += -X[2483] + X[2486] - X[2807] <= 0
model += -X[2483] - X[2486] + X[2807] <= 0
model += -X[6187] + X[4151] - X[1146] <= 0
model += -X[6187] - X[4151] + X[1146] <= 0
model += -X[6006] + X[1148] - X[5978] <= 0
model += -X[6006] - X[1148] + X[5978] <= 0
model += -X[1936] + X[4279] - X[6925] <= 0
model += -X[1936] - X[4279] + X[6925] <= 0
model += -X[6904] + X[3636] - X[5325] <= 0
model += -X[6904] - X[3636] + X[5325] <= 0
model += -X[1008] + X[5877] - X[3653] <= 0
model += -X[1008] - X[5877] + X[3653] <= 0
model += -X[1861] + X[3471] - X[3318] <= 0
model += -X[1861] - X[3471] + X[3318] <= 0
model += -X[1646] + X[4317] - X[7362] <= 0
model += -X[1646] - X[4317] + X[7362] <= 0
model += -X[7218] + X[2575] - X[5228] <= 0
model += -X[7218] - X[2575] + X[5228] <= 0
model += -X[6551] + X[5308] - X[3148] <= 0
model += -X[6551] - X[5308] + X[3148] <= 0
model += -X[4250] + X[5414] - X[1222] <= 0
model += -X[4250] - X[5414] + X[1222] <= 0
model += -X[4382] + X[6604] - X[2726] <= 0
model += -X[4382] - X[6604] + X[2726] <= 0
model += -X[3635] + X[6559] - X[3356] <= 0
model += -X[3635] - X[6559] + X[3356] <= 0
model += -X[1382] + X[1483] - X[6920] <= 0
model += -X[1382] - X[1483] + X[6920] <= 0
model += -X[6819] + X[2103] - X[6349] <= 0
model += -X[6819] - X[2103] + X[6349] <= 0
model += -X[6134] + X[6114] - X[7139] <= 0
model += -X[6134] - X[6114] + X[7139] <= 0
model += -X[3886] + X[7495] - X[2943] <= 0
model += -X[3886] - X[7495] + X[2943] <= 0
model += -X[5897] + X[7465] - X[1520] <= 0
model += -X[5897] - X[7465] + X[1520] <= 0
model += -X[5620] + X[7566] - X[3900] <= 0
model += -X[5620] - X[7566] + X[3900] <= 0
model += -X[5941] + X[4939] - X[4019] <= 0
model += -X[5941] - X[4939] + X[4019] <= 0
model += -X[2348] + X[3405] - X[3989] <= 0
model += -X[2348] - X[3405] + X[3989] <= 0
model += -X[2388] + X[3443] - X[2889] <= 0
model += -X[2388] - X[3443] + X[2889] <= 0
model += -X[6334] + X[2207] - X[4600] <= 0
model += -X[6334] - X[2207] + X[4600] <= 0
model += -X[3778] + X[2377] - X[2824] <= 0
model += -X[3778] - X[2377] + X[2824] <= 0
model += -X[5399] + X[7778] - X[5584] <= 0
model += -X[5399] - X[7778] + X[5584] <= 0
model += -X[3885] + X[5843] - X[6526] <= 0
model += -X[3885] - X[5843] + X[6526] <= 0
model += -X[4921] + X[4595] - X[7046] <= 0
model += -X[4921] - X[4595] + X[7046] <= 0
model += -X[2960] + X[6685] - X[6135] <= 0
model += -X[2960] - X[6685] + X[6135] <= 0
model += -X[6834] + X[2939] - X[5030] <= 0
model += -X[6834] - X[2939] + X[5030] <= 0
model += -X[4863] + X[7660] - X[6927] <= 0
model += -X[4863] - X[7660] + X[6927] <= 0
model += -X[1967] + X[2596] - X[5090] <= 0
model += -X[1967] - X[2596] + X[5090] <= 0
model += -X[6978] + X[7039] - X[5573] <= 0
model += -X[6978] - X[7039] + X[5573] <= 0
model += -X[3668] + X[4151] - X[1398] <= 0
model += -X[3668] - X[4151] + X[1398] <= 0
model += -X[4658] + X[1148] - X[1960] <= 0
model += -X[4658] - X[1148] + X[1960] <= 0
model += -X[1402] + X[4337] - X[5719] <= 0
model += -X[1402] - X[4337] + X[5719] <= 0
model += -X[7599] + X[2011] - X[3569] <= 0
model += -X[7599] - X[2011] + X[3569] <= 0
model += -X[6012] + X[3636] - X[5456] <= 0
model += -X[6012] - X[3636] + X[5456] <= 0
model += -X[7390] + X[5877] - X[1789] <= 0
model += -X[7390] - X[5877] + X[1789] <= 0
model += -X[3040] + X[2575] - X[3427] <= 0
model += -X[3040] - X[2575] + X[3427] <= 0
model += -X[2257] + X[5308] - X[4864] <= 0
model += -X[2257] - X[5308] + X[4864] <= 0
model += -X[6731] + X[6604] - X[5749] <= 0
model += -X[6731] - X[6604] + X[5749] <= 0
model += -X[3953] + X[6559] - X[1757] <= 0
model += -X[3953] - X[6559] + X[1757] <= 0
model += -X[1295] + X[1483] - X[5442] <= 0
model += -X[1295] - X[1483] + X[5442] <= 0
model += -X[4501] + X[2103] - X[4834] <= 0
model += -X[4501] - X[2103] + X[4834] <= 0
model += -X[3207] + X[7630] - X[1136] <= 0
model += -X[3207] - X[7630] + X[1136] <= 0
model += -X[2415] + X[1039] - X[2498] <= 0
model += -X[2415] - X[1039] + X[2498] <= 0
model += -X[1045] + X[5347] - X[5382] <= 0
model += -X[1045] - X[5347] + X[5382] <= 0
model += -X[3057] + X[6114] - X[3112] <= 0
model += -X[3057] - X[6114] + X[3112] <= 0
model += -X[4021] + X[7495] - X[4042] <= 0
model += -X[4021] - X[7495] + X[4042] <= 0
model += -X[6025] + X[3433] - X[3210] <= 0
model += -X[6025] - X[3433] + X[3210] <= 0
model += -X[1168] + X[7566] - X[1394] <= 0
model += -X[1168] - X[7566] + X[1394] <= 0
model += -X[4820] + X[6095] - X[4839] <= 0
model += -X[4820] - X[6095] + X[4839] <= 0
model += -X[5517] + X[3405] - X[6992] <= 0
model += -X[5517] - X[3405] + X[6992] <= 0
model += -X[1485] + X[2450] - X[3787] <= 0
model += -X[1485] - X[2450] + X[3787] <= 0
model += -X[1243] + X[3443] - X[1252] <= 0
model += -X[1243] - X[3443] + X[1252] <= 0
model += -X[7446] + X[2207] - X[4056] <= 0
model += -X[7446] - X[2207] + X[4056] <= 0
model += -X[1958] + X[4443] - X[6362] <= 0
model += -X[1958] - X[4443] + X[6362] <= 0
model += -X[7041] + X[2377] - X[4037] <= 0
model += -X[7041] - X[2377] + X[4037] <= 0
model += -X[7265] + X[3093] - X[3567] <= 0
model += -X[7265] - X[3093] + X[3567] <= 0
model += -X[5723] + X[4595] - X[2588] <= 0
model += -X[5723] - X[4595] + X[2588] <= 0
model += -X[4028] + X[6685] - X[6892] <= 0
model += -X[4028] - X[6685] + X[6892] <= 0
model += -X[7017] + X[2939] - X[5940] <= 0
model += -X[7017] - X[2939] + X[5940] <= 0
model += -X[7542] + X[7660] - X[4092] <= 0
model += -X[7542] - X[7660] + X[4092] <= 0
model += -X[6773] + X[2596] - X[3521] <= 0
model += -X[6773] - X[2596] + X[3521] <= 0
model += -X[1150] + X[7039] - X[6822] <= 0
model += -X[1150] - X[7039] + X[6822] <= 0
model += -X[2417] + X[2486] - X[6633] <= 0
model += -X[2417] - X[2486] + X[6633] <= 0
model += -X[3177] + X[4151] - X[4584] <= 0
model += -X[3177] - X[4151] + X[4584] <= 0
model += -X[5803] + X[1148] - X[3219] <= 0
model += -X[5803] - X[1148] + X[3219] <= 0
model += -X[6831] + X[4337] - X[6482] <= 0
model += -X[6831] - X[4337] + X[6482] <= 0
model += -X[1559] + X[2011] - X[5512] <= 0
model += -X[1559] - X[2011] + X[5512] <= 0
model += -X[5137] + X[3636] - X[1841] <= 0
model += -X[5137] - X[3636] + X[1841] <= 0
model += -X[6306] + X[3471] - X[1749] <= 0
model += -X[6306] - X[3471] + X[1749] <= 0
model += -X[5788] + X[7777] - X[2400] <= 0
model += -X[5788] - X[7777] + X[2400] <= 0
model += -X[3315] + X[6083] - X[2804] <= 0
model += -X[3315] - X[6083] + X[2804] <= 0
model += -X[7408] + X[4317] - X[5117] <= 0
model += -X[7408] - X[4317] + X[5117] <= 0
model += -X[4728] + X[2575] - X[3376] <= 0
model += -X[4728] - X[2575] + X[3376] <= 0
model += -X[1999] + X[5308] - X[4696] <= 0
model += -X[1999] - X[5308] + X[4696] <= 0
model += -X[6348] + X[5414] - X[5786] <= 0
model += -X[6348] - X[5414] + X[5786] <= 0
model += -X[2177] + X[6604] - X[1893] <= 0
model += -X[2177] - X[6604] + X[1893] <= 0
model += -X[5986] + X[1483] - X[5959] <= 0
model += -X[5986] - X[1483] + X[5959] <= 0
model += -X[2581] + X[2103] - X[3641] <= 0
model += -X[2581] - X[2103] + X[3641] <= 0
model += -X[4332] + X[7630] - X[5276] <= 0
model += -X[4332] - X[7630] + X[5276] <= 0
model += -X[4164] + X[1039] - X[2311] <= 0
model += -X[4164] - X[1039] + X[2311] <= 0
model += -X[3371] + X[5347] - X[5814] <= 0
model += -X[3371] - X[5347] + X[5814] <= 0
model += -X[6586] + X[6114] - X[4530] <= 0
model += -X[6586] - X[6114] + X[4530] <= 0
model += -X[5121] + X[7465] - X[6905] <= 0
model += -X[5121] - X[7465] + X[6905] <= 0
model += -X[6900] + X[7566] - X[5684] <= 0
model += -X[6900] - X[7566] + X[5684] <= 0
model += -X[2653] + X[6095] - X[2240] <= 0
model += -X[2653] - X[6095] + X[2240] <= 0
model += -X[4759] + X[4939] - X[2574] <= 0
model += -X[4759] - X[4939] + X[2574] <= 0
model += -X[6599] + X[3405] - X[1363] <= 0
model += -X[6599] - X[3405] + X[1363] <= 0
model += -X[2129] + X[2450] - X[5069] <= 0
model += -X[2129] - X[2450] + X[5069] <= 0
model += -X[5957] + X[3443] - X[6966] <= 0
model += -X[5957] - X[3443] + X[6966] <= 0
model += -X[7080] + X[4443] - X[6600] <= 0
model += -X[7080] - X[4443] + X[6600] <= 0
model += -X[3616] + X[3218] - X[3262] <= 0
model += -X[3616] - X[3218] + X[3262] <= 0
model += -X[1675] + X[2377] - X[4767] <= 0
model += -X[1675] - X[2377] + X[4767] <= 0
model += -X[2851] + X[3093] - X[2657] <= 0
model += -X[2851] - X[3093] + X[2657] <= 0
model += -X[5658] + X[7778] - X[2370] <= 0
model += -X[5658] - X[7778] + X[2370] <= 0
model += -X[2215] + X[5843] - X[6741] <= 0
model += -X[2215] - X[5843] + X[6741] <= 0
model += -X[1509] + X[4595] - X[5397] <= 0
model += -X[1509] - X[4595] + X[5397] <= 0
model += -X[3767] + X[6685] - X[6159] <= 0
model += -X[3767] - X[6685] + X[6159] <= 0
model += -X[7665] + X[2939] - X[5101] <= 0
model += -X[7665] - X[2939] + X[5101] <= 0
model += -X[1424] + X[7039] - X[4557] <= 0
model += -X[1424] - X[7039] + X[4557] <= 0
model += -X[2614] + X[3711] - X[1953] <= 0
model += -X[2614] - X[3711] + X[1953] <= 0
model += -X[2834] + X[5255] - X[7281] <= 0
model += -X[2834] - X[5255] + X[7281] <= 0
model += -X[2500] + X[3827] - X[7389] <= 0
model += -X[2500] - X[3827] + X[7389] <= 0
model += -X[1271] + X[3280] - X[6630] <= 0
model += -X[1271] - X[3280] + X[6630] <= 0
model += -X[7700] + X[4151] - X[2108] <= 0
model += -X[7700] - X[4151] + X[2108] <= 0
model += -X[4857] + X[1148] - X[6874] <= 0
model += -X[4857] - X[1148] + X[6874] <= 0
model += -X[3802] + X[4337] - X[1543] <= 0
model += -X[3802] - X[4337] + X[1543] <= 0
model += -X[5464] + X[4279] - X[3026] <= 0
model += -X[5464] - X[4279] + X[3026] <= 0
model += -X[3419] + X[2011] - X[7369] <= 0
model += -X[3419] - X[2011] + X[7369] <= 0
model += -X[6268] + X[3636] - X[7078] <= 0
model += -X[6268] - X[3636] + X[7078] <= 0
model += -X[4957] + X[5877] - X[5646] <= 0
model += -X[4957] - X[5877] + X[5646] <= 0
model += -X[6903] + X[3471] - X[6938] <= 0
model += -X[6903] - X[3471] + X[6938] <= 0
model += -X[3818] + X[1825] - X[2147] <= 0
model += -X[3818] - X[1825] + X[2147] <= 0
model += -X[7511] + X[4856] - X[1493] <= 0
model += -X[7511] - X[4856] + X[1493] <= 0
model += -X[4941] + X[7777] - X[6612] <= 0
model += -X[4941] - X[7777] + X[6612] <= 0
model += -X[6106] + X[4317] - X[4199] <= 0
model += -X[6106] - X[4317] + X[4199] <= 0
model += -X[7282] + X[2575] - X[3049] <= 0
model += -X[7282] - X[2575] + X[3049] <= 0
model += -X[1455] + X[5308] - X[5571] <= 0
model += -X[1455] - X[5308] + X[5571] <= 0
model += -X[5655] + X[5414] - X[1636] <= 0
model += -X[5655] - X[5414] + X[1636] <= 0
model += -X[1764] + X[6604] - X[7718] <= 0
model += -X[1764] - X[6604] + X[7718] <= 0
model += -X[2538] + X[6559] - X[3970] <= 0
model += -X[2538] - X[6559] + X[3970] <= 0
model += -X[7026] + X[1483] - X[4137] <= 0
model += -X[7026] - X[1483] + X[4137] <= 0
model += -X[3299] + X[2103] - X[7706] <= 0
model += -X[3299] - X[2103] + X[7706] <= 0
model += -X[3884] + X[7630] - X[5241] <= 0
model += -X[3884] - X[7630] + X[5241] <= 0
model += -X[3329] + X[5347] - X[6490] <= 0
model += -X[3329] - X[5347] + X[6490] <= 0
model += -X[4843] + X[6114] - X[3074] <= 0
model += -X[4843] - X[6114] + X[3074] <= 0
model += -X[4560] + X[3433] - X[5884] <= 0
model += -X[4560] - X[3433] + X[5884] <= 0
model += -X[2823] + X[7465] - X[3171] <= 0
model += -X[2823] - X[7465] + X[3171] <= 0
model += -X[2577] + X[7566] - X[4735] <= 0
model += -X[2577] - X[7566] + X[4735] <= 0
model += -X[6386] + X[6095] - X[6263] <= 0
model += -X[6386] - X[6095] + X[6263] <= 0
model += -X[3381] + X[4939] - X[2077] <= 0
model += -X[3381] - X[4939] + X[2077] <= 0
model += -X[4513] + X[3405] - X[5346] <= 0
model += -X[4513] - X[3405] + X[5346] <= 0
model += -X[3379] + X[2450] - X[7270] <= 0
model += -X[3379] - X[2450] + X[7270] <= 0
model += -X[4153] + X[3443] - X[6930] <= 0
model += -X[4153] - X[3443] + X[6930] <= 0
model += -X[1548] + X[4443] - X[6375] <= 0
model += -X[1548] - X[4443] + X[6375] <= 0
model += -X[3160] + X[3196] - X[2991] <= 0
model += -X[3160] - X[3196] + X[2991] <= 0
model += -X[3125] + X[7544] - X[3742] <= 0
model += -X[3125] - X[7544] + X[3742] <= 0
model += -X[1449] + X[2221] - X[4611] <= 0
model += -X[1449] - X[2221] + X[4611] <= 0
model += -X[5619] + X[4038] - X[3002] <= 0
model += -X[5619] - X[4038] + X[3002] <= 0
model += -X[5260] + X[3218] - X[2964] <= 0
model += -X[5260] - X[3218] + X[2964] <= 0
model += -X[6073] + X[3093] - X[4089] <= 0
model += -X[6073] - X[3093] + X[4089] <= 0
model += -X[3774] + X[7778] - X[5015] <= 0
model += -X[3774] - X[7778] + X[5015] <= 0
model += -X[3762] + X[4595] - X[4738] <= 0
model += -X[3762] - X[4595] + X[4738] <= 0
model += -X[7393] + X[2939] - X[2567] <= 0
model += -X[7393] - X[2939] + X[2567] <= 0
model += -X[4158] + X[3711] - X[5709] <= 0
model += -X[4158] - X[3711] + X[5709] <= 0
model += -X[5900] + X[5255] - X[4229] <= 0
model += -X[5900] - X[5255] + X[4229] <= 0
model += -X[5203] + X[1180] - X[3335] <= 0
model += -X[5203] - X[1180] + X[3335] <= 0
model += -X[2935] + X[2486] - X[7534] <= 0
model += -X[2935] - X[2486] + X[7534] <= 0
model += -X[6219] + X[1148] - X[6211] <= 0
model += -X[6219] - X[1148] + X[6211] <= 0
model += -X[6873] + X[2011] - X[1704] <= 0
model += -X[6873] - X[2011] + X[1704] <= 0
model += -X[1385] + X[3636] - X[7636] <= 0
model += -X[1385] - X[3636] + X[7636] <= 0
model += -X[6311] + X[5877] - X[6369] <= 0
model += -X[6311] - X[5877] + X[6369] <= 0
model += -X[7215] + X[3471] - X[2317] <= 0
model += -X[7215] - X[3471] + X[2317] <= 0
model += -X[7051] + X[4856] - X[2109] <= 0
model += -X[7051] - X[4856] + X[2109] <= 0
model += -X[7727] + X[7777] - X[5944] <= 0
model += -X[7727] - X[7777] + X[5944] <= 0
model += -X[1258] + X[4317] - X[4642] <= 0
model += -X[1258] - X[4317] + X[4642] <= 0
model += -X[1303] + X[2575] - X[6229] <= 0
model += -X[1303] - X[2575] + X[6229] <= 0
model += -X[2697] + X[5308] - X[1026] <= 0
model += -X[2697] - X[5308] + X[1026] <= 0
model += -X[5871] + X[5414] - X[6430] <= 0
model += -X[5871] - X[5414] + X[6430] <= 0
model += -X[1773] + X[6604] - X[1869] <= 0
model += -X[1773] - X[6604] + X[1869] <= 0
model += -X[5794] + X[7591] - X[3493] <= 0
model += -X[5794] - X[7591] + X[3493] <= 0
model += -X[5927] + X[1483] - X[1932] <= 0
model += -X[5927] - X[1483] + X[1932] <= 0
model += -X[7627] + X[2103] - X[7741] <= 0
model += -X[7627] - X[2103] + X[7741] <= 0
model += -X[2269] + X[7630] - X[3814] <= 0
model += -X[2269] - X[7630] + X[3814] <= 0
model += -X[1714] + X[1039] - X[3916] <= 0
model += -X[1714] - X[1039] + X[3916] <= 0
model += -X[3465] + X[2102] - X[5309] <= 0
model += -X[3465] - X[2102] + X[5309] <= 0
model += -X[1589] + X[5182] - X[5925] <= 0
model += -X[1589] - X[5182] + X[5925] <= 0
model += -X[3431] + X[6323] - X[7653] <= 0
model += -X[3431] - X[6323] + X[7653] <= 0
model += -X[7134] + X[1724] - X[4426] <= 0
model += -X[7134] - X[1724] + X[4426] <= 0
model += -X[2426] + X[5811] - X[1947] <= 0
model += -X[2426] - X[5811] + X[1947] <= 0
model += -X[4451] + X[7495] - X[6366] <= 0
model += -X[4451] - X[7495] + X[6366] <= 0
model += -X[1441] + X[3433] - X[2329] <= 0
model += -X[1441] - X[3433] + X[2329] <= 0
model += -X[2978] + X[7465] - X[4953] <= 0
model += -X[2978] - X[7465] + X[4953] <= 0
model += -X[6658] + X[7566] - X[2384] <= 0
model += -X[6658] - X[7566] + X[2384] <= 0
model += -X[4148] + X[4939] - X[4898] <= 0
model += -X[4148] - X[4939] + X[4898] <= 0
model += -X[4682] + X[3405] - X[4548] <= 0
model += -X[4682] - X[3405] + X[4548] <= 0
model += -X[5326] + X[2450] - X[4809] <= 0
model += -X[5326] - X[2450] + X[4809] <= 0
model += -X[7119] + X[3443] - X[1196] <= 0
model += -X[7119] - X[3443] + X[1196] <= 0
model += -X[3062] + X[4443] - X[1940] <= 0
model += -X[3062] - X[4443] + X[1940] <= 0
model += -X[6331] + X[3196] - X[2226] <= 0
model += -X[6331] - X[3196] + X[2226] <= 0
model += -X[5813] + X[7544] - X[6379] <= 0
model += -X[5813] - X[7544] + X[6379] <= 0
model += -X[1840] + X[2221] - X[4235] <= 0
model += -X[1840] - X[2221] + X[4235] <= 0
model += -X[5306] + X[4038] - X[5176] <= 0
model += -X[5306] - X[4038] + X[5176] <= 0
model += -X[7326] + X[3218] - X[6657] <= 0
model += -X[7326] - X[3218] + X[6657] <= 0
model += -X[2086] + X[7778] - X[7299] <= 0
model += -X[2086] - X[7778] + X[7299] <= 0
model += -X[3316] + X[5843] - X[6078] <= 0
model += -X[3316] - X[5843] + X[6078] <= 0
model += -X[3550] + X[6685] - X[4621] <= 0
model += -X[3550] - X[6685] + X[4621] <= 0
model += -X[5238] + X[2939] - X[2806] <= 0
model += -X[5238] - X[2939] + X[2806] <= 0
model += -X[1170] + X[7660] - X[5782] <= 0
model += -X[1170] - X[7660] + X[5782] <= 0
model += -X[1212] + X[2596] - X[6324] <= 0
model += -X[1212] - X[2596] + X[6324] <= 0
model += -X[6704] + X[7039] - X[6947] <= 0
model += -X[6704] - X[7039] + X[6947] <= 0
model += -X[4852] + X[3711] - X[5687] <= 0
model += -X[4852] - X[3711] + X[5687] <= 0
model += -X[6684] + X[5255] - X[1488] <= 0
model += -X[6684] - X[5255] + X[1488] <= 0
model += -X[2741] + X[3827] - X[4016] <= 0
model += -X[2741] - X[3827] + X[4016] <= 0
model += -X[1006] + X[3280] - X[1176] <= 0
model += -X[1006] - X[3280] + X[1176] <= 0
model += -X[6977] + X[4151] - X[6569] <= 0
model += -X[6977] - X[4151] + X[6569] <= 0
model += -X[2933] + X[1148] - X[7200] <= 0
model += -X[2933] - X[1148] + X[7200] <= 0
model += -X[7620] + X[4337] - X[4081] <= 0
model += -X[7620] - X[4337] + X[4081] <= 0
model += -X[2396] + X[4279] - X[1332] <= 0
model += -X[2396] - X[4279] + X[1332] <= 0
model += -X[4670] + X[3636] - X[2660] <= 0
model += -X[4670] - X[3636] + X[2660] <= 0
model += -X[7464] + X[5877] - X[6221] <= 0
model += -X[7464] - X[5877] + X[6221] <= 0
model += -X[6418] + X[3471] - X[7093] <= 0
model += -X[6418] - X[3471] + X[7093] <= 0
model += -X[3036] + X[1825] - X[5253] <= 0
model += -X[3036] - X[1825] + X[5253] <= 0
model += -X[1288] + X[4856] - X[4179] <= 0
model += -X[1288] - X[4856] + X[4179] <= 0
model += -X[2736] + X[7777] - X[1741] <= 0
model += -X[2736] - X[7777] + X[1741] <= 0
model += -X[5952] + X[2895] - X[2921] <= 0
model += -X[5952] - X[2895] + X[2921] <= 0
model += -X[2375] + X[1088] - X[6667] <= 0
model += -X[2375] - X[1088] + X[6667] <= 0
model += -X[3860] + X[2575] - X[4184] <= 0
model += -X[3860] - X[2575] + X[4184] <= 0
model += -X[2612] + X[5308] - X[3627] <= 0
model += -X[2612] - X[5308] + X[3627] <= 0
model += -X[6274] + X[5414] - X[5830] <= 0
model += -X[6274] - X[5414] + X[5830] <= 0
model += -X[6481] + X[6604] - X[4771] <= 0
model += -X[6481] - X[6604] + X[4771] <= 0
model += -X[5702] + X[6559] - X[4719] <= 0
model += -X[5702] - X[6559] + X[4719] <= 0
model += -X[1348] + X[7591] - X[3046] <= 0
model += -X[1348] - X[7591] + X[3046] <= 0
model += -X[7707] + X[1483] - X[5428] <= 0
model += -X[7707] - X[1483] + X[5428] <= 0
model += -X[5343] + X[7630] - X[6536] <= 0
model += -X[5343] - X[7630] + X[6536] <= 0
model += -X[7311] + X[5347] - X[7574] <= 0
model += -X[7311] - X[5347] + X[7574] <= 0
model += -X[1686] + X[5182] - X[1473] <= 0
model += -X[1686] - X[5182] + X[1473] <= 0
model += -X[6314] + X[5811] - X[3709] <= 0
model += -X[6314] - X[5811] + X[3709] <= 0
model += -X[7522] + X[7495] - X[7633] <= 0
model += -X[7522] - X[7495] + X[7633] <= 0
model += -X[7615] + X[3433] - X[2838] <= 0
model += -X[7615] - X[3433] + X[2838] <= 0
model += -X[1336] + X[7465] - X[7585] <= 0
model += -X[1336] - X[7465] + X[7585] <= 0
model += -X[1508] + X[7566] - X[3416] <= 0
model += -X[1508] - X[7566] + X[3416] <= 0
model += -X[7448] + X[6095] - X[3504] <= 0
model += -X[7448] - X[6095] + X[3504] <= 0
model += -X[2747] + X[4939] - X[5144] <= 0
model += -X[2747] - X[4939] + X[5144] <= 0
model += -X[2605] + X[3443] - X[3429] <= 0
model += -X[2605] - X[3443] + X[3429] <= 0
model += -X[6137] + X[2207] - X[6301] <= 0
model += -X[6137] - X[2207] + X[6301] <= 0
model += -X[6044] + X[4443] - X[7561] <= 0
model += -X[6044] - X[4443] + X[7561] <= 0
model += -X[4170] + X[3196] - X[4207] <= 0
model += -X[4170] - X[3196] + X[4207] <= 0
model += -X[5585] + X[2221] - X[2230] <= 0
model += -X[5585] - X[2221] + X[2230] <= 0
model += -X[6199] + X[4038] - X[3901] <= 0
model += -X[6199] - X[4038] + X[3901] <= 0
model += -X[7498] + X[3218] - X[2158] <= 0
model += -X[7498] - X[3218] + X[2158] <= 0
model += -X[2965] + X[3093] - X[2715] <= 0
model += -X[2965] - X[3093] + X[2715] <= 0
model += -X[5290] + X[4595] - X[3300] <= 0
model += -X[5290] - X[4595] + X[3300] <= 0
model += -X[4585] + X[6685] - X[1852] <= 0
model += -X[4585] - X[6685] + X[1852] <= 0
model += -X[5641] + X[2939] - X[5250] <= 0
model += -X[5641] - X[2939] + X[5250] <= 0
model += -X[3557] + X[7039] - X[3415] <= 0
model += -X[3557] - X[7039] + X[3415] <= 0
model += -X[5507] + X[5255] - X[3385] <= 0
model += -X[5507] - X[5255] + X[3385] <= 0
model += -X[2927] + X[3827] - X[1790] <= 0
model += -X[2927] - X[3827] + X[1790] <= 0
model += -X[3752] + X[1180] - X[3596] <= 0
model += -X[3752] - X[1180] + X[3596] <= 0
model += -X[4252] + X[3280] - X[3426] <= 0
model += -X[4252] - X[3280] + X[3426] <= 0
model += -X[2389] + X[7770] - X[4526] <= 0
model += -X[2389] - X[7770] + X[4526] <= 0
model += -X[2763] + X[3662] - X[4064] <= 0
model += -X[2763] - X[3662] + X[4064] <= 0
model += -X[5792] + X[7366] - X[3673] <= 0
model += -X[5792] - X[7366] + X[3673] <= 0
model += -X[4060] + X[4151] - X[3342] <= 0
model += -X[4060] - X[4151] + X[3342] <= 0
model += -X[7402] + X[1148] - X[5970] <= 0
model += -X[7402] - X[1148] + X[5970] <= 0
model += -X[1250] + X[4337] - X[2706] <= 0
model += -X[1250] - X[4337] + X[2706] <= 0
model += -X[6748] + X[4279] - X[1352] <= 0
model += -X[6748] - X[4279] + X[1352] <= 0
model += -X[1580] + X[2011] - X[5332] <= 0
model += -X[1580] - X[2011] + X[5332] <= 0
model += -X[5311] + X[3636] - X[4712] <= 0
model += -X[5311] - X[3636] + X[4712] <= 0
model += -X[6951] + X[3471] - X[4633] <= 0
model += -X[6951] - X[3471] + X[4633] <= 0
model += -X[3726] + X[4856] - X[3045] <= 0
model += -X[3726] - X[4856] + X[3045] <= 0
model += -X[4639] + X[7777] - X[2973] <= 0
model += -X[4639] - X[7777] + X[2973] <= 0
model += -X[1112] + X[2895] - X[4386] <= 0
model += -X[1112] - X[2895] + X[4386] <= 0
model += -X[5407] + X[1088] - X[4713] <= 0
model += -X[5407] - X[1088] + X[4713] <= 0
model += -X[1328] + X[5308] - X[5481] <= 0
model += -X[1328] - X[5308] + X[5481] <= 0
model += -X[1894] + X[5414] - X[1946] <= 0
model += -X[1894] - X[5414] + X[1946] <= 0
model += -X[6587] + X[6604] - X[7750] <= 0
model += -X[6587] - X[6604] + X[7750] <= 0
model += -X[3909] + X[6559] - X[6909] <= 0
model += -X[3909] - X[6559] + X[6909] <= 0
model += -X[4567] + X[7591] - X[2253] <= 0
model += -X[4567] - X[7591] + X[2253] <= 0
model += -X[1361] + X[1483] - X[1005] <= 0
model += -X[1361] - X[1483] + X[1005] <= 0
model += -X[4221] + X[2103] - X[1432] <= 0
model += -X[4221] - X[2103] + X[1432] <= 0
model += -X[4553] + X[7630] - X[6999] <= 0
model += -X[4553] - X[7630] + X[6999] <= 0
model += -X[4288] + X[1039] - X[4243] <= 0
model += -X[4288] - X[1039] + X[4243] <= 0
model += -X[4145] + X[5347] - X[4729] <= 0
model += -X[4145] - X[5347] + X[4729] <= 0
model += -X[4686] + X[5182] - X[6003] <= 0
model += -X[4686] - X[5182] + X[6003] <= 0
model += -X[1660] + X[6323] - X[7045] <= 0
model += -X[1660] - X[6323] + X[7045] <= 0
model += -X[4982] + X[1724] - X[3308] <= 0
model += -X[4982] - X[1724] + X[3308] <= 0
model += -X[3801] + X[5811] - X[4138] <= 0
model += -X[3801] - X[5811] + X[4138] <= 0
model += -X[6151] + X[7495] - X[7560] <= 0
model += -X[6151] - X[7495] + X[7560] <= 0
model += -X[4948] + X[3433] - X[2449] <= 0
model += -X[4948] - X[3433] + X[2449] <= 0
model += -X[1533] + X[7465] - X[4911] <= 0
model += -X[1533] - X[7465] + X[4911] <= 0
model += -X[2393] + X[7566] - X[3846] <= 0
model += -X[2393] - X[7566] + X[3846] <= 0
model += -X[1167] + X[6095] - X[4257] <= 0
model += -X[1167] - X[6095] + X[4257] <= 0
model += -X[3101] + X[4939] - X[2839] <= 0
model += -X[3101] - X[4939] + X[2839] <= 0
model += -X[5886] + X[3405] - X[5105] <= 0
model += -X[5886] - X[3405] + X[5105] <= 0
model += -X[4989] + X[2450] - X[7609] <= 0
model += -X[4989] - X[2450] + X[7609] <= 0
model += -X[4664] + X[3443] - X[2941] <= 0
model += -X[4664] - X[3443] + X[2941] <= 0
model += -X[6655] + X[2207] - X[6164] <= 0
model += -X[6655] - X[2207] + X[6164] <= 0
model += -X[2750] + X[4443] - X[6507] <= 0
model += -X[2750] - X[4443] + X[6507] <= 0
model += -X[3870] + X[3196] - X[1267] <= 0
model += -X[3870] - X[3196] + X[1267] <= 0
model += -X[4803] + X[2221] - X[4091] <= 0
model += -X[4803] - X[2221] + X[4091] <= 0
model += -X[5954] + X[4038] - X[2045] <= 0
model += -X[5954] - X[4038] + X[2045] <= 0
model += -X[5375] + X[5824] - X[4070] <= 0
model += -X[5375] - X[5824] + X[4070] <= 0
model += -X[3135] + X[5775] - X[7109] <= 0
model += -X[3135] - X[5775] + X[7109] <= 0
model += -X[2031] + X[1747] - X[1796] <= 0
model += -X[2031] - X[1747] + X[1796] <= 0
model += -X[3977] + X[2377] - X[6124] <= 0
model += -X[3977] - X[2377] + X[6124] <= 0
model += -X[6139] + X[3093] - X[6720] <= 0
model += -X[6139] - X[3093] + X[6720] <= 0
model += -X[7751] + X[4595] - X[5240] <= 0
model += -X[7751] - X[4595] + X[5240] <= 0
model += -X[7493] + X[6685] - X[7418] <= 0
model += -X[7493] - X[6685] + X[7418] <= 0
model += -X[3176] + X[2939] - X[6008] <= 0
model += -X[3176] - X[2939] + X[6008] <= 0
model += -X[3023] + X[7660] - X[7510] <= 0
model += -X[3023] - X[7660] + X[7510] <= 0
model += -X[2652] + X[2596] - X[3072] <= 0
model += -X[2652] - X[2596] + X[3072] <= 0
model += -X[7776] + X[3711] - X[6713] <= 0
model += -X[7776] - X[3711] + X[6713] <= 0
model += -X[1333] + X[5255] - X[1292] <= 0
model += -X[1333] - X[5255] + X[1292] <= 0
model += -X[3845] + X[3827] - X[6437] <= 0
model += -X[3845] - X[3827] + X[6437] <= 0
model += -X[2845] + X[3280] - X[5732] <= 0
model += -X[2845] - X[3280] + X[5732] <= 0
model += -X[4237] + X[7770] - X[4517] <= 0
model += -X[4237] - X[7770] + X[4517] <= 0
model += -X[1226] + X[3662] - X[3553] <= 0
model += -X[1226] - X[3662] + X[3553] <= 0
model += -X[1265] + X[7366] - X[6597] <= 0
model += -X[1265] - X[7366] + X[6597] <= 0
model += -X[4846] + X[4151] - X[3305] <= 0
model += -X[4846] - X[4151] + X[3305] <= 0
model += -X[2604] + X[1148] - X[5184] <= 0
model += -X[2604] - X[1148] + X[5184] <= 0
model += -X[2877] + X[4337] - X[5640] <= 0
model += -X[2877] - X[4337] + X[5640] <= 0
model += -X[6957] + X[2011] - X[3063] <= 0
model += -X[6957] - X[2011] + X[3063] <= 0
model += -X[2016] + X[3636] - X[1291] <= 0
model += -X[2016] - X[3636] + X[1291] <= 0
model += -X[1231] + X[5877] - X[3473] <= 0
model += -X[1231] - X[5877] + X[3473] <= 0
model += -X[3917] + X[3471] - X[7376] <= 0
model += -X[3917] - X[3471] + X[7376] <= 0
model += -X[6466] + X[4856] - X[6051] <= 0
model += -X[6466] - X[4856] + X[6051] <= 0
model += -X[3051] + X[6083] - X[6070] <= 0
model += -X[3051] - X[6083] + X[6070] <= 0
model += -X[1157] + X[1088] - X[6105] <= 0
model += -X[1157] - X[1088] + X[6105] <= 0
model += -X[5976] + X[5790] - X[3629] <= 0
model += -X[5976] - X[5790] + X[3629] <= 0
model += -X[4850] + X[2575] - X[2064] <= 0
model += -X[4850] - X[2575] + X[2064] <= 0
model += -X[6910] + X[5308] - X[3678] <= 0
model += -X[6910] - X[5308] + X[3678] <= 0
model += -X[7470] + X[5414] - X[2334] <= 0
model += -X[7470] - X[5414] + X[2334] <= 0
model += -X[6403] + X[6604] - X[1030] <= 0
model += -X[6403] - X[6604] + X[1030] <= 0
model += -X[2940] + X[6559] - X[5961] <= 0
model += -X[2940] - X[6559] + X[5961] <= 0
model += -X[1873] + X[7591] - X[6756] <= 0
model += -X[1873] - X[7591] + X[6756] <= 0
model += -X[5764] + X[2103] - X[4978] <= 0
model += -X[5764] - X[2103] + X[4978] <= 0
model += -X[2346] + X[1039] - X[3563] <= 0
model += -X[2346] - X[1039] + X[3563] <= 0
model += -X[1911] + X[2102] - X[5434] <= 0
model += -X[1911] - X[2102] + X[5434] <= 0
model += -X[3725] + X[5182] - X[1676] <= 0
model += -X[3725] - X[5182] + X[1676] <= 0
model += -X[5450] + X[6323] - X[5638] <= 0
model += -X[5450] - X[6323] + X[5638] <= 0
model += -X[5338] + X[1724] - X[3759] <= 0
model += -X[5338] - X[1724] + X[3759] <= 0
model += -X[7234] + X[7495] - X[4281] <= 0
model += -X[7234] - X[7495] + X[4281] <= 0
model += -X[5781] + X[3433] - X[7443] <= 0
model += -X[5781] - X[3433] + X[7443] <= 0
model += -X[3865] + X[7465] - X[2728] <= 0
model += -X[3865] - X[7465] + X[2728] <= 0
model += -X[4768] + X[2969] - X[3100] <= 0
model += -X[4768] - X[2969] + X[3100] <= 0
model += -X[3588] + X[4821] - X[2293] <= 0
model += -X[3588] - X[4821] + X[2293] <= 0
model += -X[7451] + X[1277] - X[2245] <= 0
model += -X[7451] - X[1277] + X[2245] <= 0
model += -X[3529] + X[4939] - X[4938] <= 0
model += -X[3529] - X[4939] + X[4938] <= 0
model += -X[5085] + X[3443] - X[6737] <= 0
model += -X[5085] - X[3443] + X[6737] <= 0
model += -X[5365] + X[2207] - X[1775] <= 0
model += -X[5365] - X[2207] + X[1775] <= 0
model += -X[7211] + X[4443] - X[6463] <= 0
model += -X[7211] - X[4443] + X[6463] <= 0
model += -X[2307] + X[3196] - X[1707] <= 0
model += -X[2307] - X[3196] + X[1707] <= 0
model += -X[1983] + X[7544] - X[2302] <= 0
model += -X[1983] - X[7544] + X[2302] <= 0
model += -X[6417] + X[2221] - X[5406] <= 0
model += -X[6417] - X[2221] + X[5406] <= 0
model += -X[1549] + X[4038] - X[6807] <= 0
model += -X[1549] - X[4038] + X[6807] <= 0
model += -X[5412] + X[5324] - X[2465] <= 0
model += -X[5412] - X[5324] + X[2465] <= 0
model += -X[4264] + X[5824] - X[2765] <= 0
model += -X[4264] - X[5824] + X[2765] <= 0
model += -X[2071] + X[5775] - X[2322] <= 0
model += -X[2071] - X[5775] + X[2322] <= 0
model += -X[1323] + X[1747] - X[1001] <= 0
model += -X[1323] - X[1747] + X[1001] <= 0
model += -X[5850] + X[3093] - X[6422] <= 0
model += -X[5850] - X[3093] + X[6422] <= 0
model += -X[2810] + X[2939] - X[3322] <= 0
model += -X[2810] - X[2939] + X[3322] <= 0
model += -X[5185] + X[7660] - X[7072] <= 0
model += -X[5185] - X[7660] + X[7072] <= 0
model += -X[4492] + X[2596] - X[4757] <= 0
model += -X[4492] - X[2596] + X[4757] <= 0
model += -X[1956] + X[7039] - X[5194] <= 0
model += -X[1956] - X[7039] + X[5194] <= 0
model += -X[7397] + X[3711] - X[3674] <= 0
model += -X[7397] - X[3711] + X[3674] <= 0
model += -X[3154] + X[5255] - X[5554] <= 0
model += -X[3154] - X[5255] + X[5554] <= 0
model += -X[4573] + X[3280] - X[6866] <= 0
model += -X[4573] - X[3280] + X[6866] <= 0
model += -X[1541] + X[3662] - X[6493] <= 0
model += -X[1541] - X[3662] + X[6493] <= 0
model += -X[3605] + X[7366] - X[4311] <= 0
model += -X[3605] - X[7366] + X[4311] <= 0
model += -X[6439] + X[1148] - X[4588] <= 0
model += -X[6439] - X[1148] + X[4588] <= 0
model += -X[6144] + X[4337] - X[5115] <= 0
model += -X[6144] - X[4337] + X[5115] <= 0
model += -X[2328] + X[4279] - X[3552] <= 0
model += -X[2328] - X[4279] + X[3552] <= 0
model += -X[5138] + X[2011] - X[2041] <= 0
model += -X[5138] - X[2011] + X[2041] <= 0
model += -X[3988] + X[3636] - X[5498] <= 0
model += -X[3988] - X[3636] + X[5498] <= 0
model += -X[7099] + X[5877] - X[6674] <= 0
model += -X[7099] - X[5877] + X[6674] <= 0
model += -X[1603] + X[1825] - X[6953] <= 0
model += -X[1603] - X[1825] + X[6953] <= 0
model += -X[5923] + X[4856] - X[5288] <= 0
model += -X[5923] - X[4856] + X[5288] <= 0
model += -X[5798] + X[6083] - X[7399] <= 0
model += -X[5798] - X[6083] + X[7399] <= 0
model += -X[6775] + X[2895] - X[5001] <= 0
model += -X[6775] - X[2895] + X[5001] <= 0
model += -X[4832] + X[5790] - X[3406] <= 0
model += -X[4832] - X[5790] + X[3406] <= 0
model += -X[5896] + X[2575] - X[5922] <= 0
model += -X[5896] - X[2575] + X[5922] <= 0
model += -X[1767] + X[5308] - X[7210] <= 0
model += -X[1767] - X[5308] + X[7210] <= 0
model += -X[2029] + X[5414] - X[5172] <= 0
model += -X[2029] - X[5414] + X[5172] <= 0
model += -X[7187] + X[2968] - X[4005] <= 0
model += -X[7187] - X[2968] + X[4005] <= 0
model += -X[3186] + X[2369] - X[7471] <= 0
model += -X[3186] - X[2369] + X[7471] <= 0
model += -X[7717] + X[7755] - X[7450] <= 0
model += -X[7717] - X[7755] + X[7450] <= 0
model += -X[1055] + X[6604] - X[5595] <= 0
model += -X[1055] - X[6604] + X[5595] <= 0
model += -X[5921] + X[6559] - X[7241] <= 0
model += -X[5921] - X[6559] + X[7241] <= 0
model += -X[1013] + X[7591] - X[2817] <= 0
model += -X[1013] - X[7591] + X[2817] <= 0
model += -X[7643] + X[1483] - X[2376] <= 0
model += -X[7643] - X[1483] + X[2376] <= 0
model += -X[3128] + X[2103] - X[5526] <= 0
model += -X[3128] - X[2103] + X[5526] <= 0
model += -X[7467] + X[7630] - X[5726] <= 0
model += -X[7467] - X[7630] + X[5726] <= 0
model += -X[5849] + X[1039] - X[7691] <= 0
model += -X[5849] - X[1039] + X[7691] <= 0
model += -X[4503] + X[5182] - X[5038] <= 0
model += -X[4503] - X[5182] + X[5038] <= 0
model += -X[2727] + X[6323] - X[5950] <= 0
model += -X[2727] - X[6323] + X[5950] <= 0
model += -X[6154] + X[1724] - X[3936] <= 0
model += -X[6154] - X[1724] + X[3936] <= 0
model += -X[4352] + X[4821] - X[3535] <= 0
model += -X[4352] - X[4821] + X[3535] <= 0
model += -X[2504] + X[1277] - X[5391] <= 0
model += -X[2504] - X[1277] + X[5391] <= 0
model += -X[5278] + X[5237] - X[1538] <= 0
model += -X[5278] - X[5237] + X[1538] <= 0
model += -X[3896] + X[7566] - X[5948] <= 0
model += -X[3896] - X[7566] + X[5948] <= 0
model += -X[5289] + X[6095] - X[7199] <= 0
model += -X[5289] - X[6095] + X[7199] <= 0
model += -X[1697] + X[4939] - X[1070] <= 0
model += -X[1697] - X[4939] + X[1070] <= 0
model += -X[3862] + X[3443] - X[3658] <= 0
model += -X[3862] - X[3443] + X[3658] <= 0
model += -X[6611] + X[2207] - X[1858] <= 0
model += -X[6611] - X[2207] + X[1858] <= 0
model += -X[5588] + X[4443] - X[6023] <= 0
model += -X[5588] - X[4443] + X[6023] <= 0
model += -X[7765] + X[7544] - X[7121] <= 0
model += -X[7765] - X[7544] + X[7121] <= 0
model += -X[4888] + X[2221] - X[3390] <= 0
model += -X[4888] - X[2221] + X[3390] <= 0
model += -X[5157] + X[4038] - X[5448] <= 0
model += -X[5157] - X[4038] + X[5448] <= 0
model += -X[4676] + X[5324] - X[6325] <= 0
model += -X[4676] - X[5324] + X[6325] <= 0
model += -X[3607] + X[5824] - X[2710] <= 0
model += -X[3607] - X[5824] + X[2710] <= 0
model += -X[4566] + X[5775] - X[4068] <= 0
model += -X[4566] - X[5775] + X[4068] <= 0
model += -X[6696] + X[2377] - X[6816] <= 0
model += -X[6696] - X[2377] + X[6816] <= 0
model += -X[4653] + X[3093] - X[2199] <= 0
model += -X[4653] - X[3093] + X[2199] <= 0
model += -X[2174] + X[7778] - X[3708] <= 0
model += -X[2174] - X[7778] + X[3708] <= 0
model += -X[1544] + X[5843] - X[1458] <= 0
model += -X[1544] - X[5843] + X[1458] <= 0
model += -X[4152] + X[4595] - X[4616] <= 0
model += -X[4152] - X[4595] + X[4616] <= 0
model += -X[3558] + X[6685] - X[4280] <= 0
model += -X[3558] - X[6685] + X[4280] <= 0
model += -X[7417] + X[2939] - X[4340] <= 0
model += -X[7417] - X[2939] + X[4340] <= 0
model += -X[2873] + X[7660] - X[1661] <= 0
model += -X[2873] - X[7660] + X[1661] <= 0
model += -X[6814] + X[3711] - X[5642] <= 0
model += -X[6814] - X[3711] + X[5642] <= 0
model += -X[2854] + X[5255] - X[1501] <= 0
model += -X[2854] - X[5255] + X[1501] <= 0
model += -X[5613] + X[3827] - X[4113] <= 0
model += -X[5613] - X[3827] + X[4113] <= 0
model += -X[3866] + X[1180] - X[2625] <= 0
model += -X[3866] - X[1180] + X[2625] <= 0
model += -X[5243] + X[3280] - X[7154] <= 0
model += -X[5243] - X[3280] + X[7154] <= 0
model += -X[1563] + X[3662] - X[6388] <= 0
model += -X[1563] - X[3662] + X[6388] <= 0
model += -X[4206] + X[7366] - X[5570] <= 0
model += -X[4206] - X[7366] + X[5570] <= 0
model += -X[7737] + X[4151] - X[5120] <= 0
model += -X[7737] - X[4151] + X[5120] <= 0
model += -X[1216] + X[1148] - X[2642] <= 0
model += -X[1216] - X[1148] + X[2642] <= 0
model += -X[4041] + X[4337] - X[4222] <= 0
model += -X[4041] - X[4337] + X[4222] <= 0
model += -X[6991] + X[6186] - X[7410] <= 0
model += -X[6991] - X[6186] + X[7410] <= 0
model += -X[7484] + X[3506] - X[1716] <= 0
model += -X[7484] - X[3506] + X[1716] <= 0
model += -X[6473] + X[7096] - X[6014] <= 0
model += -X[6473] - X[7096] + X[6014] <= 0
model += -X[3963] + X[3636] - X[2843] <= 0
model += -X[3963] - X[3636] + X[2843] <= 0
model += -X[4591] + X[5877] - X[7338] <= 0
model += -X[4591] - X[5877] + X[7338] <= 0
model += -X[2673] + X[1825] - X[4327] <= 0
model += -X[2673] - X[1825] + X[4327] <= 0
model += -X[7300] + X[7777] - X[5892] <= 0
model += -X[7300] - X[7777] + X[5892] <= 0
model += -X[6242] + X[1088] - X[4205] <= 0
model += -X[6242] - X[1088] + X[4205] <= 0
model += -X[3520] + X[5790] - X[5411] <= 0
model += -X[3520] - X[5790] + X[5411] <= 0
model += -X[1779] + X[2968] - X[4336] <= 0
model += -X[1779] - X[2968] + X[4336] <= 0
model += -X[7391] + X[2369] - X[6292] <= 0
model += -X[7391] - X[2369] + X[6292] <= 0
model += -X[7578] + X[1481] - X[2535] <= 0
model += -X[7578] - X[1481] + X[2535] <= 0
model += -X[6509] + X[6604] - X[1366] <= 0
model += -X[6509] - X[6604] + X[1366] <= 0
model += -X[5617] + X[7591] - X[3771] <= 0
model += -X[5617] - X[7591] + X[3771] <= 0
model += -X[2872] + X[1483] - X[7428] <= 0
model += -X[2872] - X[1483] + X[7428] <= 0
model += -X[4901] + X[2103] - X[4390] <= 0
model += -X[4901] - X[2103] + X[4390] <= 0
model += -X[6839] + X[7630] - X[6182] <= 0
model += -X[6839] - X[7630] + X[6182] <= 0
model += -X[6768] + X[2102] - X[4306] <= 0
model += -X[6768] - X[2102] + X[4306] <= 0
model += -X[6045] + X[5347] - X[5370] <= 0
model += -X[6045] - X[5347] + X[5370] <= 0
model += -X[1251] + X[5182] - X[5936] <= 0
model += -X[1251] - X[5182] + X[5936] <= 0
model += -X[3054] + X[6323] - X[4668] <= 0
model += -X[3054] - X[6323] + X[4668] <= 0
model += -X[2141] + X[1724] - X[4384] <= 0
model += -X[2141] - X[1724] + X[4384] <= 0
model += -X[5102] + X[5811] - X[6150] <= 0
model += -X[5102] - X[5811] + X[6150] <= 0
model += -X[1298] + X[2969] - X[4131] <= 0
model += -X[1298] - X[2969] + X[4131] <= 0
model += -X[6965] + X[4821] - X[1179] <= 0
model += -X[6965] - X[4821] + X[1179] <= 0
model += -X[4075] + X[1277] - X[6960] <= 0
model += -X[4075] - X[1277] + X[6960] <= 0
model += -X[4142] + X[7566] - X[1378] <= 0
model += -X[4142] - X[7566] + X[1378] <= 0
model += -X[7242] + X[4939] - X[3383] <= 0
model += -X[7242] - X[4939] + X[3383] <= 0
model += -X[6166] + X[2450] - X[6069] <= 0
model += -X[6166] - X[2450] + X[6069] <= 0
model += -X[1586] + X[3443] - X[6142] <= 0
model += -X[1586] - X[3443] + X[6142] <= 0
model += -X[7378] + X[2207] - X[6185] <= 0
model += -X[7378] - X[2207] + X[6185] <= 0
model += -X[1368] + X[3196] - X[4086] <= 0
model += -X[1368] - X[3196] + X[4086] <= 0
model += -X[1077] + X[7544] - X[3667] <= 0
model += -X[1077] - X[7544] + X[3667] <= 0
model += -X[4546] + X[2221] - X[3314] <= 0
model += -X[4546] - X[2221] + X[3314] <= 0
model += -X[1082] + X[5324] - X[1618] <= 0
model += -X[1082] - X[5324] + X[1618] <= 0
model += -X[3722] + X[5824] - X[4449] <= 0
model += -X[3722] - X[5824] + X[4449] <= 0
model += -X[5087] + X[5775] - X[2217] <= 0
model += -X[5087] - X[5775] + X[2217] <= 0
model += -X[7348] + X[1747] - X[3202] <= 0
model += -X[7348] - X[1747] + X[3202] <= 0
model += -X[2354] + X[2377] - X[2779] <= 0
model += -X[2354] - X[2377] + X[2779] <= 0
model += -X[2057] + X[3093] - X[4929] <= 0
model += -X[2057] - X[3093] + X[4929] <= 0
model += -X[1272] + X[7778] - X[1598] <= 0
model += -X[1272] - X[7778] + X[1598] <= 0
model += -X[7550] + X[1791] - X[5483] <= 0
model += -X[7550] - X[1791] + X[5483] <= 0
model += -X[3167] + X[6270] - X[3915] <= 0
model += -X[3167] - X[6270] + X[3915] <= 0
model += -X[7159] + X[4595] - X[4872] <= 0
model += -X[7159] - X[4595] + X[4872] <= 0
model += -X[5776] + X[6685] - X[7767] <= 0
model += -X[5776] - X[6685] + X[7767] <= 0
model += -X[6694] + X[2939] - X[5062] <= 0
model += -X[6694] - X[2939] + X[5062] <= 0
model += -X[7676] + X[7660] - X[4211] <= 0
model += -X[7676] - X[7660] + X[4211] <= 0
model += -X[3232] + X[7039] - X[3189] <= 0
model += -X[3232] - X[7039] + X[3189] <= 0
model += -X[5242] + X[3711] - X[1942] <= 0
model += -X[5242] - X[3711] + X[1942] <= 0
model += -X[5031] + X[5255] - X[3089] <= 0
model += -X[5031] - X[5255] + X[3089] <= 0
model += -X[1680] + X[3827] - X[1315] <= 0
model += -X[1680] - X[3827] + X[1315] <= 0
model += -X[4648] + X[1180] - X[6181] <= 0
model += -X[4648] - X[1180] + X[6181] <= 0
model += -X[2347] + X[7770] - X[2135] <= 0
model += -X[2347] - X[7770] + X[2135] <= 0
model += -X[1388] + X[3662] - X[1264] <= 0
model += -X[1388] - X[3662] + X[1264] <= 0
model += -X[1606] + X[7366] - X[5777] <= 0
model += -X[1606] - X[7366] + X[5777] <= 0
model += -X[6623] + X[7096] - X[6851] <= 0
model += -X[6623] - X[7096] + X[6851] <= 0
model += -X[6074] + X[3636] - X[5164] <= 0
model += -X[6074] - X[3636] + X[5164] <= 0
model += -X[5059] + X[5877] - X[5021] <= 0
model += -X[5059] - X[5877] + X[5021] <= 0
model += -X[3411] + X[1825] - X[5660] <= 0
model += -X[3411] - X[1825] + X[5660] <= 0
model += -X[6681] + X[4856] - X[2435] <= 0
model += -X[6681] - X[4856] + X[2435] <= 0
model += -X[3983] + X[7777] - X[4545] <= 0
model += -X[3983] - X[7777] + X[4545] <= 0
model += -X[4555] + X[2895] - X[5064] <= 0
model += -X[4555] - X[2895] + X[5064] <= 0
model += -X[6004] + X[5790] - X[1244] <= 0
model += -X[6004] - X[5790] + X[1244] <= 0
model += -X[6179] + X[2968] - X[5984] <= 0
model += -X[6179] - X[2968] + X[5984] <= 0
model += -X[5994] + X[2369] - X[4415] <= 0
model += -X[5994] - X[2369] + X[4415] <= 0
model += -X[7788] + X[1481] - X[2106] <= 0
model += -X[7788] - X[1481] + X[2106] <= 0
model += -X[2441] + X[7755] - X[4943] <= 0
model += -X[2441] - X[7755] + X[4943] <= 0
model += -X[7735] + X[6604] - X[2544] <= 0
model += -X[7735] - X[6604] + X[2544] <= 0
model += -X[4355] + X[7591] - X[7531] <= 0
model += -X[4355] - X[7591] + X[7531] <= 0
model += -X[5779] + X[1483] - X[1158] <= 0
model += -X[5779] - X[1483] + X[1158] <= 0
model += -X[3091] + X[2103] - X[1028] <= 0
model += -X[3091] - X[2103] + X[1028] <= 0
model += -X[2321] + X[7630] - X[3209] <= 0
model += -X[2321] - X[7630] + X[3209] <= 0
model += -X[5987] + X[1039] - X[1733] <= 0
model += -X[5987] - X[1039] + X[1733] <= 0
model += -X[6338] + X[2102] - X[6158] <= 0
model += -X[6338] - X[2102] + X[6158] <= 0
model += -X[1337] + X[5182] - X[1679] <= 0
model += -X[1337] - X[5182] + X[1679] <= 0
model += -X[2880] + X[6323] - X[1203] <= 0
model += -X[2880] - X[6323] + X[1203] <= 0
model += -X[1497] + X[1724] - X[7678] <= 0
model += -X[1497] - X[1724] + X[7678] <= 0
model += -X[1116] + X[5811] - X[4136] <= 0
model += -X[1116] - X[5811] + X[4136] <= 0
model += -X[5736] + X[5237] - X[1200] <= 0
model += -X[5736] - X[5237] + X[1200] <= 0
model += -X[2729] + X[7566] - X[2022] <= 0
model += -X[2729] - X[7566] + X[2022] <= 0
model += -X[4209] + X[6095] - X[6680] <= 0
model += -X[4209] - X[6095] + X[6680] <= 0
model += -X[5358] + X[3324] - X[2731] <= 0
model += -X[5358] - X[3324] + X[2731] <= 0
model += -X[5236] + X[6226] - X[5350] <= 0
model += -X[5236] - X[6226] + X[5350] <= 0
model += -X[6024] + X[3405] - X[7387] <= 0
model += -X[6024] - X[3405] + X[7387] <= 0
model += -X[7349] + X[2450] - X[2516] <= 0
model += -X[7349] - X[2450] + X[2516] <= 0
model += -X[2626] + X[2207] - X[2015] <= 0
model += -X[2626] - X[2207] + X[2015] <= 0
model += -X[6146] + X[4443] - X[4416] <= 0
model += -X[6146] - X[4443] + X[4416] <= 0
model += -X[6206] + X[3196] - X[5193] <= 0
model += -X[6206] - X[3196] + X[5193] <= 0
model += -X[2641] + X[7544] - X[4223] <= 0
model += -X[2641] - X[7544] + X[4223] <= 0
model += -X[4083] + X[2221] - X[7565] <= 0
model += -X[4083] - X[2221] + X[7565] <= 0
model += -X[1569] + X[5324] - X[7049] <= 0
model += -X[1569] - X[5324] + X[7049] <= 0
model += -X[1878] + X[5824] - X[3743] <= 0
model += -X[1878] - X[5824] + X[3743] <= 0
model += -X[4301] + X[5775] - X[6513] <= 0
model += -X[4301] - X[5775] + X[6513] <= 0
model += -X[3213] + X[1747] - X[1802] <= 0
model += -X[3213] - X[1747] + X[1802] <= 0
model += -X[3105] + X[3528] - X[5827] <= 0
model += -X[3105] - X[3528] + X[5827] <= 0
model += -X[4791] + X[1791] - X[5175] <= 0
model += -X[4791] - X[1791] + X[5175] <= 0
model += -X[4445] + X[6270] - X[6641] <= 0
model += -X[4445] - X[6270] + X[6641] <= 0
model += -X[2247] + X[4595] - X[5281] <= 0
model += -X[2247] - X[4595] + X[5281] <= 0
model += -X[1151] + X[6685] - X[4193] <= 0
model += -X[1151] - X[6685] + X[4193] <= 0
model += -X[3039] + X[2939] - X[7523] <= 0
model += -X[3039] - X[2939] + X[7523] <= 0
model += -X[3976] + X[2596] - X[4727] <= 0
model += -X[3976] - X[2596] + X[4727] <= 0
model += -X[1845] + X[5255] - X[1404] <= 0
model += -X[1845] - X[5255] + X[1404] <= 0
model += -X[5249] + X[3827] - X[4684] <= 0
model += -X[5249] - X[3827] + X[4684] <= 0
model += -X[4721] + X[1180] - X[4423] <= 0
model += -X[4721] - X[1180] + X[4423] <= 0
model += -X[2357] + X[3280] - X[4163] <= 0
model += -X[2357] - X[3280] + X[4163] <= 0
model += -X[4534] + X[7770] - X[3366] <= 0
model += -X[4534] - X[7770] + X[3366] <= 0
model += -X[3078] + X[7366] - X[7433] <= 0
model += -X[3078] - X[7366] + X[7433] <= 0
model += -X[3960] + X[6186] - X[1672] <= 0
model += -X[3960] - X[6186] + X[1672] <= 0
model += -X[5389] + X[3506] - X[7255] <= 0
model += -X[5389] - X[3506] + X[7255] <= 0
model += -X[7120] + X[3471] - X[1528] <= 0
model += -X[7120] - X[3471] + X[1528] <= 0
model += -X[7597] + X[1825] - X[1305] <= 0
model += -X[7597] - X[1825] + X[1305] <= 0
model += -X[5225] + X[4856] - X[3838] <= 0
model += -X[5225] - X[4856] + X[3838] <= 0
model += -X[7593] + X[6083] - X[6877] <= 0
model += -X[7593] - X[6083] + X[6877] <= 0
model += -X[1442] + X[2895] - X[6267] <= 0
model += -X[1442] - X[2895] + X[6267] <= 0
model += -X[6501] + X[1088] - X[5631] <= 0
model += -X[6501] - X[1088] + X[5631] <= 0
model += -X[5317] + X[5790] - X[1125] <= 0
model += -X[5317] - X[5790] + X[1125] <= 0
model += -X[2196] + X[2968] - X[7085] <= 0
model += -X[2196] - X[2968] + X[7085] <= 0
model += -X[3812] + X[2369] - X[4347] <= 0
model += -X[3812] - X[2369] + X[4347] <= 0
model += -X[2556] + X[6604] - X[5635] <= 0
model += -X[2556] - X[6604] + X[5635] <= 0
model += -X[5133] + X[1856] - X[5980] <= 0
model += -X[5133] - X[1856] + X[5980] <= 0
model += -X[2430] + X[7538] - X[5754] <= 0
model += -X[2430] - X[7538] + X[5754] <= 0
model += -X[2208] + X[7303] - X[3954] <= 0
model += -X[2208] - X[7303] + X[3954] <= 0
model += -X[4985] + X[4253] - X[6784] <= 0
model += -X[4985] - X[4253] + X[6784] <= 0
model += -X[6483] + X[7591] - X[3268] <= 0
model += -X[6483] - X[7591] + X[3268] <= 0
model += -X[5393] + X[2103] - X[5135] <= 0
model += -X[5393] - X[2103] + X[5135] <= 0
model += -X[7257] + X[7630] - X[3714] <= 0
model += -X[7257] - X[7630] + X[3714] <= 0
model += -X[1049] + X[1039] - X[4009] <= 0
model += -X[1049] - X[1039] + X[4009] <= 0
model += -X[3598] + X[2102] - X[5199] <= 0
model += -X[3598] - X[2102] + X[5199] <= 0
model += -X[2387] + X[5182] - X[4476] <= 0
model += -X[2387] - X[5182] + X[4476] <= 0
model += -X[5867] + X[1724] - X[7309] <= 0
model += -X[5867] - X[1724] + X[7309] <= 0
model += -X[1921] + X[5811] - X[1046] <= 0
model += -X[1921] - X[5811] + X[1046] <= 0
model += -X[2335] + X[2969] - X[6119] <= 0
model += -X[2335] - X[2969] + X[6119] <= 0
model += -X[3229] + X[4821] - X[6530] <= 0
model += -X[3229] - X[4821] + X[6530] <= 0
model += -X[4878] + X[5237] - X[4998] <= 0
model += -X[4878] - X[5237] + X[4998] <= 0
model += -X[3374] + X[3324] - X[5665] <= 0
model += -X[3374] - X[3324] + X[5665] <= 0
model += -X[7607] + X[6226] - X[7758] <= 0
model += -X[7607] - X[6226] + X[7758] <= 0
model += -X[2871] + X[7491] - X[1122] <= 0
model += -X[2871] - X[7491] + X[1122] <= 0
model += -X[2115] + X[3405] - X[7610] <= 0
model += -X[2115] - X[3405] + X[7610] <= 0
model += -X[7061] + X[2450] - X[7430] <= 0
model += -X[7061] - X[2450] + X[7430] <= 0
model += -X[3887] + X[3443] - X[4919] <= 0
model += -X[3887] - X[3443] + X[4919] <= 0
model += -X[1656] + X[4443] - X[3204] <= 0
model += -X[1656] - X[4443] + X[3204] <= 0
model += -X[4599] + X[7544] - X[5232] <= 0
model += -X[4599] - X[7544] + X[5232] <= 0
model += -X[7745] + X[2221] - X[1699] <= 0
model += -X[7745] - X[2221] + X[1699] <= 0
model += -X[6370] + X[4038] - X[5004] <= 0
model += -X[6370] - X[4038] + X[5004] <= 0
model += -X[3783] + X[5324] - X[2595] <= 0
model += -X[3783] - X[5324] + X[2595] <= 0
model += -X[4699] + X[5775] - X[3815] <= 0
model += -X[4699] - X[5775] + X[3815] <= 0
model += -X[6141] + X[1791] - X[7483] <= 0
model += -X[6141] - X[1791] + X[7483] <= 0
model += -X[3513] + X[6270] - X[5610] <= 0
model += -X[3513] - X[6270] + X[5610] <= 0
model += -X[1663] + X[6685] - X[2061] <= 0
model += -X[1663] - X[6685] + X[2061] <= 0
model += -X[1734] + X[2939] - X[6607] <= 0
model += -X[1734] - X[2939] + X[6607] <= 0
model += -X[4891] + X[7660] - X[4641] <= 0
model += -X[4891] - X[7660] + X[4641] <= 0
model += -X[6614] + X[2596] - X[1190] <= 0
model += -X[6614] - X[2596] + X[1190] <= 0
model += -X[2827] + X[7039] - X[5112] <= 0
model += -X[2827] - X[7039] + X[5112] <= 0
model += -X[2811] + X[3711] - X[5996] <= 0
model += -X[2811] - X[3711] + X[5996] <= 0
model += -X[1829] + X[3827] - X[3028] <= 0
model += -X[1829] - X[3827] + X[3028] <= 0
model += -X[2799] + X[1180] - X[2716] <= 0
model += -X[2799] - X[1180] + X[2716] <= 0
model += -X[7353] + X[3280] - X[2371] <= 0
model += -X[7353] - X[3280] + X[2371] <= 0
model += -X[2997] + X[3662] - X[5022] <= 0
model += -X[2997] - X[3662] + X[5022] <= 0
model += -X[5899] + X[7366] - X[5152] <= 0
model += -X[5899] - X[7366] + X[5152] <= 0
model += -X[3634] + X[6186] - X[4701] <= 0
model += -X[3634] - X[6186] + X[4701] <= 0
model += -X[7689] + X[3506] - X[6192] <= 0
model += -X[7689] - X[3506] + X[6192] <= 0
model += -X[2986] + X[7096] - X[5387] <= 0
model += -X[2986] - X[7096] + X[5387] <= 0
model += -X[3618] + X[2011] - X[6228] <= 0
model += -X[3618] - X[2011] + X[6228] <= 0
model += -X[5145] + X[5877] - X[1610] <= 0
model += -X[5145] - X[5877] + X[1610] <= 0
model += -X[5569] + X[5294] - X[3121] <= 0
model += -X[5569] - X[5294] + X[3121] <= 0
model += -X[3879] + X[4542] - X[7628] <= 0
model += -X[3879] - X[4542] + X[7628] <= 0
model += -X[1117] + X[6740] - X[6590] <= 0
model += -X[1117] - X[6740] + X[6590] <= 0
model += -X[2413] + X[3519] - X[4683] <= 0
model += -X[2413] - X[3519] + X[4683] <= 0
model += -X[1817] + X[3471] - X[7305] <= 0
model += -X[1817] - X[3471] + X[7305] <= 0
model += -X[1019] + X[7777] - X[4848] <= 0
model += -X[1019] - X[7777] + X[4848] <= 0
model += -X[1507] + X[6083] - X[3819] <= 0
model += -X[1507] - X[6083] + X[3819] <= 0
model += -X[5427] + X[1088] - X[6637] <= 0
model += -X[5427] - X[1088] + X[6637] <= 0
model += -X[2179] + X[5790] - X[7721] <= 0
model += -X[2179] - X[5790] + X[7721] <= 0
model += -X[3832] + X[2369] - X[1798] <= 0
model += -X[3832] - X[2369] + X[1798] <= 0
model += -X[1437] + X[1481] - X[2809] <= 0
model += -X[1437] - X[1481] + X[2809] <= 0
model += -X[2003] + X[7755] - X[5770] <= 0
model += -X[2003] - X[7755] + X[5770] <= 0
model += -X[1743] + X[1856] - X[6064] <= 0
model += -X[1743] - X[1856] + X[6064] <= 0
model += -X[6458] + X[7538] - X[2543] <= 0
model += -X[6458] - X[7538] + X[2543] <= 0
model += -X[2649] + X[7303] - X[4483] <= 0
model += -X[2649] - X[7303] + X[4483] <= 0
model += -X[5018] + X[4253] - X[2859] <= 0
model += -X[5018] - X[4253] + X[2859] <= 0
model += -X[7233] + X[7591] - X[1924] <= 0
model += -X[7233] - X[7591] + X[1924] <= 0
model += -X[3479] + X[1483] - X[2844] <= 0
model += -X[3479] - X[1483] + X[2844] <= 0
model += -X[5043] + X[7630] - X[3792] <= 0
model += -X[5043] - X[7630] + X[3792] <= 0
model += -X[5578] + X[1039] - X[7275] <= 0
model += -X[5578] - X[1039] + X[7275] <= 0
model += -X[7489] + X[2102] - X[3932] <= 0
model += -X[7489] - X[2102] + X[3932] <= 0
model += -X[4960] + X[5182] - X[3880] <= 0
model += -X[4960] - X[5182] + X[3880] <= 0
model += -X[5296] + X[6323] - X[2278] <= 0
model += -X[5296] - X[6323] + X[2278] <= 0
model += -X[2160] + X[1724] - X[5356] <= 0
model += -X[2160] - X[1724] + X[5356] <= 0
model += -X[2525] + X[5811] - X[2976] <= 0
model += -X[2525] - X[5811] + X[2976] <= 0
model += -X[1468] + X[2969] - X[6734] <= 0
model += -X[1468] - X[2969] + X[6734] <= 0
model += -X[6250] + X[4821] - X[3927] <= 0
model += -X[6250] - X[4821] + X[3927] <= 0
model += -X[5561] + X[1277] - X[2694] <= 0
model += -X[5561] - X[1277] + X[2694] <= 0
model += -X[3445] + X[3405] - X[1647] <= 0
model += -X[3445] - X[3405] + X[1647] <= 0
model += -X[6337] + X[2450] - X[4324] <= 0
model += -X[6337] - X[2450] + X[4324] <= 0
model += -X[7690] + X[3443] - X[1886] <= 0
model += -X[7690] - X[3443] + X[1886] <= 0
model += -X[2358] + X[4443] - X[5911] <= 0
model += -X[2358] - X[4443] + X[5911] <= 0
model += -X[7331] + X[3196] - X[1619] <= 0
model += -X[7331] - X[3196] + X[1619] <= 0
model += -X[5765] + X[7544] - X[2950] <= 0
model += -X[5765] - X[7544] + X[2950] <= 0
model += -X[6914] + X[2221] - X[6686] <= 0
model += -X[6914] - X[2221] + X[6686] <= 0
model += -X[5371] + X[4038] - X[4341] <= 0
model += -X[5371] - X[4038] + X[4341] <= 0
model += -X[7069] + X[5824] - X[4284] <= 0
model += -X[7069] - X[5824] + X[4284] <= 0
model += -X[1440] + X[5775] - X[4321] <= 0
model += -X[1440] - X[5775] + X[4321] <= 0
model += -X[7712] + X[1747] - X[6082] <= 0
model += -X[7712] - X[1747] + X[6082] <= 0
model += -X[6560] + X[1791] - X[6254] <= 0
model += -X[6560] - X[1791] + X[6254] <= 0
model += -X[5285] + X[6270] - X[6785] <= 0
model += -X[5285] - X[6270] + X[6785] <= 0
model += -X[5390] + X[4595] - X[3559] <= 0
model += -X[5390] - X[4595] + X[3559] <= 0
model += -X[6584] + X[6685] - X[7315] <= 0
model += -X[6584] - X[6685] + X[7315] <= 0
model += -X[1785] + X[2939] - X[5415] <= 0
model += -X[1785] - X[2939] + X[5415] <= 0
model += -X[6811] + X[7766] - X[5177] <= 0
model += -X[6811] - X[7766] + X[5177] <= 0
model += -X[5596] + X[6293] - X[1565] <= 0
model += -X[5596] - X[6293] + X[1565] <= 0
model += -X[6383] + X[5246] - X[5964] <= 0
model += -X[6383] - X[5246] + X[5964] <= 0
model += -X[2883] + X[2596] - X[4519] <= 0
model += -X[2883] - X[2596] + X[4519] <= 0
model += -X[2934] + X[7039] - X[6367] <= 0
model += -X[2934] - X[7039] + X[6367] <= 0
model += -X[5111] + X[3711] - X[3920] <= 0
model += -X[5111] - X[3711] + X[3920] <= 0
model += -X[3325] + X[5255] - X[5363] <= 0
model += -X[3325] - X[5255] + X[5363] <= 0
model += -X[2231] + X[3827] - X[5132] <= 0
model += -X[2231] - X[3827] + X[5132] <= 0
model += -X[5985] + X[1180] - X[1304] <= 0
model += -X[5985] - X[1180] + X[1304] <= 0
model += -X[1172] + X[7770] - X[3823] <= 0
model += -X[1172] - X[7770] + X[3823] <= 0
model += -X[1542] + X[3662] - X[5328] <= 0
model += -X[1542] - X[3662] + X[5328] <= 0
model += -X[2258] + X[7366] - X[3216] <= 0
model += -X[2258] - X[7366] + X[3216] <= 0
model += -X[1628] + X[6186] - X[3361] <= 0
model += -X[1628] - X[6186] + X[3361] <= 0
model += -X[5763] + X[3506] - X[1387] <= 0
model += -X[5763] - X[3506] + X[1387] <= 0
model += -X[2898] + X[7096] - X[3800] <= 0
model += -X[2898] - X[7096] + X[3800] <= 0
model += -X[5743] + X[5294] - X[5037] <= 0
model += -X[5743] - X[5294] + X[5037] <= 0
model += -X[1422] + X[4542] - X[1750] <= 0
model += -X[1422] - X[4542] + X[1750] <= 0
model += -X[6000] + X[6740] - X[3809] <= 0
model += -X[6000] - X[6740] + X[3809] <= 0
model += -X[1971] + X[3519] - X[4241] <= 0
model += -X[1971] - X[3519] + X[4241] <= 0
model += -X[1691] + X[3471] - X[5812] <= 0
model += -X[1691] - X[3471] + X[5812] <= 0
model += -X[4974] + X[4856] - X[6918] <= 0
model += -X[4974] - X[4856] + X[6918] <= 0
model += -X[6407] + X[7777] - X[2297] <= 0
model += -X[6407] - X[7777] + X[2297] <= 0
model += -X[5220] + X[6083] - X[5621] <= 0
model += -X[5220] - X[6083] + X[5621] <= 0
model += -X[5035] + X[2895] - X[6125] <= 0
model += -X[5035] - X[2895] + X[6125] <= 0
model += -X[4871] + X[1088] - X[1033] <= 0
model += -X[4871] - X[1088] + X[1033] <= 0
model += -X[2084] + X[5790] - X[4437] <= 0
model += -X[2084] - X[5790] + X[4437] <= 0
model += -X[5761] + X[2968] - X[1918] <= 0
model += -X[5761] - X[2968] + X[1918] <= 0
model += -X[1763] + X[1481] - X[7365] <= 0
model += -X[1763] - X[1481] + X[7365] <= 0
model += -X[1717] + X[7538] - X[5377] <= 0
model += -X[1717] - X[7538] + X[5377] <= 0
model += -X[3991] + X[7303] - X[3348] <= 0
model += -X[3991] - X[7303] + X[3348] <= 0
model += -X[5906] + X[4253] - X[2628] <= 0
model += -X[5906] - X[4253] + X[2628] <= 0
model += -X[1935] + X[1483] - X[3153] <= 0
model += -X[1935] - X[1483] + X[3153] <= 0
model += -X[6123] + X[7630] - X[3038] <= 0
model += -X[6123] - X[7630] + X[3038] <= 0
model += -X[6970] + X[2102] - X[1081] <= 0
model += -X[6970] - X[2102] + X[1081] <= 0
model += -X[3995] + X[5182] - X[3642] <= 0
model += -X[3995] - X[5182] + X[3642] <= 0
model += -X[1113] + X[6323] - X[7773] <= 0
model += -X[1113] - X[6323] + X[7773] <= 0
model += -X[2094] + X[5811] - X[1188] <= 0
model += -X[2094] - X[5811] + X[1188] <= 0
model += -X[1632] + X[2969] - X[1934] <= 0
model += -X[1632] - X[2969] + X[1934] <= 0
model += -X[5070] + X[4821] - X[4964] <= 0
model += -X[5070] - X[4821] + X[4964] <= 0
model += -X[5531] + X[1277] - X[4149] <= 0
model += -X[5531] - X[1277] + X[4149] <= 0
model += -X[2928] + X[5237] - X[1593] <= 0
model += -X[2928] - X[5237] + X[1593] <= 0
model += -X[3453] + X[3324] - X[6809] <= 0
model += -X[3453] - X[3324] + X[6809] <= 0
model += -X[5969] + X[6226] - X[6436] <= 0
model += -X[5969] - X[6226] + X[6436] <= 0
model += -X[3434] + X[7491] - X[4245] <= 0
model += -X[3434] - X[7491] + X[4245] <= 0
model += -X[3123] + X[2562] - X[7681] <= 0
model += -X[3123] - X[2562] + X[7681] <= 0
model += -X[5934] + X[3688] - X[2004] <= 0
model += -X[5934] - X[3688] + X[2004] <= 0
model += -X[4997] + X[4230] - X[2414] <= 0
model += -X[4997] - X[4230] + X[2414] <= 0
model += -X[4581] + X[4805] - X[5960] <= 0
model += -X[4581] - X[4805] + X[5960] <= 0
model += -X[1862] + X[1834] - X[1562] <= 0
model += -X[1862] - X[1834] + X[1562] <= 0
model += -X[5385] + X[5150] - X[3889] <= 0
model += -X[5385] - X[5150] + X[3889] <= 0
model += -X[6130] + X[6950] - X[2285] <= 0
model += -X[6130] - X[6950] + X[2285] <= 0
model += -X[7276] + X[2562] - X[2121] <= 0
model += -X[7276] - X[2562] + X[2121] <= 0
model += -X[2355] + X[4230] - X[7728] <= 0
model += -X[2355] - X[4230] + X[7728] <= 0
model += -X[5891] + X[2669] - X[3266] <= 0
model += -X[5891] - X[2669] + X[3266] <= 0
model += -X[2223] + X[4167] - X[2847] <= 0
model += -X[2223] - X[4167] + X[2847] <= 0
model += -X[5574] + X[2165] - X[4509] <= 0
model += -X[5574] - X[2165] + X[4509] <= 0
model += -X[1456] + X[4805] - X[3328] <= 0
model += -X[1456] - X[4805] + X[3328] <= 0
model += -X[5212] + X[1834] - X[1208] <= 0
model += -X[5212] - X[1834] + X[1208] <= 0
model += -X[4027] + X[5150] - X[2677] <= 0
model += -X[4027] - X[5150] + X[2677] <= 0
model += -X[1986] + X[6950] - X[7278] <= 0
model += -X[1986] - X[6950] + X[7278] <= 0
model += -X[6416] + X[2562] - X[6915] <= 0
model += -X[6416] - X[2562] + X[6915] <= 0
model += -X[5300] + X[3688] - X[6500] <= 0
model += -X[5300] - X[3688] + X[6500] <= 0
model += -X[7368] + X[4230] - X[2903] <= 0
model += -X[7368] - X[4230] + X[2903] <= 0
model += -X[4111] + X[4687] - X[4835] <= 0
model += -X[4111] - X[4687] + X[4835] <= 0
model += -X[7101] + X[3728] - X[7165] <= 0
model += -X[7101] - X[3728] + X[7165] <= 0
model += -X[4695] + X[1130] - X[3288] <= 0
model += -X[4695] - X[1130] + X[3288] <= 0
model += -X[4661] + X[2669] - X[4895] <= 0
model += -X[4661] - X[2669] + X[4895] <= 0
model += -X[7320] + X[4167] - X[3566] <= 0
model += -X[7320] - X[4167] + X[3566] <= 0
model += -X[3731] + X[2165] - X[6798] <= 0
model += -X[3731] - X[2165] + X[6798] <= 0
model += -X[5331] + X[1834] - X[1650] <= 0
model += -X[5331] - X[1834] + X[1650] <= 0
model += -X[6441] + X[5150] - X[3888] <= 0
model += -X[6441] - X[5150] + X[3888] <= 0
model += -X[3514] + X[6950] - X[1867] <= 0
model += -X[3514] - X[6950] + X[1867] <= 0
model += -X[3025] + X[2562] - X[6946] <= 0
model += -X[3025] - X[2562] + X[6946] <= 0
model += -X[3043] + X[3573] - X[3111] <= 0
model += -X[3043] - X[3573] + X[3111] <= 0
model += -X[4704] + X[7619] - X[4285] <= 0
model += -X[4704] - X[7619] + X[4285] <= 0
model += -X[2298] + X[2858] - X[6738] <= 0
model += -X[2298] - X[2858] + X[6738] <= 0
model += -X[6217] + X[4687] - X[3741] <= 0
model += -X[6217] - X[4687] + X[3741] <= 0
model += -X[1613] + X[3728] - X[4607] <= 0
model += -X[1613] - X[3728] + X[4607] <= 0
model += -X[3782] + X[1130] - X[5198] <= 0
model += -X[3782] - X[1130] + X[5198] <= 0
model += -X[6499] + X[2669] - X[1087] <= 0
model += -X[6499] - X[2669] + X[1087] <= 0
model += -X[4071] + X[4167] - X[5447] <= 0
model += -X[4071] - X[4167] + X[5447] <= 0
model += -X[1925] + X[2165] - X[1020] <= 0
model += -X[1925] - X[2165] + X[1020] <= 0
model += -X[1297] + X[5150] - X[4497] <= 0
model += -X[1297] - X[5150] + X[4497] <= 0
model += -X[4756] + X[6950] - X[3957] <= 0
model += -X[4756] - X[6950] + X[3957] <= 0
model += -X[1472] + X[5859] - X[4441] <= 0
model += -X[1472] - X[5859] + X[4441] <= 0
model += -X[5073] + X[3757] - X[2405] <= 0
model += -X[5073] - X[3757] + X[2405] <= 0
model += -X[1426] + X[3651] - X[1786] <= 0
model += -X[1426] - X[3651] + X[1786] <= 0
model += -X[2634] + X[2562] - X[3968] <= 0
model += -X[2634] - X[2562] + X[3968] <= 0
model += -X[5006] + X[3688] - X[7237] <= 0
model += -X[5006] - X[3688] + X[7237] <= 0
model += -X[1242] + X[4230] - X[5106] <= 0
model += -X[1242] - X[4230] + X[5106] <= 0
model += -X[3715] + X[3573] - X[2648] <= 0
model += -X[3715] - X[3573] + X[2648] <= 0
model += -X[3483] + X[7619] - X[6565] <= 0
model += -X[3483] - X[7619] + X[6565] <= 0
model += -X[3287] + X[4687] - X[2629] <= 0
model += -X[3287] - X[4687] + X[2629] <= 0
model += -X[6392] + X[1130] - X[5745] <= 0
model += -X[6392] - X[1130] + X[5745] <= 0
model += -X[4017] + X[1916] - X[2381] <= 0
model += -X[4017] - X[1916] + X[2381] <= 0
model += -X[2762] + X[3918] - X[4343] <= 0
model += -X[2762] - X[3918] + X[4343] <= 0
model += -X[4478] + X[4805] - X[6028] <= 0
model += -X[4478] - X[4805] + X[6028] <= 0
model += -X[1945] + X[1834] - X[1588] <= 0
model += -X[1945] - X[1834] + X[1588] <= 0
model += -X[3586] + X[5150] - X[2979] <= 0
model += -X[3586] - X[5150] + X[2979] <= 0
model += -X[2891] + X[6950] - X[4155] <= 0
model += -X[2891] - X[6950] + X[4155] <= 0
model += -X[5461] + X[5859] - X[1386] <= 0
model += -X[5461] - X[5859] + X[1386] <= 0
model += -X[3056] + X[1256] - X[6663] <= 0
model += -X[3056] - X[1256] + X[6663] <= 0
model += -X[6266] + X[3651] - X[4259] <= 0
model += -X[6266] - X[3651] + X[4259] <= 0
model += -X[7226] + X[2562] - X[5490] <= 0
model += -X[7226] - X[2562] + X[5490] <= 0
model += -X[7601] + X[3688] - X[1490] <= 0
model += -X[7601] - X[3688] + X[1490] <= 0
model += -X[3863] + X[4230] - X[1465] <= 0
model += -X[3863] - X[4230] + X[1465] <= 0
model += -X[7321] + X[3573] - X[4181] <= 0
model += -X[7321] - X[3573] + X[4181] <= 0
model += -X[4254] + X[6297] - X[3816] <= 0
model += -X[4254] - X[6297] + X[3816] <= 0
model += -X[5664] + X[2858] - X[4200] <= 0
model += -X[5664] - X[2858] + X[4200] <= 0
model += -X[5679] + X[4687] - X[2789] <= 0
model += -X[5679] - X[4687] + X[2789] <= 0
model += -X[1412] + X[3728] - X[5272] <= 0
model += -X[1412] - X[3728] + X[5272] <= 0
model += -X[2096] + X[1130] - X[6453] <= 0
model += -X[2096] - X[1130] + X[6453] <= 0
model += -X[1094] + X[3978] - X[5503] <= 0
model += -X[1094] - X[3978] + X[5503] <= 0
model += -X[1165] + X[1340] - X[2150] <= 0
model += -X[1165] - X[1340] + X[2150] <= 0
model += -X[1681] + X[1705] - X[7027] <= 0
model += -X[1681] - X[1705] + X[7027] <= 0
model += -X[6813] + X[2669] - X[1351] <= 0
model += -X[6813] - X[2669] + X[1351] <= 0
model += -X[4917] + X[4167] - X[1476] <= 0
model += -X[4917] - X[4167] + X[1476] <= 0
model += -X[4419] + X[2165] - X[5165] <= 0
model += -X[4419] - X[2165] + X[5165] <= 0
model += -X[7179] + X[1916] - X[5752] <= 0
model += -X[7179] - X[1916] + X[5752] <= 0
model += -X[4183] + X[7212] - X[3534] <= 0
model += -X[4183] - X[7212] + X[3534] <= 0
model += -X[2551] + X[3918] - X[6728] <= 0
model += -X[2551] - X[3918] + X[6728] <= 0
model += -X[2380] + X[5150] - X[4977] <= 0
model += -X[2380] - X[5150] + X[4977] <= 0
model += -X[6913] + X[3757] - X[7004] <= 0
model += -X[6913] - X[3757] + X[7004] <= 0
model += -X[2001] + X[1256] - X[7536] <= 0
model += -X[2001] - X[1256] + X[7536] <= 0
model += -X[3301] + X[3651] - X[5707] <= 0
model += -X[3301] - X[3651] + X[5707] <= 0
model += -X[2910] + X[4230] - X[2508] <= 0
model += -X[2910] - X[4230] + X[2508] <= 0
model += -X[6167] + X[3573] - X[4693] <= 0
model += -X[6167] - X[3573] + X[4693] <= 0
model += -X[2998] + X[6297] - X[5402] <= 0
model += -X[2998] - X[6297] + X[5402] <= 0
model += -X[2916] + X[7619] - X[1506] <= 0
model += -X[2916] - X[7619] + X[1506] <= 0
model += -X[1570] + X[2858] - X[7462] <= 0
model += -X[1570] - X[2858] + X[7462] <= 0
model += -X[1595] + X[3721] - X[3928] <= 0
model += -X[1595] - X[3721] + X[3928] <= 0
model += -X[2062] + X[2926] - X[2582] <= 0
model += -X[2062] - X[2926] + X[2582] <= 0
model += -X[7188] + X[2866] - X[6935] <= 0
model += -X[7188] - X[2866] + X[6935] <= 0
model += -X[2036] + X[2668] - X[4360] <= 0
model += -X[2036] - X[2668] + X[4360] <= 0
model += -X[1516] + X[4687] - X[6537] <= 0
model += -X[1516] - X[4687] + X[6537] <= 0
model += -X[5340] + X[3728] - X[5013] <= 0
model += -X[5340] - X[3728] + X[5013] <= 0
model += -X[3625] + X[1130] - X[7422] <= 0
model += -X[3625] - X[1130] + X[7422] <= 0
model += -X[7092] + X[3978] - X[7307] <= 0
model += -X[7092] - X[3978] + X[7307] <= 0
model += -X[2820] + X[1705] - X[5170] <= 0
model += -X[2820] - X[1705] + X[5170] <= 0
model += -X[1446] + X[2669] - X[2587] <= 0
model += -X[1446] - X[2669] + X[2587] <= 0
model += -X[6197] + X[4167] - X[1261] <= 0
model += -X[6197] - X[4167] + X[1261] <= 0
model += -X[1514] + X[2165] - X[3749] <= 0
model += -X[1514] - X[2165] + X[3749] <= 0
model += -X[4141] + X[7212] - X[4008] <= 0
model += -X[4141] - X[7212] + X[4008] <= 0
model += -X[4608] + X[3918] - X[1367] <= 0
model += -X[4608] - X[3918] + X[1367] <= 0
model += -X[1726] + X[4805] - X[1038] <= 0
model += -X[1726] - X[4805] + X[1038] <= 0
model += -X[1496] + X[1834] - X[7659] <= 0
model += -X[1496] - X[1834] + X[7659] <= 0
model += -X[1912] + X[5150] - X[7527] <= 0
model += -X[1912] - X[5150] + X[7527] <= 0
model += -X[2059] + X[6950] - X[2271] <= 0
model += -X[2059] - X[6950] + X[2271] <= 0
model += -X[4272] + X[5859] - X[7709] <= 0
model += -X[4272] - X[5859] + X[7709] <= 0
model += -X[5519] + X[3757] - X[2744] <= 0
model += -X[5519] - X[3757] + X[2744] <= 0
model += -X[7137] + X[1256] - X[3133] <= 0
model += -X[7137] - X[1256] + X[3133] <= 0
model += -X[5909] + X[3651] - X[7117] <= 0
model += -X[5909] - X[3651] + X[7117] <= 0
model += -X[5537] + X[5094] - X[1731] <= 0
model += -X[5537] - X[5094] + X[1731] <= 0
model += -X[6040] + X[1721] - X[1787] <= 0
model += -X[6040] - X[1721] + X[1787] <= 0
model += -X[6828] + X[6031] - X[6955] <= 0
model += -X[6828] - X[6031] + X[6955] <= 0
model += -X[1972] + X[3233] - X[7658] <= 0
model += -X[1972] - X[3233] + X[7658] <= 0
model += -X[3780] + X[2562] - X[2800] <= 0
model += -X[3780] - X[2562] + X[2800] <= 0
model += -X[3444] + X[3688] - X[2392] <= 0
model += -X[3444] - X[3688] + X[2392] <= 0
model += -X[2406] + X[3573] - X[5654] <= 0
model += -X[2406] - X[3573] + X[5654] <= 0
model += -X[2478] + X[6297] - X[5853] <= 0
model += -X[2478] - X[6297] + X[5853] <= 0
model += -X[2996] + X[7619] - X[6472] <= 0
model += -X[2996] - X[7619] + X[6472] <= 0
model += -X[6750] + X[2858] - X[4029] <= 0
model += -X[6750] - X[2858] + X[4029] <= 0
model += -X[7132] + X[3721] - X[3579] <= 0
model += -X[7132] - X[3721] + X[3579] <= 0
model += -X[1499] + X[2926] - X[7708] <= 0
model += -X[1499] - X[2926] + X[7708] <= 0
model += -X[1905] + X[2668] - X[7669] <= 0
model += -X[1905] - X[2668] + X[7669] <= 0
model += -X[4826] + X[4687] - X[3518] <= 0
model += -X[4826] - X[4687] + X[3518] <= 0
model += -X[2658] + X[1130] - X[7253] <= 0
model += -X[2658] - X[1130] + X[7253] <= 0
model += -X[3102] + X[1340] - X[4078] <= 0
model += -X[3102] - X[1340] + X[4078] <= 0
model += -X[5947] + X[2669] - X[3053] <= 0
model += -X[5947] - X[2669] + X[3053] <= 0
model += -X[5815] + X[4167] - X[6510] <= 0
model += -X[5815] - X[4167] + X[6510] <= 0
model += -X[6126] + X[1916] - X[3578] <= 0
model += -X[6126] - X[1916] + X[3578] <= 0
model += -X[6742] + X[7212] - X[4946] <= 0
model += -X[6742] - X[7212] + X[4946] <= 0
model += -X[4521] + X[7385] - X[7583] <= 0
model += -X[4521] - X[7385] + X[7583] <= 0
model += -X[7286] + X[1884] - X[5077] <= 0
model += -X[7286] - X[1884] + X[5077] <= 0
model += -X[1346] + X[7748] - X[4868] <= 0
model += -X[1346] - X[7748] + X[4868] <= 0
model += -X[5033] + X[4805] - X[6815] <= 0
model += -X[5033] - X[4805] + X[6815] <= 0
model += -X[2743] + X[1834] - X[7100] <= 0
model += -X[2743] - X[1834] + X[7100] <= 0
model += -X[6251] + X[5150] - X[6579] <= 0
model += -X[6251] - X[5150] + X[6579] <= 0
model += -X[1608] + X[3757] - X[4421] <= 0
model += -X[1608] - X[3757] + X[4421] <= 0
model += -X[3754] + X[1256] - X[4617] <= 0
model += -X[3754] - X[1256] + X[4617] <= 0
model += -X[1003] + X[5094] - X[2661] <= 0
model += -X[1003] - X[5094] + X[2661] <= 0
model += -X[6286] + X[1721] - X[4975] <= 0
model += -X[6286] - X[1721] + X[4975] <= 0
model += -X[4806] + X[6031] - X[4980] <= 0
model += -X[4806] - X[6031] + X[4980] <= 0
model += -X[6492] + X[3233] - X[3992] <= 0
model += -X[6492] - X[3233] + X[3992] <= 0
model += -X[5156] + X[2562] - X[2977] <= 0
model += -X[5156] - X[2562] + X[2977] <= 0
model += -X[7256] + X[3688] - X[2470] <= 0
model += -X[7256] - X[3688] + X[2470] <= 0
model += -X[6875] + X[4230] - X[5329] <= 0
model += -X[6875] - X[4230] + X[5329] <= 0
model += -X[7663] + X[3573] - X[3883] <= 0
model += -X[7663] - X[3573] + X[3883] <= 0
model += -X[7587] + X[6297] - X[1990] <= 0
model += -X[7587] - X[6297] + X[1990] <= 0
model += -X[5394] + X[7619] - X[6506] <= 0
model += -X[5394] - X[7619] + X[6506] <= 0
model += -X[2981] + X[2926] - X[2365] <= 0
model += -X[2981] - X[2926] + X[2365] <= 0
model += -X[3622] + X[2866] - X[2197] <= 0
model += -X[3622] - X[2866] + X[2197] <= 0
model += -X[6193] + X[4687] - X[2814] <= 0
model += -X[6193] - X[4687] + X[2814] <= 0
model += -X[7325] + X[3728] - X[6769] <= 0
model += -X[7325] - X[3728] + X[6769] <= 0
model += -X[1725] + X[3978] - X[4769] <= 0
model += -X[1725] - X[3978] + X[4769] <= 0
model += -X[1923] + X[1340] - X[1536] <= 0
model += -X[1923] - X[1340] + X[1536] <= 0
model += -X[6364] + X[1705] - X[4716] <= 0
model += -X[6364] - X[1705] + X[4716] <= 0
model += -X[4827] + X[4973] - X[3018] <= 0
model += -X[4827] - X[4973] + X[3018] <= 0
model += -X[1223] + X[2275] - X[4512] <= 0
model += -X[1223] - X[2275] + X[4512] <= 0
model += -X[2885] + X[4167] - X[2796] <= 0
model += -X[2885] - X[4167] + X[2796] <= 0
model += -X[2194] + X[2165] - X[6061] <= 0
model += -X[2194] - X[2165] + X[6061] <= 0
model += -X[3230] + X[1916] - X[2720] <= 0
model += -X[3230] - X[1916] + X[2720] <= 0
model += -X[2468] + X[7212] - X[6763] <= 0
model += -X[2468] - X[7212] + X[6763] <= 0
model += -X[4689] + X[3918] - X[4096] <= 0
model += -X[4689] - X[3918] + X[4096] <= 0
model += -X[4192] + X[4295] - X[7185] <= 0
model += -X[4192] - X[4295] + X[7185] <= 0
model += -X[3246] + X[7748] - X[2740] <= 0
model += -X[3246] - X[7748] + X[2740] <= 0
model += -X[1209] + X[4805] - X[7638] <= 0
model += -X[1209] - X[4805] + X[7638] <= 0
model += -X[1448] + X[1834] - X[6404] <= 0
model += -X[1448] - X[1834] + X[6404] <= 0
model += -X[7572] + X[5150] - X[2325] <= 0
model += -X[7572] - X[5150] + X[2325] <= 0
model += -X[5821] + X[1256] - X[4508] <= 0
model += -X[5821] - X[1256] + X[4508] <= 0
model += -X[4800] + X[5094] - X[5196] <= 0
model += -X[4800] - X[5094] + X[5196] <= 0
model += -X[5395] + X[1721] - X[5828] <= 0
model += -X[5395] - X[1721] + X[5828] <= 0
model += -X[2946] + X[6031] - X[6682] <= 0
model += -X[2946] - X[6031] + X[6682] <= 0
model += -X[1906] + X[3233] - X[6239] <= 0
model += -X[1906] - X[3233] + X[6239] <= 0
model += -X[4876] + X[2562] - X[6622] <= 0
model += -X[4876] - X[2562] + X[6622] <= 0
model += -X[6340] + X[3688] - X[7529] <= 0
model += -X[6340] - X[3688] + X[7529] <= 0
model += -X[3619] + X[4230] - X[5166] <= 0
model += -X[3619] - X[4230] + X[5166] <= 0
model += -X[3462] + X[3573] - X[1197] <= 0
model += -X[3462] - X[3573] + X[1197] <= 0
model += -X[7180] + X[7619] - X[4258] <= 0
model += -X[7180] - X[7619] + X[4258] <= 0
model += -X[1994] + X[3721] - X[1752] <= 0
model += -X[1994] - X[3721] + X[1752] <= 0
model += -X[2754] + X[2926] - X[6583] <= 0
model += -X[2754] - X[2926] + X[6583] <= 0
model += -X[4412] + X[2866] - X[6476] <= 0
model += -X[4412] - X[2866] + X[6476] <= 0
model += -X[3227] + X[2668] - X[5565] <= 0
model += -X[3227] - X[2668] + X[5565] <= 0
model += -X[1710] + X[5096] - X[3718] <= 0
model += -X[1710] - X[5096] + X[3718] <= 0
model += -X[7144] + X[7547] - X[7600] <= 0
model += -X[7144] - X[7547] + X[7600] <= 0
model += -X[3253] + X[3728] - X[6391] <= 0
model += -X[3253] - X[3728] + X[6391] <= 0
model += -X[7251] + X[1130] - X[1097] <= 0
model += -X[7251] - X[1130] + X[1097] <= 0
model += -X[1658] + X[3978] - X[6824] <= 0
model += -X[1658] - X[3978] + X[6824] <= 0
model += -X[2340] + X[1340] - X[1061] <= 0
model += -X[2340] - X[1340] + X[1061] <= 0
model += -X[3126] + X[1705] - X[4238] <= 0
model += -X[3126] - X[1705] + X[4238] <= 0
model += -X[1976] + X[2957] - X[1084] <= 0
model += -X[1976] - X[2957] + X[1084] <= 0
model += -X[7590] + X[2275] - X[6726] <= 0
model += -X[7590] - X[2275] + X[6726] <= 0
model += -X[3134] + X[2669] - X[1738] <= 0
model += -X[3134] - X[2669] + X[1738] <= 0
model += -X[6462] + X[4167] - X[2228] <= 0
model += -X[6462] - X[4167] + X[2228] <= 0
model += -X[5466] + X[1916] - X[5820] <= 0
model += -X[5466] - X[1916] + X[5820] <= 0
model += -X[6435] + X[3918] - X[4464] <= 0
model += -X[6435] - X[3918] + X[4464] <= 0
model += -X[6620] + X[7385] - X[5065] <= 0
model += -X[6620] - X[7385] + X[5065] <= 0
model += -X[7269] + X[1884] - X[3450] <= 0
model += -X[7269] - X[1884] + X[3450] <= 0
model += -X[3772] + X[7748] - X[3948] <= 0
model += -X[3772] - X[7748] + X[3948] <= 0
model += -X[5066] + X[4805] - X[7340] <= 0
model += -X[5066] - X[4805] + X[7340] <= 0
model += -X[7142] + X[1834] - X[7246] <= 0
model += -X[7142] - X[1834] + X[7246] <= 0
model += -X[6844] + X[5150] - X[6257] <= 0
model += -X[6844] - X[5150] + X[6257] <= 0
model += -X[7563] + X[6950] - X[3362] <= 0
model += -X[7563] - X[6950] + X[3362] <= 0
model += -X[1609] + X[5859] - X[4609] <= 0
model += -X[1609] - X[5859] + X[4609] <= 0
model += -X[1850] + X[3757] - X[2014] <= 0
model += -X[1850] - X[3757] + X[2014] <= 0
model += -X[6280] + X[1256] - X[7343] <= 0
model += -X[6280] - X[1256] + X[7343] <= 0
model += -X[6582] + X[3651] - X[7732] <= 0
model += -X[6582] - X[3651] + X[7732] <= 0
model += -X[1220] + X[5094] - X[1651] <= 0
model += -X[1220] - X[5094] + X[1651] <= 0
model += -X[4632] + X[3233] - X[4119] <= 0
model += -X[4632] - X[3233] + X[4119] <= 0
model += -X[3077] + X[1776] - X[2066] <= 0
model += -X[3077] - X[1776] + X[2066] <= 0
model += -X[1438] + X[4203] - X[1644] <= 0
model += -X[1438] - X[4203] + X[1644] <= 0
model += -X[1318] + X[7197] - X[2277] <= 0
model += -X[1318] - X[7197] + X[2277] <= 0
model += -X[4569] + X[4795] - X[4644] <= 0
model += -X[4569] - X[4795] + X[4644] <= 0
model += -X[6180] + X[3688] - X[3239] <= 0
model += -X[6180] - X[3688] + X[3239] <= 0
model += -X[5425] + X[4230] - X[7528] <= 0
model += -X[5425] - X[4230] + X[7528] <= 0
model += -X[1301] + X[3573] - X[3808] <= 0
model += -X[1301] - X[3573] + X[3808] <= 0
model += -X[3464] + X[6297] - X[1169] <= 0
model += -X[3464] - X[6297] + X[1169] <= 0
model += -X[2043] + X[7619] - X[1373] <= 0
model += -X[2043] - X[7619] + X[1373] <= 0
model += -X[4457] + X[2858] - X[6827] <= 0
model += -X[4457] - X[2858] + X[6827] <= 0
model += -X[3201] + X[2926] - X[2753] <= 0
model += -X[3201] - X[2926] + X[2753] <= 0
model += -X[5697] + X[2866] - X[4536] <= 0
model += -X[5697] - X[2866] + X[4536] <= 0
model += -X[1870] + X[5096] - X[2030] <= 0
model += -X[1870] - X[5096] + X[2030] <= 0
model += -X[5192] + X[7547] - X[2953] <= 0
model += -X[5192] - X[7547] + X[2953] <= 0
model += -X[6259] + X[3796] - X[5750] <= 0
model += -X[6259] - X[3796] + X[5750] <= 0
model += -X[4112] + X[4687] - X[6677] <= 0
model += -X[4112] - X[4687] + X[6677] <= 0
model += -X[3088] + X[3728] - X[5962] <= 0
model += -X[3088] - X[3728] + X[5962] <= 0
model += -X[3758] + X[1130] - X[5214] <= 0
model += -X[3758] - X[1130] + X[5214] <= 0
model += -X[1498] + X[3978] - X[3923] <= 0
model += -X[1498] - X[3978] + X[3923] <= 0
model += -X[6213] + X[1705] - X[6085] <= 0
model += -X[6213] - X[1705] + X[6085] <= 0
model += -X[3396] + X[4973] - X[5657] <= 0
model += -X[3396] - X[4973] + X[5657] <= 0
model += -X[3267] + X[2669] - X[1091] <= 0
model += -X[3267] - X[2669] + X[1091] <= 0
model += -X[7025] + X[4167] - X[4224] <= 0
model += -X[7025] - X[4167] + X[4224] <= 0
model += -X[1587] + X[2165] - X[2949] <= 0
model += -X[1587] - X[2165] + X[2949] <= 0
model += -X[5432] + X[1916] - X[4873] <= 0
model += -X[5432] - X[1916] + X[4873] <= 0
model += -X[5336] + X[7212] - X[3170] <= 0
model += -X[5336] - X[7212] + X[3170] <= 0
model += -X[3027] + X[3918] - X[2280] <= 0
model += -X[3027] - X[3918] + X[2280] <= 0
model += -X[3859] + X[4295] - X[1365] <= 0
model += -X[3859] - X[4295] + X[1365] <= 0
model += -X[6175] + X[1884] - X[1930] <= 0
model += -X[6175] - X[1884] + X[1930] <= 0
model += -X[5862] + X[7748] - X[7783] <= 0
model += -X[5862] - X[7748] + X[7783] <= 0
model += -X[5712] + X[4811] - X[2407] <= 0
model += -X[5712] - X[4811] + X[2407] <= 0
model += -X[6376] + X[4805] - X[2930] <= 0
model += -X[6376] - X[4805] + X[2930] <= 0
model += -X[3784] + X[5150] - X[7094] <= 0
model += -X[3784] - X[5150] + X[7094] <= 0
model += -X[6091] + X[6950] - X[3082] <= 0
model += -X[6091] - X[6950] + X[3082] <= 0
model += -X[3327] + X[5859] - X[4606] <= 0
model += -X[3327] - X[5859] + X[4606] <= 0
model += -X[3345] + X[3757] - X[6820] <= 0
model += -X[3345] - X[3757] + X[6820] <= 0
model += -X[6399] + X[1256] - X[4202] <= 0
model += -X[6399] - X[1256] + X[4202] <= 0
model += -X[2261] + X[3651] - X[3399] <= 0
model += -X[2261] - X[3651] + X[3399] <= 0
model += -X[5564] + X[1721] - X[1431] <= 0
model += -X[5564] - X[1721] + X[1431] <= 0
model += -X[3538] + X[3233] - X[3562] <= 0
model += -X[3538] - X[3233] + X[3562] <= 0
model += -X[3764] + X[4203] - X[5174] <= 0
model += -X[3764] - X[4203] + X[5174] <= 0
model += -X[4603] + X[4795] - X[5054] <= 0
model += -X[4603] - X[4795] + X[5054] <= 0
model += -X[6333] + X[3688] - X[1713] <= 0
model += -X[6333] - X[3688] + X[1713] <= 0
model += -X[4945] + X[4230] - X[6413] <= 0
model += -X[4945] - X[4230] + X[6413] <= 0
model += -X[5233] + X[3573] - X[5126] <= 0
model += -X[5233] - X[3573] + X[5126] <= 0
model += -X[7075] + X[6297] - X[5713] <= 0
model += -X[7075] - X[6297] + X[5713] <= 0
model += -X[5463] + X[7619] - X[7685] <= 0
model += -X[5463] - X[7619] + X[7685] <= 0
model += -X[2419] + X[2858] - X[1182] <= 0
model += -X[2419] - X[2858] + X[1182] <= 0
model += -X[6746] + X[3721] - X[5386] <= 0
model += -X[6746] - X[3721] + X[5386] <= 0
model += -X[6610] + X[2926] - X[3882] <= 0
model += -X[6610] - X[2926] + X[3882] <= 0
model += -X[7784] + X[2668] - X[4251] <= 0
model += -X[7784] - X[2668] + X[4251] <= 0
model += -X[3323] + X[5096] - X[7520] <= 0
model += -X[3323] - X[5096] + X[7520] <= 0
model += -X[3602] + X[7547] - X[2919] <= 0
model += -X[3602] - X[7547] + X[2919] <= 0
model += -X[1274] + X[3796] - X[6744] <= 0
model += -X[1274] - X[3796] + X[6744] <= 0
model += -X[1162] + X[4687] - X[1950] <= 0
model += -X[1162] - X[4687] + X[1950] <= 0
model += -X[7030] + X[1130] - X[2793] <= 0
model += -X[7030] - X[1130] + X[2793] <= 0
model += -X[1083] + X[3978] - X[5728] <= 0
model += -X[1083] - X[3978] + X[5728] <= 0
model += -X[5590] + X[1340] - X[7444] <= 0
model += -X[5590] - X[1340] + X[7444] <= 0
model += -X[2524] + X[1705] - X[3993] <= 0
model += -X[2524] - X[1705] + X[3993] <= 0
model += -X[5071] + X[2957] - X[3612] <= 0
model += -X[5071] - X[2957] + X[3612] <= 0
model += -X[5608] + X[2275] - X[6714] <= 0
model += -X[5608] - X[2275] + X[6714] <= 0
model += -X[2963] + X[7149] - X[6145] <= 0
model += -X[2963] - X[7149] + X[6145] <= 0
model += -X[6191] + X[2669] - X[5252] <= 0
model += -X[6191] - X[2669] + X[5252] <= 0
model += -X[6027] + X[1916] - X[2886] <= 0
model += -X[6027] - X[1916] + X[2886] <= 0
model += -X[7227] + X[7212] - X[5361] <= 0
model += -X[7227] - X[7212] + X[5361] <= 0
model += -X[5580] + X[3918] - X[3430] <= 0
model += -X[5580] - X[3918] + X[3430] <= 0
model += -X[1142] + X[7748] - X[7329] <= 0
model += -X[1142] - X[7748] + X[7329] <= 0
model += -X[7438] + X[4345] - X[2636] <= 0
model += -X[7438] - X[4345] + X[2636] <= 0
model += -X[2702] + X[1143] - X[3059] <= 0
model += -X[2702] - X[1143] + X[3059] <= 0
model += -X[4924] + X[4805] - X[4323] <= 0
model += -X[4924] - X[4805] + X[4323] <= 0
model += -X[2794] + X[5150] - X[5807] <= 0
model += -X[2794] - X[5150] + X[5807] <= 0
model += -X[5576] + X[5859] - X[5942] <= 0
model += -X[5576] - X[5859] + X[5942] <= 0
model += -X[2295] + X[3757] - X[6230] <= 0
model += -X[2295] - X[3757] + X[6230] <= 0
model += -X[1839] + X[1256] - X[3303] <= 0
model += -X[1839] - X[1256] + X[3303] <= 0
model += -X[1804] + X[5094] - X[5084] <= 0
model += -X[1804] - X[5094] + X[5084] <= 0
model += -X[5041] + X[1721] - X[2693] <= 0
model += -X[5041] - X[1721] + X[2693] <= 0
model += -X[6857] + X[6031] - X[1032] <= 0
model += -X[6857] - X[6031] + X[1032] <= 0
model += -X[7411] + X[4203] - X[5567] <= 0
model += -X[7411] - X[4203] + X[5567] <= 0
model += -X[3459] + X[7197] - X[3876] <= 0
model += -X[3459] - X[7197] + X[3876] <= 0
model += -X[6549] + X[2562] - X[1090] <= 0
model += -X[6549] - X[2562] + X[1090] <= 0
model += -X[1853] + X[3688] - X[1982] <= 0
model += -X[1853] - X[3688] + X[1982] <= 0
model += -X[6672] + X[4230] - X[4342] <= 0
model += -X[6672] - X[4230] + X[4342] <= 0
model += -X[5609] + X[3573] - X[4498] <= 0
model += -X[5609] - X[3573] + X[4498] <= 0
model += -X[6243] + X[6297] - X[6842] <= 0
model += -X[6243] - X[6297] + X[6842] <= 0
model += -X[4612] + X[7619] - X[6231] <= 0
model += -X[4612] - X[7619] + X[6231] <= 0
model += -X[7341] + X[3721] - X[6307] <= 0
model += -X[7341] - X[3721] + X[6307] <= 0
model += -X[4414] + X[2926] - X[2220] <= 0
model += -X[4414] - X[2926] + X[2220] <= 0
model += -X[7579] + X[2866] - X[6556] <= 0
model += -X[7579] - X[2866] + X[6556] <= 0
model += -X[7073] + X[5096] - X[5183] <= 0
model += -X[7073] - X[5096] + X[5183] <= 0
model += -X[2100] + X[7547] - X[6538] <= 0
model += -X[2100] - X[7547] + X[6538] <= 0
model += -X[1147] + X[3796] - X[2051] <= 0
model += -X[1147] - X[3796] + X[2051] <= 0
model += -X[7294] + X[2841] - X[6625] <= 0
model += -X[7294] - X[2841] + X[6625] <= 0
model += -X[7171] + X[5384] - X[4755] <= 0
model += -X[7171] - X[5384] + X[4755] <= 0
model += -X[2761] + X[5974] - X[3933] <= 0
model += -X[2761] - X[5974] + X[3933] <= 0
model += -X[5108] + X[6432] - X[7445] <= 0
model += -X[5108] - X[6432] + X[7445] <= 0
model += -X[4034] + X[4687] - X[3372] <= 0
model += -X[4034] - X[4687] + X[3372] <= 0
model += -X[4396] + X[3728] - X[1484] <= 0
model += -X[4396] - X[3728] + X[1484] <= 0
model += -X[6460] + X[1130] - X[6940] <= 0
model += -X[6460] - X[1130] + X[6940] <= 0
model += -X[3412] + X[3978] - X[7243] <= 0
model += -X[3412] - X[3978] + X[7243] <= 0
model += -X[2110] + X[1340] - X[2583] <= 0
model += -X[2110] - X[1340] + X[2583] <= 0
model += -X[1369] + X[1705] - X[3389] <= 0
model += -X[1369] - X[1705] + X[3389] <= 0
model += -X[1648] + X[2957] - X[5785] <= 0
model += -X[1648] - X[2957] + X[5785] <= 0
model += -X[5753] + X[4973] - X[1746] <= 0
model += -X[5753] - X[4973] + X[1746] <= 0
model += -X[3165] + X[2275] - X[1219] <= 0
model += -X[3165] - X[2275] + X[1219] <= 0
model += -X[1221] + X[7149] - X[2214] <= 0
model += -X[1221] - X[7149] + X[2214] <= 0
model += -X[4160] + X[2669] - X[7622] <= 0
model += -X[4160] - X[2669] + X[7622] <= 0
model += -X[2410] + X[4167] - X[5653] <= 0
model += -X[2410] - X[4167] + X[5653] <= 0
model += -X[3664] + X[2165] - X[3854] <= 0
model += -X[3664] - X[2165] + X[3854] <= 0
model += -X[5478] + X[1916] - X[4364] <= 0
model += -X[5478] - X[1916] + X[4364] <= 0
model += -X[6894] + X[7212] - X[1872] <= 0
model += -X[6894] - X[7212] + X[1872] <= 0
model += -X[1754] + X[1884] - X[2670] <= 0
model += -X[1754] - X[1884] + X[2670] <= 0
model += -X[5768] + X[4345] - X[4902] <= 0
model += -X[5768] - X[4345] + X[4902] <= 0
model += -X[6420] + X[1143] - X[2456] <= 0
model += -X[6420] - X[1143] + X[2456] <= 0
model += -X[1466] + X[4811] - X[4128] <= 0
model += -X[1466] - X[4811] + X[4128] <= 0
model += -X[6071] + X[4805] - X[1756] <= 0
model += -X[6071] - X[4805] + X[1756] <= 0
model += -X[5502] + X[1834] - X[4594] <= 0
model += -X[5502] - X[1834] + X[4594] <= 0
model += -X[3437] + X[5150] - X[5123] <= 0
model += -X[3437] - X[5150] + X[5123] <= 0
model += -X[5562] + X[6950] - X[1224] <= 0
model += -X[5562] - X[6950] + X[1224] <= 0
model += -X[4528] + X[5859] - X[4024] <= 0
model += -X[4528] - X[5859] + X[4024] <= 0
model += -X[6017] + X[3757] - X[3340] <= 0
model += -X[6017] - X[3757] + X[3340] <= 0
model += -X[6212] + X[1256] - X[4428] <= 0
model += -X[6212] - X[1256] + X[4428] <= 0
model += -X[7779] + X[3651] - X[4380] <= 0
model += -X[7779] - X[3651] + X[4380] <= 0
model += -X[2840] + X[1721] - X[1599] <= 0
model += -X[2840] - X[1721] + X[1599] <= 0
model += -X[4378] + X[3233] - X[3695] <= 0
model += -X[4378] - X[3233] + X[3695] <= 0
model += -X[1788] + X[1776] - X[2505] <= 0
model += -X[1788] - X[1776] + X[2505] <= 0
model += -X[4502] + X[4203] - X[2099] <= 0
model += -X[4502] - X[4203] + X[2099] <= 0
model += -X[5012] + X[4795] - X[5686] <= 0
model += -X[5012] - X[4795] + X[5686] <= 0
model += -X[3017] + X[5398] - X[1535] <= 0
model += -X[3017] - X[5398] + X[1535] <= 0
model += -X[4635] + X[3294] - X[6636] <= 0
model += -X[4635] - X[3294] + X[6636] <= 0
model += -X[5419] + X[3447] - X[3182] <= 0
model += -X[5419] - X[3447] + X[3182] <= 0
model += -X[6546] + X[3688] - X[3482] <= 0
model += -X[6546] - X[3688] + X[3482] <= 0
model += -X[5215] + X[3573] - X[2756] <= 0
model += -X[5215] - X[3573] + X[2756] <= 0
model += -X[2070] + X[6297] - X[5322] <= 0
model += -X[2070] - X[6297] + X[5322] <= 0
model += -X[1335] + X[7619] - X[5866] <= 0
model += -X[1335] - X[7619] + X[5866] <= 0
model += -X[4505] + X[2858] - X[7130] <= 0
model += -X[4505] - X[2858] + X[7130] <= 0
model += -X[1149] + X[3721] - X[3943] <= 0
model += -X[1149] - X[3721] + X[3943] <= 0
model += -X[4802] + X[2926] - X[3269] <= 0
model += -X[4802] - X[2926] + X[3269] <= 0
model += -X[3638] + X[2866] - X[6776] <= 0
model += -X[3638] - X[2866] + X[6776] <= 0
model += -X[7502] + X[2668] - X[4829] <= 0
model += -X[7502] - X[2668] + X[4829] <= 0
model += -X[1072] + X[5096] - X[6138] <= 0
model += -X[1072] - X[5096] + X[6138] <= 0
model += -X[2521] + X[3796] - X[1041] <= 0
model += -X[2521] - X[3796] + X[1041] <= 0
model += -X[4760] + X[2841] - X[5208] <= 0
model += -X[4760] - X[2841] + X[5208] <= 0
model += -X[5160] + X[5384] - X[3930] <= 0
model += -X[5160] - X[5384] + X[3930] <= 0
model += -X[4937] + X[5974] - X[5861] <= 0
model += -X[4937] - X[5974] + X[5861] <= 0
model += -X[6972] + X[6432] - X[3012] <= 0
model += -X[6972] - X[6432] + X[3012] <= 0
model += -X[4305] + X[4687] - X[2131] <= 0
model += -X[4305] - X[4687] + X[2131] <= 0
model += -X[4516] + X[3728] - X[2074] <= 0
model += -X[4516] - X[3728] + X[2074] <= 0
model += -X[4685] + X[1130] - X[7115] <= 0
model += -X[4685] - X[1130] + X[7115] <= 0
model += -X[5284] + X[3978] - X[1409] <= 0
model += -X[5284] - X[3978] + X[1409] <= 0
model += -X[4448] + X[1340] - X[3804] <= 0
model += -X[4448] - X[1340] + X[3804] <= 0
model += -X[6118] + X[1705] - X[2751] <= 0
model += -X[6118] - X[1705] + X[2751] <= 0
model += -X[7613] + X[2957] - X[7415] <= 0
model += -X[7613] - X[2957] + X[7415] <= 0
model += -X[2479] + X[4973] - X[2202] <= 0
model += -X[2479] - X[4973] + X[2202] <= 0
model += -X[4430] + X[2275] - X[3551] <= 0
model += -X[4430] - X[2275] + X[3551] <= 0
model += -X[5259] + X[1138] - X[3140] <= 0
model += -X[5259] - X[1138] + X[3140] <= 0
model += -X[3755] + X[2669] - X[7640] <= 0
model += -X[3755] - X[2669] + X[7640] <= 0
model += -X[3486] + X[2165] - X[7174] <= 0
model += -X[3486] - X[2165] + X[7174] <= 0
model += -X[4789] + X[1916] - X[3446] <= 0
model += -X[4789] - X[1916] + X[3446] <= 0
model += -X[4737] + X[7212] - X[2904] <= 0
model += -X[4737] - X[7212] + X[2904] <= 0
model += -X[5044] + X[3918] - X[1688] <= 0
model += -X[5044] - X[3918] + X[1688] <= 0
model += -X[3307] + X[4295] - X[6058] <= 0
model += -X[3307] - X[4295] + X[6058] <= 0
model += -X[7166] + X[7748] - X[1060] <= 0
model += -X[7166] - X[7748] + X[1060] <= 0
model += -X[3118] + X[4345] - X[2353] <= 0
model += -X[3118] - X[4345] + X[2353] <= 0
model += -X[4358] + X[4811] - X[5485] <= 0
model += -X[4358] - X[4811] + X[5485] <= 0
model += -X[4700] + X[7232] - X[2101] <= 0
model += -X[4700] - X[7232] + X[2101] <= 0
model += -X[6856] + X[2962] - X[6780] <= 0
model += -X[6856] - X[2962] + X[6780] <= 0
model += -X[2063] + X[6116] - X[1092] <= 0
model += -X[2063] - X[6116] + X[1092] <= 0
model += -X[4031] + X[5150] - X[3986] <= 0
model += -X[4031] - X[5150] + X[3986] <= 0
model += -X[6736] + X[6950] - X[2143] <= 0
model += -X[6736] - X[6950] + X[2143] <= 0
model += -X[1102] + X[3757] - X[5945] <= 0
model += -X[1102] - X[3757] + X[5945] <= 0
model += -X[7605] + X[1256] - X[7372] <= 0
model += -X[7605] - X[1256] + X[7372] <= 0
model += -X[4742] + X[3651] - X[1673] <= 0
model += -X[4742] - X[3651] + X[1673] <= 0
model += -X[3117] + X[1721] - X[3949] <= 0
model += -X[3117] - X[1721] + X[3949] <= 0
model += -X[6075] + X[6031] - X[4836] <= 0
model += -X[6075] - X[6031] + X[4836] <= 0
model += -X[3720] + X[1776] - X[5629] <= 0
model += -X[3720] - X[1776] + X[5629] <= 0
model += -X[3929] + X[4203] - X[1546] <= 0
model += -X[3929] - X[4203] + X[1546] <= 0
model += -X[3701] + X[4795] - X[5854] <= 0
model += -X[3701] - X[4795] + X[5854] <= 0
model += -X[4694] + X[2306] - X[4460] <= 0
model += -X[4694] - X[2306] + X[4460] <= 0
model += -X[2683] + X[3294] - X[3539] <= 0
model += -X[2683] - X[3294] + X[3539] <= 0
model += -X[2667] + X[3447] - X[2176] <= 0
model += -X[2667] - X[3447] + X[2176] <= 0
model += -X[2597] + X[3688] - X[7677] <= 0
model += -X[2597] - X[3688] + X[7677] <= 0
model += -X[1218] + X[4230] - X[6757] <= 0
model += -X[1218] - X[4230] + X[6757] <= 0
model += -X[4104] + X[2858] - X[1420] <= 0
model += -X[4104] - X[2858] + X[1420] <= 0
model += -X[6464] + X[3721] - X[4470] <= 0
model += -X[6464] - X[3721] + X[4470] <= 0
model += -X[6131] + X[2926] - X[1374] <= 0
model += -X[6131] - X[2926] + X[1374] <= 0
model += -X[7395] + X[2866] - X[3704] <= 0
model += -X[7395] - X[2866] + X[3704] <= 0
model += -X[2664] + X[2668] - X[5269] <= 0
model += -X[2664] - X[2668] + X[5269] <= 0
model += -X[2888] + X[7547] - X[4157] <= 0
model += -X[2888] - X[7547] + X[4157] <= 0
model += -X[2443] + X[3796] - X[1780] <= 0
model += -X[2443] - X[3796] + X[1780] <= 0
model += -X[2569] + X[5384] - X[4359] <= 0
model += -X[2569] - X[5384] + X[4359] <= 0
model += -X[4371] + X[5974] - X[7367] <= 0
model += -X[4371] - X[5974] + X[7367] <= 0
model += -X[2829] + X[3728] - X[6871] <= 0
model += -X[2829] - X[3728] + X[6871] <= 0
model += -X[3354] + X[1130] - X[4899] <= 0
model += -X[3354] - X[1130] + X[4899] <= 0
model += -X[2656] + X[1340] - X[3367] <= 0
model += -X[2656] - X[1340] + X[3367] <= 0
model += -X[6845] + X[1705] - X[7439] <= 0
model += -X[6845] - X[1705] + X[7439] <= 0
model += -X[7524] + X[2957] - X[4312] <= 0
model += -X[7524] - X[2957] + X[4312] <= 0
model += -X[1638] + X[4973] - X[6277] <= 0
model += -X[1638] - X[4973] + X[6277] <= 0
model += -X[6541] + X[2275] - X[1801] <= 0
model += -X[6541] - X[2275] + X[1801] <= 0
model += -X[2386] + X[7149] - X[7033] <= 0
model += -X[2386] - X[7149] + X[7033] <= 0
model += -X[7204] + X[1237] - X[6567] <= 0
model += -X[7204] - X[1237] + X[6567] <= 0
model += -X[6088] + X[4167] - X[3480] <= 0
model += -X[6088] - X[4167] + X[3480] <= 0
model += -X[5845] + X[1916] - X[4353] <= 0
model += -X[5845] - X[1916] + X[4353] <= 0
model += -X[3474] + X[3918] - X[7421] <= 0
model += -X[3474] - X[3918] + X[7421] <= 0
model += -X[4394] + X[4295] - X[1037] <= 0
model += -X[4394] - X[4295] + X[1037] <= 0
model += -X[7285] + X[7385] - X[5345] <= 0
model += -X[7285] - X[7385] + X[5345] <= 0
model += -X[1633] + X[1884] - X[2488] <= 0
model += -X[1633] - X[1884] + X[2488] <= 0
model += -X[4408] + X[7748] - X[7260] <= 0
model += -X[4408] - X[7748] + X[7260] <= 0
model += -X[4480] + X[1143] - X[1062] <= 0
model += -X[4480] - X[1143] + X[1062] <= 0
model += -X[2893] + X[4811] - X[5552] <= 0
model += -X[2893] - X[4811] + X[5552] <= 0
model += -X[4277] + X[7232] - X[2561] <= 0
model += -X[4277] - X[7232] + X[2561] <= 0
model += -X[5718] + X[6116] - X[2211] <= 0
model += -X[5718] - X[6116] + X[2211] <= 0
model += -X[3510] + X[5150] - X[7604] <= 0
model += -X[3510] - X[5150] + X[7604] <= 0
model += -X[2864] + X[6950] - X[7351] <= 0
model += -X[2864] - X[6950] + X[7351] <= 0
model += -X[1435] + X[5859] - X[4296] <= 0
model += -X[1435] - X[5859] + X[4296] <= 0
model += -X[4837] + X[3757] - X[3033] <= 0
model += -X[4837] - X[3757] + X[3033] <= 0
model += -X[6455] + X[1256] - X[4785] <= 0
model += -X[6455] - X[1256] + X[4785] <= 0
model += -X[4816] + X[3651] - X[2132] <= 0
model += -X[4816] - X[3651] + X[2132] <= 0
model += -X[2010] + X[1721] - X[4105] <= 0
model += -X[2010] - X[1721] + X[4105] <= 0
model += -X[1991] + X[6031] - X[3203] <= 0
model += -X[1991] - X[6031] + X[3203] <= 0
model += -X[6872] + X[3233] - X[1065] <= 0
model += -X[6872] - X[3233] + X[1065] <= 0
model += -X[2128] + X[4203] - X[3843] <= 0
model += -X[2128] - X[4203] + X[3843] <= 0
model += -X[7203] + X[7197] - X[7618] <= 0
model += -X[7203] - X[7197] + X[7618] <= 0
model += -X[5169] + X[4795] - X[6022] <= 0
model += -X[5169] - X[4795] + X[6022] <= 0
model += -X[2701] + X[5398] - X[3654] <= 0
model += -X[2701] - X[5398] + X[3654] <= 0
model += -X[3192] + X[2306] - X[4201] <= 0
model += -X[3192] - X[2306] + X[4201] <= 0
model += -X[3666] + X[3294] - X[4172] <= 0
model += -X[3666] - X[3294] + X[4172] <= 0
model += -X[5431] + X[3447] - X[2565] <= 0
model += -X[5431] - X[3447] + X[2565] <= 0
model += -X[2287] + X[4230] - X[7118] <= 0
model += -X[2287] - X[4230] + X[7118] <= 0
model += -X[6099] + X[3573] - X[2138] <= 0
model += -X[6099] - X[3573] + X[2138] <= 0
model += -X[1067] + X[6297] - X[6253] <= 0
model += -X[1067] - X[6297] + X[6253] <= 0
model += -X[5222] + X[7619] - X[5219] <= 0
model += -X[5222] - X[7619] + X[5219] <= 0
model += -X[4093] + X[2858] - X[6635] <= 0
model += -X[4093] - X[2858] + X[6635] <= 0
model += -X[1557] + X[2926] - X[3237] <= 0
model += -X[1557] - X[2926] + X[3237] <= 0
model += -X[3543] + X[2668] - X[7146] <= 0
model += -X[3543] - X[2668] + X[7146] <= 0
model += -X[6396] + X[7547] - X[1050] <= 0
model += -X[6396] - X[7547] + X[1050] <= 0
model += -X[1056] + X[2841] - X[3147] <= 0
model += -X[1056] - X[2841] + X[3147] <= 0
model += -X[4300] + X[5384] - X[5441] <= 0
model += -X[4300] - X[5384] + X[5441] <= 0
model += -X[4398] + X[6432] - X[4118] <= 0
model += -X[4398] - X[6432] + X[4118] <= 0
model += -X[4050] + X[5023] - X[5342] <= 0
model += -X[4050] - X[5023] + X[5342] <= 0
model += -X[7757] + X[5766] - X[7193] <= 0
model += -X[7757] - X[5766] + X[7193] <= 0
model += -X[4894] + X[1130] - X[7103] <= 0
model += -X[4894] - X[1130] + X[7103] <= 0
model += -X[6631] + X[3978] - X[3095] <= 0
model += -X[6631] - X[3978] + X[3095] <= 0
model += -X[1529] + X[1705] - X[4065] <= 0
model += -X[1529] - X[1705] + X[4065] <= 0
model += -X[7429] + X[4973] - X[1064] <= 0
model += -X[7429] - X[4973] + X[1064] <= 0
model += -X[3252] + X[2275] - X[2704] <= 0
model += -X[3252] - X[2275] + X[2704] <= 0
model += -X[1864] + X[7149] - X[7021] <= 0
model += -X[1864] - X[7149] + X[7021] <= 0
model += -X[5885] + X[1237] - X[3108] <= 0
model += -X[5885] - X[1237] + X[3108] <= 0
model += -X[5883] + X[7088] - X[5856] <= 0
model += -X[5883] - X[7088] + X[5856] <= 0
model += -X[1970] + X[4167] - X[4626] <= 0
model += -X[1970] - X[4167] + X[4626] <= 0
model += -X[3282] + X[2165] - X[4753] <= 0
model += -X[3282] - X[2165] + X[4753] <= 0
model += -X[6155] + X[1916] - X[3700] <= 0
model += -X[6155] - X[1916] + X[3700] <= 0
model += -X[2537] + X[7212] - X[1819] <= 0
model += -X[2537] - X[7212] + X[1819] <= 0
model += -X[3610] + X[3918] - X[3138] <= 0
model += -X[3610] - X[3918] + X[3138] <= 0
model += -X[5863] + X[4295] - X[1735] <= 0
model += -X[5863] - X[4295] + X[1735] <= 0
model += -X[7664] + X[1884] - X[4444] <= 0
model += -X[7664] - X[1884] + X[4444] <= 0
model += -X[1135] + X[7748] - X[2617] <= 0
model += -X[1135] - X[7748] + X[2617] <= 0
model += -X[1331] + X[4345] - X[3191] <= 0
model += -X[1331] - X[4345] + X[3191] <= 0
model += -X[4313] + X[1143] - X[1414] <= 0
model += -X[4313] - X[1143] + X[1414] <= 0
model += -X[3763] + X[4811] - X[5446] <= 0
model += -X[3763] - X[4811] + X[5446] <= 0
model += -X[4966] + X[7232] - X[4750] <= 0
model += -X[4966] - X[7232] + X[4750] <= 0
model += -X[1213] + X[2962] - X[5674] <= 0
model += -X[1213] - X[2962] + X[5674] <= 0
model += -X[7067] + X[6479] - X[1189] <= 0
model += -X[7067] - X[6479] + X[1189] <= 0
model += -X[3633] + X[1834] - X[4481] <= 0
model += -X[3633] - X[1834] + X[4481] <= 0
model += -X[4744] + X[5150] - X[6664] <= 0
model += -X[4744] - X[5150] + X[6664] <= 0
model += -X[1356] + X[6950] - X[3172] <= 0
model += -X[1356] - X[6950] + X[3172] <= 0
model += -X[5999] + X[5859] - X[7682] <= 0
model += -X[5999] - X[5859] + X[7682] <= 0
model += -X[5127] + X[3757] - X[3789] <= 0
model += -X[5127] - X[3757] + X[3789] <= 0
model += -X[7306] + X[1721] - X[2323] <= 0
model += -X[7306] - X[1721] + X[2323] <= 0
model += -X[2035] + X[6031] - X[2249] <= 0
model += -X[2035] - X[6031] + X[2249] <= 0
model += -X[2593] + X[4203] - X[1931] <= 0
model += -X[2593] - X[4203] + X[1931] <= 0
model += -X[3298] + X[7197] - X[5430] <= 0
model += -X[3298] - X[7197] + X[5430] <= 0
model += -X[5099] + X[4795] - X[6502] <= 0
model += -X[5099] - X[4795] + X[6502] <= 0
model += -X[5413] + X[2306] - X[1898] <= 0
model += -X[5413] - X[2306] + X[1898] <= 0
model += -X[2000] + X[3294] - X[2805] <= 0
model += -X[2000] - X[3294] + X[2805] <= 0
model += -X[5789] + X[3447] - X[1247] <= 0
model += -X[5789] - X[3447] + X[1247] <= 0
model += -X[2119] + X[3688] - X[7644] <= 0
model += -X[2119] - X[3688] + X[7644] <= 0
model += -X[1821] + X[4230] - X[6893] <= 0
model += -X[1821] - X[4230] + X[6893] <= 0
model += -X[2124] + X[4180] - X[5865] <= 0
model += -X[2124] - X[4180] + X[5865] <= 0
model += -X[3785] + X[3826] - X[6676] <= 0
model += -X[3785] - X[3826] + X[6676] <= 0
model += -X[2487] + X[7392] - X[5818] <= 0
model += -X[2487] - X[7392] + X[5818] <= 0
model += -X[7011] + X[6297] - X[2700] <= 0
model += -X[7011] - X[6297] + X[2700] <= 0
model += -X[5611] + X[7619] - X[5844] <= 0
model += -X[5611] - X[7619] + X[5844] <= 0
model += -X[3368] + X[2858] - X[2204] <= 0
model += -X[3368] - X[2858] + X[2204] <= 0
model += -X[5800] + X[3721] - X[4154] <= 0
model += -X[5800] - X[3721] + X[4154] <= 0
model += -X[6539] + X[2926] - X[5000] <= 0
model += -X[6539] - X[2926] + X[5000] <= 0
model += -X[2167] + X[2866] - X[6021] <= 0
model += -X[2167] - X[2866] + X[6021] <= 0
model += -X[2862] + X[2668] - X[2735] <= 0
model += -X[2862] - X[2668] + X[2735] <= 0
model += -X[4959] + X[7547] - X[2126] <= 0
model += -X[4959] - X[7547] + X[2126] <= 0
model += -X[6679] + X[3796] - X[1943] <= 0
model += -X[6679] - X[3796] + X[1943] <= 0
model += -X[6287] + X[5384] - X[6469] <= 0
model += -X[6287] - X[5384] + X[6469] <= 0
model += -X[7145] + X[5974] - X[2432] <= 0
model += -X[7145] - X[5974] + X[2432] <= 0
model += -X[2213] + X[6432] - X[1701] <= 0
model += -X[2213] - X[6432] + X[1701] <= 0
model += -X[6410] + X[5023] - X[3624] <= 0
model += -X[6410] - X[5023] + X[3624] <= 0
model += -X[6984] + X[5930] - X[3961] <= 0
model += -X[6984] - X[5930] + X[3961] <= 0
model += -X[6380] + X[4329] - X[1380] <= 0
model += -X[6380] - X[4329] + X[1380] <= 0
model += -X[5191] + X[5766] - X[4326] <= 0
model += -X[5191] - X[5766] + X[4326] <= 0
model += -X[5154] + X[3728] - X[1411] <= 0
model += -X[5154] - X[3728] + X[1411] <= 0
model += -X[3334] + X[3978] - X[6928] <= 0
model += -X[3334] - X[3978] + X[6928] <= 0
model += -X[7194] + X[1705] - X[6035] <= 0
model += -X[7194] - X[1705] + X[6035] <= 0
model += -X[5314] + X[2957] - X[2493] <= 0
model += -X[5314] - X[2957] + X[2493] <= 0
model += -X[5245] + X[4973] - X[2909] <= 0
model += -X[5245] - X[4973] + X[2909] <= 0
model += -X[6109] + X[2275] - X[4568] <= 0
model += -X[6109] - X[2275] + X[4568] <= 0
model += -X[4036] + X[7149] - X[4956] <= 0
model += -X[4036] - X[7149] + X[4956] <= 0
model += -X[7576] + X[1237] - X[3461] <= 0
model += -X[7576] - X[1237] + X[3461] <= 0
model += -X[2752] + X[7088] - X[3833] <= 0
model += -X[2752] - X[7088] + X[3833] <= 0
model += -X[3488] + X[4167] - X[7455] <= 0
model += -X[3488] - X[4167] + X[7455] <= 0
model += -X[4746] + X[2165] - X[6060] <= 0
model += -X[4746] - X[2165] + X[6060] <= 0
model += -X[3188] + X[1916] - X[3016] <= 0
model += -X[3188] - X[1916] + X[3016] <= 0
model += -X[5558] + X[7212] - X[5209] <= 0
model += -X[5558] - X[7212] + X[5209] <= 0
model += -X[4310] + X[3918] - X[4994] <= 0
model += -X[4310] - X[3918] + X[4994] <= 0
model += -X[2944] + X[4295] - X[5396] <= 0
model += -X[2944] - X[4295] + X[5396] <= 0
model += -X[1616] + X[7385] - X[3292] <= 0
model += -X[1616] - X[7385] + X[3292] <= 0
model += -X[5479] + X[7748] - X[2915] <= 0
model += -X[5479] - X[7748] + X[2915] <= 0
model += -X[5079] + X[4345] - X[4286] <= 0
model += -X[5079] - X[4345] + X[4286] <= 0
model += -X[7645] + X[4811] - X[6796] <= 0
model += -X[7645] - X[4811] + X[6796] <= 0
model += -X[2501] + X[7232] - X[5727] <= 0
model += -X[2501] - X[7232] + X[5727] <= 0
model += -X[5833] + X[2962] - X[5656] <= 0
model += -X[5833] - X[2962] + X[5656] <= 0
model += -X[6100] + X[6479] - X[2218] <= 0
model += -X[6100] - X[6479] + X[2218] <= 0
model += -X[3350] + X[6116] - X[4556] <= 0
model += -X[3350] - X[6116] + X[4556] <= 0
model += -X[6836] + X[5150] - X[1324] <= 0
model += -X[6836] - X[5150] + X[1324] <= 0
model += -X[4020] + X[1711] - X[3781] <= 0
model += -X[4020] - X[1711] + X[3781] <= 0
model += -X[1376] + X[3440] - X[6234] <= 0
model += -X[1376] - X[3440] + X[6234] <= 0
model += -X[6624] + X[3757] - X[1629] <= 0
model += -X[6624] - X[3757] + X[1629] <= 0
model += -X[6480] + X[1256] - X[4032] <= 0
model += -X[6480] - X[1256] + X[4032] <= 0
model += -X[3656] + X[3651] - X[6961] <= 0
model += -X[3656] - X[3651] + X[6961] <= 0
model += -X[5599] + X[5094] - X[5520] <= 0
model += -X[5599] - X[5094] + X[5520] <= 0
model += -X[6818] + X[1721] - X[4185] <= 0
model += -X[6818] - X[1721] + X[4185] <= 0
model += -X[2055] + X[6031] - X[4681] <= 0
model += -X[2055] - X[6031] + X[4681] <= 0
model += -X[6204] + X[3233] - X[6214] <= 0
model += -X[6204] - X[3233] + X[6214] <= 0
model += -X[4798] + X[1776] - X[7711] <= 0
model += -X[4798] - X[1776] + X[7711] <= 0
model += -X[2548] + X[4203] - X[5966] <= 0
model += -X[2548] - X[4203] + X[5966] <= 0
model += -X[2238] + X[7197] - X[5598] <= 0
model += -X[2238] - X[7197] + X[5598] <= 0
model += -X[1642] + X[4795] - X[2923] <= 0
model += -X[1642] - X[4795] + X[2923] <= 0
model += -X[4442] + X[5398] - X[4466] <= 0
model += -X[4442] - X[5398] + X[4466] <= 0
model += -X[1215] + X[2306] - X[6794] <= 0
model += -X[1215] - X[2306] + X[6794] <= 0
model += -X[2332] + X[3294] - X[5989] <= 0
model += -X[2332] - X[3294] + X[5989] <= 0
model += -X[1416] + X[3447] - X[5548] <= 0
model += -X[1416] - X[3447] + X[5548] <= 0
model += -X[2133] + X[3826] - X[6050] <= 0
model += -X[2133] - X[3826] + X[6050] <= 0
model += -X[6843] + X[1389] - X[6415] <= 0
model += -X[6843] - X[1389] + X[6415] <= 0
model += -X[1984] + X[7392] - X[4120] <= 0
model += -X[1984] - X[7392] + X[4120] <= 0
model += -X[7515] + X[6297] - X[6121] <= 0
model += -X[7515] - X[6297] + X[6121] <= 0
model += -X[5140] + X[7619] - X[5916] <= 0
model += -X[5140] - X[7619] + X[5916] <= 0
model += -X[7214] + X[2926] - X[4663] <= 0
model += -X[7214] - X[2926] + X[4663] <= 0
model += -X[3594] + X[2866] - X[4900] <= 0
model += -X[3594] - X[2866] + X[4900] <= 0
model += -X[4328] + X[2668] - X[3271] <= 0
model += -X[4328] - X[2668] + X[3271] <= 0
model += -X[7697] + X[5096] - X[2549] <= 0
model += -X[7697] - X[5096] + X[2549] <= 0
model += -X[6140] + X[3796] - X[4417] <= 0
model += -X[6140] - X[3796] + X[4417] <= 0
model += -X[3103] + X[2841] - X[6598] <= 0
model += -X[3103] - X[2841] + X[6598] <= 0
model += -X[2274] + X[5974] - X[6968] <= 0
model += -X[2274] - X[5974] + X[6968] <= 0
model += -X[2420] + X[6432] - X[2496] <= 0
model += -X[2420] - X[6432] + X[2496] <= 0
model += -X[5410] + X[5023] - X[4690] <= 0
model += -X[5410] - X[5023] + X[4690] <= 0
model += -X[4374] + X[5766] - X[2868] <= 0
model += -X[4374] - X[5766] + X[2868] <= 0
model += -X[1736] + X[3978] - X[7781] <= 0
model += -X[1736] - X[3978] + X[7781] <= 0
model += -X[3997] + X[1340] - X[4099] <= 0
model += -X[3997] - X[1340] + X[4099] <= 0
model += -X[7162] + X[1705] - X[1670] <= 0
model += -X[7162] - X[1705] + X[1670] <= 0
model += -X[3589] + X[2957] - X[5881] <= 0
model += -X[3589] - X[2957] + X[5881] <= 0
model += -X[2666] + X[4973] - X[7458] <= 0
model += -X[2666] - X[4973] + X[7458] <= 0
model += -X[7509] + X[2275] - X[6987] <= 0
model += -X[7509] - X[2275] + X[6987] <= 0
model += -X[7432] + X[7149] - X[3623] <= 0
model += -X[7432] - X[7149] + X[3623] <= 0
model += -X[6575] + X[1138] - X[1118] <= 0
model += -X[6575] - X[1138] + X[1118] <= 0
model += -X[6971] + X[1237] - X[5319] <= 0
model += -X[6971] - X[1237] + X[5319] <= 0
model += -X[5624] + X[4167] - X[5933] <= 0
model += -X[5624] - X[4167] + X[5933] <= 0
model += -X[5404] + X[2165] - X[4673] <= 0
model += -X[5404] - X[2165] + X[4673] <= 0
model += -X[7112] + X[6252] - X[6897] <= 0
model += -X[7112] - X[6252] + X[6897] <= 0
model += -X[5965] + X[1797] - X[1353] <= 0
model += -X[5965] - X[1797] + X[1353] <= 0
model += -X[5007] + X[7212] - X[5053] <= 0
model += -X[5007] - X[7212] + X[5053] <= 0
model += -X[2760] + X[3918] - X[2052] <= 0
model += -X[2760] - X[3918] + X[2052] <= 0
model += -X[3377] + X[4295] - X[3044] <= 0
model += -X[3377] - X[4295] + X[3044] <= 0
model += -X[5839] + X[7385] - X[7673] <= 0
model += -X[5839] - X[7385] + X[7673] <= 0
model += -X[1843] + X[1884] - X[4219] <= 0
model += -X[1843] - X[1884] + X[4219] <= 0
model += -X[3922] + X[7748] - X[1276] <= 0
model += -X[3922] - X[7748] + X[1276] <= 0
model += -X[5627] + X[4345] - X[4524] <= 0
model += -X[5627] - X[4345] + X[4524] <= 0
model += -X[4055] + X[1143] - X[1139] <= 0
model += -X[4055] - X[1143] + X[1139] <= 0
model += -X[2563] + X[4811] - X[3145] <= 0
model += -X[2563] - X[4811] + X[3145] <= 0
model += -X[1849] + X[7232] - X[6954] <= 0
model += -X[1849] - X[7232] + X[6954] <= 0
model += -X[5235] + X[6479] - X[2850] <= 0
model += -X[5235] - X[6479] + X[2850] <= 0
model += -X[7744] + X[6116] - X[3090] <= 0
model += -X[7744] - X[6116] + X[3090] <= 0
model += -X[3590] + X[1711] - X[2454] <= 0
model += -X[3590] - X[1711] + X[2454] <= 0
model += -X[5315] + X[6300] - X[6036] <= 0
model += -X[5315] - X[6300] + X[6036] <= 0
model += -X[2598] + X[3440] - X[4679] <= 0
model += -X[2598] - X[3440] + X[4679] <= 0
model += -X[4331] + X[3757] - X[5673] <= 0
model += -X[4331] - X[3757] + X[5673] <= 0
model += -X[1454] + X[1256] - X[2191] <= 0
model += -X[1454] - X[1256] + X[2191] <= 0
model += -X[3981] + X[5094] - X[4210] <= 0
model += -X[3981] - X[5094] + X[4210] <= 0
model += -X[1913] + X[1721] - X[2447] <= 0
model += -X[1913] - X[1721] + X[2447] <= 0
model += -X[7586] + X[3233] - X[7647] <= 0
model += -X[7586] - X[3233] + X[7647] <= 0
model += -X[1410] + X[1776] - X[4965] <= 0
model += -X[1410] - X[1776] + X[4965] <= 0
model += -X[3285] + X[4203] - X[2554] <= 0
model += -X[3285] - X[4203] + X[2554] <= 0
model += -X[4620] + X[7197] - X[5148] <= 0
model += -X[4620] - X[7197] + X[5148] <= 0
model += -X[3258] + X[4795] - X[5583] <= 0
model += -X[3258] - X[4795] + X[5583] <= 0
model += -X[2268] + X[5398] - X[1009] <= 0
model += -X[2268] - X[5398] + X[1009] <= 0
model += -X[6790] + X[2306] - X[1669] <= 0
model += -X[6790] - X[2306] + X[1669] <= 0
model += -X[7249] + X[3294] - X[7543] <= 0
model += -X[7249] - X[3294] + X[7543] <= 0
model += -X[1134] + X[3447] - X[7076] <= 0
model += -X[1134] - X[3447] + X[7076] <= 0
model += -X[1025] + X[4180] - X[7014] <= 0
model += -X[1025] - X[4180] + X[7014] <= 0
model += -X[4862] + X[3826] - X[6491] <= 0
model += -X[4862] - X[3826] + X[6491] <= 0
model += -X[1132] + X[1389] - X[6618] <= 0
model += -X[1132] - X[1389] + X[6618] <= 0
model += -X[5666] + X[7619] - X[6275] <= 0
model += -X[5666] - X[7619] + X[6275] <= 0
model += -X[4674] + X[2926] - X[4870] <= 0
model += -X[4674] - X[2926] + X[4870] <= 0
model += -X[3413] + X[2866] - X[7059] <= 0
model += -X[3413] - X[2866] + X[7059] <= 0
model += -X[5295] + X[2668] - X[4294] <= 0
model += -X[5295] - X[2668] + X[4294] <= 0
model += -X[6496] + X[5096] - X[6207] <= 0
model += -X[6496] - X[5096] + X[6207] <= 0
model += -X[7449] + X[2841] - X[5894] <= 0
model += -X[7449] - X[2841] + X[5894] <= 0
model += -X[2774] + X[5384] - X[6032] <= 0
model += -X[2774] - X[5384] + X[6032] <= 0
model += -X[6850] + X[5974] - X[3020] <= 0
model += -X[6850] - X[5974] + X[3020] <= 0
model += -X[3241] + X[6432] - X[5979] <= 0
model += -X[3241] - X[6432] + X[5979] <= 0
model += -X[3713] + X[5930] - X[7043] <= 0
model += -X[3713] - X[5930] + X[7043] <= 0
model += -X[4407] + X[4329] - X[5286] <= 0
model += -X[4407] - X[4329] + X[5286] <= 0
model += -X[7569] + X[5766] - X[7216] <= 0
model += -X[7569] - X[5766] + X[7216] <= 0
model += -X[4434] + X[3728] - X[5744] <= 0
model += -X[4434] - X[3728] + X[5744] <= 0
model += -X[2049] + X[1130] - X[4191] <= 0
model += -X[2049] - X[1130] + X[4191] <= 0
model += -X[5205] + X[6489] - X[4499] <= 0
model += -X[5205] - X[6489] + X[4499] <= 0
model += -X[7723] + X[6149] - X[2448] <= 0
model += -X[7723] - X[6149] + X[2448] <= 0
model += -X[7358] + X[1705] - X[1693] <= 0
model += -X[7358] - X[1705] + X[1693] <= 0
model += -X[7626] + X[2957] - X[1419] <= 0
model += -X[7626] - X[2957] + X[1419] <= 0
model += -X[1996] + X[2275] - X[1034] <= 0
model += -X[1996] - X[2275] + X[1034] <= 0
model += -X[6621] + X[7149] - X[5449] <= 0
model += -X[6621] - X[7149] + X[5449] <= 0
model += -X[4882] + X[1237] - X[5587] <= 0
model += -X[4882] - X[1237] + X[5587] <= 0
model += -X[7221] + X[7088] - X[4930] <= 0
model += -X[7221] - X[7088] + X[4930] <= 0
model += -X[2738] + X[1797] - X[6837] <= 0
model += -X[2738] - X[1797] + X[6837] <= 0
model += -X[2013] + X[7212] - X[2687] <= 0
model += -X[2013] - X[7212] + X[2687] <= 0
model += -X[4743] + X[3918] - X[7733] <= 0
model += -X[4743] - X[3918] + X[7733] <= 0
model += -X[6939] + X[4295] - X[4213] <= 0
model += -X[6939] - X[4295] + X[4213] <= 0
model += -X[6494] + X[7385] - X[6512] <= 0
model += -X[6494] - X[7385] + X[6512] <= 0
model += -X[2594] + X[1884] - X[2069] <= 0
model += -X[2594] - X[1884] + X[2069] <= 0
model += -X[1530] + X[7748] - X[5506] <= 0
model += -X[1530] - X[7748] + X[5506] <= 0
model += -X[2680] + X[4345] - X[5810] <= 0
model += -X[2680] - X[4345] + X[5810] <= 0
model += -X[2513] + X[4811] - X[2025] <= 0
model += -X[2513] - X[4811] + X[2025] <= 0
model += -X[2776] + X[2962] - X[4107] <= 0
model += -X[2776] - X[2962] + X[4107] <= 0
model += -X[5271] + X[6479] - X[5470] <= 0
model += -X[5271] - X[6479] + X[5470] <= 0
model += -X[4705] + X[6116] - X[7588] <= 0
model += -X[4705] - X[6116] + X[7588] <= 0
model += -X[7280] + X[1711] - X[2503] <= 0
model += -X[7280] - X[1711] + X[2503] <= 0
model += -X[6170] + X[3440] - X[6725] <= 0
model += -X[6170] - X[3440] + X[6725] <= 0
model += -X[2300] + X[1256] - X[1263] <= 0
model += -X[2300] - X[1256] + X[1263] <= 0
model += -X[6717] + X[3651] - X[5855] <= 0
model += -X[6717] - X[3651] + X[5855] <= 0
model += -X[2952] + X[1721] - X[7090] <= 0
model += -X[2952] - X[1721] + X[7090] <= 0
model += -X[2018] + X[6031] - X[7037] <= 0
model += -X[2018] - X[6031] + X[7037] <= 0
model += -X[2517] + X[1776] - X[6387] <= 0
model += -X[2517] - X[1776] + X[6387] <= 0
model += -X[1702] + X[4203] - X[6730] <= 0
model += -X[1702] - X[4203] + X[6730] <= 0
model += -X[4436] + X[7197] - X[7066] <= 0
model += -X[4436] - X[7197] + X[7066] <= 0
model += -X[1500] + X[4795] - X[1293] <= 0
model += -X[1500] - X[4795] + X[1293] <= 0
model += -X[2914] + X[2306] - X[1159] <= 0
model += -X[2914] - X[2306] + X[1159] <= 0
model += -X[5421] + X[3294] - X[3840] <= 0
model += -X[5421] - X[3294] + X[3840] <= 0
model += -X[3841] + X[3447] - X[4403] <= 0
model += -X[3841] - X[3447] + X[4403] <= 0
model += -X[5637] + X[4180] - X[5919] <= 0
model += -X[5637] - X[4180] + X[5919] <= 0
model += -X[7107] + X[3826] - X[1225] <= 0
model += -X[7107] - X[3826] + X[1225] <= 0
model += -X[7290] + X[1389] - X[4040] <= 0
model += -X[7290] - X[1389] + X[4040] <= 0
model += -X[6372] + X[7392] - X[3544] <= 0
model += -X[6372] - X[7392] + X[3544] <= 0
model += -X[5061] + X[6297] - X[4468] <= 0
model += -X[5061] - X[6297] + X[4468] <= 0
model += -X[6431] + X[7619] - X[6358] <= 0
model += -X[6431] - X[7619] + X[6358] <= 0
model += -X[1762] + X[2858] - X[2942] <= 0
model += -X[1762] - X[2858] + X[2942] <= 0
model += -X[2421] + X[3750] - X[3098] <= 0
model += -X[2421] - X[3750] + X[3098] <= 0
model += -X[1832] + X[7547] - X[3734] <= 0
model += -X[1832] - X[7547] + X[3734] <= 0
model += -X[7440] + X[5384] - X[4927] <= 0
model += -X[7440] - X[5384] + X[4927] <= 0
model += -X[6405] + X[5974] - X[7754] <= 0
model += -X[6405] - X[5974] + X[7754] <= 0
model += -X[4812] + X[6432] - X[6922] <= 0
model += -X[4812] - X[6432] + X[6922] <= 0
model += -X[5039] + X[5023] - X[7250] <= 0
model += -X[5039] - X[5023] + X[7250] <= 0
model += -X[2792] + X[4329] - X[5341] <= 0
model += -X[2792] - X[4329] + X[5341] <= 0
model += -X[1024] + X[5766] - X[6094] <= 0
model += -X[1024] - X[5766] + X[6094] <= 0
model += -X[6787] + X[6489] - X[6767] <= 0
model += -X[6787] - X[6489] + X[6767] <= 0
model += -X[6456] + X[2382] - X[1700] <= 0
model += -X[6456] - X[2382] + X[1700] <= 0
model += -X[2627] + X[4973] - X[3387] <= 0
model += -X[2627] - X[4973] + X[3387] <= 0
model += -X[6309] + X[2275] - X[2576] <= 0
model += -X[6309] - X[2275] + X[2576] <= 0
model += -X[4515] + X[7149] - X[5577] <= 0
model += -X[4515] - X[7149] + X[5577] <= 0
model += -X[5858] + X[1237] - X[7558] <= 0
model += -X[5858] - X[1237] + X[7558] <= 0
model += -X[4947] + X[7088] - X[7637] <= 0
model += -X[4947] - X[7088] + X[7637] <= 0
model += -X[7105] + X[6252] - X[7492] <= 0
model += -X[7105] - X[6252] + X[7492] <= 0
model += -X[3015] + X[3918] - X[2623] <= 0
model += -X[3015] - X[3918] + X[2623] <= 0
model += -X[7567] + X[4295] - X[7337] <= 0
model += -X[7567] - X[4295] + X[7337] <= 0
model += -X[6890] + X[7385] - X[1327] <= 0
model += -X[6890] - X[7385] + X[1327] <= 0
model += -X[4916] + X[7748] - X[4887] <= 0
model += -X[4916] - X[7748] + X[4887] <= 0
model += -X[2721] + X[4345] - X[2408] <= 0
model += -X[2721] - X[4345] + X[2408] <= 0
model += -X[6218] + X[1143] - X[7525] <= 0
model += -X[6218] - X[1143] + X[7525] <= 0
model += -X[2195] + X[4811] - X[2422] <= 0
model += -X[2195] - X[4811] + X[2422] <= 0
model += -X[4409] + X[7232] - X[6703] <= 0
model += -X[4409] - X[7232] + X[6703] <= 0
model += -X[1364] + X[2962] - X[4807] <= 0
model += -X[1364] - X[2962] + X[4807] <= 0
model += -X[1390] + X[6479] - X[6781] <= 0
model += -X[1390] - X[6479] + X[6781] <= 0
model += -X[1089] + X[6116] - X[7330] <= 0
model += -X[1089] - X[6116] + X[7330] <= 0
model += -X[1922] + X[3757] - X[6606] <= 0
model += -X[1922] - X[3757] + X[6606] <= 0
model += -X[4362] + X[1256] - X[1963] <= 0
model += -X[4362] - X[1256] + X[1963] <= 0
model += -X[6291] + X[3651] - X[6447] <= 0
model += -X[6291] - X[3651] + X[6447] <= 0
model += -X[1068] + X[6967] - X[6411] <= 0
model += -X[1068] - X[6967] + X[6411] <= 0
model += -X[2067] + X[7198] - X[4129] <= 0
model += -X[2067] - X[7198] + X[4129] <= 0
model += -X[4627] + X[4593] - X[3096] <= 0
model += -X[4627] - X[4593] + X[3096] <= 0
model += -X[7722] + X[1721] - X[4377] <= 0
model += -X[7722] - X[1721] + X[4377] <= 0
model += -X[1296] + X[6031] - X[4614] <= 0
model += -X[1296] - X[6031] + X[4614] <= 0
model += -X[6093] + X[3233] - X[2425] <= 0
model += -X[6093] - X[3233] + X[2425] <= 0
model += -X[2542] + X[4203] - X[5628] <= 0
model += -X[2542] - X[4203] + X[5628] <= 0
model += -X[7032] + X[4795] - X[3195] <= 0
model += -X[7032] - X[4795] + X[3195] <= 0
model += -X[2509] + X[2306] - X[7400] <= 0
model += -X[2509] - X[2306] + X[7400] <= 0
model += -X[7172] + X[3447] - X[5455] <= 0
model += -X[7172] - X[3447] + X[5455] <= 0
model += -X[1737] + X[4180] - X[5103] <= 0
model += -X[1737] - X[4180] + X[5103] <= 0
model += -X[1029] + X[3826] - X[7228] <= 0
model += -X[1029] - X[3826] + X[7228] <= 0
model += -X[2446] + X[1389] - X[7024] <= 0
model += -X[2446] - X[1389] + X[7024] <= 0
model += -X[3492] + X[2270] - X[7631] <= 0
model += -X[3492] - X[2270] + X[7631] <= 0
model += -X[5168] + X[3750] - X[1645] <= 0
model += -X[5168] - X[3750] + X[1645] <= 0
model += -X[2631] + X[2926] - X[6389] <= 0
model += -X[2631] - X[2926] + X[6389] <= 0
model += -X[6581] + X[2866] - X[4486] <= 0
model += -X[6581] - X[2866] + X[4486] <= 0
model += -X[4717] + X[2668] - X[1285] <= 0
model += -X[4717] - X[2668] + X[1285] <= 0
model += -X[5528] + X[5096] - X[1590] <= 0
model += -X[5528] - X[5096] + X[1590] <= 0
model += -X[3235] + X[7547] - X[7126] <= 0
model += -X[3235] - X[7547] + X[7126] <= 0
model += -X[4291] + X[2841] - X[4844] <= 0
model += -X[4291] - X[2841] + X[4844] <= 0
model += -X[1828] + X[5384] - X[7108] <= 0
model += -X[1828] - X[5384] + X[7108] <= 0
model += -X[3693] + X[5974] - X[6862] <= 0
model += -X[3693] - X[5974] + X[6862] <= 0
model += -X[4231] + X[6432] - X[2304] <= 0
model += -X[4231] - X[6432] + X[2304] <= 0
model += -X[5693] + X[5023] - X[3546] <= 0
model += -X[5693] - X[5023] + X[3546] <= 0
model += -X[6535] + X[5930] - X[6782] <= 0
model += -X[6535] - X[5930] + X[6782] <= 0
model += -X[1807] + X[5766] - X[7370] <= 0
model += -X[1807] - X[5766] + X[7370] <= 0
model += -X[6817] + X[6489] - X[7344] <= 0
model += -X[6817] - X[6489] + X[7344] <= 0
model += -X[4462] + X[6149] - X[1405] <= 0
model += -X[4462] - X[6149] + X[1405] <= 0
model += -X[3495] + X[2382] - X[7672] <= 0
model += -X[3495] - X[2382] + X[7672] <= 0
model += -X[4147] + X[1340] - X[5522] <= 0
model += -X[4147] - X[1340] + X[5522] <= 0
model += -X[3650] + X[1705] - X[2183] <= 0
model += -X[3650] - X[1705] + X[2183] <= 0
model += -X[1312] + X[2957] - X[7140] <= 0
model += -X[1312] - X[2957] + X[7140] <= 0
model += -X[5888] + X[4973] - X[4697] <= 0
model += -X[5888] - X[4973] + X[4697] <= 0
model += -X[1199] + X[2275] - X[1745] <= 0
model += -X[1199] - X[2275] + X[1745] <= 0
model += -X[3254] + X[7149] - X[5014] <= 0
model += -X[3254] - X[7149] + X[5014] <= 0
model += -X[1712] + X[7088] - X[2777] <= 0
model += -X[1712] - X[7088] + X[2777] <= 0
model += -X[2076] + X[1797] - X[1107] <= 0
model += -X[2076] - X[1797] + X[1107] <= 0
model += -X[1540] + X[3918] - X[4838] <= 0
model += -X[1540] - X[3918] + X[4838] <= 0
model += -X[2835] + X[5107] - X[6522] <= 0
model += -X[2835] - X[5107] + X[6522] <= 0
model += -X[7680] + X[4424] - X[5379] <= 0
model += -X[7680] - X[4424] + X[5379] <= 0
model += -X[2922] + X[4411] - X[6189] <= 0
model += -X[2922] - X[4411] + X[6189] <= 0
model += -X[3972] + X[7385] - X[3448] <= 0
model += -X[3972] - X[7385] + X[3448] <= 0
model += -X[3386] + X[1884] - X[1377] <= 0
model += -X[3386] - X[1884] + X[1377] <= 0
model += -X[4134] + X[7748] - X[6177] <= 0
model += -X[4134] - X[7748] + X[6177] <= 0
model += -X[4541] + X[1143] - X[2812] <= 0
model += -X[4541] - X[1143] + X[2812] <= 0
model += -X[4669] + X[4811] - X[4320] <= 0
model += -X[4669] - X[4811] + X[4320] <= 0
model += -X[7127] + X[7232] - X[7053] <= 0
model += -X[7127] - X[7232] + X[7053] <= 0
model += -X[3941] + X[2962] - X[3166] <= 0
model += -X[3941] - X[2962] + X[3166] <= 0
model += -X[3490] + X[6116] - X[3710] <= 0
model += -X[3490] - X[6116] + X[3710] <= 0
model += -X[1683] + X[1711] - X[1480] <= 0
model += -X[1683] - X[1711] + X[1480] <= 0
model += -X[4598] + X[6300] - X[2555] <= 0
model += -X[4598] - X[6300] + X[2555] <= 0
model += -X[4198] + X[7198] - X[1371] <= 0
model += -X[4198] - X[7198] + X[1371] <= 0
model += -X[6066] + X[4593] - X[7111] <= 0
model += -X[6066] - X[4593] + X[7111] <= 0
model += -X[7259] + X[1721] - X[4511] <= 0
model += -X[7259] - X[1721] + X[4511] <= 0
model += -X[3143] + X[4203] - X[1451] <= 0
model += -X[3143] - X[4203] + X[1451] <= 0
model += -X[5975] + X[4795] - X[2378] <= 0
model += -X[5975] - X[4795] + X[2378] <= 0
model += -X[4489] + X[2306] - X[5204] <= 0
model += -X[4489] - X[2306] + X[5204] <= 0
model += -X[5400] + X[3294] - X[4067] <= 0
model += -X[5400] - X[3294] + X[4067] <= 0
model += -X[2205] + X[3447] - X[2821] <= 0
model += -X[2205] - X[3447] + X[2821] <= 0
model += -X[7452] + X[4180] - X[5514] <= 0
model += -X[7452] - X[4180] + X[5514] <= 0
model += -X[3761] + X[3826] - X[1880] <= 0
model += -X[3761] - X[3826] + X[1880] <= 0
model += -X[2894] + X[1389] - X[2637] <= 0
model += -X[2894] - X[1389] + X[2637] <= 0
model += -X[4733] + X[7392] - X[1512] <= 0
model += -X[4733] - X[7392] + X[1512] <= 0
model += -X[2816] + X[2270] - X[6591] <= 0
model += -X[2816] - X[2270] + X[6591] <= 0
model += -X[4208] + X[3750] - X[5755] <= 0
model += -X[4208] - X[3750] + X[5755] <= 0
model += -X[7047] + X[2668] - X[3724] <= 0
model += -X[7047] - X[2668] + X[3724] <= 0
model += -X[7537] + X[5096] - X[6531] <= 0
model += -X[7537] - X[5096] + X[6531] <= 0
model += -X[4420] + X[7547] - X[2091] <= 0
model += -X[4420] - X[7547] + X[2091] <= 0
model += -X[6312] + X[3796] - X[2412] <= 0
model += -X[6312] - X[3796] + X[2412] <= 0
model += -X[1859] + X[5384] - X[6688] <= 0
model += -X[1859] - X[5384] + X[6688] <= 0
model += -X[4114] + X[5974] - X[3753] <= 0
model += -X[4114] - X[5974] + X[3753] <= 0
model += -X[1381] + X[6432] - X[5829] <= 0
model += -X[1381] - X[6432] + X[5829] <= 0
model += -X[1395] + X[5023] - X[2200] <= 0
model += -X[1395] - X[5023] + X[2200] <= 0
model += -X[5301] + X[5930] - X[6973] <= 0
model += -X[5301] - X[5930] + X[6973] <= 0
model += -X[3224] + X[4329] - X[2712] <= 0
model += -X[3224] - X[4329] + X[2712] <= 0
model += -X[4736] + X[5766] - X[5310] <= 0
model += -X[4736] - X[5766] + X[5310] <= 0
model += -X[4859] + X[6489] - X[2044] <= 0
model += -X[4859] - X[6489] + X[2044] <= 0
model += -X[5036] + X[6149] - X[6529] <= 0
model += -X[5036] - X[6149] + X[6529] <= 0
model += -X[6949] + X[2382] - X[5017] <= 0
model += -X[6949] - X[2382] + X[5017] <= 0
model += -X[2527] + X[1340] - X[2303] <= 0
model += -X[2527] - X[1340] + X[2303] <= 0
model += -X[3844] + X[1705] - X[6442] <= 0
model += -X[3844] - X[1705] + X[6442] <= 0
model += -X[2373] + X[6861] - X[5525] <= 0
model += -X[2373] - X[6861] + X[5525] <= 0
model += -X[3765] + X[3409] - X[4825] <= 0
model += -X[3765] - X[3409] + X[4825] <= 0
model += -X[1792] + X[4973] - X[6002] <= 0
model += -X[1792] - X[4973] + X[6002] <= 0
model += -X[1891] + X[2275] - X[3222] <= 0
model += -X[1891] - X[2275] + X[3222] <= 0
model += -X[2831] + X[7149] - X[5826] <= 0
model += -X[2831] - X[7149] + X[5826] <= 0
model += -X[1909] + X[1138] - X[4011] <= 0
model += -X[1909] - X[1138] + X[4011] <= 0
model += -X[3587] + X[1237] - X[3035] <= 0
model += -X[3587] - X[1237] + X[3035] <= 0
model += -X[1816] + X[7088] - X[6932] <= 0
model += -X[1816] - X[7088] + X[6932] <= 0
model += -X[4322] + X[6252] - X[7336] <= 0
model += -X[4322] - X[6252] + X[7336] <= 0
model += -X[3457] + X[1797] - X[4090] <= 0
model += -X[3457] - X[1797] + X[4090] <= 0
model += -X[1774] + X[5107] - X[2725] <= 0
model += -X[1774] - X[5107] + X[2725] <= 0
model += -X[5623] + X[4424] - X[6880] <= 0
model += -X[5623] - X[4424] + X[6880] <= 0
model += -X[3122] + X[4411] - X[3007] <= 0
model += -X[3122] - X[4411] + X[3007] <= 0
model += -X[7693] + X[7385] - X[6087] <= 0
model += -X[7693] - X[7385] + X[6087] <= 0
model += -X[4435] + X[7748] - X[1417] <= 0
model += -X[4435] - X[7748] + X[1417] <= 0
model += -X[5321] + X[4345] - X[4813] <= 0
model += -X[5321] - X[4345] + X[4813] <= 0
model += -X[2600] + X[7232] - X[2327] <= 0
model += -X[2600] - X[7232] + X[2327] <= 0
model += -X[7384] + X[2962] - X[2428] <= 0
model += -X[7384] - X[2962] + X[2428] <= 0
model += -X[7743] + X[6116] - X[3394] <= 0
model += -X[7743] - X[6116] + X[3394] <= 0
model += -X[4842] + X[1711] - X[2485] <= 0
model += -X[4842] - X[1711] + X[2485] <= 0
model += -X[1874] + X[6300] - X[7044] <= 0
model += -X[1874] - X[6300] + X[7044] <= 0
model += -X[5910] + X[3440] - X[3311] <= 0
model += -X[5910] - X[3440] + X[3311] <= 0
model += -X[3648] + X[6967] - X[5928] <= 0
model += -X[3648] - X[6967] + X[5928] <= 0
model += -X[5700] + X[7198] - X[4165] <= 0
model += -X[5700] - X[7198] + X[4165] <= 0
model += -X[6284] + X[1721] - X[5491] <= 0
model += -X[6284] - X[1721] + X[5491] <= 0
model += -X[6244] + X[6031] - X[5155] <= 0
model += -X[6244] - X[6031] + X[5155] <= 0
model += -X[4976] + X[3233] - X[5437] <= 0
model += -X[4976] - X[3233] + X[5437] <= 0
model += -X[3545] + X[1776] - X[6092] <= 0
model += -X[3545] - X[1776] + X[6092] <= 0
model += -X[3193] + X[4203] - X[7456] <= 0
model += -X[3193] - X[4203] + X[7456] <= 0
model += -X[6846] + X[7197] - X[1522] <= 0
model += -X[6846] - X[7197] + X[1522] <= 0
model += -X[7318] + X[4795] - X[3595] <= 0
model += -X[7318] - X[4795] + X[3595] <= 0
model += -X[3996] + X[2306] - X[6799] <= 0
model += -X[3996] - X[2306] + X[6799] <= 0
model += -X[6461] + X[4180] - X[3934] <= 0
model += -X[6461] - X[4180] + X[3934] <= 0
model += -X[3109] + X[3826] - X[4159] <= 0
model += -X[3109] - X[3826] + X[4159] <= 0
model += -X[5337] + X[1389] - X[5261] <= 0
model += -X[5337] - X[1389] + X[5261] <= 0
model += -X[3868] + X[7392] - X[3069] <= 0
model += -X[3868] - X[7392] + X[3069] <= 0
model += -X[6233] + X[2270] - X[7742] <= 0
model += -X[6233] - X[2270] + X[7742] <= 0
model += -X[4058] + X[3750] - X[7554] <= 0
model += -X[4058] - X[3750] + X[7554] <= 0
model += -X[2089] + X[2926] - X[6990] <= 0
model += -X[2089] - X[2926] + X[6990] <= 0
model += -X[6256] + X[2668] - X[4558] <= 0
model += -X[6256] - X[2668] + X[4558] <= 0
model += X[208] + 2*X[4435] + 2*X[75] <= 5
model += X[7384] + 2*X[250] + 2*X[182] <= 6
model += X[6244] + 2*X[17] + 2*X[5700] <= 3
model += X[768] + 2*X[232] + 2*X[7318] <= 1
model += X[656] + 2*X[2225] + 2*X[2084] <= 1
model += X[4225] + 2*X[773] + 2*X[3434] <= 2
model += X[1774] + 2*X[5946] + 2*X[237] <= 3
model += X[1874] + 2*X[7743] + 2*X[837] <= 1
model += X[6256] + 2*X[2089] + 2*X[965] <= 6
model += X[5423] + 2*X[5596] + 2*X[6811] <= 5
model += X[3325] + 2*X[2934] + 2*X[2883] <= 4
model += X[6308] + 2*X[5985] + 2*X[2231] <= 4
model += X[1628] + 2*X[1542] + 2*X[1172] <= 2
model += X[5743] + 2*X[5763] + 2*X[7293] <= 6
model += X[3065] + 2*X[6000] + 2*X[1422] <= 5
model += X[4974] + 2*X[4592] + 2*X[1691] <= 6
model += X[4871] + 2*X[5220] + 2*X[6407] <= 2
model += X[1717] + 2*X[5699] + 2*X[1763] <= 3
model += X[1935] + 2*X[5906] + 2*X[3991] <= 4
model += X[6970] + 2*X[6123] + 2*X[7354] <= 5
model += X[7404] + 2*X[3995] + 2*X[6753] <= 4
model += X[5531] + 2*X[1632] + 2*X[2094] <= 6
model += X[7208] + 2*X[3453] + 2*X[2928] <= 5
model += X[7782] + 2*X[2373] + 2*X[7589] <= 1
model += X[2831] + 2*X[5544] + 2*X[1792] <= 2
model += X[7747] + 2*X[4529] + 2*X[1909] <= 3
model += X[4322] + 2*X[7787] + 2*X[3587] <= 6
model += X[7693] + 2*X[3122] + 2*X[5623] <= 6
model += X[3648] + 2*X[5910] + 2*X[6568] <= 2
model += X[6846] + 2*X[3545] + 2*X[4976] <= 7
model += X[5337] + 2*X[6461] + 2*X[1719] <= 3
model += X[4058] + 2*X[3682] + 2*X[3868] <= 3
model += 2*X[208] + 2*X[5321] + 2*X[4435] - X[75] <= 8
model += -2*X[208] - 2*X[5321] - 2*X[4435] + X[75] <= 4
model += 2*X[208] - 2*X[5321] + X[4435] - 5*X[75] <= -1
model += 2*X[7384] + 2*X[2600] + 2*X[250] - X[182] <= 7
model += 2*X[7384] - 2*X[2600] + X[250] - 5*X[182] <= 2
model += 2*X[6244] + 2*X[6284] + 2*X[17] - X[5700] <= 1
model += 2*X[768] - 2*X[3996] + X[232] - 5*X[7318] <= 0
model += 2*X[6256] + 2*X[516] + 2*X[2089] - X[965] <= 4
model += 2*X[6256] - 2*X[516] + X[2089] - 5*X[965] <= 3
model += 2*X[4974] + 2*X[704] + 2*X[4592] - X[1691] <= 4
model += 2*X[4974] - 2*X[704] + X[4592] - 5*X[1691] <= 3
model += 2*X[656] - 2*X[5761] + X[2225] - 5*X[2084] <= 0
model += 2*X[1717] + 2*X[663] + 2*X[5699] - X[1763] <= 6
model += 2*X[1717] - 2*X[663] + X[5699] - 5*X[1763] <= 1
model += 2*X[4225] + 2*X[5968] + 2*X[773] - X[3434] <= 9
model += 2*X[4225] - 2*X[5968] + X[773] - 5*X[3434] <= 3
model += 2*X[1774] + 2*X[3457] + 2*X[5946] - X[237] <= 3
model += 2*X[1774] - 2*X[3457] + X[5946] - 5*X[237] <= 2
model += 2*X[208] - 6*X[5321] - X[4435] + 13*X[75] <= 14
model += -X[208] - 4*X[5321] + 2*X[4435] - 8*X[75] <= -7
model += 2*X[7384] - 6*X[2600] - X[250] + 13*X[182] <= 2
model += -2*X[7384] - 2*X[2600] - 2*X[250] + X[182] <= 5
model += -X[7384] - 4*X[2600] + 2*X[250] - 8*X[182] <= 2
model += 2*X[1874] - 2*X[4842] + X[7743] - 5*X[837] <= 0
model += 2*X[6244] - 2*X[6284] + X[17] - 5*X[5700] <= -3
model += 2*X[768] + 2*X[3996] + 2*X[232] - X[7318] <= 10
model += -2*X[768] - 2*X[3996] - 2*X[232] + X[7318] <= 2
model += 2*X[5423] - 2*X[6383] + X[5596] - 5*X[6811] <= 4
model += 2*X[3325] + 2*X[5111] + 2*X[2934] - X[2883] <= 0
model += 2*X[3325] - 2*X[5111] + X[2934] - 5*X[2883] <= 0
model += 2*X[6308] + 2*X[7291] + 2*X[5985] - X[2231] <= 0
model += 2*X[6308] - 2*X[7291] + X[5985] - 5*X[2231] <= 0
model += 2*X[1628] + 2*X[2258] + 2*X[1542] - X[1172] <= 9
model += 2*X[1628] - 2*X[2258] + X[1542] - 5*X[1172] <= 3
model += 2*X[5743] + 2*X[2898] + 2*X[5763] - X[7293] <= 7
model += 2*X[5743] - 2*X[2898] + X[5763] - 5*X[7293] <= 2
model += 2*X[3065] + 2*X[1971] + 2*X[6000] - X[1422] <= 8
model += 2*X[4871] + 2*X[5035] + 2*X[5220] - X[6407] <= 4
model += 2*X[656] + 2*X[5761] + 2*X[2225] - X[2084] <= 10
model += -2*X[656] - 2*X[5761] - 2*X[2225] + X[2084] <= 2
model += -2*X[1717] - 2*X[663] - 2*X[5699] + X[1763] <= 6
model += 2*X[1935] + 2*X[3408] + 2*X[5906] - X[3991] <= 0
model += 2*X[1935] - 2*X[3408] + X[5906] - 5*X[3991] <= 0
model += 2*X[6970] + 2*X[6601] + 2*X[6123] - X[7354] <= 8
model += 2*X[7404] + 2*X[1113] + 2*X[3995] - X[6753] <= 0
model += 2*X[7404] - 2*X[1113] + X[3995] - 5*X[6753] <= 0
model += 2*X[5531] + 2*X[5070] + 2*X[1632] - X[2094] <= 7
model += 2*X[5531] - 2*X[5070] + X[1632] - 5*X[2094] <= 2
model += 2*X[7208] + 2*X[5969] + 2*X[3453] - X[2928] <= 5
model += 2*X[7208] - 2*X[5969] + X[3453] - 5*X[2928] <= 0
model += -2*X[4225] - 2*X[5968] - 2*X[773] + X[3434] <= 3
model += -X[4225] - 4*X[5968] + 2*X[773] - 8*X[3434] <= 4
model += 2*X[7782] - 2*X[3765] + X[2373] - 5*X[7589] <= 0
model += 2*X[2831] + 2*X[1891] + 2*X[5544] - X[1792] <= 7
model += 2*X[7747] + 2*X[4061] + 2*X[4529] - X[1909] <= 3
model += 2*X[7747] - 2*X[4061] + X[4529] - 5*X[1909] <= 2
model += 2*X[4322] + 2*X[1816] + 2*X[7787] - X[3587] <= 7
model += 2*X[4322] - 2*X[1816] + X[7787] - 5*X[3587] <= 2
model += 2*X[1774] - 6*X[3457] - X[5946] + 13*X[237] <= 9
model += -X[1774] - 4*X[3457] + 2*X[5946] - 8*X[237] <= 7
model += 2*X[7693] + 2*X[7219] + 2*X[3122] - X[5623] <= 2
model += -2*X[208] + X[5321] + 6*X[4435] - 13*X[75] <= -9
model += -4*X[208] + 6*X[5321] - 3*X[4435] - 3*X[75] <= 5
model += 3*X[208] + 4*X[5321] - 9*X[4435] + 11*X[75] <= 5
model += 2*X[1874] + 2*X[4842] + 2*X[7743] - X[837] <= 10
model += -2*X[1874] - 2*X[4842] - 2*X[7743] + X[837] <= 2
model += 2*X[3648] + 2*X[2181] + 2*X[5910] - X[6568] <= 4
model += 2*X[6244] - 6*X[6284] - X[17] + 13*X[5700] <= 17
model += -2*X[6244] - 2*X[6284] - 2*X[17] + X[5700] <= -1
model += -X[6244] - 4*X[6284] + 2*X[17] - 8*X[5700] <= -9
model += 2*X[6846] + 2*X[3193] + 2*X[3545] - X[4976] <= 1
model += 2*X[6846] - 2*X[3193] + X[3545] - 5*X[4976] <= 1
model += 2*X[768] - 6*X[3996] - X[232] + 13*X[7318] <= 11
model += -X[768] - 4*X[3996] + 2*X[232] - 8*X[7318] <= -5
model += 2*X[5337] + 2*X[3109] + 2*X[6461] - X[1719] <= 3
model += 2*X[5337] - 2*X[3109] + X[6461] - 5*X[1719] <= 2
model += 2*X[4058] + 2*X[6233] + 2*X[3682] - X[3868] <= 6
model += 2*X[4058] - 2*X[6233] + X[3682] - 5*X[3868] <= 1
model += -2*X[6256] + X[516] + 6*X[2089] - 13*X[965] <= 4
model += 2*X[6256] - 6*X[516] - X[2089] + 13*X[965] <= 16
model += -2*X[6256] - 2*X[516] - 2*X[2089] + X[965] <= -4
model += -X[6256] - 4*X[516] + 2*X[2089] - 8*X[965] <= 12
model += 2*X[5423] - 6*X[6383] - X[5596] + 13*X[6811] <= 6
model += 2*X[5423] + 2*X[6383] + 2*X[5596] - X[6811] <= 10
model += -2*X[5423] - 2*X[6383] - 2*X[5596] + X[6811] <= 2
model += -X[5423] - 4*X[6383] + 2*X[5596] - 8*X[6811] <= 9
model += 2*X[3325] - 6*X[5111] - X[2934] + 13*X[2883] <= 5
model += -2*X[3325] - 2*X[5111] - 2*X[2934] + X[2883] <= 0
model += -X[3325] - 4*X[5111] + 2*X[2934] - 8*X[2883] <= 0
model += 2*X[6308] - 6*X[7291] - X[5985] + 13*X[2231] <= 5
model += -2*X[6308] - 2*X[7291] - 2*X[5985] + X[2231] <= 0
model += -X[6308] - 4*X[7291] + 2*X[5985] - 8*X[2231] <= 0
model += -2*X[1628] - 2*X[2258] - 2*X[1542] + X[1172] <= 3
model += -X[1628] - 4*X[2258] + 2*X[1542] - 8*X[1172] <= 4
model += 2*X[5743] - 6*X[2898] - X[5763] + 13*X[7293] <= 2
model += -2*X[5743] - 2*X[2898] - 2*X[5763] + X[7293] <= 5
model += -X[5743] - 4*X[2898] + 2*X[5763] - 8*X[7293] <= 2
model += -2*X[3065] - 2*X[1971] - 2*X[6000] + X[1422] <= 4
model += 2*X[3065] - 2*X[1971] + X[6000] - 5*X[1422] <= -1
model += -2*X[4974] + X[704] + 6*X[4592] - 13*X[1691] <= 4
model += 2*X[4974] - 6*X[704] - X[4592] + 13*X[1691] <= 16
model += -2*X[4974] - 2*X[704] - 2*X[4592] + X[1691] <= -4
model += -X[4974] - 4*X[704] + 2*X[4592] - 8*X[1691] <= 12
model += 2*X[4871] - 2*X[5035] + X[5220] - 5*X[6407] <= -1
model += 2*X[656] - 6*X[5761] - X[2225] + 13*X[2084] <= 11
model += -X[656] - 4*X[5761] + 2*X[2225] - 8*X[2084] <= -5
model += 2*X[1717] - 6*X[663] - X[5699] + 13*X[1763] <= -5
model += -X[1717] - 4*X[663] + 2*X[5699] - 8*X[1763] <= -3
model += 2*X[1935] - 6*X[3408] - X[5906] + 13*X[3991] <= 5
model += -2*X[1935] - 2*X[3408] - 2*X[5906] + X[3991] <= 0
model += -X[1935] - 4*X[3408] + 2*X[5906] - 8*X[3991] <= 0
model += -2*X[6970] - 2*X[6601] - 2*X[6123] + X[7354] <= 4
model += 2*X[6970] - 2*X[6601] + X[6123] - 5*X[7354] <= -1
model += 2*X[7404] - 6*X[1113] - X[3995] + 13*X[6753] <= 5
model += -2*X[7404] - 2*X[1113] - 2*X[3995] + X[6753] <= 0
model += -X[7404] - 4*X[1113] + 2*X[3995] - 8*X[6753] <= 0
model += 2*X[5531] - 6*X[5070] - X[1632] + 13*X[2094] <= 2
model += -2*X[5531] - 2*X[5070] - 2*X[1632] + X[2094] <= 5
model += -X[5531] - 4*X[5070] + 2*X[1632] - 8*X[2094] <= 2
model += -X[7208] - 4*X[5969] + 2*X[3453] - 8*X[2928] <= 3
model += -2*X[4225] + X[5968] + 6*X[773] - 13*X[3434] <= 6
model += 2*X[4225] - 6*X[5968] - X[773] + 13*X[3434] <= -1
model += 2*X[7782] + 2*X[3765] + 2*X[2373] - X[7589] <= 10
model += -2*X[7782] - 2*X[3765] - 2*X[2373] + X[7589] <= 2
model += 2*X[2831] - 6*X[1891] - X[5544] + 13*X[1792] <= 7
model += -2*X[2831] - 2*X[1891] - 2*X[5544] + X[1792] <= 5
model += 2*X[2831] - 2*X[1891] + X[5544] - 5*X[1792] <= -2
model += 2*X[7747] - 6*X[4061] - X[4529] + 13*X[1909] <= 9
model += -X[7747] - 4*X[4061] + 2*X[4529] - 8*X[1909] <= 7
model += 2*X[4322] - 6*X[1816] - X[7787] + 13*X[3587] <= 2
model += -2*X[4322] - 2*X[1816] - 2*X[7787] + X[3587] <= 5
model += -X[4322] - 4*X[1816] + 2*X[7787] - 8*X[3587] <= 2
model += -2*X[1774] - 2*X[3457] - 2*X[5946] + X[237] <= -3
model += 2*X[7693] - 2*X[7219] + X[3122] - 5*X[5623] <= -2
model += -2*X[7384] + X[2600] + 6*X[250] - 13*X[182] <= -2
model += -4*X[7384] + 6*X[2600] - 3*X[250] - 3*X[182] <= 1
model += 3*X[7384] + 4*X[2600] - 9*X[250] + 11*X[182] <= 3
model += 2*X[1874] - 6*X[4842] - X[7743] + 13*X[837] <= 11
model += -X[1874] - 4*X[4842] + 2*X[7743] - 8*X[837] <= -5
model += 2*X[3648] - 2*X[2181] + X[5910] - 5*X[6568] <= -1
model += -2*X[6244] + X[6284] + 6*X[17] - 13*X[5700] <= 13
model += -4*X[6244] + 6*X[6284] - 3*X[17] - 3*X[5700] <= 4
model += -X[6846] - 4*X[3193] + 2*X[3545] - 8*X[4976] <= 5
model += -2*X[768] + X[3996] + 6*X[232] - 13*X[7318] <= -1
model += -4*X[768] + 6*X[3996] - 3*X[232] - 3*X[7318] <= 2
model += 2*X[5337] - 6*X[3109] - X[6461] + 13*X[1719] <= 9
model += -X[5337] - 4*X[3109] + 2*X[6461] - 8*X[1719] <= 7
model += -2*X[4058] - 2*X[6233] - 2*X[3682] + X[3868] <= 6
model += -4*X[6256] + 6*X[516] - 3*X[2089] - 3*X[965] <= 1
model += 3*X[6256] + 4*X[516] - 9*X[2089] + 11*X[965] <= 8
model += -2*X[1628] + X[2258] + 6*X[1542] - 13*X[1172] <= 6
model += 2*X[1628] - 6*X[2258] - X[1542] + 13*X[1172] <= -1
model += 2*X[3065] - 6*X[1971] - X[6000] + 13*X[1422] <= 14
model += -X[3065] - 4*X[1971] + 2*X[6000] - 8*X[1422] <= -7
model += -4*X[4974] + 6*X[704] - 3*X[4592] - 3*X[1691] <= 1
model += 3*X[4974] + 4*X[704] - 9*X[4592] + 11*X[1691] <= 8
model += -2*X[4871] + X[5035] + 6*X[5220] - 13*X[6407] <= 9
model += 2*X[4871] - 6*X[5035] - X[5220] + 13*X[6407] <= 21
model += -2*X[4871] - 2*X[5035] - 2*X[5220] + X[6407] <= -4
model += -X[4871] - 4*X[5035] + 2*X[5220] - 8*X[6407] <= -2
model += -2*X[656] + X[5761] + 6*X[2225] - 13*X[2084] <= -1
model += -4*X[656] + 6*X[5761] - 3*X[2225] - 3*X[2084] <= 2
model += -2*X[1717] + X[663] + 6*X[5699] - 13*X[1763] <= 10
model += 2*X[6970] - 6*X[6601] - X[6123] + 13*X[7354] <= 14
model += -X[6970] - 4*X[6601] + 2*X[6123] - 8*X[7354] <= -7
model += 2*X[7208] - 6*X[5969] - X[3453] + 13*X[2928] <= 28
model += -2*X[7208] - 2*X[5969] - 2*X[3453] + X[2928] <= -5
model += 2*X[7782] - 6*X[3765] - X[2373] + 13*X[7589] <= 11
model += -X[7782] - 4*X[3765] + 2*X[2373] - 8*X[7589] <= -5
model += -2*X[2831] + X[1891] + 6*X[5544] - 13*X[1792] <= 3
model += -2*X[7747] - 2*X[4061] - 2*X[4529] + X[1909] <= -3
model += -2*X[1774] + X[3457] + 6*X[5946] - 13*X[237] <= 16
model += -2*X[7693] + X[7219] + 6*X[3122] - 13*X[5623] <= 1
model += 2*X[7693] - 6*X[7219] - X[3122] + 13*X[5623] <= 24
model += -2*X[7693] - 2*X[7219] - 2*X[3122] + X[5623] <= -2
model += -X[7693] - 4*X[7219] + 2*X[3122] - 8*X[5623] <= -4
model += -2*X[1874] + X[4842] + 6*X[7743] - 13*X[837] <= -1
model += -4*X[1874] + 6*X[4842] - 3*X[7743] - 3*X[837] <= 2
model += -2*X[3648] + X[2181] + 6*X[5910] - 13*X[6568] <= 9
model += 2*X[3648] - 6*X[2181] - X[5910] + 13*X[6568] <= 21
model += -2*X[3648] - 2*X[2181] - 2*X[5910] + X[6568] <= -4
model += -X[3648] - 4*X[2181] + 2*X[5910] - 8*X[6568] <= -2
model += 3*X[6244] + 4*X[6284] - 9*X[17] + 11*X[5700] <= 14
model += -2*X[6846] + X[3193] + 6*X[3545] - 13*X[4976] <= 8
model += 2*X[6846] - 6*X[3193] - X[3545] + 13*X[4976] <= 12
model += -2*X[6846] - 2*X[3193] - 2*X[3545] + X[4976] <= -1
model += 3*X[768] + 4*X[3996] - 9*X[232] + 11*X[7318] <= 21
model += -2*X[5337] - 2*X[3109] - 2*X[6461] + X[1719] <= -3
model += 2*X[4058] - 6*X[6233] - X[3682] + 13*X[3868] <= -5
model += -X[4058] - 4*X[6233] + 2*X[3682] - 8*X[3868] <= -3
model += -2*X[5423] + X[6383] + 6*X[5596] - 13*X[6811] <= -6
model += -4*X[5423] + 6*X[6383] - 3*X[5596] - 3*X[6811] <= 0
model += 3*X[5423] + 4*X[6383] - 9*X[5596] + 11*X[6811] <= 9
model += -2*X[3325] + X[5111] + 6*X[2934] - 13*X[2883] <= 20
model += -4*X[3325] + 6*X[5111] - 3*X[2934] - 3*X[2883] <= 0
model += -2*X[6308] + X[7291] + 6*X[5985] - 13*X[2231] <= 20
model += -4*X[6308] + 6*X[7291] - 3*X[5985] - 3*X[2231] <= 0
model += -2*X[5743] + X[2898] + 6*X[5763] - 13*X[7293] <= -2
model += -4*X[5743] + 6*X[2898] - 3*X[5763] - 3*X[7293] <= 1
model += 3*X[5743] + 4*X[2898] - 9*X[5763] + 11*X[7293] <= 3
model += -2*X[3065] + X[1971] + 6*X[6000] - 13*X[1422] <= -9
model += -4*X[3065] + 6*X[1971] - 3*X[6000] - 3*X[1422] <= 5
model += 3*X[3065] + 4*X[1971] - 9*X[6000] + 11*X[1422] <= 5
model += -4*X[4871] + 6*X[5035] - 3*X[5220] - 3*X[6407] <= 3
model += 3*X[656] + 4*X[5761] - 9*X[2225] + 11*X[2084] <= 21
model += -4*X[1717] + 6*X[663] - 3*X[5699] - 3*X[1763] <= -1
model += 3*X[1717] + 4*X[663] - 9*X[5699] + 11*X[1763] <= 13
model += -2*X[1935] + X[3408] + 6*X[5906] - 13*X[3991] <= 20
model += -4*X[1935] + 6*X[3408] - 3*X[5906] - 3*X[3991] <= 0
model += -2*X[6970] + X[6601] + 6*X[6123] - 13*X[7354] <= -9
model += -4*X[6970] + 6*X[6601] - 3*X[6123] - 3*X[7354] <= 5
model += 3*X[6970] + 4*X[6601] - 9*X[6123] + 11*X[7354] <= 5
model += -2*X[7404] + X[1113] + 6*X[3995] - 13*X[6753] <= 20
model += -4*X[7404] + 6*X[1113] - 3*X[3995] - 3*X[6753] <= 0
model += -2*X[5531] + X[5070] + 6*X[1632] - 13*X[2094] <= -2
model += -4*X[5531] + 6*X[5070] - 3*X[1632] - 3*X[2094] <= 1
model += 3*X[5531] + 4*X[5070] - 9*X[1632] + 11*X[2094] <= 3
model += -2*X[7208] + X[5969] + 6*X[3453] - 13*X[2928] <= -3
model += -4*X[7208] + 6*X[5969] - 3*X[3453] - 3*X[2928] <= 5
model += -4*X[4225] + 6*X[5968] - 3*X[773] - 3*X[3434] <= -2
model += 3*X[4225] + 4*X[5968] - 9*X[773] + 11*X[3434] <= 19
model += -2*X[7782] + X[3765] + 6*X[2373] - 13*X[7589] <= -1
model += -4*X[7782] + 6*X[3765] - 3*X[2373] - 3*X[7589] <= 2
model += -X[2831] - 4*X[1891] + 2*X[5544] - 8*X[1792] <= -12
model += -4*X[2831] + 6*X[1891] - 3*X[5544] - 3*X[1792] <= 3
model += -2*X[7747] + X[4061] + 6*X[4529] - 13*X[1909] <= 16
model += -2*X[4322] + X[1816] + 6*X[7787] - 13*X[3587] <= -2
model += -4*X[4322] + 6*X[1816] - 3*X[7787] - 3*X[3587] <= 1
model += 3*X[4322] + 4*X[1816] - 9*X[7787] + 11*X[3587] <= 3
model += -4*X[1774] + 6*X[3457] - 3*X[5946] - 3*X[237] <= -1
model += 3*X[1774] + 4*X[3457] - 9*X[5946] + 11*X[237] <= 18
model += -4*X[7693] + 6*X[7219] - 3*X[3122] - 3*X[5623] <= 6
model += 3*X[7693] + 4*X[7219] - 9*X[3122] + 11*X[5623] <= 4
model += 3*X[1874] + 4*X[4842] - 9*X[7743] + 11*X[837] <= 21
model += -4*X[3648] + 6*X[2181] - 3*X[5910] - 3*X[6568] <= 3
model += -4*X[6846] + 6*X[3193] - 3*X[3545] - 3*X[4976] <= 2
model += 3*X[6846] + 4*X[3193] - 9*X[3545] + 11*X[4976] <= 2
model += -2*X[5337] + X[3109] + 6*X[6461] - 13*X[1719] <= 16
model += -2*X[4058] + X[6233] + 6*X[3682] - 13*X[3868] <= 10
model += 3*X[3325] + 4*X[5111] - 9*X[2934] + 11*X[2883] <= 12
model += 3*X[6308] + 4*X[7291] - 9*X[5985] + 11*X[2231] <= 12
model += -4*X[1628] + 6*X[2258] - 3*X[1542] - 3*X[1172] <= -2
model += 3*X[1628] + 4*X[2258] - 9*X[1542] + 11*X[1172] <= 19
model += 3*X[4871] + 4*X[5035] - 9*X[5220] + 11*X[6407] <= 20
model += 3*X[1935] + 4*X[3408] - 9*X[5906] + 11*X[3991] <= 12
model += 3*X[7404] + 4*X[1113] - 9*X[3995] + 11*X[6753] <= 12
model += 3*X[7208] + 4*X[5969] - 9*X[3453] + 11*X[2928] <= 10
model += 3*X[7782] + 4*X[3765] - 9*X[2373] + 11*X[7589] <= 21
model += 3*X[2831] + 4*X[1891] - 9*X[5544] + 11*X[1792] <= 15
model += -4*X[7747] + 6*X[4061] - 3*X[4529] - 3*X[1909] <= -1
model += 3*X[7747] + 4*X[4061] - 9*X[4529] + 11*X[1909] <= 18
model += 3*X[3648] + 4*X[2181] - 9*X[5910] + 11*X[6568] <= 20
model += -4*X[5337] + 6*X[3109] - 3*X[6461] - 3*X[1719] <= -1
model += 3*X[5337] + 4*X[3109] - 9*X[6461] + 11*X[1719] <= 18
model += -4*X[4058] + 6*X[6233] - 3*X[3682] - 3*X[3868] <= -1
model += 3*X[4058] + 4*X[6233] - 9*X[3682] + 11*X[3868] <= 13
model += X[425] + X[584] - X[6604] + 3*X[44] + Y[65] + 2*Y[79] + 2*Y[78] <= 6
model += X[799] + X[3471] - X[262] + 3*X[590] + Y[66] + 2*Y[64] + 2*Y[79] <= 6
model += X[6095] + X[695] - X[7566] + 3*X[687] + Y[68] + 2*Y[66] + 2*Y[65] <= 6
model += X[824] + X[544] - X[3405] + 3*X[4939] + Y[72] + 2*Y[70] + 2*Y[69] <= 6
model += X[4047] + X[446] - X[300] + 3*X[7] + X[7480] + 2*X[56] + 2*X[1592] <= 6
model += X[7465] + X[3433] - X[7495] + 3*X[6114] + Y[64] + 2*Y[78] + 2*Y[77] <= 6
model += X[5414] + X[5308] - X[2575] + 3*X[4317] + Y[77] + 2*Y[75] + 2*Y[74] <= 6
model += X[4337] + X[1148] - X[4151] + 3*X[2486] + Y[74] + 2*Y[72] + 2*Y[71] <= 6
model += X[7778] + X[3093] - X[2377] + 3*X[3218] + Y[71] + 2*Y[69] + 2*Y[68] <= 6
model += X[5877] + X[3636] - X[2011] + 3*X[4279] + Y[78] + 2*Y[76] + 2*Y[75] <= 6
model += X[2939] + X[6685] - X[4595] + 3*X[5843] + Y[75] + 2*Y[73] + 2*Y[72] <= 6
model += X[2103] + X[1483] - X[7591] + 3*X[6559] + Y[69] + 2*Y[67] + 2*Y[66] <= 6
model += X[3711] + X[7039] - X[2596] + 3*X[7660] + Y[79] + 2*Y[77] + 2*Y[76] <= 6
model += X[4443] + X[2207] - X[3443] + 3*X[2450] + Y[76] + 2*Y[74] + 2*Y[73] <= 6
model += X[5347] + X[2102] - X[1039] + 3*X[7630] + Y[73] + 2*Y[71] + 2*Y[70] <= 6
model += X[6083] + X[7777] - X[4856] + 3*X[1825] + Y[70] + 2*Y[68] + 2*Y[67] <= 6
model += X[3280] + X[1180] - X[3827] + 3*X[5255] + Y[67] + 2*Y[65] + 2*Y[64] <= 6
model += X[4038] + X[2221] - X[7544] + 3*X[3196] + Y[64] + 2*Y[78] + 2*Y[77] <= 6
model += X[7366] + X[3662] - X[7770] + 3*X[23] + X[2486] + 2*Y[69] + 2*Y[68] <= 6
model += X[8] + X[759] - X[1027] + 3*X[3119] + X[3197] + 2*X[524] + 2*X[5939] <= 6
model += X[7244] + X[829] - X[905] + 3*X[5983] + X[2429] + 2*X[2134] + 2*X[5] <= 6
model += X[833] + X[7534] - X[649] + 3*X[5709] + X[0] + 2*X[3299] + 2*X[7026] <= 6
model += X[233] + X[5790] - X[1088] + 3*X[2895] + X[4317] + 2*Y[72] + 2*Y[71] <= 6
model += X[3918] + X[68] - X[7212] + 3*X[1916] + Y[158] + 2*Y[156] + 2*Y[155] <= 6
model += X[5244] + X[450] - X[73] + 3*X[285] + X[5257] + 2*X[716] + 2*X[5357] <= 6
model += X[255] + X[641] - X[1138] + 3*X[7149] + Y[147] + 2*Y[145] + 2*Y[144] <= 6
model += X[4116] + X[21] - X[7501] + 3*X[5429] + X[4344] + 2*X[662] + 2*X[354] <= 6
model += X[4363] + X[85] - X[2309] + 3*X[83] + X[7487] + 2*X[3290] + 2*X[4186] <= 6
model += X[1073] + X[533] - X[49] + 3*X[1210] + X[4473] + 2*X[1525] + 2*X[484] <= 6
model += X[272] + X[1048] - X[6102] + 3*X[181] + X[6449] + 2*X[715] + 2*X[894] <= 6
model += X[1011] + X[319] - X[5090] + 3*X[7046] + X[642] + 2*X[417] + 2*X[993] <= 6
model += X[840] + X[54] - X[4092] + 3*X[5275] + X[3592] + 2*X[3919] + 2*X[152] <= 6
model += X[5811] + X[1724] - X[6323] + 3*X[5182] + X[6114] + 2*Y[75] + 2*Y[74] <= 6
model += X[3504] + X[7585] - X[961] + 3*X[3] + X[5468] + 2*X[1840] + 2*X[5813] <= 6
model += X[963] + X[872] - X[4978] + 3*X[7357] + X[48] + 2*X[6951] + 2*X[5659] <= 6
model += X[1747] + X[5775] - X[5824] + 3*X[5324] + X[3218] + 2*Y[66] + 2*Y[65] <= 6
model += X[1200] + X[4136] - X[568] + 3*X[1028] + X[342] + 2*X[7300] + 2*X[77] <= 6
model += X[6228] + X[4701] - X[7304] + 3*X[437] + X[5249] + 2*X[7323] + 2*X[2] <= 6
model += X[372] + X[33] - X[266] + 3*X[4683] + X[2799] + 2*X[4724] + 2*X[2811] <= 6
model += X[4230] + X[3688] - X[451] + 3*X[2562] + Y[144] + 2*Y[158] + 2*Y[157] <= 6
model += X[2165] + X[4167] - X[873] + 3*X[2669] + Y[154] + 2*Y[152] + 2*Y[151] <= 6
model += X[917] + X[5116] - X[2639] + 3*X[6169] + X[878] + 2*X[15] + 2*X[3867] <= 6
model += X[1130] + X[3728] - X[311] + 3*X[4687] + Y[151] + 2*Y[149] + 2*Y[148] <= 6
model += X[4319] + X[62] - X[363] + 3*X[3524] + X[7616] + 2*X[749] + 2*X[5207] <= 6
model += X[1705] + X[173] - X[1340] + 3*X[3978] + Y[155] + 2*Y[153] + 2*Y[152] <= 6
model += X[25] + X[506] - X[5756] + 3*X[6958] + X[1516] + 2*X[470] + 2*X[1657] <= 6
model += X[5467] + X[5067] - X[683] + 3*X[6763] + X[76] + 2*X[4003] + 2*X[264] <= 6
model += X[2275] + X[539] - X[4973] + 3*X[2957] + Y[159] + 2*Y[157] + 2*Y[156] <= 6
model += X[1097] + X[6322] - X[5879] + 3*X[29] + X[424] + 2*X[362] + 2*X[7572] <= 6
model += X[3796] + X[179] - X[7547] + 3*X[5096] + Y[156] + 2*Y[154] + 2*Y[153] <= 6
model += X[910] + X[4811] - X[1143] + 3*X[4345] + Y[150] + 2*Y[148] + 2*Y[147] <= 6
model += X[5361] + X[6804] - X[2974] + 3*X[6145] + X[6178] + 2*X[4] + 2*X[344] <= 6
model += X[737] + X[39] - X[3140] + 3*X[2202] + X[416] + 2*X[1788] + 2*X[4378] <= 6
model += X[280] + X[3147] - X[476] + 3*X[6001] + X[6131] + 2*X[4104] + 2*X[70] <= 6
model += X[7088] + X[791] - X[1237] + 3*X[480] + X[2669] + 2*Y[149] + 2*Y[148] <= 6
model += X[4562] + X[31] - X[6968] + 3*X[5206] + X[82] + 2*X[2167] + 2*X[6539] <= 6
model += X[7754] + X[324] - X[223] + 3*X[86] + X[5008] + 2*X[6615] + 2*X[4882] <= 6
model += X[12] + X[4411] - X[4424] + 3*X[5107] + X[4295] + 2*X[68] + 2*X[7212] <= 6
model += X[50] + X[104] - X[6412] + 3*X[6079] + X[2299] + 2*X[7138] + 2*X[4710] <= 6
model += X[4289] + X[646] - X[523] + 3*X[5313] + X[1624] + 2*X[313] + 2*X[3940] <= 6
model += X[1698] + X[6508] - X[6979] + 3*X[1938] + X[474] + 2*X[1270] + 2*X[16] <= 6
model += X[115] + X[141] - X[7651] + 3*X[5354] + X[6330] + 2*X[765] + 2*X[6783] <= 6
model += X[5692] + X[215] - X[4869] + 3*X[6056] + X[196] + 2*X[314] + 2*X[4776] <= 6
model += X[464] + X[1826] - X[337] + 3*X[4233] + X[540] + 2*X[4981] + 2*X[3663] <= 6
model += X[2282] + X[1127] - X[1163] + 3*X[1899] + X[245] + 2*X[205] + 2*X[541] <= 6
model += X[5902] + X[373] - X[796] + 3*X[723] + X[4782] + 2*X[6153] + 2*X[4140] <= 6
model += X[2620] + X[59] - X[790] + 3*X[4993] + X[3424] + 2*X[7412] + 2*X[5538] <= 6
model += X[3959] + X[60] - X[2892] + 3*X[507] + X[3293] + 2*X[1343] + 2*X[1257] <= 6
model += X[859] + X[2771] - X[5757] + 3*X[37] + X[3249] + 2*X[4860] + 2*X[3905] <= 6
model += X[3597] + X[5747] - X[5063] + 3*X[63] + X[6791] + 2*X[4330] + 2*X[710] <= 6
model += X[74] + X[3312] - X[5210] + 3*X[2337] + X[408] + 2*X[2198] + 2*X[7752] <= 6
model += X[502] + X[1915] - X[526] + 3*X[5100] + X[2288] + 2*X[3980] + 2*X[802] <= 6
model += X[7362] + X[6454] - X[677] + 3*X[3653] + X[273] + 2*X[6533] + 2*X[979] <= 6
model += X[2966] + X[6378] - X[165] + 3*X[5030] + X[761] + 2*X[591] + 2*X[6729] <= 6
model += X[6526] + X[348] - X[1623] + 3*X[860] + X[597] + 2*X[6134] + 2*X[4799] <= 6
model += X[1518] + X[198] - X[5940] + 3*X[618] + X[2826] + 2*X[974] + 2*X[6097] <= 6
model += X[1] + X[4089] - X[5771] + 3*X[3742] + X[3818] + 2*X[6903] + 2*X[7533] <= 6
model += X[381] + X[213] - X[2964] + 3*X[3002] + X[2474] + 2*X[925] + 2*X[2823] <= 6
model += X[557] + X[294] - X[6947] + 3*X[4621] + X[2331] + 2*X[6073] + 2*X[509] <= 6
model += X[184] + X[868] - X[6956] + 3*X[2226] + X[5927] + 2*X[678] + 2*X[4429] <= 6
model += X[35] + X[261] - X[2706] + 3*X[4064] + X[2605] + 2*X[3022] + 2*X[4073] <= 6
model += X[5195] + X[1070] - X[1538] + 3*X[171] + X[212] + 2*X[4573] + 2*X[823] <= 6
model += X[3658] + X[895] - X[5948] + 3*X[691] + X[792] + 2*X[1603] + 2*X[3169] <= 6
model += X[364] + X[1378] - X[4131] + 3*X[5936] + X[4653] + 2*X[95] + 2*X[4566] <= 6
model += X[2435] + X[5671] - X[220] + 3*X[700] + X[4546] + 2*X[1368] + 2*X[610] <= 6
model += X[458] + X[4416] - X[217] + 3*X[4422] + X[6173] + 2*X[822] + 2*X[3983] <= 6
model += X[706] + X[279] - X[7473] + 3*X[1918] + X[4991] + 2*X[2560] + 2*X[469] <= 6
model += X[6950] + X[5150] - X[1834] + 3*X[4805] + Y[157] + 2*Y[155] + 2*Y[154] <= 6
model += X[688] + X[2046] - X[7278] + 3*X[5080] + X[3797] + 2*X[80] + 2*X[5695] <= 6
model += X[2858] + X[7619] - X[6297] + 3*X[3573] + Y[148] + 2*Y[146] + 2*Y[145] <= 6
model += X[3651] + X[1256] - X[3757] + 3*X[5859] + Y[145] + 2*Y[159] + 2*Y[158] <= 6
model += X[2668] + X[2866] - X[2926] + 3*X[3721] + Y[152] + 2*Y[150] + 2*Y[149] <= 6
model += X[3233] + X[6031] - X[1721] + 3*X[5094] + Y[149] + 2*Y[147] + 2*Y[146] <= 6
model += X[7748] + X[1884] - X[7385] + 3*X[4295] + Y[146] + 2*Y[144] + 2*Y[159] <= 6
model += X[4795] + X[7197] - X[4203] + 3*X[1776] + Y[153] + 2*Y[151] + 2*Y[150] <= 6
model += X[953] + X[332] - X[7444] + 3*X[6443] + X[986] + 2*X[3999] + 2*X[2182] <= 6
model += X[6432] + X[5974] - X[5384] + 3*X[2841] + Y[144] + 2*Y[158] + 2*Y[157] <= 6
model += X[6152] + X[5485] - X[150] + 3*X[7235] + X[24] + 2*X[3503] + 2*X[5012] <= 6
model += X[923] + X[7549] - X[6277] + 3*X[3367] + X[6519] + 2*X[3755] + 2*X[52] <= 6
model += X[328] + X[1037] - X[4353] + 3*X[271] + X[4268] + 2*X[797] + 2*X[3354] <= 6
model += X[1751] + X[645] - X[378] + 3*X[126] + X[2010] + 2*X[4816] + 2*X[6455] <= 6
model += X[6060] + X[7634] - X[3215] + 3*X[4596] + X[818] + 2*X[368] + 2*X[453] <= 6
model += X[6] + X[1014] - X[3623] + 3*X[5881] + X[5245] + 2*X[7194] + 2*X[5158] <= 6
model += X[1797] + X[394] - X[586] + 3*X[6252] + X[1916] + 2*X[4167] + 2*X[873] <= 6
model += X[81] + X[2382] - X[6149] + 3*X[6489] + X[3978] + 2*X[3728] + 2*X[311] <= 6
model += X[3264] + X[515] - X[525] + 3*X[2599] + X[7626] + 2*X[7254] + 2*X[580] <= 6
model += X[577] + X[681] - X[7111] + 3*X[136] + X[4462] + 2*X[1807] + 2*X[5167] <= 6
model += X[6990] + X[282] - X[3934] + 3*X[1988] + X[4489] + 2*X[5975] + 2*X[46] <= 6
model += X[500] + X[7289] - X[5612] + 3*X[7001] + X[830] + 2*X[6588] + 2*X[4494] <= 6
model += X[6384] + X[3643] - X[5955] + 3*X[593] + X[6294] + 2*X[2333] + 2*X[236] <= 6
model += X[924] + X[6654] - X[4176] + 3*X[5089] + X[4783] + 2*X[419] + 2*X[7314] <= 6
model += X[5606] + X[132] - X[3942] + 3*X[772] + X[1827] + 2*X[2349] + 2*X[1578] <= 6
model += X[3898] + X[6298] - X[3137] + 3*X[26] + X[4651] + 2*X[5473] + 2*X[1521] <= 6
model += X[3706] + X[798] - X[3665] + 3*X[668] + X[1358] + 2*X[1069] + 2*X[3561] <= 6
model += X[206] + X[6800] - X[2042] + 3*X[4688] + X[475] + 2*X[5652] + 2*X[4986] <= 6
model += X[5351] + X[1997] - X[501] + 3*X[3190] + X[957] + 2*X[3541] + 2*X[2781] <= 6
model += X[6183] + X[7298] - X[90] + 3*X[4775] + X[4335] + 2*X[1513] + 2*X[3060] <= 6
model += X[4578] + X[318] - X[7016] + 3*X[7684] + X[3030] + 2*X[1334] + 2*X[522] <= 6
model += X[1652] + X[13] - X[5676] + 3*X[3180] + X[4853] + 2*X[4062] + 2*X[5458] <= 6
model += X[3773] + X[1526] - X[4244] + 3*X[4823] + X[495] + 2*X[4793] + 2*X[778] <= 6
model += X[377] + X[7490] - X[1294] + 3*X[5982] + X[482] + 2*X[1144] + 2*X[3079] <= 6
model += X[7486] + X[1547] - X[968] + 3*X[4706] + X[856] + 2*X[1684] + 2*X[2663] <= 6
model += X[3484] + X[274] - X[7514] + 3*X[1781] + X[6283] + 2*X[728] + 2*X[6779] <= 6
model += X[6865] + X[2970] - X[88] + 3*X[3904] + X[6838] + 2*X[7505] + 2*X[3570] <= 6
model += X[1022] + X[7629] - X[5661] + 3*X[183] + X[7236] + 2*X[401] + 2*X[5187] <= 6
model += X[107] + X[6554] - X[5622] + 3*X[7661] + X[7396] + 2*X[634] + 2*X[5202] <= 6
model += X[3477] + X[771] - X[2310] + 3*X[1978] + X[5917] + 2*X[578] + 2*X[6196] <= 6
model += X[4500] + X[6096] - X[5895] + 3*X[186] + X[4052] + 2*X[191] + 2*X[2707] <= 6
model += X[2037] + X[1002] - X[7731] + 3*X[4678] + X[382] + 2*X[1479] + 2*X[598] <= 6
model += X[6925] + X[2807] - X[7559] + 3*X[460] + X[808] + 2*X[4934] + 2*X[1325] <= 6
model += X[5515] + X[5685] - X[125] + 3*X[4097] + X[207] + 2*X[1957] + 2*X[3603] <= 6
model += X[943] + X[831] - X[1252] + 3*X[6992] + X[5913] + 2*X[4262] + 2*X[4189] <= 6
model += X[4958] + X[129] - X[6482] + 3*X[6220] + X[3885] + 2*X[512] + 2*X[3778] <= 6
model += X[3878] + X[112] - X[447] + 3*X[6633] + X[3668] + 2*X[2686] + 2*X[2166] <= 6
model += X[4839] + X[1036] - X[58] + 3*X[6080] + X[7599] + 2*X[1402] + 2*X[4658] <= 6
model += X[5327] + X[91] - X[3521] + 3*X[2588] + X[1295] + 2*X[3953] + 2*X[1246] <= 6
model += X[1893] + X[3376] - X[5181] + 3*X[22] + X[1045] + 2*X[2415] + 2*X[3207] <= 6
model += X[3984] + X[724] - X[589] + 3*X[1439] + X[4100] + 2*X[6025] + 2*X[4021] <= 6
model += X[1953] + X[5101] - X[2370] + 3*X[1695] + X[490] + 2*X[572] + 2*X[1168] <= 6
model += X[168] + X[494] - X[6741] + 3*X[3262] + X[7041] + 2*X[2884] + 2*X[3428] <= 6
model += X[712] + X[1492] - X[5117] + 3*X[2804] + X[5803] + 2*X[2417] + 2*X[650] <= 6
model += X[7369] + X[2108] - X[503] + 3*X[7281] + X[3315] + 2*X[766] + 2*X[1857] <= 6
model += X[1636] + X[400] - X[6612] + 3*X[6938] + X[7071] + 2*X[670] + 2*X[4164] <= 6
model += X[14] + X[4402] - X[5241] + 3*X[3970] + X[1338] + 2*X[7080] + 2*X[6722] <= 6
model += X[2567] + X[5015] - X[6969] + 3*X[4611] + X[536] + 2*X[7488] + 2*X[853] <= 6
model += X[1026] + X[4714] - X[2109] + 3*X[412] + X[144] + 2*X[3379] + 2*X[5475] <= 6
model += X[6363] + X[6240] - X[2329] + 3*X[7653] + X[5900] + 2*X[6543] + 2*X[94] <= 6
model += X[7299] + X[7284] - X[4235] + 3*X[635] + X[1929] + 2*X[5203] + 2*X[111] <= 6
model += X[4748] + X[2838] - X[564] + 3*X[384] + X[3360] + 2*X[1441] + 2*X[4451] <= 6
model += X[4418] + X[3385] - X[5188] + 3*X[978] + X[2464] + 2*X[2086] + 2*X[861] <= 6
model += X[758] + X[253] - X[5830] + 3*X[3574] + X[1212] + 2*X[5238] + 2*X[3550] <= 6
model += X[955] + X[1753] - X[4207] + 3*X[256] + X[2828] + 2*X[1006] + 2*X[3777] <= 6
model += X[457] + X[3596] - X[3415] + 3*X[1852] + X[4950] + 2*X[254] + 2*X[6215] <= 6
model += X[4911] + X[3308] - X[10] + 3*X[1005] + X[5702] + 2*X[5211] + 2*X[6481] <= 6
model += X[6891] + X[1946] - X[760] + 3*X[2973] + X[7522] + 2*X[5131] + 2*X[779] <= 6
model += X[2253] + X[7750] - X[543] + 3*X[4386] + X[3557] + 2*X[838] + 2*X[5641] <= 6
model += X[317] + X[2449] - X[7045] + 3*X[4243] + X[3752] + 2*X[5507] + 2*X[499] <= 6
model += X[904] + X[7399] - X[6772] + 3*X[6674] + X[1333] + 2*X[999] + 2*X[2652] <= 6
model += X[1775] + X[3661] - X[4824] + 3*X[2293] + X[3234] + 2*X[51] + 2*X[3845] <= 6
model += X[7072] + X[621] - X[1001] + 3*X[6807] + X[1157] + 2*X[3051] + 2*X[360] <= 6
model += X[2041] + X[994] - X[835] + 3*X[5554] + X[6910] + 2*X[2494] + 2*X[5976] <= 6
model += X[7210] + X[709] - X[5288] + 3*X[263] + X[4488] + 2*X[1155] + 2*X[7470] <= 6
model += X[1707] + X[887] - X[4938] + 3*X[2216] + X[639] + 2*X[2940] + 2*X[2237] <= 6
model += X[7691] + X[2817] - X[5595] + 3*X[4005] + X[20] + 2*X[3588] + 2*X[4768] <= 6
model += X[1259] + X[5760] - X[3535] + 3*X[5950] + X[3529] + 2*X[6706] + 2*X[53] <= 6
model += X[1458] + X[2528] - X[5448] + 3*X[6023] + X[901] + 2*X[392] + 2*X[5850] <= 6
model += X[135] + X[5526] - X[2947] + 3*X[6719] + X[461] + 2*X[7397] + 2*X[1956] <= 6
model += X[2642] + X[134] - X[4113] + 3*X[897] + X[3988] + 2*X[2328] + 2*X[6144] <= 6
model += X[5038] + X[5726] - X[7241] + 3*X[7450] + X[393] + 2*X[659] + 2*X[7099] <= 6
model += X[7755] + X[1481] - X[2369] + 3*X[2968] + X[44] + 2*X[5308] + 2*X[2575] <= 6
model += X[1635] + X[2256] - X[40] + 3*X[7410] + X[7717] + 2*X[3186] + 2*X[7187] <= 6
model += X[3202] + X[411] - X[1217] + 3*X[7350] + X[4503] + 2*X[785] + 2*X[5849] <= 6
model += X[1315] + X[863] - X[4872] + 3*X[162] + X[6473] + 2*X[1184] + 2*X[6991] <= 6
model += X[2022] + X[404] - X[1679] + 3*X[3209] + X[445] + 2*X[4901] + 2*X[2872] <= 6
model += X[1158] + X[4309] - X[4415] + 3*X[434] + X[5087] + 2*X[1082] + 2*X[654] <= 6
model += X[7565] + X[2015] - X[3163] + 3*X[5350] + X[18] + 2*X[1388] + 2*X[2347] <= 6
model += X[991] + X[7523] - X[6641] + 3*X[6513] + X[3083] + 2*X[776] + 2*X[6528] <= 6
model += X[815] + X[852] - X[7433] + 3*X[4163] + X[2818] + 2*X[5059] + 2*X[6074] <= 6
model += X[7049] + X[5193] - X[2516] + 3*X[30] + X[6338] + 2*X[2321] + 2*X[3091] <= 6
model += X[5680] + X[636] - X[1125] + 3*X[466] + X[4209] + 2*X[2729] + 2*X[5736] <= 6
model += X[7491] + X[386] - X[6226] + 3*X[3324] + X[4939] + 2*X[695] + 2*X[7566] <= 6
model += X[3204] + X[973] - X[4543] + 3*X[920] + X[2247] + 2*X[4445] + 2*X[4791] <= 6
model += X[1046] + X[36] - X[5135] + 3*X[3954] + X[4534] + 2*X[2357] + 2*X[4721] <= 6
model += X[1190] + X[653] - X[3449] + 3*X[2595] + X[701] + 2*X[2171] + 2*X[5389] <= 6
model += X[5112] + X[2061] - X[7483] + 3*X[323] + X[915] + 2*X[2196] + 2*X[2351] <= 6
model += X[4324] + X[988] - X[291] + 3*X[2976] + X[3887] + 2*X[3306] + 2*X[3849] <= 6
model += X[3880] + X[3792] - X[2859] + 3*X[5770] + X[6141] + 2*X[47] + 2*X[4699] <= 6
model += X[224] + X[7060] - X[570] + 3*X[3927] + X[7689] + 2*X[3634] + 2*X[5899] <= 6
model += X[938] + X[3348] - X[7365] + 3*X[4437] + X[5878] + 2*X[1019] + 2*X[637] <= 6
model += X[3038] + X[2628] - X[851] + 3*X[4053] + X[5578] + 2*X[703] + 2*X[3479] <= 6
model += X[6248] + X[7083] - X[4149] + 3*X[657] + X[1785] + 2*X[5390] + 2*X[764] <= 6
model += X[1063] + X[7319] - X[6907] + 3*X[4572] + X[93] + 2*X[2097] + 2*X[7739] <= 6
model += X[2316] + X[121] - X[1236] + 3*X[6208] + X[105] + 2*X[3585] + 2*X[2401] <= 6
model += X[7048] + X[187] - X[7328] + 3*X[1562] + X[6086] + 2*X[4194] + 2*X[435] <= 6
model += X[5967] + X[7018] - X[210] + 3*X[423] + X[1384] + 2*X[4942] + 2*X[2021] <= 6
model += X[5615] + X[1474] - X[3926] + 3*X[5540] + X[6111] + 2*X[259] + 2*X[520] <= 6
model += X[64] + X[2291] - X[5057] + 3*X[2121] + X[5887] + 2*X[3830] + 2*X[6867] <= 6
model += X[513] + X[5545] - X[4602] + 3*X[2624] + X[6998] + 2*X[717] + 2*X[3857] <= 6
model += X[5667] + X[1885] - X[1208] + 3*X[7296] + X[246] + 2*X[1111] + 2*X[211] <= 6
model += X[347] + X[6974] - X[7352] + 3*X[6795] + X[127] + 2*X[6290] + 2*X[6176] <= 6
model += X[3116] + X[228] - X[5716] + 3*X[4509] + X[922] + 2*X[6840] + 2*X[7725] <= 6
model += X[556] + X[1517] - X[1759] + 3*X[278] + X[2395] + 2*X[3522] + 2*X[4538] <= 6
model += X[2169] + X[465] - X[6356] + 3*X[4471] + X[4565] + 2*X[195] + 2*X[3270] <= 6
model += X[357] + X[7308] - X[6798] + 3*X[455] + X[7150] + 2*X[7420] + 2*X[5078] <= 6
model += X[2361] + X[202] - X[3869] + 3*X[219] + X[4661] + 2*X[7097] + 2*X[6374] <= 6
model += X[7688] + X[492] - X[5675] + 3*X[960] + X[4703] + 2*X[4739] + 2*X[7124] <= 6
model += X[6697] + X[781] - X[443] + 3*X[6738] + X[5875] + 2*X[6038] + 2*X[5180] <= 6
model += X[5711] + X[4666] - X[7019] + 3*X[3741] + X[787] + 2*X[865] + 2*X[5651] <= 6
model += X[534] + X[5267] - X[1949] + 3*X[1965] + X[550] + 2*X[3025] + 2*X[7356] <= 6
model += X[763] + X[3341] - X[1255] + 3*X[7261] + X[867] + 2*X[4810] + 2*X[2718] <= 6
model += X[784] + X[3555] - X[6963] + 3*X[2875] + X[6101] + 2*X[1551] + 2*X[588] <= 6
model += X[2689] + X[3438] - X[243] + 3*X[5106] + X[5731] + 2*X[735] + 2*X[5279] <= 6
model += X[1690] + X[5683] - X[697] + 3*X[879] + X[3715] + 2*X[5006] + 2*X[6557] <= 6
model += X[6854] + X[4368] - X[6663] + 3*X[2979] + X[847] + 2*X[3483] + 2*X[430] <= 6
model += X[1706] + X[3279] - X[3816] + 3*X[1010] + X[225] + 2*X[496] + 2*X[5504] <= 6
model += X[98] + X[7536] - X[4977] + 3*X[6829] + X[2925] + 2*X[1321] + 2*X[1103] <= 6
model += X[7266] + X[2645] - X[156] + 3*X[1476] + X[5291] + 2*X[3056] + 2*X[422] <= 6
model += X[429] + X[3004] - X[4095] + 3*X[4580] + X[6832] + 2*X[5664] + 2*X[315] <= 6
model += X[675] + X[1944] - X[7004] + 3*X[713] + X[1412] + 2*X[5679] + 2*X[2881] <= 6
model += X[7407] + X[1319] - X[652] + 3*X[5013] + X[617] + 2*X[7435] + 2*X[4183] <= 6
model += X[5009] + X[72] - X[4579] + 3*X[1731] + X[2036] + 2*X[2062] + 2*X[1595] <= 6
model += X[2392] + X[395] - X[559] + 3*X[1787] + X[7092] + 2*X[5340] + 2*X[7167] <= 6
model += X[5264] + X[839] - X[7253] + 3*X[5993] + X[3630] + 2*X[7730] + 2*X[353] <= 6
model += X[941] + X[6523] - X[1806] + 3*X[6955] + X[1842] + 2*X[2491] + 2*X[801] <= 6
model += X[92] + X[2545] - X[7669] + 3*X[4029] + X[4141] + 2*X[1514] + 2*X[6197] <= 6
model += X[6802] + X[2451] - X[6510] + 3*X[11] + X[7252] + 2*X[7762] + 2*X[5909] <= 6
model += X[3542] + X[4769] - X[2814] + 3*X[7675] + X[7334] + 2*X[982] + 2*X[542] <= 6
model += X[6855] + X[2189] - X[6107] + 3*X[682] + X[1346] + 2*X[4521] + 2*X[326] <= 6
model += X[5565] + X[519] - X[5166] + 3*X[2020] + X[452] + 2*X[6251] + 2*X[2743] <= 6
model += X[6245] + X[6239] - X[883] + 3*X[3309] + X[1510] + 2*X[1907] + 2*X[940] <= 6
model += X[6061] + X[27] - X[1316] + 3*X[2662] + X[7587] + 2*X[6875] + 2*X[7256] <= 6
model += X[5632] + X[7596] - X[5196] + 3*X[686] + X[4228] + 2*X[288] + 2*X[3622] <= 6
model += X[7023] + X[4765] - X[5828] + 3*X[302] + X[2152] + 2*X[1725] + 2*X[809] <= 6
model += X[5420] + X[3450] - X[7267] + 3*X[2228] + X[402] + 2*X[3908] + 2*X[142] <= 6
model += X[1889] + X[2192] - X[308] + 3*X[5230] + X[5672] + 2*X[753] + 2*X[6619] <= 6
model += X[6824] + X[846] - X[921] + 3*X[3565] + X[6340] + 2*X[4876] + 2*X[5774] <= 6
model += X[6677] + X[4247] - X[5750] + 3*X[99] + X[6620] + 2*X[6435] + 2*X[5729] <= 6
model += X[5274] + X[396] - X[3170] + 3*X[734] + X[5825] + 2*X[5860] + 2*X[4731] <= 6
model += X[995] + X[4774] - X[177] + 3*X[7685] + X[1301] + 2*X[6180] + 2*X[7595] <= 6
model += X[6714] + X[3993] - X[2793] + 3*X[5819] + X[43] + 2*X[2043] + 2*X[3464] <= 6
model += X[6413] + X[2797] - X[5513] + 3*X[929] + X[153] + 2*X[3248] + 2*X[5192] <= 6
model += X[3460] + X[2836] - X[7520] + 3*X[5386] + X[7102] + 2*X[97] + 2*X[3081] <= 6
model += X[5807] + X[849] - X[3059] + 3*X[565] + X[6376] + 2*X[7441] + 2*X[6616] <= 6
model += X[3560] + X[2248] - X[4472] + 3*X[163] + X[248] + 2*X[4903] + 2*X[5564] <= 6
model += X[900] + X[1434] - X[6692] + 3*X[1761] + X[6605] + 2*X[828] + 2*X[3764] <= 6
model += X[919] + X[2886] - X[5252] + 3*X[5932] + X[609] + 2*X[1162] + 2*X[5542] <= 6
model += X[6230] + X[65] - X[4220] + 3*X[2636] + X[3649] + 2*X[1083] + 2*X[7030] <= 6
model += X[5123] + X[3606] - X[2456] + 3*X[825] + X[5720] + 2*X[7073] + 2*X[721] <= 6
model += X[1877] + X[7518] - X[214] + 3*X[845] + X[3412] + 2*X[4396] + 2*X[2364] <= 6
model += X[7115] + X[1765] - X[5861] + 3*X[4025] + X[951] + 2*X[3925] + 2*X[866] <= 6
model += X[3736] + X[954] - X[3962] + 3*X[2904] + X[3437] + 2*X[6071] + 2*X[971] <= 6
model += X[3447] + X[3294] - X[2306] + 3*X[5398] + X[2562] + 2*Y[155] + 2*Y[154] <= 6
model += X[3949] + X[5945] - X[595] + 3*X[2101] + X[5419] + 2*X[296] + 2*X[3017] <= 6
model += X[643] + X[596] - X[1780] + 3*X[5269] + X[2314] + 2*X[3370] + 2*X[4440] <= 6
model += X[876] + X[1673] - X[2143] + 3*X[547] + X[2479] + 2*X[6118] + 2*X[2585] <= 6
model += X[5963] + X[5076] - X[410] + 3*X[812] + X[1554] + 2*X[5701] + 2*X[5663] <= 6
model += X[3032] + X[3297] - X[2518] + 3*X[3805] + X[3336] + 2*X[67] + 2*X[6117] <= 6
model += X[6116] + X[6479] - X[2962] + 3*X[7232] + X[4805] + 2*Y[152] + 2*Y[151] <= 6
model += X[4785] + X[7604] - X[857] + 3*X[1062] + X[399] + 2*X[4031] + 2*X[4715] <= 6
model += X[2488] + X[770] - X[3480] + 3*X[6567] + X[563] + 2*X[2290] + 2*X[3929] <= 6
model += X[1665] + X[3507] - X[367] + 3*X[432] + X[5893] + 2*X[7042] + 2*X[4260] <= 6
model += X[1247] + X[6502] - X[249] + 3*X[124] + X[3380] + 2*X[1633] + 2*X[7285] <= 6
model += X[7682] + X[42] - X[3935] + 3*X[2617] + X[4837] + 2*X[2864] + 2*X[3510] <= 6
model += X[7021] + X[3684] - X[3095] + 3*X[7193] + X[745] + 2*X[226] + 2*X[4093] <= 6
model += X[780] + X[1819] - X[6739] + 3*X[1910] + X[2241] + 2*X[962] + 2*X[3543] <= 6
model += X[6919] + X[6664] - X[5674] + 3*X[1414] + X[498] + 2*X[1056] + 2*X[350] <= 6
model += X[5766] + X[4329] - X[5930] + 3*X[5023] + X[4687] + 2*Y[146] + 2*Y[145] <= 6
model += X[5349] + X[6021] - X[5844] + 3*X[6676] + X[5582] + 2*X[558] + 2*X[871] <= 6
model += X[6035] + X[407] - X[1380] + 3*X[2432] + X[948] + 2*X[1689] + 2*X[5885] <= 6
model += X[1324] + X[5656] - X[762] + 3*X[3292] + X[594] + 2*X[5999] + 2*X[1356] <= 6
model += X[371] + X[2218] - X[6796] + 3*X[807] + X[1821] + 2*X[4996] + 2*X[5789] <= 6
model += X[5933] + X[5319] - X[1118] + 3*X[7458] + X[28] + 2*X[3188] + 2*X[4746] <= 6
model += X[6640] + X[885] - X[7213] + 3*X[197] + X[6100] + 2*X[2501] + 2*X[5758] <= 6
model += X[827] + X[2191] - X[6036] + 3*X[685] + X[5599] + 2*X[6480] + 2*X[6624] <= 6
model += X[6408] + X[427] - X[7076] + 3*X[5583] + X[7214] + 2*X[252] + 2*X[5140] <= 6
model += X[7453] + X[4665] - X[5894] + 3*X[6207] + X[32] + 2*X[4328] + 2*X[3594] <= 6
model += X[2589] + X[6725] - X[7588] + 3*X[6585] + X[1913] + 2*X[61] + 2*X[1454] <= 6
model += X[4468] + X[5919] - X[260] + 3*X[6387] + X[3285] + 2*X[7586] + 2*X[731] <= 6
model += X[6358] + X[1225] - X[1159] + 3*X[6730] + X[3413] + 2*X[154] + 2*X[510] <= 6
model += X[7037] + X[1263] - X[7217] + 3*X[4107] + X[4407] + 2*X[89] + 2*X[3241] <= 6
model += X[6445] + X[7330] - X[5951] + 3*X[4887] + X[754] + 2*X[1803] + 2*X[166] <= 6
model += X[2576] + X[820] - X[1700] + 3*X[5341] + X[2013] + 2*X[826] + 2*X[4458] <= 6
model += X[751] + X[3387] - X[942] + 3*X[6767] + X[5421] + 2*X[2122] + 2*X[1500] <= 6
model += X[936] + X[3750] - X[2270] + 3*X[882] + X[3721] + 2*X[7619] + 2*X[6297] <= 6
model += X[2183] + X[7672] - X[789] + 3*X[6862] + X[627] + 2*X[4507] + 2*X[1832] <= 6
model += X[4094] + X[140] - X[2665] + 3*X[5014] + X[4751] + 2*X[6309] + 2*X[854] <= 6
model += X[3166] + X[2812] - X[3448] + 3*X[6522] + X[4627] + 2*X[1068] + 2*X[69] <= 6
model += X[3881] + X[935] - X[193] + 3*X[2555] + X[2440] + 2*X[1296] + 2*X[7722] <= 6
model += X[3724] + X[5755] - X[2637] + 3*X[4067] + X[579] + 2*X[626] + 2*X[2542] <= 6
model += X[2303] + X[2044] - X[2200] + 3*X[896] + X[1828] + 2*X[5312] + 2*X[251] <= 6
model += X[6047] + X[3069] - X[708] + 3*X[3595] + X[1683] + 2*X[459] + 2*X[3941] <= 6
model += X[176] + X[3409] - X[6861] + 3*X[7506] + X[2957] + 2*X[173] + 2*X[1340] <= 6
model += X[6659] + X[1902] - X[1418] + 3*X[5670] + X[727] + 2*X[6981] + 2*X[7295] <= 6
model += X[1177] + X[2640] - X[5566] + 3*X[1408] + X[4926] + 2*X[672] + 2*X[4604] <= 6
model += X[1887] + X[841] - X[3716] + 3*X[4066] + X[6651] + 2*X[1059] + 2*X[4547] <= 6
model += X[1519] + X[6350] - X[359] + 3*X[7131] + X[5914] + 2*X[2846] + 2*X[5733] <= 6
model += X[1406] + X[5795] - X[3766] + 3*X[7129] + X[6258] + 2*X[947] + 2*X[3945] <= 6
model += X[2967] + X[2418] - X[777] + 3*X[4904] + X[1119] + 2*X[6077] + 2*X[3439] <= 6
model += X[5535] + X[970] - X[2674] + 3*X[2870] + X[3531] + 2*X[3894] + 2*X[1532] <= 6
model += X[1310] + X[346] - X[4909] + 3*X[3489] + X[6236] + 2*X[4740] + 2*X[2615] <= 6
model += X[1137] + X[4433] - X[6110] + 3*X[5714] + X[604] + 2*X[5639] + 2*X[2453] <= 6
model += X[3646] + X[231] - X[1393] + 3*X[6733] + X[4232] + 2*X[3231] + 2*X[7224] <= 6
model += X[6931] + X[3640] - X[138] + 3*X[6016] + X[5497] + 2*X[2105] + 2*X[7038] <= 6
model += X[881] + X[6629] - X[5047] + 3*X[5918] + X[6548] + 2*X[2234] + 2*X[2180] <= 6
model += X[5589] + X[268] - X[2366] + 3*X[2688] + X[6580] + 2*X[5518] + 2*X[3214] <= 6
model += X[1204] + X[4520] - X[2672] + 3*X[1494] + X[413] + 2*X[4752] + 2*X[4638] <= 6
model += X[6156] + X[7089] - X[7195] + 3*X[794] + X[3745] + 2*X[2130] + 2*X[3851] <= 6
model += X[5804] + X[365] - X[4990] + 3*X[4080] + X[2460] + 2*X[6342] + 2*X[1748] <= 6
model += X[1809] + X[7189] - X[1890] + 3*X[3604] + X[2773] + 2*X[192] + 2*X[3141] <= 6
model += X[3084] + X[3223] - X[6649] + 3*X[438] + X[2655] + 2*X[5533] + 2*X[1171] <= 6
model += X[2251] + X[5717] - X[6634] + 3*X[7401] + X[2172] + 2*X[103] + 2*X[7485] <= 6
model += X[7056] + X[707] - X[2374] + 3*X[5114] + X[3373] + 2*X[3608] + 2*X[1289] <= 6
model += X[3671] + X[5915] - X[468] + 3*X[1238] + X[3515] + 2*X[3853] + 2*X[3085] <= 6
model += X[5088] + X[5270] - X[4410] + 3*X[5990] + X[414] + 2*X[3029] + 2*X[4944] <= 6
model += X[487] + X[5645] - X[7050] + 3*X[2455] + X[2980] + 2*X[6346] + 2*X[3331] <= 6
model += X[985] + X[4350] - X[2273] + 3*X[4391] + X[5536] + 2*X[6128] + 2*X[4143] <= 6
model += X[4504] + X[4054] - X[6065] + 3*X[4375] + X[6329] + 2*X[567] + 2*X[2911] <= 6
model += X[5630] + X[418] - X[7476] + 3*X[2955] + X[1962] + 2*X[4575] + 2*X[5339] <= 6
model += X[1040] + X[312] - X[7759] + 3*X[6937] + X[4370] + 2*X[4884] + 2*X[2139] <= 6
model += X[6450] + X[241] - X[7015] + 3*X[1992] + X[2867] + 2*X[5929] + 2*X[2236] <= 6
model += X[322] + X[7360] - X[3702] + 3*X[3712] + X[6888] + 2*X[3476] + 2*X[4477] <= 6
model += X[3732] + X[739] - X[2860] + 3*X[2296] + X[2397] + 2*X[6452] + 2*X[6997] <= 6
model += X[2489] + X[6132] - X[361] + 3*X[3094] + X[6715] + 2*X[1831] + 2*X[4906] <= 6
model += X[7148] + X[6381] - X[5367] + 3*X[1000] + X[185] + 2*X[1012] + 2*X[7209] <= 6
model += X[1075] + X[7434] - X[1720] + 3*X[5837] + X[889] + 2*X[5282] + 2*X[3593] <= 6
model += X[2186] + X[3011] - X[479] + 3*X[5068] + X[3296] + 2*X[3392] + 2*X[6052] <= 6
model += X[6701] + X[4361] - X[629] + 3*X[6759] + X[1357] + 2*X[2908] + 2*X[6608] <= 6
model += X[1729] + X[1740] - X[4831] + 3*X[1430] + X[6751] + 2*X[1855] + 2*X[907] <= 6
model += X[1666] + X[2739] - X[158] + 3*X[3436] + X[5876] + 2*X[1671] + 2*X[7116] <= 6
model += X[6702] + X[3699] - X[3601] + 3*X[2801] + X[292] + 2*X[7541] + 2*X[3829] <= 6
model += X[788] + X[4399] - X[3611] + 3*X[1815] + X[5029] + 2*X[1235] + 2*X[7556] <= 6
model += X[6279] + X[7031] - X[3822] + 3*X[2243] + X[3872] + 2*X[2783] + 2*X[679] <= 6
model += X[2330] + X[1004] - X[7160] + 3*X[848] + X[3351] + 2*X[3009] + 2*X[7624] <= 6
model += X[175] + X[3050] - X[2050] + 3*X[1450] + X[7703] + 2*X[2767] + 2*X[6760] <= 6
model += X[1355] + X[4076] - X[1290] + 3*X[5320] + X[428] + 2*X[1462] + 2*X[5124] <= 6
model += X[5593] + X[7551] - X[463] + 3*X[7521] + X[3966] + 2*X[3014] + 2*X[1248] <= 6
model += X[7539] + X[5882] - X[508] + 3*X[1161] + X[4479] + 2*X[7668] + 2*X[2621] <= 6
model += X[4173] + X[1268] - X[4619] + 3*X[2618] + X[2764] + 2*X[726] + 2*X[2284] <= 6
model += X[992] + X[7655] - X[1489] + 3*X[6594] + X[7436] + 2*X[1192] + 2*X[5549] <= 6
model += X[2350] + X[5330] - X[1453] + 3*X[2832] + X[783] + 2*X[7760] + 2*X[1835] <= 6
model += X[7262] + X[4747] - X[3481] + 3*X[3064] + X[562] + 2*X[3146] + 2*X[3850] <= 6
model += X[6224] + X[3003] - X[4315] + 3*X[6209] + X[916] + 2*X[7764] + 2*X[2520] <= 6
model += X[6761] + X[2786] - X[3155] + 3*X[6825] + X[1428] + 2*X[769] + 2*X[7557] <= 6
model += X[3469] + X[5591] - X[2260] + 3*X[7790] + X[7746] + 2*X[6547] + 2*X[155] <= 6
model += X[2878] + X[984] - X[6941] + 3*X[4597] + X[2184] + 2*X[4577] + 2*X[6793] <= 6
model += X[7135] + X[803] - X[2416] + 3*X[4672] + X[5060] + 2*X[6964] + 2*X[6911] <= 6
model += X[5074] + X[4667] - X[1573] + 3*X[188] + X[1429] + 2*X[7474] + 2*X[4951] <= 6
model += X[711] + X[7756] - X[4544] + 3*X[6917] + X[3803] + 2*X[7715] + 2*X[7230] <= 6
model += X[2153] + X[5051] - X[1071] + 3*X[4087] + X[755] + 2*X[1830] + 2*X[5551] <= 6
model += X[806] + X[6758] - X[1057] + 3*X[5359] + X[3173] + 2*X[1534] + 2*X[5618] <= 6
model += X[3149] + X[699] - X[2896] + 3*X[7698] + X[2399] + 2*X[7650] + 2*X[2265] <= 6
model += X[1654] + X[581] - X[4657] + 3*X[5616] + X[1881] + 2*X[7639] + 2*X[2444] <= 6
model += X[1732] + X[4045] - X[3756] + 3*X[3956] + X[5691] + 2*X[109] + 2*X[3768] <= 6
model += X[1436] + X[5509] - X[987] + 3*X[5129] + X[1503] + 2*X[7598] + 2*X[5173] <= 6
model += X[2685] + X[3951] - X[4925] + 3*X[3580] + X[2856] + 2*X[6853] + 2*X[240] <= 6
model += X[4954] + X[7469] - X[2403] + 3*X[7774] + X[4630] + 2*X[6709] + 2*X[888] <= 6
model += X[5032] + X[5097] - X[1052] + 3*X[648] + X[4571] + 2*X[2423] + 2*X[3858] <= 6
model += X[5055] + X[6351] - X[587] + 3*X[7081] + X[4214] + 2*X[3591] + 2*X[1667] <= 6
model += X[4551] + X[3508] - X[914] + 3*X[5298] + X[3458] + 2*X[6671] + 2*X[5783] <= 6
model += X[2255] + X[321] - X[5796] + 3*X[2931] + X[1447] + 2*X[2837] + 2*X[1904] <= 6
model += X[6727] + X[6826] - X[1403] + 3*X[157] + X[6870] + 2*X[5401] + 2*X[2865] <= 6
model += X[4366] + X[4535] - X[3358] + 3*X[473] + X[4218] + 2*X[6320] + 2*X[4266] <= 6
model += X[7646] + X[3694] - X[6518] + 3*X[3730] + X[5605] + 2*X[6020] + 2*X[931] <= 6
model += X[5668] + X[958] - X[2308] + 3*X[5171] + X[1284] + 2*X[4400] + 2*X[3375] <= 6
model += X[3647] + X[5694] - X[1467] + 3*X[3637] + X[5139] + 2*X[5433] + 2*X[304] <= 6
model += X[1205] + X[485] - X[2481] + 3*X[4059] + X[5024] + 2*X[6778] + 2*X[1568] <= 6
model += X[1812] + X[7394] - X[1482] + 3*X[2876] + X[2825] + 2*X[4726] + 2*X[343] <= 6
model += X[782] + X[6920] - X[2671] + 3*X[3148] + X[4625] + 2*X[7239] + 2*X[1391] <= 6
model += X[2164] + X[6349] - X[1917] + 3*X[1222] + X[3024] + 2*X[340] + 2*X[7575] <= 6
model += X[415] + X[7749] - X[6198] + 3*X[1017] + X[1837] + 2*X[6902] + 2*X[1626] <= 6
model += X[3760] + X[5360] - X[3356] + 3*X[1464] + X[814] + 2*X[1115] + 2*X[3304] <= 6
model += X[5228] + X[944] - X[6589] + 3*X[2463] + X[1317] + 2*X[1531] + 2*X[6063] <= 6
model += X[930] + X[7029] - X[5563] + 3*X[2726] + X[2437] + 2*X[1193] + 2*X[1145] <= 6
model += X[2824] + X[1742] - X[4754] + 3*X[3208] + X[1941] + 2*X[7769] + 2*X[449] <= 6
model += X[4270] + X[227] - X[1607] + 3*X[2889] + X[3511] + 2*X[6904] + 2*X[2360] <= 6
model += X[2305] + X[421] - X[5573] + 3*X[6135] + X[2869] + 2*X[1861] + 2*X[4631] <= 6
model += X[1674] + X[1757] - X[4051] + 3*X[518] + X[7218] + 2*X[6249] + 2*X[2017] <= 6
model += X[5584] + X[6401] - X[804] + 3*X[4600] + X[4382] + 2*X[4250] + 2*X[6551] <= 6
model += X[1398] + X[2572] - X[1152] + 3*X[6927] + X[1822] + 2*X[655] + 2*X[5897] <= 6
model += X[7332] + X[5705] - X[1597] + 3*X[3569] + X[1847] + 2*X[5941] + 2*X[439] <= 6
model += X[1394] + X[4042] - X[1021] + 3*X[1136] + X[2263] + 2*X[2388] + 2*X[705] <= 6
model += X[293] + X[3210] - X[3924] + 3*X[2498] + X[4863] + 2*X[2960] + 2*X[4921] <= 6
model += X[2080] + X[4069] - X[6362] + 3*X[6237] + X[729] + 2*X[7390] + 2*X[6012] <= 6
model += X[4037] + X[6821] - X[7248] + 3*X[3787] + X[5409] + 2*X[1427] + 2*X[744] <= 6
model += X[6171] + X[1749] - X[1841] + 3*X[3219] + X[3717] + 2*X[276] + 2*X[4501] <= 6
model += X[6777] + X[4357] - X[2311] + 3*X[673] + X[3057] + 2*X[3825] + 2*X[7602] <= 6
model += X[5684] + X[234] - X[4459] + 3*X[5276] + X[5137] + 2*X[3696] + 2*X[6831] <= 6
model += X[624] + X[7070] - X[6966] + 3*X[1363] + X[6306] + 2*X[3289] + 2*X[1370] <= 6
model += X[2819] + X[817] - X[4137] + 3*X[2445] + X[7176] + 2*X[1999] + 2*X[4728] <= 6
model += X[6375] + X[3326] - X[6263] + 3*X[3171] + X[4851] + 2*X[406] + 2*X[2177] <= 6
model += X[5010] + X[7270] - X[2077] + 3*X[3985] + X[6900] + 2*X[5121] + 2*X[221] <= 6
model += X[5646] + X[1543] - X[6108] + 3*X[555] + X[6599] + 2*X[2653] + 2*X[4240] <= 6
model += X[3432] + X[3026] - X[966] + 3*X[6630] + X[2851] + 2*X[3616] + 2*X[2068] <= 6
model += X[3626] + X[3136] - X[605] + 3*X[5949] + X[5901] + 2*X[4248] + 2*X[2614] <= 6
model += X[614] + X[7741] - X[5931] + 3*X[6430] + X[7582] + 2*X[6268] + 2*X[3419] <= 6
model += X[4334] + X[4455] - X[3335] + 3*X[583] + X[3283] + 2*X[4941] + 2*X[7511] <= 6
model += X[6229] + X[3259] - X[7454] + 3*X[2232] + X[5086] + 2*X[3329] + 2*X[303] <= 6
model += X[1704] + X[7608] - X[2114] + 3*X[4229] + X[891] + 2*X[3381] + 2*X[6386] <= 6
model += X[2497] + X[6315] - X[6379] + 3*X[1196] + X[5260] + 2*X[366] + 2*X[5019] <= 6
model += X[123] + X[2948] - X[6221] + 3*X[4081] + X[4999] + 2*X[1900] + 2*X[3762] <= 6
model += X[1833] + X[1176] - X[5687] + 3*X[2806] + X[538] + 2*X[5081] + 2*X[3317] <= 6
model += X[6019] + X[5253] - X[2506] + 3*X[1332] + X[6873] + 2*X[145] + 2*X[6219] <= 6
model += X[6569] + X[1784] - X[1488] + 3*X[5782] + X[5647] + 2*X[128] + 2*X[7727] <= 6
model += X[551] + X[4179] - X[1848] + 3*X[7191] + X[2697] + 2*X[1258] + 2*X[4933] <= 6
model += X[4809] + X[4898] - X[2398] + 3*X[1947] + X[7206] + 2*X[454] + 2*X[5871] <= 6
model += X[5428] + X[7005] - X[3627] + 3*X[6667] + X[6331] + 2*X[757] + 2*X[7119] <= 6
model += X[2318] + X[1790] - X[4002] + 3*X[3300] + X[2933] + 2*X[301] + 2*X[6552] <= 6
model += X[5159] + X[5481] - X[4713] + 3*X[3045] + X[573] + 2*X[2612] + 2*X[3860] <= 6
model += X[5508] + X[1267] - X[7609] + 3*X[2839] + X[277] + 2*X[7448] + 2*X[3168] <= 6
model += X[6909] + X[7683] - X[6467] + 3*X[4540] + X[756] + 2*X[6044] + 2*X[6137] <= 6
model += X[5634] + X[560] - X[2941] + 3*X[5105] + X[2965] + 2*X[7498] + 2*X[5650] <= 6
model += X[3245] + X[7169] - X[1352] + 3*X[3673] + X[4585] + 2*X[6013] + 2*X[339] <= 6
model += X[620] + X[4091] - X[6164] + 3*X[1433] + X[7573] + 2*X[6451] + 2*X[4252] <= 6
model += X[3072] + X[5240] - X[6124] + 3*X[329] + X[5792] + 2*X[2389] + 2*X[2766] <= 6
model += X[4281] + X[1676] - X[903] + 3*X[5961] + X[4567] + 2*X[6886] + 2*X[3944] <= 6
model += X[6713] + X[6008] - X[862] + 3*X[7109] + X[4288] + 2*X[4221] + 2*X[1361] <= 6
model += X[7258] + X[505] - X[6597] + 3*X[5732] + X[1660] + 2*X[4145] + 2*X[6216] <= 6
model += X[1030] + X[2064] - X[3739] + 3*X[380] + X[4948] + 2*X[3801] + 2*X[4982] <= 6
model += X[1292] + X[7510] - X[552] + 3*X[1796] + X[1615] + 2*X[3101] + 2*X[1167] <= 6
model += X[5742] + X[3063] - X[3305] + 3*X[2650] + X[6655] + 2*X[4989] + 2*X[351] <= 6
model += X[5922] + X[5001] - X[6953] + 3*X[1524] + X[877] + 2*X[1231] + 2*X[2016] <= 6
model += X[6463] + X[2514] - X[603] + 3*X[2245] + X[6466] + 2*X[7617] + 2*X[3917] <= 6
model += X[4757] + X[6534] - X[658] + 3*X[2465] + X[1911] + 2*X[3423] + 2*X[5764] <= 6
model += X[5237] + X[1277] - X[4821] + 3*X[2969] + X[687] + 2*X[3433] + 2*X[7495] <= 6
model += X[3708] + X[4068] - X[3390] + 3*X[1858] + X[6690] + 2*X[1023] + 2*X[537] <= 6
model += X[5120] + X[1234] - X[1501] + 3*X[1661] + X[4492] + 2*X[2810] + 2*X[545] <= 6
model += X[4616] + X[6816] - X[6325] + 3*X[869] + X[6439] + 2*X[3605] + 2*X[1541] <= 6
model += X[4390] + X[736] - X[2535] + 3*X[5411] + X[3896] + 2*X[2504] + 2*X[4352] <= 6
model += X[1987] + X[295] - X[7338] + 3*X[1716] + X[7765] + 2*X[5588] + 2*X[6611] <= 6
model += X[6182] + X[4454] - X[964] + 3*X[2118] + X[3607] + 2*X[5157] + 2*X[4888] <= 6
model += X[5840] + X[4327] - X[5216] + 3*X[6014] + X[297] + 2*X[2873] + 2*X[7417] <= 6
model += X[7096] + X[3506] - X[159] + 3*X[6186] + X[4279] + 2*X[1148] + 2*X[4151] <= 6
model += X[546] + X[5164] - X[5706] + 3*X[2135] + X[3055] + 2*X[3963] + 2*X[2526] <= 6
model += X[4023] + X[2106] - X[1244] + 3*X[4545] + X[2673] + 2*X[106] + 2*X[3212] <= 6
model += X[850] + X[1942] - X[5062] + 3*X[3915] + X[3054] + 2*X[6045] + 2*X[6768] <= 6
model += X[7531] + X[2544] - X[5984] + 3*X[5064] + X[4698] + 2*X[379] + 2*X[4075] <= 6
model += X[2193] + X[1799] - X[1203] + 3*X[1733] + X[6797] + 2*X[7242] + 2*X[690] <= 6
model += X[307] + X[6270] - X[1791] + 3*X[3528] + X[5843] + 2*X[3093] + 2*X[2377] <= 6
model += X[4223] + X[582] - X[7387] + 3*X[2731] + X[4586] + 2*X[7550] + 2*X[4570] <= 6
model += X[370] + X[7255] - X[6653] + 3*X[4423] + X[5031] + 2*X[3232] + 2*X[2830] <= 6
model += X[575] + X[6675] - X[6877] + 3*X[1981] + X[7012] + 2*X[4648] + 2*X[1680] <= 6
model += X[5635] + X[7085] - X[6267] + 3*X[1305] + X[6681] + 2*X[299] + 2*X[6806] <= 6
model += X[3441] + X[521] - X[1672] + 3*X[7178] + X[7301] + 2*X[2441] + 2*X[7788] <= 6
model += X[7313] + X[4347] - X[5631] + 3*X[3838] + X[5779] + 2*X[906] + 2*X[3893] <= 6
model += X[1528] + X[3505] - X[3110] + 3*X[3366] + X[886] + 2*X[7324] + 2*X[1116] <= 6
model += X[204] + X[4009] - X[3268] + 3*X[5980] + X[5604] + 2*X[5236] + 2*X[5358] <= 6
model += X[600] + X[5977] - X[7758] + 3*X[6530] + X[7349] + 2*X[2087] + 2*X[6024] <= 6
model += X[4641] + X[619] - X[4269] + 3*X[5004] + X[3976] + 2*X[3039] + 2*X[1151] <= 6
model += X[1101] + X[7430] - X[1122] + 3*X[4998] + X[7283] + 2*X[3078] + 2*X[203] <= 6
model += X[137] + X[6223] - X[3727] + 3*X[3028] + X[7120] + 2*X[6475] + 2*X[2737] <= 6
model += X[4253] + X[7303] - X[7538] + 3*X[1856] + X[6559] + 2*X[584] + 2*X[6604] <= 6
model += X[3932] + X[2844] - X[2543] + 3*X[1798] + X[7257] + 2*X[143] + 2*X[6483] <= 6
model += X[7721] + X[4848] - X[7305] + 3*X[7628] + X[3374] + 2*X[680] + 2*X[3229] <= 6
model += X[3519] + X[6740] - X[4542] + 3*X[5294] + X[590] + 2*X[3636] + 2*X[2011] <= 6
model += X[2297] + X[5812] - X[1750] + 3*X[1766] + X[874] + 2*X[1817] + 2*X[5677] <= 6
model += X[4245] + X[1593] - X[1188] + 3*X[338] + X[7426] + 2*X[2179] + 2*X[5427] <= 6
model += X[4133] + X[6809] - X[1934] + 3*X[3642] + X[5296] + 2*X[661] + 2*X[7489] <= 6
model += X[3216] + X[102] - X[3920] + 3*X[5964] + X[6250] + 2*X[2525] + 2*X[2160] <= 6
model += X[622] + X[6436] - X[4964] + 3*X[7773] + X[3697] + 2*X[6337] + 2*X[3129] <= 6
model += X[3361] + X[4490] - X[5363] + 3*X[899] + X[6914] + 2*X[7331] + 2*X[2358] <= 6
model += X[1033] + X[6918] - X[4792] + 3*X[5037] + X[1440] + 2*X[275] + 2*X[5371] <= 6
model += X[1081] + X[3153] - X[5377] + 3*X[7288] + X[5285] + 2*X[216] + 2*X[7712] <= 6
model += X[3338] + X[3839] - X[1053] + 3*X[5462] + X[2450] + 2*X[544] + 2*X[3405] <= 6
model += X[6053] + X[2608] - X[5128] + 3*X[4298] + X[3343] + 2*X[2156] + 2*X[665] <= 6
model += X[6993] + X[698] - X[1865] + 3*X[1523] + X[7006] + 2*X[1860] + 2*X[7625] <= 6
model += X[6264] + X[7552] - X[1202] + 3*X[3031] + X[7009] + 2*X[167] + 2*X[4940] <= 6
model += X[1329] + X[6520] - X[2107] + 3*X[4077] + X[1612] + 2*X[6313] + 2*X[950] <= 6
model += X[3071] + X[1571] - X[113] + 3*X[6104] + X[3472] + 2*X[5151] + 2*X[3010] <= 6
model += X[1813] + X[2988] - X[6029] + 3*X[2004] + X[5335] + 2*X[1400] + 2*X[972] <= 6
model += X[4013] + X[4122] - X[4452] + 3*X[684] + X[4833] + 2*X[1955] + 2*X[2530] <= 6
model += X[151] + X[5937] - X[3451] + 3*X[2414] + X[2745] + 2*X[7656] + 2*X[5355] <= 6
model += X[7322] + X[4814] - X[1372] + 3*X[7466] + X[4992] + 2*X[341] + 2*X[3821] <= 6
model += X[7192] + X[5273] - X[4969] + 3*X[4880] + X[3466] + 2*X[420] + 2*X[4881] <= 6
model += X[325] + X[2900] - X[7163] + 3*X[5960] + X[4997] + 2*X[4006] + 2*X[3123] <= 6
model += X[7164] + X[5834] - X[431] + 3*X[6398] + X[2580] + 2*X[6103] + 2*X[7699] <= 6
model += X[4893] + X[1883] - X[720] + 3*X[1727] + X[6504] + 2*X[3554] + 2*X[6129] <= 6
model += X[5872] + X[1591] - X[6564] + 3*X[3115] + X[3286] + 2*X[937] + 2*X[1545] <= 6
model += X[4117] + X[5546] - X[281] + 3*X[1074] + X[3467] + 2*X[1814] + 2*X[5141] <= 6
model += X[3251] + X[334] - X[6033] + 3*X[3889] + X[3346] + 2*X[4677] + 2*X[1016] <= 6
model += X[2644] + X[6500] - X[6262] + 3*X[4866] + X[7327] + 2*X[909] + 2*X[1581] <= 6
model += X[5808] + X[1783] - X[5186] + 3*X[2507] + X[630] + 2*X[6344] + 2*X[2492] <= 6
model += X[7317] + X[2929] - X[2677] + 3*X[1401] + X[6373] + 2*X[389] + 2*X[6390] <= 6
model += X[2512] + X[2903] - X[6049] + 3*X[743] + X[2409] + 2*X[2163] + 2*X[6810] <= 6
model += X[5452] + X[7335] - X[4261] + 3*X[2847] + X[7584] + 2*X[898] + 2*X[1574] <= 6
model += X[230] + X[3080] - X[6915] + 3*X[3363] + X[6764] + 2*X[5109] + 2*X[7364] <= 6
model += X[7695] + X[6005] - X[6471] + 3*X[3328] + X[316] + 2*X[1769] + 2*X[7513] <= 6
model += X[5835] + X[6477] - X[2170] + 3*X[775] + X[2590] + 2*X[1728] + 2*X[5287] <= 6
model += X[1253] + X[2127] - X[200] + 3*X[4984] + X[1659] + 2*X[4935] + 2*X[5307] <= 6
model += X[1230] + X[1867] - X[7272] + 3*X[6067] + X[7413] + 2*X[6766] + 2*X[805] <= 6
model += X[952] + X[6343] - X[6929] + 3*X[7165] + X[3744] + 2*X[1079] + 2*X[5223] <= 6
model += X[530] + X[7568] - X[2320] + 3*X[4895] + X[3657] + 2*X[4932] + 2*X[1794] <= 6
model += X[3848] + X[5447] - X[4106] + 3*X[793] + X[5052] + 2*X[1211] + 2*X[6347] <= 6
model += X[3957] + X[549] - X[3530] + 3*X[6190] + X[3263] + 2*X[7497] + 2*X[7472] <= 6
model += X[6406] + X[1020] - X[3577] + 3*X[6429] + X[448] + 2*X[6235] + 2*X[1423] <= 6
model += X[3066] + X[3397] - X[5198] + 3*X[387] + X[5331] + 2*X[7740] + 2*X[2267] <= 6
model += X[6354] + X[4497] - X[1687] + 3*X[1602] + X[5297] + 2*X[6563] + 2*X[956] <= 6
model += X[3150] + X[5745] - X[4818] + 3*X[3184] + X[6711] + 2*X[3892] + 2*X[244] <= 6
model += X[2009] + X[4840] - X[2629] + 3*X[504] + X[4691] + 2*X[1925] + 2*X[4071] <= 6
model += X[3677] + X[4275] - X[298] + 3*X[1588] + X[2482] + 2*X[7223] + 2*X[2372] <= 6
model += X[6453] + X[7381] - X[3174] + 3*X[1124] + X[2634] + 2*X[3260] + 2*X[116] <= 6
model += X[3834] + X[3751] - X[4181] + 3*X[5490] + X[3811] + 2*X[6392] + 2*X[786] <= 6
model += X[5988] + X[1919] - X[5560] + 3*X[5739] + X[440] + 2*X[4886] + 2*X[3353] <= 6
model += X[6028] + X[1078] - X[1478] + 3*X[4343] + X[3617] + 2*X[832] + 2*X[3181] <= 6
model += X[486] + X[5272] - X[1339] + 3*X[4174] + X[2857] + 2*X[6945] + 2*X[1477] <= 6
model += X[398] + X[6691] - X[3534] + 3*X[3527] + X[5388] + 2*X[2982] + 2*X[4647] <= 6
model += X[7462] + X[2508] - X[3994] + 3*X[3407] + X[4478] + 2*X[722] + 2*X[5532] <= 6
model += X[2768] + X[5707] - X[585] + 3*X[6705] + X[3162] + 2*X[4605] + 2*X[3690] <= 6
model += X[2603] + X[4693] - X[733] + 3*X[3939] + X[6059] + 2*X[3257] + 2*X[6916] <= 6
model += X[7155] + X[5402] - X[4522] + 3*X[6273] + X[5110] + 2*X[1989] + 2*X[309] <= 6
model += X[1351] + X[4711] - X[147] + 3*X[7027] + X[5724] + 2*X[3242] + 2*X[3680] <= 6
model += X[2972] + X[1506] - X[403] + 3*X[2951] + X[4048] + 2*X[7416] + 2*X[2096] <= 6
model += X[5056] + X[566] - X[7225] + 3*X[3928] + X[1681] + 2*X[1165] + 2*X[1094] <= 6
model += X[6553] + X[3683] - X[880] + 3*X[7713] + X[1601] + 2*X[5226] + 2*X[5601] <= 6
model += X[6457] + X[1043] - X[2477] + 3*X[6935] + X[4656] + 2*X[1600] + 2*X[795] <= 6
model += X[6537] + X[3576] - X[7098] + 3*X[4360] + X[6382] + 2*X[267] + 2*X[5868] <= 6
model += X[1463] + X[4955] - X[932] + 3*X[7307] + X[4125] + 2*X[2802] + 2*X[5791] <= 6
model += X[5042] + X[3133] - X[7527] + 3*X[7238] + X[4379] + 2*X[383] + 2*X[1570] <= 6
model += X[2168] + X[3578] - X[3053] + 3*X[1888] + X[7479] + 2*X[1198] + 2*X[514] <= 6
model += X[7158] + X[7623] - X[5890] + 3*X[3518] + X[980] + 2*X[4608] + 2*X[1515] <= 6
model += X[2601] + X[4946] - X[913] + 3*X[4780] + X[7507] + 2*X[2676] + 2*X[3332] <= 6
model += X[5654] + X[2800] - X[4204] + 3*X[7658] + X[489] + 2*X[4549] + 2*X[6289] <= 6
model += X[7100] + X[2092] - X[2541] + 3*X[120] + X[1972] + 2*X[6040] + 2*X[5537] <= 6
model += X[4615] + X[3247] - X[4975] + 3*X[4421] + X[1897] + 2*X[345] + 2*X[5058] <= 6
model += X[4212] + X[4049] - X[4980] + 3*X[4617] + X[2791] + 2*X[222] + 2*X[1499] <= 6
model += X[606] + X[5299] - X[3442] + 3*X[5329] + X[1051] + 2*X[3355] + 2*X[7768] <= 6
model += X[858] + X[6037] - X[4734] + 3*X[5077] + X[2529] + 2*X[6009] + 2*X[1708] <= 6
model += X[2977] + X[6276] - X[3992] + 3*X[169] + X[3102] + 2*X[2658] + 2*X[2770] <= 6
model += X[4761] + X[3491] - X[7772] + 3*X[3883] + X[2095] + 2*X[442] + 2*X[2510] <= 6
model += X[3211] + X[6815] - X[6332] + 3*X[4868] + X[1186] + 2*X[3582] + 2*X[444] <= 6
model += X[5530] + X[287] - X[6769] + 3*X[1640] + X[4952] + 2*X[3748] + 2*X[6174] <= 6
model += X[7638] + X[3655] - X[2740] + 3*X[4096] + X[2981] + 2*X[235] + 2*X[5394] <= 6
model += X[6404] + X[6010] - X[117] + 3*X[7185] + X[7325] + 2*X[6193] + 2*X[4195] <= 6
model += X[6678] + X[4583] - X[130] + 3*X[3718] + X[1223] + 2*X[4827] + 2*X[4552] <= 6
model += X[4046] + X[800] - X[5482] + 3*X[1061] + X[3496] + 2*X[4822] + 2*X[7264] <= 6
model += X[6577] + X[3948] - X[4464] + 3*X[6157] + X[352] + 2*X[6433] + 2*X[6448] <= 6
model += X[1738] + X[3144] - X[6726] + 3*X[4238] + X[5395] + 2*X[528] + 2*X[5821] <= 6
model += X[426] + X[6304] - X[1309] + 3*X[1084] + X[7180] + 2*X[3462] + 2*X[3619] <= 6
model += X[6710] + X[2088] - X[5065] + 3*X[477] + X[4412] + 2*X[1994] + 2*X[6486] <= 6
model += X[4854] + X[844] - X[7343] + 3*X[6257] + X[7570] + 2*X[1755] + 2*X[3227] <= 6
model += X[1169] + X[2117] - X[7785] + 3*X[2066] + X[725] + 2*X[7144] + 2*X[1710] <= 6
model += X[7310] + X[4109] - X[3421] + 3*X[4536] + X[5510] + 2*X[4475] + 2*X[607] <= 6
model += X[6827] + X[7528] - X[3820] + 3*X[2277] + X[1254] + 2*X[471] + 2*X[6462] <= 6
model += X[4587] + X[774] - X[5254] + 3*X[3923] + X[1140] + 2*X[3772] + 2*X[7269] <= 6
model += X[3261] + X[3808] - X[975] + 3*X[4644] + X[6844] + 2*X[5066] + 2*X[1625] <= 6
model += X[5353] + X[4397] - X[632] + 3*X[2030] + X[6280] + 2*X[1609] + 2*X[7563] <= 6
model += X[3501] + X[1930] - X[331] + 3*X[4224] + X[2861] + 2*X[2286] + 2*X[4632] <= 6
model += X[6820] + X[1866] - X[816] + 3*X[2034] + X[4569] + 2*X[1438] + 2*X[3077] <= 6
model += X[1713] + X[7013] - X[5174] + 3*X[1431] + X[6545] + 2*X[623] + 2*X[4393] <= 6
model += X[3399] + X[3082] - X[2938] + 3*X[2407] + X[611] + 2*X[3758] + 2*X[3088] <= 6
model += X[5126] + X[456] - X[5054] + 3*X[3562] + X[3396] + 2*X[6213] + 2*X[5344] <= 6
model += X[864] + X[4606] - X[2930] + 3*X[1299] + X[7025] + 2*X[3267] + 2*X[6296] <= 6
model += X[2144] + X[3876] - X[1032] + 3*X[3303] + X[3327] + 2*X[3784] + 2*X[436] <= 6
model += X[1090] + X[441] - X[4915] + 3*X[7666] + X[4401] + 2*X[5266] + 2*X[1086] <= 6
model += X[746] + X[6188] - X[4723] + 3*X[5084] + X[2394] + 2*X[1274] + 2*X[3127] <= 6
model += X[6497] + X[4128] - X[2670] + 3*X[6666] + X[6027] + 2*X[752] + 2*X[5938] <= 6
model += X[4962] + X[1484] - X[6055] + 3*X[4755] + X[7438] + 2*X[928] + 2*X[2054] <= 6
model += X[3854] + X[1979] - X[2772] + 3*X[1443] + X[3107] + 2*X[996] + 2*X[2702] <= 6
model += X[3389] + X[6940] - X[2292] + 3*X[3933] + X[5041] + 2*X[692] + 2*X[1839] <= 6
model += X[4364] + X[7622] - X[6478] + 3*X[1219] + X[7411] + 2*X[164] + 2*X[6857] <= 6
model += X[4594] + X[5161] - X[4902] + 3*X[478] + X[4649] + 2*X[2522] + 2*X[3459] <= 6
model += X[1872] + X[4161] - X[6660] + 3*X[2214] + X[7579] + 2*X[7341] + 2*X[409] <= 6
model += X[5806] + X[7002] - X[462] + 3*X[4428] + X[2703] + 2*X[1047] + 2*X[1147] <= 6
model += X[2074] + X[1275] - X[3930] + 3*X[810] + X[4034] + 2*X[7499] + 2*X[1758] <= 6
model += X[6776] + X[5866] - X[3482] + 3*X[748] + X[1221] + 2*X[5026] + 2*X[5753] <= 6
model += X[4829] + X[7130] - X[3382] + 3*X[6636] + X[7729] + 2*X[714] + 2*X[6986] <= 6
model += X[1409] + X[2131] - X[3012] + 3*X[1041] + X[6420] + 2*X[390] + 2*X[1754] <= 6
model += X[3804] + X[2227] - X[3052] + 3*X[5208] + X[3456] + 2*X[385] + 2*X[7779] <= 6
model += X[1420] + X[6757] - X[3539] + 3*X[178] + X[4242] + 2*X[4937] + 2*X[5160] <= 6
model += X[4470] + X[5581] - X[2176] + 3*X[5854] + X[5259] + 2*X[4430] + 2*X[983] <= 6
model += X[1374] + X[238] - X[6948] + 3*X[7603] + X[3990] + 2*X[3307] + 2*X[5044] <= 6
model += X[7118] + X[4172] - X[7618] + 3*X[3203] + X[640] + 2*X[7605] + 2*X[1102] <= 6
model += X[2132] + X[7351] - X[959] + 3*X[5552] + X[5953] + 2*X[2683] + 2*X[4694] <= 6
model += X[7260] + X[7421] - X[702] + 3*X[2472] + X[2888] + 2*X[2664] + 2*X[7395] <= 6
model += X[6253] + X[5797] - X[3654] + 3*X[201] + X[7654] + 2*X[5333] + 2*X[4371] <= 6
model += X[3631] + X[5441] - X[1050] + 3*X[3237] + X[2829] + 2*X[4709] + 2*X[531] <= 6
model += X[4105] + X[3033] - X[813] + 3*X[2561] + X[1286] + 2*X[7524] + 2*X[6845] <= 6
model += X[5219] + X[747] - X[4201] + 3*X[3843] + X[4387] + 2*X[2386] + 2*X[6541] <= 6
model += X[1064] + X[651] - X[3791] + 3*X[5342] + X[5907] + 2*X[7204] + 2*X[2060] <= 6
model += X[467] + X[4626] - X[3108] + 3*X[2082] + X[5845] + 2*X[6088] + 2*X[5002] <= 6
model += X[3172] + X[1189] - X[5446] + 3*X[4444] + X[4394] + 2*X[5426] + 2*X[574] <= 6
model += X[2704] + X[4065] - X[7103] + 3*X[908] + X[2128] + 2*X[6872] + 2*X[1991] <= 6
model += X[6893] + X[2805] - X[5430] + 3*X[2249] + X[7696] + 2*X[290] + 2*X[4398] <= 6
model += X[2126] + X[5000] - X[2700] + 3*X[5865] + X[7757] + 2*X[284] + 2*X[4050] <= 6
model += X[3274] + X[1411] - X[3961] + 3*X[6469] + X[6631] + 2*X[190] + 2*X[6163] <= 6
model += X[613] + X[5727] - X[4286] + 3*X[5396] + X[1131] + 2*X[3610] + 2*X[2958] <= 6
model += X[1943] + X[2735] - X[2204] + 3*X[561] + X[4313] + 2*X[1135] + 2*X[7664] <= 6
model += X[161] + X[1344] - X[4154] + 3*X[5818] + X[2035] + 2*X[6765] + 2*X[6962] <= 6
model += X[2909] + X[548] - X[5380] + 3*X[3624] + X[3298] + 2*X[3537] + 2*X[6238] <= 6
model += X[6859] + X[7455] - X[3461] + 3*X[571] + X[2000] + 2*X[7753] + 2*X[5099] <= 6
model += X[7392] + X[1389] - X[3826] + 3*X[4180] + X[3573] + 2*X[3688] + 2*X[451] <= 6
model += X[5305] + X[3092] - X[6987] + 3*X[1670] + X[601] + 2*X[6357] + 2*X[4959] <= 6
model += X[5598] + X[4681] - X[4032] + 3*X[926] + X[6410] + 2*X[7145] + 2*X[6287] <= 6
model += X[2923] + X[6214] - X[6961] + 3*X[2651] + X[554] + 2*X[6109] + 2*X[2028] <= 6
model += X[6988] + X[4663] - X[6121] + 3*X[108] + X[7645] + 2*X[5079] + 2*X[5479] <= 6
model += X[3440] + X[997] - X[6300] + 3*X[1711] + X[5859] + 2*X[5150] + 2*X[1834] <= 6
model += X[740] + X[6618] - X[7543] + 3*X[5148] + X[4798] + 2*X[2055] + 2*X[6818] <= 6
model += X[7216] + X[5979] - X[333] + 3*X[4294] + X[4442] + 2*X[2238] + 2*X[2548] <= 6
model += X[4965] + X[4210] - X[4679] + 3*X[3090] + X[967] + 2*X[2420] + 2*X[2274] <= 6
model += X[4870] + X[696] - X[7014] + 3*X[1009] + X[3532] + 2*X[4374] + 2*X[3344] <= 6
model += X[5744] + X[7043] - X[6032] + 3*X[3807] + X[5098] + 2*X[1736] + 2*X[976] <= 6
model += X[4191] + X[5286] - X[3020] + 3*X[1306] + X[5404] + 2*X[5737] + 2*X[671] <= 6
model += X[2069] + X[7183] - X[527] + 3*X[5587] + X[3377] + 2*X[4590] + 2*X[5007] <= 6
model += X[3544] + X[4403] - X[1293] + 3*X[397] + X[1849] + 2*X[2563] + 2*X[4055] <= 6
model += X[7090] + X[2619] - X[2503] + 3*X[875] + X[5666] + 2*X[7359] + 2*X[1132] <= 6
model += X[6371] + X[6512] - X[2687] + 3*X[631] + X[6850] + 2*X[7449] + 2*X[2113] <= 6
model += X[4927] + X[3734] - X[912] + 3*X[2048] + X[5973] + 2*X[7723] + 2*X[5205] <= 6
model += X[2623] + X[3685] - X[3205] + 3*X[2566] + X[6621] + 2*X[3291] + 2*X[592] <= 6
model += X[6606] + X[4447] - X[6703] + 3*X[2408] + X[336] + 2*X[1530] + 2*X[2594] <= 6
model += X[6922] + X[842] - X[3564] + 3*X[3098] + X[2776] + 2*X[3198] + 2*X[2513] <= 6
model += X[5577] + X[1977] - X[1302] + 3*X[6094] + X[741] + 2*X[4705] + 2*X[5271] <= 6
model += X[1327] + X[946] - X[7492] + 3*X[7545] + X[2300] + 2*X[6170] + 2*X[3669] <= 6
model += X[1963] + X[6434] - X[4807] + 3*X[7525] + X[2018] + 2*X[666] + 2*X[6717] <= 6
model += X[7250] + X[6470] - X[327] + 3*X[1539] + X[4436] + 2*X[2517] + 2*X[1631] <= 6
model += X[101] + X[5027] - X[5492] + 3*X[7558] + X[7290] + 2*X[5637] + 2*X[3841] <= 6
model += X[6447] + X[374] - X[6781] + 3*X[2422] + X[1762] + 2*X[5061] + 2*X[6372] <= 6
model += X[2684] + X[6644] - X[4614] + 3*X[6411] + X[6787] + 2*X[2792] + 2*X[939] <= 6
model += X[148] + X[1285] - X[1645] + 3*X[7024] + X[3114] + 2*X[6456] + 2*X[1206] <= 6
model += X[7140] + X[3295] - X[7370] + 3*X[2304] + X[2627] + 2*X[3330] + 2*X[599] <= 6
model += X[4844] + X[1590] - X[4033] + 3*X[855] + X[1926] + 2*X[4947] + 2*X[6385] <= 6
model += X[4697] + X[5522] - X[7344] + 3*X[3546] + X[2775] + 2*X[933] + 2*X[2385] <= 6
model += X[1641] + X[2842] - X[811] + 3*X[1685] + X[4144] + 2*X[7567] + 2*X[3015] <= 6
model += X[5103] + X[4168] - X[306] + 3*X[3096] + X[2195] + 2*X[2721] + 2*X[4916] <= 6
model += X[4671] + X[3775] - X[1405] + 3*X[6782] + X[5943] + 2*X[693] + 2*X[1089] <= 6
model += X[4838] + X[6712] - X[1782] + 3*X[7379] + X[6291] + 2*X[1922] + 2*X[535] <= 6
model += X[4593] + X[7198] - X[6967] + 3*X[310] + X[5094] + 2*X[1256] + 2*X[3757] <= 6
model += X[2235] + X[5310] - X[5829] + 3*X[2412] + X[1737] + 2*X[388] + 2*X[2509] <= 6
model += X[2090] + X[4320] - X[1377] + 3*X[5379] + X[481] + 2*X[2446] + 2*X[1029] <= 6
model += X[2378] + X[569] - X[1371] + 3*X[1307] + X[2631] + 2*X[5168] + 2*X[3492] <= 6
model += X[3710] + X[119] - X[6177] + 3*X[6189] + X[6535] + 2*X[4231] + 2*X[3693] <= 6
model += X[2091] + X[265] - X[6895] + 3*X[5514] + X[5772] + 2*X[5555] + 2*X[3495] <= 6
model += X[4514] + X[6529] - X[6973] + 3*X[6688] + X[289] + 2*X[1312] + 2*X[3650] <= 6
model += X[1480] + X[7053] - X[750] + 3*X[6540] + X[1846] + 2*X[3254] + 2*X[1199] <= 6
model += X[5204] + X[1451] - X[4511] + 3*X[4787] + X[4961] + 2*X[6693] + 2*X[170] <= 6
model += X[4914] + X[229] - X[6591] + 3*X[1880] + X[7371] + 2*X[4178] + 2*X[1712] <= 6
model += X[6442] + X[5017] - X[2712] + 3*X[3753] + X[1540] + 2*X[890] + 2*X[2076] <= 6
model += X[3035] + X[4011] - X[6002] + 3*X[242] + X[6662] + 2*X[7680] + 2*X[2835] <= 6
model += X[5437] + X[4165] - X[884] + 3*X[6377] + X[7127] + 2*X[4669] + 2*X[4541] <= 6
model += X[7336] + X[7761] - X[5826] + 3*X[4102] + X[4114] + 2*X[100] + 2*X[6312] <= 6
model += X[2428] + X[990] - X[6087] + 3*X[2725] + X[3224] + 2*X[1395] + 2*X[1381] <= 6
model += X[4558] + X[7554] - X[5261] + 3*X[819] + X[3844] + 2*X[2527] + 2*X[5762] <= 6
model += X[2006] + X[4063] - X[7734] + 3*X[6650] + X[2212] + 2*X[3284] + 2*X[4196] <= 6
model += X[3911] + X[2887] - X[2264] + 3*X[2757] + X[7463] + 2*X[5873] + 2*X[6841] <= 6
model += X[4496] + X[2558] - X[1241] + 3*X[2711] + X[1194] + 2*X[3070] + 2*X[6278] <= 6
model += X[3921] + X[1007] - X[6847] + 3*X[2362] + X[1415] + 2*X[1044] + 2*X[2570] <= 6
model += X[2532] + X[6835] - X[4127] + 3*X[1166] + X[1300] + 2*X[7201] + 2*X[7380] <= 6
model += X[3369] + X[2210] - X[5488] + 3*X[5197] + X[7065] + 2*X[5773] + 2*X[3500] <= 6
model += X[3435] + X[4910] - X[6656] + 3*X[6561] + X[1995] + 2*X[3906] + 2*X[5489] <= 6
model += X[2315] + X[5323] - X[4485] + 3*X[6517] + X[3902] + 2*X[2140] + 2*X[7459] <= 6
model += X[6255] + X[2266] - X[2755] + 3*X[2553] + X[5751] + 2*X[3185] + 2*X[5046] <= 6
model += X[6770] + X[7377] - X[4271] + 3*X[5045] + X[4217] + 2*X[2540] + 2*X[3786] <= 6
model += X[3236] + X[2301] - X[4652] + 3*X[6755] + X[3393] + 2*X[2633] + 2*X[4650] <= 6
model += X[7496] + X[7113] - X[6161] + 3*X[6849] + X[4373] + 2*X[2402] + 2*X[4949] <= 6
model += X[5698] + X[5003] - X[3161] + 3*X[6924] + X[6906] + 2*X[2276] + 2*X[1823] <= 6
model += X[4786] + X[6397] - X[5471] + 3*X[2769] + X[1475] + 2*X[7648] + 2*X[2136] <= 6
model += X[4348] + X[1407] - X[6669] + 3*X[4637] + X[3226] + 2*X[5703] + 2*X[6495] <= 6
model += X[4308] + X[3087] - X[4817] + 3*X[2852] + X[1664] + 2*X[3217] + 2*X[3302] <= 6
model += X[3199] + X[6115] - X[3798] + 3*X[5163] + X[6700] + 2*X[1322] + 2*X[7481] <= 6
model += X[5708] + X[1768] - X[4936] + 3*X[3159] + X[2759] + 2*X[5838] + 2*X[7679] <= 6
model += X[4108] + X[1892] - X[6863] + 3*X[7156] + X[3058] + 2*X[5568] + 2*X[7716] <= 6
model += X[6113] + X[2411] - X[6823] + 3*X[2436] + X[4563] + 2*X[3824] + 2*X[5511] <= 6
model += X[5459] + X[6393] - X[4879] + 3*X[7279] + X[4995] + 2*X[1577] + 2*X[5011] <= 6
model += X[1584] + X[5268] - X[7202] + 3*X[4369] + X[5550] + 2*X[3828] + 2*X[3735] <= 6
model += X[3001] + X[6018] - X[6592] + 3*X[2547] + X[3583] + 2*X[7091] + 2*X[1260] <= 6
model += X[6884] + X[7555] - X[5903] + 3*X[5799] + X[5688] + 2*X[3950] + 2*X[4446] <= 6
model += X[1937] + X[3987] - X[2586] + 3*X[4624] + X[7034] + 2*X[1347] + 2*X[5614] <= 6
model += X[7182] + X[3502] - X[2019] + 3*X[2345] + X[7641] + 2*X[4784] + 2*X[7184] <= 6
model += X[2083] + X[2336] - X[6360] + 3*X[3175] + X[1777] + 2*X[1975] + 2*X[1502] <= 6
model += X[4720] + X[5741] - X[2252] + 3*X[7382] + X[4007] + 2*X[7302] + 2*X[6609] <= 6
model += X[1452] + X[1282] - X[2467] + 3*X[5122] + X[7592] + 2*X[5644] + 2*X[1579] <= 6
model += X[5348] + X[2442] - X[3357] + 3*X[3512] + X[6425] + 2*X[5831] + 2*X[6698] <= 6
model += X[3131] + X[2709] - X[2808] + 3*X[3417] + X[3073] + 2*X[6203] + 2*X[3475] <= 6
model += X[1818] + X[1709] - X[1643] + 3*X[1095] + X[2222] + 2*X[3422] + 2*X[4772] <= 6
model += X[5602] + X[1080] - X[4539] + 3*X[4913] + X[4302] + 2*X[6515] + 2*X[2638] <= 6
model += X[4845] + X[2897] - X[6288] + 3*X[4692] + X[7414] + 2*X[7157] + 2*X[4708] <= 6
model += X[4110] + X[3747] - X[2798] + 3*X[2646] + X[1098] + 2*X[4749] + 2*X[7635] <= 6
model += X[3498] + X[7123] - X[7287] + 3*X[6762] + X[1425] + 2*X[4367] + 2*X[5579] <= 6
model += X[5715] + X[3240] - X[1723] + 3*X[2630] + X[4770] + 2*X[5500] + 2*X[4123] <= 6
model += X[4057] + X[3794] - X[3877] + 3*X[4794] + X[5592] + 2*X[1487] + 2*X[2024] <= 6
model += X[3410] + X[4613] - X[3526] + 3*X[4912] + X[1620] + 2*X[4801] + 2*X[2733] <= 6
model += X[6120] + X[2853] - X[4314] + 3*X[3365] + X[1183] + 2*X[3842] + 2*X[5486] <= 6
model += X[5453] + X[5912] - X[6860] + 3*X[3852] + X[6261] + 2*X[5836] + 2*X[2971] <= 6
model += X[2359] + X[6525] - X[4022] + 3*X[3048] + X[5603] + 2*X[4779] + 2*X[5376] <= 6
model += X[1228] + X[4722] - X[7263] + 3*X[2458] + X[2696] + 2*X[5852] + 2*X[5556] <= 6
model += X[6421] + X[1093] - X[2902] + 3*X[5734] + X[3398] + 2*X[7292] + 2*X[5443] <= 6
model += X[2081] + X[1461] - X[5381] + 3*X[1104] + X[4970] + 2*X[5227] + 2*X[4532] <= 6
model += X[1566] + X[1313] - X[5998] + 3*X[3275] + X[4351] + 2*X[7548] + 2*X[1018] <= 6
model += X[1653] + X[3256] - X[6708] + 3*X[2142] + X[6661] + 2*X[6339] + 2*X[6321] <= 6
model += X[4182] + X[6468] - X[6562] + 3*X[1567] + X[6668] + 2*X[4098] + 2*X[3347] <= 6
model += X[7077] + X[6645] - X[3698] + 3*X[1560] + X[7274] + 2*X[2874] + 2*X[7220] <= 6
model += X[3178] + X[3468] - X[7457] + 3*X[4236] + X[4346] + 2*X[6269] + 2*X[6959] <= 6
model += X[6136] + X[4316] - X[1379] + 3*X[6638] + X[3454] + 2*X[3000] + 2*X[3672] <= 6
model += X[1445] + X[1903] - X[3273] + 3*X[5920] + X[3938] + 2*X[5848] + 2*X[4640] <= 6
model += X[3470] + X[6801] - X[6774] + 3*X[6127] + X[7222] + 2*X[7642] + 2*X[6336] <= 6
model += X[6353] + X[3019] - X[4372] + 3*X[2272] + X[2383] + 2*X[4121] + 2*X[6868] <= 6
model += X[2606] + X[2659] - X[5025] + 3*X[7461] + X[1722] + 2*X[6341] + 2*X[7447] <= 6
model += X[5971] + X[3692] - X[7494] + 3*X[5678] + X[7657] + 2*X[5495] + 2*X[7419] <= 6
model += X[1076] + X[3770] - X[4438] + 3*X[6878] + X[7008] + 2*X[2732] + 2*X[5972] <= 6
model += X[7087] + X[3835] - X[1696] + 3*X[3549] + X[3810] + 2*X[4115] + 2*X[5958] <= 6
model += X[6426] + X[6446] - X[4216] + 3*X[6057] + X[2708] + 2*X[2078] + 2*X[5780] <= 6
model += X[6879] + X[5805] - X[1164] + 3*X[4303] + X[6852] + 2*X[2145] + 2*X[2849] <= 6
model += X[1146] + X[4790] - X[7028] + 3*X[1948] + X[2379] + 2*X[3584] + 2*X[6227] <= 6
model += X[7273] + X[2120] - X[1520] + 3*X[3644] + X[2602] + 2*X[7667] + 2*X[3425] <= 6
model += X[5978] + X[2438] - X[2159] + 3*X[6194] + X[6414] + 2*X[1871] + 2*X[2459] <= 6
model += X[3494] + X[2201] - X[3318] + 3*X[5325] + X[2262] + 2*X[5247] + 2*X[4226] <= 6
model += X[5822] + X[4019] - X[6438] + 3*X[7139] + X[1283] + 2*X[2579] + 2*X[7704] <= 6
model += X[7064] + X[3989] - X[3900] + 3*X[2943] + X[4766] + 2*X[5842] + 2*X[7526] <= 6
model += X[3378] + X[2534] - X[5456] + 3*X[1960] + X[2483] + 2*X[4256] + 2*X[5283] <= 6
model += X[4834] + X[4389] - X[6459] + 3*X[1795] + X[1936] + 2*X[6006] + 2*X[6187] <= 6
model += X[6542] + X[1778] - X[1789] + 3*X[5719] + X[1951] + 2*X[4413] + 2*X[3238] <= 6
model += X[6864] + X[3817] - X[4356] + 3*X[1342] + X[7136] + 2*X[6819] + 2*X[1382] <= 6
model += X[1281] + X[3689] - X[5749] + 3*X[3427] + X[7373] + 2*X[6570] + 2*X[4525] <= 6
model += X[6749] + X[5442] - X[6184] + 3*X[4864] + X[1876] + 2*X[2785] + 2*X[5418] <= 6
model += X[1287] + X[6822] - X[6892] + 3*X[3567] + X[5529] + 2*X[3703] + 2*X[5832] <= 6
model += X[6805] + X[6015] - X[4056] + 3*X[4830] + X[7361] + 2*X[6978] + 2*X[1967] <= 6
model += X[4135] + X[1939] - X[5512] + 3*X[4584] + X[4427] + 2*X[3931] + 2*X[6516] <= 6
model += X[5594] + X[4431] - X[3112] + 3*X[5382] + X[2257] + 2*X[2368] + 2*X[3660] <= 6
model += X[7312] + X[4696] - X[6076] + 3*X[1120] + X[1485] + 2*X[6673] + 2*X[5517] <= 6
model += X[6905] + X[3099] - X[5802] + 3*X[5959] + X[5239] + 2*X[7446] + 2*X[1243] <= 6
model += X[4425] + X[6600] - X[5547] + 3*X[2240] + X[5524] + 2*X[6881] + 2*X[3497] <= 6
model += X[3806] + X[5786] - X[3067] + 3*X[2400] + X[5723] + 2*X[3871] + 2*X[7265] <= 6
model += X[6147] + X[4530] - X[5814] + 3*X[3641] + X[6773] + 2*X[7017] + 2*X[4028] <= 6
model += X[4482] + X[4039] - X[5069] + 3*X[2574] + X[6295] + 2*X[3795] + 2*X[1150] <= 6
model += X[2162] + X[7205] - X[5397] + 3*X[4767] + X[4865] + 2*X[2803] + 2*X[6039] <= 6
model += X[7670] + X[4557] - X[6159] + 3*X[2657] + X[7771] + 2*X[1966] + 2*X[5362] <= 6
model += X[5571] + X[6521] - X[1493] + 3*X[2012] + X[7408] + 2*X[1668] + 2*X[4896] <= 6
model += X[7078] + X[6874] - X[3277] + 3*X[7389] + X[4332] + 2*X[5986] + 2*X[2058] <= 6
model += X[3074] + X[6490] - X[7706] + 3*X[5179] + X[5553] + 2*X[1808] + 2*X[5793] <= 6
model += X[5231] + X[4199] - X[7386] + 3*X[4383] + X[5957] + 2*X[6683] + 2*X[3691] <= 6
model += X[3086] + X[6930] - X[5346] + 3*X[4735] + X[3737] + 2*X[1527] + 2*X[1262] <= 6
model += X[7718] + X[3049] - X[4215] + 3*X[2147] + X[3767] + 2*X[2215] + 2*X[5658] <= 6
model += X[5884] + X[4484] - X[3384] + 3*X[2026] + X[1424] + 2*X[7355] + 2*X[7665] <= 6
model += X[4738] + X[3156] - X[1927] + 3*X[2991] + X[1271] + 2*X[2500] + 2*X[2834] <= 6
model += X[6211] + X[5487] - X[2691] + 3*X[7475] + X[2104] + 2*X[7694] + 2*X[2427] <= 6
model += X[2822] + X[5944] - X[2317] + 3*X[7636] + X[5464] + 2*X[4857] + 2*X[7700] <= 6
model += X[4642] + X[7442] - X[1491] + 3*X[6369] + X[7282] + 2*X[2244] + 2*X[6319] <= 6
model += X[2338] + X[3814] - X[5997] + 3*X[6503] + X[1764] + 2*X[5655] + 2*X[1455] <= 6
model += X[7122] + X[3916] - X[3493] + 3*X[1869] + X[4560] + 2*X[4843] + 2*X[7692] <= 6
model += X[6046] + X[5309] - X[1932] + 3*X[5034] + X[2723] + 2*X[4510] + 2*X[1548] <= 6
model += X[4548] + X[2384] - X[6366] + 3*X[5925] + X[5619] + 2*X[3125] + 2*X[3160] <= 6
model += X[6576] + X[3200] - X[4953] + 3*X[4426] + X[2730] + 2*X[6311] + 2*X[1385] <= 6
model += X[6078] + X[6657] - X[5176] + 3*X[1940] + X[7051] + 2*X[4325] + 2*X[7215] <= 6
model += X[7200] + X[3272] - X[4016] + 3*X[6324] + X[3465] + 2*X[2269] + 2*X[7627] <= 6
model += X[1583] + X[1741] - X[7093] + 3*X[2660] + X[5416] + 2*X[6889] + 2*X[2717] <= 6
model += X[3046] + X[4771] - X[4184] + 3*X[2921] + X[2426] + 2*X[3431] + 2*X[1589] <= 6
model += X[5383] + X[2230] - X[6301] + 3*X[5372] + X[4148] + 2*X[5113] + 2*X[6658] <= 6
model += X[3426] + X[3620] - X[5250] + 3*X[3982] + X[5326] + 2*X[7068] + 2*X[4682] <= 6
model += X[2158] + X[3901] - X[7561] + 3*X[7345] + X[1895] + 2*X[3964] + 2*X[7612] <= 6
model += X[5144] + X[3034] - X[3709] + 3*X[7574] + X[2741] + 2*X[4852] + 2*X[6704] <= 6
model += X[6536] + X[4719] - X[1537] + 3*X[6642] + X[4670] + 2*X[2396] + 2*X[7620] <= 6
model += X[7277] + X[3416] - X[7633] + 3*X[1473] + X[6418] + 2*X[1576] + 2*X[7464] <= 6
model += X[2715] + X[1015] - X[4084] + 3*X[3429] + X[2736] + 2*X[3036] + 2*X[4867] <= 6
model += X[5262] + X[5332] - X[3342] + 3*X[4010] + X[5318] + 2*X[2375] + 2*X[5952] <= 6
model += X[2045] + X[6507] - X[4680] + 3*X[4257] + X[5343] + 2*X[7707] + 2*X[1348] <= 6
model += X[4633] + X[4712] - X[5970] + 3*X[4526] + X[1686] + 2*X[2157] + 2*X[3164] <= 6
model += X[4276] + X[4138] - X[4729] + 3*X[1432] + X[1508] + 2*X[1336] + 2*X[7615] <= 6
model += X[3846] + X[7560] - X[6003] + 3*X[6999] + X[3975] + 2*X[6199] + 2*X[5585] <= 6
model += X[1291] + X[5184] - X[4517] + 3*X[6437] + X[6748] + 2*X[7402] + 2*X[4060] <= 6
model += X[2334] + X[3629] - X[6265] + 3*X[7376] + X[1105] + 2*X[5311] + 2*X[1580] <= 6
model += X[3937] + X[7418] - X[6720] + 3*X[4070] + X[1112] + 2*X[4639] + 2*X[3726] <= 6
model += X[3473] + X[5640] - X[3553] + 3*X[3746] + X[4730] + 2*X[2431] + 2*X[5407] <= 6
model += X[6995] + X[7057] - X[6070] + 3*X[6792] + X[6587] + 2*X[1894] + 2*X[1328] <= 6
model += X[7443] + X[5638] - X[3563] + 3*X[6756] + X[5769] + 2*X[2995] + 2*X[1533] <= 6
model += X[5557] + X[3678] - X[6105] + 3*X[6051] + X[4803] + 2*X[3870] + 2*X[2750] <= 6
model += X[2728] + X[3759] - X[5434] + 3*X[5016] + X[1678] + 2*X[6488] + 2*X[5954] <= 6
model += X[6737] + X[1362] - X[2742] + 3*X[3100] + X[2031] + 2*X[5375] + 2*X[3799] <= 6
model += X[4074] + X[6422] - X[2765] + 3*X[2302] + X[3776] + 2*X[6139] + 2*X[3977] <= 6
model += X[5115] + X[6493] - X[5541] + 3*X[5194] + X[3023] + 2*X[7493] + 2*X[7751] <= 6
model += X[3322] + X[2901] - X[2322] + 3*X[5406] + X[4846] + 2*X[1226] + 2*X[4237] <= 6
model += X[3552] + X[4311] - X[6866] + 3*X[3674] + X[6957] + 2*X[2877] + 2*X[2604] <= 6
model += X[5498] + X[4588] - X[1099] + 3*X[7388] + X[5338] + 2*X[3725] + 2*X[3556] <= 6
model += X[5172] + X[3406] - X[6043] + 3*X[6885] + X[3865] + 2*X[7234] + 2*X[1504] <= 6
model += X[5570] + X[7154] - X[5642] + 3*X[4340] + X[2307] + 2*X[5365] + 2*X[5085] <= 6
model += X[4304] + X[2376] - X[7082] + 3*X[7471] + X[5412] + 2*X[6417] + 2*X[1983] <= 6
model += X[6068] + X[7199] - X[5391] + 3*X[3936] + X[4796] + 2*X[2071] + 2*X[4264] <= 6
model += X[4280] + X[2199] - X[2710] + 3*X[7121] + X[4832] + 2*X[6775] + 2*X[5798] <= 6
model += X[4222] + X[6388] - X[2625] + 3*X[3974] + X[2029] + 2*X[5896] + 2*X[6639] <= 6
model += X[7428] + X[7786] - X[6292] + 3*X[4205] + X[5921] + 2*X[5028] + 2*X[1055] <= 6
model += X[3733] + X[6960] - X[4384] + 3*X[4306] + X[7467] + 2*X[7643] + 2*X[1013] <= 6
model += X[5892] + X[1838] - X[2843] + 3*X[4381] + X[6505] + 2*X[6154] + 2*X[2727] <= 6
model += X[3383] + X[1154] - X[6150] + 3*X[5370] + X[2675] + 2*X[5289] + 2*X[6602] <= 6
model += X[2779] + X[1618] - X[4086] + 3*X[6069] + X[3862] + 2*X[3540] + 2*X[1621] <= 6
model += X[4929] + X[4449] - X[3667] + 3*X[6142] + X[3558] + 2*X[1544] + 2*X[2174] <= 6
model += X[3613] + X[3771] - X[1366] + 3*X[4336] + X[3866] + 2*X[2854] + 2*X[6814] <= 6
model += X[5846] + X[5527] - X[1179] + 3*X[4668] + X[1563] + 2*X[5722] + 2*X[5243] <= 6
model += X[1598] + X[2217] - X[3314] + 3*X[6185] + X[4041] + 2*X[7737] + 2*X[4206] <= 6
model += X[6181] + X[3189] - X[7767] + 3*X[5483] + X[1779] + 2*X[3520] + 2*X[6242] <= 6
model += X[6122] + X[5021] - X[7181] + 3*X[1264] + X[6509] + 2*X[7578] + 2*X[7391] <= 6
model += X[2647] + X[4943] - X[6933] + 3*X[6574] + X[5617] + 2*X[6626] + 2*X[7705] <= 6
model += X[5660] + X[6326] - X[6851] + 3*X[5777] + X[6965] + 2*X[5102] + 2*X[2141] <= 6
model += X[3452] + X[3089] - X[4211] + 3*X[7535] + X[7378] + 2*X[6166] + 2*X[1810] <= 6
model += X[6680] + X[3958] - X[7678] + 3*X[6158] + X[1272] + 2*X[2354] + 2*X[7348] <= 6
model += X[6743] + X[4193] - X[5175] + 3*X[3743] + X[7676] + 2*X[5776] + 2*X[7159] <= 6
model += X[1404] + X[7726] - X[5710] + 3*X[1802] + X[5994] + 2*X[4645] + 2*X[6004] <= 6
model += X[4684] + X[4727] - X[5281] + 3*X[5827] + X[1497] + 2*X[1337] + 2*X[7128] <= 6
model += X[6607] + X[5610] - X[3815] + 3*X[1699] + X[6206] + 2*X[2626] + 2*X[5153] <= 6
model += X[5387] + X[5152] - X[2371] + 3*X[5996] + X[1569] + 2*X[4083] + 2*X[2641] <= 6
model += X[7309] + X[5199] - X[6335] + 3*X[5754] + X[3105] + 2*X[4301] + 2*X[1878] <= 6
model += X[6119] + X[4476] - X[3714] + 3*X[6784] + X[5049] + 2*X[7597] + 2*X[6305] <= 6
model += X[5232] + X[4919] - X[7610] + 3*X[5665] + X[5317] + 2*X[1442] + 2*X[7593] <= 6
model += X[1610] + X[6192] - X[5022] + 3*X[2716] + X[4874] + 2*X[2556] + 2*X[5559] <= 6
model += X[6637] + X[4299] - X[4574] + 3*X[3121] + X[4985] + 2*X[2430] + 2*X[5133] <= 6
model += X[1413] + X[3158] - X[2694] + 3*X[5356] + X[2387] + 2*X[3598] + 2*X[1049] <= 6
model += X[1550] + X[6082] - X[4341] + 3*X[5911] + X[2335] + 2*X[5867] + 2*X[3973] <= 6
model += X[3006] + X[1280] - X[4483] + 3*X[2809] + X[2115] + 2*X[7247] + 2*X[7607] <= 6
model += X[3559] + X[4101] - X[2899] + 3*X[1619] + X[4599] + 2*X[1656] + 2*X[3008] <= 6
model += X[5816] + X[3819] - X[5690] + 3*X[6590] + X[4531] + 2*X[6370] + 2*X[7745] <= 6
model += X[1886] + X[1647] - X[7594] + 3*X[6734] + X[1663] + 2*X[4660] + 2*X[3513] <= 6
model += X[7315] + X[6254] - X[4284] + 3*X[2950] + X[2827] + 2*X[4891] + 2*X[1734] <= 6
model += X[2278] + X[7275] - X[1924] + 3*X[6064] + X[2997] + 2*X[2391] + 2*X[7353] <= 6
model += X[5415] + X[6785] - X[4321] + 3*X[6686] + X[5145] + 2*X[3618] + 2*X[2986] <= 6
model += X[3823] + X[5132] - X[4519] + 3*X[5177] + X[2413] + 2*X[3879] + 2*X[5569] <= 6
model += X[5328] + X[1304] - X[6367] + 3*X[1565] + X[1743] + 2*X[1437] + 2*X[3832] <= 6
model += X[5621] + X[3890] - X[3809] + 3*X[1387] + X[7233] + 2*X[2649] + 2*X[6458] <= 6
model += X[6125] + X[6934] - X[4241] + 3*X[3800] + X[4972] + 2*X[5134] + 2*X[5561] <= 6
model += X[5075] + X[5246] - X[6293] + 3*X[7766] + X[7660] + 2*X[6685] + 2*X[4595] <= 6
model += X[3947] + X[1854] - X[6985] + 3*X[7681] + X[5142] + 2*X[1730] + 2*X[4169] <= 6
model += X[2053] + X[5050] - X[6566] + 3*X[1174] + X[5851] + 2*X[6732] + 2*X[4461] <= 6
model += X[1760] + X[6648] - X[5020] + 3*X[2932] + X[5841] + 2*X[6647] + 2*X[7460] <= 6
model += X[5369] + X[4554] - X[2519] + 3*X[7702] + X[1141] + 2*X[7791] + 2*X[7503] <= 6
model += X[2654] + X[3130] - X[5864] + 3*X[7780] + X[7406] + 2*X[2722] + 2*X[2719] <= 6
model += X[3364] + X[6923] - X[2224] + 3*X[4533] + X[4088] + 2*X[1457] + 2*X[1582] <= 6
model += X[7398] + X[6247] - X[7728] + 3*X[2610] + X[2098] + 2*X[1505] + 2*X[1772] <= 6
model += X[3157] + X[5436] - X[3813] + 3*X[2285] + X[5454] + 2*X[5130] + 2*X[6808] <= 6
model += X[6830] + X[2137] - X[1596] + 3*X[4968] + X[4732] + 2*X[2319] + 2*X[6943] <= 6
model += X[1320] + X[7478] - X[6735] + 3*X[3266] + X[6130] + 2*X[1862] + 2*X[4581] <= 6
model += X[7347] + X[2047] - X[2681] + 3*X[5521] + X[7276] + 2*X[4255] + 2*X[6689] <= 6
model += X[5136] + X[4030] - X[1908] + 3*X[6833] + X[7175] + 2*X[6511] + 2*X[5417] <= 6
model += X[3517] + X[3395] - X[2906] + 3*X[4835] + X[5574] + 2*X[7074] + 2*X[5891] <= 6
model += X[2312] + X[3888] - X[6195] + 3*X[3575] + X[7173] + 2*X[1042] + 2*X[6205] <= 6
model += X[4828] + X[2342] - X[2032] + 3*X[7546] + X[1456] + 2*X[2936] + 2*X[3548] <= 6
model += X[4126] + X[2890] - X[3566] + 3*X[7333] + X[2038] + 2*X[4027] + 2*X[5212] <= 6
model += X[2499] + X[6946] - X[1326] + 3*X[6352] + X[7190] + 2*X[5392] + 2*X[3572] <= 6
model += X[4469] + X[4082] - X[4339] + 3*X[5072] + X[2557] + 2*X[7368] + 2*X[5300] <= 6
model += X[2178] + X[7724] - X[5817] + 3*X[3288] + X[2111] + 2*X[7662] + 2*X[3124] <= 6
model += X[7316] + X[7652] - X[1650] + 3*X[4456] + X[1879] + 2*X[2994] + 2*X[6786] <= 6
model += X[3847] + X[5083] - X[3041] + 3*X[5787] + X[7055] + 2*X[4777] + 2*X[1851] <= 6
model += X[3359] + X[1980] - X[4287] + 3*X[3111] + X[4695] + 2*X[7168] + 2*X[4111] <= 6
model += X[1054] + X[5539] - X[4797] + 3*X[4463] + X[4890] + 2*X[2123] + 2*X[2533] <= 6
model += X[4905] + X[2993] - X[4607] + 3*X[1232] + X[7010] + 2*X[7320] + 2*X[1495] <= 6
model += X[5368] + X[3723] - X[5636] + 3*X[4285] + X[7540] + 2*X[1793] + 2*X[7553] <= 6
model += X[2281] + X[3403] - X[1087] + 3*X[5738] + X[4897] + 2*X[3514] + 2*X[6441] <= 6
model += X[3076] + X[5200] - X[6982] + 3*X[4441] + X[2298] + 2*X[6975] + 2*X[3043] <= 6
model += X[6444] + X[1469] - X[6394] + 3*X[1181] + X[7084] + 2*X[4282] + 2*X[3955] <= 6
model += X[7271] + X[3151] - X[7052] + 3*X[2405] + X[6217] + 2*X[2490] + 2*X[5221] <= 6
model += X[7374] + X[1820] - X[6565] + 3*X[7237] + X[4333] + 2*X[1613] + 2*X[1973] <= 6
model += X[6148] + X[5217] - X[2568] + 3*X[3255] + X[5523] + 2*X[5234] + 2*X[2855] <= 6
model += X[2945] + X[2961] - X[3349] + 3*X[6400] + X[4365] + 2*X[4877] + 2*X[7516] <= 6
model += X[1360] + X[6989] - X[4395] + 3*X[5146] + X[5484] + 2*X[5316] + 2*X[2937] <= 6
model += X[3968] + X[3228] - X[5748] + 3*X[1786] + X[6603] + 2*X[1096] + 2*X[2734] <= 6
model += X[7170] + X[7363] - X[6643] + 3*X[2648] + X[1201] + 2*X[3621] + 2*X[6555] <= 6
model += X[2591] + X[5302] - X[5149] + 3*X[5516] + X[1297] + 2*X[7714] + 2*X[1314] <= 6
model += X[6550] + X[4808] - X[4392] + 3*X[2609] + X[4283] + 2*X[5248] + 2*X[4756] <= 6
model += X[3686] + X[4000] - X[6172] + 3*X[2381] + X[1426] + 2*X[5073] + 2*X[1472] <= 6
model += X[3632] + X[5625] - X[1490] + 3*X[4963] + X[5143] + 2*X[7763] + 2*X[2471] <= 6
model += X[3113] + X[4200] - X[1465] + 3*X[3600] + X[5119] + 2*X[3719] + 2*X[6210] <= 6
model += X[6316] + X[2789] - X[5725] + 3*X[6345] + X[1195] + 2*X[4764] + 2*X[1585] <= 6
model += X[5408] + X[7161] - X[6299] + 3*X[1266] + X[3913] + 2*X[5669] + 2*X[6936] <= 6
model += X[6944] + X[7383] - X[4259] + 3*X[4155] + X[1345] + 2*X[5263] + 2*X[3499] <= 6
model += X[2578] + X[4908] - X[1133] + 3*X[1386] + X[4506] + 2*X[7504] + 2*X[2613] <= 6
model += X[6361] + X[2279] - X[2920] + 3*X[5503] + X[2762] + 2*X[4659] + 2*X[4017] <= 6
model += X[2682] + X[7079] - X[2564] + 3*X[2150] + X[5461] + 2*X[3586] + 2*X[1945] <= 6
model += X[4187] + X[6440] - X[4646] + 3*X[2552] + X[3967] + 2*X[4263] + 2*X[1396] <= 6
model += X[2863] + X[1110] - X[6728] + 3*X[5165] + X[4254] + 2*X[3863] + 2*X[7601] <= 6
model += X[3614] + X[6222] - X[4928] + 3*X[5752] + X[6558] + 2*X[6994] + 2*X[4278] <= 6
model += X[5648] + X[3509] - X[1261] + 3*X[6282] + X[3891] + 2*X[4197] + 2*X[2913] <= 6
model += X[7117] + X[2271] - X[3875] + 3*X[6695] + X[6813] + 2*X[5935] + 2*X[5499] <= 6
model += X[2079] + X[1928] - X[6745] + 3*X[2582] + X[7179] + 2*X[4917] + 2*X[4439] <= 6
model += X[6084] + X[1367] - X[3749] + 3*X[6921] + X[5366] + 2*X[1330] + 2*X[1868] <= 6
model += X[2475] + X[7709] - X[1038] + 3*X[4493] + X[1109] + 2*X[3021] + 2*X[4146] <= 6
model += X[3244] + X[3861] - X[5170] + 3*X[7422] + X[6913] + 2*X[6646] + 2*X[2380] <= 6
model += X[3738] + X[2984] - X[6318] + 3*X[2587] + X[2679] + 2*X[3301] + 2*X[2001] <= 6
model += X[6487] + X[2744] - X[7659] + 3*X[3352] + X[5213] + 2*X[2023] + 2*X[6771] <= 6
model += X[7606] + X[2002] - X[4008] + 3*X[2815] + X[2916] + 2*X[6167] + 2*X[2910] <= 6
model += X[4406] + X[2778] - X[7708] + 3*X[5853] + X[2343] + 2*X[4318] + 2*X[3463] <= 6
model += X[5303] + X[4188] - X[6281] + 3*X[6472] + X[2344] + 2*X[5600] + 2*X[5438] <= 6
model += X[7508] + X[6007] - X[3037] + 3*X[3579] + X[1912] + 2*X[1726] + 2*X[3206] <= 6
model += X[7245] + X[3639] - X[4078] + 3*X[1399] + X[7137] + 2*X[4272] + 2*X[2059] <= 6
model += X[1354] + X[2197] - X[6506] + 3*X[2470] + X[3780] + 2*X[1630] + 2*X[3339] <= 6
model += X[4716] + X[3687] - X[5905] + 3*X[5801] + X[2406] + 2*X[3444] + 2*X[6365] <= 6
model += X[6579] + X[5505] - X[3912] + 3*X[7583] + X[7132] + 2*X[2996] + 2*X[2478] <= 6
model += X[1486] + X[1536] - X[5104] + 3*X[6752] + X[5258] + 2*X[5870] + 2*X[5904] <= 6
model += X[4018] + X[7375] - X[3042] + 3*X[2661] + X[5815] + 2*X[5947] + 2*X[5847] <= 6
model += X[1715] + X[3628] - X[2365] + 3*X[1990] + X[2912] + 2*X[6126] + 2*X[6285] <= 6
model += X[2175] + X[6682] - X[4508] + 3*X[2325] + X[5033] + 2*X[1800] + 2*X[7196] <= 6
model += X[2796] + X[6571] - X[4987] + 3*X[3018] + X[1003] + 2*X[3754] + 2*X[1608] <= 6
model += X[7086] + X[4166] - X[6271] + 3*X[5689] + X[7342] + 2*X[4806] + 2*X[6286] <= 6
model += X[2956] + X[1752] - X[1197] + 3*X[6622] + X[4819] + 2*X[4307] + 2*X[3478] <= 6
model += X[7686] + X[6583] - X[5889] + 3*X[4773] + X[7577] + 2*X[2782] + 2*X[7425] <= 6
model += X[2720] + X[2758] - X[6272] + 3*X[4512] + X[5496] + 2*X[4453] + 2*X[6908] <= 6
model += X[3400] + X[6476] - X[4258] + 3*X[7529] + X[6980] + 2*X[5460] + 2*X[6364] <= 6
model += X[4119] + X[7732] - X[3362] + 3*X[2242] + X[3230] + 2*X[2885] + 2*X[3855] <= 6
model += X[6391] + X[5501] - X[5493] + 3*X[7600] + X[4192] + 2*X[5880] + 2*X[2468] <= 6
model += X[7710] + X[1651] - X[4609] + 3*X[7340] + X[1448] + 2*X[2339] + 2*X[6524] <= 6
model += X[4130] + X[7701] - X[3250] + 3*X[5820] + X[5681] + 2*X[1906] + 2*X[2946] <= 6
model += X[5189] + X[4804] - X[2014] + 3*X[7246] + X[1556] + 2*X[3152] + 2*X[4274] <= 6
model += X[5095] + X[7000] - X[2953] + 3*X[2753] + X[2848] + 2*X[4385] + 2*X[2390] <= 6
model += X[2125] + X[4643] - X[2289] + 3*X[5962] + X[1460] + 2*X[2439] + 2*X[1178] <= 6
model += X[7783] + X[2280] - X[2949] + 3*X[1240] + X[1658] + 2*X[3253] + 2*X[6899] <= 6
model += X[1373] + X[3239] - X[3187] + 3*X[1644] + X[1976] + 2*X[6026] + 2*X[2340] <= 6
model += X[4601] + X[2607] - X[6085] + 3*X[5214] + X[1126] + 2*X[4889] + 2*X[7611] <= 6
model += X[3404] + X[1365] - X[4873] + 3*X[1091] + X[3320] + 2*X[3418] + 2*X[6665] <= 6
model += X[1558] + X[7424] - X[5657] + 3*X[6200] + X[3831] + 2*X[1220] + 2*X[6582] <= 6
model += X[4202] + X[7094] - X[6303] + 3*X[5265] + X[1870] + 2*X[5697] + 2*X[3201] <= 6
model += X[5201] + X[6744] - X[4251] + 3*X[1182] + X[7186] + 2*X[6160] + 2*X[2085] <= 6
model += X[2795] + X[3612] - X[5728] + 3*X[1950] + X[5465] + 2*X[2363] + 2*X[1273] <= 6
model += X[5713] + X[2008] - X[5093] + 3*X[1964] + X[4035] + 2*X[5432] + 2*X[1587] <= 6
model += X[4654] + X[5364] - X[2919] + 3*X[3882] + X[6175] + 2*X[3859] + 2*X[3027] <= 6
model += X[4162] + X[2918] - X[7571] + 3*X[6427] + X[2749] + 2*X[5378] + 2*X[5862] <= 6
model += X[2051] + X[6062] - X[2219] + 3*X[4342] + X[6048] + 2*X[6399] + 2*X[3345] <= 6
model += X[7063] + X[5183] - X[6307] + 3*X[4498] + X[7075] + 2*X[4945] + 2*X[6333] <= 6
model += X[3430] + X[4388] - X[3225] + 3*X[2466] + X[6610] + 2*X[2419] + 2*X[5463] <= 6
model += X[5942] + X[4323] - X[3895] + 3*X[7329] + X[3602] + 2*X[7784] + 2*X[4923] <= 6
model += X[1031] + X[6538] - X[2220] + 3*X[6842] + X[1771] + 2*X[2748] + 2*X[2990] <= 6
model += X[1982] + X[7775] - X[5567] + 3*X[2693] + X[4758] + 2*X[5071] + 2*X[2524] <= 6
model += X[3047] + X[5898] - X[6556] + 3*X[6231] + X[4550] + 2*X[4156] + 2*X[5608] <= 6
model += X[2583] + X[6724] - X[4044] + 3*X[6625] + X[2206] + 2*X[6754] + 2*X[2963] <= 6
model += X[5653] + X[1106] - X[6302] + 3*X[1746] + X[6191] + 2*X[6428] + 2*X[2039] <= 6
model += X[5686] + X[3695] - X[4380] + 3*X[1224] + X[1173] + 2*X[4702] + 2*X[7227] <= 6
model += X[1756] + X[4085] - X[6241] + 3*X[4907] + X[7240] + 2*X[7720] + 2*X[4246] <= 6
model += X[5696] + X[2505] - X[2187] + 3*X[4024] + X[2295] + 2*X[5125] + 2*X[2794] <= 6
model += X[1066] + X[2099] - X[1599] + 3*X[3340] + X[1853] + 2*X[6549] + 2*X[6901] <= 6
model += X[5785] + X[7243] - X[3372] + 3*X[7445] + X[4612] + 2*X[5609] + 2*X[6672] <= 6
model += X[3269] + X[5322] - X[5926] + 3*X[1535] + X[5108] + 2*X[7171] + 2*X[7294] <= 6
model += X[7133] + X[1060] - X[1688] + 3*X[7174] + X[1648] + 2*X[4265] + 2*X[2110] <= 6
model += X[7640] + X[7581] - X[3551] + 3*X[2751] + X[5586] + 2*X[4079] + 2*X[3220] <= 6
model += X[7632] + X[2353] - X[6058] + 3*X[3446] + X[6894] + 2*X[3664] + 2*X[2410] <= 6
model += X[1185] + X[3401] - X[1214] + 3*X[7415] + X[2173] + 2*X[2283] + 2*X[1466] <= 6
model += X[6138] + X[3943] - X[2756] + 3*X[3182] + X[6212] + 2*X[4528] + 2*X[5562] <= 6
model += X[5534] + X[7677] - X[4460] + 3*X[1546] + X[5215] + 2*X[6546] + 2*X[6030] <= 6
model += X[4043] + X[7367] - X[3485] + 3*X[3704] + X[1149] + 2*X[1335] + 2*X[2070] <= 6
model += X[2324] + X[1801] - X[7439] + 3*X[4899] + X[1072] + 2*X[3638] + 2*X[4802] <= 6
model += X[4836] + X[7372] - X[3986] + 3*X[6780] + X[4760] + 2*X[3707] + 2*X[2473] <= 6
model += X[5178] + X[7033] - X[4312] + 3*X[5251] + X[4448] + 2*X[4685] + 2*X[4516] <= 6
model += X[5629] + X[1811] - X[4610] + 3*X[1092] + X[7517] + 2*X[4789] + 2*X[3486] <= 6
model += X[6871] + X[2788] - X[4359] + 3*X[4157] + X[4358] + 2*X[3118] + 2*X[7166] <= 6
model += X[5345] + X[3675] - X[4290] + 3*X[4576] + X[2063] + 2*X[6856] + 2*X[4700] <= 6
model += X[4118] + X[4564] - X[7146] + 3*X[6635] + X[3720] + 2*X[6075] + 2*X[3117] <= 6
model += X[2138] + X[2565] - X[6022] + 3*X[1065] + X[6848] + 2*X[1218] + 2*X[2597] <= 6
model += X[6034] + X[4296] - X[2211] + 3*X[7007] + X[2569] + 2*X[2443] + 2*X[2611] <= 6
model += X[3276] + X[1311] - X[6898] + 3*X[5292] + X[4277] + 2*X[2893] + 2*X[4480] <= 6
model += X[3138] + X[4753] - X[2352] + 3*X[1604] + X[6812] + 2*X[4589] + 2*X[5229] <= 6
model += X[1735] + X[3700] - X[5856] + 3*X[2112] + X[3192] + 2*X[5169] + 2*X[7203] <= 6
model += X[3789] + X[4481] - X[4750] + 3*X[3191] + X[5626] + 2*X[5431] + 2*X[3666] <= 6
model += X[7644] + X[1898] - X[1931] + 3*X[2323] + X[5222] + 2*X[6099] + 2*X[2287] <= 6
model += X[4556] + X[2209] - X[2915] + 3*X[4994] + X[1864] + 2*X[2632] + 2*X[7429] <= 6
model += X[3016] + X[3833] - X[4190] + 3*X[4568] + X[2537] + 2*X[3282] + 2*X[1970] <= 6
model += X[2493] + X[6928] - X[4326] + 3*X[1701] + X[1213] + 2*X[2146] + 2*X[3763] <= 6
model += X[5209] + X[5643] - X[2259] + 3*X[4956] + X[4744] + 2*X[4763] + 2*X[7067] <= 6
model += X[5966] + X[4185] - X[1629] + 3*X[3781] + X[2487] + 2*X[3785] + 2*X[2124] <= 6
model += X[4900] + X[5916] - X[6050] + 3*X[6794] + X[5800] + 2*X[5611] + 2*X[7011] <= 6
model += X[3271] + X[2780] - X[6415] + 3*X[5989] + X[1278] + 2*X[6380] + 2*X[6984] <= 6
model += X[7781] + X[2868] - X[2496] + 3*X[4417] + X[7512] + 2*X[5908] + 2*X[5154] <= 6
model += X[2549] + X[3581] - X[4120] + 3*X[5548] + X[7576] + 2*X[5730] + 2*X[6133] <= 6
model += X[4099] + X[3061] - X[4690] + 3*X[6598] + X[3488] + 2*X[2752] + 2*X[5092] <= 6
model += X[4466] + X[7711] - X[5520] + 3*X[6234] + X[4349] + 2*X[2944] + 2*X[4310] <= 6
model += X[4673] + X[3139] - X[1677] + 3*X[2326] + X[4922] + 2*X[4234] + 2*X[3350] <= 6
model += X[1139] + X[7673] - X[5053] + 3*X[6897] + X[1376] + 2*X[2924] + 2*X[4020] <= 6
model += X[3145] + X[4219] - X[6926] + 3*X[1350] + X[1692] + 2*X[2332] + 2*X[1215] <= 6
model += X[7647] + X[5874] - X[5218] + 3*X[2850] + X[7515] + 2*X[6843] + 2*X[2133] <= 6
model += X[1444] + X[1276] - X[2052] + 3*X[7500] + X[2033] + 2*X[6140] + 2*X[4582] <= 6
model += X[6954] + X[4524] - X[3044] + 3*X[1353] + X[1349] + 2*X[3589] + 2*X[7162] <= 6
model += X[2554] + X[2447] - X[5673] + 3*X[2454] + X[3132] + 2*X[7432] + 2*X[7509] <= 6
model += X[7059] + X[6275] - X[6491] + 3*X[1669] + X[3645] + 2*X[1974] + 2*X[7687] <= 6
model += X[3659] + X[7207] - X[3523] + 3*X[4499] + X[5965] + 2*X[2254] + 2*X[7112] <= 6
model += X[5855] + X[7062] - X[5470] + 3*X[2025] + X[5627] + 2*X[1843] + 2*X[5839] <= 6
model += X[5649] + X[1682] - X[1459] + 3*X[2448] + X[3590] + 2*X[5235] + 2*X[5991] <= 6
model += X[5506] + X[7733] - X[6887] + 3*X[6112] + X[4331] + 2*X[4103] + 2*X[5315] <= 6
model += X[2404] + X[1034] - X[1693] + 3*X[1160] + X[6790] + 2*X[3258] + 2*X[4620] <= 6
model += X[5810] + X[4213] - X[6837] + 3*X[4930] + X[4862] + 2*X[1134] + 2*X[7249] <= 6
model += X[4171] + X[5449] - X[1419] + 3*X[1471] + X[3979] + 2*X[6496] + 2*X[5295] <= 6
model += X[2942] + X[4040] - X[3840] + 3*X[7066] + X[2049] + 2*X[3599] + 2*X[7569] <= 6
model += X[7337] + X[2075] - X[7637] + 3*X[3907] + X[6494] + 2*X[4743] + 2*X[2480] <= 6
model += X[7400] + X[5628] - X[4377] + 3*X[3969] + X[7297] + 2*X[4623] + 2*X[4376] <= 6
model += X[3106] + X[4486] - X[7631] + 3*X[7228] + X[4636] + 2*X[2185] + 2*X[2989] <= 6
model += X[1107] + X[2777] - X[3516] + 3*X[1745] + X[5039] + 2*X[6405] + 2*X[7440] <= 6
model += X[5455] + X[3195] - X[2425] + 3*X[4129] + X[5858] + 2*X[4004] + 2*X[1108] <= 6
model += X[7108] + X[7126] - X[6389] + 3*X[5767] + X[1390] + 2*X[4409] + 2*X[1744] <= 6
model += X[6531] + X[5118] - X[1512] + 3*X[2821] + X[3235] + 2*X[4717] + 2*X[6581] <= 6
model += X[1341] + X[4267] - X[6880] + 3*X[3221] + X[1637] + 2*X[3386] + 2*X[3972] <= 6
model += X[7231] + X[5759] - X[6355] + 3*X[5525] + X[1058] + 2*X[6368] + 2*X[4598] <= 6
model += X[5445] + X[1417] - X[3007] + 3*X[4495] + X[7259] + 2*X[4198] + 2*X[6628] <= 6
model += X[6092] + X[6532] - X[3311] + 3*X[3394] + X[3143] + 2*X[7020] + 2*X[6721] <= 6
model += X[6932] + X[4139] - X[3222] + 3*X[4825] + X[3761] + 2*X[2205] + 2*X[5400] <= 6
model += X[2327] + X[4813] - X[7229] + 3*X[4090] + X[2816] + 2*X[4733] + 2*X[2894] <= 6
model += X[7456] + X[5491] - X[1555] + 3*X[2485] + X[4491] + 2*X[3313] + 2*X[4208] <= 6
model += X[7671] + X[7742] - X[4159] + 3*X[6799] + X[1634] + 2*X[7537] + 2*X[7047] <= 6
model += X[1522] + X[5155] - X[5928] + 3*X[7044] + X[6949] + 2*X[4859] + 2*X[4736] <= 6
model += X[1100] + X[4662] - X[6942] + 3*X[6572] + X[5096] + 2*X[2866] + 2*X[2926] <= 6
model += -6*X[425] - X[584] + 3*X[6604] + X[44] + 2*Y[65] + 2*Y[64] + 2*Y[79] - Y[78] <= 4
model += -X[425] + 3*X[584] + 2*X[6604] + X[44] + 2*Y[65] - 2*Y[64] + Y[79] - 5*Y[78] <= 3
model += -6*X[425] + X[584] - 3*X[6604] - X[44] - 2*Y[65] - 2*Y[64] - 2*Y[79] + Y[78] <= -4
model += X[425] - 4*X[584] - X[6604] + 2*X[44] - 4*Y[65] + 6*Y[64] - 3*Y[79] - 3*Y[78] <= 1
model += -6*X[799] - X[3471] + 3*X[262] + X[590] + 2*Y[66] + 2*Y[65] + 2*Y[64] - Y[79] <= 4
model += -X[799] + 3*X[3471] + 2*X[262] + X[590] + 2*Y[66] - 2*Y[65] + Y[64] - 5*Y[79] <= 3
model += -6*X[6095] - X[695] + 3*X[7566] + X[687] + 2*Y[68] + 2*Y[67] + 2*Y[66] - Y[65] <= 4
model += -X[6095] + 3*X[695] + 2*X[7566] + X[687] + 2*Y[68] - 2*Y[67] + Y[66] - 5*Y[65] <= 3
model += -6*X[824] - X[544] + 3*X[3405] + X[4939] + 2*Y[72] + 2*Y[71] + 2*Y[70] - Y[69] <= 4
model += -X[824] + 3*X[544] + 2*X[3405] + X[4939] + 2*Y[72] - 2*Y[71] + Y[70] - 5*Y[69] <= 3
model += -6*X[799] + X[3471] - 3*X[262] - X[590] - 2*Y[66] - 2*Y[65] - 2*Y[64] + Y[79] <= -4
model += X[799] - 4*X[3471] - X[262] + 2*X[590] - 4*Y[66] + 6*Y[65] - 3*Y[64] - 3*Y[79] <= 1
model += -6*X[6095] + X[695] - 3*X[7566] - X[687] - 2*Y[68] - 2*Y[67] - 2*Y[66] + Y[65] <= -4
model += X[6095] - 4*X[695] - X[7566] + 2*X[687] - 4*Y[68] + 6*Y[67] - 3*Y[66] - 3*Y[65] <= 1
model += -6*X[824] + X[544] - 3*X[3405] - X[4939] - 2*Y[72] - 2*Y[71] - 2*Y[70] + Y[69] <= -4
model += X[824] - 4*X[544] - X[3405] + 2*X[4939] - 4*Y[72] + 6*Y[71] - 3*Y[70] - 3*Y[69] <= 1
model += -6*X[7465] - X[3433] + 3*X[7495] + X[6114] + 2*Y[64] + 2*Y[79] + 2*Y[78] - Y[77] <= 4
model += -X[7465] + 3*X[3433] + 2*X[7495] + X[6114] + 2*Y[64] - 2*Y[79] + Y[78] - 5*Y[77] <= 3
model += -6*X[5414] - X[5308] + 3*X[2575] + X[4317] + 2*Y[77] + 2*Y[76] + 2*Y[75] - Y[74] <= 4
model += -X[5414] + 3*X[5308] + 2*X[2575] + X[4317] + 2*Y[77] - 2*Y[76] + Y[75] - 5*Y[74] <= 3
model += -6*X[4337] - X[1148] + 3*X[4151] + X[2486] + 2*Y[74] + 2*Y[73] + 2*Y[72] - Y[71] <= 4
model += -X[4337] + 3*X[1148] + 2*X[4151] + X[2486] + 2*Y[74] - 2*Y[73] + Y[72] - 5*Y[71] <= 3
model += -6*X[7778] - X[3093] + 3*X[2377] + X[3218] + 2*Y[71] + 2*Y[70] + 2*Y[69] - Y[68] <= 4
model += -X[7778] + 3*X[3093] + 2*X[2377] + X[3218] + 2*Y[71] - 2*Y[70] + Y[69] - 5*Y[68] <= 3
model += 3*X[425] + 9*X[584] + 7*X[6604] + 5*X[44] - Y[65] - 4*Y[64] + 2*Y[79] - 8*Y[78] <= 12
model += -6*X[5877] - X[3636] + 3*X[2011] + X[4279] + 2*Y[78] + 2*Y[77] + 2*Y[76] - Y[75] <= 4
model += -X[5877] + 3*X[3636] + 2*X[2011] + X[4279] + 2*Y[78] - 2*Y[77] + Y[76] - 5*Y[75] <= 3
model += -6*X[2939] - X[6685] + 3*X[4595] + X[5843] + 2*Y[75] + 2*Y[74] + 2*Y[73] - Y[72] <= 4
model += -X[2939] + 3*X[6685] + 2*X[4595] + X[5843] + 2*Y[75] - 2*Y[74] + Y[73] - 5*Y[72] <= 3
model += -6*X[2103] - X[1483] + 3*X[7591] + X[6559] + 2*Y[69] + 2*Y[68] + 2*Y[67] - Y[66] <= 4
model += -X[2103] + 3*X[1483] + 2*X[7591] + X[6559] + 2*Y[69] - 2*Y[68] + Y[67] - 5*Y[66] <= 3
model += -6*X[3711] - X[7039] + 3*X[2596] + X[7660] + 2*Y[79] + 2*Y[78] + 2*Y[77] - Y[76] <= 4
model += -X[3711] + 3*X[7039] + 2*X[2596] + X[7660] + 2*Y[79] - 2*Y[78] + Y[77] - 5*Y[76] <= 3
model += -6*X[4443] - X[2207] + 3*X[3443] + X[2450] + 2*Y[76] + 2*Y[75] + 2*Y[74] - Y[73] <= 4
model += -X[4443] + 3*X[2207] + 2*X[3443] + X[2450] + 2*Y[76] - 2*Y[75] + Y[74] - 5*Y[73] <= 3
model += -6*X[5347] - X[2102] + 3*X[1039] + X[7630] + 2*Y[73] + 2*Y[72] + 2*Y[71] - Y[70] <= 4
model += -X[5347] + 3*X[2102] + 2*X[1039] + X[7630] + 2*Y[73] - 2*Y[72] + Y[71] - 5*Y[70] <= 3
model += -6*X[6083] - X[7777] + 3*X[4856] + X[1825] + 2*Y[70] + 2*Y[69] + 2*Y[68] - Y[67] <= 4
model += -X[6083] + 3*X[7777] + 2*X[4856] + X[1825] + 2*Y[70] - 2*Y[69] + Y[68] - 5*Y[67] <= 3
model += -6*X[3280] - X[1180] + 3*X[3827] + X[5255] + 2*Y[67] + 2*Y[66] + 2*Y[65] - Y[64] <= 4
model += -X[3280] + 3*X[1180] + 2*X[3827] + X[5255] + 2*Y[67] - 2*Y[66] + Y[65] - 5*Y[64] <= 3
model += -6*X[4038] - X[2221] + 3*X[7544] + X[3196] + 2*Y[64] + 2*Y[79] + 2*Y[78] - Y[77] <= 4
model += -X[4038] + 3*X[2221] + 2*X[7544] + X[3196] + 2*Y[64] - 2*Y[79] + Y[78] - 5*Y[77] <= 3
model += -6*X[7366] - X[3662] + 3*X[7770] + X[23] + 2*X[2486] + 2*Y[70] + 2*Y[69] - Y[68] <= 4
model += -X[7366] + 3*X[3662] + 2*X[7770] + X[23] + 2*X[2486] - 2*Y[70] + Y[69] - 5*Y[68] <= 3
model += -6*X[7465] + X[3433] - 3*X[7495] - X[6114] - 2*Y[64] - 2*Y[79] - 2*Y[78] + Y[77] <= -4
model += X[7465] - 4*X[3433] - X[7495] + 2*X[6114] - 4*Y[64] + 6*Y[79] - 3*Y[78] - 3*Y[77] <= 1
model += -6*X[5414] + X[5308] - 3*X[2575] - X[4317] - 2*Y[77] - 2*Y[76] - 2*Y[75] + Y[74] <= -4
model += X[5414] - 4*X[5308] - X[2575] + 2*X[4317] - 4*Y[77] + 6*Y[76] - 3*Y[75] - 3*Y[74] <= 1
model += -6*X[4337] + X[1148] - 3*X[4151] - X[2486] - 2*Y[74] - 2*Y[73] - 2*Y[72] + Y[71] <= -4
model += X[4337] - 4*X[1148] - X[4151] + 2*X[2486] - 4*Y[74] + 6*Y[73] - 3*Y[72] - 3*Y[71] <= 1
model += -6*X[7778] + X[3093] - 3*X[2377] - X[3218] - 2*Y[71] - 2*Y[70] - 2*Y[69] + Y[68] <= -4
model += X[7778] - 4*X[3093] - X[2377] + 2*X[3218] - 4*Y[71] + 6*Y[70] - 3*Y[69] - 3*Y[68] <= 1
model += -6*X[5877] + X[3636] - 3*X[2011] - X[4279] - 2*Y[78] - 2*Y[77] - 2*Y[76] + Y[75] <= -4
model += X[5877] - 4*X[3636] - X[2011] + 2*X[4279] - 4*Y[78] + 6*Y[77] - 3*Y[76] - 3*Y[75] <= 1
model += -6*X[2939] + X[6685] - 3*X[4595] - X[5843] - 2*Y[75] - 2*Y[74] - 2*Y[73] + Y[72] <= -4
model += X[2939] - 4*X[6685] - X[4595] + 2*X[5843] - 4*Y[75] + 6*Y[74] - 3*Y[73] - 3*Y[72] <= 1
model += -6*X[2103] + X[1483] - 3*X[7591] - X[6559] - 2*Y[69] - 2*Y[68] - 2*Y[67] + Y[66] <= -4
model += X[2103] - 4*X[1483] - X[7591] + 2*X[6559] - 4*Y[69] + 6*Y[68] - 3*Y[67] - 3*Y[66] <= 1
model += 3*X[799] + 9*X[3471] + 7*X[262] + 5*X[590] - Y[66] - 4*Y[65] + 2*Y[64] - 8*Y[79] <= 12
model += -6*X[4047] - X[446] + 3*X[300] + X[7] + 2*X[7480] + 2*X[7054] + 2*X[56] - X[1592] <= 4
model += -X[4047] + 3*X[446] + 2*X[300] + X[7] + 2*X[7480] - 2*X[7054] + X[56] - 5*X[1592] <= 3
model += -6*X[3711] + X[7039] - 3*X[2596] - X[7660] - 2*Y[79] - 2*Y[78] - 2*Y[77] + Y[76] <= -4
model += X[3711] - 4*X[7039] - X[2596] + 2*X[7660] - 4*Y[79] + 6*Y[78] - 3*Y[77] - 3*Y[76] <= 1
model += -6*X[4443] + X[2207] - 3*X[3443] - X[2450] - 2*Y[76] - 2*Y[75] - 2*Y[74] + Y[73] <= -4
model += X[4443] - 4*X[2207] - X[3443] + 2*X[2450] - 4*Y[76] + 6*Y[75] - 3*Y[74] - 3*Y[73] <= 1
model += -6*X[5347] + X[2102] - 3*X[1039] - X[7630] - 2*Y[73] - 2*Y[72] - 2*Y[71] + Y[70] <= -4
model += X[5347] - 4*X[2102] - X[1039] + 2*X[7630] - 4*Y[73] + 6*Y[72] - 3*Y[71] - 3*Y[70] <= 1
model += -6*X[6083] + X[7777] - 3*X[4856] - X[1825] - 2*Y[70] - 2*Y[69] - 2*Y[68] + Y[67] <= -4
model += X[6083] - 4*X[7777] - X[4856] + 2*X[1825] - 4*Y[70] + 6*Y[69] - 3*Y[68] - 3*Y[67] <= 1
model += -6*X[3280] + X[1180] - 3*X[3827] - X[5255] - 2*Y[67] - 2*Y[66] - 2*Y[65] + Y[64] <= -4
model += X[3280] - 4*X[1180] - X[3827] + 2*X[5255] - 4*Y[67] + 6*Y[66] - 3*Y[65] - 3*Y[64] <= 1
model += -6*X[4038] + X[2221] - 3*X[7544] - X[3196] - 2*Y[64] - 2*Y[79] - 2*Y[78] + Y[77] <= -4
model += X[4038] - 4*X[2221] - X[7544] + 2*X[3196] - 4*Y[64] + 6*Y[79] - 3*Y[78] - 3*Y[77] <= 1
model += -6*X[233] - X[5790] + 3*X[1088] + X[2895] + 2*X[4317] + 2*Y[73] + 2*Y[72] - Y[71] <= 4
model += -X[233] + 3*X[5790] + 2*X[1088] + X[2895] + 2*X[4317] - 2*Y[73] + Y[72] - 5*Y[71] <= 3
model += -6*X[7366] + X[3662] - 3*X[7770] - X[23] - 2*X[2486] - 2*Y[70] - 2*Y[69] + Y[68] <= -4
model += X[7366] - 4*X[3662] - X[7770] + 2*X[23] - 4*X[2486] + 6*Y[70] - 3*Y[69] - 3*Y[68] <= 1
model += 3*X[6095] + 9*X[695] + 7*X[7566] + 5*X[687] - Y[68] - 4*Y[67] + 2*Y[66] - 8*Y[65] <= 12
model += 10*X[425] + 7*X[584] - 4*X[6604] - 12*X[44] - 2*Y[65] + Y[64] + 6*Y[79] - 13*Y[78] <= 4
model += -X[425] - 2*X[584] + 6*X[6604] - 10*X[44] + 3*Y[65] + 4*Y[64] - 9*Y[79] + 11*Y[78] <= 8
model += 3*X[824] + 9*X[544] + 7*X[3405] + 5*X[4939] - Y[72] - 4*Y[71] + 2*Y[70] - 8*Y[69] <= 12
model += -6*X[4047] + X[446] - 3*X[300] - X[7] - 2*X[7480] - 2*X[7054] - 2*X[56] + X[1592] <= -4
model += X[4047] - 4*X[446] - X[300] + 2*X[7] - 4*X[7480] + 6*X[7054] - 3*X[56] - 3*X[1592] <= 1
model += -6*X[5811] - X[1724] + 3*X[6323] + X[5182] + 2*X[6114] + 2*Y[76] + 2*Y[75] - Y[74] <= 4
model += -X[5811] + 3*X[1724] + 2*X[6323] + X[5182] + 2*X[6114] - 2*Y[76] + Y[75] - 5*Y[74] <= 3
model += -6*X[233] + X[5790] - 3*X[1088] - X[2895] - 2*X[4317] - 2*Y[73] - 2*Y[72] + Y[71] <= -4
model += X[233] - 4*X[5790] - X[1088] + 2*X[2895] - 4*X[4317] + 6*Y[73] - 3*Y[72] - 3*Y[71] <= 1
model += -6*X[1747] - X[5775] + 3*X[5824] + X[5324] + 2*X[3218] + 2*Y[67] + 2*Y[66] - Y[65] <= 4
model += -X[1747] + 3*X[5775] + 2*X[5824] + X[5324] + 2*X[3218] - 2*Y[67] + Y[66] - 5*Y[65] <= 3
model += -6*X[3918] - X[68] + 3*X[7212] + X[1916] + 2*Y[158] + 2*Y[157] + 2*Y[156] - Y[155] <= 4
model += -X[3918] + 3*X[68] + 2*X[7212] + X[1916] + 2*Y[158] - 2*Y[157] + Y[156] - 5*Y[155] <= 3
model += -6*X[5244] - X[450] + 3*X[73] + X[285] + 2*X[5257] + 2*X[949] + 2*X[716] - X[5357] <= 4
model += -X[5244] + 3*X[450] + 2*X[73] + X[285] + 2*X[5257] - 2*X[949] + X[716] - 5*X[5357] <= 3
model += -6*X[255] - X[641] + 3*X[1138] + X[7149] + 2*Y[147] + 2*Y[146] + 2*Y[145] - Y[144] <= 4
model += -X[255] + 3*X[641] + 2*X[1138] + X[7149] + 2*Y[147] - 2*Y[146] + Y[145] - 5*Y[144] <= 3
model += 10*X[425] - 12*X[584] + 4*X[6604] + 7*X[44] + 2*Y[65] - 6*Y[64] - Y[79] + 13*Y[78] <= 16
model += -6*X[4363] - X[85] + 3*X[2309] + X[83] + 2*X[7487] + 2*X[616] + 2*X[3290] - X[4186] <= 4
model += -X[4363] + 3*X[85] + 2*X[2309] + X[83] + 2*X[7487] - 2*X[616] + X[3290] - 5*X[4186] <= 3
model += -6*X[1073] - X[533] + 3*X[49] + X[1210] + 2*X[4473] + 2*X[742] + 2*X[1525] - X[484] <= 4
model += -X[1073] + 3*X[533] + 2*X[49] + X[1210] + 2*X[4473] - 2*X[742] + X[1525] - 5*X[484] <= 3
model += -6*X[8] - X[759] + 3*X[1027] + X[3119] + 2*X[3197] + 2*X[5373] + 2*X[524] - X[5939] <= 4
model += -X[8] + 3*X[759] + 2*X[1027] + X[3119] + 2*X[3197] - 2*X[5373] + X[524] - 5*X[5939] <= 3
model += -6*X[7244] - X[829] + 3*X[905] + X[5983] + 2*X[2429] + 2*X[6202] + 2*X[2134] - X[5] <= 4
model += -X[7244] + 3*X[829] + 2*X[905] + X[5983] + 2*X[2429] - 2*X[6202] + X[2134] - 5*X[5] <= 3
model += 10*X[799] + 7*X[3471] - 4*X[262] - 12*X[590] - 2*Y[66] + Y[65] + 6*Y[64] - 13*Y[79] <= 4
model += -X[799] - 2*X[3471] + 6*X[262] - 10*X[590] + 3*Y[66] + 4*Y[65] - 9*Y[64] + 11*Y[79] <= 8
model += -6*X[833] - X[7534] + 3*X[649] + X[5709] + 2*X[0] + 2*X[3884] + 2*X[3299] - X[7026] <= 4
model += -X[833] + 3*X[7534] + 2*X[649] + X[5709] + 2*X[0] - 2*X[3884] + X[3299] - 5*X[7026] <= 3
model += -6*X[5811] + X[1724] - 3*X[6323] - X[5182] - 2*X[6114] - 2*Y[76] - 2*Y[75] + Y[74] <= -4
model += X[5811] - 4*X[1724] - X[6323] + 2*X[5182] - 4*X[6114] + 6*Y[76] - 3*Y[75] - 3*Y[74] <= 1
model += -6*X[963] - X[872] + 3*X[4978] + X[7357] + 2*X[48] + 2*X[532] + 2*X[6951] - X[5659] <= 4
model += -X[963] + 3*X[872] + 2*X[4978] + X[7357] + 2*X[48] - 2*X[532] + X[6951] - 5*X[5659] <= 3
model += -6*X[1747] + X[5775] - 3*X[5824] - X[5324] - 2*X[3218] - 2*Y[67] - 2*Y[66] + Y[65] <= -4
model += X[1747] - 4*X[5775] - X[5824] + 2*X[5324] - 4*X[3218] + 6*Y[67] - 3*Y[66] - 3*Y[65] <= 1
model += -6*X[1200] - X[4136] + 3*X[568] + X[1028] + 2*X[342] + 2*X[133] + 2*X[7300] - X[77] <= 4
model += -X[1200] + 3*X[4136] + 2*X[568] + X[1028] + 2*X[342] - 2*X[133] + X[7300] - 5*X[77] <= 3
model += -6*X[4230] - X[3688] + 3*X[451] + X[2562] + 2*Y[144] + 2*Y[159] + 2*Y[158] - Y[157] <= 4
model += -X[4230] + 3*X[3688] + 2*X[451] + X[2562] + 2*Y[144] - 2*Y[159] + Y[158] - 5*Y[157] <= 3
model += -6*X[2165] - X[4167] + 3*X[873] + X[2669] + 2*Y[154] + 2*Y[153] + 2*Y[152] - Y[151] <= 4
model += -X[2165] + 3*X[4167] + 2*X[873] + X[2669] + 2*Y[154] - 2*Y[153] + Y[152] - 5*Y[151] <= 3
model += -6*X[1130] - X[3728] + 3*X[311] + X[4687] + 2*Y[151] + 2*Y[150] + 2*Y[149] - Y[148] <= 4
model += -X[1130] + 3*X[3728] + 2*X[311] + X[4687] + 2*Y[151] - 2*Y[150] + Y[149] - 5*Y[148] <= 3
model += -6*X[3918] + X[68] - 3*X[7212] - X[1916] - 2*Y[158] - 2*Y[157] - 2*Y[156] + Y[155] <= -4
model += X[3918] - 4*X[68] - X[7212] + 2*X[1916] - 4*Y[158] + 6*Y[157] - 3*Y[156] - 3*Y[155] <= 1
model += -6*X[1705] - X[173] + 3*X[1340] + X[3978] + 2*Y[155] + 2*Y[154] + 2*Y[153] - Y[152] <= 4
model += -X[1705] + 3*X[173] + 2*X[1340] + X[3978] + 2*Y[155] - 2*Y[154] + Y[153] - 5*Y[152] <= 3
model += -6*X[5244] + X[450] - 3*X[73] - X[285] - 2*X[5257] - 2*X[949] - 2*X[716] + X[5357] <= -4
model += X[5244] - 4*X[450] - X[73] + 2*X[285] - 4*X[5257] + 6*X[949] - 3*X[716] - 3*X[5357] <= 1
model += -6*X[5467] - X[5067] + 3*X[683] + X[6763] + 2*X[76] + 2*X[114] + 2*X[4003] - X[264] <= 4
model += -X[5467] + 3*X[5067] + 2*X[683] + X[6763] + 2*X[76] - 2*X[114] + X[4003] - 5*X[264] <= 3
model += -6*X[2275] - X[539] + 3*X[4973] + X[2957] + 2*Y[159] + 2*Y[158] + 2*Y[157] - Y[156] <= 4
model += -X[2275] + 3*X[539] + 2*X[4973] + X[2957] + 2*Y[159] - 2*Y[158] + Y[157] - 5*Y[156] <= 3
model += -6*X[3796] - X[179] + 3*X[7547] + X[5096] + 2*Y[156] + 2*Y[155] + 2*Y[154] - Y[153] <= 4
model += -X[3796] + 3*X[179] + 2*X[7547] + X[5096] + 2*Y[156] - 2*Y[155] + Y[154] - 5*Y[153] <= 3
model += -6*X[910] - X[4811] + 3*X[1143] + X[4345] + 2*Y[150] + 2*Y[149] + 2*Y[148] - Y[147] <= 4
model += -X[910] + 3*X[4811] + 2*X[1143] + X[4345] + 2*Y[150] - 2*Y[149] + Y[148] - 5*Y[147] <= 3
model += -6*X[255] + X[641] - 3*X[1138] - X[7149] - 2*Y[147] - 2*Y[146] - 2*Y[145] + Y[144] <= -4
model += X[255] - 4*X[641] - X[1138] + 2*X[7149] - 4*Y[147] + 6*Y[146] - 3*Y[145] - 3*Y[144] <= 1
model += -6*X[7088] - X[791] + 3*X[1237] + X[480] + 2*X[2669] + 2*Y[150] + 2*Y[149] - Y[148] <= 4
model += -X[7088] + 3*X[791] + 2*X[1237] + X[480] + 2*X[2669] - 2*Y[150] + Y[149] - 5*Y[148] <= 3
model += 3*X[7465] + 9*X[3433] + 7*X[7495] + 5*X[6114] - Y[64] - 4*Y[79] + 2*Y[78] - 8*Y[77] <= 12
model += 3*X[5414] + 9*X[5308] + 7*X[2575] + 5*X[4317] - Y[77] - 4*Y[76] + 2*Y[75] - 8*Y[74] <= 12
model += 3*X[4337] + 9*X[1148] + 7*X[4151] + 5*X[2486] - Y[74] - 4*Y[73] + 2*Y[72] - 8*Y[71] <= 12
model += -6*X[4116] - X[21] + 3*X[7501] + X[5429] + 2*X[4344] + 2*X[1375] + 2*X[662] - X[354] <= 4
model += -X[4116] + 3*X[21] + 2*X[7501] + X[5429] + 2*X[4344] - 2*X[1375] + X[662] - 5*X[354] <= 3
model += 3*X[7778] + 9*X[3093] + 7*X[2377] + 5*X[3218] - Y[71] - 4*Y[70] + 2*Y[69] - 8*Y[68] <= 12
model += 10*X[6095] + 7*X[695] - 4*X[7566] - 12*X[687] - 2*Y[68] + Y[67] + 6*Y[66] - 13*Y[65] <= 4
model += -X[6095] - 2*X[695] + 6*X[7566] - 10*X[687] + 3*Y[68] + 4*Y[67] - 9*Y[66] + 11*Y[65] <= 8
model += 3*X[5877] + 9*X[3636] + 7*X[2011] + 5*X[4279] - Y[78] - 4*Y[77] + 2*Y[76] - 8*Y[75] <= 12
model += -6*X[4363] + X[85] - 3*X[2309] - X[83] - 2*X[7487] - 2*X[616] - 2*X[3290] + X[4186] <= -4
model += X[4363] - 4*X[85] - X[2309] + 2*X[83] - 4*X[7487] + 6*X[616] - 3*X[3290] - 3*X[4186] <= 1
model += -6*X[377] - X[7490] + 3*X[1294] + X[5982] + 2*X[482] + 2*X[66] + 2*X[1144] - X[3079] <= 4
model += -X[377] + 3*X[7490] + 2*X[1294] + X[5982] + 2*X[482] - 2*X[66] + X[1144] - 5*X[3079] <= 3
model += 3*X[2939] + 9*X[6685] + 7*X[4595] + 5*X[5843] - Y[75] - 4*Y[74] + 2*Y[73] - 8*Y[72] <= 12
model += -6*X[1073] + X[533] - 3*X[49] - X[1210] - 2*X[4473] - 2*X[742] - 2*X[1525] + X[484] <= -4
model += X[1073] - 4*X[533] - X[49] + 2*X[1210] - 4*X[4473] + 6*X[742] - 3*X[1525] - 3*X[484] <= 1
model += -6*X[272] - X[1048] + 3*X[6102] + X[181] + 2*X[6449] + 2*X[4725] + 2*X[715] - X[894] <= 4
model += -X[272] + 3*X[1048] + 2*X[6102] + X[181] + 2*X[6449] - 2*X[4725] + X[715] - 5*X[894] <= 3
model += 10*X[824] + 7*X[544] - 4*X[3405] - 12*X[4939] - 2*Y[72] + Y[71] + 6*Y[70] - 13*Y[69] <= 4
model += -X[824] - 2*X[544] + 6*X[3405] - 10*X[4939] + 3*Y[72] + 4*Y[71] - 9*Y[70] + 11*Y[69] <= 8
model += -6*X[8] + X[759] - 3*X[1027] - X[3119] - 2*X[3197] - 2*X[5373] - 2*X[524] + X[5939] <= -4
model += X[8] - 4*X[759] - X[1027] + 2*X[3119] - 4*X[3197] + 6*X[5373] - 3*X[524] - 3*X[5939] <= 1
model += -6*X[74] - X[3312] + 3*X[5210] + X[2337] + 2*X[408] + 2*X[358] + 2*X[2198] - X[7752] <= 4
model += -X[74] + 3*X[3312] + 2*X[5210] + X[2337] + 2*X[408] - 2*X[358] + X[2198] - 5*X[7752] <= 3
model += 3*X[2103] + 9*X[1483] + 7*X[7591] + 5*X[6559] - Y[69] - 4*Y[68] + 2*Y[67] - 8*Y[66] <= 12
model += -6*X[7244] + X[829] - 3*X[905] - X[5983] - 2*X[2429] - 2*X[6202] - 2*X[2134] + X[5] <= -4
model += X[7244] - 4*X[829] - X[905] + 2*X[5983] - 4*X[2429] + 6*X[6202] - 3*X[2134] - 3*X[5] <= 1
model += 10*X[799] - 12*X[3471] + 4*X[262] + 7*X[590] + 2*Y[66] - 6*Y[65] - Y[64] + 13*Y[79] <= 16
model += 3*X[3711] + 9*X[7039] + 7*X[2596] + 5*X[7660] - Y[79] - 4*Y[78] + 2*Y[77] - 8*Y[76] <= 12
model += -6*X[1011] - X[319] + 3*X[5090] + X[7046] + 2*X[642] + 2*X[2149] + 2*X[417] - X[993] <= 4
model += -X[1011] + 3*X[319] + 2*X[5090] + X[7046] + 2*X[642] - 2*X[2149] + X[417] - 5*X[993] <= 3
model += 3*X[4443] + 9*X[2207] + 7*X[3443] + 5*X[2450] - Y[76] - 4*Y[75] + 2*Y[74] - 8*Y[73] <= 12
model += -6*X[840] - X[54] + 3*X[4092] + X[5275] + 2*X[3592] + 2*X[6716] + 2*X[3919] - X[152] <= 4
model += -X[840] + 3*X[54] + 2*X[4092] + X[5275] + 2*X[3592] - 2*X[6716] + X[3919] - 5*X[152] <= 3
model += 3*X[5347] + 9*X[2102] + 7*X[1039] + 5*X[7630] - Y[73] - 4*Y[72] + 2*Y[71] - 8*Y[70] <= 12
model += 3*X[6083] + 9*X[7777] + 7*X[4856] + 5*X[1825] - Y[70] - 4*Y[69] + 2*Y[68] - 8*Y[67] <= 12
model += 3*X[3280] + 9*X[1180] + 7*X[3827] + 5*X[5255] - Y[67] - 4*Y[66] + 2*Y[65] - 8*Y[64] <= 12
model += -6*X[833] + X[7534] - 3*X[649] - X[5709] - 2*X[0] - 2*X[3884] - 2*X[3299] + X[7026] <= -4
model += X[833] - 4*X[7534] - X[649] + 2*X[5709] - 4*X[0] + 6*X[3884] - 3*X[3299] - 3*X[7026] <= 1
model += 3*X[4038] + 9*X[2221] + 7*X[7544] + 5*X[3196] - Y[64] - 4*Y[79] + 2*Y[78] - 8*Y[77] <= 12
model += -6*X[3504] - X[7585] + 3*X[961] + X[3] + 2*X[5468] + 2*X[5306] + 2*X[1840] - X[5813] <= 4
model += -X[3504] + 3*X[7585] + 2*X[961] + X[3] + 2*X[5468] - 2*X[5306] + X[1840] - 5*X[5813] <= 3
model += -6*X[955] - X[1753] + 3*X[4207] + X[256] + 2*X[2828] + 2*X[38] + 2*X[1006] - X[3777] <= 4
model += -X[955] + 3*X[1753] + 2*X[4207] + X[256] + 2*X[2828] - 2*X[38] + X[1006] - 5*X[3777] <= 3
model += 3*X[7366] + 9*X[3662] + 7*X[7770] + 5*X[23] - X[2486] - 4*Y[70] + 2*Y[69] - 8*Y[68] <= 12
model += -6*X[963] + X[872] - 3*X[4978] - X[7357] - 2*X[48] - 2*X[532] - 2*X[6951] + X[5659] <= -4
model += X[963] - 4*X[872] - X[4978] + 2*X[7357] - 4*X[48] + 6*X[532] - 3*X[6951] - 3*X[5659] <= 1
model += -6*X[1200] + X[4136] - 3*X[568] - X[1028] - 2*X[342] - 2*X[133] - 2*X[7300] + X[77] <= -4
model += X[1200] - 4*X[4136] - X[568] + 2*X[1028] - 4*X[342] + 6*X[133] - 3*X[7300] - 3*X[77] <= 1
model += -6*X[6228] - X[4701] + 3*X[7304] + X[437] + 2*X[5249] + 2*X[1845] + 2*X[7323] - X[2] <= 4
model += -X[6228] + 3*X[4701] + 2*X[7304] + X[437] + 2*X[5249] - 2*X[1845] + X[7323] - 5*X[2] <= 3
model += -6*X[3880] - X[3792] + 3*X[2859] + X[5770] + 2*X[6141] + 2*X[71] + 2*X[47] - X[4699] <= 4
model += -X[3880] + 3*X[3792] + 2*X[2859] + X[5770] + 2*X[6141] - 2*X[71] + X[47] - 5*X[4699] <= 3
model += -6*X[372] - X[33] + 3*X[266] + X[4683] + 2*X[2799] + 2*X[1829] + 2*X[4724] - X[2811] <= 4
model += -X[372] + 3*X[33] + 2*X[266] + X[4683] + 2*X[2799] - 2*X[1829] + X[4724] - 5*X[2811] <= 3
model += -6*X[4230] + X[3688] - 3*X[451] - X[2562] - 2*Y[144] - 2*Y[159] - 2*Y[158] + Y[157] <= -4
model += X[4230] - 4*X[3688] - X[451] + 2*X[2562] - 4*Y[144] + 6*Y[159] - 3*Y[158] - 3*Y[157] <= 1
model += -6*X[6950] - X[5150] + 3*X[1834] + X[4805] + 2*Y[157] + 2*Y[156] + 2*Y[155] - Y[154] <= 4
model += -X[6950] + 3*X[5150] + 2*X[1834] + X[4805] + 2*Y[157] - 2*Y[156] + Y[155] - 5*Y[154] <= 3
model += -6*X[2165] + X[4167] - 3*X[873] - X[2669] - 2*Y[154] - 2*Y[153] - 2*Y[152] + Y[151] <= -4
model += X[2165] - 4*X[4167] - X[873] + 2*X[2669] - 4*Y[154] + 6*Y[153] - 3*Y[152] - 3*Y[151] <= 1
model += -6*X[917] - X[5116] + 3*X[2639] + X[6169] + 2*X[878] + 2*X[4487] + 2*X[15] - X[3867] <= 4
model += -X[917] + 3*X[5116] + 2*X[2639] + X[6169] + 2*X[878] - 2*X[4487] + X[15] - 5*X[3867] <= 3
model += -6*X[1130] + X[3728] - 3*X[311] - X[4687] - 2*Y[151] - 2*Y[150] - 2*Y[149] + Y[148] <= -4
model += X[1130] - 4*X[3728] - X[311] + 2*X[4687] - 4*Y[151] + 6*Y[150] - 3*Y[149] - 3*Y[148] <= 1
model += -6*X[4319] - X[62] + 3*X[363] + X[3524] + 2*X[7616] + 2*X[1920] + 2*X[749] - X[5207] <= 4
model += -X[4319] + 3*X[62] + 2*X[363] + X[3524] + 2*X[7616] - 2*X[1920] + X[749] - 5*X[5207] <= 3
model += -6*X[2858] - X[7619] + 3*X[6297] + X[3573] + 2*Y[148] + 2*Y[147] + 2*Y[146] - Y[145] <= 4
model += -X[2858] + 3*X[7619] + 2*X[6297] + X[3573] + 2*Y[148] - 2*Y[147] + Y[146] - 5*Y[145] <= 3
model += -6*X[3651] - X[1256] + 3*X[3757] + X[5859] + 2*Y[145] + 2*Y[144] + 2*Y[159] - Y[158] <= 4
model += -X[3651] + 3*X[1256] + 2*X[3757] + X[5859] + 2*Y[145] - 2*Y[144] + Y[159] - 5*Y[158] <= 3
model += -6*X[1705] + X[173] - 3*X[1340] - X[3978] - 2*Y[155] - 2*Y[154] - 2*Y[153] + Y[152] <= -4
model += X[1705] - 4*X[173] - X[1340] + 2*X[3978] - 4*Y[155] + 6*Y[154] - 3*Y[153] - 3*Y[152] <= 1
model += -6*X[2668] - X[2866] + 3*X[2926] + X[3721] + 2*Y[152] + 2*Y[151] + 2*Y[150] - Y[149] <= 4
model += -X[2668] + 3*X[2866] + 2*X[2926] + X[3721] + 2*Y[152] - 2*Y[151] + Y[150] - 5*Y[149] <= 3
model += -6*X[25] - X[506] + 3*X[5756] + X[6958] + 2*X[1516] + 2*X[6976] + 2*X[470] - X[1657] <= 4
model += -X[25] + 3*X[506] + 2*X[5756] + X[6958] + 2*X[1516] - 2*X[6976] + X[470] - 5*X[1657] <= 3
model += -6*X[3233] - X[6031] + 3*X[1721] + X[5094] + 2*Y[149] + 2*Y[148] + 2*Y[147] - Y[146] <= 4
model += -X[3233] + 3*X[6031] + 2*X[1721] + X[5094] + 2*Y[149] - 2*Y[148] + Y[147] - 5*Y[146] <= 3
model += -6*X[7748] - X[1884] + 3*X[7385] + X[4295] + 2*Y[146] + 2*Y[145] + 2*Y[144] - Y[159] <= 4
model += -X[7748] + 3*X[1884] + 2*X[7385] + X[4295] + 2*Y[146] - 2*Y[145] + Y[144] - 5*Y[159] <= 3
model += -6*X[5467] + X[5067] - 3*X[683] - X[6763] - 2*X[76] - 2*X[114] - 2*X[4003] + X[264] <= -4
model += X[5467] - 4*X[5067] - X[683] + 2*X[6763] - 4*X[76] + 6*X[114] - 3*X[4003] - 3*X[264] <= 1
model += -6*X[2275] + X[539] - 3*X[4973] - X[2957] - 2*Y[159] - 2*Y[158] - 2*Y[157] + Y[156] <= -4
model += X[2275] - 4*X[539] - X[4973] + 2*X[2957] - 4*Y[159] + 6*Y[158] - 3*Y[157] - 3*Y[156] <= 1
model += -6*X[1097] - X[6322] + 3*X[5879] + X[29] + 2*X[424] + 2*X[6317] + 2*X[362] - X[7572] <= 4
model += -X[1097] + 3*X[6322] + 2*X[5879] + X[29] + 2*X[424] - 2*X[6317] + X[362] - 5*X[7572] <= 3
model += -6*X[3796] + X[179] - 3*X[7547] - X[5096] - 2*Y[156] - 2*Y[155] - 2*Y[154] + Y[153] <= -4
model += X[3796] - 4*X[179] - X[7547] + 2*X[5096] - 4*Y[156] + 6*Y[155] - 3*Y[154] - 3*Y[153] <= 1
model += -6*X[4795] - X[7197] + 3*X[4203] + X[1776] + 2*Y[153] + 2*Y[152] + 2*Y[151] - Y[150] <= 4
model += -X[4795] + 3*X[7197] + 2*X[4203] + X[1776] + 2*Y[153] - 2*Y[152] + Y[151] - 5*Y[150] <= 3
model += -6*X[910] + X[4811] - 3*X[1143] - X[4345] - 2*Y[150] - 2*Y[149] - 2*Y[148] + Y[147] <= -4
model += X[910] - 4*X[4811] - X[1143] + 2*X[4345] - 4*Y[150] + 6*Y[149] - 3*Y[148] - 3*Y[147] <= 1
model += -6*X[5361] - X[6804] + 3*X[2974] + X[6145] + 2*X[6178] + 2*X[5712] + 2*X[4] - X[344] <= 4
model += -X[5361] + 3*X[6804] + 2*X[2974] + X[6145] + 2*X[6178] - 2*X[5712] + X[4] - 5*X[344] <= 3
model += -6*X[6432] - X[5974] + 3*X[5384] + X[2841] + 2*Y[144] + 2*Y[159] + 2*Y[158] - Y[157] <= 4
model += -X[6432] + 3*X[5974] + 2*X[5384] + X[2841] + 2*Y[144] - 2*Y[159] + Y[158] - 5*Y[157] <= 3
model += -6*X[737] - X[39] + 3*X[3140] + X[2202] + 2*X[416] + 2*X[4502] + 2*X[1788] - X[4378] <= 4
model += -X[737] + 3*X[39] + 2*X[3140] + X[2202] + 2*X[416] - 2*X[4502] + X[1788] - 5*X[4378] <= 3
model += -6*X[6152] - X[5485] + 3*X[150] + X[7235] + 2*X[24] + 2*X[730] + 2*X[3503] - X[5012] <= 4
model += -X[6152] + 3*X[5485] + 2*X[150] + X[7235] + 2*X[24] - 2*X[730] + X[3503] - 5*X[5012] <= 3
model += -6*X[280] - X[3147] + 3*X[476] + X[6001] + 2*X[6131] + 2*X[6464] + 2*X[4104] - X[70] <= 4
model += -X[280] + 3*X[3147] + 2*X[476] + X[6001] + 2*X[6131] - 2*X[6464] + X[4104] - 5*X[70] <= 3
model += -6*X[7088] + X[791] - 3*X[1237] - X[480] - 2*X[2669] - 2*Y[150] - 2*Y[149] + Y[148] <= -4
model += X[7088] - 4*X[791] - X[1237] + 2*X[480] - 4*X[2669] + 6*Y[150] - 3*Y[149] - 3*Y[148] <= 1
model += -6*X[1751] - X[645] + 3*X[378] + X[126] + 2*X[2010] + 2*X[493] + 2*X[4816] - X[6455] <= 4
model += -X[1751] + 3*X[645] + 2*X[378] + X[126] + 2*X[2010] - 2*X[493] + X[4816] - 5*X[6455] <= 3
model += -6*X[4562] - X[31] + 3*X[6968] + X[5206] + 2*X[82] + 2*X[2862] + 2*X[2167] - X[6539] <= 4
model += -X[4562] + 3*X[31] + 2*X[6968] + X[5206] + 2*X[82] - 2*X[2862] + X[2167] - 5*X[6539] <= 3
model += -6*X[7754] - X[324] + 3*X[223] + X[86] + 2*X[5008] + 2*X[7221] + 2*X[6615] - X[4882] <= 4
model += -X[7754] + 3*X[324] + 2*X[223] + X[86] + 2*X[5008] - 2*X[7221] + X[6615] - 5*X[4882] <= 3
model += -6*X[12] - X[4411] + 3*X[4424] + X[5107] + 2*X[4295] + 2*X[3918] + 2*X[68] - X[7212] <= 4
model += -X[12] + 3*X[4411] + 2*X[4424] + X[5107] + 2*X[4295] - 2*X[3918] + X[68] - 5*X[7212] <= 3
model += -6*X[50] - X[104] + 3*X[6412] + X[6079] + 2*X[2299] + 2*X[5048] + 2*X[7138] - X[4710] <= 4
model += -X[50] + 3*X[104] + 2*X[6412] + X[6079] + 2*X[2299] - 2*X[5048] + X[7138] - 5*X[4710] <= 3
model += -6*X[4289] - X[646] + 3*X[523] + X[5313] + 2*X[1624] + 2*X[2424] + 2*X[313] - X[3940] <= 4
model += -X[4289] + 3*X[646] + 2*X[523] + X[5313] + 2*X[1624] - 2*X[2424] + X[313] - 5*X[3940] <= 3
model += -6*X[4116] + X[21] - 3*X[7501] - X[5429] - 2*X[4344] - 2*X[1375] - 2*X[662] + X[354] <= -4
model += X[4116] - 4*X[21] - X[7501] + 2*X[5429] - 4*X[4344] + 6*X[1375] - 3*X[662] - 3*X[354] <= 1
model += -6*X[1698] - X[6508] + 3*X[6979] + X[1938] + 2*X[474] + 2*X[7477] + 2*X[1270] - X[16] <= 4
model += -X[1698] + 3*X[6508] + 2*X[6979] + X[1938] + 2*X[474] - 2*X[7477] + X[1270] - 5*X[16] <= 3
model += -6*X[115] - X[141] + 3*X[7651] + X[5354] + 2*X[6330] + 2*X[7153] + 2*X[765] - X[6783] <= 4
model += -X[115] + 3*X[141] + 2*X[7651] + X[5354] + 2*X[6330] - 2*X[7153] + X[765] - 5*X[6783] <= 3
model += -6*X[3706] - X[798] + 3*X[3665] + X[668] + 2*X[1358] + 2*X[174] + 2*X[1069] - X[3561] <= 4
model += -X[3706] + 3*X[798] + 2*X[3665] + X[668] + 2*X[1358] - 2*X[174] + X[1069] - 5*X[3561] <= 3
model += -6*X[5692] - X[215] + 3*X[4869] + X[6056] + 2*X[196] + 2*X[1998] + 2*X[314] - X[4776] <= 4
model += -X[5692] + 3*X[215] + 2*X[4869] + X[6056] + 2*X[196] - 2*X[1998] + X[314] - 5*X[4776] <= 3
model += -6*X[464] - X[1826] + 3*X[337] + X[4233] + 2*X[540] + 2*X[7022] + 2*X[4981] - X[3663] <= 4
model += -X[464] + 3*X[1826] + 2*X[337] + X[4233] + 2*X[540] - 2*X[7022] + X[4981] - 5*X[3663] <= 3
model += 10*X[6095] - 12*X[695] + 4*X[7566] + 7*X[687] + 2*Y[68] - 6*Y[67] - Y[66] + 13*Y[65] <= 16
model += -6*X[6183] - X[7298] + 3*X[90] + X[4775] + 2*X[4335] + 2*X[918] + 2*X[1513] - X[3060] <= 4
model += -X[6183] + 3*X[7298] + 2*X[90] + X[4775] + 2*X[4335] - 2*X[918] + X[1513] - 5*X[3060] <= 3
model += -6*X[2282] - X[1127] + 3*X[1163] + X[1899] + 2*X[245] + 2*X[3104] + 2*X[205] - X[541] <= 4
model += -X[2282] + 3*X[1127] + 2*X[1163] + X[1899] + 2*X[245] - 2*X[3104] + X[205] - 5*X[541] <= 3
model += -6*X[1652] - X[13] + 3*X[5676] + X[3180] + 2*X[4853] + 2*X[355] + 2*X[4062] - X[5458] <= 4
model += -X[1652] + 3*X[13] + 2*X[5676] + X[3180] + 2*X[4853] - 2*X[355] + X[4062] - 5*X[5458] <= 3
model += -6*X[5902] - X[373] + 3*X[796] + X[723] + 2*X[4782] + 2*X[3179] + 2*X[6153] - X[4140] <= 4
model += -X[5902] + 3*X[373] + 2*X[796] + X[723] + 2*X[4782] - 2*X[3179] + X[6153] - 5*X[4140] <= 3
model += -6*X[377] + X[7490] - 3*X[1294] - X[5982] - 2*X[482] - 2*X[66] - 2*X[1144] + X[3079] <= -4
model += X[377] - 4*X[7490] - X[1294] + 2*X[5982] - 4*X[482] + 6*X[66] - 3*X[1144] - 3*X[3079] <= 1
model += -6*X[2620] - X[59] + 3*X[790] + X[4993] + 2*X[3424] + 2*X[5494] + 2*X[7412] - X[5538] <= 4
model += -X[2620] + 3*X[59] + 2*X[790] + X[4993] + 2*X[3424] - 2*X[5494] + X[7412] - 5*X[5538] <= 3
model += -6*X[272] + X[1048] - 3*X[6102] - X[181] - 2*X[6449] - 2*X[4725] - 2*X[715] + X[894] <= -4
model += X[272] - 4*X[1048] - X[6102] + 2*X[181] - 4*X[6449] + 6*X[4725] - 3*X[715] - 3*X[894] <= 1
model += 10*X[824] - 12*X[544] + 4*X[3405] + 7*X[4939] + 2*Y[72] - 6*Y[71] - Y[70] + 13*Y[69] <= 16
model += -6*X[3959] - X[60] + 3*X[2892] + X[507] + 2*X[3293] + 2*X[4026] + 2*X[1343] - X[1257] <= 4
model += -X[3959] + 3*X[60] + 2*X[2892] + X[507] + 2*X[3293] - 2*X[4026] + X[1343] - 5*X[1257] <= 3
model += -6*X[859] - X[2771] + 3*X[5757] + X[37] + 2*X[3249] + 2*X[1985] + 2*X[4860] - X[3905] <= 4
model += -X[859] + 3*X[2771] + 2*X[5757] + X[37] + 2*X[3249] - 2*X[1985] + X[4860] - 5*X[3905] <= 3
model += -6*X[3597] - X[5747] + 3*X[5063] + X[63] + 2*X[6791] + 2*X[4849] + 2*X[4330] - X[710] <= 4
model += -X[3597] + 3*X[5747] + 2*X[5063] + X[63] + 2*X[6791] - 2*X[4849] + X[4330] - 5*X[710] <= 3
model += -6*X[74] + X[3312] - 3*X[5210] - X[2337] - 2*X[408] - 2*X[358] - 2*X[2198] + X[7752] <= -4
model += X[74] - 4*X[3312] - X[5210] + 2*X[2337] - 4*X[408] + 6*X[358] - 3*X[2198] - 3*X[7752] <= 1
model += -6*X[3477] - X[771] + 3*X[2310] + X[1978] + 2*X[5917] + 2*X[257] + 2*X[578] - X[6196] <= 4
model += -X[3477] + 3*X[771] + 2*X[2310] + X[1978] + 2*X[5917] - 2*X[257] + X[578] - 5*X[6196] <= 3
model += -6*X[502] - X[1915] + 3*X[526] + X[5100] + 2*X[2288] + 2*X[7580] + 2*X[3980] - X[802] <= 4
model += -X[502] + 3*X[1915] + 2*X[526] + X[5100] + 2*X[2288] - 2*X[7580] + X[3980] - 5*X[802] <= 3
model += 3*X[4047] + 9*X[446] + 7*X[300] + 5*X[7] - X[7480] - 4*X[7054] + 2*X[56] - 8*X[1592] <= 12
model += -6*X[3494] - X[2201] + 3*X[3318] + X[5325] + 2*X[2262] + 2*X[9] + 2*X[5247] - X[4226] <= 4
model += -X[3494] + 3*X[2201] + 2*X[3318] + X[5325] + 2*X[2262] - 2*X[9] + X[5247] - 5*X[4226] <= 3
model += -6*X[7362] - X[6454] + 3*X[677] + X[3653] + 2*X[273] + 2*X[4971] + 2*X[6533] - X[979] <= 4
model += -X[7362] + 3*X[6454] + 2*X[677] + X[3653] + 2*X[273] - 2*X[4971] + X[6533] - 5*X[979] <= 3
model += -6*X[1011] + X[319] - 3*X[5090] - X[7046] - 2*X[642] - 2*X[2149] - 2*X[417] + X[993] <= -4
model += X[1011] - 4*X[319] - X[5090] + 2*X[7046] - 4*X[642] + 6*X[2149] - 3*X[417] - 3*X[993] <= 1
model += -6*X[2966] - X[6378] + 3*X[165] + X[5030] + 2*X[761] + 2*X[3635] + 2*X[591] - X[6729] <= 4
model += -X[2966] + 3*X[6378] + 2*X[165] + X[5030] + 2*X[761] - 2*X[3635] + X[591] - 5*X[6729] <= 3
model += -6*X[6526] - X[348] + 3*X[1623] + X[860] + 2*X[597] + 2*X[3886] + 2*X[6134] - X[4799] <= 4
model += -X[6526] + 3*X[348] + 2*X[1623] + X[860] + 2*X[597] - 2*X[3886] + X[6134] - 5*X[4799] <= 3
model += -6*X[1518] - X[198] + 3*X[5940] + X[618] + 2*X[2826] + 2*X[5809] + 2*X[974] - X[6097] <= 4
model += -X[1518] + 3*X[198] + 2*X[5940] + X[618] + 2*X[2826] - 2*X[5809] + X[974] - 5*X[6097] <= 3
model += -6*X[3878] - X[112] + 3*X[447] + X[6633] + 2*X[3668] + 2*X[738] + 2*X[2686] - X[2166] <= 4
model += -X[3878] + 3*X[112] + 2*X[447] + X[6633] + 2*X[3668] - 2*X[738] + X[2686] - 5*X[2166] <= 3
model += -6*X[4839] - X[1036] + 3*X[58] + X[6080] + 2*X[7599] + 2*X[638] + 2*X[1402] - X[4658] <= 4
model += -X[4839] + 3*X[1036] + 2*X[58] + X[6080] + 2*X[7599] - 2*X[638] + X[1402] - 5*X[4658] <= 3
model += -6*X[840] + X[54] - 3*X[4092] - X[5275] - 2*X[3592] - 2*X[6716] - 2*X[3919] + X[152] <= -4
model += X[840] - 4*X[54] - X[4092] + 2*X[5275] - 4*X[3592] + 6*X[6716] - 3*X[3919] - 3*X[152] <= 1
model += -6*X[5327] - X[91] + 3*X[3521] + X[2588] + 2*X[1295] + 2*X[180] + 2*X[3953] - X[1246] <= 4
model += -X[5327] + 3*X[91] + 2*X[3521] + X[2588] + 2*X[1295] - 2*X[180] + X[3953] - 5*X[1246] <= 3
model += -6*X[1893] - X[3376] + 3*X[5181] + X[22] + 2*X[1045] + 2*X[283] + 2*X[2415] - X[3207] <= 4
model += -X[1893] + 3*X[3376] + 2*X[5181] + X[22] + 2*X[1045] - 2*X[283] + X[2415] - 5*X[3207] <= 3
model += -6*X[3984] - X[724] + 3*X[589] + X[1439] + 2*X[4100] + 2*X[376] + 2*X[6025] - X[4021] <= 4
model += -X[3984] + 3*X[724] + 2*X[589] + X[1439] + 2*X[4100] - 2*X[376] + X[6025] - 5*X[4021] <= 3
model += -6*X[168] - X[494] + 3*X[6741] + X[3262] + 2*X[7041] + 2*X[644] + 2*X[2884] - X[3428] <= 4
model += -X[168] + 3*X[494] + 2*X[6741] + X[3262] + 2*X[7041] - 2*X[644] + X[2884] - 5*X[3428] <= 3
model += -6*X[1] - X[4089] + 3*X[5771] + X[3742] + 2*X[3818] + 2*X[2056] + 2*X[6903] - X[7533] <= 4
model += -X[1] + 3*X[4089] + 2*X[5771] + X[3742] + 2*X[3818] - 2*X[2056] + X[6903] - 5*X[7533] <= 3
model += -6*X[381] - X[213] + 3*X[2964] + X[3002] + 2*X[2474] + 2*X[2577] + 2*X[925] - X[2823] <= 4
model += -X[381] + 3*X[213] + 2*X[2964] + X[3002] + 2*X[2474] - 2*X[2577] + X[925] - 5*X[2823] <= 3
model += -6*X[557] - X[294] + 3*X[6947] + X[4621] + 2*X[2331] + 2*X[3774] + 2*X[6073] - X[509] <= 4
model += -X[557] + 3*X[294] + 2*X[6947] + X[4621] + 2*X[2331] - 2*X[3774] + X[6073] - 5*X[509] <= 3
model += -6*X[184] - X[868] + 3*X[6956] + X[2226] + 2*X[5927] + 2*X[5794] + 2*X[678] - X[4429] <= 4
model += -X[184] + 3*X[868] + 2*X[6956] + X[2226] + 2*X[5927] - 2*X[5794] + X[678] - 5*X[4429] <= 3
model += -6*X[3504] + X[7585] - 3*X[961] - X[3] - 2*X[5468] - 2*X[5306] - 2*X[1840] + X[5813] <= -4
model += X[3504] - 4*X[7585] - X[961] + 2*X[3] - 4*X[5468] + 6*X[5306] - 3*X[1840] - 3*X[5813] <= 1
model += -6*X[955] + X[1753] - 3*X[4207] - X[256] - 2*X[2828] - 2*X[38] - 2*X[1006] + X[3777] <= -4
model += X[955] - 4*X[1753] - X[4207] + 2*X[256] - 4*X[2828] + 6*X[38] - 3*X[1006] - 3*X[3777] <= 1
model += 3*X[233] + 9*X[5790] + 7*X[1088] + 5*X[2895] - X[4317] - 4*Y[73] + 2*Y[72] - 8*Y[71] <= 12
model += -6*X[35] - X[261] + 3*X[2706] + X[4064] + 2*X[2605] + 2*X[6246] + 2*X[3022] - X[4073] <= 4
model += -X[35] + 3*X[261] + 2*X[2706] + X[4064] + 2*X[2605] - 2*X[6246] + X[3022] - 5*X[4073] <= 3
model += -6*X[2253] - X[7750] + 3*X[543] + X[4386] + 2*X[3557] + 2*X[945] + 2*X[838] - X[5641] <= 4
model += -X[2253] + 3*X[7750] + 2*X[543] + X[4386] + 2*X[3557] - 2*X[945] + X[838] - 5*X[5641] <= 3
model += -6*X[7072] - X[621] + 3*X[1001] + X[6807] + 2*X[1157] + 2*X[433] + 2*X[3051] - X[360] <= 4
model += -X[7072] + 3*X[621] + 2*X[1001] + X[6807] + 2*X[1157] - 2*X[433] + X[3051] - 5*X[360] <= 3
model += -6*X[5195] - X[1070] + 3*X[1538] + X[171] + 2*X[212] + 2*X[5740] + 2*X[4573] - X[823] <= 4
model += -X[5195] + 3*X[1070] + 2*X[1538] + X[171] + 2*X[212] - 2*X[5740] + X[4573] - 5*X[823] <= 3
model += -6*X[3658] - X[895] + 3*X[5948] + X[691] + 2*X[792] + 2*X[5923] + 2*X[1603] - X[3169] <= 4
model += -X[3658] + 3*X[895] + 2*X[5948] + X[691] + 2*X[792] - 2*X[5923] + X[1603] - 5*X[3169] <= 3
model += -6*X[1635] - X[2256] + 3*X[40] + X[7410] + 2*X[7717] + 2*X[602] + 2*X[3186] - X[7187] <= 4
model += -X[1635] + 3*X[2256] + 2*X[40] + X[7410] + 2*X[7717] - 2*X[602] + X[3186] - 5*X[7187] <= 3
model += -6*X[364] - X[1378] + 3*X[4131] + X[5936] + 2*X[4653] + 2*X[6696] + 2*X[95] - X[4566] <= 4
model += -X[364] + 3*X[1378] + 2*X[4131] + X[5936] + 2*X[4653] - 2*X[6696] + X[95] - 5*X[4566] <= 3
model += -6*X[2435] - X[5671] + 3*X[220] + X[700] + 2*X[4546] + 2*X[1077] + 2*X[1368] - X[610] <= 4
model += -X[2435] + 3*X[5671] + 2*X[220] + X[700] + 2*X[4546] - 2*X[1077] + X[1368] - 5*X[610] <= 3
model += -6*X[458] - X[4416] + 3*X[217] + X[4422] + 2*X[6173] + 2*X[4555] + 2*X[822] - X[3983] <= 4
model += -X[458] + 3*X[4416] + 2*X[217] + X[4422] + 2*X[6173] - 2*X[4555] + X[822] - 5*X[3983] <= 3
model += -6*X[6228] + X[4701] - 3*X[7304] - X[437] - 2*X[5249] - 2*X[1845] - 2*X[7323] + X[2] <= -4
model += X[6228] - 4*X[4701] - X[7304] + 2*X[437] - 4*X[5249] + 6*X[1845] - 3*X[7323] - 3*X[2] <= 1
model += -6*X[3880] + X[3792] - 3*X[2859] - X[5770] - 2*X[6141] - 2*X[71] - 2*X[47] + X[4699] <= -4
model += X[3880] - 4*X[3792] - X[2859] + 2*X[5770] - 4*X[6141] + 6*X[71] - 3*X[47] - 3*X[4699] <= 1
model += -6*X[372] + X[33] - 3*X[266] - X[4683] - 2*X[2799] - 2*X[1829] - 2*X[4724] + X[2811] <= -4
model += X[372] - 4*X[33] - X[266] + 2*X[4683] - 4*X[2799] + 6*X[1829] - 3*X[4724] - 3*X[2811] <= 1
model += -6*X[706] - X[279] + 3*X[7473] + X[1918] + 2*X[4991] + 2*X[3445] + 2*X[2560] - X[469] <= 4
model += -X[706] + 3*X[279] + 2*X[7473] + X[1918] + 2*X[4991] - 2*X[3445] + X[2560] - 5*X[469] <= 3
model += -6*X[6993] - X[698] + 3*X[1865] + X[1523] + 2*X[7006] + 2*X[19] + 2*X[1860] - X[7625] <= 4
model += -X[6993] + 3*X[698] + 2*X[1865] + X[1523] + 2*X[7006] - 2*X[19] + X[1860] - 5*X[7625] <= 3
model += -6*X[6950] + X[5150] - 3*X[1834] - X[4805] - 2*Y[157] - 2*Y[156] - 2*Y[155] + Y[154] <= -4
model += X[6950] - 4*X[5150] - X[1834] + 2*X[4805] - 4*Y[157] + 6*Y[156] - 3*Y[155] - 3*Y[154] <= 1
model += -6*X[688] - X[2046] + 3*X[7278] + X[5080] + 2*X[3797] + 2*X[7564] + 2*X[80] - X[5695] <= 4
model += -X[688] + 3*X[2046] + 2*X[7278] + X[5080] + 2*X[3797] - 2*X[7564] + X[80] - 5*X[5695] <= 3
model += -6*X[917] + X[5116] - 3*X[2639] - X[6169] - 2*X[878] - 2*X[4487] - 2*X[15] + X[3867] <= -4
model += X[917] - 4*X[5116] - X[2639] + 2*X[6169] - 4*X[878] + 6*X[4487] - 3*X[15] - 3*X[3867] <= 1
model += -6*X[4319] + X[62] - 3*X[363] - X[3524] - 2*X[7616] - 2*X[1920] - 2*X[749] + X[5207] <= -4
model += X[4319] - 4*X[62] - X[363] + 2*X[3524] - 4*X[7616] + 6*X[1920] - 3*X[749] - 3*X[5207] <= 1
model += -6*X[2858] + X[7619] - 3*X[6297] - X[3573] - 2*Y[148] - 2*Y[147] - 2*Y[146] + Y[145] <= -4
model += X[2858] - 4*X[7619] - X[6297] + 2*X[3573] - 4*Y[148] + 6*Y[147] - 3*Y[146] - 3*Y[145] <= 1
model += -6*X[763] - X[3341] + 3*X[1255] + X[7261] + 2*X[867] + 2*X[902] + 2*X[4810] - X[2718] <= 4
model += -X[763] + 3*X[3341] + 2*X[1255] + X[7261] + 2*X[867] - 2*X[902] + X[4810] - 5*X[2718] <= 3
model += -6*X[3651] + X[1256] - 3*X[3757] - X[5859] - 2*Y[145] - 2*Y[144] - 2*Y[159] + Y[158] <= -4
model += X[3651] - 4*X[1256] - X[3757] + 2*X[5859] - 4*Y[145] + 6*Y[144] - 3*Y[159] - 3*Y[158] <= 1
model += -6*X[6854] - X[4368] + 3*X[6663] + X[2979] + 2*X[847] + 2*X[843] + 2*X[3483] - X[430] <= 4
model += -X[6854] + 3*X[4368] + 2*X[6663] + X[2979] + 2*X[847] - 2*X[843] + X[3483] - 5*X[430] <= 3
model += -6*X[429] - X[3004] + 3*X[4095] + X[4580] + 2*X[6832] + 2*X[647] + 2*X[5664] - X[315] <= 4
model += -X[429] + 3*X[3004] + 2*X[4095] + X[4580] + 2*X[6832] - 2*X[647] + X[5664] - 5*X[315] <= 3
model += -6*X[6457] - X[1043] + 3*X[2477] + X[6935] + 2*X[4656] + 2*X[55] + 2*X[1600] - X[795] <= 4
model += -X[6457] + 3*X[1043] + 2*X[2477] + X[6935] + 2*X[4656] - 2*X[55] + X[1600] - 5*X[795] <= 3
model += -6*X[2668] + X[2866] - 3*X[2926] - X[3721] - 2*Y[152] - 2*Y[151] - 2*Y[150] + Y[149] <= -4
model += X[2668] - 4*X[2866] - X[2926] + 2*X[3721] - 4*Y[152] + 6*Y[151] - 3*Y[150] - 3*Y[149] <= 1
model += -6*X[25] + X[506] - 3*X[5756] - X[6958] - 2*X[1516] - 2*X[6976] - 2*X[470] + X[1657] <= -4
model += X[25] - 4*X[506] - X[5756] + 2*X[6958] - 4*X[1516] + 6*X[6976] - 3*X[470] - 3*X[1657] <= 1
model += -6*X[92] - X[2545] + 3*X[7669] + X[4029] + 2*X[4141] + 2*X[767] + 2*X[1514] - X[6197] <= 4
model += -X[92] + 3*X[2545] + 2*X[7669] + X[4029] + 2*X[4141] - 2*X[767] + X[1514] - 5*X[6197] <= 3
model += -6*X[3233] + X[6031] - 3*X[1721] - X[5094] - 2*Y[149] - 2*Y[148] - 2*Y[147] + Y[146] <= -4
model += X[3233] - 4*X[6031] - X[1721] + 2*X[5094] - 4*Y[149] + 6*Y[148] - 3*Y[147] - 3*Y[146] <= 1
model += -6*X[7748] + X[1884] - 3*X[7385] - X[4295] - 2*Y[146] - 2*Y[145] - 2*Y[144] + Y[159] <= -4
model += X[7748] - 4*X[1884] - X[7385] + 2*X[4295] - 4*Y[146] + 6*Y[145] - 3*Y[144] - 3*Y[159] <= 1
model += -6*X[1097] + X[6322] - 3*X[5879] - X[29] - 2*X[424] - 2*X[6317] - 2*X[362] + X[7572] <= -4
model += X[1097] - 4*X[6322] - X[5879] + 2*X[29] - 4*X[424] + 6*X[6317] - 3*X[362] - 3*X[7572] <= 1
model += -6*X[6677] - X[4247] + 3*X[5750] + X[99] + 2*X[6620] + 2*X[676] + 2*X[6435] - X[5729] <= 4
model += -X[6677] + 3*X[4247] + 2*X[5750] + X[99] + 2*X[6620] - 2*X[676] + X[6435] - 5*X[5729] <= 3
model += -6*X[4795] + X[7197] - 3*X[4203] - X[1776] - 2*Y[153] - 2*Y[152] - 2*Y[151] + Y[150] <= -4
model += X[4795] - 4*X[7197] - X[4203] + 2*X[1776] - 4*Y[153] + 6*Y[152] - 3*Y[151] - 3*Y[150] <= 1
model += -6*X[953] - X[332] + 3*X[7444] + X[6443] + 2*X[986] + 2*X[6882] + 2*X[3999] - X[2182] <= 4
model += -X[953] + 3*X[332] + 2*X[7444] + X[6443] + 2*X[986] - 2*X[6882] + X[3999] - 5*X[2182] <= 3
model += -6*X[5361] + X[6804] - 3*X[2974] - X[6145] - 2*X[6178] - 2*X[5712] - 2*X[4] + X[344] <= -4
model += X[5361] - 4*X[6804] - X[2974] + 2*X[6145] - 4*X[6178] + 6*X[5712] - 3*X[4] - 3*X[344] <= 1
model += -6*X[1090] - X[441] + 3*X[4915] + X[7666] + 2*X[4401] + 2*X[79] + 2*X[5266] - X[1086] <= 4
model += -X[1090] + 3*X[441] + 2*X[4915] + X[7666] + 2*X[4401] - 2*X[79] + X[5266] - 5*X[1086] <= 3
model += -6*X[4364] - X[7622] + 3*X[6478] + X[1219] + 2*X[7411] + 2*X[34] + 2*X[164] - X[6857] <= 4
model += -X[4364] + 3*X[7622] + 2*X[6478] + X[1219] + 2*X[7411] - 2*X[34] + X[164] - 5*X[6857] <= 3
model += -6*X[6432] + X[5974] - 3*X[5384] - X[2841] - 2*Y[144] - 2*Y[159] - 2*Y[158] + Y[157] <= -4
model += X[6432] - 4*X[5974] - X[5384] + 2*X[2841] - 4*Y[144] + 6*Y[159] - 3*Y[158] - 3*Y[157] <= 1
model += -6*X[737] + X[39] - 3*X[3140] - X[2202] - 2*X[416] - 2*X[4502] - 2*X[1788] + X[4378] <= -4
model += X[737] - 4*X[39] - X[3140] + 2*X[2202] - 4*X[416] + 6*X[4502] - 3*X[1788] - 3*X[4378] <= 1
model += -6*X[6152] + X[5485] - 3*X[150] - X[7235] - 2*X[24] - 2*X[730] - 2*X[3503] + X[5012] <= -4
model += X[6152] - 4*X[5485] - X[150] + 2*X[7235] - 4*X[24] + 6*X[730] - 3*X[3503] - 3*X[5012] <= 1
model += -6*X[3447] - X[3294] + 3*X[2306] + X[5398] + 2*X[2562] + 2*Y[156] + 2*Y[155] - Y[154] <= 4
model += -X[3447] + 3*X[3294] + 2*X[2306] + X[5398] + 2*X[2562] - 2*Y[156] + Y[155] - 5*Y[154] <= 3
model += -6*X[4470] - X[5581] + 3*X[2176] + X[5854] + 2*X[5259] + 2*X[45] + 2*X[4430] - X[983] <= 4
model += -X[4470] + 3*X[5581] + 2*X[2176] + X[5854] + 2*X[5259] - 2*X[45] + X[4430] - 5*X[983] <= 3
model += -6*X[923] - X[7549] + 3*X[6277] + X[3367] + 2*X[6519] + 2*X[2882] + 2*X[3755] - X[52] <= 4
model += -X[923] + 3*X[7549] + 2*X[6277] + X[3367] + 2*X[6519] - 2*X[2882] + X[3755] - 5*X[52] <= 3
model += -6*X[6116] - X[6479] + 3*X[2962] + X[7232] + 2*X[4805] + 2*Y[153] + 2*Y[152] - Y[151] <= 4
model += -X[6116] + 3*X[6479] + 2*X[2962] + X[7232] + 2*X[4805] - 2*Y[153] + Y[152] - 5*Y[151] <= 3
model += -6*X[280] + X[3147] - 3*X[476] - X[6001] - 2*X[6131] - 2*X[6464] - 2*X[4104] + X[70] <= -4
model += X[280] - 4*X[3147] - X[476] + 2*X[6001] - 4*X[6131] + 6*X[6464] - 3*X[4104] - 3*X[70] <= 1
model += -6*X[328] - X[1037] + 3*X[4353] + X[271] + 2*X[4268] + 2*X[2656] + 2*X[797] - X[3354] <= 4
model += -X[328] + 3*X[1037] + 2*X[4353] + X[271] + 2*X[4268] - 2*X[2656] + X[797] - 5*X[3354] <= 3
model += -6*X[1751] + X[645] - 3*X[378] - X[126] - 2*X[2010] - 2*X[493] - 2*X[4816] + X[6455] <= -4
model += X[1751] - 4*X[645] - X[378] + 2*X[126] - 4*X[2010] + 6*X[493] - 3*X[4816] - 3*X[6455] <= 1
model += -6*X[5766] - X[4329] + 3*X[5930] + X[5023] + 2*X[4687] + 2*Y[147] + 2*Y[146] - Y[145] <= 4
model += -X[5766] + 3*X[4329] + 2*X[5930] + X[5023] + 2*X[4687] - 2*Y[147] + Y[146] - 5*Y[145] <= 3
model += -6*X[6060] - X[7634] + 3*X[3215] + X[4596] + 2*X[818] + 2*X[1529] + 2*X[368] - X[453] <= 4
model += -X[6060] + 3*X[7634] + 2*X[3215] + X[4596] + 2*X[818] - 2*X[1529] + X[368] - 5*X[453] <= 3
model += -6*X[4562] + X[31] - 3*X[6968] - X[5206] - 2*X[82] - 2*X[2862] - 2*X[2167] + X[6539] <= -4
model += X[4562] - 4*X[31] - X[6968] + 2*X[5206] - 4*X[82] + 6*X[2862] - 3*X[2167] - 3*X[6539] <= 1
model += -6*X[6] - X[1014] + 3*X[3623] + X[5881] + 2*X[5245] + 2*X[5314] + 2*X[7194] - X[5158] <= 4
model += -X[6] + 3*X[1014] + 2*X[3623] + X[5881] + 2*X[5245] - 2*X[5314] + X[7194] - 5*X[5158] <= 3
model += -6*X[6408] - X[427] + 3*X[7076] + X[5583] + 2*X[7214] + 2*X[172] + 2*X[252] - X[5140] <= 4
model += -X[6408] + 3*X[427] + 2*X[7076] + X[5583] + 2*X[7214] - 2*X[172] + X[252] - 5*X[5140] <= 3
model += -6*X[1797] - X[394] + 3*X[586] + X[6252] + 2*X[1916] + 2*X[2165] + 2*X[4167] - X[873] <= 4
model += -X[1797] + 3*X[394] + 2*X[586] + X[6252] + 2*X[1916] - 2*X[2165] + X[4167] - 5*X[873] <= 3
model += -6*X[81] - X[2382] + 3*X[6149] + X[6489] + 2*X[3978] + 2*X[1130] + 2*X[3728] - X[311] <= 4
model += -X[81] + 3*X[2382] + 2*X[6149] + X[6489] + 2*X[3978] - 2*X[1130] + X[3728] - 5*X[311] <= 3
model += -6*X[3264] - X[515] + 3*X[525] + X[2599] + 2*X[7626] + 2*X[7358] + 2*X[7254] - X[580] <= 4
model += -X[3264] + 3*X[515] + 2*X[525] + X[2599] + 2*X[7626] - 2*X[7358] + X[7254] - 5*X[580] <= 3
model += -6*X[7754] + X[324] - 3*X[223] - X[86] - 2*X[5008] - 2*X[7221] - 2*X[6615] + X[4882] <= -4
model += X[7754] - 4*X[324] - X[223] + 2*X[86] - 4*X[5008] + 6*X[7221] - 3*X[6615] - 3*X[4882] <= 1
model += -6*X[577] - X[681] + 3*X[7111] + X[136] + 2*X[4462] + 2*X[6817] + 2*X[1807] - X[5167] <= 4
model += -X[577] + 3*X[681] + 2*X[7111] + X[136] + 2*X[4462] - 2*X[6817] + X[1807] - 5*X[5167] <= 3
model += -6*X[12] + X[4411] - 3*X[4424] - X[5107] - 2*X[4295] - 2*X[3918] - 2*X[68] + X[7212] <= -4
model += X[12] - 4*X[4411] - X[4424] + 2*X[5107] - 4*X[4295] + 6*X[3918] - 3*X[68] - 3*X[7212] <= 1
model += -6*X[6990] - X[282] + 3*X[3934] + X[1988] + 2*X[4489] + 2*X[4988] + 2*X[5975] - X[46] <= 4
model += -X[6990] + 3*X[282] + 2*X[3934] + X[1988] + 2*X[4489] - 2*X[4988] + X[5975] - 5*X[46] <= 3
model += -6*X[6659] - X[1902] + 3*X[1418] + X[5670] + 2*X[727] + 2*X[270] + 2*X[6981] - X[7295] <= 4
model += -X[6659] + 3*X[1902] + 2*X[1418] + X[5670] + 2*X[727] - 2*X[270] + X[6981] - 5*X[7295] <= 3
model += -6*X[500] - X[7289] + 3*X[5612] + X[7001] + 2*X[830] + 2*X[2093] + 2*X[6588] - X[4494] <= 4
model += -X[500] + 3*X[7289] + 2*X[5612] + X[7001] + 2*X[830] - 2*X[2093] + X[6588] - 5*X[4494] <= 3
model += -6*X[1177] - X[2640] + 3*X[5566] + X[1408] + 2*X[4926] + 2*X[497] + 2*X[672] - X[4604] <= 4
model += -X[1177] + 3*X[2640] + 2*X[5566] + X[1408] + 2*X[4926] - 2*X[497] + X[672] - 5*X[4604] <= 3
model += -6*X[2967] - X[2418] + 3*X[777] + X[4904] + 2*X[1119] + 2*X[391] + 2*X[6077] - X[3439] <= 4
model += -X[2967] + 3*X[2418] + 2*X[777] + X[4904] + 2*X[1119] - 2*X[391] + X[6077] - 5*X[3439] <= 3
model += -6*X[6384] - X[3643] + 3*X[5955] + X[593] + 2*X[6294] + 2*X[4293] + 2*X[2333] - X[236] <= 4
model += -X[6384] + 3*X[3643] + 2*X[5955] + X[593] + 2*X[6294] - 2*X[4293] + X[2333] - 5*X[236] <= 3
model += 10*X[7465] + 7*X[3433] - 4*X[7495] - 12*X[6114] - 2*Y[64] + Y[79] + 6*Y[78] - 13*Y[77] <= 4
model += -X[7465] - 2*X[3433] + 6*X[7495] - 10*X[6114] + 3*Y[64] + 4*Y[79] - 9*Y[78] + 11*Y[77] <= 8
model += -6*X[6931] - X[3640] + 3*X[138] + X[6016] + 2*X[5497] + 2*X[834] + 2*X[2105] - X[7038] <= 4
model += -X[6931] + 3*X[3640] + 2*X[138] + X[6016] + 2*X[5497] - 2*X[834] + X[2105] - 5*X[7038] <= 3
model += -6*X[50] + X[104] - 3*X[6412] - X[6079] - 2*X[2299] - 2*X[5048] - 2*X[7138] + X[4710] <= -4
model += X[50] - 4*X[104] - X[6412] + 2*X[6079] - 4*X[2299] + 6*X[5048] - 3*X[7138] - 3*X[4710] <= 1
model += -6*X[924] - X[6654] + 3*X[4176] + X[5089] + 2*X[4783] + 2*X[7562] + 2*X[419] - X[7314] <= 4
model += -X[924] + 3*X[6654] + 2*X[4176] + X[5089] + 2*X[4783] - 2*X[7562] + X[419] - 5*X[7314] <= 3
model += 10*X[5414] + 7*X[5308] - 4*X[2575] - 12*X[4317] - 2*Y[77] + Y[76] + 6*Y[75] - 13*Y[74] <= 4
model += -X[5414] - 2*X[5308] + 6*X[2575] - 10*X[4317] + 3*Y[77] + 4*Y[76] - 9*Y[75] + 11*Y[74] <= 8
model += -6*X[5606] - X[132] + 3*X[3942] + X[772] + 2*X[1827] + 2*X[5280] + 2*X[2349] - X[1578] <= 4
model += -X[5606] + 3*X[132] + 2*X[3942] + X[772] + 2*X[1827] - 2*X[5280] + X[2349] - 5*X[1578] <= 3
model += 10*X[4337] + 7*X[1148] - 4*X[4151] - 12*X[2486] - 2*Y[74] + Y[73] + 6*Y[72] - 13*Y[71] <= 4
model += -X[4337] - 2*X[1148] + 6*X[4151] - 10*X[2486] + 3*Y[74] + 4*Y[73] - 9*Y[72] + 11*Y[71] <= 8
model += -6*X[4289] + X[646] - 3*X[523] - X[5313] - 2*X[1624] - 2*X[2424] - 2*X[313] + X[3940] <= -4
model += X[4289] - 4*X[646] - X[523] + 2*X[5313] - 4*X[1624] + 6*X[2424] - 3*X[313] - 3*X[3940] <= 1
model += -6*X[985] - X[4350] + 3*X[2273] + X[4391] + 2*X[5536] + 2*X[612] + 2*X[6128] - X[4143] <= 4
model += -X[985] + 3*X[4350] + 2*X[2273] + X[4391] + 2*X[5536] - 2*X[612] + X[6128] - 5*X[4143] <= 3
model += -6*X[3898] - X[6298] + 3*X[3137] + X[26] + 2*X[4651] + 2*X[2698] + 2*X[5473] - X[1521] <= 4
model += -X[3898] + 3*X[6298] + 2*X[3137] + X[26] + 2*X[4651] - 2*X[2698] + X[5473] - 5*X[1521] <= 3
model += 10*X[7778] + 7*X[3093] - 4*X[2377] - 12*X[3218] - 2*Y[71] + Y[70] + 6*Y[69] - 13*Y[68] <= 4
model += -X[7778] - 2*X[3093] + 6*X[2377] - 10*X[3218] + 3*Y[71] + 4*Y[70] - 9*Y[69] + 11*Y[68] <= 8
model += -6*X[1698] + X[6508] - 3*X[6979] - X[1938] - 2*X[474] - 2*X[7477] - 2*X[1270] + X[16] <= -4
model += X[1698] - 4*X[6508] - X[6979] + 2*X[1938] - 4*X[474] + 6*X[7477] - 3*X[1270] - 3*X[16] <= 1
model += -6*X[115] + X[141] - 3*X[7651] - X[5354] - 2*X[6330] - 2*X[7153] - 2*X[765] + X[6783] <= -4
model += X[115] - 4*X[141] - X[7651] + 2*X[5354] - 4*X[6330] + 6*X[7153] - 3*X[765] - 3*X[6783] <= 1
model += -6*X[2186] - X[3011] + 3*X[479] + X[5068] + 2*X[3296] + 2*X[934] + 2*X[3392] - X[6052] <= 4
model += -X[2186] + 3*X[3011] + 2*X[479] + X[5068] + 2*X[3296] - 2*X[934] + X[3392] - 5*X[6052] <= 3
model += -6*X[3706] + X[798] - 3*X[3665] - X[668] - 2*X[1358] - 2*X[174] - 2*X[1069] + X[3561] <= -4
model += X[3706] - 4*X[798] - X[3665] + 2*X[668] - 4*X[1358] + 6*X[174] - 3*X[1069] - 3*X[3561] <= 1
model += -6*X[5692] + X[215] - 3*X[4869] - X[6056] - 2*X[196] - 2*X[1998] - 2*X[314] + X[4776] <= -4
model += X[5692] - 4*X[215] - X[4869] + 2*X[6056] - 4*X[196] + 6*X[1998] - 3*X[314] - 3*X[4776] <= 1
model += -6*X[464] + X[1826] - 3*X[337] - X[4233] - 2*X[540] - 2*X[7022] - 2*X[4981] + X[3663] <= -4
model += X[464] - 4*X[1826] - X[337] + 2*X[4233] - 4*X[540] + 6*X[7022] - 3*X[4981] - 3*X[3663] <= 1
model += -6*X[1666] - X[2739] + 3*X[158] + X[3436] + 2*X[5876] + 2*X[553] + 2*X[1671] - X[7116] <= 4
model += -X[1666] + 3*X[2739] + 2*X[158] + X[3436] + 2*X[5876] - 2*X[553] + X[1671] - 5*X[7116] <= 3
model += -6*X[206] - X[6800] + 3*X[2042] + X[4688] + 2*X[475] + 2*X[1961] + 2*X[5652] - X[4986] <= 4
model += -X[206] + 3*X[6800] + 2*X[2042] + X[4688] + 2*X[475] - 2*X[1961] + X[5652] - 5*X[4986] <= 3
model += -6*X[5351] - X[1997] + 3*X[501] + X[3190] + 2*X[957] + 2*X[4354] + 2*X[3541] - X[2781] <= 4
model += -X[5351] + 3*X[1997] + 2*X[501] + X[3190] + 2*X[957] - 2*X[4354] + X[3541] - 5*X[2781] <= 3
model += -6*X[6183] + X[7298] - 3*X[90] - X[4775] - 2*X[4335] - 2*X[918] - 2*X[1513] + X[3060] <= -4
model += X[6183] - 4*X[7298] - X[90] + 2*X[4775] - 4*X[4335] + 6*X[918] - 3*X[1513] - 3*X[3060] <= 1
model += -6*X[4057] - X[3794] + 3*X[3877] + X[4794] + 2*X[5592] + 2*X[96] + 2*X[1487] - X[2024] <= 4
model += -X[4057] + 3*X[3794] + 2*X[3877] + X[4794] + 2*X[5592] - 2*X[96] + X[1487] - 5*X[2024] <= 3
model += -6*X[4578] - X[318] + 3*X[7016] + X[7684] + 2*X[3030] + 2*X[1662] + 2*X[1334] - X[522] <= 4
model += -X[4578] + 3*X[318] + 2*X[7016] + X[7684] + 2*X[3030] - 2*X[1662] + X[1334] - 5*X[522] <= 3
model += -6*X[2282] + X[1127] - 3*X[1163] - X[1899] - 2*X[245] - 2*X[3104] - 2*X[205] + X[541] <= -4
model += X[2282] - 4*X[1127] - X[1163] + 2*X[1899] - 4*X[245] + 6*X[3104] - 3*X[205] - 3*X[541] <= 1
model += -6*X[1652] + X[13] - 3*X[5676] - X[3180] - 2*X[4853] - 2*X[355] - 2*X[4062] + X[5458] <= -4
model += X[1652] - 4*X[13] - X[5676] + 2*X[3180] - 4*X[4853] + 6*X[355] - 3*X[4062] - 3*X[5458] <= 1
model += 10*X[5877] + 7*X[3636] - 4*X[2011] - 12*X[4279] - 2*Y[78] + Y[77] + 6*Y[76] - 13*Y[75] <= 4
model += -X[5877] - 2*X[3636] + 6*X[2011] - 10*X[4279] + 3*Y[78] + 4*Y[77] - 9*Y[76] + 11*Y[75] <= 8
model += -6*X[6224] - X[3003] + 3*X[4315] + X[6209] + 2*X[916] + 2*X[258] + 2*X[7764] - X[2520] <= 4
model += -X[6224] + 3*X[3003] + 2*X[4315] + X[6209] + 2*X[916] - 2*X[258] + X[7764] - 5*X[2520] <= 3
model += -6*X[3773] - X[1526] + 3*X[4244] + X[4823] + 2*X[495] + 2*X[5224] + 2*X[4793] - X[778] <= 4
model += -X[3773] + 3*X[1526] + 2*X[4244] + X[4823] + 2*X[495] - 2*X[5224] + X[4793] - 5*X[778] <= 3
model += -6*X[5902] + X[373] - 3*X[796] - X[723] - 2*X[4782] - 2*X[3179] - 2*X[6153] + X[4140] <= -4
model += X[5902] - 4*X[373] - X[796] + 2*X[723] - 4*X[4782] + 6*X[3179] - 3*X[6153] - 3*X[4140] <= 1
model += 10*X[2939] + 7*X[6685] - 4*X[4595] - 12*X[5843] - 2*Y[75] + Y[74] + 6*Y[73] - 13*Y[72] <= 4
model += -X[2939] - 2*X[6685] + 6*X[4595] - 10*X[5843] + 3*Y[75] + 4*Y[74] - 9*Y[73] + 11*Y[72] <= 8
model += -6*X[7486] - X[1547] + 3*X[968] + X[4706] + 2*X[856] + 2*X[4124] + 2*X[1684] - X[2663] <= 4
model += -X[7486] + 3*X[1547] + 2*X[968] + X[4706] + 2*X[856] - 2*X[4124] + X[1684] - 5*X[2663] <= 3
model += -6*X[2620] + X[59] - 3*X[790] - X[4993] - 2*X[3424] - 2*X[5494] - 2*X[7412] + X[5538] <= -4
model += X[2620] - 4*X[59] - X[790] + 2*X[4993] - 4*X[3424] + 6*X[5494] - 3*X[7412] - 3*X[5538] <= 1
model += -6*X[3149] - X[699] + 3*X[2896] + X[7698] + 2*X[2399] + 2*X[694] + 2*X[7650] - X[2265] <= 4
model += -X[3149] + 3*X[699] + 2*X[2896] + X[7698] + 2*X[2399] - 2*X[694] + X[7650] - 5*X[2265] <= 3
model += -6*X[3484] - X[274] + 3*X[7514] + X[1781] + 2*X[6283] + 2*X[6718] + 2*X[728] - X[6779] <= 4
model += -X[3484] + 3*X[274] + 2*X[7514] + X[1781] + 2*X[6283] - 2*X[6718] + X[728] - 5*X[6779] <= 3
model += -6*X[6865] - X[2970] + 3*X[88] + X[3904] + 2*X[6838] + 2*X[6707] + 2*X[7505] - X[3570] <= 4
model += -X[6865] + 3*X[2970] + 2*X[88] + X[3904] + 2*X[6838] - 2*X[6707] + X[7505] - 5*X[3570] <= 3
model += -6*X[1022] - X[7629] + 3*X[5661] + X[183] + 2*X[7236] + 2*X[1561] + 2*X[401] - X[5187] <= 4
model += -X[1022] + 3*X[7629] + 2*X[5661] + X[183] + 2*X[7236] - 2*X[1561] + X[401] - 5*X[5187] <= 3
model += -6*X[3959] + X[60] - 3*X[2892] - X[507] - 2*X[3293] - 2*X[4026] - 2*X[1343] + X[1257] <= -4
model += X[3959] - 4*X[60] - X[2892] + 2*X[507] - 4*X[3293] + 6*X[4026] - 3*X[1343] - 3*X[1257] <= 1
model += -6*X[859] + X[2771] - 3*X[5757] - X[37] - 2*X[3249] - 2*X[1985] - 2*X[4860] + X[3905] <= -4
model += X[859] - 4*X[2771] - X[5757] + 2*X[37] - 4*X[3249] + 6*X[1985] - 3*X[4860] - 3*X[3905] <= 1
model += -6*X[107] - X[6554] + 3*X[5622] + X[7661] + 2*X[7396] + 2*X[2367] + 2*X[634] - X[5202] <= 4
model += -X[107] + 3*X[6554] + 2*X[5622] + X[7661] + 2*X[7396] - 2*X[2367] + X[634] - 5*X[5202] <= 3
model += -6*X[4551] - X[3508] + 3*X[914] + X[5298] + 2*X[3458] + 2*X[483] + 2*X[6671] - X[5783] <= 4
model += -X[4551] + 3*X[3508] + 2*X[914] + X[5298] + 2*X[3458] - 2*X[483] + X[6671] - 5*X[5783] <= 3
model += -6*X[2255] - X[321] + 3*X[5796] + X[2931] + 2*X[1447] + 2*X[160] + 2*X[2837] - X[1904] <= 4
model += -X[2255] + 3*X[321] + 2*X[5796] + X[2931] + 2*X[1447] - 2*X[160] + X[2837] - 5*X[1904] <= 3
model += -6*X[3597] + X[5747] - 3*X[5063] - X[63] - 2*X[6791] - 2*X[4849] - 2*X[4330] + X[710] <= -4
model += X[3597] - 4*X[5747] - X[5063] + 2*X[63] - 4*X[6791] + 6*X[4849] - 3*X[4330] - 3*X[710] <= 1
model += 10*X[2103] + 7*X[1483] - 4*X[7591] - 12*X[6559] - 2*Y[69] + Y[68] + 6*Y[67] - 13*Y[66] <= 4
model += -X[2103] - 2*X[1483] + 6*X[7591] - 10*X[6559] + 3*Y[69] + 4*Y[68] - 9*Y[67] + 11*Y[66] <= 8
model += -6*X[4366] - X[4535] + 3*X[3358] + X[473] + 2*X[4218] + 2*X[689] + 2*X[6320] - X[4266] <= 4
model += -X[4366] + 3*X[4535] + 2*X[3358] + X[473] + 2*X[4218] - 2*X[689] + X[6320] - 5*X[4266] <= 3
model += -6*X[3477] + X[771] - 3*X[2310] - X[1978] - 2*X[5917] - 2*X[257] - 2*X[578] + X[6196] <= -4
model += X[3477] - 4*X[771] - X[2310] + 2*X[1978] - 4*X[5917] + 6*X[257] - 3*X[578] - 3*X[6196] <= 1
model += -6*X[4500] - X[6096] + 3*X[5895] + X[186] + 2*X[4052] + 2*X[3391] + 2*X[191] - X[2707] <= 4
model += -X[4500] + 3*X[6096] + 2*X[5895] + X[186] + 2*X[4052] - 2*X[3391] + X[191] - 5*X[2707] <= 3
model += -6*X[502] + X[1915] - 3*X[526] - X[5100] - 2*X[2288] - 2*X[7580] - 2*X[3980] + X[802] <= -4
model += X[502] - 4*X[1915] - X[526] + 2*X[5100] - 4*X[2288] + 6*X[7580] - 3*X[3980] - 3*X[802] <= 1
model += -6*X[2037] - X[1002] + 3*X[7731] + X[4678] + 2*X[382] + 2*X[2616] + 2*X[1479] - X[598] <= 4
model += -X[2037] + 3*X[1002] + 2*X[7731] + X[4678] + 2*X[382] - 2*X[2616] + X[1479] - 5*X[598] <= 3
model += -6*X[3494] + X[2201] - 3*X[3318] - X[5325] - 2*X[2262] - 2*X[9] - 2*X[5247] + X[4226] <= -4
model += X[3494] - 4*X[2201] - X[3318] + 2*X[5325] - 4*X[2262] + 6*X[9] - 3*X[5247] - 3*X[4226] <= 1
model += -6*X[7362] + X[6454] - 3*X[677] - X[3653] - 2*X[273] - 2*X[4971] - 2*X[6533] + X[979] <= -4
model += X[7362] - 4*X[6454] - X[677] + 2*X[3653] - 4*X[273] + 6*X[4971] - 3*X[6533] - 3*X[979] <= 1
model += -6*X[6925] - X[2807] + 3*X[7559] + X[460] + 2*X[808] + 2*X[6424] + 2*X[4934] - X[1325] <= 4
model += -X[6925] + 3*X[2807] + 2*X[7559] + X[460] + 2*X[808] - 2*X[6424] + X[4934] - 5*X[1325] <= 3
model += -6*X[5515] - X[5685] + 3*X[125] + X[4097] + 2*X[207] + 2*X[6081] + 2*X[1957] - X[3603] <= 4
model += -X[5515] + 3*X[5685] + 2*X[125] + X[4097] + 2*X[207] - 2*X[6081] + X[1957] - 5*X[3603] <= 3
model += 10*X[3711] + 7*X[7039] - 4*X[2596] - 12*X[7660] - 2*Y[79] + Y[78] + 6*Y[77] - 13*Y[76] <= 4
model += -X[3711] - 2*X[7039] + 6*X[2596] - 10*X[7660] + 3*Y[79] + 4*Y[78] - 9*Y[77] + 11*Y[76] <= 8
model += -6*X[2824] - X[1742] + 3*X[4754] + X[3208] + 2*X[1941] + 2*X[576] + 2*X[7769] - X[449] <= 4
model += -X[2824] + 3*X[1742] + 2*X[4754] + X[3208] + 2*X[1941] - 2*X[576] + X[7769] - 5*X[449] <= 3
model += -6*X[2966] + X[6378] - 3*X[165] - X[5030] - 2*X[761] - 2*X[3635] - 2*X[591] + X[6729] <= -4
model += X[2966] - 4*X[6378] - X[165] + 2*X[5030] - 4*X[761] + 6*X[3635] - 3*X[591] - 3*X[6729] <= 1
model += -6*X[6526] + X[348] - 3*X[1623] - X[860] - 2*X[597] - 2*X[3886] - 2*X[6134] + X[4799] <= -4
model += X[6526] - 4*X[348] - X[1623] + 2*X[860] - 4*X[597] + 6*X[3886] - 3*X[6134] - 3*X[4799] <= 1
model += 10*X[4443] + 7*X[2207] - 4*X[3443] - 12*X[2450] - 2*Y[76] + Y[75] + 6*Y[74] - 13*Y[73] <= 4
model += -X[4443] - 2*X[2207] + 6*X[3443] - 10*X[2450] + 3*Y[76] + 4*Y[75] - 9*Y[74] + 11*Y[73] <= 8
model += -6*X[943] - X[831] + 3*X[1252] + X[6992] + 2*X[5913] + 2*X[1239] + 2*X[4262] - X[4189] <= 4
model += -X[943] + 3*X[831] + 2*X[1252] + X[6992] + 2*X[5913] - 2*X[1239] + X[4262] - 5*X[4189] <= 3
model += -6*X[4958] - X[129] + 3*X[6482] + X[6220] + 2*X[3885] + 2*X[5399] + 2*X[512] - X[3778] <= 4
model += -X[4958] + 3*X[129] + 2*X[6482] + X[6220] + 2*X[3885] - 2*X[5399] + X[512] - 5*X[3778] <= 3
model += -6*X[1518] + X[198] - 3*X[5940] - X[618] - 2*X[2826] - 2*X[5809] - 2*X[974] + X[6097] <= -4
model += X[1518] - 4*X[198] - X[5940] + 2*X[618] - 4*X[2826] + 6*X[5809] - 3*X[974] - 3*X[6097] <= 1
model += -6*X[3878] + X[112] - 3*X[447] - X[6633] - 2*X[3668] - 2*X[738] - 2*X[2686] + X[2166] <= -4
model += X[3878] - 4*X[112] - X[447] + 2*X[6633] - 4*X[3668] + 6*X[738] - 3*X[2686] - 3*X[2166] <= 1
model += -6*X[4839] + X[1036] - 3*X[58] - X[6080] - 2*X[7599] - 2*X[638] - 2*X[1402] + X[4658] <= -4
model += X[4839] - 4*X[1036] - X[58] + 2*X[6080] - 4*X[7599] + 6*X[638] - 3*X[1402] - 3*X[4658] <= 1
model += -6*X[5327] + X[91] - 3*X[3521] - X[2588] - 2*X[1295] - 2*X[180] - 2*X[3953] + X[1246] <= -4
model += X[5327] - 4*X[91] - X[3521] + 2*X[2588] - 4*X[1295] + 6*X[180] - 3*X[3953] - 3*X[1246] <= 1
model += 10*X[5347] + 7*X[2102] - 4*X[1039] - 12*X[7630] - 2*Y[73] + Y[72] + 6*Y[71] - 13*Y[70] <= 4
model += -X[5347] - 2*X[2102] + 6*X[1039] - 10*X[7630] + 3*Y[73] + 4*Y[72] - 9*Y[71] + 11*Y[70] <= 8
model += -6*X[1893] + X[3376] - 3*X[5181] - X[22] - 2*X[1045] - 2*X[283] - 2*X[2415] + X[3207] <= -4
model += X[1893] - 4*X[3376] - X[5181] + 2*X[22] - 4*X[1045] + 6*X[283] - 3*X[2415] - 3*X[3207] <= 1
model += -6*X[3984] + X[724] - 3*X[589] - X[1439] - 2*X[4100] - 2*X[376] - 2*X[6025] + X[4021] <= -4
model += X[3984] - 4*X[724] - X[589] + 2*X[1439] - 4*X[4100] + 6*X[376] - 3*X[6025] - 3*X[4021] <= 1
model += -6*X[1953] - X[5101] + 3*X[2370] + X[1695] + 2*X[490] + 2*X[4820] + 2*X[572] - X[1168] <= 4
model += -X[1953] + 3*X[5101] + 2*X[2370] + X[1695] + 2*X[490] - 2*X[4820] + X[572] - 5*X[1168] <= 3
model += -6*X[168] + X[494] - 3*X[6741] - X[3262] - 2*X[7041] - 2*X[644] - 2*X[2884] + X[3428] <= -4
model += X[168] - 4*X[494] - X[6741] + 2*X[3262] - 4*X[7041] + 6*X[644] - 3*X[2884] - 3*X[3428] <= 1
model += -6*X[3806] - X[5786] + 3*X[3067] + X[2400] + 2*X[5723] + 2*X[84] + 2*X[3871] - X[7265] <= 4
model += -X[3806] + 3*X[5786] + 2*X[3067] + X[2400] + 2*X[5723] - 2*X[84] + X[3871] - 5*X[7265] <= 3
model += -6*X[712] - X[1492] + 3*X[5117] + X[2804] + 2*X[5803] + 2*X[3177] + 2*X[2417] - X[650] <= 4
model += -X[712] + 3*X[1492] + 2*X[5117] + X[2804] + 2*X[5803] - 2*X[3177] + X[2417] - 5*X[650] <= 3
model += 10*X[6083] + 7*X[7777] - 4*X[4856] - 12*X[1825] - 2*Y[70] + Y[69] + 6*Y[68] - 13*Y[67] <= 4
model += -X[6083] - 2*X[7777] + 6*X[4856] - 10*X[1825] + 3*Y[70] + 4*Y[69] - 9*Y[68] + 11*Y[67] <= 8
model += -6*X[7369] - X[2108] + 3*X[503] + X[7281] + 2*X[3315] + 2*X[5788] + 2*X[766] - X[1857] <= 4
model += -X[7369] + 3*X[2108] + 2*X[503] + X[7281] + 2*X[3315] - 2*X[5788] + X[766] - 5*X[1857] <= 3
model += -6*X[1636] - X[400] + 3*X[6612] + X[6938] + 2*X[7071] + 2*X[3371] + 2*X[670] - X[4164] <= 4
model += -X[1636] + 3*X[400] + 2*X[6612] + X[6938] + 2*X[7071] - 2*X[3371] + X[670] - 5*X[4164] <= 3
model += -6*X[14] - X[4402] + 3*X[5241] + X[3970] + 2*X[1338] + 2*X[5746] + 2*X[7080] - X[6722] <= 4
model += -X[14] + 3*X[4402] + 2*X[5241] + X[3970] + 2*X[1338] - 2*X[5746] + X[7080] - 5*X[6722] <= 3
model += -6*X[5884] - X[4484] + 3*X[3384] + X[2026] + 2*X[1424] + 2*X[87] + 2*X[7355] - X[7665] <= 4
model += -X[5884] + 3*X[4484] + 2*X[3384] + X[2026] + 2*X[1424] - 2*X[87] + X[7355] - 5*X[7665] <= 3
model += 10*X[3280] + 7*X[1180] - 4*X[3827] - 12*X[5255] - 2*Y[67] + Y[66] + 6*Y[65] - 13*Y[64] <= 4
model += -X[3280] - 2*X[1180] + 6*X[3827] - 10*X[5255] + 3*Y[67] + 4*Y[66] - 9*Y[65] + 11*Y[64] <= 8
model += -6*X[1] + X[4089] - 3*X[5771] - X[3742] - 2*X[3818] - 2*X[2056] - 2*X[6903] + X[7533] <= -4
model += X[1] - 4*X[4089] - X[5771] + 2*X[3742] - 4*X[3818] + 6*X[2056] - 3*X[6903] - 3*X[7533] <= 1
model += -6*X[4334] - X[4455] + 3*X[3335] + X[583] + 2*X[3283] + 2*X[472] + 2*X[4941] - X[7511] <= 4
model += -X[4334] + 3*X[4455] + 2*X[3335] + X[583] + 2*X[3283] - 2*X[472] + X[4941] - 5*X[7511] <= 3
model += -6*X[2567] - X[5015] + 3*X[6969] + X[4611] + 2*X[536] + 2*X[2538] + 2*X[7488] - X[853] <= 4
model += -X[2567] + 3*X[5015] + 2*X[6969] + X[4611] + 2*X[536] - 2*X[2538] + X[7488] - 5*X[853] <= 3
model += -6*X[381] + X[213] - 3*X[2964] - X[3002] - 2*X[2474] - 2*X[2577] - 2*X[925] + X[2823] <= -4
model += X[381] - 4*X[213] - X[2964] + 2*X[3002] - 4*X[2474] + 6*X[2577] - 3*X[925] - 3*X[2823] <= 1
model += -6*X[1026] - X[4714] + 3*X[2109] + X[412] + 2*X[144] + 2*X[4153] + 2*X[3379] - X[5475] <= 4
model += -X[1026] + 3*X[4714] + 2*X[2109] + X[412] + 2*X[144] - 2*X[4153] + X[3379] - 5*X[5475] <= 3
model += 10*X[4038] + 7*X[2221] - 4*X[7544] - 12*X[3196] - 2*Y[64] + Y[79] + 6*Y[78] - 13*Y[77] <= 4
model += -X[4038] - 2*X[2221] + 6*X[7544] - 10*X[3196] + 3*Y[64] + 4*Y[79] - 9*Y[78] + 11*Y[77] <= 8
model += -6*X[557] + X[294] - 3*X[6947] - X[4621] - 2*X[2331] - 2*X[3774] - 2*X[6073] + X[509] <= -4
model += X[557] - 4*X[294] - X[6947] + 2*X[4621] - 4*X[2331] + 6*X[3774] - 3*X[6073] - 3*X[509] <= 1
model += -6*X[6363] - X[6240] + 3*X[2329] + X[7653] + 2*X[5900] + 2*X[4158] + 2*X[6543] - X[94] <= 4
model += -X[6363] + 3*X[6240] + 2*X[2329] + X[7653] + 2*X[5900] - 2*X[4158] + X[6543] - 5*X[94] <= 3
model += -6*X[7299] - X[7284] + 3*X[4235] + X[635] + 2*X[1929] + 2*X[5682] + 2*X[5203] - X[111] <= 4
model += -X[7299] + 3*X[7284] + 2*X[4235] + X[635] + 2*X[1929] - 2*X[5682] + X[5203] - 5*X[111] <= 3
model += -6*X[184] + X[868] - 3*X[6956] - X[2226] - 2*X[5927] - 2*X[5794] - 2*X[678] + X[4429] <= -4
model += X[184] - 4*X[868] - X[6956] + 2*X[2226] - 4*X[5927] + 6*X[5794] - 3*X[678] - 3*X[4429] <= 1
model += 3*X[5811] + 9*X[1724] + 7*X[6323] + 5*X[5182] - X[6114] - 4*Y[76] + 2*Y[75] - 8*Y[74] <= 12
model += -6*X[4748] - X[2838] + 3*X[564] + X[384] + 2*X[3360] + 2*X[2978] + 2*X[1441] - X[4451] <= 4
model += -X[4748] + 3*X[2838] + 2*X[564] + X[384] + 2*X[3360] - 2*X[2978] + X[1441] - 5*X[4451] <= 3
model += -6*X[5383] - X[2230] + 3*X[6301] + X[5372] + 2*X[4148] + 2*X[57] + 2*X[5113] - X[6658] <= 4
model += -X[5383] + 3*X[2230] + 2*X[6301] + X[5372] + 2*X[4148] - 2*X[57] + X[5113] - 5*X[6658] <= 3
model += -6*X[4418] - X[3385] + 3*X[5188] + X[978] + 2*X[2464] + 2*X[3316] + 2*X[2086] - X[861] <= 4
model += -X[4418] + 3*X[3385] + 2*X[5188] + X[978] + 2*X[2464] - 2*X[3316] + X[2086] - 5*X[861] <= 3
model += -6*X[758] - X[253] + 3*X[5830] + X[3574] + 2*X[1212] + 2*X[1170] + 2*X[5238] - X[3550] <= 4
model += -X[758] + 3*X[253] + 2*X[5830] + X[3574] + 2*X[1212] - 2*X[1170] + X[5238] - 5*X[3550] <= 3
model += -6*X[457] - X[3596] + 3*X[3415] + X[1852] + 2*X[4950] + 2*X[2246] + 2*X[254] - X[6215] <= 4
model += -X[457] + 3*X[3596] + 2*X[3415] + X[1852] + 2*X[4950] - 2*X[2246] + X[254] - 5*X[6215] <= 3
model += -6*X[4911] - X[3308] + 3*X[10] + X[1005] + 2*X[5702] + 2*X[3281] + 2*X[5211] - X[6481] <= 4
model += -X[4911] + 3*X[3308] + 2*X[10] + X[1005] + 2*X[5702] - 2*X[3281] + X[5211] - 5*X[6481] <= 3
model += -6*X[6891] - X[1946] + 3*X[760] + X[2973] + 2*X[7522] + 2*X[6314] + 2*X[5131] - X[779] <= 4
model += -X[6891] + 3*X[1946] + 2*X[760] + X[2973] + 2*X[7522] - 2*X[6314] + X[5131] - 5*X[779] <= 3
model += -6*X[35] + X[261] - 3*X[2706] - X[4064] - 2*X[2605] - 2*X[6246] - 2*X[3022] + X[4073] <= -4
model += X[35] - 4*X[261] - X[2706] + 2*X[4064] - 4*X[2605] + 6*X[6246] - 3*X[3022] - 3*X[4073] <= 1
model += -6*X[2253] + X[7750] - 3*X[543] - X[4386] - 2*X[3557] - 2*X[945] - 2*X[838] + X[5641] <= -4
model += X[2253] - 4*X[7750] - X[543] + 2*X[4386] - 4*X[3557] + 6*X[945] - 3*X[838] - 3*X[5641] <= 1
model += -6*X[317] - X[2449] + 3*X[7045] + X[4243] + 2*X[3752] + 2*X[2927] + 2*X[5507] - X[499] <= 4
model += -X[317] + 3*X[2449] + 2*X[7045] + X[4243] + 2*X[3752] - 2*X[2927] + X[5507] - 5*X[499] <= 3
model += 10*X[7366] + 7*X[3662] - 4*X[7770] - 12*X[23] - 2*X[2486] + Y[70] + 6*Y[69] - 13*Y[68] <= 4
model += -X[7366] - 2*X[3662] + 6*X[7770] - 10*X[23] + 3*X[2486] + 4*Y[70] - 9*Y[69] + 11*Y[68] <= 8
model += 3*X[1747] + 9*X[5775] + 7*X[5824] + 5*X[5324] - X[3218] - 4*Y[67] + 2*Y[66] - 8*Y[65] <= 12
model += -6*X[904] - X[7399] + 3*X[6772] + X[6674] + 2*X[1333] + 2*X[7776] + 2*X[999] - X[2652] <= 4
model += -X[904] + 3*X[7399] + 2*X[6772] + X[6674] + 2*X[1333] - 2*X[7776] + X[999] - 5*X[2652] <= 3
model += -6*X[1775] - X[3661] + 3*X[4824] + X[2293] + 2*X[3234] + 2*X[2845] + 2*X[51] - X[3845] <= 4
model += -X[1775] + 3*X[3661] + 2*X[4824] + X[2293] + 2*X[3234] - 2*X[2845] + X[51] - 5*X[3845] <= 3
model += -6*X[7072] + X[621] - 3*X[1001] - X[6807] - 2*X[1157] - 2*X[433] - 2*X[3051] + X[360] <= -4
model += X[7072] - 4*X[621] - X[1001] + 2*X[6807] - 4*X[1157] + 6*X[433] - 3*X[3051] - 3*X[360] <= 1
model += -6*X[2041] - X[994] + 3*X[835] + X[5554] + 2*X[6910] + 2*X[4850] + 2*X[2494] - X[5976] <= 4
model += -X[2041] + 3*X[994] + 2*X[835] + X[5554] + 2*X[6910] - 2*X[4850] + X[2494] - 5*X[5976] <= 3
model += -6*X[7210] - X[709] + 3*X[5288] + X[263] + 2*X[4488] + 2*X[6403] + 2*X[1155] - X[7470] <= 4
model += -X[7210] + 3*X[709] + 2*X[5288] + X[263] + 2*X[4488] - 2*X[6403] + X[1155] - 5*X[7470] <= 3
model += -6*X[1707] - X[887] + 3*X[4938] + X[2216] + 2*X[639] + 2*X[1873] + 2*X[2940] - X[2237] <= 4
model += -X[1707] + 3*X[887] + 2*X[4938] + X[2216] + 2*X[639] - 2*X[1873] + X[2940] - 5*X[2237] <= 3
model += -6*X[7691] - X[2817] + 3*X[5595] + X[4005] + 2*X[20] + 2*X[7451] + 2*X[3588] - X[4768] <= 4
model += -X[7691] + 3*X[2817] + 2*X[5595] + X[4005] + 2*X[20] - 2*X[7451] + X[3588] - 5*X[4768] <= 3
model += -6*X[1259] - X[5760] + 3*X[3535] + X[5950] + 2*X[3529] + 2*X[1121] + 2*X[6706] - X[53] <= 4
model += -X[1259] + 3*X[5760] + 2*X[3535] + X[5950] + 2*X[3529] - 2*X[1121] + X[6706] - 5*X[53] <= 3
model += -6*X[1458] - X[2528] + 3*X[5448] + X[6023] + 2*X[901] + 2*X[2536] + 2*X[392] - X[5850] <= 4
model += -X[1458] + 3*X[2528] + 2*X[5448] + X[6023] + 2*X[901] - 2*X[2536] + X[392] - 5*X[5850] <= 3
model += -6*X[135] - X[5526] + 3*X[2947] + X[6719] + 2*X[461] + 2*X[3154] + 2*X[7397] - X[1956] <= 4
model += -X[135] + 3*X[5526] + 2*X[2947] + X[6719] + 2*X[461] - 2*X[3154] + X[7397] - 5*X[1956] <= 3
model += -6*X[5195] + X[1070] - 3*X[1538] - X[171] - 2*X[212] - 2*X[5740] - 2*X[4573] + X[823] <= -4
model += X[5195] - 4*X[1070] - X[1538] + 2*X[171] - 4*X[212] + 6*X[5740] - 3*X[4573] - 3*X[823] <= 1
model += -6*X[2642] - X[134] + 3*X[4113] + X[897] + 2*X[3988] + 2*X[5138] + 2*X[2328] - X[6144] <= 4
model += -X[2642] + 3*X[134] + 2*X[4113] + X[897] + 2*X[3988] - 2*X[5138] + X[2328] - 5*X[6144] <= 3
model += -6*X[5038] - X[5726] + 3*X[7241] + X[7450] + 2*X[393] + 2*X[3971] + 2*X[659] - X[7099] <= 4
model += -X[5038] + 3*X[5726] + 2*X[7241] + X[7450] + 2*X[393] - 2*X[3971] + X[659] - 5*X[7099] <= 3
model += -6*X[3658] + X[895] - 3*X[5948] - X[691] - 2*X[792] - 2*X[5923] - 2*X[1603] + X[3169] <= -4
model += X[3658] - 4*X[895] - X[5948] + 2*X[691] - 4*X[792] + 6*X[5923] - 3*X[1603] - 3*X[3169] <= 1
model += -6*X[7755] - X[1481] + 3*X[2369] + X[2968] + 2*X[44] + 2*X[5414] + 2*X[5308] - X[2575] <= 4
model += -X[7755] + 3*X[1481] + 2*X[2369] + X[2968] + 2*X[44] - 2*X[5414] + X[5308] - 5*X[2575] <= 3
model += -6*X[1635] + X[2256] - 3*X[40] - X[7410] - 2*X[7717] - 2*X[602] - 2*X[3186] + X[7187] <= -4
model += X[1635] - 4*X[2256] - X[40] + 2*X[7410] - 4*X[7717] + 6*X[602] - 3*X[3186] - 3*X[7187] <= 1
model += -6*X[3202] - X[411] + 3*X[1217] + X[7350] + 2*X[4503] + 2*X[7346] + 2*X[785] - X[5849] <= 4
model += -X[3202] + 3*X[411] + 2*X[1217] + X[7350] + 2*X[4503] - 2*X[7346] + X[785] - 5*X[5849] <= 3
model += -6*X[364] + X[1378] - 3*X[4131] - X[5936] - 2*X[4653] - 2*X[6696] - 2*X[95] + X[4566] <= -4
model += X[364] - 4*X[1378] - X[4131] + 2*X[5936] - 4*X[4653] + 6*X[6696] - 3*X[95] - 3*X[4566] <= 1
model += -6*X[1315] - X[863] + 3*X[4872] + X[162] + 2*X[6473] + 2*X[7484] + 2*X[1184] - X[6991] <= 4
model += -X[1315] + 3*X[863] + 2*X[4872] + X[162] + 2*X[6473] - 2*X[7484] + X[1184] - 5*X[6991] <= 3
model += -6*X[2022] - X[404] + 3*X[1679] + X[3209] + 2*X[445] + 2*X[6839] + 2*X[4901] - X[2872] <= 4
model += -X[2022] + 3*X[404] + 2*X[1679] + X[3209] + 2*X[445] - 2*X[6839] + X[4901] - 5*X[2872] <= 3
model += -6*X[2435] + X[5671] - 3*X[220] - X[700] - 2*X[4546] - 2*X[1077] - 2*X[1368] + X[610] <= -4
model += X[2435] - 4*X[5671] - X[220] + 2*X[700] - 4*X[4546] + 6*X[1077] - 3*X[1368] - 3*X[610] <= 1
model += -6*X[1158] - X[4309] + 3*X[4415] + X[434] + 2*X[5087] + 2*X[3722] + 2*X[1082] - X[654] <= 4
model += -X[1158] + 3*X[4309] + 2*X[4415] + X[434] + 2*X[5087] - 2*X[3722] + X[1082] - 5*X[654] <= 3
model += -6*X[7565] - X[2015] + 3*X[3163] + X[5350] + 2*X[18] + 2*X[1606] + 2*X[1388] - X[2347] <= 4
model += -X[7565] + 3*X[2015] + 2*X[3163] + X[5350] + 2*X[18] - 2*X[1606] + X[1388] - 5*X[2347] <= 3
model += -6*X[991] - X[7523] + 3*X[6641] + X[6513] + 2*X[3083] + 2*X[6623] + 2*X[776] - X[6528] <= 4
model += -X[991] + 3*X[7523] + 2*X[6641] + X[6513] + 2*X[3083] - 2*X[6623] + X[776] - 5*X[6528] <= 3
model += -6*X[815] - X[852] + 3*X[7433] + X[4163] + 2*X[2818] + 2*X[1511] + 2*X[5059] - X[6074] <= 4
model += -X[815] + 3*X[852] + 2*X[7433] + X[4163] + 2*X[2818] - 2*X[1511] + X[5059] - 5*X[6074] <= 3
model += -6*X[458] + X[4416] - 3*X[217] - X[4422] - 2*X[6173] - 2*X[4555] - 2*X[822] + X[3983] <= -4
model += X[458] - 4*X[4416] - X[217] + 2*X[4422] - 4*X[6173] + 6*X[4555] - 3*X[822] - 3*X[3983] <= 1
model += -6*X[7049] - X[5193] + 3*X[2516] + X[30] + 2*X[6338] + 2*X[5987] + 2*X[2321] - X[3091] <= 4
model += -X[7049] + 3*X[5193] + 2*X[2516] + X[30] + 2*X[6338] - 2*X[5987] + X[2321] - 5*X[3091] <= 3
model += -6*X[1528] - X[3505] + 3*X[3110] + X[3366] + 2*X[886] + 2*X[660] + 2*X[7324] - X[1116] <= 4
model += -X[1528] + 3*X[3505] + 2*X[3110] + X[3366] + 2*X[886] - 2*X[660] + X[7324] - 5*X[1116] <= 3
model += -6*X[5680] - X[636] + 3*X[1125] + X[466] + 2*X[4209] + 2*X[5334] + 2*X[2729] - X[5736] <= 4
model += -X[5680] + 3*X[636] + 2*X[1125] + X[466] + 2*X[4209] - 2*X[5334] + X[2729] - 5*X[5736] <= 3
model += -6*X[7491] - X[386] + 3*X[6226] + X[3324] + 2*X[4939] + 2*X[6095] + 2*X[695] - X[7566] <= 4
model += -X[7491] + 3*X[386] + 2*X[6226] + X[3324] + 2*X[4939] - 2*X[6095] + X[695] - 5*X[7566] <= 3
model += -6*X[3204] - X[973] + 3*X[4543] + X[920] + 2*X[2247] + 2*X[1249] + 2*X[4445] - X[4791] <= 4
model += -X[3204] + 3*X[973] + 2*X[4543] + X[920] + 2*X[2247] - 2*X[1249] + X[4445] - 5*X[4791] <= 3
model += -6*X[4641] - X[619] + 3*X[4269] + X[5004] + 2*X[3976] + 2*X[194] + 2*X[3039] - X[1151] <= 4
model += -X[4641] + 3*X[619] + 2*X[4269] + X[5004] + 2*X[3976] - 2*X[194] + X[3039] - 5*X[1151] <= 3
model += -6*X[1046] - X[36] + 3*X[5135] + X[3954] + 2*X[4534] + 2*X[3310] + 2*X[2357] - X[4721] <= 4
model += -X[1046] + 3*X[36] + 2*X[5135] + X[3954] + 2*X[4534] - 2*X[3310] + X[2357] - 5*X[4721] <= 3
model += -6*X[1190] - X[653] + 3*X[3449] + X[2595] + 2*X[701] + 2*X[6573] + 2*X[2171] - X[5389] <= 4
model += -X[1190] + 3*X[653] + 2*X[3449] + X[2595] + 2*X[701] - 2*X[6573] + X[2171] - 5*X[5389] <= 3
model += -6*X[5112] - X[2061] + 3*X[7483] + X[323] + 2*X[915] + 2*X[3812] + 2*X[2196] - X[2351] <= 4
model += -X[5112] + 3*X[2061] + 2*X[7483] + X[323] + 2*X[915] - 2*X[3812] + X[2196] - 5*X[2351] <= 3
model += -6*X[4253] - X[7303] + 3*X[7538] + X[1856] + 2*X[6559] + 2*X[425] + 2*X[584] - X[6604] <= 4
model += -X[4253] + 3*X[7303] + 2*X[7538] + X[1856] + 2*X[6559] - 2*X[425] + X[584] - 5*X[6604] <= 3
model += -6*X[4324] - X[988] + 3*X[291] + X[2976] + 2*X[3887] + 2*X[7061] + 2*X[3306] - X[3849] <= 4
model += -X[4324] + 3*X[988] + 2*X[291] + X[2976] + 2*X[3887] - 2*X[7061] + X[3306] - 5*X[3849] <= 3
model += -6*X[224] - X[7060] + 3*X[570] + X[3927] + 2*X[7689] + 2*X[1605] + 2*X[3634] - X[5899] <= 4
model += -X[224] + 3*X[7060] + 2*X[570] + X[3927] + 2*X[7689] - 2*X[1605] + X[3634] - 5*X[5899] <= 3
model += -6*X[938] - X[3348] + 3*X[7365] + X[4437] + 2*X[5878] + 2*X[1507] + 2*X[1019] - X[637] <= 4
model += -X[938] + 3*X[3348] + 2*X[7365] + X[4437] + 2*X[5878] - 2*X[1507] + X[1019] - 5*X[637] <= 3
model += -6*X[3038] - X[2628] + 3*X[851] + X[4053] + 2*X[5578] + 2*X[5043] + 2*X[703] - X[3479] <= 4
model += -X[3038] + 3*X[2628] + 2*X[851] + X[4053] + 2*X[5578] - 2*X[5043] + X[703] - 5*X[3479] <= 3
model += -6*X[706] + X[279] - 3*X[7473] - X[1918] - 2*X[4991] - 2*X[3445] - 2*X[2560] + X[469] <= -4
model += X[706] - 4*X[279] - X[7473] + 2*X[1918] - 4*X[4991] + 6*X[3445] - 3*X[2560] - 3*X[469] <= 1
model += -6*X[6248] - X[7083] + 3*X[4149] + X[657] + 2*X[1785] + 2*X[6584] + 2*X[5390] - X[764] <= 4
model += -X[6248] + 3*X[7083] + 2*X[4149] + X[657] + 2*X[1785] - 2*X[6584] + X[5390] - 5*X[764] <= 3
model += -6*X[3338] - X[3839] + 3*X[1053] + X[5462] + 2*X[2450] + 2*X[824] + 2*X[544] - X[3405] <= 4
model += -X[3338] + 3*X[3839] + 2*X[1053] + X[5462] + 2*X[2450] - 2*X[824] + X[544] - 5*X[3405] <= 3
model += -6*X[6993] + X[698] - 3*X[1865] - X[1523] - 2*X[7006] - 2*X[19] - 2*X[1860] + X[7625] <= -4
model += X[6993] - 4*X[698] - X[1865] + 2*X[1523] - 4*X[7006] + 6*X[19] - 3*X[1860] - 3*X[7625] <= 1
model += -6*X[1063] - X[7319] + 3*X[6907] + X[4572] + 2*X[93] + 2*X[6042] + 2*X[2097] - X[7739] <= 4
model += -X[1063] + 3*X[7319] + 2*X[6907] + X[4572] + 2*X[93] - 2*X[6042] + X[2097] - 5*X[7739] <= 3
model += -6*X[3071] - X[1571] + 3*X[113] + X[6104] + 2*X[3472] + 2*X[927] + 2*X[5151] - X[3010] <= 4
model += -X[3071] + 3*X[1571] + 2*X[113] + X[6104] + 2*X[3472] - 2*X[927] + X[5151] - 5*X[3010] <= 3
model += -6*X[151] - X[5937] + 3*X[3451] + X[2414] + 2*X[2745] + 2*X[139] + 2*X[7656] - X[5355] <= 4
model += -X[151] + 3*X[5937] + 2*X[3451] + X[2414] + 2*X[2745] - 2*X[139] + X[7656] - 5*X[5355] <= 3
model += -6*X[2316] - X[121] + 3*X[1236] + X[6208] + 2*X[105] + 2*X[1718] + 2*X[3585] - X[2401] <= 4
model += -X[2316] + 3*X[121] + 2*X[1236] + X[6208] + 2*X[105] - 2*X[1718] + X[3585] - 5*X[2401] <= 3
model += -6*X[7048] - X[187] + 3*X[7328] + X[1562] + 2*X[6086] + 2*X[7468] + 2*X[4194] - X[435] <= 4
model += -X[7048] + 3*X[187] + 2*X[7328] + X[1562] + 2*X[6086] - 2*X[7468] + X[4194] - 5*X[435] <= 3
model += -6*X[5967] - X[7018] + 3*X[210] + X[423] + 2*X[1384] + 2*X[2072] + 2*X[4942] - X[2021] <= 4
model += -X[5967] + 3*X[7018] + 2*X[210] + X[423] + 2*X[1384] - 2*X[2072] + X[4942] - 5*X[2021] <= 3
model += -6*X[5615] - X[1474] + 3*X[3926] + X[5540] + 2*X[6111] + 2*X[5662] + 2*X[259] - X[520] <= 4
model += -X[5615] + 3*X[1474] + 2*X[3926] + X[5540] + 2*X[6111] - 2*X[5662] + X[259] - 5*X[520] <= 3
model += -6*X[64] - X[2291] + 3*X[5057] + X[2121] + 2*X[5887] + 2*X[2705] + 2*X[3830] - X[6867] <= 4
model += -X[64] + 3*X[2291] + 2*X[5057] + X[2121] + 2*X[5887] - 2*X[2705] + X[3830] - 5*X[6867] <= 3
model += -6*X[513] - X[5545] + 3*X[4602] + X[2624] + 2*X[6998] + 2*X[3914] + 2*X[717] - X[3857] <= 4
model += -X[513] + 3*X[5545] + 2*X[4602] + X[2624] + 2*X[6998] - 2*X[3914] + X[717] - 5*X[3857] <= 3
model += -6*X[5667] - X[1885] + 3*X[1208] + X[7296] + 2*X[246] + 2*X[1594] + 2*X[1111] - X[211] <= 4
model += -X[5667] + 3*X[1885] + 2*X[1208] + X[7296] + 2*X[246] - 2*X[1594] + X[1111] - 5*X[211] <= 3
model += -6*X[347] - X[6974] + 3*X[7352] + X[6795] + 2*X[127] + 2*X[1993] + 2*X[6290] - X[6176] <= 4
model += -X[347] + 3*X[6974] + 2*X[7352] + X[6795] + 2*X[127] - 2*X[1993] + X[6290] - 5*X[6176] <= 3
model += -6*X[688] + X[2046] - 3*X[7278] - X[5080] - 2*X[3797] - 2*X[7564] - 2*X[80] + X[5695] <= -4
model += X[688] - 4*X[2046] - X[7278] + 2*X[5080] - 4*X[3797] + 6*X[7564] - 3*X[80] - 3*X[5695] <= 1
model += -6*X[3116] - X[228] + 3*X[5716] + X[4509] + 2*X[922] + 2*X[2546] + 2*X[6840] - X[7725] <= 4
model += -X[3116] + 3*X[228] + 2*X[5716] + X[4509] + 2*X[922] - 2*X[2546] + X[6840] - 5*X[7725] <= 3
model += -6*X[556] - X[1517] + 3*X[1759] + X[278] + 2*X[2395] + 2*X[3183] + 2*X[3522] - X[4538] <= 4
model += -X[556] + 3*X[1517] + 2*X[1759] + X[278] + 2*X[2395] - 2*X[3183] + X[3522] - 5*X[4538] <= 3
model += -6*X[2169] - X[465] + 3*X[6356] + X[4471] + 2*X[4565] + 2*X[3455] + 2*X[195] - X[3270] <= 4
model += -X[2169] + 3*X[465] + 2*X[6356] + X[4471] + 2*X[4565] - 2*X[3455] + X[195] - 5*X[3270] <= 3
model += -6*X[357] - X[7308] + 3*X[6798] + X[455] + 2*X[7150] + 2*X[6416] + 2*X[7420] - X[5078] <= 4
model += -X[357] + 3*X[7308] + 2*X[6798] + X[455] + 2*X[7150] - 2*X[6416] + X[7420] - 5*X[5078] <= 3
model += -6*X[3848] - X[5447] + 3*X[4106] + X[793] + 2*X[5052] + 2*X[517] + 2*X[1211] - X[6347] <= 4
model += -X[3848] + 3*X[5447] + 2*X[4106] + X[793] + 2*X[5052] - 2*X[517] + X[1211] - 5*X[6347] <= 3
model += -6*X[2361] - X[202] + 3*X[3869] + X[219] + 2*X[4661] + 2*X[4177] + 2*X[7097] - X[6374] <= 4
model += -X[2361] + 3*X[202] + 2*X[3869] + X[219] + 2*X[4661] - 2*X[4177] + X[7097] - 5*X[6374] <= 3
model += -6*X[7688] - X[492] + 3*X[5675] + X[960] + 2*X[4703] + 2*X[6617] + 2*X[4739] - X[7124] <= 4
model += -X[7688] + 3*X[492] + 2*X[5675] + X[960] + 2*X[4703] - 2*X[6617] + X[4739] - 5*X[7124] <= 3
model += -6*X[3066] - X[3397] + 3*X[5198] + X[387] + 2*X[5331] + 2*X[335] + 2*X[7740] - X[2267] <= 4
model += -X[3066] + 3*X[3397] + 2*X[5198] + X[387] + 2*X[5331] - 2*X[335] + X[7740] - 5*X[2267] <= 3
model += -6*X[6697] - X[781] + 3*X[443] + X[6738] + 2*X[5875] + 2*X[6225] + 2*X[6038] - X[5180] <= 4
model += -X[6697] + 3*X[781] + 2*X[443] + X[6738] + 2*X[5875] - 2*X[6225] + X[6038] - 5*X[5180] <= 3
model += -6*X[5711] - X[4666] + 3*X[7019] + X[3741] + 2*X[787] + 2*X[7106] + 2*X[865] - X[5651] <= 4
model += -X[5711] + 3*X[4666] + 2*X[7019] + X[3741] + 2*X[787] - 2*X[7106] + X[865] - 5*X[5651] <= 3
model += -6*X[534] - X[5267] + 3*X[1949] + X[1965] + 2*X[550] + 2*X[6869] + 2*X[3025] - X[7356] <= 4
model += -X[534] + 3*X[5267] + 2*X[1949] + X[1965] + 2*X[550] - 2*X[6869] + X[3025] - 5*X[7356] <= 3
model += -6*X[763] + X[3341] - 3*X[1255] - X[7261] - 2*X[867] - 2*X[902] - 2*X[4810] + X[2718] <= -4
model += X[763] - 4*X[3341] - X[1255] + 2*X[7261] - 4*X[867] + 6*X[902] - 3*X[4810] - 3*X[2718] <= 1
model += -6*X[784] - X[3555] + 3*X[6963] + X[2875] + 2*X[6101] + 2*X[6858] + 2*X[1551] - X[588] <= 4
model += -X[784] + 3*X[3555] + 2*X[6963] + X[2875] + 2*X[6101] - 2*X[6858] + X[1551] - 5*X[588] <= 3
model += -6*X[7271] - X[3151] + 3*X[7052] + X[2405] + 2*X[6217] + 2*X[41] + 2*X[2490] - X[5221] <= 4
model += -X[7271] + 3*X[3151] + 2*X[7052] + X[2405] + 2*X[6217] - 2*X[41] + X[2490] - 5*X[5221] <= 3
model += -6*X[2689] - X[3438] + 3*X[243] + X[5106] + 2*X[5731] + 2*X[6499] + 2*X[735] - X[5279] <= 4
model += -X[2689] + 3*X[3438] + 2*X[243] + X[5106] + 2*X[5731] - 2*X[6499] + X[735] - 5*X[5279] <= 3
model += -6*X[1690] - X[5683] + 3*X[697] + X[879] + 2*X[3715] + 2*X[1242] + 2*X[5006] - X[6557] <= 4
model += -X[1690] + 3*X[5683] + 2*X[697] + X[879] + 2*X[3715] - 2*X[1242] + X[5006] - 5*X[6557] <= 3
model += -6*X[6854] + X[4368] - 3*X[6663] - X[2979] - 2*X[847] - 2*X[843] - 2*X[3483] + X[430] <= -4
model += X[6854] - 4*X[4368] - X[6663] + 2*X[2979] - 4*X[847] + 6*X[843] - 3*X[3483] - 3*X[430] <= 1
model += -6*X[1706] - X[3279] + 3*X[3816] + X[1010] + 2*X[225] + 2*X[7719] + 2*X[496] - X[5504] <= 4
model += -X[1706] + 3*X[3279] + 2*X[3816] + X[1010] + 2*X[225] - 2*X[7719] + X[496] - 5*X[5504] <= 3
model += 3*X[3918] + 9*X[68] + 7*X[7212] + 5*X[1916] - Y[158] - 4*Y[157] + 2*Y[156] - 8*Y[155] <= 12
model += -6*X[398] - X[6691] + 3*X[3534] + X[3527] + 2*X[5388] + 2*X[369] + 2*X[2982] - X[4647] <= 4
model += -X[398] + 3*X[6691] + 2*X[3534] + X[3527] + 2*X[5388] - 2*X[369] + X[2982] - 5*X[4647] <= 3
model += -6*X[98] - X[7536] + 3*X[4977] + X[6829] + 2*X[2925] + 2*X[5304] + 2*X[1321] - X[1103] <= 4
model += -X[98] + 3*X[7536] + 2*X[4977] + X[6829] + 2*X[2925] - 2*X[5304] + X[1321] - 5*X[1103] <= 3
model += -6*X[7266] - X[2645] + 3*X[156] + X[1476] + 2*X[5291] + 2*X[6266] + 2*X[3056] - X[422] <= 4
model += -X[7266] + 3*X[2645] + 2*X[156] + X[1476] + 2*X[5291] - 2*X[6266] + X[3056] - 5*X[422] <= 3
model += -6*X[429] + X[3004] - 3*X[4095] - X[4580] - 2*X[6832] - 2*X[647] - 2*X[5664] + X[315] <= -4
model += X[429] - 4*X[3004] - X[4095] + 2*X[4580] - 4*X[6832] + 6*X[647] - 3*X[5664] - 3*X[315] <= 1
model += -6*X[675] - X[1944] + 3*X[7004] + X[713] + 2*X[1412] + 2*X[2643] + 2*X[5679] - X[2881] <= 4
model += -X[675] + 3*X[1944] + 2*X[7004] + X[713] + 2*X[1412] - 2*X[2643] + X[5679] - 5*X[2881] <= 3
model += -6*X[7407] - X[1319] + 3*X[652] + X[5013] + 2*X[617] + 2*X[2551] + 2*X[7435] - X[4183] <= 4
model += -X[7407] + 3*X[1319] + 2*X[652] + X[5013] + 2*X[617] - 2*X[2551] + X[7435] - 5*X[4183] <= 3
model += -6*X[6457] + X[1043] - 3*X[2477] - X[6935] - 2*X[4656] - 2*X[55] - 2*X[1600] + X[795] <= -4
model += X[6457] - 4*X[1043] - X[2477] + 2*X[6935] - 4*X[4656] + 6*X[55] - 3*X[1600] - 3*X[795] <= 1
model += -6*X[5042] - X[3133] + 3*X[7527] + X[7238] + 2*X[4379] + 2*X[286] + 2*X[383] - X[1570] <= 4
model += -X[5042] + 3*X[3133] + 2*X[7527] + X[7238] + 2*X[4379] - 2*X[286] + X[383] - 5*X[1570] <= 3
model += -6*X[5009] - X[72] + 3*X[4579] + X[1731] + 2*X[2036] + 2*X[7188] + 2*X[2062] - X[1595] <= 4
model += -X[5009] + 3*X[72] + 2*X[4579] + X[1731] + 2*X[2036] - 2*X[7188] + X[2062] - 5*X[1595] <= 3
model += 3*X[5244] + 9*X[450] + 7*X[73] + 5*X[285] - X[5257] - 4*X[949] + 2*X[716] - 8*X[5357] <= 12
model += -6*X[2392] - X[395] + 3*X[559] + X[1787] + 2*X[7092] + 2*X[3625] + 2*X[5340] - X[7167] <= 4
model += -X[2392] + 3*X[395] + 2*X[559] + X[1787] + 2*X[7092] - 2*X[3625] + X[5340] - 5*X[7167] <= 3
model += -6*X[5264] - X[839] + 3*X[7253] + X[5993] + 2*X[3630] + 2*X[1229] + 2*X[7730] - X[353] <= 4
model += -X[5264] + 3*X[839] + 2*X[7253] + X[5993] + 2*X[3630] - 2*X[1229] + X[7730] - 5*X[353] <= 3
model += -6*X[941] - X[6523] + 3*X[1806] + X[6955] + 2*X[1842] + 2*X[1446] + 2*X[2491] - X[801] <= 4
model += -X[941] + 3*X[6523] + 2*X[1806] + X[6955] + 2*X[1842] - 2*X[1446] + X[2491] - 5*X[801] <= 3
model += -6*X[92] + X[2545] - 3*X[7669] - X[4029] - 2*X[4141] - 2*X[767] - 2*X[1514] + X[6197] <= -4
model += X[92] - 4*X[2545] - X[7669] + 2*X[4029] - 4*X[4141] + 6*X[767] - 3*X[1514] - 3*X[6197] <= 1
model += -6*X[7158] - X[7623] + 3*X[5890] + X[3518] + 2*X[980] + 2*X[131] + 2*X[4608] - X[1515] <= 4
model += -X[7158] + 3*X[7623] + 2*X[5890] + X[3518] + 2*X[980] - 2*X[131] + X[4608] - 5*X[1515] <= 3
model += -6*X[6802] - X[2451] + 3*X[6510] + X[11] + 2*X[7252] + 2*X[1639] + 2*X[7762] - X[5909] <= 4
model += -X[6802] + 3*X[2451] + 2*X[6510] + X[11] + 2*X[7252] - 2*X[1639] + X[7762] - 5*X[5909] <= 3
model += -6*X[3542] - X[4769] + 3*X[2814] + X[7675] + 2*X[7334] + 2*X[2692] + 2*X[982] - X[542] <= 4
model += -X[3542] + 3*X[4769] + 2*X[2814] + X[7675] + 2*X[7334] - 2*X[2692] + X[982] - 5*X[542] <= 3
model += -6*X[2977] - X[6276] + 3*X[3992] + X[169] + 2*X[3102] + 2*X[122] + 2*X[2658] - X[2770] <= 4
model += -X[2977] + 3*X[6276] + 2*X[3992] + X[169] + 2*X[3102] - 2*X[122] + X[2658] - 5*X[2770] <= 3
model += -6*X[5530] - X[287] + 3*X[6769] + X[1640] + 2*X[4952] + 2*X[375] + 2*X[3748] - X[6174] <= 4
model += -X[5530] + 3*X[287] + 2*X[6769] + X[1640] + 2*X[4952] - 2*X[375] + X[3748] - 5*X[6174] <= 3
model += -6*X[6855] - X[2189] + 3*X[6107] + X[682] + 2*X[1346] + 2*X[7286] + 2*X[4521] - X[326] <= 4
model += -X[6855] + 3*X[2189] + 2*X[6107] + X[682] + 2*X[1346] - 2*X[7286] + X[4521] - 5*X[326] <= 3
model += -6*X[5565] - X[519] + 3*X[5166] + X[2020] + 2*X[452] + 2*X[2959] + 2*X[6251] - X[2743] <= 4
model += -X[5565] + 3*X[519] + 2*X[5166] + X[2020] + 2*X[452] - 2*X[2959] + X[6251] - 5*X[2743] <= 3
model += -6*X[6245] - X[6239] + 3*X[883] + X[3309] + 2*X[1510] + 2*X[1617] + 2*X[1907] - X[940] <= 4
model += -X[6245] + 3*X[6239] + 2*X[883] + X[3309] + 2*X[1510] - 2*X[1617] + X[1907] - 5*X[940] <= 3
model += -6*X[6061] - X[27] + 3*X[1316] + X[2662] + 2*X[7587] + 2*X[7663] + 2*X[6875] - X[7256] <= 4
model += -X[6061] + 3*X[27] + 2*X[1316] + X[2662] + 2*X[7587] - 2*X[7663] + X[6875] - 5*X[7256] <= 3
model += -6*X[7638] - X[3655] + 3*X[2740] + X[4096] + 2*X[2981] + 2*X[305] + 2*X[235] - X[5394] <= 4
model += -X[7638] + 3*X[3655] + 2*X[2740] + X[4096] + 2*X[2981] - 2*X[305] + X[235] - 5*X[5394] <= 3
model += -6*X[5632] - X[7596] + 3*X[5196] + X[686] + 2*X[4228] + 2*X[5704] + 2*X[288] - X[3622] <= 4
model += -X[5632] + 3*X[7596] + 2*X[5196] + X[686] + 2*X[4228] - 2*X[5704] + X[288] - 5*X[3622] <= 3
model += -6*X[7023] - X[4765] + 3*X[5828] + X[302] + 2*X[2152] + 2*X[1923] + 2*X[1725] - X[809] <= 4
model += -X[7023] + 3*X[4765] + 2*X[5828] + X[302] + 2*X[2152] - 2*X[1923] + X[1725] - 5*X[809] <= 3
model += -6*X[5420] - X[3450] + 3*X[7267] + X[2228] + 2*X[402] + 2*X[4523] + 2*X[3908] - X[142] <= 4
model += -X[5420] + 3*X[3450] + 2*X[7267] + X[2228] + 2*X[402] - 2*X[4523] + X[3908] - 5*X[142] <= 3
model += -6*X[1889] - X[2192] + 3*X[308] + X[5230] + 2*X[5672] + 2*X[3246] + 2*X[753] - X[6619] <= 4
model += -X[1889] + 3*X[2192] + 2*X[308] + X[5230] + 2*X[5672] - 2*X[3246] + X[753] - 5*X[6619] <= 3
model += -6*X[6824] - X[846] + 3*X[921] + X[3565] + 2*X[6340] + 2*X[7177] + 2*X[4876] - X[5774] <= 4
model += -X[6824] + 3*X[846] + 2*X[921] + X[3565] + 2*X[6340] - 2*X[7177] + X[4876] - 5*X[5774] <= 3
model += -6*X[426] - X[6304] + 3*X[1309] + X[1084] + 2*X[7180] + 2*X[349] + 2*X[3462] - X[3619] <= 4
model += -X[426] + 3*X[6304] + 2*X[1309] + X[1084] + 2*X[7180] - 2*X[349] + X[3462] - 5*X[3619] <= 3
model += -6*X[6677] + X[4247] - 3*X[5750] - X[99] - 2*X[6620] - 2*X[676] - 2*X[6435] + X[5729] <= -4
model += X[6677] - 4*X[4247] - X[5750] + 2*X[99] - 4*X[6620] + 6*X[676] - 3*X[6435] - 3*X[5729] <= 1
model += -6*X[5274] - X[396] + 3*X[3170] + X[734] + 2*X[5825] + 2*X[7405] + 2*X[5860] - X[4731] <= 4
model += -X[5274] + 3*X[396] + 2*X[3170] + X[734] + 2*X[5825] - 2*X[7405] + X[5860] - 5*X[4731] <= 3
model += -6*X[995] - X[4774] + 3*X[177] + X[7685] + 2*X[1301] + 2*X[5425] + 2*X[6180] - X[7595] <= 4
model += -X[995] + 3*X[4774] + 2*X[177] + X[7685] + 2*X[1301] - 2*X[5425] + X[6180] - 5*X[7595] <= 3
model += -6*X[6714] - X[3993] + 3*X[2793] + X[5819] + 2*X[43] + 2*X[4457] + 2*X[2043] - X[3464] <= 4
model += -X[6714] + 3*X[3993] + 2*X[2793] + X[5819] + 2*X[43] - 2*X[4457] + X[2043] - 5*X[3464] <= 3
model += -6*X[6413] - X[2797] + 3*X[5513] + X[929] + 2*X[153] + 2*X[6259] + 2*X[3248] - X[5192] <= 4
model += -X[6413] + 3*X[2797] + 2*X[5513] + X[929] + 2*X[153] - 2*X[6259] + X[3248] - 5*X[5192] <= 3
model += -6*X[5126] - X[456] + 3*X[5054] + X[3562] + 2*X[3396] + 2*X[892] + 2*X[6213] - X[5344] <= 4
model += -X[5126] + 3*X[456] + 2*X[5054] + X[3562] + 2*X[3396] - 2*X[892] + X[6213] - 5*X[5344] <= 3
model += -6*X[3460] - X[2836] + 3*X[7520] + X[5386] + 2*X[7102] + 2*X[1227] + 2*X[97] - X[3081] <= 4
model += -X[3460] + 3*X[2836] + 2*X[7520] + X[5386] + 2*X[7102] - 2*X[1227] + X[97] - 5*X[3081] <= 3
model += -6*X[953] + X[332] - 3*X[7444] - X[6443] - 2*X[986] - 2*X[6882] - 2*X[3999] + X[2182] <= -4
model += X[953] - 4*X[332] - X[7444] + 2*X[6443] - 4*X[986] + 6*X[6882] - 3*X[3999] - 3*X[2182] <= 1
model += -6*X[5807] - X[849] + 3*X[3059] + X[565] + 2*X[6376] + 2*X[3856] + 2*X[7441] - X[6616] <= 4
model += -X[5807] + 3*X[849] + 2*X[3059] + X[565] + 2*X[6376] - 2*X[3856] + X[7441] - 5*X[6616] <= 3
model += -6*X[3560] - X[2248] + 3*X[4472] + X[163] + 2*X[248] + 2*X[3538] + 2*X[4903] - X[5564] <= 4
model += -X[3560] + 3*X[2248] + 2*X[4472] + X[163] + 2*X[248] - 2*X[3538] + X[4903] - 5*X[5564] <= 3
model += -6*X[900] - X[1434] + 3*X[6692] + X[1761] + 2*X[6605] + 2*X[4603] + 2*X[828] - X[3764] <= 4
model += -X[900] + 3*X[1434] + 2*X[6692] + X[1761] + 2*X[6605] - 2*X[4603] + X[828] - 5*X[3764] <= 3
model += -6*X[1090] + X[441] - 3*X[4915] - X[7666] - 2*X[4401] - 2*X[79] - 2*X[5266] + X[1086] <= -4
model += X[1090] - 4*X[441] - X[4915] + 2*X[7666] - 4*X[4401] + 6*X[79] - 3*X[5266] - 3*X[1086] <= 1
model += -6*X[919] - X[2886] + 3*X[5252] + X[5932] + 2*X[609] + 2*X[4745] + 2*X[1162] - X[5542] <= 4
model += -X[919] + 3*X[2886] + 2*X[5252] + X[5932] + 2*X[609] - 2*X[4745] + X[1162] - 5*X[5542] <= 3
model += -6*X[6230] - X[65] + 3*X[4220] + X[2636] + 2*X[3649] + 2*X[5590] + 2*X[1083] - X[7030] <= 4
model += -X[6230] + 3*X[65] + 2*X[4220] + X[2636] + 2*X[3649] - 2*X[5590] + X[1083] - 5*X[7030] <= 3
model += 3*X[255] + 9*X[641] + 7*X[1138] + 5*X[7149] - Y[147] - 4*Y[146] + 2*Y[145] - 8*Y[144] <= 12
model += -6*X[6497] - X[4128] + 3*X[2670] + X[6666] + 2*X[6027] + 2*X[633] + 2*X[752] - X[5938] <= 4
model += -X[6497] + 3*X[4128] + 2*X[2670] + X[6666] + 2*X[6027] - 2*X[633] + X[752] - 5*X[5938] <= 3
model += -6*X[3854] - X[1979] + 3*X[2772] + X[1443] + 2*X[3107] + 2*X[189] + 2*X[996] - X[2702] <= 4
model += -X[3854] + 3*X[1979] + 2*X[2772] + X[1443] + 2*X[3107] - 2*X[189] + X[996] - 5*X[2702] <= 3
model += -6*X[4364] + X[7622] - 3*X[6478] - X[1219] - 2*X[7411] - 2*X[34] - 2*X[164] + X[6857] <= -4
model += X[4364] - 4*X[7622] - X[6478] + 2*X[1219] - 4*X[7411] + 6*X[34] - 3*X[164] - 3*X[6857] <= 1
model += -6*X[5123] - X[3606] + 3*X[2456] + X[825] + 2*X[5720] + 2*X[2100] + 2*X[7073] - X[721] <= 4
model += -X[5123] + 3*X[3606] + 2*X[2456] + X[825] + 2*X[5720] - 2*X[2100] + X[7073] - 5*X[721] <= 3
model += -6*X[5806] - X[7002] + 3*X[462] + X[4428] + 2*X[2703] + 2*X[969] + 2*X[1047] - X[1147] <= 4
model += -X[5806] + 3*X[7002] + 2*X[462] + X[4428] + 2*X[2703] - 2*X[969] + X[1047] - 5*X[1147] <= 3
model += -6*X[1877] - X[7518] + 3*X[214] + X[845] + 2*X[3412] + 2*X[6460] + 2*X[4396] - X[2364] <= 4
model += -X[1877] + 3*X[7518] + 2*X[214] + X[845] + 2*X[3412] - 2*X[6460] + X[4396] - 5*X[2364] <= 3
model += -6*X[7115] - X[1765] + 3*X[5861] + X[4025] + 2*X[951] + 2*X[7035] + 2*X[3925] - X[866] <= 4
model += -X[7115] + 3*X[1765] + 2*X[5861] + X[4025] + 2*X[951] - 2*X[7035] + X[3925] - 5*X[866] <= 3
model += -6*X[3736] - X[954] + 3*X[3962] + X[2904] + 2*X[3437] + 2*X[5502] + 2*X[6071] - X[971] <= 4
model += -X[3736] + 3*X[954] + 2*X[3962] + X[2904] + 2*X[3437] - 2*X[5502] + X[6071] - 5*X[971] <= 3
model += -6*X[3447] + X[3294] - 3*X[2306] - X[5398] - 2*X[2562] - 2*Y[156] - 2*Y[155] + Y[154] <= -4
model += X[3447] - 4*X[3294] - X[2306] + 2*X[5398] - 4*X[2562] + 6*Y[156] - 3*Y[155] - 3*Y[154] <= 1
model += -6*X[3949] - X[5945] + 3*X[595] + X[2101] + 2*X[5419] + 2*X[4635] + 2*X[296] - X[3017] <= 4
model += -X[3949] + 3*X[5945] + 2*X[595] + X[2101] + 2*X[5419] - 2*X[4635] + X[296] - 5*X[3017] <= 3
model += -6*X[5534] - X[7677] + 3*X[4460] + X[1546] + 2*X[5215] + 2*X[78] + 2*X[6546] - X[6030] <= 4
model += -X[5534] + 3*X[7677] + 2*X[4460] + X[1546] + 2*X[5215] - 2*X[78] + X[6546] - 5*X[6030] <= 3
model += -6*X[643] - X[596] + 3*X[1780] + X[5269] + 2*X[2314] + 2*X[4305] + 2*X[3370] - X[4440] <= 4
model += -X[643] + 3*X[596] + 2*X[1780] + X[5269] + 2*X[2314] - 2*X[4305] + X[3370] - 5*X[4440] <= 3
model += -6*X[876] - X[1673] + 3*X[2143] + X[547] + 2*X[2479] + 2*X[7613] + 2*X[6118] - X[2585] <= 4
model += -X[876] + 3*X[1673] + 2*X[2143] + X[547] + 2*X[2479] - 2*X[7613] + X[6118] - 5*X[2585] <= 3
model += -6*X[4470] + X[5581] - 3*X[2176] - X[5854] - 2*X[5259] - 2*X[45] - 2*X[4430] + X[983] <= -4
model += X[4470] - 4*X[5581] - X[2176] + 2*X[5854] - 4*X[5259] + 6*X[45] - 3*X[4430] - 3*X[983] <= 1
model += -6*X[5963] - X[5076] + 3*X[410] + X[812] + 2*X[1554] + 2*X[2452] + 2*X[5701] - X[5663] <= 4
model += -X[5963] + 3*X[5076] + 2*X[410] + X[812] + 2*X[1554] - 2*X[2452] + X[5701] - 5*X[5663] <= 3
model += -6*X[923] + X[7549] - 3*X[6277] - X[3367] - 2*X[6519] - 2*X[2882] - 2*X[3755] + X[52] <= -4
model += X[923] - 4*X[7549] - X[6277] + 2*X[3367] - 4*X[6519] + 6*X[2882] - 3*X[3755] - 3*X[52] <= 1
model += -6*X[1374] - X[238] + 3*X[6948] + X[7603] + 2*X[3990] + 2*X[625] + 2*X[3307] - X[5044] <= 4
model += -X[1374] + 3*X[238] + 2*X[6948] + X[7603] + 2*X[3990] - 2*X[625] + X[3307] - 5*X[5044] <= 3
model += -6*X[3032] - X[3297] + 3*X[2518] + X[3805] + 2*X[3336] + 2*X[1649] + 2*X[67] - X[6117] <= 4
model += -X[3032] + 3*X[3297] + 2*X[2518] + X[3805] + 2*X[3336] - 2*X[1649] + X[67] - 5*X[6117] <= 3
model += -6*X[6116] + X[6479] - 3*X[2962] - X[7232] - 2*X[4805] - 2*Y[153] - 2*Y[152] + Y[151] <= -4
model += X[6116] - 4*X[6479] - X[2962] + 2*X[7232] - 4*X[4805] + 6*Y[153] - 3*Y[152] - 3*Y[151] <= 1
model += -6*X[4785] - X[7604] + 3*X[857] + X[1062] + 2*X[399] + 2*X[6736] + 2*X[4031] - X[4715] <= 4
model += -X[4785] + 3*X[7604] + 2*X[857] + X[1062] + 2*X[399] - 2*X[6736] + X[4031] - 5*X[4715] <= 3
model += -6*X[2488] - X[770] + 3*X[3480] + X[6567] + 2*X[563] + 2*X[3701] + 2*X[2290] - X[3929] <= 4
model += -X[2488] + 3*X[770] + 2*X[3480] + X[6567] + 2*X[563] - 2*X[3701] + X[2290] - 5*X[3929] <= 3
model += -6*X[328] + X[1037] - 3*X[4353] - X[271] - 2*X[4268] - 2*X[2656] - 2*X[797] + X[3354] <= -4
model += X[328] - 4*X[1037] - X[4353] + 2*X[271] - 4*X[4268] + 6*X[2656] - 3*X[797] - 3*X[3354] <= 1
model += -6*X[5219] - X[747] + 3*X[4201] + X[3843] + 2*X[4387] + 2*X[247] + 2*X[2386] - X[6541] <= 4
model += -X[5219] + 3*X[747] + 2*X[4201] + X[3843] + 2*X[4387] - 2*X[247] + X[2386] - 5*X[6541] <= 3
model += -6*X[1665] - X[3507] + 3*X[367] + X[432] + 2*X[5893] + 2*X[4762] + 2*X[7042] - X[4260] <= 4
model += -X[1665] + 3*X[3507] + 2*X[367] + X[432] + 2*X[5893] - 2*X[4762] + X[7042] - 5*X[4260] <= 3
model += -6*X[1247] - X[6502] + 3*X[249] + X[124] + 2*X[3380] + 2*X[4408] + 2*X[1633] - X[7285] <= 4
model += -X[1247] + 3*X[6502] + 2*X[249] + X[124] + 2*X[3380] - 2*X[4408] + X[1633] - 5*X[7285] <= 3
model += -6*X[7682] - X[42] + 3*X[3935] + X[2617] + 2*X[4837] + 2*X[1435] + 2*X[2864] - X[3510] <= 4
model += -X[7682] + 3*X[42] + 2*X[3935] + X[2617] + 2*X[4837] - 2*X[1435] + X[2864] - 5*X[3510] <= 3
model += -6*X[7021] - X[3684] + 3*X[3095] + X[7193] + 2*X[745] + 2*X[1557] + 2*X[226] - X[4093] <= 4
model += -X[7021] + 3*X[3684] + 2*X[3095] + X[7193] + 2*X[745] - 2*X[1557] + X[226] - 5*X[4093] <= 3
model += -6*X[780] - X[1819] + 3*X[6739] + X[1910] + 2*X[2241] + 2*X[6396] + 2*X[962] - X[3543] <= 4
model += -X[780] + 3*X[1819] + 2*X[6739] + X[1910] + 2*X[2241] - 2*X[6396] + X[962] - 5*X[3543] <= 3
model += -6*X[6919] - X[6664] + 3*X[5674] + X[1414] + 2*X[498] + 2*X[4300] + 2*X[1056] - X[350] <= 4
model += -X[6919] + 3*X[6664] + 2*X[5674] + X[1414] + 2*X[498] - 2*X[4300] + X[1056] - 5*X[350] <= 3
model += -6*X[6893] - X[2805] + 3*X[5430] + X[2249] + 2*X[7696] + 2*X[118] + 2*X[290] - X[4398] <= 4
model += -X[6893] + 3*X[2805] + 2*X[5430] + X[2249] + 2*X[7696] - 2*X[118] + X[290] - 5*X[4398] <= 3
model += -6*X[5766] + X[4329] - 3*X[5930] - X[5023] - 2*X[4687] - 2*Y[147] - 2*Y[146] + Y[145] <= -4
model += X[5766] - 4*X[4329] - X[5930] + 2*X[5023] - 4*X[4687] + 6*Y[147] - 3*Y[146] - 3*Y[145] <= 1
model += -6*X[6060] + X[7634] - 3*X[3215] - X[4596] - 2*X[818] - 2*X[1529] - 2*X[368] + X[453] <= -4
model += X[6060] - 4*X[7634] - X[3215] + 2*X[4596] - 4*X[818] + 6*X[1529] - 3*X[368] - 3*X[453] <= 1
model += -6*X[5349] - X[6021] + 3*X[5844] + X[6676] + 2*X[5582] + 2*X[2502] + 2*X[558] - X[871] <= 4
model += -X[5349] + 3*X[6021] + 2*X[5844] + X[6676] + 2*X[5582] - 2*X[2502] + X[558] - 5*X[871] <= 3
model += -6*X[6035] - X[407] + 3*X[1380] + X[2432] + 2*X[948] + 2*X[5883] + 2*X[1689] - X[5885] <= 4
model += -X[6035] + 3*X[407] + 2*X[1380] + X[2432] + 2*X[948] - 2*X[5883] + X[1689] - 5*X[5885] <= 3
model += -6*X[1324] - X[5656] + 3*X[762] + X[3292] + 2*X[594] + 2*X[5127] + 2*X[5999] - X[1356] <= 4
model += -X[1324] + 3*X[5656] + 2*X[762] + X[3292] + 2*X[594] - 2*X[5127] + X[5999] - 5*X[1356] <= 3
model += -6*X[371] - X[2218] + 3*X[6796] + X[807] + 2*X[1821] + 2*X[2119] + 2*X[4996] - X[5789] <= 4
model += -X[371] + 3*X[2218] + 2*X[6796] + X[807] + 2*X[1821] - 2*X[2119] + X[4996] - 5*X[5789] <= 3
model += -6*X[6] + X[1014] - 3*X[3623] - X[5881] - 2*X[5245] - 2*X[5314] - 2*X[7194] + X[5158] <= -4
model += X[6] - 4*X[1014] - X[3623] + 2*X[5881] - 4*X[5245] + 6*X[5314] - 3*X[7194] - 3*X[5158] <= 1
model += -6*X[5933] - X[5319] + 3*X[1118] + X[7458] + 2*X[28] + 2*X[5558] + 2*X[3188] - X[4746] <= 4
model += -X[5933] + 3*X[5319] + 2*X[1118] + X[7458] + 2*X[28] - 2*X[5558] + X[3188] - 5*X[4746] <= 3
model += -6*X[6640] - X[885] + 3*X[7213] + X[197] + 2*X[6100] + 2*X[5833] + 2*X[2501] - X[5758] <= 4
model += -X[6640] + 3*X[885] + 2*X[7213] + X[197] + 2*X[6100] - 2*X[5833] + X[2501] - 5*X[5758] <= 3
model += -6*X[827] - X[2191] + 3*X[6036] + X[685] + 2*X[5599] + 2*X[3656] + 2*X[6480] - X[6624] <= 4
model += -X[827] + 3*X[2191] + 2*X[6036] + X[685] + 2*X[5599] - 2*X[3656] + X[6480] - 5*X[6624] <= 3
model += -6*X[6408] + X[427] - 3*X[7076] - X[5583] - 2*X[7214] - 2*X[172] - 2*X[252] + X[5140] <= -4
model += X[6408] - 4*X[427] - X[7076] + 2*X[5583] - 4*X[7214] + 6*X[172] - 3*X[252] - 3*X[5140] <= 1
model += -6*X[7453] - X[4665] + 3*X[5894] + X[6207] + 2*X[32] + 2*X[7697] + 2*X[4328] - X[3594] <= 4
model += -X[7453] + 3*X[4665] + 2*X[5894] + X[6207] + 2*X[32] - 2*X[7697] + X[4328] - 5*X[3594] <= 3
model += -6*X[1797] + X[394] - 3*X[586] - X[6252] - 2*X[1916] - 2*X[2165] - 2*X[4167] + X[873] <= -4
model += X[1797] - 4*X[394] - X[586] + 2*X[6252] - 4*X[1916] + 6*X[2165] - 3*X[4167] - 3*X[873] <= 1
model += -6*X[2589] - X[6725] + 3*X[7588] + X[6585] + 2*X[1913] + 2*X[3981] + 2*X[61] - X[1454] <= 4
model += -X[2589] + 3*X[6725] + 2*X[7588] + X[6585] + 2*X[1913] - 2*X[3981] + X[61] - 5*X[1454] <= 3
model += -6*X[4468] - X[5919] + 3*X[260] + X[6387] + 2*X[3285] + 2*X[1410] + 2*X[7586] - X[731] <= 4
model += -X[4468] + 3*X[5919] + 2*X[260] + X[6387] + 2*X[3285] - 2*X[1410] + X[7586] - 5*X[731] <= 3
model += -6*X[6358] - X[1225] + 3*X[1159] + X[6730] + 2*X[3413] + 2*X[4674] + 2*X[154] - X[510] <= 4
model += -X[6358] + 3*X[1225] + 2*X[1159] + X[6730] + 2*X[3413] - 2*X[4674] + X[154] - 5*X[510] <= 3
model += -6*X[7037] - X[1263] + 3*X[7217] + X[4107] + 2*X[4407] + 2*X[3713] + 2*X[89] - X[3241] <= 4
model += -X[7037] + 3*X[1263] + 2*X[7217] + X[4107] + 2*X[4407] - 2*X[3713] + X[89] - 5*X[3241] <= 3
model += -6*X[81] + X[2382] - 3*X[6149] - X[6489] - 2*X[3978] - 2*X[1130] - 2*X[3728] + X[311] <= -4
model += X[81] - 4*X[2382] - X[6149] + 2*X[6489] - 4*X[3978] + 6*X[1130] - 3*X[3728] - 3*X[311] <= 1
model += -6*X[4927] - X[3734] + 3*X[912] + X[2048] + 2*X[5973] + 2*X[615] + 2*X[7723] - X[5205] <= 4
model += -X[4927] + 3*X[3734] + 2*X[912] + X[2048] + 2*X[5973] - 2*X[615] + X[7723] - 5*X[5205] <= 3
model += -6*X[3264] + X[515] - 3*X[525] - X[2599] - 2*X[7626] - 2*X[7358] - 2*X[7254] + X[580] <= -4
model += X[3264] - 4*X[515] - X[525] + 2*X[2599] - 4*X[7626] + 6*X[7358] - 3*X[7254] - 3*X[580] <= 1
model += -6*X[6445] - X[7330] + 3*X[5951] + X[4887] + 2*X[754] + 2*X[2007] + 2*X[1803] - X[166] <= 4
model += -X[6445] + 3*X[7330] + 2*X[5951] + X[4887] + 2*X[754] - 2*X[2007] + X[1803] - 5*X[166] <= 3
model += -6*X[2576] - X[820] + 3*X[1700] + X[5341] + 2*X[2013] + 2*X[2738] + 2*X[826] - X[4458] <= 4
model += -X[2576] + 3*X[820] + 2*X[1700] + X[5341] + 2*X[2013] - 2*X[2738] + X[826] - 5*X[4458] <= 3
model += -6*X[1327] - X[946] + 3*X[7492] + X[7545] + 2*X[2300] + 2*X[732] + 2*X[6170] - X[3669] <= 4
model += -X[1327] + 3*X[946] + 2*X[7492] + X[7545] + 2*X[2300] - 2*X[732] + X[6170] - 5*X[3669] <= 3
model += -6*X[751] - X[3387] + 3*X[942] + X[6767] + 2*X[5421] + 2*X[2914] + 2*X[2122] - X[1500] <= 4
model += -X[751] + 3*X[3387] + 2*X[942] + X[6767] + 2*X[5421] - 2*X[2914] + X[2122] - 5*X[1500] <= 3
model += -6*X[936] - X[3750] + 3*X[2270] + X[882] + 2*X[3721] + 2*X[2858] + 2*X[7619] - X[6297] <= 4
model += -X[936] + 3*X[3750] + 2*X[2270] + X[882] + 2*X[3721] - 2*X[2858] + X[7619] - 5*X[6297] <= 3
model += -6*X[2183] - X[7672] + 3*X[789] + X[6862] + 2*X[627] + 2*X[4675] + 2*X[4507] - X[1832] <= 4
model += -X[2183] + 3*X[7672] + 2*X[789] + X[6862] + 2*X[627] - 2*X[4675] + X[4507] - 5*X[1832] <= 3
model += -6*X[7140] - X[3295] + 3*X[7370] + X[2304] + 2*X[2627] + 2*X[320] + 2*X[3330] - X[599] <= 4
model += -X[7140] + 3*X[3295] + 2*X[7370] + X[2304] + 2*X[2627] - 2*X[320] + X[3330] - 5*X[599] <= 3
model += -6*X[4094] - X[140] + 3*X[2665] + X[5014] + 2*X[4751] + 2*X[4515] + 2*X[6309] - X[854] <= 4
model += -X[4094] + 3*X[140] + 2*X[2665] + X[5014] + 2*X[4751] - 2*X[4515] + X[6309] - 5*X[854] <= 3
model += -6*X[4671] - X[3775] + 3*X[1405] + X[6782] + 2*X[5943] + 2*X[330] + 2*X[693] - X[1089] <= 4
model += -X[4671] + 3*X[3775] + 2*X[1405] + X[6782] + 2*X[5943] - 2*X[330] + X[693] - 5*X[1089] <= 3
model += -6*X[3166] - X[2812] + 3*X[3448] + X[6522] + 2*X[4627] + 2*X[2067] + 2*X[1068] - X[69] <= 4
model += -X[3166] + 3*X[2812] + 2*X[3448] + X[6522] + 2*X[4627] - 2*X[2067] + X[1068] - 5*X[69] <= 3
model += -6*X[3881] - X[935] + 3*X[193] + X[2555] + 2*X[2440] + 2*X[6093] + 2*X[1296] - X[7722] <= 4
model += -X[3881] + 3*X[935] + 2*X[193] + X[2555] + 2*X[2440] - 2*X[6093] + X[1296] - 5*X[7722] <= 3
model += -6*X[3724] - X[5755] + 3*X[2637] + X[4067] + 2*X[579] + 2*X[7032] + 2*X[626] - X[2542] <= 4
model += -X[3724] + 3*X[5755] + 2*X[2637] + X[4067] + 2*X[579] - 2*X[7032] + X[626] - 5*X[2542] <= 3
model += -6*X[2303] - X[2044] + 3*X[2200] + X[896] + 2*X[1828] + 2*X[4291] + 2*X[5312] - X[251] <= 4
model += -X[2303] + 3*X[2044] + 2*X[2200] + X[896] + 2*X[1828] - 2*X[4291] + X[5312] - 5*X[251] <= 3
model += -6*X[577] + X[681] - 3*X[7111] - X[136] - 2*X[4462] - 2*X[6817] - 2*X[1807] + X[5167] <= -4
model += X[577] - 4*X[681] - X[7111] + 2*X[136] - 4*X[4462] + 6*X[6817] - 3*X[1807] - 3*X[5167] <= 1
model += -6*X[1480] - X[7053] + 3*X[750] + X[6540] + 2*X[1846] + 2*X[146] + 2*X[3254] - X[1199] <= 4
model += -X[1480] + 3*X[7053] + 2*X[750] + X[6540] + 2*X[1846] - 2*X[146] + X[3254] - 5*X[1199] <= 3
model += -6*X[6047] - X[3069] + 3*X[708] + X[3595] + 2*X[1683] + 2*X[3490] + 2*X[459] - X[3941] <= 4
model += -X[6047] + 3*X[3069] + 2*X[708] + X[3595] + 2*X[1683] - 2*X[3490] + X[459] - 5*X[3941] <= 3
model += -6*X[6990] + X[282] - 3*X[3934] - X[1988] - 2*X[4489] - 2*X[4988] - 2*X[5975] + X[46] <= -4
model += X[6990] - 4*X[282] - X[3934] + 2*X[1988] - 4*X[4489] + 6*X[4988] - 3*X[5975] - 3*X[46] <= 1
model += -6*X[4558] - X[7554] + 3*X[5261] + X[819] + 2*X[3844] + 2*X[356] + 2*X[2527] - X[5762] <= 4
model += -X[4558] + 3*X[7554] + 2*X[5261] + X[819] + 2*X[3844] - 2*X[356] + X[2527] - 5*X[5762] <= 3
model += -6*X[176] - X[3409] + 3*X[6861] + X[7506] + 2*X[2957] + 2*X[1705] + 2*X[173] - X[1340] <= 4
model += -X[176] + 3*X[3409] + 2*X[6861] + X[7506] + 2*X[2957] - 2*X[1705] + X[173] - 5*X[1340] <= 3
model += -6*X[6659] + X[1902] - 3*X[1418] - X[5670] - 2*X[727] - 2*X[270] - 2*X[6981] + X[7295] <= -4
model += X[6659] - 4*X[1902] - X[1418] + 2*X[5670] - 4*X[727] + 6*X[270] - 3*X[6981] - 3*X[7295] <= 1
model += -6*X[500] + X[7289] - 3*X[5612] - X[7001] - 2*X[830] - 2*X[2093] - 2*X[6588] + X[4494] <= -4
model += X[500] - 4*X[7289] - X[5612] + 2*X[7001] - 4*X[830] + 6*X[2093] - 3*X[6588] - 3*X[4494] <= 1
model += -6*X[1177] + X[2640] - 3*X[5566] - X[1408] - 2*X[4926] - 2*X[497] - 2*X[672] + X[4604] <= -4
model += X[1177] - 4*X[2640] - X[5566] + 2*X[1408] - 4*X[4926] + 6*X[497] - 3*X[672] - 3*X[4604] <= 1
model += -6*X[1887] - X[841] + 3*X[3716] + X[4066] + 2*X[6651] + 2*X[4628] + 2*X[1059] - X[4547] <= 4
model += -X[1887] + 3*X[841] + 2*X[3716] + X[4066] + 2*X[6651] - 2*X[4628] + X[1059] - 5*X[4547] <= 3
model += -6*X[1519] - X[6350] + 3*X[359] + X[7131] + 2*X[5914] + 2*X[3525] + 2*X[2846] - X[5733] <= 4
model += -X[1519] + 3*X[6350] + 2*X[359] + X[7131] + 2*X[5914] - 2*X[3525] + X[2846] - 5*X[5733] <= 3
model += -6*X[1406] - X[5795] + 3*X[3766] + X[7129] + 2*X[6258] + 2*X[1397] + 2*X[947] - X[3945] <= 4
model += -X[1406] + 3*X[5795] + 2*X[3766] + X[7129] + 2*X[6258] - 2*X[1397] + X[947] - 5*X[3945] <= 3
model += -6*X[2967] + X[2418] - 3*X[777] - X[4904] - 2*X[1119] - 2*X[391] - 2*X[6077] + X[3439] <= -4
model += X[2967] - 4*X[2418] - X[777] + 2*X[4904] - 4*X[1119] + 6*X[391] - 3*X[6077] - 3*X[3439] <= 1
model += -6*X[5535] - X[970] + 3*X[2674] + X[2870] + 2*X[3531] + 2*X[4561] + 2*X[3894] - X[1532] <= 4
model += -X[5535] + 3*X[970] + 2*X[2674] + X[2870] + 2*X[3531] - 2*X[4561] + X[3894] - 5*X[1532] <= 3
model += -6*X[6384] + X[3643] - 3*X[5955] - X[593] - 2*X[6294] - 2*X[4293] - 2*X[2333] + X[236] <= -4
model += X[6384] - 4*X[3643] - X[5955] + 2*X[593] - 4*X[6294] + 6*X[4293] - 3*X[2333] - 3*X[236] <= 1
model += -6*X[1310] - X[346] + 3*X[4909] + X[3489] + 2*X[6236] + 2*X[3568] + 2*X[4740] - X[2615] <= 4
model += -X[1310] + 3*X[346] + 2*X[4909] + X[3489] + 2*X[6236] - 2*X[3568] + X[4740] - 5*X[2615] <= 3
model += 10*X[7465] - 12*X[3433] + 4*X[7495] + 7*X[6114] + 2*Y[64] - 6*Y[79] - Y[78] + 13*Y[77] <= 16
model += -6*X[1137] - X[4433] + 3*X[6110] + X[5714] + 2*X[604] + 2*X[6593] + 2*X[5639] - X[2453] <= 4
model += -X[1137] + 3*X[4433] + 2*X[6110] + X[5714] + 2*X[604] - 2*X[6593] + X[5639] - 5*X[2453] <= 3
model += -6*X[3646] - X[231] + 3*X[1393] + X[6733] + 2*X[4232] + 2*X[6402] + 2*X[3231] - X[7224] <= 4
model += -X[3646] + 3*X[231] + 2*X[1393] + X[6733] + 2*X[4232] - 2*X[6402] + X[3231] - 5*X[7224] <= 3
model += -6*X[6931] + X[3640] - 3*X[138] - X[6016] - 2*X[5497] - 2*X[834] - 2*X[2105] + X[7038] <= -4
model += X[6931] - 4*X[3640] - X[138] + 2*X[6016] - 4*X[5497] + 6*X[834] - 3*X[2105] - 3*X[7038] <= 1
model += -6*X[881] - X[6629] + 3*X[5047] + X[5918] + 2*X[6548] + 2*X[6232] + 2*X[2234] - X[2180] <= 4
model += -X[881] + 3*X[6629] + 2*X[5047] + X[5918] + 2*X[6548] - 2*X[6232] + X[2234] - 5*X[2180] <= 3
model += -6*X[5589] - X[268] + 3*X[2366] + X[2688] + 2*X[6580] + 2*X[5956] + 2*X[5518] - X[3214] <= 4
model += -X[5589] + 3*X[268] + 2*X[2366] + X[2688] + 2*X[6580] - 2*X[5956] + X[5518] - 5*X[3214] <= 3
model += -6*X[1204] - X[4520] + 3*X[2672] + X[1494] + 2*X[413] + 2*X[3670] + 2*X[4752] - X[4638] <= 4
model += -X[1204] + 3*X[4520] + 2*X[2672] + X[1494] + 2*X[413] - 2*X[3670] + X[4752] - 5*X[4638] <= 3
model += -6*X[6156] - X[7089] + 3*X[7195] + X[794] + 2*X[3745] + 2*X[6165] + 2*X[2130] - X[3851] <= 4
model += -X[6156] + 3*X[7089] + 2*X[7195] + X[794] + 2*X[3745] - 2*X[6165] + X[2130] - 5*X[3851] <= 3
model += -6*X[924] + X[6654] - 3*X[4176] - X[5089] - 2*X[4783] - 2*X[7562] - 2*X[419] + X[7314] <= -4
model += X[924] - 4*X[6654] - X[4176] + 2*X[5089] - 4*X[4783] + 6*X[7562] - 3*X[419] - 3*X[7314] <= 1
model += 10*X[5414] - 12*X[5308] + 4*X[2575] + 7*X[4317] + 2*Y[77] - 6*Y[76] - Y[75] + 13*Y[74] <= 16
model += -6*X[5804] - X[365] + 3*X[4990] + X[4080] + 2*X[2460] + 2*X[3679] + 2*X[6342] - X[1748] <= 4
model += -X[5804] + 3*X[365] + 2*X[4990] + X[4080] + 2*X[2460] - 2*X[3679] + X[6342] - 5*X[1748] <= 3
model += -6*X[4348] - X[1407] + 3*X[6669] + X[4637] + 2*X[3226] + 2*X[977] + 2*X[5703] - X[6495] <= 4
model += -X[4348] + 3*X[1407] + 2*X[6669] + X[4637] + 2*X[3226] - 2*X[977] + X[5703] - 5*X[6495] <= 3
model += -6*X[1809] - X[7189] + 3*X[1890] + X[3604] + 2*X[2773] + 2*X[1470] + 2*X[192] - X[3141] <= 4
model += -X[1809] + 3*X[7189] + 2*X[1890] + X[3604] + 2*X[2773] - 2*X[1470] + X[192] - 5*X[3141] <= 3
model += -6*X[5606] + X[132] - 3*X[3942] - X[772] - 2*X[1827] - 2*X[5280] - 2*X[2349] + X[1578] <= -4
model += X[5606] - 4*X[132] - X[3942] + 2*X[772] - 4*X[1827] + 6*X[5280] - 3*X[2349] - 3*X[1578] <= 1
model += -6*X[3084] - X[3223] + 3*X[6649] + X[438] + 2*X[2655] + 2*X[1114] + 2*X[5533] - X[1171] <= 4
model += -X[3084] + 3*X[3223] + 2*X[6649] + X[438] + 2*X[2655] - 2*X[1114] + X[5533] - 5*X[1171] <= 3
model += -6*X[6113] - X[2411] + 3*X[6823] + X[2436] + 2*X[4563] + 2*X[608] + 2*X[3824] - X[5511] <= 4
model += -X[6113] + 3*X[2411] + 2*X[6823] + X[2436] + 2*X[4563] - 2*X[608] + X[3824] - 5*X[5511] <= 3
model += -6*X[1584] - X[5268] + 3*X[7202] + X[4369] + 2*X[5550] + 2*X[718] + 2*X[3828] - X[3735] <= 4
model += -X[1584] + 3*X[5268] + 2*X[7202] + X[4369] + 2*X[5550] - 2*X[718] + X[3828] - 5*X[3735] <= 3
model += -6*X[2251] - X[5717] + 3*X[6634] + X[7401] + 2*X[2172] + 2*X[2151] + 2*X[103] - X[7485] <= 4
model += -X[2251] + 3*X[5717] + 2*X[6634] + X[7401] + 2*X[2172] - 2*X[2151] + X[103] - 5*X[7485] <= 3
model += -6*X[7056] - X[707] + 3*X[2374] + X[5114] + 2*X[3373] + 2*X[1627] + 2*X[3608] - X[1289] <= 4
model += -X[7056] + 3*X[707] + 2*X[2374] + X[5114] + 2*X[3373] - 2*X[1627] + X[3608] - 5*X[1289] <= 3
model += 10*X[4337] - 12*X[1148] + 4*X[4151] + 7*X[2486] + 2*Y[74] - 6*Y[73] - Y[72] + 13*Y[71] <= 16
model += -6*X[3671] - X[5915] + 3*X[468] + X[1238] + 2*X[3515] + 2*X[4983] + 2*X[3853] - X[3085] <= 4
model += -X[3671] + 3*X[5915] + 2*X[468] + X[1238] + 2*X[3515] - 2*X[4983] + X[3853] - 5*X[3085] <= 3
model += -6*X[5088] - X[5270] + 3*X[4410] + X[5990] + 2*X[414] + 2*X[2484] + 2*X[3029] - X[4944] <= 4
model += -X[5088] + 3*X[5270] + 2*X[4410] + X[5990] + 2*X[414] - 2*X[2484] + X[3029] - 5*X[4944] <= 3
model += -6*X[487] - X[5645] + 3*X[7050] + X[2455] + 2*X[2980] + 2*X[7110] + 2*X[6346] - X[3331] <= 4
model += -X[487] + 3*X[5645] + 2*X[7050] + X[2455] + 2*X[2980] - 2*X[7110] + X[6346] - 5*X[3331] <= 3
model += -6*X[985] + X[4350] - 3*X[2273] - X[4391] - 2*X[5536] - 2*X[612] - 2*X[6128] + X[4143] <= -4
model += X[985] - 4*X[4350] - X[2273] + 2*X[4391] - 4*X[5536] + 6*X[612] - 3*X[6128] - 3*X[4143] <= 1
model += -6*X[4504] - X[4054] + 3*X[6065] + X[4375] + 2*X[6329] + 2*X[4559] + 2*X[567] - X[2911] <= 4
model += -X[4504] + 3*X[4054] + 2*X[6065] + X[4375] + 2*X[6329] - 2*X[4559] + X[567] - 5*X[2911] <= 3
model += -6*X[5630] - X[418] + 3*X[7476] + X[2955] + 2*X[1962] + 2*X[5444] + 2*X[4575] - X[5339] <= 4
model += -X[5630] + 3*X[418] + 2*X[7476] + X[2955] + 2*X[1962] - 2*X[5444] + X[4575] - 5*X[5339] <= 3
model += -6*X[1040] - X[312] + 3*X[7759] + X[6937] + 2*X[4370] + 2*X[3790] + 2*X[4884] - X[2139] <= 4
model += -X[1040] + 3*X[312] + 2*X[7759] + X[6937] + 2*X[4370] - 2*X[3790] + X[4884] - 5*X[2139] <= 3
model += -6*X[6450] - X[241] + 3*X[7015] + X[1992] + 2*X[2867] + 2*X[5735] + 2*X[5929] - X[2236] <= 4
model += -X[6450] + 3*X[241] + 2*X[7015] + X[1992] + 2*X[2867] - 2*X[5735] + X[5929] - 5*X[2236] <= 3
model += -6*X[322] - X[7360] + 3*X[3702] + X[3712] + 2*X[6888] + 2*X[2154] + 2*X[3476] - X[4477] <= 4
model += -X[322] + 3*X[7360] + 2*X[3702] + X[3712] + 2*X[6888] - 2*X[2154] + X[3476] - 5*X[4477] <= 3
model += -6*X[3898] + X[6298] - 3*X[3137] - X[26] - 2*X[4651] - 2*X[2698] - 2*X[5473] + X[1521] <= -4
model += X[3898] - 4*X[6298] - X[3137] + 2*X[26] - 4*X[4651] + 6*X[2698] - 3*X[5473] - 3*X[1521] <= 1
model += 10*X[7778] - 12*X[3093] + 4*X[2377] + 7*X[3218] + 2*Y[71] - 6*Y[70] - Y[69] + 13*Y[68] <= 16
model += -6*X[3732] - X[739] + 3*X[2860] + X[2296] + 2*X[2397] + 2*X[1739] + 2*X[6452] - X[6997] <= 4
model += -X[3732] + 3*X[739] + 2*X[2860] + X[2296] + 2*X[2397] - 2*X[1739] + X[6452] - 5*X[6997] <= 3
model += -6*X[2489] - X[6132] + 3*X[361] + X[3094] + 2*X[6715] + 2*X[6143] + 2*X[1831] - X[4906] <= 4
model += -X[2489] + 3*X[6132] + 2*X[361] + X[3094] + 2*X[6715] - 2*X[6143] + X[1831] - 5*X[4906] <= 3
model += -6*X[7148] - X[6381] + 3*X[5367] + X[1000] + 2*X[185] + 2*X[4292] + 2*X[1012] - X[7209] <= 4
model += -X[7148] + 3*X[6381] + 2*X[5367] + X[1000] + 2*X[185] - 2*X[4292] + X[1012] - 5*X[7209] <= 3
model += -6*X[1075] - X[7434] + 3*X[1720] + X[5837] + 2*X[889] + 2*X[1703] + 2*X[5282] - X[3593] <= 4
model += -X[1075] + 3*X[7434] + 2*X[1720] + X[5837] + 2*X[889] - 2*X[1703] + X[5282] - 5*X[3593] <= 3
model += -6*X[2186] + X[3011] - 3*X[479] - X[5068] - 2*X[3296] - 2*X[934] - 2*X[3392] + X[6052] <= -4
model += X[2186] - 4*X[3011] - X[479] + 2*X[5068] - 4*X[3296] + 6*X[934] - 3*X[3392] - 3*X[6052] <= 1
model += -6*X[6701] - X[4361] + 3*X[629] + X[6759] + 2*X[1357] + 2*X[2833] + 2*X[2908] - X[6608] <= 4
model += -X[6701] + 3*X[4361] + 2*X[629] + X[6759] + 2*X[1357] - 2*X[2833] + X[2908] - 5*X[6608] <= 3
model += -6*X[1729] - X[1740] + 3*X[4831] + X[1430] + 2*X[6751] + 2*X[5474] + 2*X[1855] - X[907] <= 4
model += -X[1729] + 3*X[1740] + 2*X[4831] + X[1430] + 2*X[6751] - 2*X[5474] + X[1855] - 5*X[907] <= 3
model += -6*X[1666] + X[2739] - 3*X[158] - X[3436] - 2*X[5876] - 2*X[553] - 2*X[1671] + X[7116] <= -4
model += X[1666] - 4*X[2739] - X[158] + 2*X[3436] - 4*X[5876] + 6*X[553] - 3*X[1671] - 3*X[7116] <= 1
model += -6*X[6702] - X[3699] + 3*X[3601] + X[2801] + 2*X[292] + 2*X[3793] + 2*X[7541] - X[3829] <= 4
model += -X[6702] + 3*X[3699] + 2*X[3601] + X[2801] + 2*X[292] - 2*X[3793] + X[7541] - 5*X[3829] <= 3
model += -6*X[206] + X[6800] - 3*X[2042] - X[4688] - 2*X[475] - 2*X[1961] - 2*X[5652] + X[4986] <= -4
model += X[206] - 4*X[6800] - X[2042] + 2*X[4688] - 4*X[475] + 6*X[1961] - 3*X[5652] - 3*X[4986] <= 1
model += -6*X[5351] + X[1997] - 3*X[501] - X[3190] - 2*X[957] - 2*X[4354] - 2*X[3541] + X[2781] <= -4
model += X[5351] - 4*X[1997] - X[501] + 2*X[3190] - 4*X[957] + 6*X[4354] - 3*X[3541] - 3*X[2781] <= 1
model += -6*X[4845] - X[2897] + 3*X[6288] + X[4692] + 2*X[7414] + 2*X[989] + 2*X[7157] - X[4708] <= 4
model += -X[4845] + 3*X[2897] + 2*X[6288] + X[4692] + 2*X[7414] - 2*X[989] + X[7157] - 5*X[4708] <= 3
model += -6*X[788] - X[4399] + 3*X[3611] + X[1815] + 2*X[5029] + 2*X[2190] + 2*X[1235] - X[7556] <= 4
model += -X[788] + 3*X[4399] + 2*X[3611] + X[1815] + 2*X[5029] - 2*X[2190] + X[1235] - 5*X[7556] <= 3
model += -6*X[6279] - X[7031] + 3*X[3822] + X[2243] + 2*X[3872] + 2*X[1233] + 2*X[2783] - X[679] <= 4
model += -X[6279] + 3*X[7031] + 2*X[3822] + X[2243] + 2*X[3872] - 2*X[1233] + X[2783] - 5*X[679] <= 3
model += -6*X[2330] - X[1004] + 3*X[7160] + X[848] + 2*X[3351] + 2*X[2999] + 2*X[3009] - X[7624] <= 4
model += -X[2330] + 3*X[1004] + 2*X[7160] + X[848] + 2*X[3351] - 2*X[2999] + X[3009] - 5*X[7624] <= 3
model += -6*X[4057] + X[3794] - 3*X[3877] - X[4794] - 2*X[5592] - 2*X[96] - 2*X[1487] + X[2024] <= -4
model += X[4057] - 4*X[3794] - X[3877] + 2*X[4794] - 4*X[5592] + 6*X[96] - 3*X[1487] - 3*X[2024] <= 1
model += -6*X[175] - X[3050] + 3*X[2050] + X[1450] + 2*X[7703] + 2*X[2250] + 2*X[2767] - X[6760] <= 4
model += -X[175] + 3*X[3050] + 2*X[2050] + X[1450] + 2*X[7703] - 2*X[2250] + X[2767] - 5*X[6760] <= 3
model += -6*X[1355] - X[4076] + 3*X[1290] + X[5320] + 2*X[428] + 2*X[1553] + 2*X[1462] - X[5124] <= 4
model += -X[1355] + 3*X[4076] + 2*X[1290] + X[5320] + 2*X[428] - 2*X[1553] + X[1462] - 5*X[5124] <= 3
model += -6*X[3410] - X[4613] + 3*X[3526] + X[4912] + 2*X[1620] + 2*X[674] + 2*X[4801] - X[2733] <= 4
model += -X[3410] + 3*X[4613] + 2*X[3526] + X[4912] + 2*X[1620] - 2*X[674] + X[4801] - 5*X[2733] <= 3
model += -6*X[5593] - X[7551] + 3*X[463] + X[7521] + 2*X[3966] + 2*X[3903] + 2*X[3014] - X[1248] <= 4
model += -X[5593] + 3*X[7551] + 2*X[463] + X[7521] + 2*X[3966] - 2*X[3903] + X[3014] - 5*X[1248] <= 3
model += -6*X[7539] - X[5882] + 3*X[508] + X[1161] + 2*X[4479] + 2*X[3874] + 2*X[7668] - X[2621] <= 4
model += -X[7539] + 3*X[5882] + 2*X[508] + X[1161] + 2*X[4479] - 2*X[3874] + X[7668] - 5*X[2621] <= 3
model += -6*X[4173] - X[1268] + 3*X[4619] + X[2618] + 2*X[2764] + 2*X[6201] + 2*X[726] - X[2284] <= 4
model += -X[4173] + 3*X[1268] + 2*X[4619] + X[2618] + 2*X[2764] - 2*X[6201] + X[726] - 5*X[2284] <= 3
model += -6*X[992] - X[7655] + 3*X[1489] + X[6594] + 2*X[7436] + 2*X[2975] + 2*X[1192] - X[5549] <= 4
model += -X[992] + 3*X[7655] + 2*X[1489] + X[6594] + 2*X[7436] - 2*X[2975] + X[1192] - 5*X[5549] <= 3
model += -6*X[4578] + X[318] - 3*X[7016] - X[7684] - 2*X[3030] - 2*X[1662] - 2*X[1334] + X[522] <= -4
model += X[4578] - 4*X[318] - X[7016] + 2*X[7684] - 4*X[3030] + 6*X[1662] - 3*X[1334] - 3*X[522] <= 1
model += -6*X[1228] - X[4722] + 3*X[7263] + X[2458] + 2*X[2696] + 2*X[239] + 2*X[5852] - X[5556] <= 4
model += -X[1228] + 3*X[4722] + 2*X[7263] + X[2458] + 2*X[2696] - 2*X[239] + X[5852] - 5*X[5556] <= 3
model += -6*X[2350] - X[5330] + 3*X[1453] + X[2832] + 2*X[783] + 2*X[2985] + 2*X[7760] - X[1835] <= 4
model += -X[2350] + 3*X[5330] + 2*X[1453] + X[2832] + 2*X[783] - 2*X[2985] + X[7760] - 5*X[1835] <= 3
model += -6*X[7262] - X[4747] + 3*X[3481] + X[3064] + 2*X[562] + 2*X[1279] + 2*X[3146] - X[3850] <= 4
model += -X[7262] + 3*X[4747] + 2*X[3481] + X[3064] + 2*X[562] - 2*X[1279] + X[3146] - 5*X[3850] <= 3
model += 10*X[5877] - 12*X[3636] + 4*X[2011] + 7*X[4279] + 2*Y[78] - 6*Y[77] - Y[76] + 13*Y[75] <= 16
model += -6*X[6224] + X[3003] - 3*X[4315] - X[6209] - 2*X[916] - 2*X[258] - 2*X[7764] + X[2520] <= -4
model += X[6224] - 4*X[3003] - X[4315] + 2*X[6209] - 4*X[916] + 6*X[258] - 3*X[7764] - 3*X[2520] <= 1
model += -6*X[3773] + X[1526] - 3*X[4244] - X[4823] - 2*X[495] - 2*X[5224] - 2*X[4793] + X[778] <= -4
model += X[3773] - 4*X[1526] - X[4244] + 2*X[4823] - 4*X[495] + 6*X[5224] - 3*X[4793] - 3*X[778] <= 1
model += 3*X[4363] + 9*X[85] + 7*X[2309] + 5*X[83] - X[7487] - 4*X[616] + 2*X[3290] - 8*X[4186] <= 12
model += -6*X[6761] - X[2786] + 3*X[3155] + X[6825] + 2*X[1428] + 2*X[1359] + 2*X[769] - X[7557] <= 4
model += -X[6761] + 3*X[2786] + 2*X[3155] + X[6825] + 2*X[1428] - 2*X[1359] + X[769] - 5*X[7557] <= 3
model += -6*X[3469] - X[5591] + 3*X[2260] + X[7790] + 2*X[7746] + 2*X[4239] + 2*X[6547] - X[155] <= 4
model += -X[3469] + 3*X[5591] + 2*X[2260] + X[7790] + 2*X[7746] - 2*X[4239] + X[6547] - 5*X[155] <= 3
model += -6*X[2878] - X[984] + 3*X[6941] + X[4597] + 2*X[2184] + 2*X[4015] + 2*X[4577] - X[6793] <= 4
model += -X[2878] + 3*X[984] + 2*X[6941] + X[4597] + 2*X[2184] - 2*X[4015] + X[4577] - 5*X[6793] <= 3
model += -6*X[7135] - X[803] + 3*X[2416] + X[4672] + 2*X[5060] + 2*X[5857] + 2*X[6964] - X[6911] <= 4
model += -X[7135] + 3*X[803] + 2*X[2416] + X[4672] + 2*X[5060] - 2*X[5857] + X[6964] - 5*X[6911] <= 3
model += -6*X[5074] - X[4667] + 3*X[1573] + X[188] + 2*X[1429] + 2*X[4150] + 2*X[7474] - X[4951] <= 4
model += -X[5074] + 3*X[4667] + 2*X[1573] + X[188] + 2*X[1429] - 2*X[4150] + X[7474] - 5*X[4951] <= 3
model += -6*X[711] - X[7756] + 3*X[4544] + X[6917] + 2*X[3803] + 2*X[7151] + 2*X[7715] - X[7230] <= 4
model += -X[711] + 3*X[7756] + 2*X[4544] + X[6917] + 2*X[3803] - 2*X[7151] + X[7715] - 5*X[7230] <= 3
model += 10*X[2939] - 12*X[6685] + 4*X[4595] + 7*X[5843] + 2*Y[75] - 6*Y[74] - Y[73] + 13*Y[72] <= 16
model += 3*X[1073] + 9*X[533] + 7*X[49] + 5*X[1210] - X[4473] - 4*X[742] + 2*X[1525] - 8*X[484] <= 12
model += -6*X[7486] + X[1547] - 3*X[968] - X[4706] - 2*X[856] - 2*X[4124] - 2*X[1684] + X[2663] <= -4
model += X[7486] - 4*X[1547] - X[968] + 2*X[4706] - 4*X[856] + 6*X[4124] - 3*X[1684] - 3*X[2663] <= 1
model += -6*X[2153] - X[5051] + 3*X[1071] + X[4087] + 2*X[755] + 2*X[2511] + 2*X[1830] - X[5551] <= 4
model += -X[2153] + 3*X[5051] + 2*X[1071] + X[4087] + 2*X[755] - 2*X[2511] + X[1830] - 5*X[5551] <= 3
model += -6*X[806] - X[6758] + 3*X[1057] + X[5359] + 2*X[3173] + 2*X[5440] + 2*X[1534] - X[5618] <= 4
model += -X[806] + 3*X[6758] + 2*X[1057] + X[5359] + 2*X[3173] - 2*X[5440] + X[1534] - 5*X[5618] <= 3
model += -6*X[3149] + X[699] - 3*X[2896] - X[7698] - 2*X[2399] - 2*X[694] - 2*X[7650] + X[2265] <= -4
model += X[3149] - 4*X[699] - X[2896] + 2*X[7698] - 4*X[2399] + 6*X[694] - 3*X[7650] - 3*X[2265] <= 1
model += -6*X[1654] - X[581] + 3*X[4657] + X[5616] + 2*X[1881] + 2*X[6465] + 2*X[7639] - X[2444] <= 4
model += -X[1654] + 3*X[581] + 2*X[4657] + X[5616] + 2*X[1881] - 2*X[6465] + X[7639] - 5*X[2444] <= 3
model += -6*X[3484] + X[274] - 3*X[7514] - X[1781] - 2*X[6283] - 2*X[6718] - 2*X[728] + X[6779] <= -4
model += X[3484] - 4*X[274] - X[7514] + 2*X[1781] - 4*X[6283] + 6*X[6718] - 3*X[728] - 3*X[6779] <= 1
model += -6*X[6865] + X[2970] - 3*X[88] - X[3904] - 2*X[6838] - 2*X[6707] - 2*X[7505] + X[3570] <= -4
model += X[6865] - 4*X[2970] - X[88] + 2*X[3904] - 4*X[6838] + 6*X[6707] - 3*X[7505] - 3*X[3570] <= 1
model += -6*X[1732] - X[4045] + 3*X[3756] + X[3956] + 2*X[5691] + 2*X[7003] + 2*X[109] - X[3768] <= 4
model += -X[1732] + 3*X[4045] + 2*X[3756] + X[3956] + 2*X[5691] - 2*X[7003] + X[109] - 5*X[3768] <= 3
model += -6*X[1022] + X[7629] - 3*X[5661] - X[183] - 2*X[7236] - 2*X[1561] - 2*X[401] + X[5187] <= -4
model += X[1022] - 4*X[7629] - X[5661] + 2*X[183] - 4*X[7236] + 6*X[1561] - 3*X[401] - 3*X[5187] <= 1
model += -6*X[1436] - X[5509] + 3*X[987] + X[5129] + 2*X[1503] + 2*X[4404] + 2*X[7598] - X[5173] <= 4
model += -X[1436] + 3*X[5509] + 2*X[987] + X[5129] + 2*X[1503] - 2*X[4404] + X[7598] - 5*X[5173] <= 3
model += -6*X[2685] - X[3951] + 3*X[4925] + X[3580] + 2*X[2856] + 2*X[5823] + 2*X[6853] - X[240] <= 4
model += -X[2685] + 3*X[3951] + 2*X[4925] + X[3580] + 2*X[2856] - 2*X[5823] + X[6853] - 5*X[240] <= 3
model += 3*X[8] + 9*X[759] + 7*X[1027] + 5*X[3119] - X[3197] - 4*X[5373] + 2*X[524] - 8*X[5939] <= 12
model += -6*X[4954] - X[7469] + 3*X[2403] + X[7774] + 2*X[4630] + 2*X[3729] + 2*X[6709] - X[888] <= 4
model += -X[4954] + 3*X[7469] + 2*X[2403] + X[7774] + 2*X[4630] - 2*X[3729] + X[6709] - 5*X[888] <= 3
model += -6*X[5032] - X[5097] + 3*X[1052] + X[648] + 2*X[4571] + 2*X[4707] + 2*X[2423] - X[3858] <= 4
model += -X[5032] + 3*X[5097] + 2*X[1052] + X[648] + 2*X[4571] - 2*X[4707] + X[2423] - 5*X[3858] <= 3
model += -6*X[107] + X[6554] - 3*X[5622] - X[7661] - 2*X[7396] - 2*X[2367] - 2*X[634] + X[5202] <= -4
model += X[107] - 4*X[6554] - X[5622] + 2*X[7661] - 4*X[7396] + 6*X[2367] - 3*X[634] - 3*X[5202] <= 1
model += -6*X[5055] - X[6351] + 3*X[587] + X[7081] + 2*X[4214] + 2*X[5040] + 2*X[3591] - X[1667] <= 4
model += -X[5055] + 3*X[6351] + 2*X[587] + X[7081] + 2*X[4214] - 2*X[5040] + X[3591] - 5*X[1667] <= 3
model += -6*X[4551] + X[3508] - 3*X[914] - X[5298] - 2*X[3458] - 2*X[483] - 2*X[6671] + X[5783] <= -4
model += X[4551] - 4*X[3508] - X[914] + 2*X[5298] - 4*X[3458] + 6*X[483] - 3*X[6671] - 3*X[5783] <= 1
model += -6*X[2255] + X[321] - 3*X[5796] - X[2931] - 2*X[1447] - 2*X[160] - 2*X[2837] + X[1904] <= -4
model += X[2255] - 4*X[321] - X[5796] + 2*X[2931] - 4*X[1447] + 6*X[160] - 3*X[2837] - 3*X[1904] <= 1
model += 10*X[2103] - 12*X[1483] + 4*X[7591] + 7*X[6559] + 2*Y[69] - 6*Y[68] - Y[67] + 13*Y[66] <= 16
model += -6*X[6727] - X[6826] + 3*X[1403] + X[157] + 2*X[6870] + 2*X[3278] + 2*X[5401] - X[2865] <= 4
model += -X[6727] + 3*X[6826] + 2*X[1403] + X[157] + 2*X[6870] - 2*X[3278] + X[5401] - 5*X[2865] <= 3
model += -6*X[4366] + X[4535] - 3*X[3358] - X[473] - 2*X[4218] - 2*X[689] - 2*X[6320] + X[4266] <= -4
model += X[4366] - 4*X[4535] - X[3358] + 2*X[473] - 4*X[4218] + 6*X[689] - 3*X[6320] - 3*X[4266] <= 1
model += -6*X[7646] - X[3694] + 3*X[6518] + X[3730] + 2*X[5605] + 2*X[3864] + 2*X[6020] - X[931] <= 4
model += -X[7646] + 3*X[3694] + 2*X[6518] + X[3730] + 2*X[5605] - 2*X[3864] + X[6020] - 5*X[931] <= 3
model += 3*X[7244] + 9*X[829] + 7*X[905] + 5*X[5983] - X[2429] - 4*X[6202] + 2*X[2134] - 8*X[5] <= 12
model += -6*X[4500] + X[6096] - 3*X[5895] - X[186] - 2*X[4052] - 2*X[3391] - 2*X[191] + X[2707] <= -4
model += X[4500] - 4*X[6096] - X[5895] + 2*X[186] - 4*X[4052] + 6*X[3391] - 3*X[191] - 3*X[2707] <= 1
model += -6*X[5668] - X[958] + 3*X[2308] + X[5171] + 2*X[1284] + 2*X[7058] + 2*X[4400] - X[3375] <= 4
model += -X[5668] + 3*X[958] + 2*X[2308] + X[5171] + 2*X[1284] - 2*X[7058] + X[4400] - 5*X[3375] <= 3
model += -6*X[3647] - X[5694] + 3*X[1467] + X[3637] + 2*X[5139] + 2*X[7040] + 2*X[5433] - X[304] <= 4
model += -X[3647] + 3*X[5694] + 2*X[1467] + X[3637] + 2*X[5139] - 2*X[7040] + X[5433] - 5*X[304] <= 3
model += -6*X[2037] + X[1002] - 3*X[7731] - X[4678] - 2*X[382] - 2*X[2616] - 2*X[1479] + X[598] <= -4
model += X[2037] - 4*X[1002] - X[7731] + 2*X[4678] - 4*X[382] + 6*X[2616] - 3*X[1479] - 3*X[598] <= 1
model += -6*X[1205] - X[485] + 3*X[2481] + X[4059] + 2*X[5024] + 2*X[6788] + 2*X[6778] - X[1568] <= 4
model += -X[1205] + 3*X[485] + 2*X[2481] + X[4059] + 2*X[5024] - 2*X[6788] + X[6778] - 5*X[1568] <= 3
model += -6*X[1812] - X[7394] + 3*X[1482] + X[2876] + 2*X[2825] + 2*X[4931] + 2*X[4726] - X[343] <= 4
model += -X[1812] + 3*X[7394] + 2*X[1482] + X[2876] + 2*X[2825] - 2*X[4931] + X[4726] - 5*X[343] <= 3
model += 10*X[4047] + 7*X[446] - 4*X[300] - 12*X[7] - 2*X[7480] + X[7054] + 6*X[56] - 13*X[1592] <= 4
model += -X[4047] - 2*X[446] + 6*X[300] - 10*X[7] + 3*X[7480] + 4*X[7054] - 9*X[56] + 11*X[1592] <= 8
model += -6*X[782] - X[6920] + 3*X[2671] + X[3148] + 2*X[4625] + 2*X[3333] + 2*X[7239] - X[1391] <= 4
model += -X[782] + 3*X[6920] + 2*X[2671] + X[3148] + 2*X[4625] - 2*X[3333] + X[7239] - 5*X[1391] <= 3
model += -6*X[2164] - X[6349] + 3*X[1917] + X[1222] + 2*X[3024] + 2*X[5472] + 2*X[340] - X[7575] <= 4
model += -X[2164] + 3*X[6349] + 2*X[1917] + X[1222] + 2*X[3024] - 2*X[5472] + X[340] - 5*X[7575] <= 3
model += -6*X[415] - X[7749] + 3*X[6198] + X[1017] + 2*X[1837] + 2*X[1836] + 2*X[6902] - X[1626] <= 4
model += -X[415] + 3*X[7749] + 2*X[6198] + X[1017] + 2*X[1837] - 2*X[1836] + X[6902] - 5*X[1626] <= 3
model += -6*X[3760] - X[5360] + 3*X[3356] + X[1464] + 2*X[814] + 2*X[2433] + 2*X[1115] - X[3304] <= 4
model += -X[3760] + 3*X[5360] + 2*X[3356] + X[1464] + 2*X[814] - 2*X[2433] + X[1115] - 5*X[3304] <= 3
model += -6*X[6925] + X[2807] - 3*X[7559] - X[460] - 2*X[808] - 2*X[6424] - 2*X[4934] + X[1325] <= -4
model += X[6925] - 4*X[2807] - X[7559] + 2*X[460] - 4*X[808] + 6*X[6424] - 3*X[4934] - 3*X[1325] <= 1
model += -6*X[5228] - X[944] + 3*X[6589] + X[2463] + 2*X[1317] + 2*X[1914] + 2*X[1531] - X[6063] <= 4
model += -X[5228] + 3*X[944] + 2*X[6589] + X[2463] + 2*X[1317] - 2*X[1914] + X[1531] - 5*X[6063] <= 3
model += -6*X[930] - X[7029] + 3*X[5563] + X[2726] + 2*X[2437] + 2*X[6578] + 2*X[1193] - X[1145] <= 4
model += -X[930] + 3*X[7029] + 2*X[5563] + X[2726] + 2*X[2437] - 2*X[6578] + X[1193] - 5*X[1145] <= 3
model += -6*X[5515] + X[5685] - 3*X[125] - X[4097] - 2*X[207] - 2*X[6081] - 2*X[1957] + X[3603] <= -4
model += X[5515] - 4*X[5685] - X[125] + 2*X[4097] - 4*X[207] + 6*X[6081] - 3*X[1957] - 3*X[3603] <= 1
model += 10*X[3711] - 12*X[7039] + 4*X[2596] + 7*X[7660] + 2*Y[79] - 6*Y[78] - Y[77] + 13*Y[76] <= 16
model += -6*X[2824] + X[1742] - 3*X[4754] - X[3208] - 2*X[1941] - 2*X[576] - 2*X[7769] + X[449] <= -4
model += X[2824] - 4*X[1742] - X[4754] + 2*X[3208] - 4*X[1941] + 6*X[576] - 3*X[7769] - 3*X[449] <= 1
model += -6*X[4270] - X[227] + 3*X[1607] + X[2889] + 2*X[3511] + 2*X[1008] + 2*X[6904] - X[2360] <= 4
model += -X[4270] + 3*X[227] + 2*X[1607] + X[2889] + 2*X[3511] - 2*X[1008] + X[6904] - 5*X[2360] <= 3
model += -6*X[2305] - X[421] + 3*X[5573] + X[6135] + 2*X[2869] + 2*X[4918] + 2*X[1861] - X[4631] <= 4
model += -X[2305] + 3*X[421] + 2*X[5573] + X[6135] + 2*X[2869] - 2*X[4918] + X[1861] - 5*X[4631] <= 3
model += -6*X[1674] - X[1757] + 3*X[4051] + X[518] + 2*X[7218] + 2*X[1646] + 2*X[6249] - X[2017] <= 4
model += -X[1674] + 3*X[1757] + 2*X[4051] + X[518] + 2*X[7218] - 2*X[1646] + X[6249] - 5*X[2017] <= 3
model += -6*X[5584] - X[6401] + 3*X[804] + X[4600] + 2*X[4382] + 2*X[6485] + 2*X[4250] - X[6551] <= 4
model += -X[5584] + 3*X[6401] + 2*X[804] + X[4600] + 2*X[4382] - 2*X[6485] + X[4250] - 5*X[6551] <= 3
model += -6*X[1398] - X[2572] + 3*X[1152] + X[6927] + 2*X[1822] + 2*X[5620] + 2*X[655] - X[5897] <= 4
model += -X[1398] + 3*X[2572] + 2*X[1152] + X[6927] + 2*X[1822] - 2*X[5620] + X[655] - 5*X[5897] <= 3
model += -6*X[7332] - X[5705] + 3*X[1597] + X[3569] + 2*X[1847] + 2*X[2348] + 2*X[5941] - X[439] <= 4
model += -X[7332] + 3*X[5705] + 2*X[1597] + X[3569] + 2*X[1847] - 2*X[2348] + X[5941] - 5*X[439] <= 3
model += 10*X[4443] - 12*X[2207] + 4*X[3443] + 7*X[2450] + 2*Y[76] - 6*Y[75] - Y[74] + 13*Y[73] <= 16
model += -6*X[1394] - X[4042] + 3*X[1021] + X[1136] + 2*X[2263] + 2*X[6334] + 2*X[2388] - X[705] <= 4
model += -X[1394] + 3*X[4042] + 2*X[1021] + X[1136] + 2*X[2263] - 2*X[6334] + X[2388] - 5*X[705] <= 3
model += -6*X[943] + X[831] - 3*X[1252] - X[6992] - 2*X[5913] - 2*X[1239] - 2*X[4262] + X[4189] <= -4
model += X[943] - 4*X[831] - X[1252] + 2*X[6992] - 4*X[5913] + 6*X[1239] - 3*X[4262] - 3*X[4189] <= 1
model += -6*X[4958] + X[129] - 3*X[6482] - X[6220] - 2*X[3885] - 2*X[5399] - 2*X[512] + X[3778] <= -4
model += X[4958] - 4*X[129] - X[6482] + 2*X[6220] - 4*X[3885] + 6*X[5399] - 3*X[512] - 3*X[3778] <= 1
model += -6*X[293] - X[3210] + 3*X[3924] + X[2498] + 2*X[4863] + 2*X[6834] + 2*X[2960] - X[4921] <= 4
model += -X[293] + 3*X[3210] + 2*X[3924] + X[2498] + 2*X[4863] - 2*X[6834] + X[2960] - 5*X[4921] <= 3
model += -6*X[2080] - X[4069] + 3*X[6362] + X[6237] + 2*X[729] + 2*X[5995] + 2*X[7390] - X[6012] <= 4
model += -X[2080] + 3*X[4069] + 2*X[6362] + X[6237] + 2*X[729] - 2*X[5995] + X[7390] - 5*X[6012] <= 3
model += -6*X[4037] - X[6821] + 3*X[7248] + X[3787] + 2*X[5409] + 2*X[6731] + 2*X[1427] - X[744] <= 4
model += -X[4037] + 3*X[6821] + 2*X[7248] + X[3787] + 2*X[5409] - 2*X[6731] + X[1427] - 5*X[744] <= 3
model += -6*X[6171] - X[1749] + 3*X[1841] + X[3219] + 2*X[3717] + 2*X[1085] + 2*X[276] - X[4501] <= 4
model += -X[6171] + 3*X[1749] + 2*X[1841] + X[3219] + 2*X[3717] - 2*X[1085] + X[276] - 5*X[4501] <= 3
model += 10*X[5347] - 12*X[2102] + 4*X[1039] + 7*X[7630] + 2*Y[73] - 6*Y[72] - Y[71] + 13*Y[70] <= 16
model += -6*X[6777] - X[4357] + 3*X[2311] + X[673] + 2*X[3057] + 2*X[2239] + 2*X[3825] - X[7602] <= 4
model += -X[6777] + 3*X[4357] + 2*X[2311] + X[673] + 2*X[3057] - 2*X[2239] + X[3825] - 5*X[7602] <= 3
model += -6*X[1953] + X[5101] - 3*X[2370] - X[1695] - 2*X[490] - 2*X[4820] - 2*X[572] + X[1168] <= -4
model += X[1953] - 4*X[5101] - X[2370] + 2*X[1695] - 4*X[490] + 6*X[4820] - 3*X[572] - 3*X[1168] <= 1
model += -6*X[3806] + X[5786] - 3*X[3067] - X[2400] - 2*X[5723] - 2*X[84] - 2*X[3871] + X[7265] <= -4
model += X[3806] - 4*X[5786] - X[3067] + 2*X[2400] - 4*X[5723] + 6*X[84] - 3*X[3871] - 3*X[7265] <= 1
model += -6*X[712] + X[1492] - 3*X[5117] - X[2804] - 2*X[5803] - 2*X[3177] - 2*X[2417] + X[650] <= -4
model += X[712] - 4*X[1492] - X[5117] + 2*X[2804] - 4*X[5803] + 6*X[3177] - 3*X[2417] - 3*X[650] <= 1
model += -6*X[5684] - X[234] + 3*X[4459] + X[5276] + 2*X[5137] + 2*X[1559] + 2*X[3696] - X[6831] <= 4
model += -X[5684] + 3*X[234] + 2*X[4459] + X[5276] + 2*X[5137] - 2*X[1559] + X[3696] - 5*X[6831] <= 3
model += -6*X[624] - X[7070] + 3*X[6966] + X[1363] + 2*X[6306] + 2*X[7649] + 2*X[3289] - X[1370] <= 4
model += -X[624] + 3*X[7070] + 2*X[6966] + X[1363] + 2*X[6306] - 2*X[7649] + X[3289] - 5*X[1370] <= 3
model += 10*X[6083] - 12*X[7777] + 4*X[4856] + 7*X[1825] + 2*Y[70] - 6*Y[69] - Y[68] + 13*Y[67] <= 16
model += -6*X[7369] + X[2108] - 3*X[503] - X[7281] - 2*X[3315] - 2*X[5788] - 2*X[766] + X[1857] <= -4
model += X[7369] - 4*X[2108] - X[503] + 2*X[7281] - 4*X[3315] + 6*X[5788] - 3*X[766] - 3*X[1857] <= 1
model += -6*X[2819] - X[817] + 3*X[4137] + X[2445] + 2*X[7176] + 2*X[6348] + 2*X[1999] - X[4728] <= 4
model += -X[2819] + 3*X[817] + 2*X[4137] + X[2445] + 2*X[7176] - 2*X[6348] + X[1999] - 5*X[4728] <= 3
model += -6*X[6375] - X[3326] + 3*X[6263] + X[3171] + 2*X[4851] + 2*X[2622] + 2*X[406] - X[2177] <= 4
model += -X[6375] + 3*X[3326] + 2*X[6263] + X[3171] + 2*X[4851] - 2*X[2622] + X[406] - 5*X[2177] <= 3
model += -6*X[1636] + X[400] - 3*X[6612] - X[6938] - 2*X[7071] - 2*X[3371] - 2*X[670] + X[4164] <= -4
model += X[1636] - 4*X[400] - X[6612] + 2*X[6938] - 4*X[7071] + 6*X[3371] - 3*X[670] - 3*X[4164] <= 1
model += -6*X[5010] - X[7270] + 3*X[2077] + X[3985] + 2*X[6900] + 2*X[1552] + 2*X[5121] - X[221] <= 4
model += -X[5010] + 3*X[7270] + 2*X[2077] + X[3985] + 2*X[6900] - 2*X[1552] + X[5121] - 5*X[221] <= 3
model += -6*X[5646] - X[1543] + 3*X[6108] + X[555] + 2*X[6599] + 2*X[4759] + 2*X[2653] - X[4240] <= 4
model += -X[5646] + 3*X[1543] + 2*X[6108] + X[555] + 2*X[6599] - 2*X[4759] + X[2653] - 5*X[4240] <= 3
model += -6*X[14] + X[4402] - 3*X[5241] - X[3970] - 2*X[1338] - 2*X[5746] - 2*X[7080] + X[6722] <= -4
model += X[14] - 4*X[4402] - X[5241] + 2*X[3970] - 4*X[1338] + 6*X[5746] - 3*X[7080] - 3*X[6722] <= 1
model += -6*X[3432] - X[3026] + 3*X[966] + X[6630] + 2*X[2851] + 2*X[1675] + 2*X[3616] - X[2068] <= 4
model += -X[3432] + 3*X[3026] + 2*X[966] + X[6630] + 2*X[2851] - 2*X[1675] + X[3616] - 5*X[2068] <= 3
model += -6*X[5884] + X[4484] - 3*X[3384] - X[2026] - 2*X[1424] - 2*X[87] - 2*X[7355] + X[7665] <= -4
model += X[5884] - 4*X[4484] - X[3384] + 2*X[2026] - 4*X[1424] + 6*X[87] - 3*X[7355] - 3*X[7665] <= 1
model += -6*X[3626] - X[3136] + 3*X[605] + X[5949] + 2*X[5901] + 2*X[4885] + 2*X[4248] - X[2614] <= 4
model += -X[3626] + 3*X[3136] + 2*X[605] + X[5949] + 2*X[5901] - 2*X[4885] + X[4248] - 5*X[2614] <= 3
model += 10*X[3280] - 12*X[1180] + 4*X[3827] + 7*X[5255] + 2*Y[67] - 6*Y[66] - Y[65] + 13*Y[64] <= 16
model += -6*X[4738] - X[3156] + 3*X[1927] + X[2991] + 2*X[1271] + 2*X[628] + 2*X[2500] - X[2834] <= 4
model += -X[4738] + 3*X[3156] + 2*X[1927] + X[2991] + 2*X[1271] - 2*X[628] + X[2500] - 5*X[2834] <= 3
model += -6*X[614] - X[7741] + 3*X[5931] + X[6430] + 2*X[7582] + 2*X[4957] + 2*X[6268] - X[3419] <= 4
model += -X[614] + 3*X[7741] + 2*X[5931] + X[6430] + 2*X[7582] - 2*X[4957] + X[6268] - 5*X[3419] <= 3
model += -6*X[4334] + X[4455] - 3*X[3335] - X[583] - 2*X[3283] - 2*X[472] - 2*X[4941] + X[7511] <= -4
model += X[4334] - 4*X[4455] - X[3335] + 2*X[583] - 4*X[3283] + 6*X[472] - 3*X[4941] - 3*X[7511] <= 1
model += -6*X[2567] + X[5015] - 3*X[6969] - X[4611] - 2*X[536] - 2*X[2538] - 2*X[7488] + X[853] <= -4
model += X[2567] - 4*X[5015] - X[6969] + 2*X[4611] - 4*X[536] + 6*X[2538] - 3*X[7488] - 3*X[853] <= 1
model += 3*X[833] + 9*X[7534] + 7*X[649] + 5*X[5709] - X[0] - 4*X[3884] + 2*X[3299] - 8*X[7026] <= 12
model += -6*X[6229] - X[3259] + 3*X[7454] + X[2232] + 2*X[5086] + 2*X[1611] + 2*X[3329] - X[303] <= 4
model += -X[6229] + 3*X[3259] + 2*X[7454] + X[2232] + 2*X[5086] - 2*X[1611] + X[3329] - 5*X[303] <= 3
model += -6*X[1704] - X[7608] + 3*X[2114] + X[4229] + 2*X[891] + 2*X[4513] + 2*X[3381] - X[6386] <= 4
model += -X[1704] + 3*X[7608] + 2*X[2114] + X[4229] + 2*X[891] - 2*X[4513] + X[3381] - 5*X[6386] <= 3
model += -6*X[1026] + X[4714] - 3*X[2109] - X[412] - 2*X[144] - 2*X[4153] - 2*X[3379] + X[5475] <= -4
model += X[1026] - 4*X[4714] - X[2109] + 2*X[412] - 4*X[144] + 6*X[4153] - 3*X[3379] - 3*X[5475] <= 1
model += 10*X[4038] - 12*X[2221] + 4*X[7544] + 7*X[3196] + 2*Y[64] - 6*Y[79] - Y[78] + 13*Y[77] <= 16
model += -6*X[2497] - X[6315] + 3*X[6379] + X[1196] + 2*X[5260] + 2*X[4618] + 2*X[366] - X[5019] <= 4
model += -X[2497] + 3*X[6315] + 2*X[6379] + X[1196] + 2*X[5260] - 2*X[4618] + X[366] - 5*X[5019] <= 3
model += -6*X[123] - X[2948] + 3*X[6221] + X[4081] + 2*X[4999] + 2*X[7393] + 2*X[1900] - X[3762] <= 4
model += -X[123] + 3*X[2948] + 2*X[6221] + X[4081] + 2*X[4999] - 2*X[7393] + X[1900] - 5*X[3762] <= 3
model += -6*X[6363] + X[6240] - 3*X[2329] - X[7653] - 2*X[5900] - 2*X[4158] - 2*X[6543] + X[94] <= -4
model += X[6363] - 4*X[6240] - X[2329] + 2*X[7653] - 4*X[5900] + 6*X[4158] - 3*X[6543] - 3*X[94] <= 1
model += -6*X[7299] + X[7284] - 3*X[4235] - X[635] - 2*X[1929] - 2*X[5682] - 2*X[5203] + X[111] <= -4
model += X[7299] - 4*X[7284] - X[4235] + 2*X[635] - 4*X[1929] + 6*X[5682] - 3*X[5203] - 3*X[111] <= 1
model += -6*X[1833] - X[1176] + 3*X[5687] + X[2806] + 2*X[538] + 2*X[2935] + 2*X[5081] - X[3317] <= 4
model += -X[1833] + 3*X[1176] + 2*X[5687] + X[2806] + 2*X[538] - 2*X[2935] + X[5081] - 5*X[3317] <= 3
model += -6*X[6019] - X[5253] + 3*X[2506] + X[1332] + 2*X[6873] + 2*X[5543] + 2*X[145] - X[6219] <= 4
model += -X[6019] + 3*X[5253] + 2*X[2506] + X[1332] + 2*X[6873] - 2*X[5543] + X[145] - 5*X[6219] <= 3
model += -6*X[6078] - X[6657] + 3*X[5176] + X[1940] + 2*X[7051] + 2*X[870] + 2*X[4325] - X[7215] <= 4
model += -X[6078] + 3*X[6657] + 2*X[5176] + X[1940] + 2*X[7051] - 2*X[870] + X[4325] - 5*X[7215] <= 3
model += -6*X[6569] - X[1784] + 3*X[1488] + X[5782] + 2*X[5647] + 2*X[6912] + 2*X[128] - X[7727] <= 4
model += -X[6569] + 3*X[1784] + 2*X[1488] + X[5782] + 2*X[5647] - 2*X[6912] + X[128] - 5*X[7727] <= 3
model += -6*X[551] - X[4179] + 3*X[1848] + X[7191] + 2*X[2697] + 2*X[1303] + 2*X[1258] - X[4933] <= 4
model += -X[551] + 3*X[4179] + 2*X[1848] + X[7191] + 2*X[2697] - 2*X[1303] + X[1258] - 5*X[4933] <= 3
model += -6*X[4809] - X[4898] + 3*X[2398] + X[1947] + 2*X[7206] + 2*X[1773] + 2*X[454] - X[5871] <= 4
model += -X[4809] + 3*X[4898] + 2*X[2398] + X[1947] + 2*X[7206] - 2*X[1773] + X[454] - 5*X[5871] <= 3
model += -6*X[4748] + X[2838] - 3*X[564] - X[384] - 2*X[3360] - 2*X[2978] - 2*X[1441] + X[4451] <= -4
model += X[4748] - 4*X[2838] - X[564] + 2*X[384] - 4*X[3360] + 6*X[2978] - 3*X[1441] - 3*X[4451] <= 1
model += -6*X[5383] + X[2230] - 3*X[6301] - X[5372] - 2*X[4148] - 2*X[57] - 2*X[5113] + X[6658] <= -4
model += X[5383] - 4*X[2230] - X[6301] + 2*X[5372] - 4*X[4148] + 6*X[57] - 3*X[5113] - 3*X[6658] <= 1
model += -6*X[5428] - X[7005] + 3*X[3627] + X[6667] + 2*X[6331] + 2*X[3062] + 2*X[757] - X[7119] <= 4
model += -X[5428] + 3*X[7005] + 2*X[3627] + X[6667] + 2*X[6331] - 2*X[3062] + X[757] - 5*X[7119] <= 3
model += -6*X[4418] + X[3385] - 3*X[5188] - X[978] - 2*X[2464] - 2*X[3316] - 2*X[2086] + X[861] <= -4
model += X[4418] - 4*X[3385] - X[5188] + 2*X[978] - 4*X[2464] + 6*X[3316] - 3*X[2086] - 3*X[861] <= 1
model += -6*X[758] + X[253] - 3*X[5830] - X[3574] - 2*X[1212] - 2*X[1170] - 2*X[5238] + X[3550] <= -4
model += X[758] - 4*X[253] - X[5830] + 2*X[3574] - 4*X[1212] + 6*X[1170] - 3*X[5238] - 3*X[3550] <= 1
model += -6*X[2318] - X[1790] + 3*X[4002] + X[3300] + 2*X[2933] + 2*X[6977] + 2*X[301] - X[6552] <= 4
model += -X[2318] + 3*X[1790] + 2*X[4002] + X[3300] + 2*X[2933] - 2*X[6977] + X[301] - 5*X[6552] <= 3
model += -6*X[6536] - X[4719] + 3*X[1537] + X[6642] + 2*X[4670] + 2*X[491] + 2*X[2396] - X[7620] <= 4
model += -X[6536] + 3*X[4719] + 2*X[1537] + X[6642] + 2*X[4670] - 2*X[491] + X[2396] - 5*X[7620] <= 3
model += -6*X[457] + X[3596] - 3*X[3415] - X[1852] - 2*X[4950] - 2*X[2246] - 2*X[254] + X[6215] <= -4
model += X[457] - 4*X[3596] - X[3415] + 2*X[1852] - 4*X[4950] + 6*X[2246] - 3*X[254] - 3*X[6215] <= 1
model += 10*X[233] + 7*X[5790] - 4*X[1088] - 12*X[2895] - 2*X[4317] + Y[73] + 6*Y[72] - 13*Y[71] <= 4
model += -X[233] - 2*X[5790] + 6*X[1088] - 10*X[2895] + 3*X[4317] + 4*Y[73] - 9*Y[72] + 11*Y[71] <= 8
model += -6*X[5262] - X[5332] + 3*X[3342] + X[4010] + 2*X[5318] + 2*X[664] + 2*X[2375] - X[5952] <= 4
model += -X[5262] + 3*X[5332] + 2*X[3342] + X[4010] + 2*X[5318] - 2*X[664] + X[2375] - 5*X[5952] <= 3
model += -6*X[5159] - X[5481] + 3*X[4713] + X[3045] + 2*X[573] + 2*X[6274] + 2*X[2612] - X[3860] <= 4
model += -X[5159] + 3*X[5481] + 2*X[4713] + X[3045] + 2*X[573] - 2*X[6274] + X[2612] - 5*X[3860] <= 3
model += -6*X[4911] + X[3308] - 3*X[10] - X[1005] - 2*X[5702] - 2*X[3281] - 2*X[5211] + X[6481] <= -4
model += X[4911] - 4*X[3308] - X[10] + 2*X[1005] - 4*X[5702] + 6*X[3281] - 3*X[5211] - 3*X[6481] <= 1
model += -6*X[2045] - X[6507] + 3*X[4680] + X[4257] + 2*X[5343] + 2*X[488] + 2*X[7707] - X[1348] <= 4
model += -X[2045] + 3*X[6507] + 2*X[4680] + X[4257] + 2*X[5343] - 2*X[488] + X[7707] - 5*X[1348] <= 3
model += -6*X[6891] + X[1946] - 3*X[760] - X[2973] - 2*X[7522] - 2*X[6314] - 2*X[5131] + X[779] <= -4
model += X[6891] - 4*X[1946] - X[760] + 2*X[2973] - 4*X[7522] + 6*X[6314] - 3*X[5131] - 3*X[779] <= 1
model += -6*X[5508] - X[1267] + 3*X[7609] + X[2839] + 2*X[277] + 2*X[2747] + 2*X[7448] - X[3168] <= 4
model += -X[5508] + 3*X[1267] + 2*X[7609] + X[2839] + 2*X[277] - 2*X[2747] + X[7448] - 5*X[3168] <= 3
model += -6*X[6909] - X[7683] + 3*X[6467] + X[4540] + 2*X[756] + 2*X[4170] + 2*X[6044] - X[6137] <= 4
model += -X[6909] + 3*X[7683] + 2*X[6467] + X[4540] + 2*X[756] - 2*X[4170] + X[6044] - 5*X[6137] <= 3
model += -6*X[5634] - X[560] + 3*X[2941] + X[5105] + 2*X[2965] + 2*X[2341] + 2*X[7498] - X[5650] <= 4
model += -X[5634] + 3*X[560] + 2*X[2941] + X[5105] + 2*X[2965] - 2*X[2341] + X[7498] - 5*X[5650] <= 3
model += -6*X[3245] - X[7169] + 3*X[1352] + X[3673] + 2*X[4585] + 2*X[5290] + 2*X[6013] - X[339] <= 4
model += -X[3245] + 3*X[7169] + 2*X[1352] + X[3673] + 2*X[4585] - 2*X[5290] + X[6013] - 5*X[339] <= 3
model += -6*X[317] + X[2449] - 3*X[7045] - X[4243] - 2*X[3752] - 2*X[2927] - 2*X[5507] + X[499] <= -4
model += X[317] - 4*X[2449] - X[7045] + 2*X[4243] - 4*X[3752] + 6*X[2927] - 3*X[5507] - 3*X[499] <= 1
model += -6*X[620] - X[4091] + 3*X[6164] + X[1433] + 2*X[7573] + 2*X[3740] + 2*X[6451] - X[4252] <= 4
model += -X[620] + 3*X[4091] + 2*X[6164] + X[1433] + 2*X[7573] - 2*X[3740] + X[6451] - 5*X[4252] <= 3
model += 10*X[7366] - 12*X[3662] + 4*X[7770] + 7*X[23] + 2*X[2486] - 6*Y[70] - Y[69] + 13*Y[68] <= 16
model += -6*X[3072] - X[5240] + 3*X[6124] + X[329] + 2*X[5792] + 2*X[2763] + 2*X[2389] - X[2766] <= 4
model += -X[3072] + 3*X[5240] + 2*X[6124] + X[329] + 2*X[5792] - 2*X[2763] + X[2389] - 5*X[2766] <= 3
model += 3*X[963] + 9*X[872] + 7*X[4978] + 5*X[7357] - X[48] - 4*X[532] + 2*X[6951] - 8*X[5659] <= 12
model += -6*X[3937] - X[7418] + 3*X[6720] + X[4070] + 2*X[1112] + 2*X[269] + 2*X[4639] - X[3726] <= 4
model += -X[3937] + 3*X[7418] + 2*X[6720] + X[4070] + 2*X[1112] - 2*X[269] + X[4639] - 5*X[3726] <= 3
model += -6*X[4281] - X[1676] + 3*X[903] + X[5961] + 2*X[4567] + 2*X[3909] + 2*X[6886] - X[3944] <= 4
model += -X[4281] + 3*X[1676] + 2*X[903] + X[5961] + 2*X[4567] - 2*X[3909] + X[6886] - 5*X[3944] <= 3
model += -6*X[6713] - X[6008] + 3*X[862] + X[7109] + 2*X[4288] + 2*X[4553] + 2*X[4221] - X[1361] <= 4
model += -X[6713] + 3*X[6008] + 2*X[862] + X[7109] + 2*X[4288] - 2*X[4553] + X[4221] - 5*X[1361] <= 3
model += -6*X[7258] - X[505] + 3*X[6597] + X[5732] + 2*X[1660] + 2*X[4686] + 2*X[4145] - X[6216] <= 4
model += -X[7258] + 3*X[505] + 2*X[6597] + X[5732] + 2*X[1660] - 2*X[4686] + X[4145] - 5*X[6216] <= 3
model += -6*X[1030] - X[2064] + 3*X[3739] + X[380] + 2*X[4948] + 2*X[6151] + 2*X[3801] - X[4982] <= 4
model += -X[1030] + 3*X[2064] + 2*X[3739] + X[380] + 2*X[4948] - 2*X[6151] + X[3801] - 5*X[4982] <= 3
model += -6*X[1292] - X[7510] + 3*X[552] + X[1796] + 2*X[1615] + 2*X[5886] + 2*X[3101] - X[1167] <= 4
model += -X[1292] + 3*X[7510] + 2*X[552] + X[1796] + 2*X[1615] - 2*X[5886] + X[3101] - 5*X[1167] <= 3
model += -6*X[5742] - X[3063] + 3*X[3305] + X[2650] + 2*X[6655] + 2*X[4664] + 2*X[4989] - X[351] <= 4
model += -X[5742] + 3*X[3063] + 2*X[3305] + X[2650] + 2*X[6655] - 2*X[4664] + X[4989] - 5*X[351] <= 3
model += -6*X[4074] - X[6422] + 3*X[2765] + X[2302] + 2*X[3776] + 2*X[667] + 2*X[6139] - X[3977] <= 4
model += -X[4074] + 3*X[6422] + 2*X[2765] + X[2302] + 2*X[3776] - 2*X[667] + X[6139] - 5*X[3977] <= 3
model += -6*X[904] + X[7399] - 3*X[6772] - X[6674] - 2*X[1333] - 2*X[7776] - 2*X[999] + X[2652] <= -4
model += X[904] - 4*X[7399] - X[6772] + 2*X[6674] - 4*X[1333] + 6*X[7776] - 3*X[999] - 3*X[2652] <= 1
model += -6*X[1775] + X[3661] - 3*X[4824] - X[2293] - 2*X[3234] - 2*X[2845] - 2*X[51] + X[3845] <= -4
model += X[1775] - 4*X[3661] - X[4824] + 2*X[2293] - 4*X[3234] + 6*X[2845] - 3*X[51] - 3*X[3845] <= 1
model += -6*X[5922] - X[5001] + 3*X[6953] + X[1524] + 2*X[877] + 2*X[6747] + 2*X[1231] - X[2016] <= 4
model += -X[5922] + 3*X[5001] + 2*X[6953] + X[1524] + 2*X[877] - 2*X[6747] + X[1231] - 5*X[2016] <= 3
model += -6*X[6463] - X[2514] + 3*X[603] + X[2245] + 2*X[6466] + 2*X[5469] + 2*X[7617] - X[3917] <= 4
model += -X[6463] + 3*X[2514] + 2*X[603] + X[2245] + 2*X[6466] - 2*X[5469] + X[7617] - 5*X[3917] <= 3
model += -6*X[2041] + X[994] - 3*X[835] - X[5554] - 2*X[6910] - 2*X[4850] - 2*X[2494] + X[5976] <= -4
model += X[2041] - 4*X[994] - X[835] + 2*X[5554] - 4*X[6910] + 6*X[4850] - 3*X[2494] - 3*X[5976] <= 1
model += -6*X[7210] + X[709] - 3*X[5288] - X[263] - 2*X[4488] - 2*X[6403] - 2*X[1155] + X[7470] <= -4
model += X[7210] - 4*X[709] - X[5288] + 2*X[263] - 4*X[4488] + 6*X[6403] - 3*X[1155] - 3*X[7470] <= 1
model += -6*X[1707] + X[887] - 3*X[4938] - X[2216] - 2*X[639] - 2*X[1873] - 2*X[2940] + X[2237] <= -4
model += X[1707] - 4*X[887] - X[4938] + 2*X[2216] - 4*X[639] + 6*X[1873] - 3*X[2940] - 3*X[2237] <= 1
model += -6*X[4757] - X[6534] + 3*X[658] + X[2465] + 2*X[1911] + 2*X[2346] + 2*X[3423] - X[5764] <= 4
model += -X[4757] + 3*X[6534] + 2*X[658] + X[2465] + 2*X[1911] - 2*X[2346] + X[3423] - 5*X[5764] <= 3
model += -6*X[5237] - X[1277] + 3*X[4821] + X[2969] + 2*X[687] + 2*X[7465] + 2*X[3433] - X[7495] <= 4
model += -X[5237] + 3*X[1277] + 2*X[4821] + X[2969] + 2*X[687] - 2*X[7465] + X[3433] - 5*X[7495] <= 3
model += -6*X[7691] + X[2817] - 3*X[5595] - X[4005] - 2*X[20] - 2*X[7451] - 2*X[3588] + X[4768] <= -4
model += X[7691] - 4*X[2817] - X[5595] + 2*X[4005] - 4*X[20] + 6*X[7451] - 3*X[3588] - 3*X[4768] <= 1
model += -6*X[1259] + X[5760] - 3*X[3535] - X[5950] - 2*X[3529] - 2*X[1121] - 2*X[6706] + X[53] <= -4
model += X[1259] - 4*X[5760] - X[3535] + 2*X[5950] - 4*X[3529] + 6*X[1121] - 3*X[6706] - 3*X[53] <= 1
model += -6*X[3708] - X[4068] + 3*X[3390] + X[1858] + 2*X[6690] + 2*X[2784] + 2*X[1023] - X[537] <= 4
model += -X[3708] + 3*X[4068] + 2*X[3390] + X[1858] + 2*X[6690] - 2*X[2784] + X[1023] - 5*X[537] <= 3
model += -6*X[1458] + X[2528] - 3*X[5448] - X[6023] - 2*X[901] - 2*X[2536] - 2*X[392] + X[5850] <= -4
model += X[1458] - 4*X[2528] - X[5448] + 2*X[6023] - 4*X[901] + 6*X[2536] - 3*X[392] - 3*X[5850] <= 1
model += -6*X[5120] - X[1234] + 3*X[1501] + X[1661] + 2*X[4492] + 2*X[5185] + 2*X[2810] - X[545] <= 4
model += -X[5120] + 3*X[1234] + 2*X[1501] + X[1661] + 2*X[4492] - 2*X[5185] + X[2810] - 5*X[545] <= 3
model += -6*X[135] + X[5526] - 3*X[2947] - X[6719] - 2*X[461] - 2*X[3154] - 2*X[7397] + X[1956] <= -4
model += X[135] - 4*X[5526] - X[2947] + 2*X[6719] - 4*X[461] + 6*X[3154] - 3*X[7397] - 3*X[1956] <= 1
model += -6*X[4616] - X[6816] + 3*X[6325] + X[869] + 2*X[6439] + 2*X[1564] + 2*X[3605] - X[1541] <= 4
model += -X[4616] + 3*X[6816] + 2*X[6325] + X[869] + 2*X[6439] - 2*X[1564] + X[3605] - 5*X[1541] <= 3
model += -6*X[2642] + X[134] - 3*X[4113] - X[897] - 2*X[3988] - 2*X[5138] - 2*X[2328] + X[6144] <= -4
model += X[2642] - 4*X[134] - X[4113] + 2*X[897] - 4*X[3988] + 6*X[5138] - 3*X[2328] - 3*X[6144] <= 1
model += -6*X[5038] + X[5726] - 3*X[7241] - X[7450] - 2*X[393] - 2*X[3971] - 2*X[659] + X[7099] <= -4
model += X[5038] - 4*X[5726] - X[7241] + 2*X[7450] - 4*X[393] + 6*X[3971] - 3*X[659] - 3*X[7099] <= 1
model += -6*X[7755] + X[1481] - 3*X[2369] - X[2968] - 2*X[44] - 2*X[5414] - 2*X[5308] + X[2575] <= -4
model += X[7755] - 4*X[1481] - X[2369] + 2*X[2968] - 4*X[44] + 6*X[5414] - 3*X[5308] - 3*X[2575] <= 1
model += -6*X[3202] + X[411] - 3*X[1217] - X[7350] - 2*X[4503] - 2*X[7346] - 2*X[785] + X[5849] <= -4
model += X[3202] - 4*X[411] - X[1217] + 2*X[7350] - 4*X[4503] + 6*X[7346] - 3*X[785] - 3*X[5849] <= 1
model += -6*X[4390] - X[736] + 3*X[2535] + X[5411] + 2*X[3896] + 2*X[5278] + 2*X[2504] - X[4352] <= 4
model += -X[4390] + 3*X[736] + 2*X[2535] + X[5411] + 2*X[3896] - 2*X[5278] + X[2504] - 5*X[4352] <= 3
model += -6*X[2779] - X[1618] + 3*X[4086] + X[6069] + 2*X[3862] + 2*X[218] + 2*X[3540] - X[1621] <= 4
model += -X[2779] + 3*X[1618] + 2*X[4086] + X[6069] + 2*X[3862] - 2*X[218] + X[3540] - 5*X[1621] <= 3
model += -6*X[1987] - X[295] + 3*X[7338] + X[1716] + 2*X[7765] + 2*X[2161] + 2*X[5588] - X[6611] <= 4
model += -X[1987] + 3*X[295] + 2*X[7338] + X[1716] + 2*X[7765] - 2*X[2161] + X[5588] - 5*X[6611] <= 3
model += -6*X[6182] - X[4454] + 3*X[964] + X[2118] + 2*X[3607] + 2*X[4676] + 2*X[5157] - X[4888] <= 4
model += -X[6182] + 3*X[4454] + 2*X[964] + X[2118] + 2*X[3607] - 2*X[4676] + X[5157] - 5*X[4888] <= 3
model += -6*X[5840] - X[4327] + 3*X[5216] + X[6014] + 2*X[297] + 2*X[4474] + 2*X[2873] - X[7417] <= 4
model += -X[5840] + 3*X[4327] + 2*X[5216] + X[6014] + 2*X[297] - 2*X[4474] + X[2873] - 5*X[7417] <= 3
model += -6*X[7096] - X[3506] + 3*X[159] + X[6186] + 2*X[4279] + 2*X[4337] + 2*X[1148] - X[4151] <= 4
model += -X[7096] + 3*X[3506] + 2*X[159] + X[6186] + 2*X[4279] - 2*X[4337] + X[1148] - 5*X[4151] <= 3
model += -6*X[1315] + X[863] - 3*X[4872] - X[162] - 2*X[6473] - 2*X[7484] - 2*X[1184] + X[6991] <= -4
model += X[1315] - 4*X[863] - X[4872] + 2*X[162] - 4*X[6473] + 6*X[7484] - 3*X[1184] - 3*X[6991] <= 1
model += -6*X[546] - X[5164] + 3*X[5706] + X[2135] + 2*X[3055] + 2*X[4591] + 2*X[3963] - X[2526] <= 4
model += -X[546] + 3*X[5164] + 2*X[5706] + X[2135] + 2*X[3055] - 2*X[4591] + X[3963] - 5*X[2526] <= 3
model += -6*X[4023] - X[2106] + 3*X[1244] + X[4545] + 2*X[2673] + 2*X[7738] + 2*X[106] - X[3212] <= 4
model += -X[4023] + 3*X[2106] + 2*X[1244] + X[4545] + 2*X[2673] - 2*X[7738] + X[106] - 5*X[3212] <= 3
model += 3*X[1200] + 9*X[4136] + 7*X[568] + 5*X[1028] - X[342] - 4*X[133] + 2*X[7300] - 8*X[77] <= 12
model += -6*X[2647] - X[4943] + 3*X[6933] + X[6574] + 2*X[5617] + 2*X[529] + 2*X[6626] - X[7705] <= 4
model += -X[2647] + 3*X[4943] + 2*X[6933] + X[6574] + 2*X[5617] - 2*X[529] + X[6626] - 5*X[7705] <= 3
model += -6*X[2022] + X[404] - 3*X[1679] - X[3209] - 2*X[445] - 2*X[6839] - 2*X[4901] + X[2872] <= -4
model += X[2022] - 4*X[404] - X[1679] + 2*X[3209] - 4*X[445] + 6*X[6839] - 3*X[4901] - 3*X[2872] <= 1
model += -6*X[850] - X[1942] + 3*X[5062] + X[3915] + 2*X[3054] + 2*X[1251] + 2*X[6045] - X[6768] <= 4
model += -X[850] + 3*X[1942] + 2*X[5062] + X[3915] + 2*X[3054] - 2*X[1251] + X[6045] - 5*X[6768] <= 3
model += -6*X[7531] - X[2544] + 3*X[5984] + X[5064] + 2*X[4698] + 2*X[4142] + 2*X[379] - X[4075] <= 4
model += -X[7531] + 3*X[2544] + 2*X[5984] + X[5064] + 2*X[4698] - 2*X[4142] + X[379] - 5*X[4075] <= 3
model += -6*X[2193] - X[1799] + 3*X[1203] + X[1733] + 2*X[6797] + 2*X[2027] + 2*X[7242] - X[690] <= 4
model += -X[2193] + 3*X[1799] + 2*X[1203] + X[1733] + 2*X[6797] - 2*X[2027] + X[7242] - 5*X[690] <= 3
model += -6*X[1158] + X[4309] - 3*X[4415] - X[434] - 2*X[5087] - 2*X[3722] - 2*X[1082] + X[654] <= -4
model += X[1158] - 4*X[4309] - X[4415] + 2*X[434] - 4*X[5087] + 6*X[3722] - 3*X[1082] - 3*X[654] <= 1
model += -6*X[307] - X[6270] + 3*X[1791] + X[3528] + 2*X[5843] + 2*X[7778] + 2*X[3093] - X[2377] <= 4
model += -X[307] + 3*X[6270] + 2*X[1791] + X[3528] + 2*X[5843] - 2*X[7778] + X[3093] - 5*X[2377] <= 3
model += -6*X[4223] - X[582] + 3*X[7387] + X[2731] + 2*X[4586] + 2*X[3167] + 2*X[7550] - X[4570] <= 4
model += -X[4223] + 3*X[582] + 2*X[7387] + X[2731] + 2*X[4586] - 2*X[3167] + X[7550] - 5*X[4570] <= 3
model += -6*X[370] - X[7255] + 3*X[6653] + X[4423] + 2*X[5031] + 2*X[5242] + 2*X[3232] - X[2830] <= 4
model += -X[370] + 3*X[7255] + 2*X[6653] + X[4423] + 2*X[5031] - 2*X[5242] + X[3232] - 5*X[2830] <= 3
model += -6*X[575] - X[6675] + 3*X[6877] + X[1981] + 2*X[7012] + 2*X[5005] + 2*X[4648] - X[1680] <= 4
model += -X[575] + 3*X[6675] + 2*X[6877] + X[1981] + 2*X[7012] - 2*X[5005] + X[4648] - 5*X[1680] <= 3
model += -6*X[7565] + X[2015] - 3*X[3163] - X[5350] - 2*X[18] - 2*X[1606] - 2*X[1388] + X[2347] <= -4
model += X[7565] - 4*X[2015] - X[3163] + 2*X[5350] - 4*X[18] + 6*X[1606] - 3*X[1388] - 3*X[2347] <= 1
model += -6*X[991] + X[7523] - 3*X[6641] - X[6513] - 2*X[3083] - 2*X[6623] - 2*X[776] + X[6528] <= -4
model += X[991] - 4*X[7523] - X[6641] + 2*X[6513] - 4*X[3083] + 6*X[6623] - 3*X[776] - 3*X[6528] <= 1
model += -6*X[815] + X[852] - 3*X[7433] - X[4163] - 2*X[2818] - 2*X[1511] - 2*X[5059] + X[6074] <= -4
model += X[815] - 4*X[852] - X[7433] + 2*X[4163] - 4*X[2818] + 6*X[1511] - 3*X[5059] - 3*X[6074] <= 1
model += -6*X[5635] - X[7085] + 3*X[6267] + X[1305] + 2*X[6681] + 2*X[3411] + 2*X[299] - X[6806] <= 4
model += -X[5635] + 3*X[7085] + 2*X[6267] + X[1305] + 2*X[6681] - 2*X[3411] + X[299] - 5*X[6806] <= 3
model += -6*X[3441] - X[521] + 3*X[1672] + X[7178] + 2*X[7301] + 2*X[7735] + 2*X[2441] - X[7788] <= 4
model += -X[3441] + 3*X[521] + 2*X[1672] + X[7178] + 2*X[7301] - 2*X[7735] + X[2441] - 5*X[7788] <= 3
model += -6*X[7313] - X[4347] + 3*X[5631] + X[3838] + 2*X[5779] + 2*X[4355] + 2*X[906] - X[3893] <= 4
model += -X[7313] + 3*X[4347] + 2*X[5631] + X[3838] + 2*X[5779] - 2*X[4355] + X[906] - 5*X[3893] <= 3
model += -6*X[7049] + X[5193] - 3*X[2516] - X[30] - 2*X[6338] - 2*X[5987] - 2*X[2321] + X[3091] <= -4
model += X[7049] - 4*X[5193] - X[2516] + 2*X[30] - 4*X[6338] + 6*X[5987] - 3*X[2321] - 3*X[3091] <= 1
model += -6*X[1528] + X[3505] - 3*X[3110] - X[3366] - 2*X[886] - 2*X[660] - 2*X[7324] + X[1116] <= -4
model += X[1528] - 4*X[3505] - X[3110] + 2*X[3366] - 4*X[886] + 6*X[660] - 3*X[7324] - 3*X[1116] <= 1
model += -6*X[5680] + X[636] - 3*X[1125] - X[466] - 2*X[4209] - 2*X[5334] - 2*X[2729] + X[5736] <= -4
model += X[5680] - 4*X[636] - X[1125] + 2*X[466] - 4*X[4209] + 6*X[5334] - 3*X[2729] - 3*X[5736] <= 1
model += -6*X[7491] + X[386] - 3*X[6226] - X[3324] - 2*X[4939] - 2*X[6095] - 2*X[695] + X[7566] <= -4
model += X[7491] - 4*X[386] - X[6226] + 2*X[3324] - 4*X[4939] + 6*X[6095] - 3*X[695] - 3*X[7566] <= 1
model += -6*X[204] - X[4009] + 3*X[3268] + X[5980] + 2*X[5604] + 2*X[3676] + 2*X[5236] - X[5358] <= 4
model += -X[204] + 3*X[4009] + 2*X[3268] + X[5980] + 2*X[5604] - 2*X[3676] + X[5236] - 5*X[5358] <= 3
model += -6*X[600] - X[5977] + 3*X[7758] + X[6530] + 2*X[7349] + 2*X[4634] + 2*X[2087] - X[6024] <= 4
model += -X[600] + 3*X[5977] + 2*X[7758] + X[6530] + 2*X[7349] - 2*X[4634] + X[2087] - 5*X[6024] <= 3
model += -6*X[3204] + X[973] - 3*X[4543] - X[920] - 2*X[2247] - 2*X[1249] - 2*X[4445] + X[4791] <= -4
model += X[3204] - 4*X[973] - X[4543] + 2*X[920] - 4*X[2247] + 6*X[1249] - 3*X[4445] - 3*X[4791] <= 1
model += -6*X[4641] + X[619] - 3*X[4269] - X[5004] - 2*X[3976] - 2*X[194] - 2*X[3039] + X[1151] <= -4
model += X[4641] - 4*X[619] - X[4269] + 2*X[5004] - 4*X[3976] + 6*X[194] - 3*X[3039] - 3*X[1151] <= 1
model += -6*X[1046] + X[36] - 3*X[5135] - X[3954] - 2*X[4534] - 2*X[3310] - 2*X[2357] + X[4721] <= -4
model += X[1046] - 4*X[36] - X[5135] + 2*X[3954] - 4*X[4534] + 6*X[3310] - 3*X[2357] - 3*X[4721] <= 1
model += -6*X[1101] - X[7430] + 3*X[1122] + X[4998] + 2*X[7283] + 2*X[3960] + 2*X[3078] - X[203] <= 4
model += -X[1101] + 3*X[7430] + 2*X[1122] + X[4998] + 2*X[7283] - 2*X[3960] + X[3078] - 5*X[203] <= 3
model += -6*X[1190] + X[653] - 3*X[3449] - X[2595] - 2*X[701] - 2*X[6573] - 2*X[2171] + X[5389] <= -4
model += X[1190] - 4*X[653] - X[3449] + 2*X[2595] - 4*X[701] + 6*X[6573] - 3*X[2171] - 3*X[5389] <= 1
model += -6*X[137] - X[6223] + 3*X[3727] + X[3028] + 2*X[7120] + 2*X[3265] + 2*X[6475] - X[2737] <= 4
model += -X[137] + 3*X[6223] + 2*X[3727] + X[3028] + 2*X[7120] - 2*X[3265] + X[6475] - 5*X[2737] <= 3
model += -6*X[5112] + X[2061] - 3*X[7483] - X[323] - 2*X[915] - 2*X[3812] - 2*X[2196] + X[2351] <= -4
model += X[5112] - 4*X[2061] - X[7483] + 2*X[323] - 4*X[915] + 6*X[3812] - 3*X[2196] - 3*X[2351] <= 1
model += -6*X[4253] + X[7303] - 3*X[7538] - X[1856] - 2*X[6559] - 2*X[425] - 2*X[584] + X[6604] <= -4
model += X[4253] - 4*X[7303] - X[7538] + 2*X[1856] - 4*X[6559] + 6*X[425] - 3*X[584] - 3*X[6604] <= 1
model += -6*X[3932] - X[2844] + 3*X[2543] + X[1798] + 2*X[7257] + 2*X[5393] + 2*X[143] - X[6483] <= 4
model += -X[3932] + 3*X[2844] + 2*X[2543] + X[1798] + 2*X[7257] - 2*X[5393] + X[143] - 5*X[6483] <= 3
model += -6*X[7721] - X[4848] + 3*X[7305] + X[7628] + 2*X[3374] + 2*X[4878] + 2*X[680] - X[3229] <= 4
model += -X[7721] + 3*X[4848] + 2*X[7305] + X[7628] + 2*X[3374] - 2*X[4878] + X[680] - 5*X[3229] <= 3
model += -6*X[4324] + X[988] - 3*X[291] - X[2976] - 2*X[3887] - 2*X[7061] - 2*X[3306] + X[3849] <= -4
model += X[4324] - 4*X[988] - X[291] + 2*X[2976] - 4*X[3887] + 6*X[7061] - 3*X[3306] - 3*X[3849] <= 1
model += -6*X[3559] - X[4101] + 3*X[2899] + X[1619] + 2*X[4599] + 2*X[719] + 2*X[1656] - X[3008] <= 4
model += -X[3559] + 3*X[4101] + 2*X[2899] + X[1619] + 2*X[4599] - 2*X[719] + X[1656] - 5*X[3008] <= 3
model += -6*X[2278] - X[7275] + 3*X[1924] + X[6064] + 2*X[2997] + 2*X[209] + 2*X[2391] - X[7353] <= 4
model += -X[2278] + 3*X[7275] + 2*X[1924] + X[6064] + 2*X[2997] - 2*X[209] + X[2391] - 5*X[7353] <= 3
model += -6*X[224] + X[7060] - 3*X[570] - X[3927] - 2*X[7689] - 2*X[1605] - 2*X[3634] + X[5899] <= -4
model += X[224] - 4*X[7060] - X[570] + 2*X[3927] - 4*X[7689] + 6*X[1605] - 3*X[3634] - 3*X[5899] <= 1
model += -6*X[3519] - X[6740] + 3*X[4542] + X[5294] + 2*X[590] + 2*X[5877] + 2*X[3636] - X[2011] <= 4
model += -X[3519] + 3*X[6740] + 2*X[4542] + X[5294] + 2*X[590] - 2*X[5877] + X[3636] - 5*X[2011] <= 3
model += -6*X[2297] - X[5812] + 3*X[1750] + X[1766] + 2*X[874] + 2*X[1622] + 2*X[1817] - X[5677] <= 4
model += -X[2297] + 3*X[5812] + 2*X[1750] + X[1766] + 2*X[874] - 2*X[1622] + X[1817] - 5*X[5677] <= 3
model += -6*X[938] + X[3348] - 3*X[7365] - X[4437] - 2*X[5878] - 2*X[1507] - 2*X[1019] + X[637] <= -4
model += X[938] - 4*X[3348] - X[7365] + 2*X[4437] - 4*X[5878] + 6*X[1507] - 3*X[1019] - 3*X[637] <= 1
model += -6*X[4245] - X[1593] + 3*X[1188] + X[338] + 2*X[7426] + 2*X[3946] + 2*X[2179] - X[5427] <= 4
model += -X[4245] + 3*X[1593] + 2*X[1188] + X[338] + 2*X[7426] - 2*X[3946] + X[2179] - 5*X[5427] <= 3
model += -6*X[3038] + X[2628] - 3*X[851] - X[4053] - 2*X[5578] - 2*X[5043] - 2*X[703] + X[3479] <= -4
model += X[3038] - 4*X[2628] - X[851] + 2*X[4053] - 4*X[5578] + 6*X[5043] - 3*X[703] - 3*X[3479] <= 1
model += -6*X[4133] - X[6809] + 3*X[1934] + X[3642] + 2*X[5296] + 2*X[4960] + 2*X[661] - X[7489] <= 4
model += -X[4133] + 3*X[6809] + 2*X[1934] + X[3642] + 2*X[5296] - 2*X[4960] + X[661] - 5*X[7489] <= 3
model += -6*X[3216] - X[102] + 3*X[3920] + X[5964] + 2*X[6250] + 2*X[1468] + 2*X[2525] - X[2160] <= 4
model += -X[3216] + 3*X[102] + 2*X[3920] + X[5964] + 2*X[6250] - 2*X[1468] + X[2525] - 5*X[2160] <= 3
model += -6*X[6125] - X[6934] + 3*X[4241] + X[3800] + 2*X[4972] + 2*X[836] + 2*X[5134] - X[5561] <= 4
model += -X[6125] + 3*X[6934] + 2*X[4241] + X[3800] + 2*X[4972] - 2*X[836] + X[5134] - 5*X[5561] <= 3
model += -6*X[622] - X[6436] + 3*X[4964] + X[7773] + 2*X[3697] + 2*X[7690] + 2*X[6337] - X[3129] <= 4
model += -X[622] + 3*X[6436] + 2*X[4964] + X[7773] + 2*X[3697] - 2*X[7690] + X[6337] - 5*X[3129] <= 3
model += -6*X[3361] - X[4490] + 3*X[5363] + X[899] + 2*X[6914] + 2*X[5765] + 2*X[7331] - X[2358] <= 4
model += -X[3361] + 3*X[4490] + 2*X[5363] + X[899] + 2*X[6914] - 2*X[5765] + X[7331] - 5*X[2358] <= 3
model += -6*X[1033] - X[6918] + 3*X[4792] + X[5037] + 2*X[1440] + 2*X[7069] + 2*X[275] - X[5371] <= 4
model += -X[1033] + 3*X[6918] + 2*X[4792] + X[5037] + 2*X[1440] - 2*X[7069] + X[275] - 5*X[5371] <= 3
model += -6*X[1081] - X[3153] + 3*X[5377] + X[7288] + 2*X[5285] + 2*X[6560] + 2*X[216] - X[7712] <= 4
model += -X[1081] + 3*X[3153] + 2*X[5377] + X[7288] + 2*X[5285] - 2*X[6560] + X[216] - 5*X[7712] <= 3
model += -6*X[6248] + X[7083] - 3*X[4149] - X[657] - 2*X[1785] - 2*X[6584] - 2*X[5390] + X[764] <= -4
model += X[6248] - 4*X[7083] - X[4149] + 2*X[657] - 4*X[1785] + 6*X[6584] - 3*X[5390] - 3*X[764] <= 1
model += -6*X[3338] + X[3839] - 3*X[1053] - X[5462] - 2*X[2450] - 2*X[824] - 2*X[544] + X[3405] <= -4
model += X[3338] - 4*X[3839] - X[1053] + 2*X[5462] - 4*X[2450] + 6*X[824] - 3*X[544] - 3*X[3405] <= 1
model += -6*X[6053] - X[2608] + 3*X[5128] + X[4298] + 2*X[3343] + 2*X[2539] + 2*X[2156] - X[665] <= 4
model += -X[6053] + 3*X[2608] + 2*X[5128] + X[4298] + 2*X[3343] - 2*X[2539] + X[2156] - 5*X[665] <= 3
model += -6*X[6264] - X[7552] + 3*X[1202] + X[3031] + 2*X[7009] + 2*X[5374] + 2*X[167] - X[4940] <= 4
model += -X[6264] + 3*X[7552] + 2*X[1202] + X[3031] + 2*X[7009] - 2*X[5374] + X[167] - 5*X[4940] <= 3
model += -6*X[1329] - X[6520] + 3*X[2107] + X[4077] + 2*X[1612] + 2*X[7339] + 2*X[6313] - X[950] <= 4
model += -X[1329] + 3*X[6520] + 2*X[2107] + X[4077] + 2*X[1612] - 2*X[7339] + X[6313] - 5*X[950] <= 3
model += -6*X[1063] + X[7319] - 3*X[6907] - X[4572] - 2*X[93] - 2*X[6042] - 2*X[2097] + X[7739] <= -4
model += X[1063] - 4*X[7319] - X[6907] + 2*X[4572] - 4*X[93] + 6*X[6042] - 3*X[2097] - 3*X[7739] <= 1
model += -6*X[3071] + X[1571] - 3*X[113] - X[6104] - 2*X[3472] - 2*X[927] - 2*X[5151] + X[3010] <= -4
model += X[3071] - 4*X[1571] - X[113] + 2*X[6104] - 4*X[3472] + 6*X[927] - 3*X[5151] - 3*X[3010] <= 1
model += -6*X[1813] - X[2988] + 3*X[6029] + X[2004] + 2*X[5335] + 2*X[4622] + 2*X[1400] - X[972] <= 4
model += -X[1813] + 3*X[2988] + 2*X[6029] + X[2004] + 2*X[5335] - 2*X[4622] + X[1400] - 5*X[972] <= 3
model += -6*X[4013] - X[4122] + 3*X[4452] + X[684] + 2*X[4833] + 2*X[4450] + 2*X[1955] - X[2530] <= 4
model += -X[4013] + 3*X[4122] + 2*X[4452] + X[684] + 2*X[4833] - 2*X[4450] + X[1955] - 5*X[2530] <= 3
model += -6*X[5369] - X[4554] + 3*X[2519] + X[7702] + 2*X[1141] + 2*X[149] + 2*X[7791] - X[7503] <= 4
model += -X[5369] + 3*X[4554] + 2*X[2519] + X[7702] + 2*X[1141] - 2*X[149] + X[7791] - 5*X[7503] <= 3
model += -6*X[151] + X[5937] - 3*X[3451] - X[2414] - 2*X[2745] - 2*X[139] - 2*X[7656] + X[5355] <= -4
model += X[151] - 4*X[5937] - X[3451] + 2*X[2414] - 4*X[2745] + 6*X[139] - 3*X[7656] - 3*X[5355] <= 1
model += -6*X[7322] - X[4814] + 3*X[1372] + X[7466] + 2*X[4992] + 2*X[3952] + 2*X[341] - X[3821] <= 4
model += -X[7322] + 3*X[4814] + 2*X[1372] + X[7466] + 2*X[4992] - 2*X[3952] + X[341] - 5*X[3821] <= 3
model += -6*X[7192] - X[5273] + 3*X[4969] + X[4880] + 2*X[3466] + 2*X[3414] + 2*X[420] - X[4881] <= 4
model += -X[7192] + 3*X[5273] + 2*X[4969] + X[4880] + 2*X[3466] - 2*X[3414] + X[420] - 5*X[4881] <= 3
model += 3*X[4230] + 9*X[3688] + 7*X[451] + 5*X[2562] - Y[144] - 4*Y[159] + 2*Y[158] - 8*Y[157] <= 12
model += -6*X[325] - X[2900] + 3*X[7163] + X[5960] + 2*X[4997] + 2*X[5934] + 2*X[4006] - X[3123] <= 4
model += -X[325] + 3*X[2900] + 2*X[7163] + X[5960] + 2*X[4997] - 2*X[5934] + X[4006] - 5*X[3123] <= 3
model += -6*X[2316] + X[121] - 3*X[1236] - X[6208] - 2*X[105] - 2*X[1718] - 2*X[3585] + X[2401] <= -4
model += X[2316] - 4*X[121] - X[1236] + 2*X[6208] - 4*X[105] + 6*X[1718] - 3*X[3585] - 3*X[2401] <= 1
model += -6*X[7164] - X[5834] + 3*X[431] + X[6398] + 2*X[2580] + 2*X[6723] + 2*X[6103] - X[7699] <= 4
model += -X[7164] + 3*X[5834] + 2*X[431] + X[6398] + 2*X[2580] - 2*X[6723] + X[6103] - 5*X[7699] <= 3
model += -6*X[4893] - X[1883] + 3*X[720] + X[1727] + 2*X[6504] + 2*X[2813] + 2*X[3554] - X[6129] <= 4
model += -X[4893] + 3*X[1883] + 2*X[720] + X[1727] + 2*X[6504] - 2*X[2813] + X[3554] - 5*X[6129] <= 3
model += -6*X[7048] + X[187] - 3*X[7328] - X[1562] - 2*X[6086] - 2*X[7468] - 2*X[4194] + X[435] <= -4
model += X[7048] - 4*X[187] - X[7328] + 2*X[1562] - 4*X[6086] + 6*X[7468] - 3*X[4194] - 3*X[435] <= 1
model += -6*X[5872] - X[1591] + 3*X[6564] + X[3115] + 2*X[3286] + 2*X[6098] + 2*X[937] - X[1545] <= 4
model += -X[5872] + 3*X[1591] + 2*X[6564] + X[3115] + 2*X[3286] - 2*X[6098] + X[937] - 5*X[1545] <= 3
model += -6*X[4117] - X[5546] + 3*X[281] + X[1074] + 2*X[3467] + 2*X[3897] + 2*X[1814] - X[5141] <= 4
model += -X[4117] + 3*X[5546] + 2*X[281] + X[1074] + 2*X[3467] - 2*X[3897] + X[1814] - 5*X[5141] <= 3
model += -6*X[3251] - X[334] + 3*X[6033] + X[3889] + 2*X[3346] + 2*X[4465] + 2*X[4677] - X[1016] <= 4
model += -X[3251] + 3*X[334] + 2*X[6033] + X[3889] + 2*X[3346] - 2*X[4465] + X[4677] - 5*X[1016] <= 3
model += -6*X[5967] + X[7018] - 3*X[210] - X[423] - 2*X[1384] - 2*X[2072] - 2*X[4942] + X[2021] <= -4
model += X[5967] - 4*X[7018] - X[210] + 2*X[423] - 4*X[1384] + 6*X[2072] - 3*X[4942] - 3*X[2021] <= 1
model += -6*X[5615] + X[1474] - 3*X[3926] - X[5540] - 2*X[6111] - 2*X[5662] - 2*X[259] + X[520] <= -4
model += X[5615] - 4*X[1474] - X[3926] + 2*X[5540] - 4*X[6111] + 6*X[5662] - 3*X[259] - 3*X[520] <= 1
model += -6*X[64] + X[2291] - 3*X[5057] - X[2121] - 2*X[5887] - 2*X[2705] - 2*X[3830] + X[6867] <= -4
model += X[64] - 4*X[2291] - X[5057] + 2*X[2121] - 4*X[5887] + 6*X[2705] - 3*X[3830] - 3*X[6867] <= 1
model += -6*X[6830] - X[2137] + 3*X[1596] + X[4968] + 2*X[4732] + 2*X[893] + 2*X[2319] - X[6943] <= 4
model += -X[6830] + 3*X[2137] + 2*X[1596] + X[4968] + 2*X[4732] - 2*X[893] + X[2319] - 5*X[6943] <= 3
model += -6*X[513] + X[5545] - 3*X[4602] - X[2624] - 2*X[6998] - 2*X[3914] - 2*X[717] + X[3857] <= -4
model += X[513] - 4*X[5545] - X[4602] + 2*X[2624] - 4*X[6998] + 6*X[3914] - 3*X[717] - 3*X[3857] <= 1
model += -6*X[5667] + X[1885] - 3*X[1208] - X[7296] - 2*X[246] - 2*X[1594] - 2*X[1111] + X[211] <= -4
model += X[5667] - 4*X[1885] - X[1208] + 2*X[7296] - 4*X[246] + 6*X[1594] - 3*X[1111] - 3*X[211] <= 1
model += -6*X[2644] - X[6500] + 3*X[6262] + X[4866] + 2*X[7327] + 2*X[5424] + 2*X[909] - X[1581] <= 4
model += -X[2644] + 3*X[6500] + 2*X[6262] + X[4866] + 2*X[7327] - 2*X[5424] + X[909] - 5*X[1581] <= 3
model += -6*X[5808] - X[1783] + 3*X[5186] + X[2507] + 2*X[630] + 2*X[6883] + 2*X[6344] - X[2492] <= 4
model += -X[5808] + 3*X[1783] + 2*X[5186] + X[2507] + 2*X[630] - 2*X[6883] + X[6344] - 5*X[2492] <= 3
model += -6*X[7317] - X[2929] + 3*X[2677] + X[1401] + 2*X[6373] + 2*X[2355] + 2*X[389] - X[6390] <= 4
model += -X[7317] + 3*X[2929] + 2*X[2677] + X[1401] + 2*X[6373] - 2*X[2355] + X[389] - 5*X[6390] <= 3
model += -6*X[2512] - X[2903] + 3*X[6049] + X[743] + 2*X[2409] + 2*X[2523] + 2*X[2163] - X[6810] <= 4
model += -X[2512] + 3*X[2903] + 2*X[6049] + X[743] + 2*X[2409] - 2*X[2523] + X[2163] - 5*X[6810] <= 3
model += -6*X[347] + X[6974] - 3*X[7352] - X[6795] - 2*X[127] - 2*X[1993] - 2*X[6290] + X[6176] <= -4
model += X[347] - 4*X[6974] - X[7352] + 2*X[6795] - 4*X[127] + 6*X[1993] - 3*X[6290] - 3*X[6176] <= 1
model += -6*X[5452] - X[7335] + 3*X[4261] + X[2847] + 2*X[7584] + 2*X[7143] + 2*X[898] - X[1574] <= 4
model += -X[5452] + 3*X[7335] + 2*X[4261] + X[2847] + 2*X[7584] - 2*X[7143] + X[898] - 5*X[1574] <= 3
model += -6*X[230] - X[3080] + 3*X[6915] + X[3363] + 2*X[6764] + 2*X[4861] + 2*X[5109] - X[7364] <= 4
model += -X[230] + 3*X[3080] + 2*X[6915] + X[3363] + 2*X[6764] - 2*X[4861] + X[5109] - 5*X[7364] <= 3
model += -6*X[3116] + X[228] - 3*X[5716] - X[4509] - 2*X[922] - 2*X[2546] - 2*X[6840] + X[7725] <= -4
model += X[3116] - 4*X[228] - X[5716] + 2*X[4509] - 4*X[922] + 6*X[2546] - 3*X[6840] - 3*X[7725] <= 1
model += -6*X[7695] - X[6005] + 3*X[6471] + X[3328] + 2*X[316] + 2*X[5451] + 2*X[1769] - X[7513] <= 4
model += -X[7695] + 3*X[6005] + 2*X[6471] + X[3328] + 2*X[316] - 2*X[5451] + X[1769] - 5*X[7513] <= 3
model += -6*X[5835] - X[6477] + 3*X[2170] + X[775] + 2*X[2590] + 2*X[4847] + 2*X[1728] - X[5287] <= 4
model += -X[5835] + 3*X[6477] + 2*X[2170] + X[775] + 2*X[2590] - 2*X[4847] + X[1728] - 5*X[5287] <= 3
model += -6*X[1253] - X[2127] + 3*X[200] + X[4984] + 2*X[1659] + 2*X[1128] + 2*X[4935] - X[5307] <= 4
model += -X[1253] + 3*X[2127] + 2*X[200] + X[4984] + 2*X[1659] - 2*X[1128] + X[4935] - 5*X[5307] <= 3
model += 3*X[2165] + 9*X[4167] + 7*X[873] + 5*X[2669] - Y[154] - 4*Y[153] + 2*Y[152] - 8*Y[151] <= 12
model += -6*X[556] + X[1517] - 3*X[1759] - X[278] - 2*X[2395] - 2*X[3183] - 2*X[3522] + X[4538] <= -4
model += X[556] - 4*X[1517] - X[1759] + 2*X[278] - 4*X[2395] + 6*X[3183] - 3*X[3522] - 3*X[4538] <= 1
model += -6*X[2169] + X[465] - 3*X[6356] - X[4471] - 2*X[4565] - 2*X[3455] - 2*X[195] + X[3270] <= -4
model += X[2169] - 4*X[465] - X[6356] + 2*X[4471] - 4*X[4565] + 6*X[3455] - 3*X[195] - 3*X[3270] <= 1
model += -6*X[1230] - X[1867] + 3*X[7272] + X[6067] + 2*X[7413] + 2*X[4227] + 2*X[6766] - X[805] <= 4
model += -X[1230] + 3*X[1867] + 2*X[7272] + X[6067] + 2*X[7413] - 2*X[4227] + X[6766] - 5*X[805] <= 3
model += -6*X[952] - X[6343] + 3*X[6929] + X[7165] + 2*X[3744] + 2*X[7114] + 2*X[1079] - X[5223] <= 4
model += -X[952] + 3*X[6343] + 2*X[6929] + X[7165] + 2*X[3744] - 2*X[7114] + X[1079] - 5*X[5223] <= 3
model += -6*X[357] + X[7308] - 3*X[6798] - X[455] - 2*X[7150] - 2*X[6416] - 2*X[7420] + X[5078] <= -4
model += X[357] - 4*X[7308] - X[6798] + 2*X[455] - 4*X[7150] + 6*X[6416] - 3*X[7420] - 3*X[5078] <= 1
model += -6*X[530] - X[7568] + 3*X[2320] + X[4895] + 2*X[3657] + 2*X[5992] + 2*X[4932] - X[1794] <= 4
model += -X[530] + 3*X[7568] + 2*X[2320] + X[4895] + 2*X[3657] - 2*X[5992] + X[4932] - 5*X[1794] <= 3
model += 3*X[1130] + 9*X[3728] + 7*X[311] + 5*X[4687] - Y[151] - 4*Y[150] + 2*Y[149] - 8*Y[148] <= 12
model += -6*X[3848] + X[5447] - 3*X[4106] - X[793] - 2*X[5052] - 2*X[517] - 2*X[1211] + X[6347] <= -4
model += X[3848] - 4*X[5447] - X[4106] + 2*X[793] - 4*X[5052] + 6*X[517] - 3*X[1211] - 3*X[6347] <= 1
model += -6*X[3957] - X[549] + 3*X[3530] + X[6190] + 2*X[3263] + 2*X[3910] + 2*X[7497] - X[7472] <= 4
model += -X[3957] + 3*X[549] + 2*X[3530] + X[6190] + 2*X[3263] - 2*X[3910] + X[7497] - 5*X[7472] <= 3
model += -6*X[2361] + X[202] - 3*X[3869] - X[219] - 2*X[4661] - 2*X[4177] - 2*X[7097] + X[6374] <= -4
model += X[2361] - 4*X[202] - X[3869] + 2*X[219] - 4*X[4661] + 6*X[4177] - 3*X[7097] - 3*X[6374] <= 1
model += -6*X[6406] - X[1020] + 3*X[3577] + X[6429] + 2*X[448] + 2*X[6260] + 2*X[6235] - X[1423] <= 4
model += -X[6406] + 3*X[1020] + 2*X[3577] + X[6429] + 2*X[448] - 2*X[6260] + X[6235] - 5*X[1423] <= 3
model += -6*X[7688] + X[492] - 3*X[5675] - X[960] - 2*X[4703] - 2*X[6617] - 2*X[4739] + X[7124] <= -4
model += X[7688] - 4*X[492] - X[5675] + 2*X[960] - 4*X[4703] + 6*X[6617] - 3*X[4739] - 3*X[7124] <= 1
model += -6*X[3066] + X[3397] - 3*X[5198] - X[387] - 2*X[5331] - 2*X[335] - 2*X[7740] + X[2267] <= -4
model += X[3066] - 4*X[3397] - X[5198] + 2*X[387] - 4*X[5331] + 6*X[335] - 3*X[7740] - 3*X[2267] <= 1
model += -6*X[6697] + X[781] - 3*X[443] - X[6738] - 2*X[5875] - 2*X[6225] - 2*X[6038] + X[5180] <= -4
model += X[6697] - 4*X[781] - X[443] + 2*X[6738] - 4*X[5875] + 6*X[6225] - 3*X[6038] - 3*X[5180] <= 1
model += -6*X[5711] + X[4666] - 3*X[7019] - X[3741] - 2*X[787] - 2*X[7106] - 2*X[865] + X[5651] <= -4
model += X[5711] - 4*X[4666] - X[7019] + 2*X[3741] - 4*X[787] + 6*X[7106] - 3*X[865] - 3*X[5651] <= 1
model += -6*X[534] + X[5267] - 3*X[1949] - X[1965] - 2*X[550] - 2*X[6869] - 2*X[3025] + X[7356] <= -4
model += X[534] - 4*X[5267] - X[1949] + 2*X[1965] - 4*X[550] + 6*X[6869] - 3*X[3025] - 3*X[7356] <= 1
model += -6*X[6354] - X[4497] + 3*X[1687] + X[1602] + 2*X[5297] + 2*X[5435] + 2*X[6563] - X[956] <= 4
model += -X[6354] + 3*X[4497] + 2*X[1687] + X[1602] + 2*X[5297] - 2*X[5435] + X[6563] - 5*X[956] <= 3
model += -6*X[784] + X[3555] - 3*X[6963] - X[2875] - 2*X[6101] - 2*X[6858] - 2*X[1551] + X[588] <= -4
model += X[784] - 4*X[3555] - X[6963] + 2*X[2875] - 4*X[6101] + 6*X[6858] - 3*X[1551] - 3*X[588] <= 1
model += -6*X[7271] + X[3151] - 3*X[7052] - X[2405] - 2*X[6217] - 2*X[41] - 2*X[2490] + X[5221] <= -4
model += X[7271] - 4*X[3151] - X[7052] + 2*X[2405] - 4*X[6217] + 6*X[41] - 3*X[2490] - 3*X[5221] <= 1
model += -6*X[3150] - X[5745] + 3*X[4818] + X[3184] + 2*X[6711] + 2*X[3142] + 2*X[3892] - X[244] <= 4
model += -X[3150] + 3*X[5745] + 2*X[4818] + X[3184] + 2*X[6711] - 2*X[3142] + X[3892] - 5*X[244] <= 3
model += -6*X[2689] + X[3438] - 3*X[243] - X[5106] - 2*X[5731] - 2*X[6499] - 2*X[735] + X[5279] <= -4
model += X[2689] - 4*X[3438] - X[243] + 2*X[5106] - 4*X[5731] + 6*X[6499] - 3*X[735] - 3*X[5279] <= 1
model += -6*X[2009] - X[4840] + 3*X[2629] + X[504] + 2*X[4691] + 2*X[6089] + 2*X[1925] - X[4071] <= 4
model += -X[2009] + 3*X[4840] + 2*X[2629] + X[504] + 2*X[4691] - 2*X[6089] + X[1925] - 5*X[4071] <= 3
model += -6*X[7170] - X[7363] + 3*X[6643] + X[2648] + 2*X[1201] + 2*X[981] + 2*X[3621] - X[6555] <= 4
model += -X[7170] + 3*X[7363] + 2*X[6643] + X[2648] + 2*X[1201] - 2*X[981] + X[3621] - 5*X[6555] <= 3
model += -6*X[3686] - X[4000] + 3*X[6172] + X[2381] + 2*X[1426] + 2*X[821] + 2*X[5073] - X[1472] <= 4
model += -X[3686] + 3*X[4000] + 2*X[6172] + X[2381] + 2*X[1426] - 2*X[821] + X[5073] - 5*X[1472] <= 3
model += -6*X[3677] - X[4275] + 3*X[298] + X[1588] + 2*X[2482] + 2*X[5721] + 2*X[7223] - X[2372] <= 4
model += -X[3677] + 3*X[4275] + 2*X[298] + X[1588] + 2*X[2482] - 2*X[5721] + X[7223] - 5*X[2372] <= 3
model += -6*X[6453] - X[7381] + 3*X[3174] + X[1124] + 2*X[2634] + 2*X[2294] + 2*X[3260] - X[116] <= 4
model += -X[6453] + 3*X[7381] + 2*X[3174] + X[1124] + 2*X[2634] - 2*X[2294] + X[3260] - 5*X[116] <= 3
model += -6*X[1690] + X[5683] - 3*X[697] - X[879] - 2*X[3715] - 2*X[1242] - 2*X[5006] + X[6557] <= -4
model += X[1690] - 4*X[5683] - X[697] + 2*X[879] - 4*X[3715] + 6*X[1242] - 3*X[5006] - 3*X[6557] <= 1
model += -6*X[3834] - X[3751] + 3*X[4181] + X[5490] + 2*X[3811] + 2*X[2713] + 2*X[6392] - X[786] <= 4
model += -X[3834] + 3*X[3751] + 2*X[4181] + X[5490] + 2*X[3811] - 2*X[2713] + X[6392] - 5*X[786] <= 3
model += -6*X[5988] - X[1919] + 3*X[5560] + X[5739] + 2*X[440] + 2*X[3836] + 2*X[4886] - X[3353] <= 4
model += -X[5988] + 3*X[1919] + 2*X[5560] + X[5739] + 2*X[440] - 2*X[3836] + X[4886] - 5*X[3353] <= 3
model += -6*X[6028] - X[1078] + 3*X[1478] + X[4343] + 2*X[3617] + 2*X[2746] + 2*X[832] - X[3181] <= 4
model += -X[6028] + 3*X[1078] + 2*X[1478] + X[4343] + 2*X[3617] - 2*X[2746] + X[832] - 5*X[3181] <= 3
model += -6*X[1706] + X[3279] - 3*X[3816] - X[1010] - 2*X[225] - 2*X[7719] - 2*X[496] + X[5504] <= -4
model += X[1706] - 4*X[3279] - X[3816] + 2*X[1010] - 4*X[225] + 6*X[7719] - 3*X[496] - 3*X[5504] <= 1
model += -6*X[486] - X[5272] + 3*X[1339] + X[4174] + 2*X[2857] + 2*X[1421] + 2*X[6945] - X[1477] <= 4
model += -X[486] + 3*X[5272] + 2*X[1339] + X[4174] + 2*X[2857] - 2*X[1421] + X[6945] - 5*X[1477] <= 3
model += -6*X[398] + X[6691] - 3*X[3534] - X[3527] - 2*X[5388] - 2*X[369] - 2*X[2982] + X[4647] <= -4
model += X[398] - 4*X[6691] - X[3534] + 2*X[3527] - 4*X[5388] + 6*X[369] - 3*X[2982] - 3*X[4647] <= 1
model += -6*X[98] + X[7536] - 3*X[4977] - X[6829] - 2*X[2925] - 2*X[5304] - 2*X[1321] + X[1103] <= -4
model += X[98] - 4*X[7536] - X[4977] + 2*X[6829] - 4*X[2925] + 6*X[5304] - 3*X[1321] - 3*X[1103] <= 1
model += -6*X[7462] - X[2508] + 3*X[3994] + X[3407] + 2*X[4478] + 2*X[6803] + 2*X[722] - X[5532] <= 4
model += -X[7462] + 3*X[2508] + 2*X[3994] + X[3407] + 2*X[4478] - 2*X[6803] + X[722] - 5*X[5532] <= 3
model += -6*X[7266] + X[2645] - 3*X[156] - X[1476] - 2*X[5291] - 2*X[6266] - 2*X[3056] + X[422] <= -4
model += X[7266] - 4*X[2645] - X[156] + 2*X[1476] - 4*X[5291] + 6*X[6266] - 3*X[3056] - 3*X[422] <= 1
model += -6*X[2768] - X[5707] + 3*X[585] + X[6705] + 2*X[3162] + 2*X[4527] + 2*X[4605] - X[3690] <= 4
model += -X[2768] + 3*X[5707] + 2*X[585] + X[6705] + 2*X[3162] - 2*X[4527] + X[4605] - 5*X[3690] <= 3
model += -6*X[2603] - X[4693] + 3*X[733] + X[3939] + 2*X[6059] + 2*X[4072] + 2*X[3257] - X[6916] <= 4
model += -X[2603] + 3*X[4693] + 2*X[733] + X[3939] + 2*X[6059] - 2*X[4072] + X[3257] - 5*X[6916] <= 3
model += -6*X[7155] - X[5402] + 3*X[4522] + X[6273] + 2*X[5110] + 2*X[6474] + 2*X[1989] - X[309] <= 4
model += -X[7155] + 3*X[5402] + 2*X[4522] + X[6273] + 2*X[5110] - 2*X[6474] + X[1989] - 5*X[309] <= 3
model += -6*X[1351] - X[4711] + 3*X[147] + X[7027] + 2*X[5724] + 2*X[1575] + 2*X[3242] - X[3680] <= 4
model += -X[1351] + 3*X[4711] + 2*X[147] + X[7027] + 2*X[5724] - 2*X[1575] + X[3242] - 5*X[3680] <= 3
model += -6*X[675] + X[1944] - 3*X[7004] - X[713] - 2*X[1412] - 2*X[2643] - 2*X[5679] + X[2881] <= -4
model += X[675] - 4*X[1944] - X[7004] + 2*X[713] - 4*X[1412] + 6*X[2643] - 3*X[5679] - 3*X[2881] <= 1
model += -6*X[2972] - X[1506] + 3*X[403] + X[2951] + 2*X[4048] + 2*X[4718] + 2*X[7416] - X[2096] <= 4
model += -X[2972] + 3*X[1506] + 2*X[403] + X[2951] + 2*X[4048] - 2*X[4718] + X[7416] - 5*X[2096] <= 3
model += 3*X[1705] + 9*X[173] + 7*X[1340] + 5*X[3978] - Y[155] - 4*Y[154] + 2*Y[153] - 8*Y[152] <= 12
model += -6*X[5056] - X[566] + 3*X[7225] + X[3928] + 2*X[1681] + 2*X[1875] + 2*X[1165] - X[1094] <= 4
model += -X[5056] + 3*X[566] + 2*X[7225] + X[3928] + 2*X[1681] - 2*X[1875] + X[1165] - 5*X[1094] <= 3
model += -6*X[6553] - X[3683] + 3*X[880] + X[7713] + 2*X[1601] + 2*X[3547] + 2*X[5226] - X[5601] <= 4
model += -X[6553] + 3*X[3683] + 2*X[880] + X[7713] + 2*X[1601] - 2*X[3547] + X[5226] - 5*X[5601] <= 3
model += -6*X[7407] + X[1319] - 3*X[652] - X[5013] - 2*X[617] - 2*X[2551] - 2*X[7435] + X[4183] <= -4
model += X[7407] - 4*X[1319] - X[652] + 2*X[5013] - 4*X[617] + 6*X[2551] - 3*X[7435] - 3*X[4183] <= 1
model += -6*X[3244] - X[3861] + 3*X[5170] + X[7422] + 2*X[6913] + 2*X[405] + 2*X[6646] - X[2380] <= 4
model += -X[3244] + 3*X[3861] + 2*X[5170] + X[7422] + 2*X[6913] - 2*X[405] + X[6646] - 5*X[2380] <= 3
model += -6*X[6487] - X[2744] + 3*X[7659] + X[3352] + 2*X[5213] + 2*X[511] + 2*X[2023] - X[6771] <= 4
model += -X[6487] + 3*X[2744] + 2*X[7659] + X[3352] + 2*X[5213] - 2*X[511] + X[2023] - 5*X[6771] <= 3
model += -6*X[6537] - X[3576] + 3*X[7098] + X[4360] + 2*X[6382] + 2*X[3075] + 2*X[267] - X[5868] <= 4
model += -X[6537] + 3*X[3576] + 2*X[7098] + X[4360] + 2*X[6382] - 2*X[3075] + X[267] - 5*X[5868] <= 3
model += -6*X[1463] - X[4955] + 3*X[932] + X[7307] + 2*X[4125] + 2*X[3068] + 2*X[2802] - X[5791] <= 4
model += -X[1463] + 3*X[4955] + 2*X[932] + X[7307] + 2*X[4125] - 2*X[3068] + X[2802] - 5*X[5791] <= 3
model += -6*X[5042] + X[3133] - 3*X[7527] - X[7238] - 2*X[4379] - 2*X[286] - 2*X[383] + X[1570] <= -4
model += X[5042] - 4*X[3133] - X[7527] + 2*X[7238] - 4*X[4379] + 6*X[286] - 3*X[383] - 3*X[1570] <= 1
model += -6*X[5009] + X[72] - 3*X[4579] - X[1731] - 2*X[2036] - 2*X[7188] - 2*X[2062] + X[1595] <= -4
model += X[5009] - 4*X[72] - X[4579] + 2*X[1731] - 4*X[2036] + 6*X[7188] - 3*X[2062] - 3*X[1595] <= 1
model += -6*X[2392] + X[395] - 3*X[559] - X[1787] - 2*X[7092] - 2*X[3625] - 2*X[5340] + X[7167] <= -4
model += X[2392] - 4*X[395] - X[559] + 2*X[1787] - 4*X[7092] + 6*X[3625] - 3*X[5340] - 3*X[7167] <= 1
model += -6*X[5264] + X[839] - 3*X[7253] - X[5993] - 2*X[3630] - 2*X[1229] - 2*X[7730] + X[353] <= -4
model += X[5264] - 4*X[839] - X[7253] + 2*X[5993] - 4*X[3630] + 6*X[1229] - 3*X[7730] - 3*X[353] <= 1
model += -6*X[2168] - X[3578] + 3*X[3053] + X[1888] + 2*X[7479] + 2*X[2571] + 2*X[1198] - X[514] <= 4
model += -X[2168] + 3*X[3578] + 2*X[3053] + X[1888] + 2*X[7479] - 2*X[2571] + X[1198] - 5*X[514] <= 3
model += -6*X[941] + X[6523] - 3*X[1806] - X[6955] - 2*X[1842] - 2*X[1446] - 2*X[2491] + X[801] <= -4
model += X[941] - 4*X[6523] - X[1806] + 2*X[6955] - 4*X[1842] + 6*X[1446] - 3*X[2491] - 3*X[801] <= 1
model += -6*X[7158] + X[7623] - 3*X[5890] - X[3518] - 2*X[980] - 2*X[131] - 2*X[4608] + X[1515] <= -4
model += X[7158] - 4*X[7623] - X[5890] + 2*X[3518] - 4*X[980] + 6*X[131] - 3*X[4608] - 3*X[1515] <= 1
model += -6*X[2601] - X[4946] + 3*X[913] + X[4780] + 2*X[7507] + 2*X[2714] + 2*X[2676] - X[3332] <= 4
model += -X[2601] + 3*X[4946] + 2*X[913] + X[4780] + 2*X[7507] - 2*X[2714] + X[2676] - 5*X[3332] <= 3
model += -6*X[5654] - X[2800] + 3*X[4204] + X[7658] + 2*X[489] + 2*X[1954] + 2*X[4549] - X[6289] <= 4
model += -X[5654] + 3*X[2800] + 2*X[4204] + X[7658] + 2*X[489] - 2*X[1954] + X[4549] - 5*X[6289] <= 3
model += -6*X[6802] + X[2451] - 3*X[6510] - X[11] - 2*X[7252] - 2*X[1639] - 2*X[7762] + X[5909] <= -4
model += X[6802] - 4*X[2451] - X[6510] + 2*X[11] - 4*X[7252] + 6*X[1639] - 3*X[7762] - 3*X[5909] <= 1
model += -6*X[7100] - X[2092] + 3*X[2541] + X[120] + 2*X[1972] + 2*X[6828] + 2*X[6040] - X[5537] <= 4
model += -X[7100] + 3*X[2092] + 2*X[2541] + X[120] + 2*X[1972] - 2*X[6828] + X[6040] - 5*X[5537] <= 3
model += -6*X[4615] - X[3247] + 3*X[4975] + X[4421] + 2*X[1897] + 2*X[4979] + 2*X[345] - X[5058] <= 4
model += -X[4615] + 3*X[3247] + 2*X[4975] + X[4421] + 2*X[1897] - 2*X[4979] + X[345] - 5*X[5058] <= 3
model += -6*X[4212] - X[4049] + 3*X[4980] + X[4617] + 2*X[2791] + 2*X[1905] + 2*X[222] - X[1499] <= 4
model += -X[4212] + 3*X[4049] + 2*X[4980] + X[4617] + 2*X[2791] - 2*X[1905] + X[222] - 5*X[1499] <= 3
model += -6*X[606] - X[5299] + 3*X[3442] + X[5329] + 2*X[1051] + 2*X[6168] + 2*X[3355] - X[7768] <= 4
model += -X[606] + 3*X[5299] + 2*X[3442] + X[5329] + 2*X[1051] - 2*X[6168] + X[3355] - 5*X[7768] <= 3
model += -6*X[3542] + X[4769] - 3*X[2814] - X[7675] - 2*X[7334] - 2*X[2692] - 2*X[982] + X[542] <= -4
model += X[3542] - 4*X[4769] - X[2814] + 2*X[7675] - 4*X[7334] + 6*X[2692] - 3*X[982] - 3*X[542] <= 1
model += -6*X[858] - X[6037] + 3*X[4734] + X[5077] + 2*X[2529] + 2*X[4826] + 2*X[6009] - X[1708] <= 4
model += -X[858] + 3*X[6037] + 2*X[4734] + X[5077] + 2*X[2529] - 2*X[4826] + X[6009] - 5*X[1708] <= 3
model += -6*X[2977] + X[6276] - 3*X[3992] - X[169] - 2*X[3102] - 2*X[122] - 2*X[2658] + X[2770] <= -4
model += X[2977] - 4*X[6276] - X[3992] + 2*X[169] - 4*X[3102] + 6*X[122] - 3*X[2658] - 3*X[2770] <= 1
model += -6*X[4761] - X[3491] + 3*X[7772] + X[3883] + 2*X[2095] + 2*X[4432] + 2*X[442] - X[2510] <= 4
model += -X[4761] + 3*X[3491] + 2*X[7772] + X[3883] + 2*X[2095] - 2*X[4432] + X[442] - 5*X[2510] <= 3
model += -6*X[1486] - X[1536] + 3*X[5104] + X[6752] + 2*X[5258] + 2*X[911] + 2*X[5870] - X[5904] <= 4
model += -X[1486] + 3*X[1536] + 2*X[5104] + X[6752] + 2*X[5258] - 2*X[911] + X[5870] - 5*X[5904] <= 3
model += -6*X[3211] - X[6815] + 3*X[6332] + X[4868] + 2*X[1186] + 2*X[6687] + 2*X[3582] - X[444] <= 4
model += -X[3211] + 3*X[6815] + 2*X[6332] + X[4868] + 2*X[1186] - 2*X[6687] + X[3582] - 5*X[444] <= 3
model += -6*X[5530] + X[287] - 3*X[6769] - X[1640] - 2*X[4952] - 2*X[375] - 2*X[3748] + X[6174] <= -4
model += X[5530] - 4*X[287] - X[6769] + 2*X[1640] - 4*X[4952] + 6*X[375] - 3*X[3748] - 3*X[6174] <= 1
model += -6*X[6855] + X[2189] - 3*X[6107] - X[682] - 2*X[1346] - 2*X[7286] - 2*X[4521] + X[326] <= -4
model += X[6855] - 4*X[2189] - X[6107] + 2*X[682] - 4*X[1346] + 6*X[7286] - 3*X[4521] - 3*X[326] <= 1
model += 3*X[5467] + 9*X[5067] + 7*X[683] + 5*X[6763] - X[76] - 4*X[114] + 2*X[4003] - 8*X[264] <= 12
model += -6*X[5565] + X[519] - 3*X[5166] - X[2020] - 2*X[452] - 2*X[2959] - 2*X[6251] + X[2743] <= -4
model += X[5565] - 4*X[519] - X[5166] + 2*X[2020] - 4*X[452] + 6*X[2959] - 3*X[6251] - 3*X[2743] <= 1
model += -6*X[6245] + X[6239] - 3*X[883] - X[3309] - 2*X[1510] - 2*X[1617] - 2*X[1907] + X[940] <= -4
model += X[6245] - 4*X[6239] - X[883] + 2*X[3309] - 4*X[1510] + 6*X[1617] - 3*X[1907] - 3*X[940] <= 1
model += -6*X[6061] + X[27] - 3*X[1316] - X[2662] - 2*X[7587] - 2*X[7663] - 2*X[6875] + X[7256] <= -4
model += X[6061] - 4*X[27] - X[1316] + 2*X[2662] - 4*X[7587] + 6*X[7663] - 3*X[6875] - 3*X[7256] <= 1
model += -6*X[7638] + X[3655] - 3*X[2740] - X[4096] - 2*X[2981] - 2*X[305] - 2*X[235] + X[5394] <= -4
model += X[7638] - 4*X[3655] - X[2740] + 2*X[4096] - 4*X[2981] + 6*X[305] - 3*X[235] - 3*X[5394] <= 1
model += -6*X[5632] + X[7596] - 3*X[5196] - X[686] - 2*X[4228] - 2*X[5704] - 2*X[288] + X[3622] <= -4
model += X[5632] - 4*X[7596] - X[5196] + 2*X[686] - 4*X[4228] + 6*X[5704] - 3*X[288] - 3*X[3622] <= 1
model += -6*X[6404] - X[6010] + 3*X[117] + X[7185] + 2*X[7325] + 2*X[6072] + 2*X[6193] - X[4195] <= 4
model += -X[6404] + 3*X[6010] + 2*X[117] + X[7185] + 2*X[7325] - 2*X[6072] + X[6193] - 5*X[4195] <= 3
model += -6*X[7023] + X[4765] - 3*X[5828] - X[302] - 2*X[2152] - 2*X[1923] - 2*X[1725] + X[809] <= -4
model += X[7023] - 4*X[4765] - X[5828] + 2*X[302] - 4*X[2152] + 6*X[1923] - 3*X[1725] - 3*X[809] <= 1
model += 3*X[2275] + 9*X[539] + 7*X[4973] + 5*X[2957] - Y[159] - 4*Y[158] + 2*Y[157] - 8*Y[156] <= 12
model += -6*X[6678] - X[4583] + 3*X[130] + X[3718] + 2*X[1223] + 2*X[4883] + 2*X[4827] - X[4552] <= 4
model += -X[6678] + 3*X[4583] + 2*X[130] + X[3718] + 2*X[1223] - 2*X[4883] + X[4827] - 5*X[4552] <= 3
model += -6*X[4046] - X[800] + 3*X[5482] + X[1061] + 2*X[3496] + 2*X[2495] + 2*X[4822] - X[7264] <= 4
model += -X[4046] + 3*X[800] + 2*X[5482] + X[1061] + 2*X[3496] - 2*X[2495] + X[4822] - 5*X[7264] <= 3
model += -6*X[5420] + X[3450] - 3*X[7267] - X[2228] - 2*X[402] - 2*X[4523] - 2*X[3908] + X[142] <= -4
model += X[5420] - 4*X[3450] - X[7267] + 2*X[2228] - 4*X[402] + 6*X[4523] - 3*X[3908] - 3*X[142] <= 1
model += -6*X[1889] + X[2192] - 3*X[308] - X[5230] - 2*X[5672] - 2*X[3246] - 2*X[753] + X[6619] <= -4
model += X[1889] - 4*X[2192] - X[308] + 2*X[5230] - 4*X[5672] + 6*X[3246] - 3*X[753] - 3*X[6619] <= 1
model += -6*X[6577] - X[3948] + 3*X[4464] + X[6157] + 2*X[352] + 2*X[4778] + 2*X[6433] - X[6448] <= 4
model += -X[6577] + 3*X[3948] + 2*X[4464] + X[6157] + 2*X[352] - 2*X[4778] + X[6433] - 5*X[6448] <= 3
model += -6*X[1738] - X[3144] + 3*X[6726] + X[4238] + 2*X[5395] + 2*X[4800] + 2*X[528] - X[5821] <= 4
model += -X[1738] + 3*X[3144] + 2*X[6726] + X[4238] + 2*X[5395] - 2*X[4800] + X[528] - 5*X[5821] <= 3
model += -6*X[6824] + X[846] - 3*X[921] - X[3565] - 2*X[6340] - 2*X[7177] - 2*X[4876] + X[5774] <= -4
model += X[6824] - 4*X[846] - X[921] + 2*X[3565] - 4*X[6340] + 6*X[7177] - 3*X[4876] - 3*X[5774] <= 1
model += -6*X[426] + X[6304] - 3*X[1309] - X[1084] - 2*X[7180] - 2*X[349] - 2*X[3462] + X[3619] <= -4
model += X[426] - 4*X[6304] - X[1309] + 2*X[1084] - 4*X[7180] + 6*X[349] - 3*X[3462] - 3*X[3619] <= 1
model += -6*X[6710] - X[2088] + 3*X[5065] + X[477] + 2*X[4412] + 2*X[2754] + 2*X[1994] - X[6486] <= 4
model += -X[6710] + 3*X[2088] + 2*X[5065] + X[477] + 2*X[4412] - 2*X[2754] + X[1994] - 5*X[6486] <= 3
model += -6*X[4854] - X[844] + 3*X[7343] + X[6257] + 2*X[7570] + 2*X[4001] + 2*X[1755] - X[3227] <= 4
model += -X[4854] + 3*X[844] + 2*X[7343] + X[6257] + 2*X[7570] - 2*X[4001] + X[1755] - 5*X[3227] <= 3
model += 3*X[3796] + 9*X[179] + 7*X[7547] + 5*X[5096] - Y[156] - 4*Y[155] + 2*Y[154] - 8*Y[153] <= 12
model += -6*X[1169] - X[2117] + 3*X[7785] + X[2066] + 2*X[725] + 2*X[6328] + 2*X[7144] - X[1710] <= 4
model += -X[1169] + 3*X[2117] + 2*X[7785] + X[2066] + 2*X[725] - 2*X[6328] + X[7144] - 5*X[1710] <= 3
model += -6*X[7310] - X[4109] + 3*X[3421] + X[4536] + 2*X[5510] + 2*X[7590] + 2*X[4475] - X[607] <= 4
model += -X[7310] + 3*X[4109] + 2*X[3421] + X[4536] + 2*X[5510] - 2*X[7590] + X[4475] - 5*X[607] <= 3
model += -6*X[6827] - X[7528] + 3*X[3820] + X[2277] + 2*X[1254] + 2*X[5466] + 2*X[471] - X[6462] <= 4
model += -X[6827] + 3*X[7528] + 2*X[3820] + X[2277] + 2*X[1254] - 2*X[5466] + X[471] - 5*X[6462] <= 3
model += -6*X[4587] - X[774] + 3*X[5254] + X[3923] + 2*X[1140] + 2*X[4537] + 2*X[3772] - X[7269] <= 4
model += -X[4587] + 3*X[774] + 2*X[5254] + X[3923] + 2*X[1140] - 2*X[4537] + X[3772] - 5*X[7269] <= 3
model += -6*X[5274] + X[396] - 3*X[3170] - X[734] - 2*X[5825] - 2*X[7405] - 2*X[5860] + X[4731] <= -4
model += X[5274] - 4*X[396] - X[3170] + 2*X[734] - 4*X[5825] + 6*X[7405] - 3*X[5860] - 3*X[4731] <= 1
model += -6*X[3261] - X[3808] + 3*X[975] + X[4644] + 2*X[6844] + 2*X[7142] + 2*X[5066] - X[1625] <= 4
model += -X[3261] + 3*X[3808] + 2*X[975] + X[4644] + 2*X[6844] - 2*X[7142] + X[5066] - 5*X[1625] <= 3
model += -6*X[5353] - X[4397] + 3*X[632] + X[2030] + 2*X[6280] + 2*X[1850] + 2*X[1609] - X[7563] <= 4
model += -X[5353] + 3*X[4397] + 2*X[632] + X[2030] + 2*X[6280] - 2*X[1850] + X[1609] - 5*X[7563] <= 3
model += -6*X[1558] - X[7424] + 3*X[5657] + X[6200] + 2*X[3831] + 2*X[110] + 2*X[1220] - X[6582] <= 4
model += -X[1558] + 3*X[7424] + 2*X[5657] + X[6200] + 2*X[3831] - 2*X[110] + X[1220] - 5*X[6582] <= 3
model += -6*X[3501] - X[1930] + 3*X[331] + X[4224] + 2*X[2861] + 2*X[6498] + 2*X[2286] - X[4632] <= 4
model += -X[3501] + 3*X[1930] + 2*X[331] + X[4224] + 2*X[2861] - 2*X[6498] + X[2286] - 5*X[4632] <= 3
model += -6*X[6820] - X[1866] + 3*X[816] + X[2034] + 2*X[4569] + 2*X[1318] + 2*X[1438] - X[3077] <= 4
model += -X[6820] + 3*X[1866] + 2*X[816] + X[2034] + 2*X[4569] - 2*X[1318] + X[1438] - 5*X[3077] <= 3
model += -6*X[1713] - X[7013] + 3*X[5174] + X[1431] + 2*X[6545] + 2*X[1959] + 2*X[623] - X[4393] <= 4
model += -X[1713] + 3*X[7013] + 2*X[5174] + X[1431] + 2*X[6545] - 2*X[1959] + X[623] - 5*X[4393] <= 3
model += -6*X[995] + X[4774] - 3*X[177] - X[7685] - 2*X[1301] - 2*X[5425] - 2*X[6180] + X[7595] <= -4
model += X[995] - 4*X[4774] - X[177] + 2*X[7685] - 4*X[1301] + 6*X[5425] - 3*X[6180] - 3*X[7595] <= 1
model += -6*X[6714] + X[3993] - 3*X[2793] - X[5819] - 2*X[43] - 2*X[4457] - 2*X[2043] + X[3464] <= -4
model += X[6714] - 4*X[3993] - X[2793] + 2*X[5819] - 4*X[43] + 6*X[4457] - 3*X[2043] - 3*X[3464] <= 1
model += -6*X[6413] + X[2797] - 3*X[5513] - X[929] - 2*X[153] - 2*X[6259] - 2*X[3248] + X[5192] <= -4
model += X[6413] - 4*X[2797] - X[5513] + 2*X[929] - 4*X[153] + 6*X[6259] - 3*X[3248] - 3*X[5192] <= 1
model += -6*X[3399] - X[3082] + 3*X[2938] + X[2407] + 2*X[611] + 2*X[1498] + 2*X[3758] - X[3088] <= 4
model += -X[3399] + 3*X[3082] + 2*X[2938] + X[2407] + 2*X[611] - 2*X[1498] + X[3758] - 5*X[3088] <= 3
model += -6*X[5126] + X[456] - 3*X[5054] - X[3562] - 2*X[3396] - 2*X[892] - 2*X[6213] + X[5344] <= -4
model += X[5126] - 4*X[456] - X[5054] + 2*X[3562] - 4*X[3396] + 6*X[892] - 3*X[6213] - 3*X[5344] <= 1
model += -6*X[3460] + X[2836] - 3*X[7520] - X[5386] - 2*X[7102] - 2*X[1227] - 2*X[97] + X[3081] <= -4
model += X[3460] - 4*X[2836] - X[7520] + 2*X[5386] - 4*X[7102] + 6*X[1227] - 3*X[97] - 3*X[3081] <= 1
model += -6*X[864] - X[4606] + 3*X[2930] + X[1299] + 2*X[7025] + 2*X[3609] + 2*X[3267] - X[6296] <= 4
model += -X[864] + 3*X[4606] + 2*X[2930] + X[1299] + 2*X[7025] - 2*X[3609] + X[3267] - 5*X[6296] <= 3
model += 3*X[910] + 9*X[4811] + 7*X[1143] + 5*X[4345] - Y[150] - 4*Y[149] + 2*Y[148] - 8*Y[147] <= 12
model += -6*X[5807] + X[849] - 3*X[3059] - X[565] - 2*X[6376] - 2*X[3856] - 2*X[7441] + X[6616] <= -4
model += X[5807] - 4*X[849] - X[3059] + 2*X[565] - 4*X[6376] + 6*X[3856] - 3*X[7441] - 3*X[6616] <= 1
model += -6*X[2144] - X[3876] + 3*X[1032] + X[3303] + 2*X[3327] + 2*X[6091] + 2*X[3784] - X[436] <= 4
model += -X[2144] + 3*X[3876] + 2*X[1032] + X[3303] + 2*X[3327] - 2*X[6091] + X[3784] - 5*X[436] <= 3
model += -6*X[3560] + X[2248] - 3*X[4472] - X[163] - 2*X[248] - 2*X[3538] - 2*X[4903] + X[5564] <= -4
model += X[3560] - 4*X[2248] - X[4472] + 2*X[163] - 4*X[248] + 6*X[3538] - 3*X[4903] - 3*X[5564] <= 1
model += -6*X[900] + X[1434] - 3*X[6692] - X[1761] - 2*X[6605] - 2*X[4603] - 2*X[828] + X[3764] <= -4
model += X[900] - 4*X[1434] - X[6692] + 2*X[1761] - 4*X[6605] + 6*X[4603] - 3*X[828] - 3*X[3764] <= 1
model += -6*X[746] - X[6188] + 3*X[4723] + X[5084] + 2*X[2394] + 2*X[1308] + 2*X[1274] - X[3127] <= 4
model += -X[746] + 3*X[6188] + 2*X[4723] + X[5084] + 2*X[2394] - 2*X[1308] + X[1274] - 5*X[3127] <= 3
model += -6*X[919] + X[2886] - 3*X[5252] - X[5932] - 2*X[609] - 2*X[4745] - 2*X[1162] + X[5542] <= -4
model += X[919] - 4*X[2886] - X[5252] + 2*X[5932] - 4*X[609] + 6*X[4745] - 3*X[1162] - 3*X[5542] <= 1
model += -6*X[6230] + X[65] - 3*X[4220] - X[2636] - 2*X[3649] - 2*X[5590] - 2*X[1083] + X[7030] <= -4
model += X[6230] - 4*X[65] - X[4220] + 2*X[2636] - 4*X[3649] + 6*X[5590] - 3*X[1083] - 3*X[7030] <= 1
model += -6*X[6497] + X[4128] - 3*X[2670] - X[6666] - 2*X[6027] - 2*X[633] - 2*X[752] + X[5938] <= -4
model += X[6497] - 4*X[4128] - X[2670] + 2*X[6666] - 4*X[6027] + 6*X[633] - 3*X[752] - 3*X[5938] <= 1
model += -6*X[4962] - X[1484] + 3*X[6055] + X[4755] + 2*X[7438] + 2*X[1142] + 2*X[928] - X[2054] <= 4
model += -X[4962] + 3*X[1484] + 2*X[6055] + X[4755] + 2*X[7438] - 2*X[1142] + X[928] - 5*X[2054] <= 3
model += -6*X[3854] + X[1979] - 3*X[2772] - X[1443] - 2*X[3107] - 2*X[189] - 2*X[996] + X[2702] <= -4
model += X[3854] - 4*X[1979] - X[2772] + 2*X[1443] - 4*X[3107] + 6*X[189] - 3*X[996] - 3*X[2702] <= 1
model += -6*X[3389] - X[6940] + 3*X[2292] + X[3933] + 2*X[5041] + 2*X[1804] + 2*X[692] - X[1839] <= 4
model += -X[3389] + 3*X[6940] + 2*X[2292] + X[3933] + 2*X[5041] - 2*X[1804] + X[692] - 5*X[1839] <= 3
model += -6*X[4594] - X[5161] + 3*X[4902] + X[478] + 2*X[4649] + 2*X[7482] + 2*X[2522] - X[3459] <= 4
model += -X[4594] + 3*X[5161] + 2*X[4902] + X[478] + 2*X[4649] - 2*X[7482] + X[2522] - 5*X[3459] <= 3
model += -6*X[1872] - X[4161] + 3*X[6660] + X[2214] + 2*X[7579] + 2*X[4414] + 2*X[7341] - X[409] <= 4
model += -X[1872] + 3*X[4161] + 2*X[6660] + X[2214] + 2*X[7579] - 2*X[4414] + X[7341] - 5*X[409] <= 3
model += -6*X[5123] + X[3606] - 3*X[2456] - X[825] - 2*X[5720] - 2*X[2100] - 2*X[7073] + X[721] <= -4
model += X[5123] - 4*X[3606] - X[2456] + 2*X[825] - 4*X[5720] + 6*X[2100] - 3*X[7073] - 3*X[721] <= 1
model += -6*X[5806] + X[7002] - 3*X[462] - X[4428] - 2*X[2703] - 2*X[969] - 2*X[1047] + X[1147] <= -4
model += X[5806] - 4*X[7002] - X[462] + 2*X[4428] - 4*X[2703] + 6*X[969] - 3*X[1047] - 3*X[1147] <= 1
model += -6*X[2074] - X[1275] + 3*X[3930] + X[810] + 2*X[4034] + 2*X[5190] + 2*X[7499] - X[1758] <= 4
model += -X[2074] + 3*X[1275] + 2*X[3930] + X[810] + 2*X[4034] - 2*X[5190] + X[7499] - 5*X[1758] <= 3
model += -6*X[1877] + X[7518] - 3*X[214] - X[845] - 2*X[3412] - 2*X[6460] - 2*X[4396] + X[2364] <= -4
model += X[1877] - 4*X[7518] - X[214] + 2*X[845] - 4*X[3412] + 6*X[6460] - 3*X[4396] - 3*X[2364] <= 1
model += -6*X[6776] - X[5866] + 3*X[3482] + X[748] + 2*X[1221] + 2*X[3165] + 2*X[5026] - X[5753] <= 4
model += -X[6776] + 3*X[5866] + 2*X[3482] + X[748] + 2*X[1221] - 2*X[3165] + X[5026] - 5*X[5753] <= 3
model += -6*X[7115] + X[1765] - 3*X[5861] - X[4025] - 2*X[951] - 2*X[7035] - 2*X[3925] + X[866] <= -4
model += X[7115] - 4*X[1765] - X[5861] + 2*X[4025] - 4*X[951] + 6*X[7035] - 3*X[3925] - 3*X[866] <= 1
model += -6*X[4829] - X[7130] + 3*X[3382] + X[6636] + 2*X[7729] + 2*X[5277] + 2*X[714] - X[6986] <= 4
model += -X[4829] + 3*X[7130] + 2*X[3382] + X[6636] + 2*X[7729] - 2*X[5277] + X[714] - 5*X[6986] <= 3
model += -6*X[1409] - X[2131] + 3*X[3012] + X[1041] + 2*X[6420] + 2*X[5768] + 2*X[390] - X[1754] <= 4
model += -X[1409] + 3*X[2131] + 2*X[3012] + X[1041] + 2*X[6420] - 2*X[5768] + X[390] - 5*X[1754] <= 3
model += -6*X[3736] + X[954] - 3*X[3962] - X[2904] - 2*X[3437] - 2*X[5502] - 2*X[6071] + X[971] <= -4
model += X[3736] - 4*X[954] - X[3962] + 2*X[2904] - 4*X[3437] + 6*X[5502] - 3*X[6071] - 3*X[971] <= 1
model += -6*X[3804] - X[2227] + 3*X[3052] + X[5208] + 2*X[3456] + 2*X[2840] + 2*X[385] - X[7779] <= 4
model += -X[3804] + 3*X[2227] + 2*X[3052] + X[5208] + 2*X[3456] - 2*X[2840] + X[385] - 5*X[7779] <= 3
model += -6*X[3949] + X[5945] - 3*X[595] - X[2101] - 2*X[5419] - 2*X[4635] - 2*X[296] + X[3017] <= -4
model += X[3949] - 4*X[5945] - X[595] + 2*X[2101] - 4*X[5419] + 6*X[4635] - 3*X[296] - 3*X[3017] <= 1
model += -6*X[5534] + X[7677] - 3*X[4460] - X[1546] - 2*X[5215] - 2*X[78] - 2*X[6546] + X[6030] <= -4
model += X[5534] - 4*X[7677] - X[4460] + 2*X[1546] - 4*X[5215] + 6*X[78] - 3*X[6546] - 3*X[6030] <= 1
model += -6*X[1420] - X[6757] + 3*X[3539] + X[178] + 2*X[4242] + 2*X[6972] + 2*X[4937] - X[5160] <= 4
model += -X[1420] + 3*X[6757] + 2*X[3539] + X[178] + 2*X[4242] - 2*X[6972] + X[4937] - 5*X[5160] <= 3
model += -6*X[643] + X[596] - 3*X[1780] - X[5269] - 2*X[2314] - 2*X[4305] - 2*X[3370] + X[4440] <= -4
model += X[643] - 4*X[596] - X[1780] + 2*X[5269] - 4*X[2314] + 6*X[4305] - 3*X[3370] - 3*X[4440] <= 1
model += -6*X[876] + X[1673] - 3*X[2143] - X[547] - 2*X[2479] - 2*X[7613] - 2*X[6118] + X[2585] <= -4
model += X[876] - 4*X[1673] - X[2143] + 2*X[547] - 4*X[2479] + 6*X[7613] - 3*X[6118] - 3*X[2585] <= 1
model += -6*X[5963] + X[5076] - 3*X[410] - X[812] - 2*X[1554] - 2*X[2452] - 2*X[5701] + X[5663] <= -4
model += X[5963] - 4*X[5076] - X[410] + 2*X[812] - 4*X[1554] + 6*X[2452] - 3*X[5701] - 3*X[5663] <= 1
model += -6*X[1374] + X[238] - 3*X[6948] - X[7603] - 2*X[3990] - 2*X[625] - 2*X[3307] + X[5044] <= -4
model += X[1374] - 4*X[238] - X[6948] + 2*X[7603] - 4*X[3990] + 6*X[625] - 3*X[3307] - 3*X[5044] <= 1
model += -6*X[3032] + X[3297] - 3*X[2518] - X[3805] - 2*X[3336] - 2*X[1649] - 2*X[67] + X[6117] <= -4
model += X[3032] - 4*X[3297] - X[2518] + 2*X[3805] - 4*X[3336] + 6*X[1649] - 3*X[67] - 3*X[6117] <= 1
model += -6*X[4785] + X[7604] - 3*X[857] - X[1062] - 2*X[399] - 2*X[6736] - 2*X[4031] + X[4715] <= -4
model += X[4785] - 4*X[7604] - X[857] + 2*X[1062] - 4*X[399] + 6*X[6736] - 3*X[4031] - 3*X[4715] <= 1
model += -6*X[7118] - X[4172] + 3*X[7618] + X[3203] + 2*X[640] + 2*X[4742] + 2*X[7605] - X[1102] <= 4
model += -X[7118] + 3*X[4172] + 2*X[7618] + X[3203] + 2*X[640] - 2*X[4742] + X[7605] - 5*X[1102] <= 3
model += -6*X[2488] + X[770] - 3*X[3480] - X[6567] - 2*X[563] - 2*X[3701] - 2*X[2290] + X[3929] <= -4
model += X[2488] - 4*X[770] - X[3480] + 2*X[6567] - 4*X[563] + 6*X[3701] - 3*X[2290] - 3*X[3929] <= 1
model += -6*X[2132] - X[7351] + 3*X[959] + X[5552] + 2*X[5953] + 2*X[2667] + 2*X[2683] - X[4694] <= 4
model += -X[2132] + 3*X[7351] + 2*X[959] + X[5552] + 2*X[5953] - 2*X[2667] + X[2683] - 5*X[4694] <= 3
model += -6*X[2138] - X[2565] + 3*X[6022] + X[1065] + 2*X[6848] + 2*X[998] + 2*X[1218] - X[2597] <= 4
model += -X[2138] + 3*X[2565] + 2*X[6022] + X[1065] + 2*X[6848] - 2*X[998] + X[1218] - 5*X[2597] <= 3
model += -6*X[7260] - X[7421] + 3*X[702] + X[2472] + 2*X[2888] + 2*X[2233] + 2*X[2664] - X[7395] <= 4
model += -X[7260] + 3*X[7421] + 2*X[702] + X[2472] + 2*X[2888] - 2*X[2233] + X[2664] - 5*X[7395] <= 3
model += -6*X[6253] - X[5797] + 3*X[3654] + X[201] + 2*X[7654] + 2*X[2461] + 2*X[5333] - X[4371] <= 4
model += -X[6253] + 3*X[5797] + 2*X[3654] + X[201] + 2*X[7654] - 2*X[2461] + X[5333] - 5*X[4371] <= 3
model += -6*X[3631] - X[5441] + 3*X[1050] + X[3237] + 2*X[2829] + 2*X[1035] + 2*X[4709] - X[531] <= 4
model += -X[3631] + 3*X[5441] + 2*X[1050] + X[3237] + 2*X[2829] - 2*X[1035] + X[4709] - 5*X[531] <= 3
model += -6*X[4105] - X[3033] + 3*X[813] + X[2561] + 2*X[1286] + 2*X[1638] + 2*X[7524] - X[6845] <= 4
model += -X[4105] + 3*X[3033] + 2*X[813] + X[2561] + 2*X[1286] - 2*X[1638] + X[7524] - 5*X[6845] <= 3
model += -6*X[5219] + X[747] - 3*X[4201] - X[3843] - 2*X[4387] - 2*X[247] - 2*X[2386] + X[6541] <= -4
model += X[5219] - 4*X[747] - X[4201] + 2*X[3843] - 4*X[4387] + 6*X[247] - 3*X[2386] - 3*X[6541] <= 1
model += -6*X[1665] + X[3507] - 3*X[367] - X[432] - 2*X[5893] - 2*X[4762] - 2*X[7042] + X[4260] <= -4
model += X[1665] - 4*X[3507] - X[367] + 2*X[432] - 4*X[5893] + 6*X[4762] - 3*X[7042] - 3*X[4260] <= 1
model += 3*X[7088] + 9*X[791] + 7*X[1237] + 5*X[480] - X[2669] - 4*Y[150] + 2*Y[149] - 8*Y[148] <= 12
model += -6*X[1064] - X[651] + 3*X[3791] + X[5342] + 2*X[5907] + 2*X[6162] + 2*X[7204] - X[2060] <= 4
model += -X[1064] + 3*X[651] + 2*X[3791] + X[5342] + 2*X[5907] - 2*X[6162] + X[7204] - 5*X[2060] <= 3
model += -6*X[467] - X[4626] + 3*X[3108] + X[2082] + 2*X[5845] + 2*X[2188] + 2*X[6088] - X[5002] <= 4
model += -X[467] + 3*X[4626] + 2*X[3108] + X[2082] + 2*X[5845] - 2*X[2188] + X[6088] - 5*X[5002] <= 3
model += -6*X[3172] - X[1189] + 3*X[5446] + X[4444] + 2*X[4394] + 2*X[3474] + 2*X[5426] - X[574] <= 4
model += -X[3172] + 3*X[1189] + 2*X[5446] + X[4444] + 2*X[4394] - 2*X[3474] + X[5426] - 5*X[574] <= 3
model += -6*X[1247] + X[6502] - 3*X[249] - X[124] - 2*X[3380] - 2*X[4408] - 2*X[1633] + X[7285] <= -4
model += X[1247] - 4*X[6502] - X[249] + 2*X[124] - 4*X[3380] + 6*X[4408] - 3*X[1633] - 3*X[7285] <= 1
model += -6*X[7682] + X[42] - 3*X[3935] - X[2617] - 2*X[4837] - 2*X[1435] - 2*X[2864] + X[3510] <= -4
model += X[7682] - 4*X[42] - X[3935] + 2*X[2617] - 4*X[4837] + 6*X[1435] - 3*X[2864] - 3*X[3510] <= 1
model += -6*X[2704] - X[4065] + 3*X[7103] + X[908] + 2*X[2128] + 2*X[5256] + 2*X[6872] - X[1991] <= 4
model += -X[2704] + 3*X[4065] + 2*X[7103] + X[908] + 2*X[2128] - 2*X[5256] + X[6872] - 5*X[1991] <= 3
model += -6*X[7021] + X[3684] - 3*X[3095] - X[7193] - 2*X[745] - 2*X[1557] - 2*X[226] + X[4093] <= -4
model += X[7021] - 4*X[3684] - X[3095] + 2*X[7193] - 4*X[745] + 6*X[1557] - 3*X[226] - 3*X[4093] <= 1
model += -6*X[780] + X[1819] - 3*X[6739] - X[1910] - 2*X[2241] - 2*X[6396] - 2*X[962] + X[3543] <= -4
model += X[780] - 4*X[1819] - X[6739] + 2*X[1910] - 4*X[2241] + 6*X[6396] - 3*X[962] - 3*X[3543] <= 1
model += -6*X[6919] + X[6664] - 3*X[5674] - X[1414] - 2*X[498] - 2*X[4300] - 2*X[1056] + X[350] <= -4
model += X[6919] - 4*X[6664] - X[5674] + 2*X[1414] - 4*X[498] + 6*X[4300] - 3*X[1056] - 3*X[350] <= 1
model += -6*X[6893] + X[2805] - 3*X[5430] - X[2249] - 2*X[7696] - 2*X[118] - 2*X[290] + X[4398] <= -4
model += X[6893] - 4*X[2805] - X[5430] + 2*X[2249] - 4*X[7696] + 6*X[118] - 3*X[290] - 3*X[4398] <= 1
model += -6*X[2126] - X[5000] + 3*X[2700] + X[5865] + 2*X[7757] + 2*X[5597] + 2*X[284] - X[4050] <= 4
model += -X[2126] + 3*X[5000] + 2*X[2700] + X[5865] + 2*X[7757] - 2*X[5597] + X[284] - 5*X[4050] <= 3
model += -6*X[3274] - X[1411] + 3*X[3961] + X[6469] + 2*X[6631] + 2*X[4894] + 2*X[190] - X[6163] <= 4
model += -X[3274] + 3*X[1411] + 2*X[3961] + X[6469] + 2*X[6631] - 2*X[4894] + X[190] - 5*X[6163] <= 3
model += -6*X[5349] + X[6021] - 3*X[5844] - X[6676] - 2*X[5582] - 2*X[2502] - 2*X[558] + X[871] <= -4
model += X[5349] - 4*X[6021] - X[5844] + 2*X[6676] - 4*X[5582] + 6*X[2502] - 3*X[558] - 3*X[871] <= 1
model += -6*X[6035] + X[407] - 3*X[1380] - X[2432] - 2*X[948] - 2*X[5883] - 2*X[1689] + X[5885] <= -4
model += X[6035] - 4*X[407] - X[1380] + 2*X[2432] - 4*X[948] + 6*X[5883] - 3*X[1689] - 3*X[5885] <= 1
model += -6*X[613] - X[5727] + 3*X[4286] + X[5396] + 2*X[1131] + 2*X[5863] + 2*X[3610] - X[2958] <= 4
model += -X[613] + 3*X[5727] + 2*X[4286] + X[5396] + 2*X[1131] - 2*X[5863] + X[3610] - 5*X[2958] <= 3
model += -6*X[1943] - X[2735] + 3*X[2204] + X[561] + 2*X[4313] + 2*X[1331] + 2*X[1135] - X[7664] <= 4
model += -X[1943] + 3*X[2735] + 2*X[2204] + X[561] + 2*X[4313] - 2*X[1331] + X[1135] - 5*X[7664] <= 3
model += -6*X[1324] + X[5656] - 3*X[762] - X[3292] - 2*X[594] - 2*X[5127] - 2*X[5999] + X[1356] <= -4
model += X[1324] - 4*X[5656] - X[762] + 2*X[3292] - 4*X[594] + 6*X[5127] - 3*X[5999] - 3*X[1356] <= 1
model += -6*X[161] - X[1344] + 3*X[4154] + X[5818] + 2*X[2035] + 2*X[7306] + 2*X[6765] - X[6962] <= 4
model += -X[161] + 3*X[1344] + 2*X[4154] + X[5818] + 2*X[2035] - 2*X[7306] + X[6765] - 5*X[6962] <= 3
model += -6*X[2909] - X[548] + 3*X[5380] + X[3624] + 2*X[3298] + 2*X[2593] + 2*X[3537] - X[6238] <= 4
model += -X[2909] + 3*X[548] + 2*X[5380] + X[3624] + 2*X[3298] - 2*X[2593] + X[3537] - 5*X[6238] <= 3
model += -6*X[6859] - X[7455] + 3*X[3461] + X[571] + 2*X[2000] + 2*X[5413] + 2*X[7753] - X[5099] <= 4
model += -X[6859] + 3*X[7455] + 2*X[3461] + X[571] + 2*X[2000] - 2*X[5413] + X[7753] - 5*X[5099] <= 3
model += -6*X[371] + X[2218] - 3*X[6796] - X[807] - 2*X[1821] - 2*X[2119] - 2*X[4996] + X[5789] <= -4
model += X[371] - 4*X[2218] - X[6796] + 2*X[807] - 4*X[1821] + 6*X[2119] - 3*X[4996] - 3*X[5789] <= 1
model += -6*X[7392] - X[1389] + 3*X[3826] + X[4180] + 2*X[3573] + 2*X[4230] + 2*X[3688] - X[451] <= 4
model += -X[7392] + 3*X[1389] + 2*X[3826] + X[4180] + 2*X[3573] - 2*X[4230] + X[3688] - 5*X[451] <= 3
model += -6*X[5305] - X[3092] + 3*X[6987] + X[1670] + 2*X[601] + 2*X[6679] + 2*X[6357] - X[4959] <= 4
model += -X[5305] + 3*X[3092] + 2*X[6987] + X[1670] + 2*X[601] - 2*X[6679] + X[6357] - 5*X[4959] <= 3
model += -6*X[5598] - X[4681] + 3*X[4032] + X[926] + 2*X[6410] + 2*X[2213] + 2*X[7145] - X[6287] <= 4
model += -X[5598] + 3*X[4681] + 2*X[4032] + X[926] + 2*X[6410] - 2*X[2213] + X[7145] - 5*X[6287] <= 3
model += -6*X[2923] - X[6214] + 3*X[6961] + X[2651] + 2*X[554] + 2*X[4036] + 2*X[6109] - X[2028] <= 4
model += -X[2923] + 3*X[6214] + 2*X[6961] + X[2651] + 2*X[554] - 2*X[4036] + X[6109] - 5*X[2028] <= 3
model += -6*X[5933] + X[5319] - 3*X[1118] - X[7458] - 2*X[28] - 2*X[5558] - 2*X[3188] + X[4746] <= -4
model += X[5933] - 4*X[5319] - X[1118] + 2*X[7458] - 4*X[28] + 6*X[5558] - 3*X[3188] - 3*X[4746] <= 1
model += -6*X[6988] - X[4663] + 3*X[6121] + X[108] + 2*X[7645] + 2*X[3681] + 2*X[5079] - X[5479] <= 4
model += -X[6988] + 3*X[4663] + 2*X[6121] + X[108] + 2*X[7645] - 2*X[3681] + X[5079] - 5*X[5479] <= 3
model += -6*X[6640] + X[885] - 3*X[7213] - X[197] - 2*X[6100] - 2*X[5833] - 2*X[2501] + X[5758] <= -4
model += X[6640] - 4*X[885] - X[7213] + 2*X[197] - 4*X[6100] + 6*X[5833] - 3*X[2501] - 3*X[5758] <= 1
model += -6*X[3440] - X[997] + 3*X[6300] + X[1711] + 2*X[5859] + 2*X[6950] + 2*X[5150] - X[1834] <= 4
model += -X[3440] + 3*X[997] + 2*X[6300] + X[1711] + 2*X[5859] - 2*X[6950] + X[5150] - 5*X[1834] <= 3
model += -6*X[827] + X[2191] - 3*X[6036] - X[685] - 2*X[5599] - 2*X[3656] - 2*X[6480] + X[6624] <= -4
model += X[827] - 4*X[2191] - X[6036] + 2*X[685] - 4*X[5599] + 6*X[3656] - 3*X[6480] - 3*X[6624] <= 1
model += -6*X[740] - X[6618] + 3*X[7543] + X[5148] + 2*X[4798] + 2*X[6204] + 2*X[2055] - X[6818] <= 4
model += -X[740] + 3*X[6618] + 2*X[7543] + X[5148] + 2*X[4798] - 2*X[6204] + X[2055] - 5*X[6818] <= 3
model += -6*X[7216] - X[5979] + 3*X[333] + X[4294] + 2*X[4442] + 2*X[1642] + 2*X[2238] - X[2548] <= 4
model += -X[7216] + 3*X[5979] + 2*X[333] + X[4294] + 2*X[4442] - 2*X[1642] + X[2238] - 5*X[2548] <= 3
model += -6*X[7453] + X[4665] - 3*X[5894] - X[6207] - 2*X[32] - 2*X[7697] - 2*X[4328] + X[3594] <= -4
model += X[7453] - 4*X[4665] - X[5894] + 2*X[6207] - 4*X[32] + 6*X[7697] - 3*X[4328] - 3*X[3594] <= 1
model += -6*X[4965] - X[4210] + 3*X[4679] + X[3090] + 2*X[967] + 2*X[5410] + 2*X[2420] - X[2274] <= 4
model += -X[4965] + 3*X[4210] + 2*X[4679] + X[3090] + 2*X[967] - 2*X[5410] + X[2420] - 5*X[2274] <= 3
model += -6*X[4870] - X[696] + 3*X[7014] + X[1009] + 2*X[3532] + 2*X[4920] + 2*X[4374] - X[3344] <= 4
model += -X[4870] + 3*X[696] + 2*X[7014] + X[1009] + 2*X[3532] - 2*X[4920] + X[4374] - 5*X[3344] <= 3
model += -6*X[5744] - X[7043] + 3*X[6032] + X[3807] + 2*X[5098] + 2*X[3997] + 2*X[1736] - X[976] <= 4
model += -X[5744] + 3*X[7043] + 2*X[6032] + X[3807] + 2*X[5098] - 2*X[3997] + X[1736] - 5*X[976] <= 3
model += -6*X[4191] - X[5286] + 3*X[3020] + X[1306] + 2*X[5404] + 2*X[5624] + 2*X[5737] - X[671] <= 4
model += -X[4191] + 3*X[5286] + 2*X[3020] + X[1306] + 2*X[5404] - 2*X[5624] + X[5737] - 5*X[671] <= 3
model += -6*X[2069] - X[7183] + 3*X[527] + X[5587] + 2*X[3377] + 2*X[2760] + 2*X[4590] - X[5007] <= 4
model += -X[2069] + 3*X[7183] + 2*X[527] + X[5587] + 2*X[3377] - 2*X[2760] + X[4590] - 5*X[5007] <= 3
model += -6*X[3544] - X[4403] + 3*X[1293] + X[397] + 2*X[1849] + 2*X[1952] + 2*X[2563] - X[4055] <= 4
model += -X[3544] + 3*X[4403] + 2*X[1293] + X[397] + 2*X[1849] - 2*X[1952] + X[2563] - 5*X[4055] <= 3
model += -6*X[2589] + X[6725] - 3*X[7588] - X[6585] - 2*X[1913] - 2*X[3981] - 2*X[61] + X[1454] <= -4
model += X[2589] - 4*X[6725] - X[7588] + 2*X[6585] - 4*X[1913] + 6*X[3981] - 3*X[61] - 3*X[1454] <= 1
model += -6*X[4468] + X[5919] - 3*X[260] - X[6387] - 2*X[3285] - 2*X[1410] - 2*X[7586] + X[731] <= -4
model += X[4468] - 4*X[5919] - X[260] + 2*X[6387] - 4*X[3285] + 6*X[1410] - 3*X[7586] - 3*X[731] <= 1
model += -6*X[7090] - X[2619] + 3*X[2503] + X[875] + 2*X[5666] + 2*X[2907] + 2*X[7359] - X[1132] <= 4
model += -X[7090] + 3*X[2619] + 2*X[2503] + X[875] + 2*X[5666] - 2*X[2907] + X[7359] - 5*X[1132] <= 3
model += -6*X[6358] + X[1225] - 3*X[1159] - X[6730] - 2*X[3413] - 2*X[4674] - 2*X[154] + X[510] <= -4
model += X[6358] - 4*X[1225] - X[1159] + 2*X[6730] - 4*X[3413] + 6*X[4674] - 3*X[154] - 3*X[510] <= 1
model += -6*X[4171] - X[5449] + 3*X[1419] + X[1471] + 2*X[3979] + 2*X[199] + 2*X[6496] - X[5295] <= 4
model += -X[4171] + 3*X[5449] + 2*X[1419] + X[1471] + 2*X[3979] - 2*X[199] + X[6496] - 5*X[5295] <= 3
model += -6*X[6371] - X[6512] + 3*X[2687] + X[631] + 2*X[6850] + 2*X[2774] + 2*X[7449] - X[2113] <= 4
model += -X[6371] + 3*X[6512] + 2*X[2687] + X[631] + 2*X[6850] - 2*X[2774] + X[7449] - 5*X[2113] <= 3
model += -6*X[7037] + X[1263] - 3*X[7217] - X[4107] - 2*X[4407] - 2*X[3713] - 2*X[89] + X[3241] <= -4
model += X[7037] - 4*X[1263] - X[7217] + 2*X[4107] - 4*X[4407] + 6*X[3713] - 3*X[89] - 3*X[3241] <= 1
model += -6*X[4927] + X[3734] - 3*X[912] - X[2048] - 2*X[5973] - 2*X[615] - 2*X[7723] + X[5205] <= -4
model += X[4927] - 4*X[3734] - X[912] + 2*X[2048] - 4*X[5973] + 6*X[615] - 3*X[7723] - 3*X[5205] <= 1
model += -6*X[2623] - X[3685] + 3*X[3205] + X[2566] + 2*X[6621] + 2*X[1996] + 2*X[3291] - X[592] <= 4
model += -X[2623] + 3*X[3685] + 2*X[3205] + X[2566] + 2*X[6621] - 2*X[1996] + X[3291] - 5*X[592] <= 3
model += -6*X[6445] + X[7330] - 3*X[5951] - X[4887] - 2*X[754] - 2*X[2007] - 2*X[1803] + X[166] <= -4
model += X[6445] - 4*X[7330] - X[5951] + 2*X[4887] - 4*X[754] + 6*X[2007] - 3*X[1803] - 3*X[166] <= 1
model += -6*X[2576] + X[820] - 3*X[1700] - X[5341] - 2*X[2013] - 2*X[2738] - 2*X[826] + X[4458] <= -4
model += X[2576] - 4*X[820] - X[1700] + 2*X[5341] - 4*X[2013] + 6*X[2738] - 3*X[826] - 3*X[4458] <= 1
model += -6*X[6606] - X[4447] + 3*X[6703] + X[2408] + 2*X[336] + 2*X[2680] + 2*X[1530] - X[2594] <= 4
model += -X[6606] + 3*X[4447] + 2*X[6703] + X[2408] + 2*X[336] - 2*X[2680] + X[1530] - 5*X[2594] <= 3
model += -6*X[6922] - X[842] + 3*X[3564] + X[3098] + 2*X[2776] + 2*X[1863] + 2*X[3198] - X[2513] <= 4
model += -X[6922] + 3*X[842] + 2*X[3564] + X[3098] + 2*X[2776] - 2*X[1863] + X[3198] - 5*X[2513] <= 3
model += -6*X[5577] - X[1977] + 3*X[1302] + X[6094] + 2*X[741] + 2*X[7280] + 2*X[4705] - X[5271] <= 4
model += -X[5577] + 3*X[1977] + 2*X[1302] + X[6094] + 2*X[741] - 2*X[7280] + X[4705] - 5*X[5271] <= 3
model += -6*X[1327] + X[946] - 3*X[7492] - X[7545] - 2*X[2300] - 2*X[732] - 2*X[6170] + X[3669] <= -4
model += X[1327] - 4*X[946] - X[7492] + 2*X[7545] - 4*X[2300] + 6*X[732] - 3*X[6170] - 3*X[3669] <= 1
model += -6*X[1963] - X[6434] + 3*X[4807] + X[7525] + 2*X[2018] + 2*X[2952] + 2*X[666] - X[6717] <= 4
model += -X[1963] + 3*X[6434] + 2*X[4807] + X[7525] + 2*X[2018] - 2*X[2952] + X[666] - 5*X[6717] <= 3
model += -6*X[7250] - X[6470] + 3*X[327] + X[1539] + 2*X[4436] + 2*X[1702] + 2*X[2517] - X[1631] <= 4
model += -X[7250] + 3*X[6470] + 2*X[327] + X[1539] + 2*X[4436] - 2*X[1702] + X[2517] - 5*X[1631] <= 3
model += -6*X[751] + X[3387] - 3*X[942] - X[6767] - 2*X[5421] - 2*X[2914] - 2*X[2122] + X[1500] <= -4
model += X[751] - 4*X[3387] - X[942] + 2*X[6767] - 4*X[5421] + 6*X[2914] - 3*X[2122] - 3*X[1500] <= 1
model += -6*X[101] - X[5027] + 3*X[5492] + X[7558] + 2*X[7290] + 2*X[7107] + 2*X[5637] - X[3841] <= 4
model += -X[101] + 3*X[5027] + 2*X[5492] + X[7558] + 2*X[7290] - 2*X[7107] + X[5637] - 5*X[3841] <= 3
model += -6*X[6447] - X[374] + 3*X[6781] + X[2422] + 2*X[1762] + 2*X[6431] + 2*X[5061] - X[6372] <= 4
model += -X[6447] + 3*X[374] + 2*X[6781] + X[2422] + 2*X[1762] - 2*X[6431] + X[5061] - 5*X[6372] <= 3
model += -6*X[936] + X[3750] - 3*X[2270] - X[882] - 2*X[3721] - 2*X[2858] - 2*X[7619] + X[6297] <= -4
model += X[936] - 4*X[3750] - X[2270] + 2*X[882] - 4*X[3721] + 6*X[2858] - 3*X[7619] - 3*X[6297] <= 1
model += -6*X[3106] - X[4486] + 3*X[7631] + X[7228] + 2*X[4636] + 2*X[669] + 2*X[2185] - X[2989] <= 4
model += -X[3106] + 3*X[4486] + 2*X[7631] + X[7228] + 2*X[4636] - 2*X[669] + X[2185] - 5*X[2989] <= 3
model += -6*X[2183] + X[7672] - 3*X[789] - X[6862] - 2*X[627] - 2*X[4675] - 2*X[4507] + X[1832] <= -4
model += X[2183] - 4*X[7672] - X[789] + 2*X[6862] - 4*X[627] + 6*X[4675] - 3*X[4507] - 3*X[1832] <= 1
model += -6*X[2684] - X[6644] + 3*X[4614] + X[6411] + 2*X[6787] + 2*X[1024] + 2*X[2792] - X[939] <= 4
model += -X[2684] + 3*X[6644] + 2*X[4614] + X[6411] + 2*X[6787] - 2*X[1024] + X[2792] - 5*X[939] <= 3
model += -6*X[148] - X[1285] + 3*X[1645] + X[7024] + 2*X[3114] + 2*X[7095] + 2*X[6456] - X[1206] <= 4
model += -X[148] + 3*X[1285] + 2*X[1645] + X[7024] + 2*X[3114] - 2*X[7095] + X[6456] - 5*X[1206] <= 3
model += -6*X[7140] + X[3295] - 3*X[7370] - X[2304] - 2*X[2627] - 2*X[320] - 2*X[3330] + X[599] <= -4
model += X[7140] - 4*X[3295] - X[7370] + 2*X[2304] - 4*X[2627] + 6*X[320] - 3*X[3330] - 3*X[599] <= 1
model += -6*X[4094] + X[140] - 3*X[2665] - X[5014] - 2*X[4751] - 2*X[4515] - 2*X[6309] + X[854] <= -4
model += X[4094] - 4*X[140] - X[2665] + 2*X[5014] - 4*X[4751] + 6*X[4515] - 3*X[6309] - 3*X[854] <= 1
model += -6*X[4844] - X[1590] + 3*X[4033] + X[855] + 2*X[1926] + 2*X[7105] + 2*X[4947] - X[6385] <= 4
model += -X[4844] + 3*X[1590] + 2*X[4033] + X[855] + 2*X[1926] - 2*X[7105] + X[4947] - 5*X[6385] <= 3
model += -6*X[4697] - X[5522] + 3*X[7344] + X[3546] + 2*X[2775] + 2*X[2787] + 2*X[933] - X[2385] <= 4
model += -X[4697] + 3*X[5522] + 2*X[7344] + X[3546] + 2*X[2775] - 2*X[2787] + X[933] - 5*X[2385] <= 3
model += -6*X[1641] - X[2842] + 3*X[811] + X[1685] + 2*X[4144] + 2*X[6890] + 2*X[7567] - X[3015] <= 4
model += -X[1641] + 3*X[2842] + 2*X[811] + X[1685] + 2*X[4144] - 2*X[6890] + X[7567] - 5*X[3015] <= 3
model += -6*X[5103] - X[4168] + 3*X[306] + X[3096] + 2*X[2195] + 2*X[6218] + 2*X[2721] - X[4916] <= 4
model += -X[5103] + 3*X[4168] + 2*X[306] + X[3096] + 2*X[2195] - 2*X[6218] + X[2721] - 5*X[4916] <= 3
model += -6*X[4671] + X[3775] - 3*X[1405] - X[6782] - 2*X[5943] - 2*X[330] - 2*X[693] + X[1089] <= -4
model += X[4671] - 4*X[3775] - X[1405] + 2*X[6782] - 4*X[5943] + 6*X[330] - 3*X[693] - 3*X[1089] <= 1
model += -6*X[4838] - X[6712] + 3*X[1782] + X[7379] + 2*X[6291] + 2*X[4362] + 2*X[1922] - X[535] <= 4
model += -X[4838] + 3*X[6712] + 2*X[1782] + X[7379] + 2*X[6291] - 2*X[4362] + X[1922] - 5*X[535] <= 3
model += -6*X[4593] - X[7198] + 3*X[6967] + X[310] + 2*X[5094] + 2*X[3651] + 2*X[1256] - X[3757] <= 4
model += -X[4593] + 3*X[7198] + 2*X[6967] + X[310] + 2*X[5094] - 2*X[3651] + X[1256] - 5*X[3757] <= 3
model += -6*X[3166] + X[2812] - 3*X[3448] - X[6522] - 2*X[4627] - 2*X[2067] - 2*X[1068] + X[69] <= -4
model += X[3166] - 4*X[2812] - X[3448] + 2*X[6522] - 4*X[4627] + 6*X[2067] - 3*X[1068] - 3*X[69] <= 1
model += -6*X[3881] + X[935] - 3*X[193] - X[2555] - 2*X[2440] - 2*X[6093] - 2*X[1296] + X[7722] <= -4
model += X[3881] - 4*X[935] - X[193] + 2*X[2555] - 4*X[2440] + 6*X[6093] - 3*X[1296] - 3*X[7722] <= 1
model += -6*X[3724] + X[5755] - 3*X[2637] - X[4067] - 2*X[579] - 2*X[7032] - 2*X[626] + X[2542] <= -4
model += X[3724] - 4*X[5755] - X[2637] + 2*X[4067] - 4*X[579] + 6*X[7032] - 3*X[626] - 3*X[2542] <= 1
model += -6*X[2235] - X[5310] + 3*X[5829] + X[2412] + 2*X[1737] + 2*X[7172] + 2*X[388] - X[2509] <= 4
model += -X[2235] + 3*X[5310] + 2*X[5829] + X[2412] + 2*X[1737] - 2*X[7172] + X[388] - 5*X[2509] <= 3
model += -6*X[2090] - X[4320] + 3*X[1377] + X[5379] + 2*X[481] + 2*X[6041] + 2*X[2446] - X[1029] <= 4
model += -X[2090] + 3*X[4320] + 2*X[1377] + X[5379] + 2*X[481] - 2*X[6041] + X[2446] - 5*X[1029] <= 3
model += -6*X[2378] - X[569] + 3*X[1371] + X[1307] + 2*X[2631] + 2*X[5405] + 2*X[5168] - X[3492] <= 4
model += -X[2378] + 3*X[569] + 2*X[1371] + X[1307] + 2*X[2631] - 2*X[5405] + X[5168] - 5*X[3492] <= 3
model += -6*X[2303] + X[2044] - 3*X[2200] - X[896] - 2*X[1828] - 2*X[4291] - 2*X[5312] + X[251] <= -4
model += X[2303] - 4*X[2044] - X[2200] + 2*X[896] - 4*X[1828] + 6*X[4291] - 3*X[5312] - 3*X[251] <= 1
model += -6*X[3710] - X[119] + 3*X[6177] + X[6189] + 2*X[6535] + 2*X[5693] + 2*X[4231] - X[3693] <= 4
model += -X[3710] + 3*X[119] + 2*X[6177] + X[6189] + 2*X[6535] - 2*X[5693] + X[4231] - 5*X[3693] <= 3
model += -6*X[2091] - X[265] + 3*X[6895] + X[5514] + 2*X[5772] + 2*X[4147] + 2*X[5555] - X[3495] <= 4
model += -X[2091] + 3*X[265] + 2*X[6895] + X[5514] + 2*X[5772] - 2*X[4147] + X[5555] - 5*X[3495] <= 3
model += -6*X[4514] - X[6529] + 3*X[6973] + X[6688] + 2*X[289] + 2*X[5888] + 2*X[1312] - X[3650] <= 4
model += -X[4514] + 3*X[6529] + 2*X[6973] + X[6688] + 2*X[289] - 2*X[5888] + X[1312] - 5*X[3650] <= 3
model += -6*X[1480] + X[7053] - 3*X[750] - X[6540] - 2*X[1846] - 2*X[146] - 2*X[3254] + X[1199] <= -4
model += X[1480] - 4*X[7053] - X[750] + 2*X[6540] - 4*X[1846] + 6*X[146] - 3*X[3254] - 3*X[1199] <= 1
model += -6*X[5204] - X[1451] + 3*X[4511] + X[4787] + 2*X[4961] + 2*X[3536] + 2*X[6693] - X[170] <= 4
model += -X[5204] + 3*X[1451] + 2*X[4511] + X[4787] + 2*X[4961] - 2*X[3536] + X[6693] - 5*X[170] <= 3
model += -6*X[4914] - X[229] + 3*X[6591] + X[1880] + 2*X[7371] + 2*X[5981] + 2*X[4178] - X[1712] <= 4
model += -X[4914] + 3*X[229] + 2*X[6591] + X[1880] + 2*X[7371] - 2*X[5981] + X[4178] - 5*X[1712] <= 3
model += -6*X[6442] - X[5017] + 3*X[2712] + X[3753] + 2*X[1540] + 2*X[2116] + 2*X[890] - X[2076] <= 4
model += -X[6442] + 3*X[5017] + 2*X[2712] + X[3753] + 2*X[1540] - 2*X[2116] + X[890] - 5*X[2076] <= 3
model += -6*X[3035] - X[4011] + 3*X[6002] + X[242] + 2*X[6662] + 2*X[2922] + 2*X[7680] - X[2835] <= 4
model += -X[3035] + 3*X[4011] + 2*X[6002] + X[242] + 2*X[6662] - 2*X[2922] + X[7680] - 5*X[2835] <= 3
model += -6*X[5437] - X[4165] + 3*X[884] + X[6377] + 2*X[7127] + 2*X[2987] + 2*X[4669] - X[4541] <= 4
model += -X[5437] + 3*X[4165] + 2*X[884] + X[6377] + 2*X[7127] - 2*X[2987] + X[4669] - 5*X[4541] <= 3
model += -6*X[6047] + X[3069] - 3*X[708] - X[3595] - 2*X[1683] - 2*X[3490] - 2*X[459] + X[3941] <= -4
model += X[6047] - 4*X[3069] - X[708] + 2*X[3595] - 4*X[1683] + 6*X[3490] - 3*X[459] - 3*X[3941] <= 1
model += -6*X[7336] - X[7761] + 3*X[5826] + X[4102] + 2*X[4114] + 2*X[1859] + 2*X[100] - X[6312] <= 4
model += -X[7336] + 3*X[7761] + 2*X[5826] + X[4102] + 2*X[4114] - 2*X[1859] + X[100] - 5*X[6312] <= 3
model += -6*X[2428] - X[990] + 3*X[6087] + X[2725] + 2*X[3224] + 2*X[5301] + 2*X[1395] - X[1381] <= 4
model += -X[2428] + 3*X[990] + 2*X[6087] + X[2725] + 2*X[3224] - 2*X[5301] + X[1395] - 5*X[1381] <= 3
model += -6*X[4558] + X[7554] - 3*X[5261] - X[819] - 2*X[3844] - 2*X[356] - 2*X[2527] + X[5762] <= -4
model += X[4558] - 4*X[7554] - X[5261] + 2*X[819] - 4*X[3844] + 6*X[356] - 3*X[2527] - 3*X[5762] <= 1
model += -6*X[176] + X[3409] - 3*X[6861] - X[7506] - 2*X[2957] - 2*X[1705] - 2*X[173] + X[1340] <= -4
model += X[176] - 4*X[3409] - X[6861] + 2*X[7506] - 4*X[2957] + 6*X[1705] - 3*X[173] - 3*X[1340] <= 1
model += -6*X[2006] - X[4063] + 3*X[7734] + X[6650] + 2*X[2212] + 2*X[2992] + 2*X[3284] - X[4196] <= 4
model += -X[2006] + 3*X[4063] + 2*X[7734] + X[6650] + 2*X[2212] - 2*X[2992] + X[3284] - 5*X[4196] <= 3
model += -6*X[1887] + X[841] - 3*X[3716] - X[4066] - 2*X[6651] - 2*X[4628] - 2*X[1059] + X[4547] <= -4
model += X[1887] - 4*X[841] - X[3716] + 2*X[4066] - 4*X[6651] + 6*X[4628] - 3*X[1059] - 3*X[4547] <= 1
model += -6*X[1519] + X[6350] - 3*X[359] - X[7131] - 2*X[5914] - 2*X[3525] - 2*X[2846] + X[5733] <= -4
model += X[1519] - 4*X[6350] - X[359] + 2*X[7131] - 4*X[5914] + 6*X[3525] - 3*X[2846] - 3*X[5733] <= 1
model += -6*X[1406] + X[5795] - 3*X[3766] - X[7129] - 2*X[6258] - 2*X[1397] - 2*X[947] + X[3945] <= -4
model += X[1406] - 4*X[5795] - X[3766] + 2*X[7129] - 4*X[6258] + 6*X[1397] - 3*X[947] - 3*X[3945] <= 1
model += -6*X[5535] + X[970] - 3*X[2674] - X[2870] - 2*X[3531] - 2*X[4561] - 2*X[3894] + X[1532] <= -4
model += X[5535] - 4*X[970] - X[2674] + 2*X[2870] - 4*X[3531] + 6*X[4561] - 3*X[3894] - 3*X[1532] <= 1
model += -6*X[3911] - X[2887] + 3*X[2264] + X[2757] + 2*X[7463] + 2*X[3705] + 2*X[5873] - X[6841] <= 4
model += -X[3911] + 3*X[2887] + 2*X[2264] + X[2757] + 2*X[7463] - 2*X[3705] + X[5873] - 5*X[6841] <= 3
model += -6*X[4496] - X[2558] + 3*X[1241] + X[2711] + 2*X[1194] + 2*X[1968] + 2*X[3070] - X[6278] <= 4
model += -X[4496] + 3*X[2558] + 2*X[1241] + X[2711] + 2*X[1194] - 2*X[1968] + X[3070] - 5*X[6278] <= 3
model += -6*X[3921] - X[1007] + 3*X[6847] + X[2362] + 2*X[1415] + 2*X[3998] + 2*X[1044] - X[2570] <= 4
model += -X[3921] + 3*X[1007] + 2*X[6847] + X[2362] + 2*X[1415] - 2*X[3998] + X[1044] - 5*X[2570] <= 3
model += -6*X[2532] - X[6835] + 3*X[4127] + X[1166] + 2*X[1300] + 2*X[7674] + 2*X[7201] - X[7380] <= 4
model += -X[2532] + 3*X[6835] + 2*X[4127] + X[1166] + 2*X[1300] - 2*X[7674] + X[7201] - 5*X[7380] <= 3
model += -6*X[1310] + X[346] - 3*X[4909] - X[3489] - 2*X[6236] - 2*X[3568] - 2*X[4740] + X[2615] <= -4
model += X[1310] - 4*X[346] - X[4909] + 2*X[3489] - 4*X[6236] + 6*X[3568] - 3*X[4740] - 3*X[2615] <= 1
model += -6*X[3369] - X[2210] + 3*X[5488] + X[5197] + 2*X[7065] + 2*X[7036] + 2*X[5773] - X[3500] <= 4
model += -X[3369] + 3*X[2210] + 2*X[5488] + X[5197] + 2*X[7065] - 2*X[7036] + X[5773] - 5*X[3500] <= 3
model += -6*X[3435] - X[4910] + 3*X[6656] + X[6561] + 2*X[1995] + 2*X[2690] + 2*X[3906] - X[5489] <= 4
model += -X[3435] + 3*X[4910] + 2*X[6656] + X[6561] + 2*X[1995] - 2*X[2690] + X[3906] - 5*X[5489] <= 3
model += -6*X[1137] + X[4433] - 3*X[6110] - X[5714] - 2*X[604] - 2*X[6593] - 2*X[5639] + X[2453] <= -4
model += X[1137] - 4*X[4433] - X[6110] + 2*X[5714] - 4*X[604] + 6*X[6593] - 3*X[5639] - 3*X[2453] <= 1
model += -6*X[2315] - X[5323] + 3*X[4485] + X[6517] + 2*X[3902] + 2*X[2699] + 2*X[2140] - X[7459] <= 4
model += -X[2315] + 3*X[5323] + 2*X[4485] + X[6517] + 2*X[3902] - 2*X[2699] + X[2140] - 5*X[7459] <= 3
model += -6*X[3646] + X[231] - 3*X[1393] - X[6733] - 2*X[4232] - 2*X[6402] - 2*X[3231] + X[7224] <= -4
model += X[3646] - 4*X[231] - X[1393] + 2*X[6733] - 4*X[4232] + 6*X[6402] - 3*X[3231] - 3*X[7224] <= 1
model += -6*X[6255] - X[2266] + 3*X[2755] + X[2553] + 2*X[5751] + 2*X[6423] + 2*X[3185] - X[5046] <= 4
model += -X[6255] + 3*X[2266] + 2*X[2755] + X[2553] + 2*X[5751] - 2*X[6423] + X[3185] - 5*X[5046] <= 3
model += -6*X[881] + X[6629] - 3*X[5047] - X[5918] - 2*X[6548] - 2*X[6232] - 2*X[2234] + X[2180] <= -4
model += X[881] - 4*X[6629] - X[5047] + 2*X[5918] - 4*X[6548] + 6*X[6232] - 3*X[2234] - 3*X[2180] <= 1
model += -6*X[6770] - X[7377] + 3*X[4271] + X[5045] + 2*X[4217] + 2*X[5091] + 2*X[2540] - X[3786] <= 4
model += -X[6770] + 3*X[7377] + 2*X[4271] + X[5045] + 2*X[4217] - 2*X[5091] + X[2540] - 5*X[3786] <= 3
model += -6*X[5589] + X[268] - 3*X[2366] - X[2688] - 2*X[6580] - 2*X[5956] - 2*X[5518] + X[3214] <= -4
model += X[5589] - 4*X[268] - X[2366] + 2*X[2688] - 4*X[6580] + 6*X[5956] - 3*X[5518] - 3*X[3214] <= 1
model += -6*X[3236] - X[2301] + 3*X[4652] + X[6755] + 2*X[3393] + 2*X[4132] + 2*X[2633] - X[4650] <= 4
model += -X[3236] + 3*X[2301] + 2*X[4652] + X[6755] + 2*X[3393] - 2*X[4132] + X[2633] - 5*X[4650] <= 3
model += -6*X[1204] + X[4520] - 3*X[2672] - X[1494] - 2*X[413] - 2*X[3670] - 2*X[4752] + X[4638] <= -4
model += X[1204] - 4*X[4520] - X[2672] + 2*X[1494] - 4*X[413] + 6*X[3670] - 3*X[4752] - 3*X[4638] <= 1
model += -6*X[7496] - X[7113] + 3*X[6161] + X[6849] + 2*X[4373] + 2*X[6896] + 2*X[2402] - X[4949] <= 4
model += -X[7496] + 3*X[7113] + 2*X[6161] + X[6849] + 2*X[4373] - 2*X[6896] + X[2402] - 5*X[4949] <= 3
model += -6*X[6156] + X[7089] - 3*X[7195] - X[794] - 2*X[3745] - 2*X[6165] - 2*X[2130] + X[3851] <= -4
model += X[6156] - 4*X[7089] - X[7195] + 2*X[794] - 4*X[3745] + 6*X[6165] - 3*X[2130] - 3*X[3851] <= 1
model += -6*X[5698] - X[5003] + 3*X[3161] + X[6924] + 2*X[6906] + 2*X[5869] + 2*X[2276] - X[1823] <= 4
model += -X[5698] + 3*X[5003] + 2*X[3161] + X[6924] + 2*X[6906] - 2*X[5869] + X[2276] - 5*X[1823] <= 3
model += -6*X[5804] + X[365] - 3*X[4990] - X[4080] - 2*X[2460] - 2*X[3679] - 2*X[6342] + X[1748] <= -4
model += X[5804] - 4*X[365] - X[4990] + 2*X[4080] - 4*X[2460] + 6*X[3679] - 3*X[6342] - 3*X[1748] <= 1
model += -6*X[4786] - X[6397] + 3*X[5471] + X[2769] + 2*X[1475] + 2*X[6652] + 2*X[7648] - X[2136] <= 4
model += -X[4786] + 3*X[6397] + 2*X[5471] + X[2769] + 2*X[1475] - 2*X[6652] + X[7648] - 5*X[2136] <= 3
model += -6*X[4348] + X[1407] - 3*X[6669] - X[4637] - 2*X[3226] - 2*X[977] - 2*X[5703] + X[6495] <= -4
model += X[4348] - 4*X[1407] - X[6669] + 2*X[4637] - 4*X[3226] + 6*X[977] - 3*X[5703] - 3*X[6495] <= 1
model += -6*X[4308] - X[3087] + 3*X[4817] + X[2852] + 2*X[1664] + 2*X[6996] + 2*X[3217] - X[3302] <= 4
model += -X[4308] + 3*X[3087] + 2*X[4817] + X[2852] + 2*X[1664] - 2*X[6996] + X[3217] - 5*X[3302] <= 3
model += -6*X[3199] - X[6115] + 3*X[3798] + X[5163] + 2*X[6700] + 2*X[4012] + 2*X[1322] - X[7481] <= 4
model += -X[3199] + 3*X[6115] + 2*X[3798] + X[5163] + 2*X[6700] - 2*X[4012] + X[1322] - 5*X[7481] <= 3
model += -6*X[5708] - X[1768] + 3*X[4936] + X[3159] + 2*X[2759] + 2*X[2203] + 2*X[5838] - X[7679] <= 4
model += -X[5708] + 3*X[1768] + 2*X[4936] + X[3159] + 2*X[2759] - 2*X[2203] + X[5838] - 5*X[7679] <= 3
model += -6*X[1809] + X[7189] - 3*X[1890] - X[3604] - 2*X[2773] - 2*X[1470] - 2*X[192] + X[3141] <= -4
model += X[1809] - 4*X[7189] - X[1890] + 2*X[3604] - 4*X[2773] + 6*X[1470] - 3*X[192] - 3*X[3141] <= 1
model += -6*X[3084] + X[3223] - 3*X[6649] - X[438] - 2*X[2655] - 2*X[1114] - 2*X[5533] + X[1171] <= -4
model += X[3084] - 4*X[3223] - X[6649] + 2*X[438] - 4*X[2655] + 6*X[1114] - 3*X[5533] - 3*X[1171] <= 1
model += -6*X[4108] - X[1892] + 3*X[6863] + X[7156] + 2*X[3058] + 2*X[3337] + 2*X[5568] - X[7716] <= 4
model += -X[4108] + 3*X[1892] + 2*X[6863] + X[7156] + 2*X[3058] - 2*X[3337] + X[5568] - 5*X[7716] <= 3
model += -6*X[6113] + X[2411] - 3*X[6823] - X[2436] - 2*X[4563] - 2*X[608] - 2*X[3824] + X[5511] <= -4
model += X[6113] - 4*X[2411] - X[6823] + 2*X[2436] - 4*X[4563] + 6*X[608] - 3*X[3824] - 3*X[5511] <= 1
model += -6*X[5459] - X[6393] + 3*X[4879] + X[7279] + 2*X[4995] + 2*X[3243] + 2*X[1577] - X[5011] <= 4
model += -X[5459] + 3*X[6393] + 2*X[4879] + X[7279] + 2*X[4995] - 2*X[3243] + X[1577] - 5*X[5011] <= 3
model += -6*X[1584] + X[5268] - 3*X[7202] - X[4369] - 2*X[5550] - 2*X[718] - 2*X[3828] + X[3735] <= -4
model += X[1584] - 4*X[5268] - X[7202] + 2*X[4369] - 4*X[5550] + 6*X[718] - 3*X[3828] - 3*X[3735] <= 1
model += -6*X[3001] - X[6018] + 3*X[6592] + X[2547] + 2*X[3583] + 2*X[1187] + 2*X[7091] - X[1260] <= 4
model += -X[3001] + 3*X[6018] + 2*X[6592] + X[2547] + 2*X[3583] - 2*X[1187] + X[7091] - 5*X[1260] <= 3
model += -6*X[2251] + X[5717] - 3*X[6634] - X[7401] - 2*X[2172] - 2*X[2151] - 2*X[103] + X[7485] <= -4
model += X[2251] - 4*X[5717] - X[6634] + 2*X[7401] - 4*X[2172] + 6*X[2151] - 3*X[103] - 3*X[7485] <= 1
model += -6*X[7056] + X[707] - 3*X[2374] - X[5114] - 2*X[3373] - 2*X[1627] - 2*X[3608] + X[1289] <= -4
model += X[7056] - 4*X[707] - X[2374] + 2*X[5114] - 4*X[3373] + 6*X[1627] - 3*X[3608] - 3*X[1289] <= 1
model += -6*X[3671] + X[5915] - 3*X[468] - X[1238] - 2*X[3515] - 2*X[4983] - 2*X[3853] + X[3085] <= -4
model += X[3671] - 4*X[5915] - X[468] + 2*X[1238] - 4*X[3515] + 6*X[4983] - 3*X[3853] - 3*X[3085] <= 1
model += -6*X[5088] + X[5270] - 3*X[4410] - X[5990] - 2*X[414] - 2*X[2484] - 2*X[3029] + X[4944] <= -4
model += X[5088] - 4*X[5270] - X[4410] + 2*X[5990] - 4*X[414] + 6*X[2484] - 3*X[3029] - 3*X[4944] <= 1
model += -6*X[487] + X[5645] - 3*X[7050] - X[2455] - 2*X[2980] - 2*X[7110] - 2*X[6346] + X[3331] <= -4
model += X[487] - 4*X[5645] - X[7050] + 2*X[2455] - 4*X[2980] + 6*X[7110] - 3*X[6346] - 3*X[3331] <= 1
model += -6*X[6884] - X[7555] + 3*X[5903] + X[5799] + 2*X[5688] + 2*X[1969] + 2*X[3950] - X[4446] <= 4
model += -X[6884] + 3*X[7555] + 2*X[5903] + X[5799] + 2*X[5688] - 2*X[1969] + X[3950] - 5*X[4446] <= 3
model += -6*X[4504] + X[4054] - 3*X[6065] - X[4375] - 2*X[6329] - 2*X[4559] - 2*X[567] + X[2911] <= -4
model += X[4504] - 4*X[4054] - X[6065] + 2*X[4375] - 4*X[6329] + 6*X[4559] - 3*X[567] - 3*X[2911] <= 1
model += -6*X[5630] + X[418] - 3*X[7476] - X[2955] - 2*X[1962] - 2*X[5444] - 2*X[4575] + X[5339] <= -4
model += X[5630] - 4*X[418] - X[7476] + 2*X[2955] - 4*X[1962] + 6*X[5444] - 3*X[4575] - 3*X[5339] <= 1
model += -6*X[1937] - X[3987] + 3*X[2586] + X[4624] + 2*X[7034] + 2*X[7431] + 2*X[1347] - X[5614] <= 4
model += -X[1937] + 3*X[3987] + 2*X[2586] + X[4624] + 2*X[7034] - 2*X[7431] + X[1347] - 5*X[5614] <= 3
model += 3*X[4116] + 9*X[21] + 7*X[7501] + 5*X[5429] - X[4344] - 4*X[1375] + 2*X[662] - 8*X[354] <= 12
model += -6*X[1040] + X[312] - 3*X[7759] - X[6937] - 2*X[4370] - 2*X[3790] - 2*X[4884] + X[2139] <= -4
model += X[1040] - 4*X[312] - X[7759] + 2*X[6937] - 4*X[4370] + 6*X[3790] - 3*X[4884] - 3*X[2139] <= 1
model += -6*X[6450] + X[241] - 3*X[7015] - X[1992] - 2*X[2867] - 2*X[5735] - 2*X[5929] + X[2236] <= -4
model += X[6450] - 4*X[241] - X[7015] + 2*X[1992] - 4*X[2867] + 6*X[5735] - 3*X[5929] - 3*X[2236] <= 1
model += -6*X[322] + X[7360] - 3*X[3702] - X[3712] - 2*X[6888] - 2*X[2154] - 2*X[3476] + X[4477] <= -4
model += X[322] - 4*X[7360] - X[3702] + 2*X[3712] - 4*X[6888] + 6*X[2154] - 3*X[3476] - 3*X[4477] <= 1
model += -6*X[7182] - X[3502] + 3*X[2019] + X[2345] + 2*X[7641] + 2*X[4858] + 2*X[4784] - X[7184] <= 4
model += -X[7182] + 3*X[3502] + 2*X[2019] + X[2345] + 2*X[7641] - 2*X[4858] + X[4784] - 5*X[7184] <= 3
model += -6*X[2083] - X[2336] + 3*X[6360] + X[3175] + 2*X[1777] + 2*X[5480] + 2*X[1975] - X[1502] <= 4
model += -X[2083] + 3*X[2336] + 2*X[6360] + X[3175] + 2*X[1777] - 2*X[5480] + X[1975] - 5*X[1502] <= 3
model += -6*X[4720] - X[5741] + 3*X[2252] + X[7382] + 2*X[4007] + 2*X[1207] + 2*X[7302] - X[6609] <= 4
model += -X[4720] + 3*X[5741] + 2*X[2252] + X[7382] + 2*X[4007] - 2*X[1207] + X[7302] - 5*X[6609] <= 3
model += -6*X[3732] + X[739] - 3*X[2860] - X[2296] - 2*X[2397] - 2*X[1739] - 2*X[6452] + X[6997] <= -4
model += X[3732] - 4*X[739] - X[2860] + 2*X[2296] - 4*X[2397] + 6*X[1739] - 3*X[6452] - 3*X[6997] <= 1
model += -6*X[1452] - X[1282] + 3*X[2467] + X[5122] + 2*X[7592] + 2*X[2040] + 2*X[5644] - X[1579] <= 4
model += -X[1452] + 3*X[1282] + 2*X[2467] + X[5122] + 2*X[7592] - 2*X[2040] + X[5644] - 5*X[1579] <= 3
model += -6*X[2489] + X[6132] - 3*X[361] - X[3094] - 2*X[6715] - 2*X[6143] - 2*X[1831] + X[4906] <= -4
model += X[2489] - 4*X[6132] - X[361] + 2*X[3094] - 4*X[6715] + 6*X[6143] - 3*X[1831] - 3*X[4906] <= 1
model += -6*X[7148] + X[6381] - 3*X[5367] - X[1000] - 2*X[185] - 2*X[4292] - 2*X[1012] + X[7209] <= -4
model += X[7148] - 4*X[6381] - X[5367] + 2*X[1000] - 4*X[185] + 6*X[4292] - 3*X[1012] - 3*X[7209] <= 1
model += -6*X[1075] + X[7434] - 3*X[1720] - X[5837] - 2*X[889] - 2*X[1703] - 2*X[5282] + X[3593] <= -4
model += X[1075] - 4*X[7434] - X[1720] + 2*X[5837] - 4*X[889] + 6*X[1703] - 3*X[5282] - 3*X[3593] <= 1
model += -6*X[6701] + X[4361] - 3*X[629] - X[6759] - 2*X[1357] - 2*X[2833] - 2*X[2908] + X[6608] <= -4
model += X[6701] - 4*X[4361] - X[629] + 2*X[6759] - 4*X[1357] + 6*X[2833] - 3*X[2908] - 3*X[6608] <= 1
model += -6*X[5348] - X[2442] + 3*X[3357] + X[3512] + 2*X[6425] + 2*X[7530] + 2*X[5831] - X[6698] <= 4
model += -X[5348] + 3*X[2442] + 2*X[3357] + X[3512] + 2*X[6425] - 2*X[7530] + X[5831] - 5*X[6698] <= 3
model += -6*X[1729] + X[1740] - 3*X[4831] - X[1430] - 2*X[6751] - 2*X[5474] - 2*X[1855] + X[907] <= -4
model += X[1729] - 4*X[1740] - X[4831] + 2*X[1430] - 4*X[6751] + 6*X[5474] - 3*X[1855] - 3*X[907] <= 1
model += -6*X[3131] - X[2709] + 3*X[2808] + X[3417] + 2*X[3073] + 2*X[4875] + 2*X[6203] - X[3475] <= 4
model += -X[3131] + 3*X[2709] + 2*X[2808] + X[3417] + 2*X[3073] - 2*X[4875] + X[6203] - 5*X[3475] <= 3
model += -6*X[1818] - X[1709] + 3*X[1643] + X[1095] + 2*X[2222] + 2*X[2356] + 2*X[3422] - X[4772] <= 4
model += -X[1818] + 3*X[1709] + 2*X[1643] + X[1095] + 2*X[2222] - 2*X[2356] + X[3422] - 5*X[4772] <= 3
model += -6*X[6702] + X[3699] - 3*X[3601] - X[2801] - 2*X[292] - 2*X[3793] - 2*X[7541] + X[3829] <= -4
model += X[6702] - 4*X[3699] - X[3601] + 2*X[2801] - 4*X[292] + 6*X[3793] - 3*X[7541] - 3*X[3829] <= 1
model += -6*X[5602] - X[1080] + 3*X[4539] + X[4913] + 2*X[4302] + 2*X[2592] + 2*X[6515] - X[2638] <= 4
model += -X[5602] + 3*X[1080] + 2*X[4539] + X[4913] + 2*X[4302] - 2*X[2592] + X[6515] - 5*X[2638] <= 3
model += -6*X[4845] + X[2897] - 3*X[6288] - X[4692] - 2*X[7414] - 2*X[989] - 2*X[7157] + X[4708] <= -4
model += X[4845] - 4*X[2897] - X[6288] + 2*X[4692] - 4*X[7414] + 6*X[989] - 3*X[7157] - 3*X[4708] <= 1
model += -6*X[788] + X[4399] - 3*X[3611] - X[1815] - 2*X[5029] - 2*X[2190] - 2*X[1235] + X[7556] <= -4
model += X[788] - 4*X[4399] - X[3611] + 2*X[1815] - 4*X[5029] + 6*X[2190] - 3*X[1235] - 3*X[7556] <= 1
model += -6*X[6279] + X[7031] - 3*X[3822] - X[2243] - 2*X[3872] - 2*X[1233] - 2*X[2783] + X[679] <= -4
model += X[6279] - 4*X[7031] - X[3822] + 2*X[2243] - 4*X[3872] + 6*X[1233] - 3*X[2783] - 3*X[679] <= 1
model += -6*X[4110] - X[3747] + 3*X[2798] + X[2646] + 2*X[1098] + 2*X[4781] + 2*X[4749] - X[7635] <= 4
model += -X[4110] + 3*X[3747] + 2*X[2798] + X[2646] + 2*X[1098] - 2*X[4781] + X[4749] - 5*X[7635] <= 3
model += -6*X[3498] - X[7123] + 3*X[7287] + X[6762] + 2*X[1425] + 2*X[2550] + 2*X[4367] - X[5579] <= 4
model += -X[3498] + 3*X[7123] + 2*X[7287] + X[6762] + 2*X[1425] - 2*X[2550] + X[4367] - 5*X[5579] <= 3
model += -6*X[5715] - X[3240] + 3*X[1723] + X[2630] + 2*X[4770] + 2*X[6699] + 2*X[5500] - X[4123] <= 4
model += -X[5715] + 3*X[3240] + 2*X[1723] + X[2630] + 2*X[4770] - 2*X[6699] + X[5500] - 5*X[4123] <= 3
model += -6*X[2330] + X[1004] - 3*X[7160] - X[848] - 2*X[3351] - 2*X[2999] - 2*X[3009] + X[7624] <= -4
model += X[2330] - 4*X[1004] - X[7160] + 2*X[848] - 4*X[3351] + 6*X[2999] - 3*X[3009] - 3*X[7624] <= 1
model += -6*X[175] + X[3050] - 3*X[2050] - X[1450] - 2*X[7703] - 2*X[2250] - 2*X[2767] + X[6760] <= -4
model += X[175] - 4*X[3050] - X[2050] + 2*X[1450] - 4*X[7703] + 6*X[2250] - 3*X[2767] - 3*X[6760] <= 1
model += -6*X[1355] + X[4076] - 3*X[1290] - X[5320] - 2*X[428] - 2*X[1553] - 2*X[1462] + X[5124] <= -4
model += X[1355] - 4*X[4076] - X[1290] + 2*X[5320] - 4*X[428] + 6*X[1553] - 3*X[1462] - 3*X[5124] <= 1
model += -6*X[3410] + X[4613] - 3*X[3526] - X[4912] - 2*X[1620] - 2*X[674] - 2*X[4801] + X[2733] <= -4
model += X[3410] - 4*X[4613] - X[3526] + 2*X[4912] - 4*X[1620] + 6*X[674] - 3*X[4801] - 3*X[2733] <= 1
model += -6*X[6120] - X[2853] + 3*X[4314] + X[3365] + 2*X[1183] + 2*X[7104] + 2*X[3842] - X[5486] <= 4
model += -X[6120] + 3*X[2853] + 2*X[4314] + X[3365] + 2*X[1183] - 2*X[7104] + X[3842] - 5*X[5486] <= 3
model += -6*X[5453] - X[5912] + 3*X[6860] + X[3852] + 2*X[6261] + 2*X[4273] + 2*X[5836] - X[2971] <= 4
model += -X[5453] + 3*X[5912] + 2*X[6860] + X[3852] + 2*X[6261] - 2*X[4273] + X[5836] - 5*X[2971] <= 3
model += -6*X[5593] + X[7551] - 3*X[463] - X[7521] - 2*X[3966] - 2*X[3903] - 2*X[3014] + X[1248] <= -4
model += X[5593] - 4*X[7551] - X[463] + 2*X[7521] - 4*X[3966] + 6*X[3903] - 3*X[3014] - 3*X[1248] <= 1
model += -6*X[7539] + X[5882] - 3*X[508] - X[1161] - 2*X[4479] - 2*X[3874] - 2*X[7668] + X[2621] <= -4
model += X[7539] - 4*X[5882] - X[508] + 2*X[1161] - 4*X[4479] + 6*X[3874] - 3*X[7668] - 3*X[2621] <= 1
model += -6*X[2359] - X[6525] + 3*X[4022] + X[3048] + 2*X[5603] + 2*X[6789] + 2*X[4779] - X[5376] <= 4
model += -X[2359] + 3*X[6525] + 2*X[4022] + X[3048] + 2*X[5603] - 2*X[6789] + X[4779] - 5*X[5376] <= 3
model += -6*X[4173] + X[1268] - 3*X[4619] - X[2618] - 2*X[2764] - 2*X[6201] - 2*X[726] + X[2284] <= -4
model += X[4173] - 4*X[1268] - X[4619] + 2*X[2618] - 4*X[2764] + 6*X[6201] - 3*X[726] - 3*X[2284] <= 1
model += -6*X[992] + X[7655] - 3*X[1489] - X[6594] - 2*X[7436] - 2*X[2975] - 2*X[1192] + X[5549] <= -4
model += X[992] - 4*X[7655] - X[1489] + 2*X[6594] - 4*X[7436] + 6*X[2975] - 3*X[1192] - 3*X[5549] <= 1
model += -6*X[1228] + X[4722] - 3*X[7263] - X[2458] - 2*X[2696] - 2*X[239] - 2*X[5852] + X[5556] <= -4
model += X[1228] - 4*X[4722] - X[7263] + 2*X[2458] - 4*X[2696] + 6*X[239] - 3*X[5852] - 3*X[5556] <= 1
model += -6*X[2350] + X[5330] - 3*X[1453] - X[2832] - 2*X[783] - 2*X[2985] - 2*X[7760] + X[1835] <= -4
model += X[2350] - 4*X[5330] - X[1453] + 2*X[2832] - 4*X[783] + 6*X[2985] - 3*X[7760] - 3*X[1835] <= 1
model += -6*X[7262] + X[4747] - 3*X[3481] - X[3064] - 2*X[562] - 2*X[1279] - 2*X[3146] + X[3850] <= -4
model += X[7262] - 4*X[4747] - X[3481] + 2*X[3064] - 4*X[562] + 6*X[1279] - 3*X[3146] - 3*X[3850] <= 1
model += -6*X[6421] - X[1093] + 3*X[2902] + X[5734] + 2*X[3398] + 2*X[6952] + 2*X[7292] - X[5443] <= 4
model += -X[6421] + 3*X[1093] + 2*X[2902] + X[5734] + 2*X[3398] - 2*X[6952] + X[7292] - 5*X[5443] <= 3
model += -6*X[2081] - X[1461] + 3*X[5381] + X[1104] + 2*X[4970] + 2*X[1805] + 2*X[5227] - X[4532] <= 4
model += -X[2081] + 3*X[1461] + 2*X[5381] + X[1104] + 2*X[4970] - 2*X[1805] + X[5227] - 5*X[4532] <= 3
model += -6*X[1566] - X[1313] + 3*X[5998] + X[3275] + 2*X[4351] + 2*X[6090] + 2*X[7548] - X[1018] <= 4
model += -X[1566] + 3*X[1313] + 2*X[5998] + X[3275] + 2*X[4351] - 2*X[6090] + X[7548] - 5*X[1018] <= 3
model += -6*X[1653] - X[3256] + 3*X[6708] + X[2142] + 2*X[6661] + 2*X[5575] + 2*X[6339] - X[6321] <= 4
model += -X[1653] + 3*X[3256] + 2*X[6708] + X[2142] + 2*X[6661] - 2*X[5575] + X[6339] - 5*X[6321] <= 3
model += -6*X[6761] + X[2786] - 3*X[3155] - X[6825] - 2*X[1428] - 2*X[1359] - 2*X[769] + X[7557] <= -4
model += X[6761] - 4*X[2786] - X[3155] + 2*X[6825] - 4*X[1428] + 6*X[1359] - 3*X[769] - 3*X[7557] <= 1
model += -6*X[3469] + X[5591] - 3*X[2260] - X[7790] - 2*X[7746] - 2*X[4239] - 2*X[6547] + X[155] <= -4
model += X[3469] - 4*X[5591] - X[2260] + 2*X[7790] - 4*X[7746] + 6*X[4239] - 3*X[6547] - 3*X[155] <= 1
model += -6*X[2878] + X[984] - 3*X[6941] - X[4597] - 2*X[2184] - 2*X[4015] - 2*X[4577] + X[6793] <= -4
model += X[2878] - 4*X[984] - X[6941] + 2*X[4597] - 4*X[2184] + 6*X[4015] - 3*X[4577] - 3*X[6793] <= 1
model += -6*X[7135] + X[803] - 3*X[2416] - X[4672] - 2*X[5060] - 2*X[5857] - 2*X[6964] + X[6911] <= -4
model += X[7135] - 4*X[803] - X[2416] + 2*X[4672] - 4*X[5060] + 6*X[5857] - 3*X[6964] - 3*X[6911] <= 1
model += -6*X[5074] + X[4667] - 3*X[1573] - X[188] - 2*X[1429] - 2*X[4150] - 2*X[7474] + X[4951] <= -4
model += X[5074] - 4*X[4667] - X[1573] + 2*X[188] - 4*X[1429] + 6*X[4150] - 3*X[7474] - 3*X[4951] <= 1
model += -6*X[4182] - X[6468] + 3*X[6562] + X[1567] + 2*X[6668] + 2*X[4741] + 2*X[4098] - X[3347] <= 4
model += -X[4182] + 3*X[6468] + 2*X[6562] + X[1567] + 2*X[6668] - 2*X[4741] + X[4098] - 5*X[3347] <= 3
model += -6*X[7077] - X[6645] + 3*X[3698] + X[1560] + 2*X[7274] + 2*X[3097] + 2*X[2874] - X[7220] <= 4
model += -X[7077] + 3*X[6645] + 2*X[3698] + X[1560] + 2*X[7274] - 2*X[3097] + X[2874] - 5*X[7220] <= 3
model += -6*X[711] + X[7756] - 3*X[4544] - X[6917] - 2*X[3803] - 2*X[7151] - 2*X[7715] + X[7230] <= -4
model += X[711] - 4*X[7756] - X[4544] + 2*X[6917] - 4*X[3803] + 6*X[7151] - 3*X[7715] - 3*X[7230] <= 1
model += 3*X[377] + 9*X[7490] + 7*X[1294] + 5*X[5982] - X[482] - 4*X[66] + 2*X[1144] - 8*X[3079] <= 12
model += -6*X[3178] - X[3468] + 3*X[7457] + X[4236] + 2*X[4346] + 2*X[4014] + 2*X[6269] - X[6959] <= 4
model += -X[3178] + 3*X[3468] + 2*X[7457] + X[4236] + 2*X[4346] - 2*X[4014] + X[6269] - 5*X[6959] <= 3
model += -6*X[6136] - X[4316] + 3*X[1379] + X[6638] + 2*X[3454] + 2*X[5784] + 2*X[3000] - X[3672] <= 4
model += -X[6136] + 3*X[4316] + 2*X[1379] + X[6638] + 2*X[3454] - 2*X[5784] + X[3000] - 5*X[3672] <= 3
model += -6*X[1445] - X[1903] + 3*X[3273] + X[5920] + 2*X[3938] + 2*X[2476] + 2*X[5848] - X[4640] <= 4
model += -X[1445] + 3*X[1903] + 2*X[3273] + X[5920] + 2*X[3938] - 2*X[2476] + X[5848] - 5*X[4640] <= 3
model += -6*X[2153] + X[5051] - 3*X[1071] - X[4087] - 2*X[755] - 2*X[2511] - 2*X[1830] + X[5551] <= -4
model += X[2153] - 4*X[5051] - X[1071] + 2*X[4087] - 4*X[755] + 6*X[2511] - 3*X[1830] - 3*X[5551] <= 1
model += -6*X[806] + X[6758] - 3*X[1057] - X[5359] - 2*X[3173] - 2*X[5440] - 2*X[1534] + X[5618] <= -4
model += X[806] - 4*X[6758] - X[1057] + 2*X[5359] - 4*X[3173] + 6*X[5440] - 3*X[1534] - 3*X[5618] <= 1
model += 3*X[272] + 9*X[1048] + 7*X[6102] + 5*X[181] - X[6449] - 4*X[4725] + 2*X[715] - 8*X[894] <= 12
model += -6*X[3470] - X[6801] + 3*X[6774] + X[6127] + 2*X[7222] + 2*X[1156] + 2*X[7642] - X[6336] <= 4
model += -X[3470] + 3*X[6801] + 2*X[6774] + X[6127] + 2*X[7222] - 2*X[1156] + X[7642] - 5*X[6336] <= 3
model += -6*X[1654] + X[581] - 3*X[4657] - X[5616] - 2*X[1881] - 2*X[6465] - 2*X[7639] + X[2444] <= -4
model += X[1654] - 4*X[581] - X[4657] + 2*X[5616] - 4*X[1881] + 6*X[6465] - 3*X[7639] - 3*X[2444] <= 1
model += -6*X[6353] - X[3019] + 3*X[4372] + X[2272] + 2*X[2383] + 2*X[1694] + 2*X[4121] - X[6868] <= 4
model += -X[6353] + 3*X[3019] + 2*X[4372] + X[2272] + 2*X[2383] - 2*X[1694] + X[4121] - 5*X[6868] <= 3
model += -6*X[1732] + X[4045] - 3*X[3756] - X[3956] - 2*X[5691] - 2*X[7003] - 2*X[109] + X[3768] <= -4
model += X[1732] - 4*X[4045] - X[3756] + 2*X[3956] - 4*X[5691] + 6*X[7003] - 3*X[109] - 3*X[3768] <= 1
model += -6*X[1436] + X[5509] - 3*X[987] - X[5129] - 2*X[1503] - 2*X[4404] - 2*X[7598] + X[5173] <= -4
model += X[1436] - 4*X[5509] - X[987] + 2*X[5129] - 4*X[1503] + 6*X[4404] - 3*X[7598] - 3*X[5173] <= 1
model += -6*X[2685] + X[3951] - 3*X[4925] - X[3580] - 2*X[2856] - 2*X[5823] - 2*X[6853] + X[240] <= -4
model += X[2685] - 4*X[3951] - X[4925] + 2*X[3580] - 4*X[2856] + 6*X[5823] - 3*X[6853] - 3*X[240] <= 1
model += -6*X[4954] + X[7469] - 3*X[2403] - X[7774] - 2*X[4630] - 2*X[3729] - 2*X[6709] + X[888] <= -4
model += X[4954] - 4*X[7469] - X[2403] + 2*X[7774] - 4*X[4630] + 6*X[3729] - 3*X[6709] - 3*X[888] <= 1
model += -6*X[5032] + X[5097] - 3*X[1052] - X[648] - 2*X[4571] - 2*X[4707] - 2*X[2423] + X[3858] <= -4
model += X[5032] - 4*X[5097] - X[1052] + 2*X[648] - 4*X[4571] + 6*X[4707] - 3*X[2423] - 3*X[3858] <= 1
model += -6*X[2606] - X[2659] + 3*X[5025] + X[7461] + 2*X[1722] + 2*X[2724] + 2*X[6341] - X[7447] <= 4
model += -X[2606] + 3*X[2659] + 2*X[5025] + X[7461] + 2*X[1722] - 2*X[2724] + X[6341] - 5*X[7447] <= 3
model += -6*X[5055] + X[6351] - 3*X[587] - X[7081] - 2*X[4214] - 2*X[5040] - 2*X[3591] + X[1667] <= -4
model += X[5055] - 4*X[6351] - X[587] + 2*X[7081] - 4*X[4214] + 6*X[5040] - 3*X[3591] - 3*X[1667] <= 1
model += -6*X[5971] - X[3692] + 3*X[7494] + X[5678] + 2*X[7657] + 2*X[5476] + 2*X[5495] - X[7419] <= 4
model += -X[5971] + 3*X[3692] + 2*X[7494] + X[5678] + 2*X[7657] - 2*X[5476] + X[5495] - 5*X[7419] <= 3
model += 3*X[74] + 9*X[3312] + 7*X[5210] + 5*X[2337] - X[408] - 4*X[358] + 2*X[2198] - 8*X[7752] <= 12
model += -6*X[6727] + X[6826] - 3*X[1403] - X[157] - 2*X[6870] - 2*X[3278] - 2*X[5401] + X[2865] <= -4
model += X[6727] - 4*X[6826] - X[1403] + 2*X[157] - 4*X[6870] + 6*X[3278] - 3*X[5401] - 3*X[2865] <= 1
model += -6*X[7646] + X[3694] - 3*X[6518] - X[3730] - 2*X[5605] - 2*X[3864] - 2*X[6020] + X[931] <= -4
model += X[7646] - 4*X[3694] - X[6518] + 2*X[3730] - 4*X[5605] + 6*X[3864] - 3*X[6020] - 3*X[931] <= 1
model += -6*X[5668] + X[958] - 3*X[2308] - X[5171] - 2*X[1284] - 2*X[7058] - 2*X[4400] + X[3375] <= -4
model += X[5668] - 4*X[958] - X[2308] + 2*X[5171] - 4*X[1284] + 6*X[7058] - 3*X[4400] - 3*X[3375] <= 1
model += -6*X[1076] - X[3770] + 3*X[4438] + X[6878] + 2*X[7008] + 2*X[5293] + 2*X[2732] - X[5972] <= 4
model += -X[1076] + 3*X[3770] + 2*X[4438] + X[6878] + 2*X[7008] - 2*X[5293] + X[2732] - 5*X[5972] <= 3
model += -6*X[3647] + X[5694] - 3*X[1467] - X[3637] - 2*X[5139] - 2*X[7040] - 2*X[5433] + X[304] <= -4
model += X[3647] - 4*X[5694] - X[1467] + 2*X[3637] - 4*X[5139] + 6*X[7040] - 3*X[5433] - 3*X[304] <= 1
model += -6*X[7087] - X[3835] + 3*X[1696] + X[3549] + 2*X[3810] + 2*X[7614] + 2*X[4115] - X[5958] <= 4
model += -X[7087] + 3*X[3835] + 2*X[1696] + X[3549] + 2*X[3810] - 2*X[7614] + X[4115] - 5*X[5958] <= 3
model += -6*X[6426] - X[6446] + 3*X[4216] + X[6057] + 2*X[2708] + 2*X[6632] + 2*X[2078] - X[5780] <= 4
model += -X[6426] + 3*X[6446] + 2*X[4216] + X[6057] + 2*X[2708] - 2*X[6632] + X[2078] - 5*X[5780] <= 3
model += -6*X[1205] + X[485] - 3*X[2481] - X[4059] - 2*X[5024] - 2*X[6788] - 2*X[6778] + X[1568] <= -4
model += X[1205] - 4*X[485] - X[2481] + 2*X[4059] - 4*X[5024] + 6*X[6788] - 3*X[6778] - 3*X[1568] <= 1
model += -6*X[1812] + X[7394] - 3*X[1482] - X[2876] - 2*X[2825] - 2*X[4931] - 2*X[4726] + X[343] <= -4
model += X[1812] - 4*X[7394] - X[1482] + 2*X[2876] - 4*X[2825] + 6*X[4931] - 3*X[4726] - 3*X[343] <= 1
model += -6*X[6879] - X[5805] + 3*X[1164] + X[4303] + 2*X[6852] + 2*X[2469] + 2*X[2145] - X[2849] <= 4
model += -X[6879] + 3*X[5805] + 2*X[1164] + X[4303] + 2*X[6852] - 2*X[2469] + X[2145] - 5*X[2849] <= 3
model += -6*X[1146] - X[4790] + 3*X[7028] + X[1948] + 2*X[2379] + 2*X[3120] + 2*X[3584] - X[6227] <= 4
model += -X[1146] + 3*X[4790] + 2*X[7028] + X[1948] + 2*X[2379] - 2*X[3120] + X[3584] - 5*X[6227] <= 3
model += 10*X[4047] - 12*X[446] + 4*X[300] + 7*X[7] + 2*X[7480] - 6*X[7054] - X[56] + 13*X[1592] <= 16
model += -6*X[782] + X[6920] - 3*X[2671] - X[3148] - 2*X[4625] - 2*X[3333] - 2*X[7239] + X[1391] <= -4
model += X[782] - 4*X[6920] - X[2671] + 2*X[3148] - 4*X[4625] + 6*X[3333] - 3*X[7239] - 3*X[1391] <= 1
model += -6*X[7273] - X[2120] + 3*X[1520] + X[3644] + 2*X[2602] + 2*X[5457] + 2*X[7667] - X[3425] <= 4
model += -X[7273] + 3*X[2120] + 2*X[1520] + X[3644] + 2*X[2602] - 2*X[5457] + X[7667] - 5*X[3425] <= 3
model += -6*X[5978] - X[2438] + 3*X[2159] + X[6194] + 2*X[6414] + 2*X[2954] + 2*X[1871] - X[2459] <= 4
model += -X[5978] + 3*X[2438] + 2*X[2159] + X[6194] + 2*X[6414] - 2*X[2954] + X[1871] - 5*X[2459] <= 3
model += -6*X[2164] + X[6349] - 3*X[1917] - X[1222] - 2*X[3024] - 2*X[5472] - 2*X[340] + X[7575] <= -4
model += X[2164] - 4*X[6349] - X[1917] + 2*X[1222] - 4*X[3024] + 6*X[5472] - 3*X[340] - 3*X[7575] <= 1
model += -6*X[5822] - X[4019] + 3*X[6438] + X[7139] + 2*X[1283] + 2*X[2573] + 2*X[2579] - X[7704] <= 4
model += -X[5822] + 3*X[4019] + 2*X[6438] + X[7139] + 2*X[1283] - 2*X[2573] + X[2579] - 5*X[7704] <= 3
model += -6*X[415] + X[7749] - 3*X[6198] - X[1017] - 2*X[1837] - 2*X[1836] - 2*X[6902] + X[1626] <= -4
model += X[415] - 4*X[7749] - X[6198] + 2*X[1017] - 4*X[1837] + 6*X[1836] - 3*X[6902] - 3*X[1626] <= 1
model += -6*X[3760] + X[5360] - 3*X[3356] - X[1464] - 2*X[814] - 2*X[2433] - 2*X[1115] + X[3304] <= -4
model += X[3760] - 4*X[5360] - X[3356] + 2*X[1464] - 4*X[814] + 6*X[2433] - 3*X[1115] - 3*X[3304] <= 1
model += -6*X[7064] - X[3989] + 3*X[3900] + X[2943] + 2*X[4766] + 2*X[4855] + 2*X[5842] - X[7526] <= 4
model += -X[7064] + 3*X[3989] + 2*X[3900] + X[2943] + 2*X[4766] - 2*X[4855] + X[5842] - 5*X[7526] <= 3
model += -6*X[5228] + X[944] - 3*X[6589] - X[2463] - 2*X[1317] - 2*X[1914] - 2*X[1531] + X[6063] <= -4
model += X[5228] - 4*X[944] - X[6589] + 2*X[2463] - 4*X[1317] + 6*X[1914] - 3*X[1531] - 3*X[6063] <= 1
model += -6*X[930] + X[7029] - 3*X[5563] - X[2726] - 2*X[2437] - 2*X[6578] - 2*X[1193] + X[1145] <= -4
model += X[930] - 4*X[7029] - X[5563] + 2*X[2726] - 4*X[2437] + 6*X[6578] - 3*X[1193] - 3*X[1145] <= 1
model += 3*X[1011] + 9*X[319] + 7*X[5090] + 5*X[7046] - X[642] - 4*X[2149] + 2*X[417] - 8*X[993] <= 12
model += -6*X[3378] - X[2534] + 3*X[5456] + X[1960] + 2*X[2483] + 2*X[2434] + 2*X[4256] - X[5283] <= 4
model += -X[3378] + 3*X[2534] + 2*X[5456] + X[1960] + 2*X[2483] - 2*X[2434] + X[4256] - 5*X[5283] <= 3
model += -6*X[4834] - X[4389] + 3*X[6459] + X[1795] + 2*X[1936] + 2*X[5633] + 2*X[6006] - X[6187] <= 4
model += -X[4834] + 3*X[4389] + 2*X[6459] + X[1795] + 2*X[1936] - 2*X[5633] + X[6006] - 5*X[6187] <= 3
model += -6*X[4270] + X[227] - 3*X[1607] - X[2889] - 2*X[3511] - 2*X[1008] - 2*X[6904] + X[2360] <= -4
model += X[4270] - 4*X[227] - X[1607] + 2*X[2889] - 4*X[3511] + 6*X[1008] - 3*X[6904] - 3*X[2360] <= 1
model += -6*X[2305] + X[421] - 3*X[5573] - X[6135] - 2*X[2869] - 2*X[4918] - 2*X[1861] + X[4631] <= -4
model += X[2305] - 4*X[421] - X[5573] + 2*X[6135] - 4*X[2869] + 6*X[4918] - 3*X[1861] - 3*X[4631] <= 1
model += -6*X[6542] - X[1778] + 3*X[1789] + X[5719] + 2*X[1951] + 2*X[7152] + 2*X[4413] - X[3238] <= 4
model += -X[6542] + 3*X[1778] + 2*X[1789] + X[5719] + 2*X[1951] - 2*X[7152] + X[4413] - 5*X[3238] <= 3
model += -6*X[1674] + X[1757] - 3*X[4051] - X[518] - 2*X[7218] - 2*X[1646] - 2*X[6249] + X[2017] <= -4
model += X[1674] - 4*X[1757] - X[4051] + 2*X[518] - 4*X[7218] + 6*X[1646] - 3*X[6249] - 3*X[2017] <= 1
model += -6*X[5584] + X[6401] - 3*X[804] - X[4600] - 2*X[4382] - 2*X[6485] - 2*X[4250] + X[6551] <= -4
model += X[5584] - 4*X[6401] - X[804] + 2*X[4600] - 4*X[4382] + 6*X[6485] - 3*X[4250] - 3*X[6551] <= 1
model += -6*X[6864] - X[3817] + 3*X[4356] + X[1342] + 2*X[7136] + 2*X[6527] + 2*X[6819] - X[1382] <= 4
model += -X[6864] + 3*X[3817] + 2*X[4356] + X[1342] + 2*X[7136] - 2*X[6527] + X[6819] - 5*X[1382] <= 3
model += -6*X[1281] - X[3689] + 3*X[5749] + X[3427] + 2*X[7373] + 2*X[7519] + 2*X[6570] - X[4525] <= 4
model += -X[1281] + 3*X[3689] + 2*X[5749] + X[3427] + 2*X[7373] - 2*X[7519] + X[6570] - 5*X[4525] <= 3
model += -6*X[1398] + X[2572] - 3*X[1152] - X[6927] - 2*X[1822] - 2*X[5620] - 2*X[655] + X[5897] <= -4
model += X[1398] - 4*X[2572] - X[1152] + 2*X[6927] - 4*X[1822] + 6*X[5620] - 3*X[655] - 3*X[5897] <= 1
model += -6*X[7332] + X[5705] - 3*X[1597] - X[3569] - 2*X[1847] - 2*X[2348] - 2*X[5941] + X[439] <= -4
model += X[7332] - 4*X[5705] - X[1597] + 2*X[3569] - 4*X[1847] + 6*X[2348] - 3*X[5941] - 3*X[439] <= 1
model += -6*X[6749] - X[5442] + 3*X[6184] + X[4864] + 2*X[1876] + 2*X[3194] + 2*X[2785] - X[5418] <= 4
model += -X[6749] + 3*X[5442] + 2*X[6184] + X[4864] + 2*X[1876] - 2*X[3194] + X[2785] - 5*X[5418] <= 3
model += -6*X[1394] + X[4042] - 3*X[1021] - X[1136] - 2*X[2263] - 2*X[6334] - 2*X[2388] + X[705] <= -4
model += X[1394] - 4*X[4042] - X[1021] + 2*X[1136] - 4*X[2263] + 6*X[6334] - 3*X[2388] - 3*X[705] <= 1
model += -6*X[1287] - X[6822] + 3*X[6892] + X[3567] + 2*X[5529] + 2*X[3837] + 2*X[3703] - X[5832] <= 4
model += -X[1287] + 3*X[6822] + 2*X[6892] + X[3567] + 2*X[5529] - 2*X[3837] + X[3703] - 5*X[5832] <= 3
model += -6*X[293] + X[3210] - 3*X[3924] - X[2498] - 2*X[4863] - 2*X[6834] - 2*X[2960] + X[4921] <= -4
model += X[293] - 4*X[3210] - X[3924] + 2*X[2498] - 4*X[4863] + 6*X[6834] - 3*X[2960] - 3*X[4921] <= 1
model += -6*X[6805] - X[6015] + 3*X[4056] + X[4830] + 2*X[7361] + 2*X[7423] + 2*X[6978] - X[1967] <= 4
model += -X[6805] + 3*X[6015] + 2*X[4056] + X[4830] + 2*X[7361] - 2*X[7423] + X[6978] - 5*X[1967] <= 3
model += -6*X[2080] + X[4069] - 3*X[6362] - X[6237] - 2*X[729] - 2*X[5995] - 2*X[7390] + X[6012] <= -4
model += X[2080] - 4*X[4069] - X[6362] + 2*X[6237] - 4*X[729] + 6*X[5995] - 3*X[7390] - 3*X[6012] <= 1
model += 3*X[840] + 9*X[54] + 7*X[4092] + 5*X[5275] - X[3592] - 4*X[6716] + 2*X[3919] - 8*X[152] <= 12
model += -6*X[4135] - X[1939] + 3*X[5512] + X[4584] + 2*X[4427] + 2*X[2148] + 2*X[3931] - X[6516] <= 4
model += -X[4135] + 3*X[1939] + 2*X[5512] + X[4584] + 2*X[4427] - 2*X[2148] + X[3931] - 5*X[6516] <= 3
model += -6*X[5594] - X[4431] + 3*X[3112] + X[5382] + 2*X[2257] + 2*X[3040] + 2*X[2368] - X[3660] <= 4
model += -X[5594] + 3*X[4431] + 2*X[3112] + X[5382] + 2*X[2257] - 2*X[3040] + X[2368] - 5*X[3660] <= 3
model += -6*X[4037] + X[6821] - 3*X[7248] - X[3787] - 2*X[5409] - 2*X[6731] - 2*X[1427] + X[744] <= -4
model += X[4037] - 4*X[6821] - X[7248] + 2*X[3787] - 4*X[5409] + 6*X[6731] - 3*X[1427] - 3*X[744] <= 1
model += -6*X[6171] + X[1749] - 3*X[1841] - X[3219] - 2*X[3717] - 2*X[1085] - 2*X[276] + X[4501] <= -4
model += X[6171] - 4*X[1749] - X[1841] + 2*X[3219] - 4*X[3717] + 6*X[1085] - 3*X[276] - 3*X[4501] <= 1
model += -6*X[6777] + X[4357] - 3*X[2311] - X[673] - 2*X[3057] - 2*X[2239] - 2*X[3825] + X[7602] <= -4
model += X[6777] - 4*X[4357] - X[2311] + 2*X[673] - 4*X[3057] + 6*X[2239] - 3*X[3825] - 3*X[7602] <= 1
model += -6*X[7312] - X[4696] + 3*X[6076] + X[1120] + 2*X[1485] + 2*X[2155] + 2*X[6673] - X[5517] <= 4
model += -X[7312] + 3*X[4696] + 2*X[6076] + X[1120] + 2*X[1485] - 2*X[2155] + X[6673] - 5*X[5517] <= 3
model += -6*X[6905] - X[3099] + 3*X[5802] + X[5959] + 2*X[5239] + 2*X[1958] + 2*X[7446] - X[1243] <= 4
model += -X[6905] + 3*X[3099] + 2*X[5802] + X[5959] + 2*X[5239] - 2*X[1958] + X[7446] - 5*X[1243] <= 3
model += -6*X[4425] - X[6600] + 3*X[5547] + X[2240] + 2*X[5524] + 2*X[4629] + 2*X[6881] - X[3497] <= 4
model += -X[4425] + 3*X[6600] + 2*X[5547] + X[2240] + 2*X[5524] - 2*X[4629] + X[6881] - 5*X[3497] <= 3
model += -6*X[6147] - X[4530] + 3*X[5814] + X[3641] + 2*X[6773] + 2*X[7542] + 2*X[7017] - X[4028] <= 4
model += -X[6147] + 3*X[4530] + 2*X[5814] + X[3641] + 2*X[6773] - 2*X[7542] + X[7017] - 5*X[4028] <= 3
model += -6*X[4482] - X[4039] + 3*X[5069] + X[2574] + 2*X[6295] + 2*X[1191] + 2*X[3795] - X[1150] <= 4
model += -X[4482] + 3*X[4039] + 2*X[5069] + X[2574] + 2*X[6295] - 2*X[1191] + X[3795] - 5*X[1150] <= 3
model += -6*X[2162] - X[7205] + 3*X[5397] + X[4767] + 2*X[4865] + 2*X[3788] + 2*X[2803] - X[6039] <= 4
model += -X[2162] + 3*X[7205] + 2*X[5397] + X[4767] + 2*X[4865] - 2*X[3788] + X[2803] - 5*X[6039] <= 3
model += -6*X[5684] + X[234] - 3*X[4459] - X[5276] - 2*X[5137] - 2*X[1559] - 2*X[3696] + X[6831] <= -4
model += X[5684] - 4*X[234] - X[4459] + 2*X[5276] - 4*X[5137] + 6*X[1559] - 3*X[3696] - 3*X[6831] <= 1
model += -6*X[624] + X[7070] - 3*X[6966] - X[1363] - 2*X[6306] - 2*X[7649] - 2*X[3289] + X[1370] <= -4
model += X[624] - 4*X[7070] - X[6966] + 2*X[1363] - 4*X[6306] + 6*X[7649] - 3*X[3289] - 3*X[1370] <= 1
model += -6*X[7670] - X[4557] + 3*X[6159] + X[2657] + 2*X[7771] + 2*X[3402] + 2*X[1966] - X[5362] <= 4
model += -X[7670] + 3*X[4557] + 2*X[6159] + X[2657] + 2*X[7771] - 2*X[3402] + X[1966] - 5*X[5362] <= 3
model += -6*X[5571] - X[6521] + 3*X[1493] + X[2012] + 2*X[7408] + 2*X[2635] + 2*X[1668] - X[4896] <= 4
model += -X[5571] + 3*X[6521] + 2*X[1493] + X[2012] + 2*X[7408] - 2*X[2635] + X[1668] - 5*X[4896] <= 3
model += -6*X[2819] + X[817] - 3*X[4137] - X[2445] - 2*X[7176] - 2*X[6348] - 2*X[1999] + X[4728] <= -4
model += X[2819] - 4*X[817] - X[4137] + 2*X[2445] - 4*X[7176] + 6*X[6348] - 3*X[1999] - 3*X[4728] <= 1
model += -6*X[6375] + X[3326] - 3*X[6263] - X[3171] - 2*X[4851] - 2*X[2622] - 2*X[406] + X[2177] <= -4
model += X[6375] - 4*X[3326] - X[6263] + 2*X[3171] - 4*X[4851] + 6*X[2622] - 3*X[406] - 3*X[2177] <= 1
model += -6*X[7078] - X[6874] + 3*X[3277] + X[7389] + 2*X[4332] + 2*X[2581] + 2*X[5986] - X[2058] <= 4
model += -X[7078] + 3*X[6874] + 2*X[3277] + X[7389] + 2*X[4332] - 2*X[2581] + X[5986] - 5*X[2058] <= 3
model += -6*X[3074] - X[6490] + 3*X[7706] + X[5179] + 2*X[5553] + 2*X[6586] + 2*X[1808] - X[5793] <= 4
model += -X[3074] + 3*X[6490] + 2*X[7706] + X[5179] + 2*X[5553] - 2*X[6586] + X[1808] - 5*X[5793] <= 3
model += -6*X[5010] + X[7270] - 3*X[2077] - X[3985] - 2*X[6900] - 2*X[1552] - 2*X[5121] + X[221] <= -4
model += X[5010] - 4*X[7270] - X[2077] + 2*X[3985] - 4*X[6900] + 6*X[1552] - 3*X[5121] - 3*X[221] <= 1
model += -6*X[5646] + X[1543] - 3*X[6108] - X[555] - 2*X[6599] - 2*X[4759] - 2*X[2653] + X[4240] <= -4
model += X[5646] - 4*X[1543] - X[6108] + 2*X[555] - 4*X[6599] + 6*X[4759] - 3*X[2653] - 3*X[4240] <= 1
model += -6*X[5231] - X[4199] + 3*X[7386] + X[4383] + 2*X[5957] + 2*X[2129] + 2*X[6683] - X[3691] <= 4
model += -X[5231] + 3*X[4199] + 2*X[7386] + X[4383] + 2*X[5957] - 2*X[2129] + X[6683] - 5*X[3691] <= 3
model += -6*X[3086] - X[6930] + 3*X[5346] + X[4735] + 2*X[3737] + 2*X[2073] + 2*X[1527] - X[1262] <= 4
model += -X[3086] + 3*X[6930] + 2*X[5346] + X[4735] + 2*X[3737] - 2*X[2073] + X[1527] - 5*X[1262] <= 3
model += -6*X[3432] + X[3026] - 3*X[966] - X[6630] - 2*X[2851] - 2*X[1675] - 2*X[3616] + X[2068] <= -4
model += X[3432] - 4*X[3026] - X[966] + 2*X[6630] - 4*X[2851] + 6*X[1675] - 3*X[3616] - 3*X[2068] <= 1
model += -6*X[7718] - X[3049] + 3*X[4215] + X[2147] + 2*X[3767] + 2*X[1509] + 2*X[2215] - X[5658] <= 4
model += -X[7718] + 3*X[3049] + 2*X[4215] + X[2147] + 2*X[3767] - 2*X[1509] + X[2215] - 5*X[5658] <= 3
model += -6*X[3626] + X[3136] - 3*X[605] - X[5949] - 2*X[5901] - 2*X[4885] - 2*X[4248] + X[2614] <= -4
model += X[3626] - 4*X[3136] - X[605] + 2*X[5949] - 4*X[5901] + 6*X[4885] - 3*X[4248] - 3*X[2614] <= 1
model += -6*X[4738] + X[3156] - 3*X[1927] - X[2991] - 2*X[1271] - 2*X[628] - 2*X[2500] + X[2834] <= -4
model += X[4738] - 4*X[3156] - X[1927] + 2*X[2991] - 4*X[1271] + 6*X[628] - 3*X[2500] - 3*X[2834] <= 1
model += -6*X[6211] - X[5487] + 3*X[2691] + X[7475] + 2*X[2104] + 2*X[3873] + 2*X[7694] - X[2427] <= 4
model += -X[6211] + 3*X[5487] + 2*X[2691] + X[7475] + 2*X[2104] - 2*X[3873] + X[7694] - 5*X[2427] <= 3
model += -6*X[2822] - X[5944] + 3*X[2317] + X[7636] + 2*X[5464] + 2*X[3802] + 2*X[4857] - X[7700] <= 4
model += -X[2822] + 3*X[5944] + 2*X[2317] + X[7636] + 2*X[5464] - 2*X[3802] + X[4857] - 5*X[7700] <= 3
model += -6*X[614] + X[7741] - 3*X[5931] - X[6430] - 2*X[7582] - 2*X[4957] - 2*X[6268] + X[3419] <= -4
model += X[614] - 4*X[7741] - X[5931] + 2*X[6430] - 4*X[7582] + 6*X[4957] - 3*X[6268] - 3*X[3419] <= 1
model += -6*X[4642] - X[7442] + 3*X[1491] + X[6369] + 2*X[7282] + 2*X[6106] + 2*X[2244] - X[6319] <= 4
model += -X[4642] + 3*X[7442] + 2*X[1491] + X[6369] + 2*X[7282] - 2*X[6106] + X[2244] - 5*X[6319] <= 3
model += -6*X[2338] - X[3814] + 3*X[5997] + X[6503] + 2*X[1764] + 2*X[1383] + 2*X[5655] - X[1455] <= 4
model += -X[2338] + 3*X[3814] + 2*X[5997] + X[6503] + 2*X[1764] - 2*X[1383] + X[5655] - 5*X[1455] <= 3
model += -6*X[6229] + X[3259] - 3*X[7454] - X[2232] - 2*X[5086] - 2*X[1611] - 2*X[3329] + X[303] <= -4
model += X[6229] - 4*X[3259] - X[7454] + 2*X[2232] - 4*X[5086] + 6*X[1611] - 3*X[3329] - 3*X[303] <= 1
model += -6*X[7122] - X[3916] + 3*X[3493] + X[1869] + 2*X[4560] + 2*X[2005] + 2*X[4843] - X[7692] <= 4
model += -X[7122] + 3*X[3916] + 2*X[3493] + X[1869] + 2*X[4560] - 2*X[2005] + X[4843] - 5*X[7692] <= 3
model += -6*X[1704] + X[7608] - 3*X[2114] - X[4229] - 2*X[891] - 2*X[4513] - 2*X[3381] + X[6386] <= -4
model += X[1704] - 4*X[7608] - X[2114] + 2*X[4229] - 4*X[891] + 6*X[4513] - 3*X[3381] - 3*X[6386] <= 1
model += -6*X[6046] - X[5309] + 3*X[1932] + X[5034] + 2*X[2723] + 2*X[4788] + 2*X[4510] - X[1548] <= 4
model += -X[6046] + 3*X[5309] + 2*X[1932] + X[5034] + 2*X[2723] - 2*X[4788] + X[4510] - 5*X[1548] <= 3
model += -6*X[4548] - X[2384] + 3*X[6366] + X[5925] + 2*X[5619] + 2*X[1449] + 2*X[3125] - X[3160] <= 4
model += -X[4548] + 3*X[2384] + 2*X[6366] + X[5925] + 2*X[5619] - 2*X[1449] + X[3125] - 5*X[3160] <= 3
model += -6*X[2497] + X[6315] - 3*X[6379] - X[1196] - 2*X[5260] - 2*X[4618] - 2*X[366] + X[5019] <= -4
model += X[2497] - 4*X[6315] - X[6379] + 2*X[1196] - 4*X[5260] + 6*X[4618] - 3*X[366] - 3*X[5019] <= 1
model += -6*X[123] + X[2948] - 3*X[6221] - X[4081] - 2*X[4999] - 2*X[7393] - 2*X[1900] + X[3762] <= -4
model += X[123] - 4*X[2948] - X[6221] + 2*X[4081] - 4*X[4999] + 6*X[7393] - 3*X[1900] - 3*X[3762] <= 1
model += -6*X[1833] + X[1176] - 3*X[5687] - X[2806] - 2*X[538] - 2*X[2935] - 2*X[5081] + X[3317] <= -4
model += X[1833] - 4*X[1176] - X[5687] + 2*X[2806] - 4*X[538] + 6*X[2935] - 3*X[5081] - 3*X[3317] <= 1
model += -6*X[6019] + X[5253] - 3*X[2506] - X[1332] - 2*X[6873] - 2*X[5543] - 2*X[145] + X[6219] <= -4
model += X[6019] - 4*X[5253] - X[2506] + 2*X[1332] - 4*X[6873] + 6*X[5543] - 3*X[145] - 3*X[6219] <= 1
model += -6*X[6576] - X[3200] + 3*X[4953] + X[4426] + 2*X[2730] + 2*X[1175] + 2*X[6311] - X[1385] <= 4
model += -X[6576] + 3*X[3200] + 2*X[4953] + X[4426] + 2*X[2730] - 2*X[1175] + X[6311] - 5*X[1385] <= 3
model += -6*X[6078] + X[6657] - 3*X[5176] - X[1940] - 2*X[7051] - 2*X[870] - 2*X[4325] + X[7215] <= -4
model += X[6078] - 4*X[6657] - X[5176] + 2*X[1940] - 4*X[7051] + 6*X[870] - 3*X[4325] - 3*X[7215] <= 1
model += -6*X[6569] + X[1784] - 3*X[1488] - X[5782] - 2*X[5647] - 2*X[6912] - 2*X[128] + X[7727] <= -4
model += X[6569] - 4*X[1784] - X[1488] + 2*X[5782] - 4*X[5647] + 6*X[6912] - 3*X[128] - 3*X[7727] <= 1
model += -6*X[551] + X[4179] - 3*X[1848] - X[7191] - 2*X[2697] - 2*X[1303] - 2*X[1258] + X[4933] <= -4
model += X[551] - 4*X[4179] - X[1848] + 2*X[7191] - 4*X[2697] + 6*X[1303] - 3*X[1258] - 3*X[4933] <= 1
model += -6*X[4809] + X[4898] - 3*X[2398] - X[1947] - 2*X[7206] - 2*X[1773] - 2*X[454] + X[5871] <= -4
model += X[4809] - 4*X[4898] - X[2398] + 2*X[1947] - 4*X[7206] + 6*X[1773] - 3*X[454] - 3*X[5871] <= 1
model += -6*X[7200] - X[3272] + 3*X[4016] + X[6324] + 2*X[3465] + 2*X[1714] + 2*X[2269] - X[7627] <= 4
model += -X[7200] + 3*X[3272] + 2*X[4016] + X[6324] + 2*X[3465] - 2*X[1714] + X[2269] - 5*X[7627] <= 3
model += -6*X[1583] - X[1741] + 3*X[7093] + X[2660] + 2*X[5416] + 2*X[4518] + 2*X[6889] - X[2717] <= 4
model += -X[1583] + 3*X[1741] + 2*X[7093] + X[2660] + 2*X[5416] - 2*X[4518] + X[6889] - 5*X[2717] <= 3
model += 10*X[5811] + 7*X[1724] - 4*X[6323] - 12*X[5182] - 2*X[6114] + Y[76] + 6*Y[75] - 13*Y[74] <= 4
model += -X[5811] - 2*X[1724] + 6*X[6323] - 10*X[5182] + 3*X[6114] + 4*Y[76] - 9*Y[75] + 11*Y[74] <= 8
model += -6*X[3046] - X[4771] + 3*X[4184] + X[2921] + 2*X[2426] + 2*X[7134] + 2*X[3431] - X[1589] <= 4
model += -X[3046] + 3*X[4771] + 2*X[4184] + X[2921] + 2*X[2426] - 2*X[7134] + X[3431] - 5*X[1589] <= 3
model += -6*X[3426] - X[3620] + 3*X[5250] + X[3982] + 2*X[5326] + 2*X[1896] + 2*X[7068] - X[4682] <= 4
model += -X[3426] + 3*X[3620] + 2*X[5250] + X[3982] + 2*X[5326] - 2*X[1896] + X[7068] - 5*X[4682] <= 3
model += -6*X[5428] + X[7005] - 3*X[3627] - X[6667] - 2*X[6331] - 2*X[3062] - 2*X[757] + X[7119] <= -4
model += X[5428] - 4*X[7005] - X[3627] + 2*X[6667] - 4*X[6331] + 6*X[3062] - 3*X[757] - 3*X[7119] <= 1
model += 3*X[3504] + 9*X[7585] + 7*X[961] + 5*X[3] - X[5468] - 4*X[5306] + 2*X[1840] - 8*X[5813] <= 12
model += -6*X[2158] - X[3901] + 3*X[7561] + X[7345] + 2*X[1895] + 2*X[7326] + 2*X[3964] - X[7612] <= 4
model += -X[2158] + 3*X[3901] + 2*X[7561] + X[7345] + 2*X[1895] - 2*X[7326] + X[3964] - 5*X[7612] <= 3
model += -6*X[5144] - X[3034] + 3*X[3709] + X[7574] + 2*X[2741] + 2*X[6684] + 2*X[4852] - X[6704] <= 4
model += -X[5144] + 3*X[3034] + 2*X[3709] + X[7574] + 2*X[2741] - 2*X[6684] + X[4852] - 5*X[6704] <= 3
model += 3*X[955] + 9*X[1753] + 7*X[4207] + 5*X[256] - X[2828] - 4*X[38] + 2*X[1006] - 8*X[3777] <= 12
model += -6*X[2318] + X[1790] - 3*X[4002] - X[3300] - 2*X[2933] - 2*X[6977] - 2*X[301] + X[6552] <= -4
model += X[2318] - 4*X[1790] - X[4002] + 2*X[3300] - 4*X[2933] + 6*X[6977] - 3*X[301] - 3*X[6552] <= 1
model += -6*X[6536] + X[4719] - 3*X[1537] - X[6642] - 2*X[4670] - 2*X[491] - 2*X[2396] + X[7620] <= -4
model += X[6536] - 4*X[4719] - X[1537] + 2*X[6642] - 4*X[4670] + 6*X[491] - 3*X[2396] - 3*X[7620] <= 1
model += -6*X[7277] - X[3416] + 3*X[7633] + X[1473] + 2*X[6418] + 2*X[2678] + 2*X[1576] - X[7464] <= 4
model += -X[7277] + 3*X[3416] + 2*X[7633] + X[1473] + 2*X[6418] - 2*X[2678] + X[1576] - 5*X[7464] <= 3
model += -6*X[2715] - X[1015] + 3*X[4084] + X[3429] + 2*X[2736] + 2*X[1288] + 2*X[3036] - X[4867] <= 4
model += -X[2715] + 3*X[1015] + 2*X[4084] + X[3429] + 2*X[2736] - 2*X[1288] + X[3036] - 5*X[4867] <= 3
model += 10*X[233] - 12*X[5790] + 4*X[1088] + 7*X[2895] + 2*X[4317] - 6*Y[73] - Y[72] + 13*Y[71] <= 16
model += -6*X[5262] + X[5332] - 3*X[3342] - X[4010] - 2*X[5318] - 2*X[664] - 2*X[2375] + X[5952] <= -4
model += X[5262] - 4*X[5332] - X[3342] + 2*X[4010] - 4*X[5318] + 6*X[664] - 3*X[2375] - 3*X[5952] <= 1
model += -6*X[5159] + X[5481] - 3*X[4713] - X[3045] - 2*X[573] - 2*X[6274] - 2*X[2612] + X[3860] <= -4
model += X[5159] - 4*X[5481] - X[4713] + 2*X[3045] - 4*X[573] + 6*X[6274] - 3*X[2612] - 3*X[3860] <= 1
model += -6*X[2045] + X[6507] - 3*X[4680] - X[4257] - 2*X[5343] - 2*X[488] - 2*X[7707] + X[1348] <= -4
model += X[2045] - 4*X[6507] - X[4680] + 2*X[4257] - 4*X[5343] + 6*X[488] - 3*X[7707] - 3*X[1348] <= 1
model += -6*X[4633] - X[4712] + 3*X[5970] + X[4526] + 2*X[1686] + 2*X[7311] + 2*X[2157] - X[3164] <= 4
model += -X[4633] + 3*X[4712] + 2*X[5970] + X[4526] + 2*X[1686] - 2*X[7311] + X[2157] - 5*X[3164] <= 3
model += -6*X[4276] - X[4138] + 3*X[4729] + X[1432] + 2*X[1508] + 2*X[4892] + 2*X[1336] - X[7615] <= 4
model += -X[4276] + 3*X[4138] + 2*X[4729] + X[1432] + 2*X[1508] - 2*X[4892] + X[1336] - 5*X[7615] <= 3
model += -6*X[5508] + X[1267] - 3*X[7609] - X[2839] - 2*X[277] - 2*X[2747] - 2*X[7448] + X[3168] <= -4
model += X[5508] - 4*X[1267] - X[7609] + 2*X[2839] - 4*X[277] + 6*X[2747] - 3*X[7448] - 3*X[3168] <= 1
model += -6*X[6909] + X[7683] - 3*X[6467] - X[4540] - 2*X[756] - 2*X[4170] - 2*X[6044] + X[6137] <= -4
model += X[6909] - 4*X[7683] - X[6467] + 2*X[4540] - 4*X[756] + 6*X[4170] - 3*X[6044] - 3*X[6137] <= 1
model += -6*X[3846] - X[7560] + 3*X[6003] + X[6999] + 2*X[3975] + 2*X[2531] + 2*X[6199] - X[5585] <= 4
model += -X[3846] + 3*X[7560] + 2*X[6003] + X[6999] + 2*X[3975] - 2*X[2531] + X[6199] - 5*X[5585] <= 3
model += -6*X[5634] + X[560] - 3*X[2941] - X[5105] - 2*X[2965] - 2*X[2341] - 2*X[7498] + X[5650] <= -4
model += X[5634] - 4*X[560] - X[2941] + 2*X[5105] - 4*X[2965] + 6*X[2341] - 3*X[7498] - 3*X[5650] <= 1
model += -6*X[3245] + X[7169] - 3*X[1352] - X[3673] - 2*X[4585] - 2*X[5290] - 2*X[6013] + X[339] <= -4
model += X[3245] - 4*X[7169] - X[1352] + 2*X[3673] - 4*X[4585] + 6*X[5290] - 3*X[6013] - 3*X[339] <= 1
model += -6*X[620] + X[4091] - 3*X[6164] - X[1433] - 2*X[7573] - 2*X[3740] - 2*X[6451] + X[4252] <= -4
model += X[620] - 4*X[4091] - X[6164] + 2*X[1433] - 4*X[7573] + 6*X[3740] - 3*X[6451] - 3*X[4252] <= 1
model += -6*X[3072] + X[5240] - 3*X[6124] - X[329] - 2*X[5792] - 2*X[2763] - 2*X[2389] + X[2766] <= -4
model += X[3072] - 4*X[5240] - X[6124] + 2*X[329] - 4*X[5792] + 6*X[2763] - 3*X[2389] - 3*X[2766] <= 1
model += -6*X[1291] - X[5184] + 3*X[4517] + X[6437] + 2*X[6748] + 2*X[1250] + 2*X[7402] - X[4060] <= 4
model += -X[1291] + 3*X[5184] + 2*X[4517] + X[6437] + 2*X[6748] - 2*X[1250] + X[7402] - 5*X[4060] <= 3
model += -6*X[2334] - X[3629] + 3*X[6265] + X[7376] + 2*X[1105] + 2*X[2879] + 2*X[5311] - X[1580] <= 4
model += -X[2334] + 3*X[3629] + 2*X[6265] + X[7376] + 2*X[1105] - 2*X[2879] + X[5311] - 5*X[1580] <= 3
model += -6*X[3937] + X[7418] - 3*X[6720] - X[4070] - 2*X[1112] - 2*X[269] - 2*X[4639] + X[3726] <= -4
model += X[3937] - 4*X[7418] - X[6720] + 2*X[4070] - 4*X[1112] + 6*X[269] - 3*X[4639] - 3*X[3726] <= 1
model += -6*X[3473] - X[5640] + 3*X[3553] + X[3746] + 2*X[4730] + 2*X[3571] + 2*X[2431] - X[5407] <= 4
model += -X[3473] + 3*X[5640] + 2*X[3553] + X[3746] + 2*X[4730] - 2*X[3571] + X[2431] - 5*X[5407] <= 3
model += -6*X[6995] - X[7057] + 3*X[6070] + X[6792] + 2*X[6587] + 2*X[2462] + 2*X[1894] - X[1328] <= 4
model += -X[6995] + 3*X[7057] + 2*X[6070] + X[6792] + 2*X[6587] - 2*X[2462] + X[1894] - 5*X[1328] <= 3
model += -6*X[4281] + X[1676] - 3*X[903] - X[5961] - 2*X[4567] - 2*X[3909] - 2*X[6886] + X[3944] <= -4
model += X[4281] - 4*X[1676] - X[903] + 2*X[5961] - 4*X[4567] + 6*X[3909] - 3*X[6886] - 3*X[3944] <= 1
model += -6*X[6713] + X[6008] - 3*X[862] - X[7109] - 2*X[4288] - 2*X[4553] - 2*X[4221] + X[1361] <= -4
model += X[6713] - 4*X[6008] - X[862] + 2*X[7109] - 4*X[4288] + 6*X[4553] - 3*X[4221] - 3*X[1361] <= 1
model += -6*X[7258] + X[505] - 3*X[6597] - X[5732] - 2*X[1660] - 2*X[4686] - 2*X[4145] + X[6216] <= -4
model += X[7258] - 4*X[505] - X[6597] + 2*X[5732] - 4*X[1660] + 6*X[4686] - 3*X[4145] - 3*X[6216] <= 1
model += -6*X[1030] + X[2064] - 3*X[3739] - X[380] - 2*X[4948] - 2*X[6151] - 2*X[3801] + X[4982] <= -4
model += X[1030] - 4*X[2064] - X[3739] + 2*X[380] - 4*X[4948] + 6*X[6151] - 3*X[3801] - 3*X[4982] <= 1
model += -6*X[7443] - X[5638] + 3*X[3563] + X[6756] + 2*X[5769] + 2*X[2393] + 2*X[2995] - X[1533] <= 4
model += -X[7443] + 3*X[5638] + 2*X[3563] + X[6756] + 2*X[5769] - 2*X[2393] + X[2995] - 5*X[1533] <= 3
model += -6*X[1292] + X[7510] - 3*X[552] - X[1796] - 2*X[1615] - 2*X[5886] - 2*X[3101] + X[1167] <= -4
model += X[1292] - 4*X[7510] - X[552] + 2*X[1796] - 4*X[1615] + 6*X[5886] - 3*X[3101] - 3*X[1167] <= 1
model += -6*X[5742] + X[3063] - 3*X[3305] - X[2650] - 2*X[6655] - 2*X[4664] - 2*X[4989] + X[351] <= -4
model += X[5742] - 4*X[3063] - X[3305] + 2*X[2650] - 4*X[6655] + 6*X[4664] - 3*X[4989] - 3*X[351] <= 1
model += -6*X[5557] - X[3678] + 3*X[6105] + X[6051] + 2*X[4803] + 2*X[6670] + 2*X[3870] - X[2750] <= 4
model += -X[5557] + 3*X[3678] + 2*X[6105] + X[6051] + 2*X[4803] - 2*X[6670] + X[3870] - 5*X[2750] <= 3
model += -6*X[2728] - X[3759] + 3*X[5434] + X[5016] + 2*X[1678] + 2*X[6544] + 2*X[6488] - X[5954] <= 4
model += -X[2728] + 3*X[3759] + 2*X[5434] + X[5016] + 2*X[1678] - 2*X[6544] + X[6488] - 5*X[5954] <= 3
model += 10*X[1747] + 7*X[5775] - 4*X[5824] - 12*X[5324] - 2*X[3218] + Y[67] + 6*Y[66] - 13*Y[65] <= 4
model += -X[1747] - 2*X[5775] + 6*X[5824] - 10*X[5324] + 3*X[3218] + 4*Y[67] - 9*Y[66] + 11*Y[65] <= 8
model += -6*X[6737] - X[1362] + 3*X[2742] + X[3100] + 2*X[2031] + 2*X[3135] + 2*X[5375] - X[3799] <= 4
model += -X[6737] + 3*X[1362] + 2*X[2742] + X[3100] + 2*X[2031] - 2*X[3135] + X[5375] - 5*X[3799] <= 3
model += -6*X[4074] + X[6422] - 3*X[2765] - X[2302] - 2*X[3776] - 2*X[667] - 2*X[6139] + X[3977] <= -4
model += X[4074] - 4*X[6422] - X[2765] + 2*X[2302] - 4*X[3776] + 6*X[667] - 3*X[6139] - 3*X[3977] <= 1
model += -6*X[5115] - X[6493] + 3*X[5541] + X[5194] + 2*X[3023] + 2*X[3176] + 2*X[7493] - X[7751] <= 4
model += -X[5115] + 3*X[6493] + 2*X[5541] + X[5194] + 2*X[3023] - 2*X[3176] + X[7493] - 5*X[7751] <= 3
model += -6*X[3322] - X[2901] + 3*X[2322] + X[5406] + 2*X[4846] + 2*X[1265] + 2*X[1226] - X[4237] <= 4
model += -X[3322] + 3*X[2901] + 2*X[2322] + X[5406] + 2*X[4846] - 2*X[1265] + X[1226] - 5*X[4237] <= 3
model += -6*X[3552] - X[4311] + 3*X[6866] + X[3674] + 2*X[6957] + 2*X[3005] + 2*X[2877] - X[2604] <= 4
model += -X[3552] + 3*X[4311] + 2*X[6866] + X[3674] + 2*X[6957] - 2*X[3005] + X[2877] - 5*X[2604] <= 3
model += -6*X[5922] + X[5001] - 3*X[6953] - X[1524] - 2*X[877] - 2*X[6747] - 2*X[1231] + X[2016] <= -4
model += X[5922] - 4*X[5001] - X[6953] + 2*X[1524] - 4*X[877] + 6*X[6747] - 3*X[1231] - 3*X[2016] <= 1
model += -6*X[6463] + X[2514] - 3*X[603] - X[2245] - 2*X[6466] - 2*X[5469] - 2*X[7617] + X[3917] <= -4
model += X[6463] - 4*X[2514] - X[603] + 2*X[2245] - 4*X[6466] + 6*X[5469] - 3*X[7617] - 3*X[3917] <= 1
model += -6*X[4757] + X[6534] - 3*X[658] - X[2465] - 2*X[1911] - 2*X[2346] - 2*X[3423] + X[5764] <= -4
model += X[4757] - 4*X[6534] - X[658] + 2*X[2465] - 4*X[1911] + 6*X[2346] - 3*X[3423] - 3*X[5764] <= 1
model += -6*X[5498] - X[4588] + 3*X[1099] + X[7388] + 2*X[5338] + 2*X[5450] + 2*X[3725] - X[3556] <= 4
model += -X[5498] + 3*X[4588] + 2*X[1099] + X[7388] + 2*X[5338] - 2*X[5450] + X[3725] - 5*X[3556] <= 3
model += -6*X[5172] - X[3406] + 3*X[6043] + X[6885] + 2*X[3865] + 2*X[5781] + 2*X[7234] - X[1504] <= 4
model += -X[5172] + 3*X[3406] + 2*X[6043] + X[6885] + 2*X[3865] - 2*X[5781] + X[7234] - 5*X[1504] <= 3
model += -6*X[5237] + X[1277] - 3*X[4821] - X[2969] - 2*X[687] - 2*X[7465] - 2*X[3433] + X[7495] <= -4
model += X[5237] - 4*X[1277] - X[4821] + 2*X[2969] - 4*X[687] + 6*X[7465] - 3*X[3433] - 3*X[7495] <= 1
model += -6*X[3708] + X[4068] - 3*X[3390] - X[1858] - 2*X[6690] - 2*X[2784] - 2*X[1023] + X[537] <= -4
model += X[3708] - 4*X[4068] - X[3390] + 2*X[1858] - 4*X[6690] + 6*X[2784] - 3*X[1023] - 3*X[537] <= 1
model += -6*X[5570] - X[7154] + 3*X[5642] + X[4340] + 2*X[2307] + 2*X[7211] + 2*X[5365] - X[5085] <= 4
model += -X[5570] + 3*X[7154] + 2*X[5642] + X[4340] + 2*X[2307] - 2*X[7211] + X[5365] - 5*X[5085] <= 3
model += -6*X[4304] - X[2376] + 3*X[7082] + X[7471] + 2*X[5412] + 2*X[1549] + 2*X[6417] - X[1983] <= 4
model += -X[4304] + 3*X[2376] + 2*X[7082] + X[7471] + 2*X[5412] - 2*X[1549] + X[6417] - 5*X[1983] <= 3
model += -6*X[6068] - X[7199] + 3*X[5391] + X[3936] + 2*X[4796] + 2*X[1323] + 2*X[2071] - X[4264] <= 4
model += -X[6068] + 3*X[7199] + 2*X[5391] + X[3936] + 2*X[4796] - 2*X[1323] + X[2071] - 5*X[4264] <= 3
model += -6*X[5120] + X[1234] - 3*X[1501] - X[1661] - 2*X[4492] - 2*X[5185] - 2*X[2810] + X[545] <= -4
model += X[5120] - 4*X[1234] - X[1501] + 2*X[1661] - 4*X[4492] + 6*X[5185] - 3*X[2810] - 3*X[545] <= 1
model += -6*X[4616] + X[6816] - 3*X[6325] - X[869] - 2*X[6439] - 2*X[1564] - 2*X[3605] + X[1541] <= -4
model += X[4616] - 4*X[6816] - X[6325] + 2*X[869] - 4*X[6439] + 6*X[1564] - 3*X[3605] - 3*X[1541] <= 1
model += -6*X[4280] - X[2199] + 3*X[2710] + X[7121] + 2*X[4832] + 2*X[3388] + 2*X[6775] - X[5798] <= 4
model += -X[4280] + 3*X[2199] + 2*X[2710] + X[7121] + 2*X[4832] - 2*X[3388] + X[6775] - 5*X[5798] <= 3
model += -6*X[4222] - X[6388] + 3*X[2625] + X[3974] + 2*X[2029] + 2*X[1767] + 2*X[5896] - X[6639] <= 4
model += -X[4222] + 3*X[6388] + 2*X[2625] + X[3974] + 2*X[2029] - 2*X[1767] + X[5896] - 5*X[6639] <= 3
model += -6*X[7428] - X[7786] + 3*X[6292] + X[4205] + 2*X[5921] + 2*X[6514] + 2*X[5028] - X[1055] <= 4
model += -X[7428] + 3*X[7786] + 2*X[6292] + X[4205] + 2*X[5921] - 2*X[6514] + X[5028] - 5*X[1055] <= 3
model += -6*X[3733] - X[6960] + 3*X[4384] + X[4306] + 2*X[7467] + 2*X[3128] + 2*X[7643] - X[1013] <= 4
model += -X[3733] + 3*X[6960] + 2*X[4384] + X[4306] + 2*X[7467] - 2*X[3128] + X[7643] - 5*X[1013] <= 3
model += -6*X[5892] - X[1838] + 3*X[2843] + X[4381] + 2*X[6505] + 2*X[2229] + 2*X[6154] - X[2727] <= 4
model += -X[5892] + 3*X[1838] + 2*X[2843] + X[4381] + 2*X[6505] - 2*X[2229] + X[6154] - 5*X[2727] <= 3
model += -6*X[4390] + X[736] - 3*X[2535] - X[5411] - 2*X[3896] - 2*X[5278] - 2*X[2504] + X[4352] <= -4
model += X[4390] - 4*X[736] - X[2535] + 2*X[5411] - 4*X[3896] + 6*X[5278] - 3*X[2504] - 3*X[4352] <= 1
model += -6*X[3383] - X[1154] + 3*X[6150] + X[5370] + 2*X[2675] + 2*X[1697] + 2*X[5289] - X[6602] <= 4
model += -X[3383] + 3*X[1154] + 2*X[6150] + X[5370] + 2*X[2675] - 2*X[1697] + X[5289] - 5*X[6602] <= 3
model += -6*X[2779] + X[1618] - 3*X[4086] - X[6069] - 2*X[3862] - 2*X[218] - 2*X[3540] + X[1621] <= -4
model += X[2779] - 4*X[1618] - X[4086] + 2*X[6069] - 4*X[3862] + 6*X[218] - 3*X[3540] - 3*X[1621] <= 1
model += -6*X[1987] + X[295] - 3*X[7338] - X[1716] - 2*X[7765] - 2*X[2161] - 2*X[5588] + X[6611] <= -4
model += X[1987] - 4*X[295] - X[7338] + 2*X[1716] - 4*X[7765] + 6*X[2161] - 3*X[5588] - 3*X[6611] <= 1
model += -6*X[6182] + X[4454] - 3*X[964] - X[2118] - 2*X[3607] - 2*X[4676] - 2*X[5157] + X[4888] <= -4
model += X[6182] - 4*X[4454] - X[964] + 2*X[2118] - 4*X[3607] + 6*X[4676] - 3*X[5157] - 3*X[4888] <= 1
model += -6*X[4929] - X[4449] + 3*X[3667] + X[6142] + 2*X[3558] + 2*X[4152] + 2*X[1544] - X[2174] <= 4
model += -X[4929] + 3*X[4449] + 2*X[3667] + X[6142] + 2*X[3558] - 2*X[4152] + X[1544] - 5*X[2174] <= 3
model += -6*X[5840] + X[4327] - 3*X[5216] - X[6014] - 2*X[297] - 2*X[4474] - 2*X[2873] + X[7417] <= -4
model += X[5840] - 4*X[4327] - X[5216] + 2*X[6014] - 4*X[297] + 6*X[4474] - 3*X[2873] - 3*X[7417] <= 1
model += -6*X[3613] - X[3771] + 3*X[1366] + X[4336] + 2*X[3866] + 2*X[5613] + 2*X[2854] - X[6814] <= 4
model += -X[3613] + 3*X[3771] + 2*X[1366] + X[4336] + 2*X[3866] - 2*X[5613] + X[2854] - 5*X[6814] <= 3
model += -6*X[5846] - X[5527] + 3*X[1179] + X[4668] + 2*X[1563] + 2*X[1392] + 2*X[5722] - X[5243] <= 4
model += -X[5846] + 3*X[5527] + 2*X[1179] + X[4668] + 2*X[1563] - 2*X[1392] + X[5722] - 5*X[5243] <= 3
model += -6*X[1598] - X[2217] + 3*X[3314] + X[6185] + 2*X[4041] + 2*X[1216] + 2*X[7737] - X[4206] <= 4
model += -X[1598] + 3*X[2217] + 2*X[3314] + X[6185] + 2*X[4041] - 2*X[1216] + X[7737] - 5*X[4206] <= 3
model += -6*X[7096] + X[3506] - 3*X[159] - X[6186] - 2*X[4279] - 2*X[4337] - 2*X[1148] + X[4151] <= -4
model += X[7096] - 4*X[3506] - X[159] + 2*X[6186] - 4*X[4279] + 6*X[4337] - 3*X[1148] - 3*X[4151] <= 1
model += -6*X[546] + X[5164] - 3*X[5706] - X[2135] - 2*X[3055] - 2*X[4591] - 2*X[3963] + X[2526] <= -4
model += X[546] - 4*X[5164] - X[5706] + 2*X[2135] - 4*X[3055] + 6*X[4591] - 3*X[3963] - 3*X[2526] <= 1
model += -6*X[4023] + X[2106] - 3*X[1244] - X[4545] - 2*X[2673] - 2*X[7738] - 2*X[106] + X[3212] <= -4
model += X[4023] - 4*X[2106] - X[1244] + 2*X[4545] - 4*X[2673] + 6*X[7738] - 3*X[106] - 3*X[3212] <= 1
model += -6*X[6181] - X[3189] + 3*X[7767] + X[5483] + 2*X[1779] + 2*X[2917] + 2*X[3520] - X[6242] <= 4
model += -X[6181] + 3*X[3189] + 2*X[7767] + X[5483] + 2*X[1779] - 2*X[2917] + X[3520] - 5*X[6242] <= 3
model += -6*X[6122] - X[5021] + 3*X[7181] + X[1264] + 2*X[6509] + 2*X[2559] + 2*X[7578] - X[7391] <= 4
model += -X[6122] + 3*X[5021] + 2*X[7181] + X[1264] + 2*X[6509] - 2*X[2559] + X[7578] - 5*X[7391] <= 3
model += -6*X[2647] + X[4943] - 3*X[6933] - X[6574] - 2*X[5617] - 2*X[529] - 2*X[6626] + X[7705] <= -4
model += X[2647] - 4*X[4943] - X[6933] + 2*X[6574] - 4*X[5617] + 6*X[529] - 3*X[6626] - 3*X[7705] <= 1
model += -6*X[850] + X[1942] - 3*X[5062] - X[3915] - 2*X[3054] - 2*X[1251] - 2*X[6045] + X[6768] <= -4
model += X[850] - 4*X[1942] - X[5062] + 2*X[3915] - 4*X[3054] + 6*X[1251] - 3*X[6045] - 3*X[6768] <= 1
model += -6*X[5660] - X[6326] + 3*X[6851] + X[5777] + 2*X[6965] + 2*X[1298] + 2*X[5102] - X[2141] <= 4
model += -X[5660] + 3*X[6326] + 2*X[6851] + X[5777] + 2*X[6965] - 2*X[1298] + X[5102] - 5*X[2141] <= 3
model += -6*X[7531] + X[2544] - 3*X[5984] - X[5064] - 2*X[4698] - 2*X[4142] - 2*X[379] + X[4075] <= -4
model += X[7531] - 4*X[2544] - X[5984] + 2*X[5064] - 4*X[4698] + 6*X[4142] - 3*X[379] - 3*X[4075] <= 1
model += -6*X[2193] + X[1799] - 3*X[1203] - X[1733] - 2*X[6797] - 2*X[2027] - 2*X[7242] + X[690] <= -4
model += X[2193] - 4*X[1799] - X[1203] + 2*X[1733] - 4*X[6797] + 6*X[2027] - 3*X[7242] - 3*X[690] <= 1
model += -6*X[3452] - X[3089] + 3*X[4211] + X[7535] + 2*X[7378] + 2*X[1586] + 2*X[6166] - X[1810] <= 4
model += -X[3452] + 3*X[3089] + 2*X[4211] + X[7535] + 2*X[7378] - 2*X[1586] + X[6166] - 5*X[1810] <= 3
model += -6*X[6680] - X[3958] + 3*X[7678] + X[6158] + 2*X[1272] + 2*X[2057] + 2*X[2354] - X[7348] <= 4
model += -X[6680] + 3*X[3958] + 2*X[7678] + X[6158] + 2*X[1272] - 2*X[2057] + X[2354] - 5*X[7348] <= 3
model += -6*X[307] + X[6270] - 3*X[1791] - X[3528] - 2*X[5843] - 2*X[7778] - 2*X[3093] + X[2377] <= -4
model += X[307] - 4*X[6270] - X[1791] + 2*X[3528] - 4*X[5843] + 6*X[7778] - 3*X[3093] - 3*X[2377] <= 1
model += -6*X[4223] + X[582] - 3*X[7387] - X[2731] - 2*X[4586] - 2*X[3167] - 2*X[7550] + X[4570] <= -4
model += X[4223] - 4*X[582] - X[7387] + 2*X[2731] - 4*X[4586] + 6*X[3167] - 3*X[7550] - 3*X[4570] <= 1
model += -6*X[6743] - X[4193] + 3*X[5175] + X[3743] + 2*X[7676] + 2*X[6694] + 2*X[5776] - X[7159] <= 4
model += -X[6743] + 3*X[4193] + 2*X[5175] + X[3743] + 2*X[7676] - 2*X[6694] + X[5776] - 5*X[7159] <= 3
model += -6*X[370] + X[7255] - 3*X[6653] - X[4423] - 2*X[5031] - 2*X[5242] - 2*X[3232] + X[2830] <= -4
model += X[370] - 4*X[7255] - X[6653] + 2*X[4423] - 4*X[5031] + 6*X[5242] - 3*X[3232] - 3*X[2830] <= 1
model += -6*X[575] + X[6675] - 3*X[6877] - X[1981] - 2*X[7012] - 2*X[5005] - 2*X[4648] + X[1680] <= -4
model += X[575] - 4*X[6675] - X[6877] + 2*X[1981] - 4*X[7012] + 6*X[5005] - 3*X[4648] - 3*X[1680] <= 1
model += -6*X[5635] + X[7085] - 3*X[6267] - X[1305] - 2*X[6681] - 2*X[3411] - 2*X[299] + X[6806] <= -4
model += X[5635] - 4*X[7085] - X[6267] + 2*X[1305] - 4*X[6681] + 6*X[3411] - 3*X[299] - 3*X[6806] <= 1
model += -6*X[1404] - X[7726] + 3*X[5710] + X[1802] + 2*X[5994] + 2*X[6179] + 2*X[4645] - X[6004] <= 4
model += -X[1404] + 3*X[7726] + 2*X[5710] + X[1802] + 2*X[5994] - 2*X[6179] + X[4645] - 5*X[6004] <= 3
model += -6*X[3441] + X[521] - 3*X[1672] - X[7178] - 2*X[7301] - 2*X[7735] - 2*X[2441] + X[7788] <= -4
model += X[3441] - 4*X[521] - X[1672] + 2*X[7178] - 4*X[7301] + 6*X[7735] - 3*X[2441] - 3*X[7788] <= 1
model += -6*X[7313] + X[4347] - 3*X[5631] - X[3838] - 2*X[5779] - 2*X[4355] - 2*X[906] + X[3893] <= -4
model += X[7313] - 4*X[4347] - X[5631] + 2*X[3838] - 4*X[5779] + 6*X[4355] - 3*X[906] - 3*X[3893] <= 1
model += -6*X[4684] - X[4727] + 3*X[5281] + X[5827] + 2*X[1497] + 2*X[2880] + 2*X[1337] - X[7128] <= 4
model += -X[4684] + 3*X[4727] + 2*X[5281] + X[5827] + 2*X[1497] - 2*X[2880] + X[1337] - 5*X[7128] <= 3
model += -6*X[204] + X[4009] - 3*X[3268] - X[5980] - 2*X[5604] - 2*X[3676] - 2*X[5236] + X[5358] <= -4
model += X[204] - 4*X[4009] - X[3268] + 2*X[5980] - 4*X[5604] + 6*X[3676] - 3*X[5236] - 3*X[5358] <= 1
model += -6*X[600] + X[5977] - 3*X[7758] - X[6530] - 2*X[7349] - 2*X[4634] - 2*X[2087] + X[6024] <= -4
model += X[600] - 4*X[5977] - X[7758] + 2*X[6530] - 4*X[7349] + 6*X[4634] - 3*X[2087] - 3*X[6024] <= 1
model += -6*X[6607] - X[5610] + 3*X[3815] + X[1699] + 2*X[6206] + 2*X[6146] + 2*X[2626] - X[5153] <= 4
model += -X[6607] + 3*X[5610] + 2*X[3815] + X[1699] + 2*X[6206] - 2*X[6146] + X[2626] - 5*X[5153] <= 3
model += -6*X[5387] - X[5152] + 3*X[2371] + X[5996] + 2*X[1569] + 2*X[6627] + 2*X[4083] - X[2641] <= 4
model += -X[5387] + 3*X[5152] + 2*X[2371] + X[5996] + 2*X[1569] - 2*X[6627] + X[4083] - 5*X[2641] <= 3
model += -6*X[7309] - X[5199] + 3*X[6335] + X[5754] + 2*X[3105] + 2*X[3213] + 2*X[4301] - X[1878] <= 4
model += -X[7309] + 3*X[5199] + 2*X[6335] + X[5754] + 2*X[3105] - 2*X[3213] + X[4301] - 5*X[1878] <= 3
model += 3*X[6228] + 9*X[4701] + 7*X[7304] + 5*X[437] - X[5249] - 4*X[1845] + 2*X[7323] - 8*X[2] <= 12
model += -6*X[1101] + X[7430] - 3*X[1122] - X[4998] - 2*X[7283] - 2*X[3960] - 2*X[3078] + X[203] <= -4
model += X[1101] - 4*X[7430] - X[1122] + 2*X[4998] - 4*X[7283] + 6*X[3960] - 3*X[3078] - 3*X[203] <= 1
model += -6*X[137] + X[6223] - 3*X[3727] - X[3028] - 2*X[7120] - 2*X[3265] - 2*X[6475] + X[2737] <= -4
model += X[137] - 4*X[6223] - X[3727] + 2*X[3028] - 4*X[7120] + 6*X[3265] - 3*X[6475] - 3*X[2737] <= 1
model += -6*X[6119] - X[4476] + 3*X[3714] + X[6784] + 2*X[5049] + 2*X[5225] + 2*X[7597] - X[6305] <= 4
model += -X[6119] + 3*X[4476] + 2*X[3714] + X[6784] + 2*X[5049] - 2*X[5225] + X[7597] - 5*X[6305] <= 3
model += -6*X[5232] - X[4919] + 3*X[7610] + X[5665] + 2*X[5317] + 2*X[6501] + 2*X[1442] - X[7593] <= 4
model += -X[5232] + 3*X[4919] + 2*X[7610] + X[5665] + 2*X[5317] - 2*X[6501] + X[1442] - 5*X[7593] <= 3
model += -6*X[1610] - X[6192] + 3*X[5022] + X[2716] + 2*X[4874] + 2*X[2515] + 2*X[2556] - X[5559] <= 4
model += -X[1610] + 3*X[6192] + 2*X[5022] + X[2716] + 2*X[4874] - 2*X[2515] + X[2556] - 5*X[5559] <= 3
model += -6*X[6637] - X[4299] + 3*X[4574] + X[3121] + 2*X[4985] + 2*X[2208] + 2*X[2430] - X[5133] <= 4
model += -X[6637] + 3*X[4299] + 2*X[4574] + X[3121] + 2*X[4985] - 2*X[2208] + X[2430] - 5*X[5133] <= 3
model += -6*X[3932] + X[2844] - 3*X[2543] - X[1798] - 2*X[7257] - 2*X[5393] - 2*X[143] + X[6483] <= -4
model += X[3932] - 4*X[2844] - X[2543] + 2*X[1798] - 4*X[7257] + 6*X[5393] - 3*X[143] - 3*X[6483] <= 1
model += -6*X[1413] - X[3158] + 3*X[2694] + X[5356] + 2*X[2387] + 2*X[3321] + 2*X[3598] - X[1049] <= 4
model += -X[1413] + 3*X[3158] + 2*X[2694] + X[5356] + 2*X[2387] - 2*X[3321] + X[3598] - 5*X[1049] <= 3
model += -6*X[1550] - X[6082] + 3*X[4341] + X[5911] + 2*X[2335] + 2*X[1921] + 2*X[5867] - X[3973] <= 4
model += -X[1550] + 3*X[6082] + 2*X[4341] + X[5911] + 2*X[2335] - 2*X[1921] + X[5867] - 5*X[3973] <= 3
model += -6*X[7721] + X[4848] - 3*X[7305] - X[7628] - 2*X[3374] - 2*X[4878] - 2*X[680] + X[3229] <= -4
model += X[7721] - 4*X[4848] - X[7305] + 2*X[7628] - 4*X[3374] + 6*X[4878] - 3*X[680] - 3*X[3229] <= 1
model += -6*X[3006] - X[1280] + 3*X[4483] + X[2809] + 2*X[2115] + 2*X[2871] + 2*X[7247] - X[7607] <= 4
model += -X[3006] + 3*X[1280] + 2*X[4483] + X[2809] + 2*X[2115] - 2*X[2871] + X[7247] - 5*X[7607] <= 3
model += -6*X[3559] + X[4101] - 3*X[2899] - X[1619] - 2*X[4599] - 2*X[719] - 2*X[1656] + X[3008] <= -4
model += X[3559] - 4*X[4101] - X[2899] + 2*X[1619] - 4*X[4599] + 6*X[719] - 3*X[1656] - 3*X[3008] <= 1
model += -6*X[5816] - X[3819] + 3*X[5690] + X[6590] + 2*X[4531] + 2*X[3783] + 2*X[6370] - X[7745] <= 4
model += -X[5816] + 3*X[3819] + 2*X[5690] + X[6590] + 2*X[4531] - 2*X[3783] + X[6370] - 5*X[7745] <= 3
model += 3*X[3880] + 9*X[3792] + 7*X[2859] + 5*X[5770] - X[6141] - 4*X[71] + 2*X[47] - 8*X[4699] <= 12
model += -6*X[1886] - X[1647] + 3*X[7594] + X[6734] + 2*X[1663] + 2*X[3013] + 2*X[4660] - X[3513] <= 4
model += -X[1886] + 3*X[1647] + 2*X[7594] + X[6734] + 2*X[1663] - 2*X[3013] + X[4660] - 5*X[3513] <= 3
model += -6*X[7315] - X[6254] + 3*X[4284] + X[2950] + 2*X[2827] + 2*X[6614] + 2*X[4891] - X[1734] <= 4
model += -X[7315] + 3*X[6254] + 2*X[4284] + X[2950] + 2*X[2827] - 2*X[6614] + X[4891] - 5*X[1734] <= 3
model += 3*X[372] + 9*X[33] + 7*X[266] + 5*X[4683] - X[2799] - 4*X[1829] + 2*X[4724] - 8*X[2811] <= 12
model += -6*X[2278] + X[7275] - 3*X[1924] - X[6064] - 2*X[2997] - 2*X[209] - 2*X[2391] + X[7353] <= -4
model += X[2278] - 4*X[7275] - X[1924] + 2*X[6064] - 4*X[2997] + 6*X[209] - 3*X[2391] - 3*X[7353] <= 1
model += -6*X[5415] - X[6785] + 3*X[4321] + X[6686] + 2*X[5145] + 2*X[7141] + 2*X[3618] - X[2986] <= 4
model += -X[5415] + 3*X[6785] + 2*X[4321] + X[6686] + 2*X[5145] - 2*X[7141] + X[3618] - 5*X[2986] <= 3
model += -6*X[3519] + X[6740] - 3*X[4542] - X[5294] - 2*X[590] - 2*X[5877] - 2*X[3636] + X[2011] <= -4
model += X[3519] - 4*X[6740] - X[4542] + 2*X[5294] - 4*X[590] + 6*X[5877] - 3*X[3636] - 3*X[2011] <= 1
model += -6*X[3823] - X[5132] + 3*X[4519] + X[5177] + 2*X[2413] + 2*X[1117] + 2*X[3879] - X[5569] <= 4
model += -X[3823] + 3*X[5132] + 2*X[4519] + X[5177] + 2*X[2413] - 2*X[1117] + X[3879] - 5*X[5569] <= 3
model += -6*X[2297] + X[5812] - 3*X[1750] - X[1766] - 2*X[874] - 2*X[1622] - 2*X[1817] + X[5677] <= -4
model += X[2297] - 4*X[5812] - X[1750] + 2*X[1766] - 4*X[874] + 6*X[1622] - 3*X[1817] - 3*X[5677] <= 1
model += -6*X[4245] + X[1593] - 3*X[1188] - X[338] - 2*X[7426] - 2*X[3946] - 2*X[2179] + X[5427] <= -4
model += X[4245] - 4*X[1593] - X[1188] + 2*X[338] - 4*X[7426] + 6*X[3946] - 3*X[2179] - 3*X[5427] <= 1
model += -6*X[5328] - X[1304] + 3*X[6367] + X[1565] + 2*X[1743] + 2*X[2003] + 2*X[1437] - X[3832] <= 4
model += -X[5328] + 3*X[1304] + 2*X[6367] + X[1565] + 2*X[1743] - 2*X[2003] + X[1437] - 5*X[3832] <= 3
model += -6*X[5621] - X[3890] + 3*X[3809] + X[1387] + 2*X[7233] + 2*X[5018] + 2*X[2649] - X[6458] <= 4
model += -X[5621] + 3*X[3890] + 2*X[3809] + X[1387] + 2*X[7233] - 2*X[5018] + X[2649] - 5*X[6458] <= 3
model += -6*X[4133] + X[6809] - 3*X[1934] - X[3642] - 2*X[5296] - 2*X[4960] - 2*X[661] + X[7489] <= -4
model += X[4133] - 4*X[6809] - X[1934] + 2*X[3642] - 4*X[5296] + 6*X[4960] - 3*X[661] - 3*X[7489] <= 1
model += -6*X[3216] + X[102] - 3*X[3920] - X[5964] - 2*X[6250] - 2*X[1468] - 2*X[2525] + X[2160] <= -4
model += X[3216] - 4*X[102] - X[3920] + 2*X[5964] - 4*X[6250] + 6*X[1468] - 3*X[2525] - 3*X[2160] <= 1
model += -6*X[6125] + X[6934] - 3*X[4241] - X[3800] - 2*X[4972] - 2*X[836] - 2*X[5134] + X[5561] <= -4
model += X[6125] - 4*X[6934] - X[4241] + 2*X[3800] - 4*X[4972] + 6*X[836] - 3*X[5134] - 3*X[5561] <= 1
model += -6*X[622] + X[6436] - 3*X[4964] - X[7773] - 2*X[3697] - 2*X[7690] - 2*X[6337] + X[3129] <= -4
model += X[622] - 4*X[6436] - X[4964] + 2*X[7773] - 4*X[3697] + 6*X[7690] - 3*X[6337] - 3*X[3129] <= 1
model += -6*X[3361] + X[4490] - 3*X[5363] - X[899] - 2*X[6914] - 2*X[5765] - 2*X[7331] + X[2358] <= -4
model += X[3361] - 4*X[4490] - X[5363] + 2*X[899] - 4*X[6914] + 6*X[5765] - 3*X[7331] - 3*X[2358] <= 1
model += -6*X[1033] + X[6918] - 3*X[4792] - X[5037] - 2*X[1440] - 2*X[7069] - 2*X[275] + X[5371] <= -4
model += X[1033] - 4*X[6918] - X[4792] + 2*X[5037] - 4*X[1440] + 6*X[7069] - 3*X[275] - 3*X[5371] <= 1
model += -6*X[1081] + X[3153] - 3*X[5377] - X[7288] - 2*X[5285] - 2*X[6560] - 2*X[216] + X[7712] <= -4
model += X[1081] - 4*X[3153] - X[5377] + 2*X[7288] - 4*X[5285] + 6*X[6560] - 3*X[216] - 3*X[7712] <= 1
model += -6*X[5075] - X[5246] + 3*X[6293] + X[7766] + 2*X[7660] + 2*X[2939] + 2*X[6685] - X[4595] <= 4
model += -X[5075] + 3*X[5246] + 2*X[6293] + X[7766] + 2*X[7660] - 2*X[2939] + X[6685] - 5*X[4595] <= 3
model += -6*X[3947] - X[1854] + 3*X[6985] + X[7681] + 2*X[5142] + 2*X[7621] + 2*X[1730] - X[4169] <= 4
model += -X[3947] + 3*X[1854] + 2*X[6985] + X[7681] + 2*X[5142] - 2*X[7621] + X[1730] - 5*X[4169] <= 3
model += -6*X[6053] + X[2608] - 3*X[5128] - X[4298] - 2*X[3343] - 2*X[2539] - 2*X[2156] + X[665] <= -4
model += X[6053] - 4*X[2608] - X[5128] + 2*X[4298] - 4*X[3343] + 6*X[2539] - 3*X[2156] - 3*X[665] <= 1
model += -6*X[6264] + X[7552] - 3*X[1202] - X[3031] - 2*X[7009] - 2*X[5374] - 2*X[167] + X[4940] <= -4
model += X[6264] - 4*X[7552] - X[1202] + 2*X[3031] - 4*X[7009] + 6*X[5374] - 3*X[167] - 3*X[4940] <= 1
model += -6*X[1329] + X[6520] - 3*X[2107] - X[4077] - 2*X[1612] - 2*X[7339] - 2*X[6313] + X[950] <= -4
model += X[1329] - 4*X[6520] - X[2107] + 2*X[4077] - 4*X[1612] + 6*X[7339] - 3*X[6313] - 3*X[950] <= 1
model += -6*X[2053] - X[5050] + 3*X[6566] + X[1174] + 2*X[5851] + 2*X[3769] + 2*X[6732] - X[4461] <= 4
model += -X[2053] + 3*X[5050] + 2*X[6566] + X[1174] + 2*X[5851] - 2*X[3769] + X[6732] - 5*X[4461] <= 3
model += -6*X[1813] + X[2988] - 3*X[6029] - X[2004] - 2*X[5335] - 2*X[4622] - 2*X[1400] + X[972] <= -4
model += X[1813] - 4*X[2988] - X[6029] + 2*X[2004] - 4*X[5335] + 6*X[4622] - 3*X[1400] - 3*X[972] <= 1
model += -6*X[1760] - X[6648] + 3*X[5020] + X[2932] + 2*X[5841] + 2*X[2790] + 2*X[6647] - X[7460] <= 4
model += -X[1760] + 3*X[6648] + 2*X[5020] + X[2932] + 2*X[5841] - 2*X[2790] + X[6647] - 5*X[7460] <= 3
model += -6*X[4013] + X[4122] - 3*X[4452] - X[684] - 2*X[4833] - 2*X[4450] - 2*X[1955] + X[2530] <= -4
model += X[4013] - 4*X[4122] - X[4452] + 2*X[684] - 4*X[4833] + 6*X[4450] - 3*X[1955] - 3*X[2530] <= 1
model += -6*X[5369] + X[4554] - 3*X[2519] - X[7702] - 2*X[1141] - 2*X[149] - 2*X[7791] + X[7503] <= -4
model += X[5369] - 4*X[4554] - X[2519] + 2*X[7702] - 4*X[1141] + 6*X[149] - 3*X[7791] - 3*X[7503] <= 1
model += -6*X[7322] + X[4814] - 3*X[1372] - X[7466] - 2*X[4992] - 2*X[3952] - 2*X[341] + X[3821] <= -4
model += X[7322] - 4*X[4814] - X[1372] + 2*X[7466] - 4*X[4992] + 6*X[3952] - 3*X[341] - 3*X[3821] <= 1
model += -6*X[7192] + X[5273] - 3*X[4969] - X[4880] - 2*X[3466] - 2*X[3414] - 2*X[420] + X[4881] <= -4
model += X[7192] - 4*X[5273] - X[4969] + 2*X[4880] - 4*X[3466] + 6*X[3414] - 3*X[420] - 3*X[4881] <= 1
model += -6*X[2654] - X[3130] + 3*X[5864] + X[7780] + 2*X[7406] + 2*X[1933] + 2*X[2722] - X[2719] <= 4
model += -X[2654] + 3*X[3130] + 2*X[5864] + X[7780] + 2*X[7406] - 2*X[1933] + X[2722] - 5*X[2719] <= 3
model += -6*X[325] + X[2900] - 3*X[7163] - X[5960] - 2*X[4997] - 2*X[5934] - 2*X[4006] + X[3123] <= -4
model += X[325] - 4*X[2900] - X[7163] + 2*X[5960] - 4*X[4997] + 6*X[5934] - 3*X[4006] - 3*X[3123] <= 1
model += -6*X[7164] + X[5834] - 3*X[431] - X[6398] - 2*X[2580] - 2*X[6723] - 2*X[6103] + X[7699] <= -4
model += X[7164] - 4*X[5834] - X[431] + 2*X[6398] - 4*X[2580] + 6*X[6723] - 3*X[6103] - 3*X[7699] <= 1
model += -6*X[4893] + X[1883] - 3*X[720] - X[1727] - 2*X[6504] - 2*X[2813] - 2*X[3554] + X[6129] <= -4
model += X[4893] - 4*X[1883] - X[720] + 2*X[1727] - 4*X[6504] + 6*X[2813] - 3*X[3554] - 3*X[6129] <= 1
model += -6*X[5872] + X[1591] - 3*X[6564] - X[3115] - 2*X[3286] - 2*X[6098] - 2*X[937] + X[1545] <= -4
model += X[5872] - 4*X[1591] - X[6564] + 2*X[3115] - 4*X[3286] + 6*X[6098] - 3*X[937] - 3*X[1545] <= 1
model += -6*X[3364] - X[6923] + 3*X[2224] + X[4533] + 2*X[4088] + 2*X[1655] + 2*X[1457] - X[1582] <= 4
model += -X[3364] + 3*X[6923] + 2*X[2224] + X[4533] + 2*X[4088] - 2*X[1655] + X[1457] - 5*X[1582] <= 3
model += -6*X[4117] + X[5546] - 3*X[281] - X[1074] - 2*X[3467] - 2*X[3897] - 2*X[1814] + X[5141] <= -4
model += X[4117] - 4*X[5546] - X[281] + 2*X[1074] - 4*X[3467] + 6*X[3897] - 3*X[1814] - 3*X[5141] <= 1
model += -6*X[3251] + X[334] - 3*X[6033] - X[3889] - 2*X[3346] - 2*X[4465] - 2*X[4677] + X[1016] <= -4
model += X[3251] - 4*X[334] - X[6033] + 2*X[3889] - 4*X[3346] + 6*X[4465] - 3*X[4677] - 3*X[1016] <= 1
model += -6*X[7398] - X[6247] + 3*X[7728] + X[2610] + 2*X[2098] + 2*X[6596] + 2*X[1505] - X[1772] <= 4
model += -X[7398] + 3*X[6247] + 2*X[7728] + X[2610] + 2*X[2098] - 2*X[6596] + X[1505] - 5*X[1772] <= 3
model += -6*X[3157] - X[5436] + 3*X[3813] + X[2285] + 2*X[5454] + 2*X[4967] + 2*X[5130] - X[6808] <= 4
model += -X[3157] + 3*X[5436] + 2*X[3813] + X[2285] + 2*X[5454] - 2*X[4967] + X[5130] - 5*X[6808] <= 3
model += -6*X[6830] + X[2137] - 3*X[1596] - X[4968] - 2*X[4732] - 2*X[893] - 2*X[2319] + X[6943] <= -4
model += X[6830] - 4*X[2137] - X[1596] + 2*X[4968] - 4*X[4732] + 6*X[893] - 3*X[2319] - 3*X[6943] <= 1
model += 3*X[6950] + 9*X[5150] + 7*X[1834] + 5*X[4805] - Y[157] - 4*Y[156] + 2*Y[155] - 8*Y[154] <= 12
model += -6*X[1320] - X[7478] + 3*X[6735] + X[3266] + 2*X[6130] + 2*X[5385] + 2*X[1862] - X[4581] <= 4
model += -X[1320] + 3*X[7478] + 2*X[6735] + X[3266] + 2*X[6130] - 2*X[5385] + X[1862] - 5*X[4581] <= 3
model += -6*X[2644] + X[6500] - 3*X[6262] - X[4866] - 2*X[7327] - 2*X[5424] - 2*X[909] + X[1581] <= -4
model += X[2644] - 4*X[6500] - X[6262] + 2*X[4866] - 4*X[7327] + 6*X[5424] - 3*X[909] - 3*X[1581] <= 1
model += -6*X[5808] + X[1783] - 3*X[5186] - X[2507] - 2*X[630] - 2*X[6883] - 2*X[6344] + X[2492] <= -4
model += X[5808] - 4*X[1783] - X[5186] + 2*X[2507] - 4*X[630] + 6*X[6883] - 3*X[6344] - 3*X[2492] <= 1
model += -6*X[7347] - X[2047] + 3*X[2681] + X[5521] + 2*X[7276] + 2*X[3615] + 2*X[4255] - X[6689] <= 4
model += -X[7347] + 3*X[2047] + 2*X[2681] + X[5521] + 2*X[7276] - 2*X[3615] + X[4255] - 5*X[6689] <= 3
model += -6*X[7317] + X[2929] - 3*X[2677] - X[1401] - 2*X[6373] - 2*X[2355] - 2*X[389] + X[6390] <= -4
model += X[7317] - 4*X[2929] - X[2677] + 2*X[1401] - 4*X[6373] + 6*X[2355] - 3*X[389] - 3*X[6390] <= 1
model += -6*X[2512] + X[2903] - 3*X[6049] - X[743] - 2*X[2409] - 2*X[2523] - 2*X[2163] + X[6810] <= -4
model += X[2512] - 4*X[2903] - X[6049] + 2*X[743] - 4*X[2409] + 6*X[2523] - 3*X[2163] - 3*X[6810] <= 1
model += -6*X[5452] + X[7335] - 3*X[4261] - X[2847] - 2*X[7584] - 2*X[7143] - 2*X[898] + X[1574] <= -4
model += X[5452] - 4*X[7335] - X[4261] + 2*X[2847] - 4*X[7584] + 6*X[7143] - 3*X[898] - 3*X[1574] <= 1
model += -6*X[230] + X[3080] - 3*X[6915] - X[3363] - 2*X[6764] - 2*X[4861] - 2*X[5109] + X[7364] <= -4
model += X[230] - 4*X[3080] - X[6915] + 2*X[3363] - 4*X[6764] + 6*X[4861] - 3*X[5109] - 3*X[7364] <= 1
model += -6*X[5136] - X[4030] + 3*X[1908] + X[6833] + 2*X[7175] + 2*X[3652] + 2*X[6511] - X[5417] <= 4
model += -X[5136] + 3*X[4030] + 2*X[1908] + X[6833] + 2*X[7175] - 2*X[3652] + X[6511] - 5*X[5417] <= 3
model += -6*X[7695] + X[6005] - 3*X[6471] - X[3328] - 2*X[316] - 2*X[5451] - 2*X[1769] + X[7513] <= -4
model += X[7695] - 4*X[6005] - X[6471] + 2*X[3328] - 4*X[316] + 6*X[5451] - 3*X[1769] - 3*X[7513] <= 1
model += -6*X[5835] + X[6477] - 3*X[2170] - X[775] - 2*X[2590] - 2*X[4847] - 2*X[1728] + X[5287] <= -4
model += X[5835] - 4*X[6477] - X[2170] + 2*X[775] - 4*X[2590] + 6*X[4847] - 3*X[1728] - 3*X[5287] <= 1
model += -6*X[1253] + X[2127] - 3*X[200] - X[4984] - 2*X[1659] - 2*X[1128] - 2*X[4935] + X[5307] <= -4
model += X[1253] - 4*X[2127] - X[200] + 2*X[4984] - 4*X[1659] + 6*X[1128] - 3*X[4935] - 3*X[5307] <= 1
model += -6*X[3517] - X[3395] + 3*X[2906] + X[4835] + 2*X[5574] + 2*X[2223] + 2*X[7074] - X[5891] <= 4
model += -X[3517] + 3*X[3395] + 2*X[2906] + X[4835] + 2*X[5574] - 2*X[2223] + X[7074] - 5*X[5891] <= 3
model += -6*X[2312] - X[3888] + 3*X[6195] + X[3575] + 2*X[7173] + 2*X[3487] + 2*X[1042] - X[6205] <= 4
model += -X[2312] + 3*X[3888] + 2*X[6195] + X[3575] + 2*X[7173] - 2*X[3487] + X[1042] - 5*X[6205] <= 3
model += -6*X[4828] - X[2342] + 3*X[2032] + X[7546] + 2*X[1456] + 2*X[7532] + 2*X[2936] - X[3548] <= 4
model += -X[4828] + 3*X[2342] + 2*X[2032] + X[7546] + 2*X[1456] - 2*X[7532] + X[2936] - 5*X[3548] <= 3
model += -6*X[4126] - X[2890] + 3*X[3566] + X[7333] + 2*X[2038] + 2*X[1986] + 2*X[4027] - X[5212] <= 4
model += -X[4126] + 3*X[2890] + 2*X[3566] + X[7333] + 2*X[2038] - 2*X[1986] + X[4027] - 5*X[5212] <= 3
model += -6*X[1230] + X[1867] - 3*X[7272] - X[6067] - 2*X[7413] - 2*X[4227] - 2*X[6766] + X[805] <= -4
model += X[1230] - 4*X[1867] - X[7272] + 2*X[6067] - 4*X[7413] + 6*X[4227] - 3*X[6766] - 3*X[805] <= 1
model += -6*X[2499] - X[6946] + 3*X[1326] + X[6352] + 2*X[7190] + 2*X[7437] + 2*X[5392] - X[3572] <= 4
model += -X[2499] + 3*X[6946] + 2*X[1326] + X[6352] + 2*X[7190] - 2*X[7437] + X[5392] - 5*X[3572] <= 3
model += -6*X[952] + X[6343] - 3*X[6929] - X[7165] - 2*X[3744] - 2*X[7114] - 2*X[1079] + X[5223] <= -4
model += X[952] - 4*X[6343] - X[6929] + 2*X[7165] - 4*X[3744] + 6*X[7114] - 3*X[1079] - 3*X[5223] <= 1
model += -6*X[4469] - X[4082] + 3*X[4339] + X[5072] + 2*X[2557] + 2*X[6395] + 2*X[7368] - X[5300] <= 4
model += -X[4469] + 3*X[4082] + 2*X[4339] + X[5072] + 2*X[2557] - 2*X[6395] + X[7368] - 5*X[5300] <= 3
model += 3*X[917] + 9*X[5116] + 7*X[2639] + 5*X[6169] - X[878] - 4*X[4487] + 2*X[15] - 8*X[3867] <= 12
model += -6*X[2178] - X[7724] + 3*X[5817] + X[3288] + 2*X[2111] + 2*X[1269] + 2*X[7662] - X[3124] <= 4
model += -X[2178] + 3*X[7724] + 2*X[5817] + X[3288] + 2*X[2111] - 2*X[1269] + X[7662] - 5*X[3124] <= 3
model += -6*X[530] + X[7568] - 3*X[2320] - X[4895] - 2*X[3657] - 2*X[5992] - 2*X[4932] + X[1794] <= -4
model += X[530] - 4*X[7568] - X[2320] + 2*X[4895] - 4*X[3657] + 6*X[5992] - 3*X[4932] - 3*X[1794] <= 1
model += -6*X[7316] - X[7652] + 3*X[1650] + X[4456] + 2*X[1879] + 2*X[4815] + 2*X[2994] - X[6786] <= 4
model += -X[7316] + 3*X[7652] + 2*X[1650] + X[4456] + 2*X[1879] - 2*X[4815] + X[2994] - 5*X[6786] <= 3
model += -6*X[3847] - X[5083] + 3*X[3041] + X[5787] + 2*X[7055] + 2*X[5439] + 2*X[4777] - X[1851] <= 4
model += -X[3847] + 3*X[5083] + 2*X[3041] + X[5787] + 2*X[7055] - 2*X[5439] + X[4777] - 5*X[1851] <= 3
model += -6*X[3359] - X[1980] + 3*X[4287] + X[3111] + 2*X[4695] + 2*X[7101] + 2*X[7168] - X[4111] <= 4
model += -X[3359] + 3*X[1980] + 2*X[4287] + X[3111] + 2*X[4695] - 2*X[7101] + X[7168] - 5*X[4111] <= 3
model += -6*X[1054] - X[5539] + 3*X[4797] + X[4463] + 2*X[4890] + 2*X[4655] + 2*X[2123] - X[2533] <= 4
model += -X[1054] + 3*X[5539] + 2*X[4797] + X[4463] + 2*X[4890] - 2*X[4655] + X[2123] - 5*X[2533] <= 3
model += -6*X[3957] + X[549] - 3*X[3530] - X[6190] - 2*X[3263] - 2*X[3910] - 2*X[7497] + X[7472] <= -4
model += X[3957] - 4*X[549] - X[3530] + 2*X[6190] - 4*X[3263] + 6*X[3910] - 3*X[7497] - 3*X[7472] <= 1
model += -6*X[4905] - X[2993] + 3*X[4607] + X[1232] + 2*X[7010] + 2*X[3731] + 2*X[7320] - X[1495] <= 4
model += -X[4905] + 3*X[2993] + 2*X[4607] + X[1232] + 2*X[7010] - 2*X[3731] + X[7320] - 5*X[1495] <= 3
model += -6*X[6406] + X[1020] - 3*X[3577] - X[6429] - 2*X[448] - 2*X[6260] - 2*X[6235] + X[1423] <= -4
model += X[6406] - 4*X[1020] - X[3577] + 2*X[6429] - 4*X[448] + 6*X[6260] - 3*X[6235] - 3*X[1423] <= 1
model += -6*X[5368] - X[3723] + 3*X[5636] + X[4285] + 2*X[7540] + 2*X[7736] + 2*X[1793] - X[7553] <= 4
model += -X[5368] + 3*X[3723] + 2*X[5636] + X[4285] + 2*X[7540] - 2*X[7736] + X[1793] - 5*X[7553] <= 3
model += -6*X[2281] - X[3403] + 3*X[1087] + X[5738] + 2*X[4897] + 2*X[5162] + 2*X[3514] - X[6441] <= 4
model += -X[2281] + 3*X[3403] + 2*X[1087] + X[5738] + 2*X[4897] - 2*X[5162] + X[3514] - 5*X[6441] <= 3
model += 3*X[4319] + 9*X[62] + 7*X[363] + 5*X[3524] - X[7616] - 4*X[1920] + 2*X[749] - 8*X[5207] <= 12
model += -6*X[6354] + X[4497] - 3*X[1687] - X[1602] - 2*X[5297] - 2*X[5435] - 2*X[6563] + X[956] <= -4
model += X[6354] - 4*X[4497] - X[1687] + 2*X[1602] - 4*X[5297] + 6*X[5435] - 3*X[6563] - 3*X[956] <= 1
model += 3*X[2858] + 9*X[7619] + 7*X[6297] + 5*X[3573] - Y[148] - 4*Y[147] + 2*Y[146] - 8*Y[145] <= 12
model += -6*X[3076] - X[5200] + 3*X[6982] + X[4441] + 2*X[2298] + 2*X[4704] + 2*X[6975] - X[3043] <= 4
model += -X[3076] + 3*X[5200] + 2*X[6982] + X[4441] + 2*X[2298] - 2*X[4704] + X[6975] - 5*X[3043] <= 3
model += -6*X[6444] - X[1469] + 3*X[6394] + X[1181] + 2*X[7084] + 2*X[5477] + 2*X[4282] - X[3955] <= 4
model += -X[6444] + 3*X[1469] + 2*X[6394] + X[1181] + 2*X[7084] - 2*X[5477] + X[4282] - 5*X[3955] <= 3
model += -6*X[7374] - X[1820] + 3*X[6565] + X[7237] + 2*X[4333] + 2*X[3782] + 2*X[1613] - X[1973] <= 4
model += -X[7374] + 3*X[1820] + 2*X[6565] + X[7237] + 2*X[4333] - 2*X[3782] + X[1613] - 5*X[1973] <= 3
model += -6*X[3150] + X[5745] - 3*X[4818] - X[3184] - 2*X[6711] - 2*X[3142] - 2*X[3892] + X[244] <= -4
model += X[3150] - 4*X[5745] - X[4818] + 2*X[3184] - 4*X[6711] + 6*X[3142] - 3*X[3892] - 3*X[244] <= 1
model += -6*X[6148] - X[5217] + 3*X[2568] + X[3255] + 2*X[5523] + 2*X[1129] + 2*X[5234] - X[2855] <= 4
model += -X[6148] + 3*X[5217] + 2*X[2568] + X[3255] + 2*X[5523] - 2*X[1129] + X[5234] - 5*X[2855] <= 3
model += -6*X[2945] - X[2961] + 3*X[3349] + X[6400] + 2*X[4365] + 2*X[5147] + 2*X[4877] - X[7516] <= 4
model += -X[2945] + 3*X[2961] + 2*X[3349] + X[6400] + 2*X[4365] - 2*X[5147] + X[4877] - 5*X[7516] <= 3
model += -6*X[2009] + X[4840] - 3*X[2629] - X[504] - 2*X[4691] - 2*X[6089] - 2*X[1925] + X[4071] <= -4
model += X[2009] - 4*X[4840] - X[2629] + 2*X[504] - 4*X[4691] + 6*X[6089] - 3*X[1925] - 3*X[4071] <= 1
model += -6*X[1360] - X[6989] + 3*X[4395] + X[5146] + 2*X[5484] + 2*X[1123] + 2*X[5316] - X[2937] <= 4
model += -X[1360] + 3*X[6989] + 2*X[4395] + X[5146] + 2*X[5484] - 2*X[1123] + X[5316] - 5*X[2937] <= 3
model += -6*X[3968] - X[3228] + 3*X[5748] + X[1786] + 2*X[6603] + 2*X[3533] + 2*X[1096] - X[2734] <= 4
model += -X[3968] + 3*X[3228] + 2*X[5748] + X[1786] + 2*X[6603] - 2*X[3533] + X[1096] - 5*X[2734] <= 3
model += -6*X[7170] + X[7363] - 3*X[6643] - X[2648] - 2*X[1201] - 2*X[981] - 2*X[3621] + X[6555] <= -4
model += X[7170] - 4*X[7363] - X[6643] + 2*X[2648] - 4*X[1201] + 6*X[981] - 3*X[3621] - 3*X[6555] <= 1
model += -6*X[2591] - X[5302] + 3*X[5149] + X[5516] + 2*X[1297] + 2*X[6983] + 2*X[7714] - X[1314] <= 4
model += -X[2591] + 3*X[5302] + 2*X[5149] + X[5516] + 2*X[1297] - 2*X[6983] + X[7714] - 5*X[1314] <= 3
model += -6*X[6550] - X[4808] + 3*X[4392] + X[2609] + 2*X[4283] + 2*X[5403] + 2*X[5248] - X[4756] <= 4
model += -X[6550] + 3*X[4808] + 2*X[4392] + X[2609] + 2*X[4283] - 2*X[5403] + X[5248] - 5*X[4756] <= 3
model += 3*X[3651] + 9*X[1256] + 7*X[3757] + 5*X[5859] - Y[145] - 4*Y[144] + 2*Y[159] - 8*Y[158] <= 12
model += -6*X[3686] + X[4000] - 3*X[6172] - X[2381] - 2*X[1426] - 2*X[821] - 2*X[5073] + X[1472] <= -4
model += X[3686] - 4*X[4000] - X[6172] + 2*X[2381] - 4*X[1426] + 6*X[821] - 3*X[5073] - 3*X[1472] <= 1
model += -6*X[3677] + X[4275] - 3*X[298] - X[1588] - 2*X[2482] - 2*X[5721] - 2*X[7223] + X[2372] <= -4
model += X[3677] - 4*X[4275] - X[298] + 2*X[1588] - 4*X[2482] + 6*X[5721] - 3*X[7223] - 3*X[2372] <= 1
model += -6*X[3632] - X[5625] + 3*X[1490] + X[4963] + 2*X[5143] + 2*X[6327] + 2*X[7763] - X[2471] <= 4
model += -X[3632] + 3*X[5625] + 2*X[1490] + X[4963] + 2*X[5143] - 2*X[6327] + X[7763] - 5*X[2471] <= 3
model += -6*X[6453] + X[7381] - 3*X[3174] - X[1124] - 2*X[2634] - 2*X[2294] - 2*X[3260] + X[116] <= -4
model += X[6453] - 4*X[7381] - X[3174] + 2*X[1124] - 4*X[2634] + 6*X[2294] - 3*X[3260] - 3*X[116] <= 1
model += -6*X[3113] - X[4200] + 3*X[1465] + X[3600] + 2*X[5119] + 2*X[1770] + 2*X[3719] - X[6210] <= 4
model += -X[3113] + 3*X[4200] + 2*X[1465] + X[3600] + 2*X[5119] - 2*X[1770] + X[3719] - 5*X[6210] <= 3
model += -6*X[6316] - X[2789] + 3*X[5725] + X[6345] + 2*X[1195] + 2*X[5082] + 2*X[4764] - X[1585] <= 4
model += -X[6316] + 3*X[2789] + 2*X[5725] + X[6345] + 2*X[1195] - 2*X[5082] + X[4764] - 5*X[1585] <= 3
model += -6*X[5408] - X[7161] + 3*X[6299] + X[1266] + 2*X[3913] + 2*X[7147] + 2*X[5669] - X[6936] <= 4
model += -X[5408] + 3*X[7161] + 2*X[6299] + X[1266] + 2*X[3913] - 2*X[7147] + X[5669] - 5*X[6936] <= 3
model += -6*X[6944] - X[7383] + 3*X[4259] + X[4155] + 2*X[1345] + 2*X[3287] + 2*X[5263] - X[3499] <= 4
model += -X[6944] + 3*X[7383] + 2*X[4259] + X[4155] + 2*X[1345] - 2*X[3287] + X[5263] - 5*X[3499] <= 3
model += -6*X[3834] + X[3751] - 3*X[4181] - X[5490] - 2*X[3811] - 2*X[2713] - 2*X[6392] + X[786] <= -4
model += X[3834] - 4*X[3751] - X[4181] + 2*X[5490] - 4*X[3811] + 6*X[2713] - 3*X[6392] - 3*X[786] <= 1
model += -6*X[5988] + X[1919] - 3*X[5560] - X[5739] - 2*X[440] - 2*X[3836] - 2*X[4886] + X[3353] <= -4
model += X[5988] - 4*X[1919] - X[5560] + 2*X[5739] - 4*X[440] + 6*X[3836] - 3*X[4886] - 3*X[3353] <= 1
model += -6*X[6028] + X[1078] - 3*X[1478] - X[4343] - 2*X[3617] - 2*X[2746] - 2*X[832] + X[3181] <= -4
model += X[6028] - 4*X[1078] - X[1478] + 2*X[4343] - 4*X[3617] + 6*X[2746] - 3*X[832] - 3*X[3181] <= 1
model += -6*X[2578] - X[4908] + 3*X[1133] + X[1386] + 2*X[4506] + 2*X[1882] + 2*X[7504] - X[2613] <= 4
model += -X[2578] + 3*X[4908] + 2*X[1133] + X[1386] + 2*X[4506] - 2*X[1882] + X[7504] - 5*X[2613] <= 3
model += -6*X[486] + X[5272] - 3*X[1339] - X[4174] - 2*X[2857] - 2*X[1421] - 2*X[6945] + X[1477] <= -4
model += X[486] - 4*X[5272] - X[1339] + 2*X[4174] - 4*X[2857] + 6*X[1421] - 3*X[6945] - 3*X[1477] <= 1
model += 10*X[3918] + 7*X[68] - 4*X[7212] - 12*X[1916] - 2*Y[158] + Y[157] + 6*Y[156] - 13*Y[155] <= 4
model += -X[3918] - 2*X[68] + 6*X[7212] - 10*X[1916] + 3*Y[158] + 4*Y[157] - 9*Y[156] + 11*Y[155] <= 8
model += -6*X[6361] - X[2279] + 3*X[2920] + X[5503] + 2*X[2762] + 2*X[6359] + 2*X[4659] - X[4017] <= 4
model += -X[6361] + 3*X[2279] + 2*X[2920] + X[5503] + 2*X[2762] - 2*X[6359] + X[4659] - 5*X[4017] <= 3
model += -6*X[7462] + X[2508] - 3*X[3994] - X[3407] - 2*X[4478] - 2*X[6803] - 2*X[722] + X[5532] <= -4
model += X[7462] - 4*X[2508] - X[3994] + 2*X[3407] - 4*X[4478] + 6*X[6803] - 3*X[722] - 3*X[5532] <= 1
model += -6*X[2682] - X[7079] + 3*X[2564] + X[2150] + 2*X[5461] + 2*X[2891] + 2*X[3586] - X[1945] <= 4
model += -X[2682] + 3*X[7079] + 2*X[2564] + X[2150] + 2*X[5461] - 2*X[2891] + X[3586] - 5*X[1945] <= 3
model += -6*X[2768] + X[5707] - 3*X[585] - X[6705] - 2*X[3162] - 2*X[4527] - 2*X[4605] + X[3690] <= -4
model += X[2768] - 4*X[5707] - X[585] + 2*X[6705] - 4*X[3162] + 6*X[4527] - 3*X[4605] - 3*X[3690] <= 1
model += -6*X[2603] + X[4693] - 3*X[733] - X[3939] - 2*X[6059] - 2*X[4072] - 2*X[3257] + X[6916] <= -4
model += X[2603] - 4*X[4693] - X[733] + 2*X[3939] - 4*X[6059] + 6*X[4072] - 3*X[3257] - 3*X[6916] <= 1
model += -6*X[4187] - X[6440] + 3*X[4646] + X[2552] + 2*X[3967] + 2*X[7226] + 2*X[4263] - X[1396] <= 4
model += -X[4187] + 3*X[6440] + 2*X[4646] + X[2552] + 2*X[3967] - 2*X[7226] + X[4263] - 5*X[1396] <= 3
model += -6*X[2863] - X[1110] + 3*X[6728] + X[5165] + 2*X[4254] + 2*X[7321] + 2*X[3863] - X[7601] <= 4
model += -X[2863] + 3*X[1110] + 2*X[6728] + X[5165] + 2*X[4254] - 2*X[7321] + X[3863] - 5*X[7601] <= 3
model += -6*X[7155] + X[5402] - 3*X[4522] - X[6273] - 2*X[5110] - 2*X[6474] - 2*X[1989] + X[309] <= -4
model += X[7155] - 4*X[5402] - X[4522] + 2*X[6273] - 4*X[5110] + 6*X[6474] - 3*X[1989] - 3*X[309] <= 1
model += -6*X[1351] + X[4711] - 3*X[147] - X[7027] - 2*X[5724] - 2*X[1575] - 2*X[3242] + X[3680] <= -4
model += X[1351] - 4*X[4711] - X[147] + 2*X[7027] - 4*X[5724] + 6*X[1575] - 3*X[3242] - 3*X[3680] <= 1
model += -6*X[3614] - X[6222] + 3*X[4928] + X[5752] + 2*X[6558] + 2*X[5422] + 2*X[6994] - X[4278] <= 4
model += -X[3614] + 3*X[6222] + 2*X[4928] + X[5752] + 2*X[6558] - 2*X[5422] + X[6994] - 5*X[4278] <= 3
model += -6*X[2972] + X[1506] - 3*X[403] - X[2951] - 2*X[4048] - 2*X[4718] - 2*X[7416] + X[2096] <= -4
model += X[2972] - 4*X[1506] - X[403] + 2*X[2951] - 4*X[4048] + 6*X[4718] - 3*X[7416] - 3*X[2096] <= 1
model += -6*X[5056] + X[566] - 3*X[7225] - X[3928] - 2*X[1681] - 2*X[1875] - 2*X[1165] + X[1094] <= -4
model += X[5056] - 4*X[566] - X[7225] + 2*X[3928] - 4*X[1681] + 6*X[1875] - 3*X[1165] - 3*X[1094] <= 1
model += -6*X[6553] + X[3683] - 3*X[880] - X[7713] - 2*X[1601] - 2*X[3547] - 2*X[5226] + X[5601] <= -4
model += X[6553] - 4*X[3683] - X[880] + 2*X[7713] - 4*X[1601] + 6*X[3547] - 3*X[5226] - 3*X[5601] <= 1
model += -6*X[5648] - X[3509] + 3*X[1261] + X[6282] + 2*X[3891] + 2*X[5778] + 2*X[4197] - X[2913] <= 4
model += -X[5648] + 3*X[3509] + 2*X[1261] + X[6282] + 2*X[3891] - 2*X[5778] + X[4197] - 5*X[2913] <= 3
model += -6*X[7117] - X[2271] + 3*X[3875] + X[6695] + 2*X[6813] + 2*X[7125] + 2*X[5935] - X[5499] <= 4
model += -X[7117] + 3*X[2271] + 2*X[3875] + X[6695] + 2*X[6813] - 2*X[7125] + X[5935] - 5*X[5499] <= 3
model += -6*X[2079] - X[1928] + 3*X[6745] + X[2582] + 2*X[7179] + 2*X[4419] + 2*X[4917] - X[4439] <= 4
model += -X[2079] + 3*X[1928] + 2*X[6745] + X[2582] + 2*X[7179] - 2*X[4419] + X[4917] - 5*X[4439] <= 3
model += -6*X[6084] - X[1367] + 3*X[3749] + X[6921] + 2*X[5366] + 2*X[1153] + 2*X[1330] - X[1868] <= 4
model += -X[6084] + 3*X[1367] + 2*X[3749] + X[6921] + 2*X[5366] - 2*X[1153] + X[1330] - 5*X[1868] <= 3
model += -6*X[2475] - X[7709] + 3*X[1038] + X[4493] + 2*X[1109] + 2*X[1824] + 2*X[3021] - X[4146] <= 4
model += -X[2475] + 3*X[7709] + 2*X[1038] + X[4493] + 2*X[1109] - 2*X[1824] + X[3021] - 5*X[4146] <= 3
model += -6*X[3244] + X[3861] - 3*X[5170] - X[7422] - 2*X[6913] - 2*X[405] - 2*X[6646] + X[2380] <= -4
model += X[3244] - 4*X[3861] - X[5170] + 2*X[7422] - 4*X[6913] + 6*X[405] - 3*X[6646] - 3*X[2380] <= 1
model += -6*X[3738] - X[2984] + 3*X[6318] + X[2587] + 2*X[2679] + 2*X[6054] + 2*X[3301] - X[2001] <= 4
model += -X[3738] + 3*X[2984] + 2*X[6318] + X[2587] + 2*X[2679] - 2*X[6054] + X[3301] - 5*X[2001] <= 3
model += -6*X[6487] + X[2744] - 3*X[7659] - X[3352] - 2*X[5213] - 2*X[511] - 2*X[2023] + X[6771] <= -4
model += X[6487] - 4*X[2744] - X[7659] + 2*X[3352] - 4*X[5213] + 6*X[511] - 3*X[2023] - 3*X[6771] <= 1
model += -6*X[6537] + X[3576] - 3*X[7098] - X[4360] - 2*X[6382] - 2*X[3075] - 2*X[267] + X[5868] <= -4
model += X[6537] - 4*X[3576] - X[7098] + 2*X[4360] - 4*X[6382] + 6*X[3075] - 3*X[267] - 3*X[5868] <= 1
model += -6*X[1463] + X[4955] - 3*X[932] - X[7307] - 2*X[4125] - 2*X[3068] - 2*X[2802] + X[5791] <= -4
model += X[1463] - 4*X[4955] - X[932] + 2*X[7307] - 4*X[4125] + 6*X[3068] - 3*X[2802] - 3*X[5791] <= 1
model += -6*X[7606] - X[2002] + 3*X[4008] + X[2815] + 2*X[2916] + 2*X[2998] + 2*X[6167] - X[2910] <= 4
model += -X[7606] + 3*X[2002] + 2*X[4008] + X[2815] + 2*X[2916] - 2*X[2998] + X[6167] - 5*X[2910] <= 3
model += 3*X[2668] + 9*X[2866] + 7*X[2926] + 5*X[3721] - Y[152] - 4*Y[151] + 2*Y[150] - 8*Y[149] <= 12
model += -6*X[4406] - X[2778] + 3*X[7708] + X[5853] + 2*X[2343] + 2*X[2065] + 2*X[4318] - X[3463] <= 4
model += -X[4406] + 3*X[2778] + 2*X[7708] + X[5853] + 2*X[2343] - 2*X[2065] + X[4318] - 5*X[3463] <= 3
model += 10*X[5244] + 7*X[450] - 4*X[73] - 12*X[285] - 2*X[5257] + X[949] + 6*X[716] - 13*X[5357] <= 4
model += -X[5244] - 2*X[450] + 6*X[73] - 10*X[285] + 3*X[5257] + 4*X[949] - 9*X[716] + 11*X[5357] <= 8
model += 3*X[25] + 9*X[506] + 7*X[5756] + 5*X[6958] - X[1516] - 4*X[6976] + 2*X[470] - 8*X[1657] <= 12
model += -6*X[5303] - X[4188] + 3*X[6281] + X[6472] + 2*X[2344] + 2*X[2820] + 2*X[5600] - X[5438] <= 4
model += -X[5303] + 3*X[4188] + 2*X[6281] + X[6472] + 2*X[2344] - 2*X[2820] + X[5600] - 5*X[5438] <= 3
model += -6*X[2168] + X[3578] - 3*X[3053] - X[1888] - 2*X[7479] - 2*X[2571] - 2*X[1198] + X[514] <= -4
model += X[2168] - 4*X[3578] - X[3053] + 2*X[1888] - 4*X[7479] + 6*X[2571] - 3*X[1198] - 3*X[514] <= 1
model += -6*X[2601] + X[4946] - 3*X[913] - X[4780] - 2*X[7507] - 2*X[2714] - 2*X[2676] + X[3332] <= -4
model += X[2601] - 4*X[4946] - X[913] + 2*X[4780] - 4*X[7507] + 6*X[2714] - 3*X[2676] - 3*X[3332] <= 1
model += -6*X[5654] + X[2800] - 3*X[4204] - X[7658] - 2*X[489] - 2*X[1954] - 2*X[4549] + X[6289] <= -4
model += X[5654] - 4*X[2800] - X[4204] + 2*X[7658] - 4*X[489] + 6*X[1954] - 3*X[4549] - 3*X[6289] <= 1
model += -6*X[7508] - X[6007] + 3*X[3037] + X[3579] + 2*X[1912] + 2*X[1496] + 2*X[1726] - X[3206] <= 4
model += -X[7508] + 3*X[6007] + 2*X[3037] + X[3579] + 2*X[1912] - 2*X[1496] + X[1726] - 5*X[3206] <= 3
model += -6*X[7245] - X[3639] + 3*X[4078] + X[1399] + 2*X[7137] + 2*X[5519] + 2*X[4272] - X[2059] <= 4
model += -X[7245] + 3*X[3639] + 2*X[4078] + X[1399] + 2*X[7137] - 2*X[5519] + X[4272] - 5*X[2059] <= 3
model += 3*X[3233] + 9*X[6031] + 7*X[1721] + 5*X[5094] - Y[149] - 4*Y[148] + 2*Y[147] - 8*Y[146] <= 12
model += -6*X[7100] + X[2092] - 3*X[2541] - X[120] - 2*X[1972] - 2*X[6828] - 2*X[6040] + X[5537] <= -4
model += X[7100] - 4*X[2092] - X[2541] + 2*X[120] - 4*X[1972] + 6*X[6828] - 3*X[6040] - 3*X[5537] <= 1
model += -6*X[4615] + X[3247] - 3*X[4975] - X[4421] - 2*X[1897] - 2*X[4979] - 2*X[345] + X[5058] <= -4
model += X[4615] - 4*X[3247] - X[4975] + 2*X[4421] - 4*X[1897] + 6*X[4979] - 3*X[345] - 3*X[5058] <= 1
model += -6*X[1354] - X[2197] + 3*X[6506] + X[2470] + 2*X[3780] + 2*X[7427] + 2*X[1630] - X[3339] <= 4
model += -X[1354] + 3*X[2197] + 2*X[6506] + X[2470] + 2*X[3780] - 2*X[7427] + X[1630] - 5*X[3339] <= 3
model += -6*X[4716] - X[3687] + 3*X[5905] + X[5801] + 2*X[2406] + 2*X[5572] + 2*X[3444] - X[6365] <= 4
model += -X[4716] + 3*X[3687] + 2*X[5905] + X[5801] + 2*X[2406] - 2*X[5572] + X[3444] - 5*X[6365] <= 3
model += -6*X[6579] - X[5505] + 3*X[3912] + X[7583] + 2*X[7132] + 2*X[6750] + 2*X[2996] - X[2478] <= 4
model += -X[6579] + 3*X[5505] + 2*X[3912] + X[7583] + 2*X[7132] - 2*X[6750] + X[2996] - 5*X[2478] <= 3
model += -6*X[4212] + X[4049] - 3*X[4980] - X[4617] - 2*X[2791] - 2*X[1905] - 2*X[222] + X[1499] <= -4
model += X[4212] - 4*X[4049] - X[4980] + 2*X[4617] - 4*X[2791] + 6*X[1905] - 3*X[222] - 3*X[1499] <= 1
model += -6*X[606] + X[5299] - 3*X[3442] - X[5329] - 2*X[1051] - 2*X[6168] - 2*X[3355] + X[7768] <= -4
model += X[606] - 4*X[5299] - X[3442] + 2*X[5329] - 4*X[1051] + 6*X[6168] - 3*X[3355] - 3*X[7768] <= 1
model += -6*X[858] + X[6037] - 3*X[4734] - X[5077] - 2*X[2529] - 2*X[4826] - 2*X[6009] + X[1708] <= -4
model += X[858] - 4*X[6037] - X[4734] + 2*X[5077] - 4*X[2529] + 6*X[4826] - 3*X[6009] - 3*X[1708] <= 1
model += -6*X[4761] + X[3491] - 3*X[7772] - X[3883] - 2*X[2095] - 2*X[4432] - 2*X[442] + X[2510] <= -4
model += X[4761] - 4*X[3491] - X[7772] + 2*X[3883] - 4*X[2095] + 6*X[4432] - 3*X[442] - 3*X[2510] <= 1
model += -6*X[1486] + X[1536] - 3*X[5104] - X[6752] - 2*X[5258] - 2*X[911] - 2*X[5870] + X[5904] <= -4
model += X[1486] - 4*X[1536] - X[5104] + 2*X[6752] - 4*X[5258] + 6*X[911] - 3*X[5870] - 3*X[5904] <= 1
model += -6*X[3211] + X[6815] - 3*X[6332] - X[4868] - 2*X[1186] - 2*X[6687] - 2*X[3582] + X[444] <= -4
model += X[3211] - 4*X[6815] - X[6332] + 2*X[4868] - 4*X[1186] + 6*X[6687] - 3*X[3582] - 3*X[444] <= 1
model += -6*X[4018] - X[7375] + 3*X[3042] + X[2661] + 2*X[5815] + 2*X[3899] + 2*X[5947] - X[5847] <= 4
model += -X[4018] + 3*X[7375] + 2*X[3042] + X[2661] + 2*X[5815] - 2*X[3899] + X[5947] - 5*X[5847] <= 3
model += -6*X[1715] - X[3628] + 3*X[2365] + X[1990] + 2*X[2912] + 2*X[6742] + 2*X[6126] - X[6285] <= 4
model += -X[1715] + 3*X[3628] + 2*X[2365] + X[1990] + 2*X[2912] - 2*X[6742] + X[6126] - 5*X[6285] <= 3
model += 3*X[7748] + 9*X[1884] + 7*X[7385] + 5*X[4295] - Y[146] - 4*Y[145] + 2*Y[144] - 8*Y[159] <= 12
model += -6*X[2175] - X[6682] + 3*X[4508] + X[2325] + 2*X[5033] + 2*X[2905] + 2*X[1800] - X[7196] <= 4
model += -X[2175] + 3*X[6682] + 2*X[4508] + X[2325] + 2*X[5033] - 2*X[2905] + X[1800] - 5*X[7196] <= 3
model += -6*X[2796] - X[6571] + 3*X[4987] + X[3018] + 2*X[1003] + 2*X[7403] + 2*X[3754] - X[1608] <= 4
model += -X[2796] + 3*X[6571] + 2*X[4987] + X[3018] + 2*X[1003] - 2*X[7403] + X[3754] - 5*X[1608] <= 3
model += -6*X[7086] - X[4166] + 3*X[6271] + X[5689] + 2*X[7342] + 2*X[6492] + 2*X[4806] - X[6286] <= 4
model += -X[7086] + 3*X[4166] + 2*X[6271] + X[5689] + 2*X[7342] - 2*X[6492] + X[4806] - 5*X[6286] <= 3
model += -6*X[2956] - X[1752] + 3*X[1197] + X[6622] + 2*X[4819] + 2*X[5156] + 2*X[4307] - X[3478] <= 4
model += -X[2956] + 3*X[1752] + 2*X[1197] + X[6622] + 2*X[4819] - 2*X[5156] + X[4307] - 5*X[3478] <= 3
model += -6*X[7686] - X[6583] + 3*X[5889] + X[4773] + 2*X[7577] + 2*X[2584] + 2*X[2782] - X[7425] <= 4
model += -X[7686] + 3*X[6583] + 2*X[5889] + X[4773] + 2*X[7577] - 2*X[2584] + X[2782] - 5*X[7425] <= 3
model += -6*X[2720] - X[2758] + 3*X[6272] + X[4512] + 2*X[5496] + 2*X[6876] + 2*X[4453] - X[6908] <= 4
model += -X[2720] + 3*X[2758] + 2*X[6272] + X[4512] + 2*X[5496] - 2*X[6876] + X[4453] - 5*X[6908] <= 3
model += -6*X[6404] + X[6010] - 3*X[117] - X[7185] - 2*X[7325] - 2*X[6072] - 2*X[6193] + X[4195] <= -4
model += X[6404] - 4*X[6010] - X[117] + 2*X[7185] - 4*X[7325] + 6*X[6072] - 3*X[6193] - 3*X[4195] <= 1
model += -6*X[3400] - X[6476] + 3*X[4258] + X[7529] + 2*X[6980] + 2*X[2313] + 2*X[5460] - X[6364] <= 4
model += -X[3400] + 3*X[6476] + 2*X[4258] + X[7529] + 2*X[6980] - 2*X[2313] + X[5460] - 5*X[6364] <= 3
model += -6*X[6678] + X[4583] - 3*X[130] - X[3718] - 2*X[1223] - 2*X[4883] - 2*X[4827] + X[4552] <= -4
model += X[6678] - 4*X[4583] - X[130] + 2*X[3718] - 4*X[1223] + 6*X[4883] - 3*X[4827] - 3*X[4552] <= 1
model += -6*X[4046] + X[800] - 3*X[5482] - X[1061] - 2*X[3496] - 2*X[2495] - 2*X[4822] + X[7264] <= -4
model += X[4046] - 4*X[800] - X[5482] + 2*X[1061] - 4*X[3496] + 6*X[2495] - 3*X[4822] - 3*X[7264] <= 1
model += -6*X[4119] - X[7732] + 3*X[3362] + X[2242] + 2*X[3230] + 2*X[2194] + 2*X[2885] - X[3855] <= 4
model += -X[4119] + 3*X[7732] + 2*X[3362] + X[2242] + 2*X[3230] - 2*X[2194] + X[2885] - 5*X[3855] <= 3
model += -6*X[6391] - X[5501] + 3*X[5493] + X[7600] + 2*X[4192] + 2*X[4689] + 2*X[5880] - X[2468] <= 4
model += -X[6391] + 3*X[5501] + 2*X[5493] + X[7600] + 2*X[4192] - 2*X[4689] + X[5880] - 5*X[2468] <= 3
model += -6*X[6577] + X[3948] - 3*X[4464] - X[6157] - 2*X[352] - 2*X[4778] - 2*X[6433] + X[6448] <= -4
model += X[6577] - 4*X[3948] - X[4464] + 2*X[6157] - 4*X[352] + 6*X[4778] - 3*X[6433] - 3*X[6448] <= 1
model += -6*X[7710] - X[1651] + 3*X[4609] + X[7340] + 2*X[1448] + 2*X[1209] + 2*X[2339] - X[6524] <= 4
model += -X[7710] + 3*X[1651] + 2*X[4609] + X[7340] + 2*X[1448] - 2*X[1209] + X[2339] - 5*X[6524] <= 3
model += 3*X[1097] + 9*X[6322] + 7*X[5879] + 5*X[29] - X[424] - 4*X[6317] + 2*X[362] - 8*X[7572] <= 12
model += -6*X[1738] + X[3144] - 3*X[6726] - X[4238] - 2*X[5395] - 2*X[4800] - 2*X[528] + X[5821] <= -4
model += X[1738] - 4*X[3144] - X[6726] + 2*X[4238] - 4*X[5395] + 6*X[4800] - 3*X[528] - 3*X[5821] <= 1
model += -6*X[4130] - X[7701] + 3*X[3250] + X[5820] + 2*X[5681] + 2*X[1614] + 2*X[1906] - X[2946] <= 4
model += -X[4130] + 3*X[7701] + 2*X[3250] + X[5820] + 2*X[5681] - 2*X[1614] + X[1906] - 5*X[2946] <= 3
model += -6*X[5189] - X[4804] + 3*X[2014] + X[7246] + 2*X[1556] + 2*X[4175] + 2*X[3152] - X[4274] <= 4
model += -X[5189] + 3*X[4804] + 2*X[2014] + X[7246] + 2*X[1556] - 2*X[4175] + X[3152] - 5*X[4274] <= 3
model += -6*X[6710] + X[2088] - 3*X[5065] - X[477] - 2*X[4412] - 2*X[2754] - 2*X[1994] + X[6486] <= -4
model += X[6710] - 4*X[2088] - X[5065] + 2*X[477] - 4*X[4412] + 6*X[2754] - 3*X[1994] - 3*X[6486] <= 1
model += -6*X[4854] + X[844] - 3*X[7343] - X[6257] - 2*X[7570] - 2*X[4001] - 2*X[1755] + X[3227] <= -4
model += X[4854] - 4*X[844] - X[7343] + 2*X[6257] - 4*X[7570] + 6*X[4001] - 3*X[1755] - 3*X[3227] <= 1
model += -6*X[1169] + X[2117] - 3*X[7785] - X[2066] - 2*X[725] - 2*X[6328] - 2*X[7144] + X[1710] <= -4
model += X[1169] - 4*X[2117] - X[7785] + 2*X[2066] - 4*X[725] + 6*X[6328] - 3*X[7144] - 3*X[1710] <= 1
model += -6*X[5095] - X[7000] + 3*X[2953] + X[2753] + 2*X[2848] + 2*X[6409] + 2*X[4385] - X[2390] <= 4
model += -X[5095] + 3*X[7000] + 2*X[2953] + X[2753] + 2*X[2848] - 2*X[6409] + X[4385] - 5*X[2390] <= 3
model += -6*X[2125] - X[4643] + 3*X[2289] + X[5962] + 2*X[1460] + 2*X[1844] + 2*X[2439] - X[1178] <= 4
model += -X[2125] + 3*X[4643] + 2*X[2289] + X[5962] + 2*X[1460] - 2*X[1844] + X[2439] - 5*X[1178] <= 3
model += -6*X[7783] - X[2280] + 3*X[2949] + X[1240] + 2*X[1658] + 2*X[7251] + 2*X[3253] - X[6899] <= 4
model += -X[7783] + 3*X[2280] + 2*X[2949] + X[1240] + 2*X[1658] - 2*X[7251] + X[3253] - 5*X[6899] <= 3
model += -6*X[1373] - X[3239] + 3*X[3187] + X[1644] + 2*X[1976] + 2*X[3126] + 2*X[6026] - X[2340] <= 4
model += -X[1373] + 3*X[3239] + 2*X[3187] + X[1644] + 2*X[1976] - 2*X[3126] + X[6026] - 5*X[2340] <= 3
model += -6*X[7310] + X[4109] - 3*X[3421] - X[4536] - 2*X[5510] - 2*X[7590] - 2*X[4475] + X[607] <= -4
model += X[7310] - 4*X[4109] - X[3421] + 2*X[4536] - 4*X[5510] + 6*X[7590] - 3*X[4475] - 3*X[607] <= 1
model += -6*X[4601] - X[2607] + 3*X[6085] + X[5214] + 2*X[1126] + 2*X[4841] + 2*X[4889] - X[7611] <= 4
model += -X[4601] + 3*X[2607] + 2*X[6085] + X[5214] + 2*X[1126] - 2*X[4841] + X[4889] - 5*X[7611] <= 3
model += -6*X[3404] - X[1365] + 3*X[4873] + X[1091] + 2*X[3320] + 2*X[3134] + 2*X[3418] - X[6665] <= 4
model += -X[3404] + 3*X[1365] + 2*X[4873] + X[1091] + 2*X[3320] - 2*X[3134] + X[3418] - 5*X[6665] <= 3
model += -6*X[6827] + X[7528] - 3*X[3820] - X[2277] - 2*X[1254] - 2*X[5466] - 2*X[471] + X[6462] <= -4
model += X[6827] - 4*X[7528] - X[3820] + 2*X[2277] - 4*X[1254] + 6*X[5466] - 3*X[471] - 3*X[6462] <= 1
model += -6*X[4587] + X[774] - 3*X[5254] - X[3923] - 2*X[1140] - 2*X[4537] - 2*X[3772] + X[7269] <= -4
model += X[4587] - 4*X[774] - X[5254] + 2*X[3923] - 4*X[1140] + 6*X[4537] - 3*X[3772] - 3*X[7269] <= 1
model += -6*X[3261] + X[3808] - 3*X[975] - X[4644] - 2*X[6844] - 2*X[7142] - 2*X[5066] + X[1625] <= -4
model += X[3261] - 4*X[3808] - X[975] + 2*X[4644] - 4*X[6844] + 6*X[7142] - 3*X[5066] - 3*X[1625] <= 1
model += -6*X[5353] + X[4397] - 3*X[632] - X[2030] - 2*X[6280] - 2*X[1850] - 2*X[1609] + X[7563] <= -4
model += X[5353] - 4*X[4397] - X[632] + 2*X[2030] - 4*X[6280] + 6*X[1850] - 3*X[1609] - 3*X[7563] <= 1
model += -6*X[1558] + X[7424] - 3*X[5657] - X[6200] - 2*X[3831] - 2*X[110] - 2*X[1220] + X[6582] <= -4
model += X[1558] - 4*X[7424] - X[5657] + 2*X[6200] - 4*X[3831] + 6*X[110] - 3*X[1220] - 3*X[6582] <= 1
model += -6*X[3501] + X[1930] - 3*X[331] - X[4224] - 2*X[2861] - 2*X[6498] - 2*X[2286] + X[4632] <= -4
model += X[3501] - 4*X[1930] - X[331] + 2*X[4224] - 4*X[2861] + 6*X[6498] - 3*X[2286] - 3*X[4632] <= 1
model += 3*X[4795] + 9*X[7197] + 7*X[4203] + 5*X[1776] - Y[153] - 4*Y[152] + 2*Y[151] - 8*Y[150] <= 12
model += -6*X[6820] + X[1866] - 3*X[816] - X[2034] - 2*X[4569] - 2*X[1318] - 2*X[1438] + X[3077] <= -4
model += X[6820] - 4*X[1866] - X[816] + 2*X[2034] - 4*X[4569] + 6*X[1318] - 3*X[1438] - 3*X[3077] <= 1
model += -6*X[1713] + X[7013] - 3*X[5174] - X[1431] - 2*X[6545] - 2*X[1959] - 2*X[623] + X[4393] <= -4
model += X[1713] - 4*X[7013] - X[5174] + 2*X[1431] - 4*X[6545] + 6*X[1959] - 3*X[623] - 3*X[4393] <= 1
model += -6*X[4202] - X[7094] + 3*X[6303] + X[5265] + 2*X[1870] + 2*X[4405] + 2*X[5697] - X[3201] <= 4
model += -X[4202] + 3*X[7094] + 2*X[6303] + X[5265] + 2*X[1870] - 2*X[4405] + X[5697] - 5*X[3201] <= 3
model += -6*X[5201] - X[6744] + 3*X[4251] + X[1182] + 2*X[7186] + 2*X[4297] + 2*X[6160] - X[2085] <= 4
model += -X[5201] + 3*X[6744] + 2*X[4251] + X[1182] + 2*X[7186] - 2*X[4297] + X[6160] - 5*X[2085] <= 3
model += -6*X[2795] - X[3612] + 3*X[5728] + X[1950] + 2*X[5465] + 2*X[4112] + 2*X[2363] - X[1273] <= 4
model += -X[2795] + 3*X[3612] + 2*X[5728] + X[1950] + 2*X[5465] - 2*X[4112] + X[2363] - 5*X[1273] <= 3
model += -6*X[3399] + X[3082] - 3*X[2938] - X[2407] - 2*X[611] - 2*X[1498] - 2*X[3758] + X[3088] <= -4
model += X[3399] - 4*X[3082] - X[2938] + 2*X[2407] - 4*X[611] + 6*X[1498] - 3*X[3758] - 3*X[3088] <= 1
model += -6*X[864] + X[4606] - 3*X[2930] - X[1299] - 2*X[7025] - 2*X[3609] - 2*X[3267] + X[6296] <= -4
model += X[864] - 4*X[4606] - X[2930] + 2*X[1299] - 4*X[7025] + 6*X[3609] - 3*X[3267] - 3*X[6296] <= 1
model += -6*X[5713] - X[2008] + 3*X[5093] + X[1964] + 2*X[4035] + 2*X[5336] + 2*X[5432] - X[1587] <= 4
model += -X[5713] + 3*X[2008] + 2*X[5093] + X[1964] + 2*X[4035] - 2*X[5336] + X[5432] - 5*X[1587] <= 3
model += -6*X[4654] - X[5364] + 3*X[2919] + X[3882] + 2*X[6175] + 2*X[3779] + 2*X[3859] - X[3027] <= 4
model += -X[4654] + 3*X[5364] + 2*X[2919] + X[3882] + 2*X[6175] - 2*X[3779] + X[3859] - 5*X[3027] <= 3
model += -6*X[4162] - X[2918] + 3*X[7571] + X[6427] + 2*X[2749] + 2*X[2695] + 2*X[5378] - X[5862] <= 4
model += -X[4162] + 3*X[2918] + 2*X[7571] + X[6427] + 2*X[2749] - 2*X[2695] + X[5378] - 5*X[5862] <= 3
model += 3*X[5361] + 9*X[6804] + 7*X[2974] + 5*X[6145] - X[6178] - 4*X[5712] + 2*X[4] - 8*X[344] <= 12
model += -6*X[2144] + X[3876] - 3*X[1032] - X[3303] - 2*X[3327] - 2*X[6091] - 2*X[3784] + X[436] <= -4
model += X[2144] - 4*X[3876] - X[1032] + 2*X[3303] - 4*X[3327] + 6*X[6091] - 3*X[3784] - 3*X[436] <= 1
model += -6*X[2051] - X[6062] + 3*X[2219] + X[4342] + 2*X[6048] + 2*X[2261] + 2*X[6399] - X[3345] <= 4
model += -X[2051] + 3*X[6062] + 2*X[2219] + X[4342] + 2*X[6048] - 2*X[2261] + X[6399] - 5*X[3345] <= 3
model += -6*X[7063] - X[5183] + 3*X[6307] + X[4498] + 2*X[7075] + 2*X[5233] + 2*X[4945] - X[6333] <= 4
model += -X[7063] + 3*X[5183] + 2*X[6307] + X[4498] + 2*X[7075] - 2*X[5233] + X[4945] - 5*X[6333] <= 3
model += -6*X[3430] - X[4388] + 3*X[3225] + X[2466] + 2*X[6610] + 2*X[6746] + 2*X[2419] - X[5463] <= 4
model += -X[3430] + 3*X[4388] + 2*X[3225] + X[2466] + 2*X[6610] - 2*X[6746] + X[2419] - 5*X[5463] <= 3
model += -6*X[5942] - X[4323] + 3*X[3895] + X[7329] + 2*X[3602] + 2*X[3323] + 2*X[7784] - X[4923] <= 4
model += -X[5942] + 3*X[4323] + 2*X[3895] + X[7329] + 2*X[3602] - 2*X[3323] + X[7784] - 5*X[4923] <= 3
model += -6*X[746] + X[6188] - 3*X[4723] - X[5084] - 2*X[2394] - 2*X[1308] - 2*X[1274] + X[3127] <= -4
model += X[746] - 4*X[6188] - X[4723] + 2*X[5084] - 4*X[2394] + 6*X[1308] - 3*X[1274] - 3*X[3127] <= 1
model += -6*X[1031] - X[6538] + 3*X[2220] + X[6842] + 2*X[1771] + 2*X[3965] + 2*X[2748] - X[2990] <= 4
model += -X[1031] + 3*X[6538] + 2*X[2220] + X[6842] + 2*X[1771] - 2*X[3965] + X[2748] - 5*X[2990] <= 3
model += -6*X[1982] - X[7775] + 3*X[5567] + X[2693] + 2*X[4758] + 2*X[6613] + 2*X[5071] - X[2524] <= 4
model += -X[1982] + 3*X[7775] + 2*X[5567] + X[2693] + 2*X[4758] - 2*X[6613] + X[5071] - 5*X[2524] <= 3
model += -6*X[3047] - X[5898] + 3*X[6556] + X[6231] + 2*X[4550] + 2*X[5924] + 2*X[4156] - X[5608] <= 4
model += -X[3047] + 3*X[5898] + 2*X[6556] + X[6231] + 2*X[4550] - 2*X[5924] + X[4156] - 5*X[5608] <= 3
model += 10*X[255] + 7*X[641] - 4*X[1138] - 12*X[7149] - 2*Y[147] + Y[146] + 6*Y[145] - 13*Y[144] <= 4
model += -X[255] - 2*X[641] + 6*X[1138] - 10*X[7149] + 3*Y[147] + 4*Y[146] - 9*Y[145] + 11*Y[144] <= 8
model += -6*X[2583] - X[6724] + 3*X[4044] + X[6625] + 2*X[2206] + 2*X[4338] + 2*X[6754] - X[2963] <= 4
model += -X[2583] + 3*X[6724] + 2*X[4044] + X[6625] + 2*X[2206] - 2*X[4338] + X[6754] - 5*X[2963] <= 3
model += -6*X[5653] - X[1106] + 3*X[6302] + X[1746] + 2*X[6191] + 2*X[2457] + 2*X[6428] - X[2039] <= 4
model += -X[5653] + 3*X[1106] + 2*X[6302] + X[1746] + 2*X[6191] - 2*X[2457] + X[6428] - 5*X[2039] <= 3
model += -6*X[5686] - X[3695] + 3*X[4380] + X[1224] + 2*X[1173] + 2*X[5580] + 2*X[4702] - X[7227] <= 4
model += -X[5686] + 3*X[3695] + 2*X[4380] + X[1224] + 2*X[1173] - 2*X[5580] + X[4702] - 5*X[7227] <= 3
model += -6*X[4962] + X[1484] - 3*X[6055] - X[4755] - 2*X[7438] - 2*X[1142] - 2*X[928] + X[2054] <= -4
model += X[4962] - 4*X[1484] - X[6055] + 2*X[4755] - 4*X[7438] + 6*X[1142] - 3*X[928] - 3*X[2054] <= 1
model += -6*X[1756] - X[4085] + 3*X[6241] + X[4907] + 2*X[7240] + 2*X[4924] + 2*X[7720] - X[4246] <= 4
model += -X[1756] + 3*X[4085] + 2*X[6241] + X[4907] + 2*X[7240] - 2*X[4924] + X[7720] - 5*X[4246] <= 3
model += -6*X[5696] - X[2505] + 3*X[2187] + X[4024] + 2*X[2295] + 2*X[5576] + 2*X[5125] - X[2794] <= 4
model += -X[5696] + 3*X[2505] + 2*X[2187] + X[4024] + 2*X[2295] - 2*X[5576] + X[5125] - 5*X[2794] <= 3
model += -6*X[3389] + X[6940] - 3*X[2292] - X[3933] - 2*X[5041] - 2*X[1804] - 2*X[692] + X[1839] <= -4
model += X[3389] - 4*X[6940] - X[2292] + 2*X[3933] - 4*X[5041] + 6*X[1804] - 3*X[692] - 3*X[1839] <= 1
model += -6*X[4594] + X[5161] - 3*X[4902] - X[478] - 2*X[4649] - 2*X[7482] - 2*X[2522] + X[3459] <= -4
model += X[4594] - 4*X[5161] - X[4902] + 2*X[478] - 4*X[4649] + 6*X[7482] - 3*X[2522] - 3*X[3459] <= 1
model += -6*X[1066] - X[2099] + 3*X[1599] + X[3340] + 2*X[1853] + 2*X[7409] + 2*X[6549] - X[6901] <= 4
model += -X[1066] + 3*X[2099] + 2*X[1599] + X[3340] + 2*X[1853] - 2*X[7409] + X[6549] - 5*X[6901] <= 3
model += -6*X[5785] - X[7243] + 3*X[3372] + X[7445] + 2*X[4612] + 2*X[6243] + 2*X[5609] - X[6672] <= 4
model += -X[5785] + 3*X[7243] + 2*X[3372] + X[7445] + 2*X[4612] - 2*X[6243] + X[5609] - 5*X[6672] <= 3
model += -6*X[1872] + X[4161] - 3*X[6660] - X[2214] - 2*X[7579] - 2*X[4414] - 2*X[7341] + X[409] <= -4
model += X[1872] - 4*X[4161] - X[6660] + 2*X[2214] - 4*X[7579] + 6*X[4414] - 3*X[7341] - 3*X[409] <= 1
model += 3*X[6432] + 9*X[5974] + 7*X[5384] + 5*X[2841] - Y[144] - 4*Y[159] + 2*Y[158] - 8*Y[157] <= 12
model += -6*X[3269] - X[5322] + 3*X[5926] + X[1535] + 2*X[5108] + 2*X[2761] + 2*X[7171] - X[7294] <= 4
model += -X[3269] + 3*X[5322] + 2*X[5926] + X[1535] + 2*X[5108] - 2*X[2761] + X[7171] - 5*X[7294] <= 3
model += -6*X[2074] + X[1275] - 3*X[3930] - X[810] - 2*X[4034] - 2*X[5190] - 2*X[7499] + X[1758] <= -4
model += X[2074] - 4*X[1275] - X[3930] + 2*X[810] - 4*X[4034] + 6*X[5190] - 3*X[7499] - 3*X[1758] <= 1
model += -6*X[7133] - X[1060] + 3*X[1688] + X[7174] + 2*X[1648] + 2*X[1369] + 2*X[4265] - X[2110] <= 4
model += -X[7133] + 3*X[1060] + 2*X[1688] + X[7174] + 2*X[1648] - 2*X[1369] + X[4265] - 5*X[2110] <= 3
model += -6*X[6776] + X[5866] - 3*X[3482] - X[748] - 2*X[1221] - 2*X[3165] - 2*X[5026] + X[5753] <= -4
model += X[6776] - 4*X[5866] - X[3482] + 2*X[748] - 4*X[1221] + 6*X[3165] - 3*X[5026] - 3*X[5753] <= 1
model += -6*X[7640] - X[7581] + 3*X[3551] + X[2751] + 2*X[5586] + 2*X[4160] + 2*X[4079] - X[3220] <= 4
model += -X[7640] + 3*X[7581] + 2*X[3551] + X[2751] + 2*X[5586] - 2*X[4160] + X[4079] - 5*X[3220] <= 3
model += -6*X[7632] - X[2353] + 3*X[6058] + X[3446] + 2*X[6894] + 2*X[5478] + 2*X[3664] - X[2410] <= 4
model += -X[7632] + 3*X[2353] + 2*X[6058] + X[3446] + 2*X[6894] - 2*X[5478] + X[3664] - 5*X[2410] <= 3
model += -6*X[4829] + X[7130] - 3*X[3382] - X[6636] - 2*X[7729] - 2*X[5277] - 2*X[714] + X[6986] <= -4
model += X[4829] - 4*X[7130] - X[3382] + 2*X[6636] - 4*X[7729] + 6*X[5277] - 3*X[714] - 3*X[6986] <= 1
model += -6*X[1409] + X[2131] - 3*X[3012] - X[1041] - 2*X[6420] - 2*X[5768] - 2*X[390] + X[1754] <= -4
model += X[1409] - 4*X[2131] - X[3012] + 2*X[1041] - 4*X[6420] + 6*X[5768] - 3*X[390] - 3*X[1754] <= 1
model += -6*X[1185] - X[3401] + 3*X[1214] + X[7415] + 2*X[2173] + 2*X[5607] + 2*X[2283] - X[1466] <= 4
model += -X[1185] + 3*X[3401] + 2*X[1214] + X[7415] + 2*X[2173] - 2*X[5607] + X[2283] - 5*X[1466] <= 3
model += -6*X[6138] - X[3943] + 3*X[2756] + X[3182] + 2*X[6212] + 2*X[6017] + 2*X[4528] - X[5562] <= 4
model += -X[6138] + 3*X[3943] + 2*X[2756] + X[3182] + 2*X[6212] - 2*X[6017] + X[4528] - 5*X[5562] <= 3
model += -6*X[3804] + X[2227] - 3*X[3052] - X[5208] - 2*X[3456] - 2*X[2840] - 2*X[385] + X[7779] <= -4
model += X[3804] - 4*X[2227] - X[3052] + 2*X[5208] - 4*X[3456] + 6*X[2840] - 3*X[385] - 3*X[7779] <= 1
model += 3*X[737] + 9*X[39] + 7*X[3140] + 5*X[2202] - X[416] - 4*X[4502] + 2*X[1788] - 8*X[4378] <= 12
model += 3*X[6152] + 9*X[5485] + 7*X[150] + 5*X[7235] - X[24] - 4*X[730] + 2*X[3503] - 8*X[5012] <= 12
model += -6*X[4043] - X[7367] + 3*X[3485] + X[3704] + 2*X[1149] + 2*X[4505] + 2*X[1335] - X[2070] <= 4
model += -X[4043] + 3*X[7367] + 2*X[3485] + X[3704] + 2*X[1149] - 2*X[4505] + X[1335] - 5*X[2070] <= 3
model += -6*X[2324] - X[1801] + 3*X[7439] + X[4899] + 2*X[1072] + 2*X[7502] + 2*X[3638] - X[4802] <= 4
model += -X[2324] + 3*X[1801] + 2*X[7439] + X[4899] + 2*X[1072] - 2*X[7502] + X[3638] - 5*X[4802] <= 3
model += -6*X[4836] - X[7372] + 3*X[3986] + X[6780] + 2*X[4760] + 2*X[2521] + 2*X[3707] - X[2473] <= 4
model += -X[4836] + 3*X[7372] + 2*X[3986] + X[6780] + 2*X[4760] - 2*X[2521] + X[3707] - 5*X[2473] <= 3
model += -6*X[1420] + X[6757] - 3*X[3539] - X[178] - 2*X[4242] - 2*X[6972] - 2*X[4937] + X[5160] <= -4
model += X[1420] - 4*X[6757] - X[3539] + 2*X[178] - 4*X[4242] + 6*X[6972] - 3*X[4937] - 3*X[5160] <= 1
model += -6*X[5178] - X[7033] + 3*X[4312] + X[5251] + 2*X[4448] + 2*X[5284] + 2*X[4685] - X[4516] <= 4
model += -X[5178] + 3*X[7033] + 2*X[4312] + X[5251] + 2*X[4448] - 2*X[5284] + X[4685] - 5*X[4516] <= 3
model += -6*X[5629] - X[1811] + 3*X[4610] + X[1092] + 2*X[7517] + 2*X[4737] + 2*X[4789] - X[3486] <= 4
model += -X[5629] + 3*X[1811] + 2*X[4610] + X[1092] + 2*X[7517] - 2*X[4737] + X[4789] - 5*X[3486] <= 3
model += -6*X[6871] - X[2788] + 3*X[4359] + X[4157] + 2*X[4358] + 2*X[6310] + 2*X[3118] - X[7166] <= 4
model += -X[6871] + 3*X[2788] + 2*X[4359] + X[4157] + 2*X[4358] - 2*X[6310] + X[3118] - 5*X[7166] <= 3
model += -6*X[5345] - X[3675] + 3*X[4290] + X[4576] + 2*X[2063] + 2*X[6484] + 2*X[6856] - X[4700] <= 4
model += -X[5345] + 3*X[3675] + 2*X[4290] + X[4576] + 2*X[2063] - 2*X[6484] + X[6856] - 5*X[4700] <= 3
model += -6*X[7118] + X[4172] - 3*X[7618] - X[3203] - 2*X[640] - 2*X[4742] - 2*X[7605] + X[1102] <= -4
model += X[7118] - 4*X[4172] - X[7618] + 2*X[3203] - 4*X[640] + 6*X[4742] - 3*X[7605] - 3*X[1102] <= 1
model += -6*X[4118] - X[4564] + 3*X[7146] + X[6635] + 2*X[3720] + 2*X[2983] + 2*X[6075] - X[3117] <= 4
model += -X[4118] + 3*X[4564] + 2*X[7146] + X[6635] + 2*X[3720] - 2*X[2983] + X[6075] - 5*X[3117] <= 3
model += -6*X[2132] + X[7351] - 3*X[959] - X[5552] - 2*X[5953] - 2*X[2667] - 2*X[2683] + X[4694] <= -4
model += X[2132] - 4*X[7351] - X[959] + 2*X[5552] - 4*X[5953] + 6*X[2667] - 3*X[2683] - 3*X[4694] <= 1
model += -6*X[2138] + X[2565] - 3*X[6022] - X[1065] - 2*X[6848] - 2*X[998] - 2*X[1218] + X[2597] <= -4
model += X[2138] - 4*X[2565] - X[6022] + 2*X[1065] - 4*X[6848] + 6*X[998] - 3*X[1218] - 3*X[2597] <= 1
model += 3*X[280] + 9*X[3147] + 7*X[476] + 5*X[6001] - X[6131] - 4*X[6464] + 2*X[4104] - 8*X[70] <= 12
model += -6*X[7260] + X[7421] - 3*X[702] - X[2472] - 2*X[2888] - 2*X[2233] - 2*X[2664] + X[7395] <= -4
model += X[7260] - 4*X[7421] - X[702] + 2*X[2472] - 4*X[2888] + 6*X[2233] - 3*X[2664] - 3*X[7395] <= 1
model += -6*X[6034] - X[4296] + 3*X[2211] + X[7007] + 2*X[2569] + 2*X[3420] + 2*X[2443] - X[2611] <= 4
model += -X[6034] + 3*X[4296] + 2*X[2211] + X[7007] + 2*X[2569] - 2*X[3420] + X[2443] - 5*X[2611] <= 3
model += -6*X[6253] + X[5797] - 3*X[3654] - X[201] - 2*X[7654] - 2*X[2461] - 2*X[5333] + X[4371] <= -4
model += X[6253] - 4*X[5797] - X[3654] + 2*X[201] - 4*X[7654] + 6*X[2461] - 3*X[5333] - 3*X[4371] <= 1
model += -6*X[3631] + X[5441] - 3*X[1050] - X[3237] - 2*X[2829] - 2*X[1035] - 2*X[4709] + X[531] <= -4
model += X[3631] - 4*X[5441] - X[1050] + 2*X[3237] - 4*X[2829] + 6*X[1035] - 3*X[4709] - 3*X[531] <= 1
model += -6*X[4105] + X[3033] - 3*X[813] - X[2561] - 2*X[1286] - 2*X[1638] - 2*X[7524] + X[6845] <= -4
model += X[4105] - 4*X[3033] - X[813] + 2*X[2561] - 4*X[1286] + 6*X[1638] - 3*X[7524] - 3*X[6845] <= 1
model += -6*X[1064] + X[651] - 3*X[3791] - X[5342] - 2*X[5907] - 2*X[6162] - 2*X[7204] + X[2060] <= -4
model += X[1064] - 4*X[651] - X[3791] + 2*X[5342] - 4*X[5907] + 6*X[6162] - 3*X[7204] - 3*X[2060] <= 1
model += -6*X[467] + X[4626] - 3*X[3108] - X[2082] - 2*X[5845] - 2*X[2188] - 2*X[6088] + X[5002] <= -4
model += X[467] - 4*X[4626] - X[3108] + 2*X[2082] - 4*X[5845] + 6*X[2188] - 3*X[6088] - 3*X[5002] <= 1
model += -6*X[3172] + X[1189] - 3*X[5446] - X[4444] - 2*X[4394] - 2*X[3474] - 2*X[5426] + X[574] <= -4
model += X[3172] - 4*X[1189] - X[5446] + 2*X[4444] - 4*X[4394] + 6*X[3474] - 3*X[5426] - 3*X[574] <= 1
model += -6*X[3276] - X[1311] + 3*X[6898] + X[5292] + 2*X[4277] + 2*X[6595] + 2*X[2893] - X[4480] <= 4
model += -X[3276] + 3*X[1311] + 2*X[6898] + X[5292] + 2*X[4277] - 2*X[6595] + X[2893] - 5*X[4480] <= 3
model += -6*X[3138] - X[4753] + 3*X[2352] + X[1604] + 2*X[6812] + 2*X[5718] + 2*X[4589] - X[5229] <= 4
model += -X[3138] + 3*X[4753] + 2*X[2352] + X[1604] + 2*X[6812] - 2*X[5718] + X[4589] - 5*X[5229] <= 3
model += 3*X[1751] + 9*X[645] + 7*X[378] + 5*X[126] - X[2010] - 4*X[493] + 2*X[4816] - 8*X[6455] <= 12
model += -6*X[2704] + X[4065] - 3*X[7103] - X[908] - 2*X[2128] - 2*X[5256] - 2*X[6872] + X[1991] <= -4
model += X[2704] - 4*X[4065] - X[7103] + 2*X[908] - 4*X[2128] + 6*X[5256] - 3*X[6872] - 3*X[1991] <= 1
model += -6*X[1735] - X[3700] + 3*X[5856] + X[2112] + 2*X[3192] + 2*X[2701] + 2*X[5169] - X[7203] <= 4
model += -X[1735] + 3*X[3700] + 2*X[5856] + X[2112] + 2*X[3192] - 2*X[2701] + X[5169] - 5*X[7203] <= 3
model += -6*X[3789] - X[4481] + 3*X[4750] + X[3191] + 2*X[5626] + 2*X[1572] + 2*X[5431] - X[3666] <= 4
model += -X[3789] + 3*X[4481] + 2*X[4750] + X[3191] + 2*X[5626] - 2*X[1572] + X[5431] - 5*X[3666] <= 3
model += -6*X[7644] - X[1898] + 3*X[1931] + X[2323] + 2*X[5222] + 2*X[1067] + 2*X[6099] - X[2287] <= 4
model += -X[7644] + 3*X[1898] + 2*X[1931] + X[2323] + 2*X[5222] - 2*X[1067] + X[6099] - 5*X[2287] <= 3
model += -6*X[2126] + X[5000] - 3*X[2700] - X[5865] - 2*X[7757] - 2*X[5597] - 2*X[284] + X[4050] <= -4
model += X[2126] - 4*X[5000] - X[2700] + 2*X[5865] - 4*X[7757] + 6*X[5597] - 3*X[284] - 3*X[4050] <= 1
model += -6*X[3274] + X[1411] - 3*X[3961] - X[6469] - 2*X[6631] - 2*X[4894] - 2*X[190] + X[6163] <= -4
model += X[3274] - 4*X[1411] - X[3961] + 2*X[6469] - 4*X[6631] + 6*X[4894] - 3*X[190] - 3*X[6163] <= 1
model += -6*X[4556] - X[2209] + 3*X[2915] + X[4994] + 2*X[1864] + 2*X[3252] + 2*X[2632] - X[7429] <= 4
model += -X[4556] + 3*X[2209] + 2*X[2915] + X[4994] + 2*X[1864] - 2*X[3252] + X[2632] - 5*X[7429] <= 3
model += -6*X[3016] - X[3833] + 3*X[4190] + X[4568] + 2*X[2537] + 2*X[6155] + 2*X[3282] - X[1970] <= 4
model += -X[3016] + 3*X[3833] + 2*X[4190] + X[4568] + 2*X[2537] - 2*X[6155] + X[3282] - 5*X[1970] <= 3
model += -6*X[613] + X[5727] - 3*X[4286] - X[5396] - 2*X[1131] - 2*X[5863] - 2*X[3610] + X[2958] <= -4
model += X[613] - 4*X[5727] - X[4286] + 2*X[5396] - 4*X[1131] + 6*X[5863] - 3*X[3610] - 3*X[2958] <= 1
model += -6*X[1943] + X[2735] - 3*X[2204] - X[561] - 2*X[4313] - 2*X[1331] - 2*X[1135] + X[7664] <= -4
model += X[1943] - 4*X[2735] - X[2204] + 2*X[561] - 4*X[4313] + 6*X[1331] - 3*X[1135] - 3*X[7664] <= 1
model += -6*X[2493] - X[6928] + 3*X[4326] + X[1701] + 2*X[1213] + 2*X[4966] + 2*X[2146] - X[3763] <= 4
model += -X[2493] + 3*X[6928] + 2*X[4326] + X[1701] + 2*X[1213] - 2*X[4966] + X[2146] - 5*X[3763] <= 3
model += -6*X[5209] - X[5643] + 3*X[2259] + X[4956] + 2*X[4744] + 2*X[3633] + 2*X[4763] - X[7067] <= 4
model += -X[5209] + 3*X[5643] + 2*X[2259] + X[4956] + 2*X[4744] - 2*X[3633] + X[4763] - 5*X[7067] <= 3
model += -6*X[161] + X[1344] - 3*X[4154] - X[5818] - 2*X[2035] - 2*X[7306] - 2*X[6765] + X[6962] <= -4
model += X[161] - 4*X[1344] - X[4154] + 2*X[5818] - 4*X[2035] + 6*X[7306] - 3*X[6765] - 3*X[6962] <= 1
model += -6*X[2909] + X[548] - 3*X[5380] - X[3624] - 2*X[3298] - 2*X[2593] - 2*X[3537] + X[6238] <= -4
model += X[2909] - 4*X[548] - X[5380] + 2*X[3624] - 4*X[3298] + 6*X[2593] - 3*X[3537] - 3*X[6238] <= 1
model += -6*X[6859] + X[7455] - 3*X[3461] - X[571] - 2*X[2000] - 2*X[5413] - 2*X[7753] + X[5099] <= -4
model += X[6859] - 4*X[7455] - X[3461] + 2*X[571] - 4*X[2000] + 6*X[5413] - 3*X[7753] - 3*X[5099] <= 1
model += -6*X[7392] + X[1389] - 3*X[3826] - X[4180] - 2*X[3573] - 2*X[4230] - 2*X[3688] + X[451] <= -4
model += X[7392] - 4*X[1389] - X[3826] + 2*X[4180] - 4*X[3573] + 6*X[4230] - 3*X[3688] - 3*X[451] <= 1
model += -6*X[5966] - X[4185] + 3*X[1629] + X[3781] + 2*X[2487] + 2*X[1245] + 2*X[3785] - X[2124] <= 4
model += -X[5966] + 3*X[4185] + 2*X[1629] + X[3781] + 2*X[2487] - 2*X[1245] + X[3785] - 5*X[2124] <= 3
model += -6*X[4900] - X[5916] + 3*X[6050] + X[6794] + 2*X[5800] + 2*X[3368] + 2*X[5611] - X[7011] <= 4
model += -X[4900] + 3*X[5916] + 2*X[6050] + X[6794] + 2*X[5800] - 2*X[3368] + X[5611] - 5*X[7011] <= 3
model += 3*X[4562] + 9*X[31] + 7*X[6968] + 5*X[5206] - X[82] - 4*X[2862] + 2*X[2167] - 8*X[6539] <= 12
model += -6*X[5305] + X[3092] - 3*X[6987] - X[1670] - 2*X[601] - 2*X[6679] - 2*X[6357] + X[4959] <= -4
model += X[5305] - 4*X[3092] - X[6987] + 2*X[1670] - 4*X[601] + 6*X[6679] - 3*X[6357] - 3*X[4959] <= 1
model += -6*X[5598] + X[4681] - 3*X[4032] - X[926] - 2*X[6410] - 2*X[2213] - 2*X[7145] + X[6287] <= -4
model += X[5598] - 4*X[4681] - X[4032] + 2*X[926] - 4*X[6410] + 6*X[2213] - 3*X[7145] - 3*X[6287] <= 1
model += -6*X[3271] - X[2780] + 3*X[6415] + X[5989] + 2*X[1278] + 2*X[5191] + 2*X[6380] - X[6984] <= 4
model += -X[3271] + 3*X[2780] + 2*X[6415] + X[5989] + 2*X[1278] - 2*X[5191] + X[6380] - 5*X[6984] <= 3
model += -6*X[7781] - X[2868] + 3*X[2496] + X[4417] + 2*X[7512] + 2*X[3334] + 2*X[5908] - X[5154] <= 4
model += -X[7781] + 3*X[2868] + 2*X[2496] + X[4417] + 2*X[7512] - 2*X[3334] + X[5908] - 5*X[5154] <= 3
model += -6*X[2923] + X[6214] - 3*X[6961] - X[2651] - 2*X[554] - 2*X[4036] - 2*X[6109] + X[2028] <= -4
model += X[2923] - 4*X[6214] - X[6961] + 2*X[2651] - 4*X[554] + 6*X[4036] - 3*X[6109] - 3*X[2028] <= 1
model += -6*X[2549] - X[3581] + 3*X[4120] + X[5548] + 2*X[7576] + 2*X[6011] + 2*X[5730] - X[6133] <= 4
model += -X[2549] + 3*X[3581] + 2*X[4120] + X[5548] + 2*X[7576] - 2*X[6011] + X[5730] - 5*X[6133] <= 3
model += -6*X[4099] - X[3061] + 3*X[4690] + X[6598] + 2*X[3488] + 2*X[3319] + 2*X[2752] - X[5092] <= 4
model += -X[4099] + 3*X[3061] + 2*X[4690] + X[6598] + 2*X[3488] - 2*X[3319] + X[2752] - 5*X[5092] <= 3
model += -6*X[4466] - X[7711] + 3*X[5520] + X[6234] + 2*X[4349] + 2*X[1616] + 2*X[2944] - X[4310] <= 4
model += -X[4466] + 3*X[7711] + 2*X[5520] + X[6234] + 2*X[4349] - 2*X[1616] + X[2944] - 5*X[4310] <= 3
model += -6*X[6988] + X[4663] - 3*X[6121] - X[108] - 2*X[7645] - 2*X[3681] - 2*X[5079] + X[5479] <= -4
model += X[6988] - 4*X[4663] - X[6121] + 2*X[108] - 4*X[7645] + 6*X[3681] - 3*X[5079] - 3*X[5479] <= 1
model += -6*X[4673] - X[3139] + 3*X[1677] + X[2326] + 2*X[4922] + 2*X[6836] + 2*X[4234] - X[3350] <= 4
model += -X[4673] + 3*X[3139] + 2*X[1677] + X[2326] + 2*X[4922] - 2*X[6836] + X[4234] - 5*X[3350] <= 3
model += -6*X[3440] + X[997] - 3*X[6300] - X[1711] - 2*X[5859] - 2*X[6950] - 2*X[5150] + X[1834] <= -4
model += X[3440] - 4*X[997] - X[6300] + 2*X[1711] - 4*X[5859] + 6*X[6950] - 3*X[5150] - 3*X[1834] <= 1
model += -6*X[1139] - X[7673] + 3*X[5053] + X[6897] + 2*X[1376] + 2*X[4467] + 2*X[2924] - X[4020] <= 4
model += -X[1139] + 3*X[7673] + 2*X[5053] + X[6897] + 2*X[1376] - 2*X[4467] + X[2924] - 5*X[4020] <= 3
model += -6*X[740] + X[6618] - 3*X[7543] - X[5148] - 2*X[4798] - 2*X[6204] - 2*X[2055] + X[6818] <= -4
model += X[740] - 4*X[6618] - X[7543] + 2*X[5148] - 4*X[4798] + 6*X[6204] - 3*X[2055] - 3*X[6818] <= 1
model += -6*X[7216] + X[5979] - 3*X[333] - X[4294] - 2*X[4442] - 2*X[1642] - 2*X[2238] + X[2548] <= -4
model += X[7216] - 4*X[5979] - X[333] + 2*X[4294] - 4*X[4442] + 6*X[1642] - 3*X[2238] - 3*X[2548] <= 1
model += -6*X[3145] - X[4219] + 3*X[6926] + X[1350] + 2*X[1692] + 2*X[1416] + 2*X[2332] - X[1215] <= 4
model += -X[3145] + 3*X[4219] + 2*X[6926] + X[1350] + 2*X[1692] - 2*X[1416] + X[2332] - 5*X[1215] <= 3
model += -6*X[7647] - X[5874] + 3*X[5218] + X[2850] + 2*X[7515] + 2*X[1984] + 2*X[6843] - X[2133] <= 4
model += -X[7647] + 3*X[5874] + 2*X[5218] + X[2850] + 2*X[7515] - 2*X[1984] + X[6843] - 5*X[2133] <= 3
model += -6*X[1444] - X[1276] + 3*X[2052] + X[7500] + 2*X[2033] + 2*X[3103] + 2*X[6140] - X[4582] <= 4
model += -X[1444] + 3*X[1276] + 2*X[2052] + X[7500] + 2*X[2033] - 2*X[3103] + X[6140] - 5*X[4582] <= 3
model += -6*X[4965] + X[4210] - 3*X[4679] - X[3090] - 2*X[967] - 2*X[5410] - 2*X[2420] + X[2274] <= -4
model += X[4965] - 4*X[4210] - X[4679] + 2*X[3090] - 4*X[967] + 6*X[5410] - 3*X[2420] - 3*X[2274] <= 1
model += -6*X[4870] + X[696] - 3*X[7014] - X[1009] - 2*X[3532] - 2*X[4920] - 2*X[4374] + X[3344] <= -4
model += X[4870] - 4*X[696] - X[7014] + 2*X[1009] - 4*X[3532] + 6*X[4920] - 3*X[4374] - 3*X[3344] <= 1
model += -6*X[5744] + X[7043] - 3*X[6032] - X[3807] - 2*X[5098] - 2*X[3997] - 2*X[1736] + X[976] <= -4
model += X[5744] - 4*X[7043] - X[6032] + 2*X[3807] - 4*X[5098] + 6*X[3997] - 3*X[1736] - 3*X[976] <= 1
model += -6*X[6954] - X[4524] + 3*X[3044] + X[1353] + 2*X[1349] + 2*X[2666] + 2*X[3589] - X[7162] <= 4
model += -X[6954] + 3*X[4524] + 2*X[3044] + X[1353] + 2*X[1349] - 2*X[2666] + X[3589] - 5*X[7162] <= 3
model += -6*X[2554] - X[2447] + 3*X[5673] + X[2454] + 2*X[3132] + 2*X[6575] + 2*X[7432] - X[7509] <= 4
model += -X[2554] + 3*X[2447] + 2*X[5673] + X[2454] + 2*X[3132] - 2*X[6575] + X[7432] - 5*X[7509] <= 3
model += -6*X[7059] - X[6275] + 3*X[6491] + X[1669] + 2*X[3645] + 2*X[6971] + 2*X[1974] - X[7687] <= 4
model += -X[7059] + 3*X[6275] + 2*X[6491] + X[1669] + 2*X[3645] - 2*X[6971] + X[1974] - 5*X[7687] <= 3
model += -6*X[4191] + X[5286] - 3*X[3020] - X[1306] - 2*X[5404] - 2*X[5624] - 2*X[5737] + X[671] <= -4
model += X[4191] - 4*X[5286] - X[3020] + 2*X[1306] - 4*X[5404] + 6*X[5624] - 3*X[5737] - 3*X[671] <= 1
model += -6*X[3659] - X[7207] + 3*X[3523] + X[4499] + 2*X[5965] + 2*X[5352] + 2*X[2254] - X[7112] <= 4
model += -X[3659] + 3*X[7207] + 2*X[3523] + X[4499] + 2*X[5965] - 2*X[5352] + X[2254] - 5*X[7112] <= 3
model += -6*X[2069] + X[7183] - 3*X[527] - X[5587] - 2*X[3377] - 2*X[2760] - 2*X[4590] + X[5007] <= -4
model += X[2069] - 4*X[7183] - X[527] + 2*X[5587] - 4*X[3377] + 6*X[2760] - 3*X[4590] - 3*X[5007] <= 1
model += -6*X[5855] - X[7062] + 3*X[5470] + X[2025] + 2*X[5627] + 2*X[3922] + 2*X[1843] - X[5839] <= 4
model += -X[5855] + 3*X[7062] + 2*X[5470] + X[2025] + 2*X[5627] - 2*X[3922] + X[1843] - 5*X[5839] <= 3
model += -6*X[3544] + X[4403] - 3*X[1293] - X[397] - 2*X[1849] - 2*X[1952] - 2*X[2563] + X[4055] <= -4
model += X[3544] - 4*X[4403] - X[1293] + 2*X[397] - 4*X[1849] + 6*X[1952] - 3*X[2563] - 3*X[4055] <= 1
model += -6*X[5649] - X[1682] + 3*X[1459] + X[2448] + 2*X[3590] + 2*X[7744] + 2*X[5235] - X[5991] <= 4
model += -X[5649] + 3*X[1682] + 2*X[1459] + X[2448] + 2*X[3590] - 2*X[7744] + X[5235] - 5*X[5991] <= 3
model += -6*X[5506] - X[7733] + 3*X[6887] + X[6112] + 2*X[4331] + 2*X[2598] + 2*X[4103] - X[5315] <= 4
model += -X[5506] + 3*X[7733] + 2*X[6887] + X[6112] + 2*X[4331] - 2*X[2598] + X[4103] - 5*X[5315] <= 3
model += -6*X[2404] - X[1034] + 3*X[1693] + X[1160] + 2*X[6790] + 2*X[2268] + 2*X[3258] - X[4620] <= 4
model += -X[2404] + 3*X[1034] + 2*X[1693] + X[1160] + 2*X[6790] - 2*X[2268] + X[3258] - 5*X[4620] <= 3
model += -6*X[5810] - X[4213] + 3*X[6837] + X[4930] + 2*X[4862] + 2*X[1025] + 2*X[1134] - X[7249] <= 4
model += -X[5810] + 3*X[4213] + 2*X[6837] + X[4930] + 2*X[4862] - 2*X[1025] + X[1134] - 5*X[7249] <= 3
model += -6*X[7090] + X[2619] - 3*X[2503] - X[875] - 2*X[5666] - 2*X[2907] - 2*X[7359] + X[1132] <= -4
model += X[7090] - 4*X[2619] - X[2503] + 2*X[875] - 4*X[5666] + 6*X[2907] - 3*X[7359] - 3*X[1132] <= 1
model += -6*X[4171] + X[5449] - 3*X[1419] - X[1471] - 2*X[3979] - 2*X[199] - 2*X[6496] + X[5295] <= -4
model += X[4171] - 4*X[5449] - X[1419] + 2*X[1471] - 4*X[3979] + 6*X[199] - 3*X[6496] - 3*X[5295] <= 1
model += -6*X[6371] + X[6512] - 3*X[2687] - X[631] - 2*X[6850] - 2*X[2774] - 2*X[7449] + X[2113] <= -4
model += X[6371] - 4*X[6512] - X[2687] + 2*X[631] - 4*X[6850] + 6*X[2774] - 3*X[7449] - 3*X[2113] <= 1
model += -6*X[2942] - X[4040] + 3*X[3840] + X[7066] + 2*X[2049] + 2*X[4434] + 2*X[3599] - X[7569] <= 4
model += -X[2942] + 3*X[4040] + 2*X[3840] + X[7066] + 2*X[2049] - 2*X[4434] + X[3599] - 5*X[7569] <= 3
model += -6*X[2623] + X[3685] - 3*X[3205] - X[2566] - 2*X[6621] - 2*X[1996] - 2*X[3291] + X[592] <= -4
model += X[2623] - 4*X[3685] - X[3205] + 2*X[2566] - 4*X[6621] + 6*X[1996] - 3*X[3291] - 3*X[592] <= 1
model += 3*X[7754] + 9*X[324] + 7*X[223] + 5*X[86] - X[5008] - 4*X[7221] + 2*X[6615] - 8*X[4882] <= 12
model += -6*X[7337] - X[2075] + 3*X[7637] + X[3907] + 2*X[6494] + 2*X[6939] + 2*X[4743] - X[2480] <= 4
model += -X[7337] + 3*X[2075] + 2*X[7637] + X[3907] + 2*X[6494] - 2*X[6939] + X[4743] - 5*X[2480] <= 3
model += -6*X[6606] + X[4447] - 3*X[6703] - X[2408] - 2*X[336] - 2*X[2680] - 2*X[1530] + X[2594] <= -4
model += X[6606] - 4*X[4447] - X[6703] + 2*X[2408] - 4*X[336] + 6*X[2680] - 3*X[1530] - 3*X[2594] <= 1
model += -6*X[6922] + X[842] - 3*X[3564] - X[3098] - 2*X[2776] - 2*X[1863] - 2*X[3198] + X[2513] <= -4
model += X[6922] - 4*X[842] - X[3564] + 2*X[3098] - 4*X[2776] + 6*X[1863] - 3*X[3198] - 3*X[2513] <= 1
model += -6*X[5577] + X[1977] - 3*X[1302] - X[6094] - 2*X[741] - 2*X[7280] - 2*X[4705] + X[5271] <= -4
model += X[5577] - 4*X[1977] - X[1302] + 2*X[6094] - 4*X[741] + 6*X[7280] - 3*X[4705] - 3*X[5271] <= 1
model += -6*X[1963] + X[6434] - 3*X[4807] - X[7525] - 2*X[2018] - 2*X[2952] - 2*X[666] + X[6717] <= -4
model += X[1963] - 4*X[6434] - X[4807] + 2*X[7525] - 4*X[2018] + 6*X[2952] - 3*X[666] - 3*X[6717] <= 1
model += -6*X[7250] + X[6470] - 3*X[327] - X[1539] - 2*X[4436] - 2*X[1702] - 2*X[2517] + X[1631] <= -4
model += X[7250] - 4*X[6470] - X[327] + 2*X[1539] - 4*X[4436] + 6*X[1702] - 3*X[2517] - 3*X[1631] <= 1
model += -6*X[101] + X[5027] - 3*X[5492] - X[7558] - 2*X[7290] - 2*X[7107] - 2*X[5637] + X[3841] <= -4
model += X[101] - 4*X[5027] - X[5492] + 2*X[7558] - 4*X[7290] + 6*X[7107] - 3*X[5637] - 3*X[3841] <= 1
model += -6*X[6447] + X[374] - 3*X[6781] - X[2422] - 2*X[1762] - 2*X[6431] - 2*X[5061] + X[6372] <= -4
model += X[6447] - 4*X[374] - X[6781] + 2*X[2422] - 4*X[1762] + 6*X[6431] - 3*X[5061] - 3*X[6372] <= 1
model += -6*X[7400] - X[5628] + 3*X[4377] + X[3969] + 2*X[7297] + 2*X[2421] + 2*X[4623] - X[4376] <= 4
model += -X[7400] + 3*X[5628] + 2*X[4377] + X[3969] + 2*X[7297] - 2*X[2421] + X[4623] - 5*X[4376] <= 3
model += -6*X[3106] + X[4486] - 3*X[7631] - X[7228] - 2*X[4636] - 2*X[669] - 2*X[2185] + X[2989] <= -4
model += X[3106] - 4*X[4486] - X[7631] + 2*X[7228] - 4*X[4636] + 6*X[669] - 3*X[2185] - 3*X[2989] <= 1
model += -6*X[1107] - X[2777] + 3*X[3516] + X[1745] + 2*X[5039] + 2*X[4812] + 2*X[6405] - X[7440] <= 4
model += -X[1107] + 3*X[2777] + 2*X[3516] + X[1745] + 2*X[5039] - 2*X[4812] + X[6405] - 5*X[7440] <= 3
model += -6*X[2684] + X[6644] - 3*X[4614] - X[6411] - 2*X[6787] - 2*X[1024] - 2*X[2792] + X[939] <= -4
model += X[2684] - 4*X[6644] - X[4614] + 2*X[6411] - 4*X[6787] + 6*X[1024] - 3*X[2792] - 3*X[939] <= 1
model += -6*X[148] + X[1285] - 3*X[1645] - X[7024] - 2*X[3114] - 2*X[7095] - 2*X[6456] + X[1206] <= -4
model += X[148] - 4*X[1285] - X[1645] + 2*X[7024] - 4*X[3114] + 6*X[7095] - 3*X[6456] - 3*X[1206] <= 1
model += -6*X[5455] - X[3195] + 3*X[2425] + X[4129] + 2*X[5858] + 2*X[7268] + 2*X[4004] - X[1108] <= 4
model += -X[5455] + 3*X[3195] + 2*X[2425] + X[4129] + 2*X[5858] - 2*X[7268] + X[4004] - 5*X[1108] <= 3
model += -6*X[4844] + X[1590] - 3*X[4033] - X[855] - 2*X[1926] - 2*X[7105] - 2*X[4947] + X[6385] <= -4
model += X[4844] - 4*X[1590] - X[4033] + 2*X[855] - 4*X[1926] + 6*X[7105] - 3*X[4947] - 3*X[6385] <= 1
model += -6*X[4697] + X[5522] - 3*X[7344] - X[3546] - 2*X[2775] - 2*X[2787] - 2*X[933] + X[2385] <= -4
model += X[4697] - 4*X[5522] - X[7344] + 2*X[3546] - 4*X[2775] + 6*X[2787] - 3*X[933] - 3*X[2385] <= 1
model += -6*X[1641] + X[2842] - 3*X[811] - X[1685] - 2*X[4144] - 2*X[6890] - 2*X[7567] + X[3015] <= -4
model += X[1641] - 4*X[2842] - X[811] + 2*X[1685] - 4*X[4144] + 6*X[6890] - 3*X[7567] - 3*X[3015] <= 1
model += -6*X[5103] + X[4168] - 3*X[306] - X[3096] - 2*X[2195] - 2*X[6218] - 2*X[2721] + X[4916] <= -4
model += X[5103] - 4*X[4168] - X[306] + 2*X[3096] - 4*X[2195] + 6*X[6218] - 3*X[2721] - 3*X[4916] <= 1
model += -6*X[7108] - X[7126] + 3*X[6389] + X[5767] + 2*X[1390] + 2*X[1364] + 2*X[4409] - X[1744] <= 4
model += -X[7108] + 3*X[7126] + 2*X[6389] + X[5767] + 2*X[1390] - 2*X[1364] + X[4409] - 5*X[1744] <= 3
model += -6*X[4838] + X[6712] - 3*X[1782] - X[7379] - 2*X[6291] - 2*X[4362] - 2*X[1922] + X[535] <= -4
model += X[4838] - 4*X[6712] - X[1782] + 2*X[7379] - 4*X[6291] + 6*X[4362] - 3*X[1922] - 3*X[535] <= 1
model += -6*X[4593] + X[7198] - 3*X[6967] - X[310] - 2*X[5094] - 2*X[3651] - 2*X[1256] + X[3757] <= -4
model += X[4593] - 4*X[7198] - X[6967] + 2*X[310] - 4*X[5094] + 6*X[3651] - 3*X[1256] - 3*X[3757] <= 1
model += -6*X[2235] + X[5310] - 3*X[5829] - X[2412] - 2*X[1737] - 2*X[7172] - 2*X[388] + X[2509] <= -4
model += X[2235] - 4*X[5310] - X[5829] + 2*X[2412] - 4*X[1737] + 6*X[7172] - 3*X[388] - 3*X[2509] <= 1
model += -6*X[2090] + X[4320] - 3*X[1377] - X[5379] - 2*X[481] - 2*X[6041] - 2*X[2446] + X[1029] <= -4
model += X[2090] - 4*X[4320] - X[1377] + 2*X[5379] - 4*X[481] + 6*X[6041] - 3*X[2446] - 3*X[1029] <= 1
model += -6*X[2378] + X[569] - 3*X[1371] - X[1307] - 2*X[2631] - 2*X[5405] - 2*X[5168] + X[3492] <= -4
model += X[2378] - 4*X[569] - X[1371] + 2*X[1307] - 4*X[2631] + 6*X[5405] - 3*X[5168] - 3*X[3492] <= 1
model += -6*X[6531] - X[5118] + 3*X[1512] + X[2821] + 2*X[3235] + 2*X[5528] + 2*X[4717] - X[6581] <= 4
model += -X[6531] + 3*X[5118] + 2*X[1512] + X[2821] + 2*X[3235] - 2*X[5528] + X[4717] - 5*X[6581] <= 3
model += -6*X[3710] + X[119] - 3*X[6177] - X[6189] - 2*X[6535] - 2*X[5693] - 2*X[4231] + X[3693] <= -4
model += X[3710] - 4*X[119] - X[6177] + 2*X[6189] - 4*X[6535] + 6*X[5693] - 3*X[4231] - 3*X[3693] <= 1
model += -6*X[2091] + X[265] - 3*X[6895] - X[5514] - 2*X[5772] - 2*X[4147] - 2*X[5555] + X[3495] <= -4
model += X[2091] - 4*X[265] - X[6895] + 2*X[5514] - 4*X[5772] + 6*X[4147] - 3*X[5555] - 3*X[3495] <= 1
model += -6*X[4514] + X[6529] - 3*X[6973] - X[6688] - 2*X[289] - 2*X[5888] - 2*X[1312] + X[3650] <= -4
model += X[4514] - 4*X[6529] - X[6973] + 2*X[6688] - 4*X[289] + 6*X[5888] - 3*X[1312] - 3*X[3650] <= 1
model += -6*X[5204] + X[1451] - 3*X[4511] - X[4787] - 2*X[4961] - 2*X[3536] - 2*X[6693] + X[170] <= -4
model += X[5204] - 4*X[1451] - X[4511] + 2*X[4787] - 4*X[4961] + 6*X[3536] - 3*X[6693] - 3*X[170] <= 1
model += -6*X[4914] + X[229] - 3*X[6591] - X[1880] - 2*X[7371] - 2*X[5981] - 2*X[4178] + X[1712] <= -4
model += X[4914] - 4*X[229] - X[6591] + 2*X[1880] - 4*X[7371] + 6*X[5981] - 3*X[4178] - 3*X[1712] <= 1
model += -6*X[6442] + X[5017] - 3*X[2712] - X[3753] - 2*X[1540] - 2*X[2116] - 2*X[890] + X[2076] <= -4
model += X[6442] - 4*X[5017] - X[2712] + 2*X[3753] - 4*X[1540] + 6*X[2116] - 3*X[890] - 3*X[2076] <= 1
model += 3*X[12] + 9*X[4411] + 7*X[4424] + 5*X[5107] - X[4295] - 4*X[3918] + 2*X[68] - 8*X[7212] <= 12
model += -6*X[3035] + X[4011] - 3*X[6002] - X[242] - 2*X[6662] - 2*X[2922] - 2*X[7680] + X[2835] <= -4
model += X[3035] - 4*X[4011] - X[6002] + 2*X[242] - 4*X[6662] + 6*X[2922] - 3*X[7680] - 3*X[2835] <= 1
model += -6*X[1341] - X[4267] + 3*X[6880] + X[3221] + 2*X[1637] + 2*X[4134] + 2*X[3386] - X[3972] <= 4
model += -X[1341] + 3*X[4267] + 2*X[6880] + X[3221] + 2*X[1637] - 2*X[4134] + X[3386] - 5*X[3972] <= 3
model += -6*X[5437] + X[4165] - 3*X[884] - X[6377] - 2*X[7127] - 2*X[2987] - 2*X[4669] + X[4541] <= -4
model += X[5437] - 4*X[4165] - X[884] + 2*X[6377] - 4*X[7127] + 6*X[2987] - 3*X[4669] - 3*X[4541] <= 1
model += -6*X[7231] - X[5759] + 3*X[6355] + X[5525] + 2*X[1058] + 2*X[4249] + 2*X[6368] - X[4598] <= 4
model += -X[7231] + 3*X[5759] + 2*X[6355] + X[5525] + 2*X[1058] - 2*X[4249] + X[6368] - 5*X[4598] <= 3
model += -6*X[5445] - X[1417] + 3*X[3007] + X[4495] + 2*X[7259] + 2*X[6066] + 2*X[4198] - X[6628] <= 4
model += -X[5445] + 3*X[1417] + 2*X[3007] + X[4495] + 2*X[7259] - 2*X[6066] + X[4198] - 5*X[6628] <= 3
model += -6*X[6092] - X[6532] + 3*X[3311] + X[3394] + 2*X[3143] + 2*X[6419] + 2*X[7020] - X[6721] <= 4
model += -X[6092] + 3*X[6532] + 2*X[3311] + X[3394] + 2*X[3143] - 2*X[6419] + X[7020] - 5*X[6721] <= 3
model += -6*X[6932] - X[4139] + 3*X[3222] + X[4825] + 2*X[3761] + 2*X[7452] + 2*X[2205] - X[5400] <= 4
model += -X[6932] + 3*X[4139] + 2*X[3222] + X[4825] + 2*X[3761] - 2*X[7452] + X[2205] - 5*X[5400] <= 3
model += -6*X[2327] - X[4813] + 3*X[7229] + X[4090] + 2*X[2816] + 2*X[7789] + 2*X[4733] - X[2894] <= 4
model += -X[2327] + 3*X[4813] + 2*X[7229] + X[4090] + 2*X[2816] - 2*X[7789] + X[4733] - 5*X[2894] <= 3
model += -6*X[7456] - X[5491] + 3*X[1555] + X[2485] + 2*X[4491] + 2*X[1901] + 2*X[3313] - X[4208] <= 4
model += -X[7456] + 3*X[5491] + 2*X[1555] + X[2485] + 2*X[4491] - 2*X[1901] + X[3313] - 5*X[4208] <= 3
model += -6*X[7671] - X[7742] + 3*X[4159] + X[6799] + 2*X[1634] + 2*X[4420] + 2*X[7537] - X[7047] <= 4
model += -X[7671] + 3*X[7742] + 2*X[4159] + X[6799] + 2*X[1634] - 2*X[4420] + X[7537] - 5*X[7047] <= 3
model += -6*X[7336] + X[7761] - 3*X[5826] - X[4102] - 2*X[4114] - 2*X[1859] - 2*X[100] + X[6312] <= -4
model += X[7336] - 4*X[7761] - X[5826] + 2*X[4102] - 4*X[4114] + 6*X[1859] - 3*X[100] - 3*X[6312] <= 1
model += -6*X[2428] + X[990] - 3*X[6087] - X[2725] - 2*X[3224] - 2*X[5301] - 2*X[1395] + X[1381] <= -4
model += X[2428] - 4*X[990] - X[6087] + 2*X[2725] - 4*X[3224] + 6*X[5301] - 3*X[1395] - 3*X[1381] <= 1
model += -6*X[1522] - X[5155] + 3*X[5928] + X[7044] + 2*X[6949] + 2*X[5036] + 2*X[4859] - X[4736] <= 4
model += -X[1522] + 3*X[5155] + 2*X[5928] + X[7044] + 2*X[6949] - 2*X[5036] + X[4859] - 5*X[4736] <= 3
model += -6*X[1100] - X[4662] + 3*X[6942] + X[6572] + 2*X[5096] + 2*X[2668] + 2*X[2866] - X[2926] <= 4
model += -X[1100] + 3*X[4662] + 2*X[6942] + X[6572] + 2*X[5096] - 2*X[2668] + X[2866] - 5*X[2926] <= 3
model += -6*X[2006] + X[4063] - 3*X[7734] - X[6650] - 2*X[2212] - 2*X[2992] - 2*X[3284] + X[4196] <= -4
model += X[2006] - 4*X[4063] - X[7734] + 2*X[6650] - 4*X[2212] + 6*X[2992] - 3*X[3284] - 3*X[4196] <= 1
model += -6*X[3911] + X[2887] - 3*X[2264] - X[2757] - 2*X[7463] - 2*X[3705] - 2*X[5873] + X[6841] <= -4
model += X[3911] - 4*X[2887] - X[2264] + 2*X[2757] - 4*X[7463] + 6*X[3705] - 3*X[5873] - 3*X[6841] <= 1
model += -6*X[4496] + X[2558] - 3*X[1241] - X[2711] - 2*X[1194] - 2*X[1968] - 2*X[3070] + X[6278] <= -4
model += X[4496] - 4*X[2558] - X[1241] + 2*X[2711] - 4*X[1194] + 6*X[1968] - 3*X[3070] - 3*X[6278] <= 1
model += -6*X[3921] + X[1007] - 3*X[6847] - X[2362] - 2*X[1415] - 2*X[3998] - 2*X[1044] + X[2570] <= -4
model += X[3921] - 4*X[1007] - X[6847] + 2*X[2362] - 4*X[1415] + 6*X[3998] - 3*X[1044] - 3*X[2570] <= 1
model += -6*X[2532] + X[6835] - 3*X[4127] - X[1166] - 2*X[1300] - 2*X[7674] - 2*X[7201] + X[7380] <= -4
model += X[2532] - 4*X[6835] - X[4127] + 2*X[1166] - 4*X[1300] + 6*X[7674] - 3*X[7201] - 3*X[7380] <= 1
model += -6*X[3369] + X[2210] - 3*X[5488] - X[5197] - 2*X[7065] - 2*X[7036] - 2*X[5773] + X[3500] <= -4
model += X[3369] - 4*X[2210] - X[5488] + 2*X[5197] - 4*X[7065] + 6*X[7036] - 3*X[5773] - 3*X[3500] <= 1
model += -6*X[3435] + X[4910] - 3*X[6656] - X[6561] - 2*X[1995] - 2*X[2690] - 2*X[3906] + X[5489] <= -4
model += X[3435] - 4*X[4910] - X[6656] + 2*X[6561] - 4*X[1995] + 6*X[2690] - 3*X[3906] - 3*X[5489] <= 1
model += -6*X[2315] + X[5323] - 3*X[4485] - X[6517] - 2*X[3902] - 2*X[2699] - 2*X[2140] + X[7459] <= -4
model += X[2315] - 4*X[5323] - X[4485] + 2*X[6517] - 4*X[3902] + 6*X[2699] - 3*X[2140] - 3*X[7459] <= 1
model += -6*X[6255] + X[2266] - 3*X[2755] - X[2553] - 2*X[5751] - 2*X[6423] - 2*X[3185] + X[5046] <= -4
model += X[6255] - 4*X[2266] - X[2755] + 2*X[2553] - 4*X[5751] + 6*X[6423] - 3*X[3185] - 3*X[5046] <= 1
model += -6*X[6770] + X[7377] - 3*X[4271] - X[5045] - 2*X[4217] - 2*X[5091] - 2*X[2540] + X[3786] <= -4
model += X[6770] - 4*X[7377] - X[4271] + 2*X[5045] - 4*X[4217] + 6*X[5091] - 3*X[2540] - 3*X[3786] <= 1
model += -6*X[3236] + X[2301] - 3*X[4652] - X[6755] - 2*X[3393] - 2*X[4132] - 2*X[2633] + X[4650] <= -4
model += X[3236] - 4*X[2301] - X[4652] + 2*X[6755] - 4*X[3393] + 6*X[4132] - 3*X[2633] - 3*X[4650] <= 1
model += 3*X[50] + 9*X[104] + 7*X[6412] + 5*X[6079] - X[2299] - 4*X[5048] + 2*X[7138] - 8*X[4710] <= 12
model += -6*X[7496] + X[7113] - 3*X[6161] - X[6849] - 2*X[4373] - 2*X[6896] - 2*X[2402] + X[4949] <= -4
model += X[7496] - 4*X[7113] - X[6161] + 2*X[6849] - 4*X[4373] + 6*X[6896] - 3*X[2402] - 3*X[4949] <= 1
model += -6*X[5698] + X[5003] - 3*X[3161] - X[6924] - 2*X[6906] - 2*X[5869] - 2*X[2276] + X[1823] <= -4
model += X[5698] - 4*X[5003] - X[3161] + 2*X[6924] - 4*X[6906] + 6*X[5869] - 3*X[2276] - 3*X[1823] <= 1
model += -6*X[4786] + X[6397] - 3*X[5471] - X[2769] - 2*X[1475] - 2*X[6652] - 2*X[7648] + X[2136] <= -4
model += X[4786] - 4*X[6397] - X[5471] + 2*X[2769] - 4*X[1475] + 6*X[6652] - 3*X[7648] - 3*X[2136] <= 1
model += -6*X[4308] + X[3087] - 3*X[4817] - X[2852] - 2*X[1664] - 2*X[6996] - 2*X[3217] + X[3302] <= -4
model += X[4308] - 4*X[3087] - X[4817] + 2*X[2852] - 4*X[1664] + 6*X[6996] - 3*X[3217] - 3*X[3302] <= 1
model += -6*X[3199] + X[6115] - 3*X[3798] - X[5163] - 2*X[6700] - 2*X[4012] - 2*X[1322] + X[7481] <= -4
model += X[3199] - 4*X[6115] - X[3798] + 2*X[5163] - 4*X[6700] + 6*X[4012] - 3*X[1322] - 3*X[7481] <= 1
model += -6*X[5708] + X[1768] - 3*X[4936] - X[3159] - 2*X[2759] - 2*X[2203] - 2*X[5838] + X[7679] <= -4
model += X[5708] - 4*X[1768] - X[4936] + 2*X[3159] - 4*X[2759] + 6*X[2203] - 3*X[5838] - 3*X[7679] <= 1
model += -6*X[4108] + X[1892] - 3*X[6863] - X[7156] - 2*X[3058] - 2*X[3337] - 2*X[5568] + X[7716] <= -4
model += X[4108] - 4*X[1892] - X[6863] + 2*X[7156] - 4*X[3058] + 6*X[3337] - 3*X[5568] - 3*X[7716] <= 1
model += -6*X[5459] + X[6393] - 3*X[4879] - X[7279] - 2*X[4995] - 2*X[3243] - 2*X[1577] + X[5011] <= -4
model += X[5459] - 4*X[6393] - X[4879] + 2*X[7279] - 4*X[4995] + 6*X[3243] - 3*X[1577] - 3*X[5011] <= 1
model += -6*X[3001] + X[6018] - 3*X[6592] - X[2547] - 2*X[3583] - 2*X[1187] - 2*X[7091] + X[1260] <= -4
model += X[3001] - 4*X[6018] - X[6592] + 2*X[2547] - 4*X[3583] + 6*X[1187] - 3*X[7091] - 3*X[1260] <= 1
model += 3*X[4289] + 9*X[646] + 7*X[523] + 5*X[5313] - X[1624] - 4*X[2424] + 2*X[313] - 8*X[3940] <= 12
model += -6*X[6884] + X[7555] - 3*X[5903] - X[5799] - 2*X[5688] - 2*X[1969] - 2*X[3950] + X[4446] <= -4
model += X[6884] - 4*X[7555] - X[5903] + 2*X[5799] - 4*X[5688] + 6*X[1969] - 3*X[3950] - 3*X[4446] <= 1
model += -6*X[1937] + X[3987] - 3*X[2586] - X[4624] - 2*X[7034] - 2*X[7431] - 2*X[1347] + X[5614] <= -4
model += X[1937] - 4*X[3987] - X[2586] + 2*X[4624] - 4*X[7034] + 6*X[7431] - 3*X[1347] - 3*X[5614] <= 1
model += -6*X[7182] + X[3502] - 3*X[2019] - X[2345] - 2*X[7641] - 2*X[4858] - 2*X[4784] + X[7184] <= -4
model += X[7182] - 4*X[3502] - X[2019] + 2*X[2345] - 4*X[7641] + 6*X[4858] - 3*X[4784] - 3*X[7184] <= 1
model += -6*X[2083] + X[2336] - 3*X[6360] - X[3175] - 2*X[1777] - 2*X[5480] - 2*X[1975] + X[1502] <= -4
model += X[2083] - 4*X[2336] - X[6360] + 2*X[3175] - 4*X[1777] + 6*X[5480] - 3*X[1975] - 3*X[1502] <= 1
model += -6*X[4720] + X[5741] - 3*X[2252] - X[7382] - 2*X[4007] - 2*X[1207] - 2*X[7302] + X[6609] <= -4
model += X[4720] - 4*X[5741] - X[2252] + 2*X[7382] - 4*X[4007] + 6*X[1207] - 3*X[7302] - 3*X[6609] <= 1
model += 3*X[1698] + 9*X[6508] + 7*X[6979] + 5*X[1938] - X[474] - 4*X[7477] + 2*X[1270] - 8*X[16] <= 12
model += -6*X[1452] + X[1282] - 3*X[2467] - X[5122] - 2*X[7592] - 2*X[2040] - 2*X[5644] + X[1579] <= -4
model += X[1452] - 4*X[1282] - X[2467] + 2*X[5122] - 4*X[7592] + 6*X[2040] - 3*X[5644] - 3*X[1579] <= 1
model += 3*X[115] + 9*X[141] + 7*X[7651] + 5*X[5354] - X[6330] - 4*X[7153] + 2*X[765] - 8*X[6783] <= 12
model += -6*X[5348] + X[2442] - 3*X[3357] - X[3512] - 2*X[6425] - 2*X[7530] - 2*X[5831] + X[6698] <= -4
model += X[5348] - 4*X[2442] - X[3357] + 2*X[3512] - 4*X[6425] + 6*X[7530] - 3*X[5831] - 3*X[6698] <= 1
model += 3*X[3706] + 9*X[798] + 7*X[3665] + 5*X[668] - X[1358] - 4*X[174] + 2*X[1069] - 8*X[3561] <= 12
model += -6*X[3131] + X[2709] - 3*X[2808] - X[3417] - 2*X[3073] - 2*X[4875] - 2*X[6203] + X[3475] <= -4
model += X[3131] - 4*X[2709] - X[2808] + 2*X[3417] - 4*X[3073] + 6*X[4875] - 3*X[6203] - 3*X[3475] <= 1
model += 3*X[5692] + 9*X[215] + 7*X[4869] + 5*X[6056] - X[196] - 4*X[1998] + 2*X[314] - 8*X[4776] <= 12
model += 3*X[464] + 9*X[1826] + 7*X[337] + 5*X[4233] - X[540] - 4*X[7022] + 2*X[4981] - 8*X[3663] <= 12
model += -6*X[1818] + X[1709] - 3*X[1643] - X[1095] - 2*X[2222] - 2*X[2356] - 2*X[3422] + X[4772] <= -4
model += X[1818] - 4*X[1709] - X[1643] + 2*X[1095] - 4*X[2222] + 6*X[2356] - 3*X[3422] - 3*X[4772] <= 1
model += -6*X[5602] + X[1080] - 3*X[4539] - X[4913] - 2*X[4302] - 2*X[2592] - 2*X[6515] + X[2638] <= -4
model += X[5602] - 4*X[1080] - X[4539] + 2*X[4913] - 4*X[4302] + 6*X[2592] - 3*X[6515] - 3*X[2638] <= 1
model += -6*X[4110] + X[3747] - 3*X[2798] - X[2646] - 2*X[1098] - 2*X[4781] - 2*X[4749] + X[7635] <= -4
model += X[4110] - 4*X[3747] - X[2798] + 2*X[2646] - 4*X[1098] + 6*X[4781] - 3*X[4749] - 3*X[7635] <= 1
model += 3*X[6183] + 9*X[7298] + 7*X[90] + 5*X[4775] - X[4335] - 4*X[918] + 2*X[1513] - 8*X[3060] <= 12
model += -6*X[3498] + X[7123] - 3*X[7287] - X[6762] - 2*X[1425] - 2*X[2550] - 2*X[4367] + X[5579] <= -4
model += X[3498] - 4*X[7123] - X[7287] + 2*X[6762] - 4*X[1425] + 6*X[2550] - 3*X[4367] - 3*X[5579] <= 1
model += -6*X[5715] + X[3240] - 3*X[1723] - X[2630] - 2*X[4770] - 2*X[6699] - 2*X[5500] + X[4123] <= -4
model += X[5715] - 4*X[3240] - X[1723] + 2*X[2630] - 4*X[4770] + 6*X[6699] - 3*X[5500] - 3*X[4123] <= 1
model += -6*X[6120] + X[2853] - 3*X[4314] - X[3365] - 2*X[1183] - 2*X[7104] - 2*X[3842] + X[5486] <= -4
model += X[6120] - 4*X[2853] - X[4314] + 2*X[3365] - 4*X[1183] + 6*X[7104] - 3*X[3842] - 3*X[5486] <= 1
model += -6*X[5453] + X[5912] - 3*X[6860] - X[3852] - 2*X[6261] - 2*X[4273] - 2*X[5836] + X[2971] <= -4
model += X[5453] - 4*X[5912] - X[6860] + 2*X[3852] - 4*X[6261] + 6*X[4273] - 3*X[5836] - 3*X[2971] <= 1
model += -6*X[2359] + X[6525] - 3*X[4022] - X[3048] - 2*X[5603] - 2*X[6789] - 2*X[4779] + X[5376] <= -4
model += X[2359] - 4*X[6525] - X[4022] + 2*X[3048] - 4*X[5603] + 6*X[6789] - 3*X[4779] - 3*X[5376] <= 1
model += 3*X[2282] + 9*X[1127] + 7*X[1163] + 5*X[1899] - X[245] - 4*X[3104] + 2*X[205] - 8*X[541] <= 12
model += 3*X[1652] + 9*X[13] + 7*X[5676] + 5*X[3180] - X[4853] - 4*X[355] + 2*X[4062] - 8*X[5458] <= 12
model += -6*X[6421] + X[1093] - 3*X[2902] - X[5734] - 2*X[3398] - 2*X[6952] - 2*X[7292] + X[5443] <= -4
model += X[6421] - 4*X[1093] - X[2902] + 2*X[5734] - 4*X[3398] + 6*X[6952] - 3*X[7292] - 3*X[5443] <= 1
model += -6*X[2081] + X[1461] - 3*X[5381] - X[1104] - 2*X[4970] - 2*X[1805] - 2*X[5227] + X[4532] <= -4
model += X[2081] - 4*X[1461] - X[5381] + 2*X[1104] - 4*X[4970] + 6*X[1805] - 3*X[5227] - 3*X[4532] <= 1
model += 10*X[4363] + 7*X[85] - 4*X[2309] - 12*X[83] - 2*X[7487] + X[616] + 6*X[3290] - 13*X[4186] <= 4
model += -X[4363] - 2*X[85] + 6*X[2309] - 10*X[83] + 3*X[7487] + 4*X[616] - 9*X[3290] + 11*X[4186] <= 8
model += -6*X[1566] + X[1313] - 3*X[5998] - X[3275] - 2*X[4351] - 2*X[6090] - 2*X[7548] + X[1018] <= -4
model += X[1566] - 4*X[1313] - X[5998] + 2*X[3275] - 4*X[4351] + 6*X[6090] - 3*X[7548] - 3*X[1018] <= 1
model += -6*X[1653] + X[3256] - 3*X[6708] - X[2142] - 2*X[6661] - 2*X[5575] - 2*X[6339] + X[6321] <= -4
model += X[1653] - 4*X[3256] - X[6708] + 2*X[2142] - 4*X[6661] + 6*X[5575] - 3*X[6339] - 3*X[6321] <= 1
model += -6*X[4182] + X[6468] - 3*X[6562] - X[1567] - 2*X[6668] - 2*X[4741] - 2*X[4098] + X[3347] <= -4
model += X[4182] - 4*X[6468] - X[6562] + 2*X[1567] - 4*X[6668] + 6*X[4741] - 3*X[4098] - 3*X[3347] <= 1
model += -6*X[7077] + X[6645] - 3*X[3698] - X[1560] - 2*X[7274] - 2*X[3097] - 2*X[2874] + X[7220] <= -4
model += X[7077] - 4*X[6645] - X[3698] + 2*X[1560] - 4*X[7274] + 6*X[3097] - 3*X[2874] - 3*X[7220] <= 1
model += 3*X[5902] + 9*X[373] + 7*X[796] + 5*X[723] - X[4782] - 4*X[3179] + 2*X[6153] - 8*X[4140] <= 12
model += -6*X[3178] + X[3468] - 3*X[7457] - X[4236] - 2*X[4346] - 2*X[4014] - 2*X[6269] + X[6959] <= -4
model += X[3178] - 4*X[3468] - X[7457] + 2*X[4236] - 4*X[4346] + 6*X[4014] - 3*X[6269] - 3*X[6959] <= 1
model += -6*X[6136] + X[4316] - 3*X[1379] - X[6638] - 2*X[3454] - 2*X[5784] - 2*X[3000] + X[3672] <= -4
model += X[6136] - 4*X[4316] - X[1379] + 2*X[6638] - 4*X[3454] + 6*X[5784] - 3*X[3000] - 3*X[3672] <= 1
model += 10*X[1073] + 7*X[533] - 4*X[49] - 12*X[1210] - 2*X[4473] + X[742] + 6*X[1525] - 13*X[484] <= 4
model += -X[1073] - 2*X[533] + 6*X[49] - 10*X[1210] + 3*X[4473] + 4*X[742] - 9*X[1525] + 11*X[484] <= 8
model += -6*X[1445] + X[1903] - 3*X[3273] - X[5920] - 2*X[3938] - 2*X[2476] - 2*X[5848] + X[4640] <= -4
model += X[1445] - 4*X[1903] - X[3273] + 2*X[5920] - 4*X[3938] + 6*X[2476] - 3*X[5848] - 3*X[4640] <= 1
model += 3*X[2620] + 9*X[59] + 7*X[790] + 5*X[4993] - X[3424] - 4*X[5494] + 2*X[7412] - 8*X[5538] <= 12
model += -6*X[3470] + X[6801] - 3*X[6774] - X[6127] - 2*X[7222] - 2*X[1156] - 2*X[7642] + X[6336] <= -4
model += X[3470] - 4*X[6801] - X[6774] + 2*X[6127] - 4*X[7222] + 6*X[1156] - 3*X[7642] - 3*X[6336] <= 1
model += -6*X[6353] + X[3019] - 3*X[4372] - X[2272] - 2*X[2383] - 2*X[1694] - 2*X[4121] + X[6868] <= -4
model += X[6353] - 4*X[3019] - X[4372] + 2*X[2272] - 4*X[2383] + 6*X[1694] - 3*X[4121] - 3*X[6868] <= 1
model += 3*X[3959] + 9*X[60] + 7*X[2892] + 5*X[507] - X[3293] - 4*X[4026] + 2*X[1343] - 8*X[1257] <= 12
model += 10*X[8] + 7*X[759] - 4*X[1027] - 12*X[3119] - 2*X[3197] + X[5373] + 6*X[524] - 13*X[5939] <= 4
model += -X[8] - 2*X[759] + 6*X[1027] - 10*X[3119] + 3*X[3197] + 4*X[5373] - 9*X[524] + 11*X[5939] <= 8
model += 3*X[859] + 9*X[2771] + 7*X[5757] + 5*X[37] - X[3249] - 4*X[1985] + 2*X[4860] - 8*X[3905] <= 12
model += -6*X[2606] + X[2659] - 3*X[5025] - X[7461] - 2*X[1722] - 2*X[2724] - 2*X[6341] + X[7447] <= -4
model += X[2606] - 4*X[2659] - X[5025] + 2*X[7461] - 4*X[1722] + 6*X[2724] - 3*X[6341] - 3*X[7447] <= 1
model += 3*X[3597] + 9*X[5747] + 7*X[5063] + 5*X[63] - X[6791] - 4*X[4849] + 2*X[4330] - 8*X[710] <= 12
model += -6*X[5971] + X[3692] - 3*X[7494] - X[5678] - 2*X[7657] - 2*X[5476] - 2*X[5495] + X[7419] <= -4
model += X[5971] - 4*X[3692] - X[7494] + 2*X[5678] - 4*X[7657] + 6*X[5476] - 3*X[5495] - 3*X[7419] <= 1
model += 3*X[3477] + 9*X[771] + 7*X[2310] + 5*X[1978] - X[5917] - 4*X[257] + 2*X[578] - 8*X[6196] <= 12
model += 10*X[7244] + 7*X[829] - 4*X[905] - 12*X[5983] - 2*X[2429] + X[6202] + 6*X[2134] - 13*X[5] <= 4
model += -X[7244] - 2*X[829] + 6*X[905] - 10*X[5983] + 3*X[2429] + 4*X[6202] - 9*X[2134] + 11*X[5] <= 8
model += 3*X[502] + 9*X[1915] + 7*X[526] + 5*X[5100] - X[2288] - 4*X[7580] + 2*X[3980] - 8*X[802] <= 12
model += -6*X[1076] + X[3770] - 3*X[4438] - X[6878] - 2*X[7008] - 2*X[5293] - 2*X[2732] + X[5972] <= -4
model += X[1076] - 4*X[3770] - X[4438] + 2*X[6878] - 4*X[7008] + 6*X[5293] - 3*X[2732] - 3*X[5972] <= 1
model += -6*X[7087] + X[3835] - 3*X[1696] - X[3549] - 2*X[3810] - 2*X[7614] - 2*X[4115] + X[5958] <= -4
model += X[7087] - 4*X[3835] - X[1696] + 2*X[3549] - 4*X[3810] + 6*X[7614] - 3*X[4115] - 3*X[5958] <= 1
model += -6*X[6426] + X[6446] - 3*X[4216] - X[6057] - 2*X[2708] - 2*X[6632] - 2*X[2078] + X[5780] <= -4
model += X[6426] - 4*X[6446] - X[4216] + 2*X[6057] - 4*X[2708] + 6*X[6632] - 3*X[2078] - 3*X[5780] <= 1
model += -6*X[6879] + X[5805] - 3*X[1164] - X[4303] - 2*X[6852] - 2*X[2469] - 2*X[2145] + X[2849] <= -4
model += X[6879] - 4*X[5805] - X[1164] + 2*X[4303] - 4*X[6852] + 6*X[2469] - 3*X[2145] - 3*X[2849] <= 1
model += -6*X[1146] + X[4790] - 3*X[7028] - X[1948] - 2*X[2379] - 2*X[3120] - 2*X[3584] + X[6227] <= -4
model += X[1146] - 4*X[4790] - X[7028] + 2*X[1948] - 4*X[2379] + 6*X[3120] - 3*X[3584] - 3*X[6227] <= 1
model += -6*X[7273] + X[2120] - 3*X[1520] - X[3644] - 2*X[2602] - 2*X[5457] - 2*X[7667] + X[3425] <= -4
model += X[7273] - 4*X[2120] - X[1520] + 2*X[3644] - 4*X[2602] + 6*X[5457] - 3*X[7667] - 3*X[3425] <= 1
model += -6*X[5978] + X[2438] - 3*X[2159] - X[6194] - 2*X[6414] - 2*X[2954] - 2*X[1871] + X[2459] <= -4
model += X[5978] - 4*X[2438] - X[2159] + 2*X[6194] - 4*X[6414] + 6*X[2954] - 3*X[1871] - 3*X[2459] <= 1
model += 3*X[3494] + 9*X[2201] + 7*X[3318] + 5*X[5325] - X[2262] - 4*X[9] + 2*X[5247] - 8*X[4226] <= 12
model += -6*X[5822] + X[4019] - 3*X[6438] - X[7139] - 2*X[1283] - 2*X[2573] - 2*X[2579] + X[7704] <= -4
model += X[5822] - 4*X[4019] - X[6438] + 2*X[7139] - 4*X[1283] + 6*X[2573] - 3*X[2579] - 3*X[7704] <= 1
model += 3*X[7362] + 9*X[6454] + 7*X[677] + 5*X[3653] - X[273] - 4*X[4971] + 2*X[6533] - 8*X[979] <= 12
model += -6*X[7064] + X[3989] - 3*X[3900] - X[2943] - 2*X[4766] - 2*X[4855] - 2*X[5842] + X[7526] <= -4
model += X[7064] - 4*X[3989] - X[3900] + 2*X[2943] - 4*X[4766] + 6*X[4855] - 3*X[5842] - 3*X[7526] <= 1
model += -6*X[3378] + X[2534] - 3*X[5456] - X[1960] - 2*X[2483] - 2*X[2434] - 2*X[4256] + X[5283] <= -4
model += X[3378] - 4*X[2534] - X[5456] + 2*X[1960] - 4*X[2483] + 6*X[2434] - 3*X[4256] - 3*X[5283] <= 1
model += -6*X[4834] + X[4389] - 3*X[6459] - X[1795] - 2*X[1936] - 2*X[5633] - 2*X[6006] + X[6187] <= -4
model += X[4834] - 4*X[4389] - X[6459] + 2*X[1795] - 4*X[1936] + 6*X[5633] - 3*X[6006] - 3*X[6187] <= 1
model += -6*X[6542] + X[1778] - 3*X[1789] - X[5719] - 2*X[1951] - 2*X[7152] - 2*X[4413] + X[3238] <= -4
model += X[6542] - 4*X[1778] - X[1789] + 2*X[5719] - 4*X[1951] + 6*X[7152] - 3*X[4413] - 3*X[3238] <= 1
model += 3*X[2966] + 9*X[6378] + 7*X[165] + 5*X[5030] - X[761] - 4*X[3635] + 2*X[591] - 8*X[6729] <= 12
model += -6*X[6864] + X[3817] - 3*X[4356] - X[1342] - 2*X[7136] - 2*X[6527] - 2*X[6819] + X[1382] <= -4
model += X[6864] - 4*X[3817] - X[4356] + 2*X[1342] - 4*X[7136] + 6*X[6527] - 3*X[6819] - 3*X[1382] <= 1
model += -6*X[1281] + X[3689] - 3*X[5749] - X[3427] - 2*X[7373] - 2*X[7519] - 2*X[6570] + X[4525] <= -4
model += X[1281] - 4*X[3689] - X[5749] + 2*X[3427] - 4*X[7373] + 6*X[7519] - 3*X[6570] - 3*X[4525] <= 1
model += 3*X[6526] + 9*X[348] + 7*X[1623] + 5*X[860] - X[597] - 4*X[3886] + 2*X[6134] - 8*X[4799] <= 12
model += -6*X[6749] + X[5442] - 3*X[6184] - X[4864] - 2*X[1876] - 2*X[3194] - 2*X[2785] + X[5418] <= -4
model += X[6749] - 4*X[5442] - X[6184] + 2*X[4864] - 4*X[1876] + 6*X[3194] - 3*X[2785] - 3*X[5418] <= 1
model += -6*X[1287] + X[6822] - 3*X[6892] - X[3567] - 2*X[5529] - 2*X[3837] - 2*X[3703] + X[5832] <= -4
model += X[1287] - 4*X[6822] - X[6892] + 2*X[3567] - 4*X[5529] + 6*X[3837] - 3*X[3703] - 3*X[5832] <= 1
model += -6*X[6805] + X[6015] - 3*X[4056] - X[4830] - 2*X[7361] - 2*X[7423] - 2*X[6978] + X[1967] <= -4
model += X[6805] - 4*X[6015] - X[4056] + 2*X[4830] - 4*X[7361] + 6*X[7423] - 3*X[6978] - 3*X[1967] <= 1
model += 3*X[1518] + 9*X[198] + 7*X[5940] + 5*X[618] - X[2826] - 4*X[5809] + 2*X[974] - 8*X[6097] <= 12
model += 3*X[3878] + 9*X[112] + 7*X[447] + 5*X[6633] - X[3668] - 4*X[738] + 2*X[2686] - 8*X[2166] <= 12
model += 3*X[4839] + 9*X[1036] + 7*X[58] + 5*X[6080] - X[7599] - 4*X[638] + 2*X[1402] - 8*X[4658] <= 12
model += -6*X[4135] + X[1939] - 3*X[5512] - X[4584] - 2*X[4427] - 2*X[2148] - 2*X[3931] + X[6516] <= -4
model += X[4135] - 4*X[1939] - X[5512] + 2*X[4584] - 4*X[4427] + 6*X[2148] - 3*X[3931] - 3*X[6516] <= 1
model += -6*X[5594] + X[4431] - 3*X[3112] - X[5382] - 2*X[2257] - 2*X[3040] - 2*X[2368] + X[3660] <= -4
model += X[5594] - 4*X[4431] - X[3112] + 2*X[5382] - 4*X[2257] + 6*X[3040] - 3*X[2368] - 3*X[3660] <= 1
model += 3*X[5327] + 9*X[91] + 7*X[3521] + 5*X[2588] - X[1295] - 4*X[180] + 2*X[3953] - 8*X[1246] <= 12
model += 3*X[1893] + 9*X[3376] + 7*X[5181] + 5*X[22] - X[1045] - 4*X[283] + 2*X[2415] - 8*X[3207] <= 12
model += 3*X[3984] + 9*X[724] + 7*X[589] + 5*X[1439] - X[4100] - 4*X[376] + 2*X[6025] - 8*X[4021] <= 12
model += -6*X[7312] + X[4696] - 3*X[6076] - X[1120] - 2*X[1485] - 2*X[2155] - 2*X[6673] + X[5517] <= -4
model += X[7312] - 4*X[4696] - X[6076] + 2*X[1120] - 4*X[1485] + 6*X[2155] - 3*X[6673] - 3*X[5517] <= 1
model += -6*X[6905] + X[3099] - 3*X[5802] - X[5959] - 2*X[5239] - 2*X[1958] - 2*X[7446] + X[1243] <= -4
model += X[6905] - 4*X[3099] - X[5802] + 2*X[5959] - 4*X[5239] + 6*X[1958] - 3*X[7446] - 3*X[1243] <= 1
model += -6*X[4425] + X[6600] - 3*X[5547] - X[2240] - 2*X[5524] - 2*X[4629] - 2*X[6881] + X[3497] <= -4
model += X[4425] - 4*X[6600] - X[5547] + 2*X[2240] - 4*X[5524] + 6*X[4629] - 3*X[6881] - 3*X[3497] <= 1
model += 3*X[168] + 9*X[494] + 7*X[6741] + 5*X[3262] - X[7041] - 4*X[644] + 2*X[2884] - 8*X[3428] <= 12
model += -6*X[6147] + X[4530] - 3*X[5814] - X[3641] - 2*X[6773] - 2*X[7542] - 2*X[7017] + X[4028] <= -4
model += X[6147] - 4*X[4530] - X[5814] + 2*X[3641] - 4*X[6773] + 6*X[7542] - 3*X[7017] - 3*X[4028] <= 1
model += -6*X[4482] + X[4039] - 3*X[5069] - X[2574] - 2*X[6295] - 2*X[1191] - 2*X[3795] + X[1150] <= -4
model += X[4482] - 4*X[4039] - X[5069] + 2*X[2574] - 4*X[6295] + 6*X[1191] - 3*X[3795] - 3*X[1150] <= 1
model += -6*X[2162] + X[7205] - 3*X[5397] - X[4767] - 2*X[4865] - 2*X[3788] - 2*X[2803] + X[6039] <= -4
model += X[2162] - 4*X[7205] - X[5397] + 2*X[4767] - 4*X[4865] + 6*X[3788] - 3*X[2803] - 3*X[6039] <= 1
model += -6*X[7670] + X[4557] - 3*X[6159] - X[2657] - 2*X[7771] - 2*X[3402] - 2*X[1966] + X[5362] <= -4
model += X[7670] - 4*X[4557] - X[6159] + 2*X[2657] - 4*X[7771] + 6*X[3402] - 3*X[1966] - 3*X[5362] <= 1
model += -6*X[5571] + X[6521] - 3*X[1493] - X[2012] - 2*X[7408] - 2*X[2635] - 2*X[1668] + X[4896] <= -4
model += X[5571] - 4*X[6521] - X[1493] + 2*X[2012] - 4*X[7408] + 6*X[2635] - 3*X[1668] - 3*X[4896] <= 1
model += -6*X[7078] + X[6874] - 3*X[3277] - X[7389] - 2*X[4332] - 2*X[2581] - 2*X[5986] + X[2058] <= -4
model += X[7078] - 4*X[6874] - X[3277] + 2*X[7389] - 4*X[4332] + 6*X[2581] - 3*X[5986] - 3*X[2058] <= 1
model += -6*X[3074] + X[6490] - 3*X[7706] - X[5179] - 2*X[5553] - 2*X[6586] - 2*X[1808] + X[5793] <= -4
model += X[3074] - 4*X[6490] - X[7706] + 2*X[5179] - 4*X[5553] + 6*X[6586] - 3*X[1808] - 3*X[5793] <= 1
model += -6*X[5231] + X[4199] - 3*X[7386] - X[4383] - 2*X[5957] - 2*X[2129] - 2*X[6683] + X[3691] <= -4
model += X[5231] - 4*X[4199] - X[7386] + 2*X[4383] - 4*X[5957] + 6*X[2129] - 3*X[6683] - 3*X[3691] <= 1
model += -6*X[3086] + X[6930] - 3*X[5346] - X[4735] - 2*X[3737] - 2*X[2073] - 2*X[1527] + X[1262] <= -4
model += X[3086] - 4*X[6930] - X[5346] + 2*X[4735] - 4*X[3737] + 6*X[2073] - 3*X[1527] - 3*X[1262] <= 1
model += -6*X[7718] + X[3049] - 3*X[4215] - X[2147] - 2*X[3767] - 2*X[1509] - 2*X[2215] + X[5658] <= -4
model += X[7718] - 4*X[3049] - X[4215] + 2*X[2147] - 4*X[3767] + 6*X[1509] - 3*X[2215] - 3*X[5658] <= 1
model += -6*X[6211] + X[5487] - 3*X[2691] - X[7475] - 2*X[2104] - 2*X[3873] - 2*X[7694] + X[2427] <= -4
model += X[6211] - 4*X[5487] - X[2691] + 2*X[7475] - 4*X[2104] + 6*X[3873] - 3*X[7694] - 3*X[2427] <= 1
model += -6*X[2822] + X[5944] - 3*X[2317] - X[7636] - 2*X[5464] - 2*X[3802] - 2*X[4857] + X[7700] <= -4
model += X[2822] - 4*X[5944] - X[2317] + 2*X[7636] - 4*X[5464] + 6*X[3802] - 3*X[4857] - 3*X[7700] <= 1
model += 3*X[1] + 9*X[4089] + 7*X[5771] + 5*X[3742] - X[3818] - 4*X[2056] + 2*X[6903] - 8*X[7533] <= 12
model += -6*X[4642] + X[7442] - 3*X[1491] - X[6369] - 2*X[7282] - 2*X[6106] - 2*X[2244] + X[6319] <= -4
model += X[4642] - 4*X[7442] - X[1491] + 2*X[6369] - 4*X[7282] + 6*X[6106] - 3*X[2244] - 3*X[6319] <= 1
model += -6*X[2338] + X[3814] - 3*X[5997] - X[6503] - 2*X[1764] - 2*X[1383] - 2*X[5655] + X[1455] <= -4
model += X[2338] - 4*X[3814] - X[5997] + 2*X[6503] - 4*X[1764] + 6*X[1383] - 3*X[5655] - 3*X[1455] <= 1
model += 10*X[833] + 7*X[7534] - 4*X[649] - 12*X[5709] - 2*X[0] + X[3884] + 6*X[3299] - 13*X[7026] <= 4
model += -X[833] - 2*X[7534] + 6*X[649] - 10*X[5709] + 3*X[0] + 4*X[3884] - 9*X[3299] + 11*X[7026] <= 8
model += -6*X[7122] + X[3916] - 3*X[3493] - X[1869] - 2*X[4560] - 2*X[2005] - 2*X[4843] + X[7692] <= -4
model += X[7122] - 4*X[3916] - X[3493] + 2*X[1869] - 4*X[4560] + 6*X[2005] - 3*X[4843] - 3*X[7692] <= 1
model += 3*X[381] + 9*X[213] + 7*X[2964] + 5*X[3002] - X[2474] - 4*X[2577] + 2*X[925] - 8*X[2823] <= 12
model += -6*X[6046] + X[5309] - 3*X[1932] - X[5034] - 2*X[2723] - 2*X[4788] - 2*X[4510] + X[1548] <= -4
model += X[6046] - 4*X[5309] - X[1932] + 2*X[5034] - 4*X[2723] + 6*X[4788] - 3*X[4510] - 3*X[1548] <= 1
model += -6*X[4548] + X[2384] - 3*X[6366] - X[5925] - 2*X[5619] - 2*X[1449] - 2*X[3125] + X[3160] <= -4
model += X[4548] - 4*X[2384] - X[6366] + 2*X[5925] - 4*X[5619] + 6*X[1449] - 3*X[3125] - 3*X[3160] <= 1
model += 3*X[557] + 9*X[294] + 7*X[6947] + 5*X[4621] - X[2331] - 4*X[3774] + 2*X[6073] - 8*X[509] <= 12
model += -6*X[6576] + X[3200] - 3*X[4953] - X[4426] - 2*X[2730] - 2*X[1175] - 2*X[6311] + X[1385] <= -4
model += X[6576] - 4*X[3200] - X[4953] + 2*X[4426] - 4*X[2730] + 6*X[1175] - 3*X[6311] - 3*X[1385] <= 1
model += 3*X[184] + 9*X[868] + 7*X[6956] + 5*X[2226] - X[5927] - 4*X[5794] + 2*X[678] - 8*X[4429] <= 12
model += -6*X[7200] + X[3272] - 3*X[4016] - X[6324] - 2*X[3465] - 2*X[1714] - 2*X[2269] + X[7627] <= -4
model += X[7200] - 4*X[3272] - X[4016] + 2*X[6324] - 4*X[3465] + 6*X[1714] - 3*X[2269] - 3*X[7627] <= 1
model += -6*X[1583] + X[1741] - 3*X[7093] - X[2660] - 2*X[5416] - 2*X[4518] - 2*X[6889] + X[2717] <= -4
model += X[1583] - 4*X[1741] - X[7093] + 2*X[2660] - 4*X[5416] + 6*X[4518] - 3*X[6889] - 3*X[2717] <= 1
model += 10*X[5811] - 12*X[1724] + 4*X[6323] + 7*X[5182] + 2*X[6114] - 6*Y[76] - Y[75] + 13*Y[74] <= 16
model += -6*X[3046] + X[4771] - 3*X[4184] - X[2921] - 2*X[2426] - 2*X[7134] - 2*X[3431] + X[1589] <= -4
model += X[3046] - 4*X[4771] - X[4184] + 2*X[2921] - 4*X[2426] + 6*X[7134] - 3*X[3431] - 3*X[1589] <= 1
model += -6*X[3426] + X[3620] - 3*X[5250] - X[3982] - 2*X[5326] - 2*X[1896] - 2*X[7068] + X[4682] <= -4
model += X[3426] - 4*X[3620] - X[5250] + 2*X[3982] - 4*X[5326] + 6*X[1896] - 3*X[7068] - 3*X[4682] <= 1
model += -6*X[2158] + X[3901] - 3*X[7561] - X[7345] - 2*X[1895] - 2*X[7326] - 2*X[3964] + X[7612] <= -4
model += X[2158] - 4*X[3901] - X[7561] + 2*X[7345] - 4*X[1895] + 6*X[7326] - 3*X[3964] - 3*X[7612] <= 1
model += -6*X[5144] + X[3034] - 3*X[3709] - X[7574] - 2*X[2741] - 2*X[6684] - 2*X[4852] + X[6704] <= -4
model += X[5144] - 4*X[3034] - X[3709] + 2*X[7574] - 4*X[2741] + 6*X[6684] - 3*X[4852] - 3*X[6704] <= 1
model += -6*X[7277] + X[3416] - 3*X[7633] - X[1473] - 2*X[6418] - 2*X[2678] - 2*X[1576] + X[7464] <= -4
model += X[7277] - 4*X[3416] - X[7633] + 2*X[1473] - 4*X[6418] + 6*X[2678] - 3*X[1576] - 3*X[7464] <= 1
model += -6*X[2715] + X[1015] - 3*X[4084] - X[3429] - 2*X[2736] - 2*X[1288] - 2*X[3036] + X[4867] <= -4
model += X[2715] - 4*X[1015] - X[4084] + 2*X[3429] - 4*X[2736] + 6*X[1288] - 3*X[3036] - 3*X[4867] <= 1
model += -6*X[4633] + X[4712] - 3*X[5970] - X[4526] - 2*X[1686] - 2*X[7311] - 2*X[2157] + X[3164] <= -4
model += X[4633] - 4*X[4712] - X[5970] + 2*X[4526] - 4*X[1686] + 6*X[7311] - 3*X[2157] - 3*X[3164] <= 1
model += -6*X[4276] + X[4138] - 3*X[4729] - X[1432] - 2*X[1508] - 2*X[4892] - 2*X[1336] + X[7615] <= -4
model += X[4276] - 4*X[4138] - X[4729] + 2*X[1432] - 4*X[1508] + 6*X[4892] - 3*X[1336] - 3*X[7615] <= 1
model += 3*X[35] + 9*X[261] + 7*X[2706] + 5*X[4064] - X[2605] - 4*X[6246] + 2*X[3022] - 8*X[4073] <= 12
model += -6*X[3846] + X[7560] - 3*X[6003] - X[6999] - 2*X[3975] - 2*X[2531] - 2*X[6199] + X[5585] <= -4
model += X[3846] - 4*X[7560] - X[6003] + 2*X[6999] - 4*X[3975] + 6*X[2531] - 3*X[6199] - 3*X[5585] <= 1
model += 3*X[2253] + 9*X[7750] + 7*X[543] + 5*X[4386] - X[3557] - 4*X[945] + 2*X[838] - 8*X[5641] <= 12
model += -6*X[1291] + X[5184] - 3*X[4517] - X[6437] - 2*X[6748] - 2*X[1250] - 2*X[7402] + X[4060] <= -4
model += X[1291] - 4*X[5184] - X[4517] + 2*X[6437] - 4*X[6748] + 6*X[1250] - 3*X[7402] - 3*X[4060] <= 1
model += -6*X[2334] + X[3629] - 3*X[6265] - X[7376] - 2*X[1105] - 2*X[2879] - 2*X[5311] + X[1580] <= -4
model += X[2334] - 4*X[3629] - X[6265] + 2*X[7376] - 4*X[1105] + 6*X[2879] - 3*X[5311] - 3*X[1580] <= 1
model += 10*X[963] + 7*X[872] - 4*X[4978] - 12*X[7357] - 2*X[48] + X[532] + 6*X[6951] - 13*X[5659] <= 4
model += -X[963] - 2*X[872] + 6*X[4978] - 10*X[7357] + 3*X[48] + 4*X[532] - 9*X[6951] + 11*X[5659] <= 8
model += -6*X[3473] + X[5640] - 3*X[3553] - X[3746] - 2*X[4730] - 2*X[3571] - 2*X[2431] + X[5407] <= -4
model += X[3473] - 4*X[5640] - X[3553] + 2*X[3746] - 4*X[4730] + 6*X[3571] - 3*X[2431] - 3*X[5407] <= 1
model += -6*X[6995] + X[7057] - 3*X[6070] - X[6792] - 2*X[6587] - 2*X[2462] - 2*X[1894] + X[1328] <= -4
model += X[6995] - 4*X[7057] - X[6070] + 2*X[6792] - 4*X[6587] + 6*X[2462] - 3*X[1894] - 3*X[1328] <= 1
model += -6*X[7443] + X[5638] - 3*X[3563] - X[6756] - 2*X[5769] - 2*X[2393] - 2*X[2995] + X[1533] <= -4
model += X[7443] - 4*X[5638] - X[3563] + 2*X[6756] - 4*X[5769] + 6*X[2393] - 3*X[2995] - 3*X[1533] <= 1
model += -6*X[5557] + X[3678] - 3*X[6105] - X[6051] - 2*X[4803] - 2*X[6670] - 2*X[3870] + X[2750] <= -4
model += X[5557] - 4*X[3678] - X[6105] + 2*X[6051] - 4*X[4803] + 6*X[6670] - 3*X[3870] - 3*X[2750] <= 1
model += -6*X[2728] + X[3759] - 3*X[5434] - X[5016] - 2*X[1678] - 2*X[6544] - 2*X[6488] + X[5954] <= -4
model += X[2728] - 4*X[3759] - X[5434] + 2*X[5016] - 4*X[1678] + 6*X[6544] - 3*X[6488] - 3*X[5954] <= 1
model += 10*X[1747] - 12*X[5775] + 4*X[5824] + 7*X[5324] + 2*X[3218] - 6*Y[67] - Y[66] + 13*Y[65] <= 16
model += -6*X[6737] + X[1362] - 3*X[2742] - X[3100] - 2*X[2031] - 2*X[3135] - 2*X[5375] + X[3799] <= -4
model += X[6737] - 4*X[1362] - X[2742] + 2*X[3100] - 4*X[2031] + 6*X[3135] - 3*X[5375] - 3*X[3799] <= 1
model += -6*X[5115] + X[6493] - 3*X[5541] - X[5194] - 2*X[3023] - 2*X[3176] - 2*X[7493] + X[7751] <= -4
model += X[5115] - 4*X[6493] - X[5541] + 2*X[5194] - 4*X[3023] + 6*X[3176] - 3*X[7493] - 3*X[7751] <= 1
model += -6*X[3322] + X[2901] - 3*X[2322] - X[5406] - 2*X[4846] - 2*X[1265] - 2*X[1226] + X[4237] <= -4
model += X[3322] - 4*X[2901] - X[2322] + 2*X[5406] - 4*X[4846] + 6*X[1265] - 3*X[1226] - 3*X[4237] <= 1
model += -6*X[3552] + X[4311] - 3*X[6866] - X[3674] - 2*X[6957] - 2*X[3005] - 2*X[2877] + X[2604] <= -4
model += X[3552] - 4*X[4311] - X[6866] + 2*X[3674] - 4*X[6957] + 6*X[3005] - 3*X[2877] - 3*X[2604] <= 1
model += 3*X[7072] + 9*X[621] + 7*X[1001] + 5*X[6807] - X[1157] - 4*X[433] + 2*X[3051] - 8*X[360] <= 12
model += -6*X[5498] + X[4588] - 3*X[1099] - X[7388] - 2*X[5338] - 2*X[5450] - 2*X[3725] + X[3556] <= -4
model += X[5498] - 4*X[4588] - X[1099] + 2*X[7388] - 4*X[5338] + 6*X[5450] - 3*X[3725] - 3*X[3556] <= 1
model += -6*X[5172] + X[3406] - 3*X[6043] - X[6885] - 2*X[3865] - 2*X[5781] - 2*X[7234] + X[1504] <= -4
model += X[5172] - 4*X[3406] - X[6043] + 2*X[6885] - 4*X[3865] + 6*X[5781] - 3*X[7234] - 3*X[1504] <= 1
model += -6*X[5570] + X[7154] - 3*X[5642] - X[4340] - 2*X[2307] - 2*X[7211] - 2*X[5365] + X[5085] <= -4
model += X[5570] - 4*X[7154] - X[5642] + 2*X[4340] - 4*X[2307] + 6*X[7211] - 3*X[5365] - 3*X[5085] <= 1
model += -6*X[4304] + X[2376] - 3*X[7082] - X[7471] - 2*X[5412] - 2*X[1549] - 2*X[6417] + X[1983] <= -4
model += X[4304] - 4*X[2376] - X[7082] + 2*X[7471] - 4*X[5412] + 6*X[1549] - 3*X[6417] - 3*X[1983] <= 1
model += -6*X[6068] + X[7199] - 3*X[5391] - X[3936] - 2*X[4796] - 2*X[1323] - 2*X[2071] + X[4264] <= -4
model += X[6068] - 4*X[7199] - X[5391] + 2*X[3936] - 4*X[4796] + 6*X[1323] - 3*X[2071] - 3*X[4264] <= 1
model += 3*X[5195] + 9*X[1070] + 7*X[1538] + 5*X[171] - X[212] - 4*X[5740] + 2*X[4573] - 8*X[823] <= 12
model += 3*X[3658] + 9*X[895] + 7*X[5948] + 5*X[691] - X[792] - 4*X[5923] + 2*X[1603] - 8*X[3169] <= 12
model += -6*X[4280] + X[2199] - 3*X[2710] - X[7121] - 2*X[4832] - 2*X[3388] - 2*X[6775] + X[5798] <= -4
model += X[4280] - 4*X[2199] - X[2710] + 2*X[7121] - 4*X[4832] + 6*X[3388] - 3*X[6775] - 3*X[5798] <= 1
model += -6*X[4222] + X[6388] - 3*X[2625] - X[3974] - 2*X[2029] - 2*X[1767] - 2*X[5896] + X[6639] <= -4
model += X[4222] - 4*X[6388] - X[2625] + 2*X[3974] - 4*X[2029] + 6*X[1767] - 3*X[5896] - 3*X[6639] <= 1
model += 3*X[1635] + 9*X[2256] + 7*X[40] + 5*X[7410] - X[7717] - 4*X[602] + 2*X[3186] - 8*X[7187] <= 12
model += -6*X[7428] + X[7786] - 3*X[6292] - X[4205] - 2*X[5921] - 2*X[6514] - 2*X[5028] + X[1055] <= -4
model += X[7428] - 4*X[7786] - X[6292] + 2*X[4205] - 4*X[5921] + 6*X[6514] - 3*X[5028] - 3*X[1055] <= 1
model += -6*X[3733] + X[6960] - 3*X[4384] - X[4306] - 2*X[7467] - 2*X[3128] - 2*X[7643] + X[1013] <= -4
model += X[3733] - 4*X[6960] - X[4384] + 2*X[4306] - 4*X[7467] + 6*X[3128] - 3*X[7643] - 3*X[1013] <= 1
model += -6*X[5892] + X[1838] - 3*X[2843] - X[4381] - 2*X[6505] - 2*X[2229] - 2*X[6154] + X[2727] <= -4
model += X[5892] - 4*X[1838] - X[2843] + 2*X[4381] - 4*X[6505] + 6*X[2229] - 3*X[6154] - 3*X[2727] <= 1
model += -6*X[3383] + X[1154] - 3*X[6150] - X[5370] - 2*X[2675] - 2*X[1697] - 2*X[5289] + X[6602] <= -4
model += X[3383] - 4*X[1154] - X[6150] + 2*X[5370] - 4*X[2675] + 6*X[1697] - 3*X[5289] - 3*X[6602] <= 1
model += 3*X[364] + 9*X[1378] + 7*X[4131] + 5*X[5936] - X[4653] - 4*X[6696] + 2*X[95] - 8*X[4566] <= 12
model += -6*X[4929] + X[4449] - 3*X[3667] - X[6142] - 2*X[3558] - 2*X[4152] - 2*X[1544] + X[2174] <= -4
model += X[4929] - 4*X[4449] - X[3667] + 2*X[6142] - 4*X[3558] + 6*X[4152] - 3*X[1544] - 3*X[2174] <= 1
model += -6*X[3613] + X[3771] - 3*X[1366] - X[4336] - 2*X[3866] - 2*X[5613] - 2*X[2854] + X[6814] <= -4
model += X[3613] - 4*X[3771] - X[1366] + 2*X[4336] - 4*X[3866] + 6*X[5613] - 3*X[2854] - 3*X[6814] <= 1
model += -6*X[5846] + X[5527] - 3*X[1179] - X[4668] - 2*X[1563] - 2*X[1392] - 2*X[5722] + X[5243] <= -4
model += X[5846] - 4*X[5527] - X[1179] + 2*X[4668] - 4*X[1563] + 6*X[1392] - 3*X[5722] - 3*X[5243] <= 1
model += -6*X[1598] + X[2217] - 3*X[3314] - X[6185] - 2*X[4041] - 2*X[1216] - 2*X[7737] + X[4206] <= -4
model += X[1598] - 4*X[2217] - X[3314] + 2*X[6185] - 4*X[4041] + 6*X[1216] - 3*X[7737] - 3*X[4206] <= 1
model += 10*X[1200] + 7*X[4136] - 4*X[568] - 12*X[1028] - 2*X[342] + X[133] + 6*X[7300] - 13*X[77] <= 4
model += -X[1200] - 2*X[4136] + 6*X[568] - 10*X[1028] + 3*X[342] + 4*X[133] - 9*X[7300] + 11*X[77] <= 8
model += -6*X[6181] + X[3189] - 3*X[7767] - X[5483] - 2*X[1779] - 2*X[2917] - 2*X[3520] + X[6242] <= -4
model += X[6181] - 4*X[3189] - X[7767] + 2*X[5483] - 4*X[1779] + 6*X[2917] - 3*X[3520] - 3*X[6242] <= 1
model += -6*X[6122] + X[5021] - 3*X[7181] - X[1264] - 2*X[6509] - 2*X[2559] - 2*X[7578] + X[7391] <= -4
model += X[6122] - 4*X[5021] - X[7181] + 2*X[1264] - 4*X[6509] + 6*X[2559] - 3*X[7578] - 3*X[7391] <= 1
model += -6*X[5660] + X[6326] - 3*X[6851] - X[5777] - 2*X[6965] - 2*X[1298] - 2*X[5102] + X[2141] <= -4
model += X[5660] - 4*X[6326] - X[6851] + 2*X[5777] - 4*X[6965] + 6*X[1298] - 3*X[5102] - 3*X[2141] <= 1
model += -6*X[3452] + X[3089] - 3*X[4211] - X[7535] - 2*X[7378] - 2*X[1586] - 2*X[6166] + X[1810] <= -4
model += X[3452] - 4*X[3089] - X[4211] + 2*X[7535] - 4*X[7378] + 6*X[1586] - 3*X[6166] - 3*X[1810] <= 1
model += 3*X[2435] + 9*X[5671] + 7*X[220] + 5*X[700] - X[4546] - 4*X[1077] + 2*X[1368] - 8*X[610] <= 12
model += -6*X[6680] + X[3958] - 3*X[7678] - X[6158] - 2*X[1272] - 2*X[2057] - 2*X[2354] + X[7348] <= -4
model += X[6680] - 4*X[3958] - X[7678] + 2*X[6158] - 4*X[1272] + 6*X[2057] - 3*X[2354] - 3*X[7348] <= 1
model += -6*X[6743] + X[4193] - 3*X[5175] - X[3743] - 2*X[7676] - 2*X[6694] - 2*X[5776] + X[7159] <= -4
model += X[6743] - 4*X[4193] - X[5175] + 2*X[3743] - 4*X[7676] + 6*X[6694] - 3*X[5776] - 3*X[7159] <= 1
model += 3*X[458] + 9*X[4416] + 7*X[217] + 5*X[4422] - X[6173] - 4*X[4555] + 2*X[822] - 8*X[3983] <= 12
model += -6*X[1404] + X[7726] - 3*X[5710] - X[1802] - 2*X[5994] - 2*X[6179] - 2*X[4645] + X[6004] <= -4
model += X[1404] - 4*X[7726] - X[5710] + 2*X[1802] - 4*X[5994] + 6*X[6179] - 3*X[4645] - 3*X[6004] <= 1
model += -6*X[4684] + X[4727] - 3*X[5281] - X[5827] - 2*X[1497] - 2*X[2880] - 2*X[1337] + X[7128] <= -4
model += X[4684] - 4*X[4727] - X[5281] + 2*X[5827] - 4*X[1497] + 6*X[2880] - 3*X[1337] - 3*X[7128] <= 1
model += -6*X[6607] + X[5610] - 3*X[3815] - X[1699] - 2*X[6206] - 2*X[6146] - 2*X[2626] + X[5153] <= -4
model += X[6607] - 4*X[5610] - X[3815] + 2*X[1699] - 4*X[6206] + 6*X[6146] - 3*X[2626] - 3*X[5153] <= 1
model += -6*X[5387] + X[5152] - 3*X[2371] - X[5996] - 2*X[1569] - 2*X[6627] - 2*X[4083] + X[2641] <= -4
model += X[5387] - 4*X[5152] - X[2371] + 2*X[5996] - 4*X[1569] + 6*X[6627] - 3*X[4083] - 3*X[2641] <= 1
model += -6*X[7309] + X[5199] - 3*X[6335] - X[5754] - 2*X[3105] - 2*X[3213] - 2*X[4301] + X[1878] <= -4
model += X[7309] - 4*X[5199] - X[6335] + 2*X[5754] - 4*X[3105] + 6*X[3213] - 3*X[4301] - 3*X[1878] <= 1
model += -6*X[6119] + X[4476] - 3*X[3714] - X[6784] - 2*X[5049] - 2*X[5225] - 2*X[7597] + X[6305] <= -4
model += X[6119] - 4*X[4476] - X[3714] + 2*X[6784] - 4*X[5049] + 6*X[5225] - 3*X[7597] - 3*X[6305] <= 1
model += -6*X[5232] + X[4919] - 3*X[7610] - X[5665] - 2*X[5317] - 2*X[6501] - 2*X[1442] + X[7593] <= -4
model += X[5232] - 4*X[4919] - X[7610] + 2*X[5665] - 4*X[5317] + 6*X[6501] - 3*X[1442] - 3*X[7593] <= 1
model += -6*X[1610] + X[6192] - 3*X[5022] - X[2716] - 2*X[4874] - 2*X[2515] - 2*X[2556] + X[5559] <= -4
model += X[1610] - 4*X[6192] - X[5022] + 2*X[2716] - 4*X[4874] + 6*X[2515] - 3*X[2556] - 3*X[5559] <= 1
model += -6*X[6637] + X[4299] - 3*X[4574] - X[3121] - 2*X[4985] - 2*X[2208] - 2*X[2430] + X[5133] <= -4
model += X[6637] - 4*X[4299] - X[4574] + 2*X[3121] - 4*X[4985] + 6*X[2208] - 3*X[2430] - 3*X[5133] <= 1
model += -6*X[1413] + X[3158] - 3*X[2694] - X[5356] - 2*X[2387] - 2*X[3321] - 2*X[3598] + X[1049] <= -4
model += X[1413] - 4*X[3158] - X[2694] + 2*X[5356] - 4*X[2387] + 6*X[3321] - 3*X[3598] - 3*X[1049] <= 1
model += -6*X[1550] + X[6082] - 3*X[4341] - X[5911] - 2*X[2335] - 2*X[1921] - 2*X[5867] + X[3973] <= -4
model += X[1550] - 4*X[6082] - X[4341] + 2*X[5911] - 4*X[2335] + 6*X[1921] - 3*X[5867] - 3*X[3973] <= 1
model += -6*X[3006] + X[1280] - 3*X[4483] - X[2809] - 2*X[2115] - 2*X[2871] - 2*X[7247] + X[7607] <= -4
model += X[3006] - 4*X[1280] - X[4483] + 2*X[2809] - 4*X[2115] + 6*X[2871] - 3*X[7247] - 3*X[7607] <= 1
model += -6*X[5816] + X[3819] - 3*X[5690] - X[6590] - 2*X[4531] - 2*X[3783] - 2*X[6370] + X[7745] <= -4
model += X[5816] - 4*X[3819] - X[5690] + 2*X[6590] - 4*X[4531] + 6*X[3783] - 3*X[6370] - 3*X[7745] <= 1
model += -6*X[1886] + X[1647] - 3*X[7594] - X[6734] - 2*X[1663] - 2*X[3013] - 2*X[4660] + X[3513] <= -4
model += X[1886] - 4*X[1647] - X[7594] + 2*X[6734] - 4*X[1663] + 6*X[3013] - 3*X[4660] - 3*X[3513] <= 1
model += -6*X[7315] + X[6254] - 3*X[4284] - X[2950] - 2*X[2827] - 2*X[6614] - 2*X[4891] + X[1734] <= -4
model += X[7315] - 4*X[6254] - X[4284] + 2*X[2950] - 4*X[2827] + 6*X[6614] - 3*X[4891] - 3*X[1734] <= 1
model += -6*X[5415] + X[6785] - 3*X[4321] - X[6686] - 2*X[5145] - 2*X[7141] - 2*X[3618] + X[2986] <= -4
model += X[5415] - 4*X[6785] - X[4321] + 2*X[6686] - 4*X[5145] + 6*X[7141] - 3*X[3618] - 3*X[2986] <= 1
model += -6*X[3823] + X[5132] - 3*X[4519] - X[5177] - 2*X[2413] - 2*X[1117] - 2*X[3879] + X[5569] <= -4
model += X[3823] - 4*X[5132] - X[4519] + 2*X[5177] - 4*X[2413] + 6*X[1117] - 3*X[3879] - 3*X[5569] <= 1
model += -6*X[5328] + X[1304] - 3*X[6367] - X[1565] - 2*X[1743] - 2*X[2003] - 2*X[1437] + X[3832] <= -4
model += X[5328] - 4*X[1304] - X[6367] + 2*X[1565] - 4*X[1743] + 6*X[2003] - 3*X[1437] - 3*X[3832] <= 1
model += -6*X[5621] + X[3890] - 3*X[3809] - X[1387] - 2*X[7233] - 2*X[5018] - 2*X[2649] + X[6458] <= -4
model += X[5621] - 4*X[3890] - X[3809] + 2*X[1387] - 4*X[7233] + 6*X[5018] - 3*X[2649] - 3*X[6458] <= 1
model += 3*X[706] + 9*X[279] + 7*X[7473] + 5*X[1918] - X[4991] - 4*X[3445] + 2*X[2560] - 8*X[469] <= 12
model += -6*X[5075] + X[5246] - 3*X[6293] - X[7766] - 2*X[7660] - 2*X[2939] - 2*X[6685] + X[4595] <= -4
model += X[5075] - 4*X[5246] - X[6293] + 2*X[7766] - 4*X[7660] + 6*X[2939] - 3*X[6685] - 3*X[4595] <= 1
model += -6*X[3947] + X[1854] - 3*X[6985] - X[7681] - 2*X[5142] - 2*X[7621] - 2*X[1730] + X[4169] <= -4
model += X[3947] - 4*X[1854] - X[6985] + 2*X[7681] - 4*X[5142] + 6*X[7621] - 3*X[1730] - 3*X[4169] <= 1
model += 3*X[6993] + 9*X[698] + 7*X[1865] + 5*X[1523] - X[7006] - 4*X[19] + 2*X[1860] - 8*X[7625] <= 12
model += -6*X[2053] + X[5050] - 3*X[6566] - X[1174] - 2*X[5851] - 2*X[3769] - 2*X[6732] + X[4461] <= -4
model += X[2053] - 4*X[5050] - X[6566] + 2*X[1174] - 4*X[5851] + 6*X[3769] - 3*X[6732] - 3*X[4461] <= 1
model += -6*X[1760] + X[6648] - 3*X[5020] - X[2932] - 2*X[5841] - 2*X[2790] - 2*X[6647] + X[7460] <= -4
model += X[1760] - 4*X[6648] - X[5020] + 2*X[2932] - 4*X[5841] + 6*X[2790] - 3*X[6647] - 3*X[7460] <= 1
model += -6*X[2654] + X[3130] - 3*X[5864] - X[7780] - 2*X[7406] - 2*X[1933] - 2*X[2722] + X[2719] <= -4
model += X[2654] - 4*X[3130] - X[5864] + 2*X[7780] - 4*X[7406] + 6*X[1933] - 3*X[2722] - 3*X[2719] <= 1
model += 10*X[4230] + 7*X[3688] - 4*X[451] - 12*X[2562] - 2*Y[144] + Y[159] + 6*Y[158] - 13*Y[157] <= 4
model += -X[4230] - 2*X[3688] + 6*X[451] - 10*X[2562] + 3*Y[144] + 4*Y[159] - 9*Y[158] + 11*Y[157] <= 8
model += -6*X[3364] + X[6923] - 3*X[2224] - X[4533] - 2*X[4088] - 2*X[1655] - 2*X[1457] + X[1582] <= -4
model += X[3364] - 4*X[6923] - X[2224] + 2*X[4533] - 4*X[4088] + 6*X[1655] - 3*X[1457] - 3*X[1582] <= 1
model += -6*X[7398] + X[6247] - 3*X[7728] - X[2610] - 2*X[2098] - 2*X[6596] - 2*X[1505] + X[1772] <= -4
model += X[7398] - 4*X[6247] - X[7728] + 2*X[2610] - 4*X[2098] + 6*X[6596] - 3*X[1505] - 3*X[1772] <= 1
model += -6*X[3157] + X[5436] - 3*X[3813] - X[2285] - 2*X[5454] - 2*X[4967] - 2*X[5130] + X[6808] <= -4
model += X[3157] - 4*X[5436] - X[3813] + 2*X[2285] - 4*X[5454] + 6*X[4967] - 3*X[5130] - 3*X[6808] <= 1
model += -6*X[1320] + X[7478] - 3*X[6735] - X[3266] - 2*X[6130] - 2*X[5385] - 2*X[1862] + X[4581] <= -4
model += X[1320] - 4*X[7478] - X[6735] + 2*X[3266] - 4*X[6130] + 6*X[5385] - 3*X[1862] - 3*X[4581] <= 1
model += -6*X[7347] + X[2047] - 3*X[2681] - X[5521] - 2*X[7276] - 2*X[3615] - 2*X[4255] + X[6689] <= -4
model += X[7347] - 4*X[2047] - X[2681] + 2*X[5521] - 4*X[7276] + 6*X[3615] - 3*X[4255] - 3*X[6689] <= 1
model += 3*X[688] + 9*X[2046] + 7*X[7278] + 5*X[5080] - X[3797] - 4*X[7564] + 2*X[80] - 8*X[5695] <= 12
model += -6*X[5136] + X[4030] - 3*X[1908] - X[6833] - 2*X[7175] - 2*X[3652] - 2*X[6511] + X[5417] <= -4
model += X[5136] - 4*X[4030] - X[1908] + 2*X[6833] - 4*X[7175] + 6*X[3652] - 3*X[6511] - 3*X[5417] <= 1
model += 10*X[2165] + 7*X[4167] - 4*X[873] - 12*X[2669] - 2*Y[154] + Y[153] + 6*Y[152] - 13*Y[151] <= 4
model += -X[2165] - 2*X[4167] + 6*X[873] - 10*X[2669] + 3*Y[154] + 4*Y[153] - 9*Y[152] + 11*Y[151] <= 8
model += -6*X[3517] + X[3395] - 3*X[2906] - X[4835] - 2*X[5574] - 2*X[2223] - 2*X[7074] + X[5891] <= -4
model += X[3517] - 4*X[3395] - X[2906] + 2*X[4835] - 4*X[5574] + 6*X[2223] - 3*X[7074] - 3*X[5891] <= 1
model += -6*X[2312] + X[3888] - 3*X[6195] - X[3575] - 2*X[7173] - 2*X[3487] - 2*X[1042] + X[6205] <= -4
model += X[2312] - 4*X[3888] - X[6195] + 2*X[3575] - 4*X[7173] + 6*X[3487] - 3*X[1042] - 3*X[6205] <= 1
model += -6*X[4828] + X[2342] - 3*X[2032] - X[7546] - 2*X[1456] - 2*X[7532] - 2*X[2936] + X[3548] <= -4
model += X[4828] - 4*X[2342] - X[2032] + 2*X[7546] - 4*X[1456] + 6*X[7532] - 3*X[2936] - 3*X[3548] <= 1
model += -6*X[4126] + X[2890] - 3*X[3566] - X[7333] - 2*X[2038] - 2*X[1986] - 2*X[4027] + X[5212] <= -4
model += X[4126] - 4*X[2890] - X[3566] + 2*X[7333] - 4*X[2038] + 6*X[1986] - 3*X[4027] - 3*X[5212] <= 1
model += -6*X[2499] + X[6946] - 3*X[1326] - X[6352] - 2*X[7190] - 2*X[7437] - 2*X[5392] + X[3572] <= -4
model += X[2499] - 4*X[6946] - X[1326] + 2*X[6352] - 4*X[7190] + 6*X[7437] - 3*X[5392] - 3*X[3572] <= 1
model += -6*X[4469] + X[4082] - 3*X[4339] - X[5072] - 2*X[2557] - 2*X[6395] - 2*X[7368] + X[5300] <= -4
model += X[4469] - 4*X[4082] - X[4339] + 2*X[5072] - 4*X[2557] + 6*X[6395] - 3*X[7368] - 3*X[5300] <= 1
model += -6*X[2178] + X[7724] - 3*X[5817] - X[3288] - 2*X[2111] - 2*X[1269] - 2*X[7662] + X[3124] <= -4
model += X[2178] - 4*X[7724] - X[5817] + 2*X[3288] - 4*X[2111] + 6*X[1269] - 3*X[7662] - 3*X[3124] <= 1
model += -6*X[7316] + X[7652] - 3*X[1650] - X[4456] - 2*X[1879] - 2*X[4815] - 2*X[2994] + X[6786] <= -4
model += X[7316] - 4*X[7652] - X[1650] + 2*X[4456] - 4*X[1879] + 6*X[4815] - 3*X[2994] - 3*X[6786] <= 1
model += -6*X[3847] + X[5083] - 3*X[3041] - X[5787] - 2*X[7055] - 2*X[5439] - 2*X[4777] + X[1851] <= -4
model += X[3847] - 4*X[5083] - X[3041] + 2*X[5787] - 4*X[7055] + 6*X[5439] - 3*X[4777] - 3*X[1851] <= 1
model += 10*X[1130] + 7*X[3728] - 4*X[311] - 12*X[4687] - 2*Y[151] + Y[150] + 6*Y[149] - 13*Y[148] <= 4
model += -X[1130] - 2*X[3728] + 6*X[311] - 10*X[4687] + 3*Y[151] + 4*Y[150] - 9*Y[149] + 11*Y[148] <= 8
model += -6*X[3359] + X[1980] - 3*X[4287] - X[3111] - 2*X[4695] - 2*X[7101] - 2*X[7168] + X[4111] <= -4
model += X[3359] - 4*X[1980] - X[4287] + 2*X[3111] - 4*X[4695] + 6*X[7101] - 3*X[7168] - 3*X[4111] <= 1
model += -6*X[1054] + X[5539] - 3*X[4797] - X[4463] - 2*X[4890] - 2*X[4655] - 2*X[2123] + X[2533] <= -4
model += X[1054] - 4*X[5539] - X[4797] + 2*X[4463] - 4*X[4890] + 6*X[4655] - 3*X[2123] - 3*X[2533] <= 1
model += -6*X[4905] + X[2993] - 3*X[4607] - X[1232] - 2*X[7010] - 2*X[3731] - 2*X[7320] + X[1495] <= -4
model += X[4905] - 4*X[2993] - X[4607] + 2*X[1232] - 4*X[7010] + 6*X[3731] - 3*X[7320] - 3*X[1495] <= 1
model += -6*X[5368] + X[3723] - 3*X[5636] - X[4285] - 2*X[7540] - 2*X[7736] - 2*X[1793] + X[7553] <= -4
model += X[5368] - 4*X[3723] - X[5636] + 2*X[4285] - 4*X[7540] + 6*X[7736] - 3*X[1793] - 3*X[7553] <= 1
model += -6*X[2281] + X[3403] - 3*X[1087] - X[5738] - 2*X[4897] - 2*X[5162] - 2*X[3514] + X[6441] <= -4
model += X[2281] - 4*X[3403] - X[1087] + 2*X[5738] - 4*X[4897] + 6*X[5162] - 3*X[3514] - 3*X[6441] <= 1
model += -6*X[3076] + X[5200] - 3*X[6982] - X[4441] - 2*X[2298] - 2*X[4704] - 2*X[6975] + X[3043] <= -4
model += X[3076] - 4*X[5200] - X[6982] + 2*X[4441] - 4*X[2298] + 6*X[4704] - 3*X[6975] - 3*X[3043] <= 1
model += -6*X[6444] + X[1469] - 3*X[6394] - X[1181] - 2*X[7084] - 2*X[5477] - 2*X[4282] + X[3955] <= -4
model += X[6444] - 4*X[1469] - X[6394] + 2*X[1181] - 4*X[7084] + 6*X[5477] - 3*X[4282] - 3*X[3955] <= 1
model += 3*X[763] + 9*X[3341] + 7*X[1255] + 5*X[7261] - X[867] - 4*X[902] + 2*X[4810] - 8*X[2718] <= 12
model += -6*X[7374] + X[1820] - 3*X[6565] - X[7237] - 2*X[4333] - 2*X[3782] - 2*X[1613] + X[1973] <= -4
model += X[7374] - 4*X[1820] - X[6565] + 2*X[7237] - 4*X[4333] + 6*X[3782] - 3*X[1613] - 3*X[1973] <= 1
model += -6*X[6148] + X[5217] - 3*X[2568] - X[3255] - 2*X[5523] - 2*X[1129] - 2*X[5234] + X[2855] <= -4
model += X[6148] - 4*X[5217] - X[2568] + 2*X[3255] - 4*X[5523] + 6*X[1129] - 3*X[5234] - 3*X[2855] <= 1
model += -6*X[2945] + X[2961] - 3*X[3349] - X[6400] - 2*X[4365] - 2*X[5147] - 2*X[4877] + X[7516] <= -4
model += X[2945] - 4*X[2961] - X[3349] + 2*X[6400] - 4*X[4365] + 6*X[5147] - 3*X[4877] - 3*X[7516] <= 1
model += -6*X[1360] + X[6989] - 3*X[4395] - X[5146] - 2*X[5484] - 2*X[1123] - 2*X[5316] + X[2937] <= -4
model += X[1360] - 4*X[6989] - X[4395] + 2*X[5146] - 4*X[5484] + 6*X[1123] - 3*X[5316] - 3*X[2937] <= 1
model += -6*X[3968] + X[3228] - 3*X[5748] - X[1786] - 2*X[6603] - 2*X[3533] - 2*X[1096] + X[2734] <= -4
model += X[3968] - 4*X[3228] - X[5748] + 2*X[1786] - 4*X[6603] + 6*X[3533] - 3*X[1096] - 3*X[2734] <= 1
model += -6*X[2591] + X[5302] - 3*X[5149] - X[5516] - 2*X[1297] - 2*X[6983] - 2*X[7714] + X[1314] <= -4
model += X[2591] - 4*X[5302] - X[5149] + 2*X[5516] - 4*X[1297] + 6*X[6983] - 3*X[7714] - 3*X[1314] <= 1
model += -6*X[6550] + X[4808] - 3*X[4392] - X[2609] - 2*X[4283] - 2*X[5403] - 2*X[5248] + X[4756] <= -4
model += X[6550] - 4*X[4808] - X[4392] + 2*X[2609] - 4*X[4283] + 6*X[5403] - 3*X[5248] - 3*X[4756] <= 1
model += -6*X[3632] + X[5625] - 3*X[1490] - X[4963] - 2*X[5143] - 2*X[6327] - 2*X[7763] + X[2471] <= -4
model += X[3632] - 4*X[5625] - X[1490] + 2*X[4963] - 4*X[5143] + 6*X[6327] - 3*X[7763] - 3*X[2471] <= 1
model += 3*X[6854] + 9*X[4368] + 7*X[6663] + 5*X[2979] - X[847] - 4*X[843] + 2*X[3483] - 8*X[430] <= 12
model += -6*X[3113] + X[4200] - 3*X[1465] - X[3600] - 2*X[5119] - 2*X[1770] - 2*X[3719] + X[6210] <= -4
model += X[3113] - 4*X[4200] - X[1465] + 2*X[3600] - 4*X[5119] + 6*X[1770] - 3*X[3719] - 3*X[6210] <= 1
model += -6*X[6316] + X[2789] - 3*X[5725] - X[6345] - 2*X[1195] - 2*X[5082] - 2*X[4764] + X[1585] <= -4
model += X[6316] - 4*X[2789] - X[5725] + 2*X[6345] - 4*X[1195] + 6*X[5082] - 3*X[4764] - 3*X[1585] <= 1
model += -6*X[5408] + X[7161] - 3*X[6299] - X[1266] - 2*X[3913] - 2*X[7147] - 2*X[5669] + X[6936] <= -4
model += X[5408] - 4*X[7161] - X[6299] + 2*X[1266] - 4*X[3913] + 6*X[7147] - 3*X[5669] - 3*X[6936] <= 1
model += -6*X[6944] + X[7383] - 3*X[4259] - X[4155] - 2*X[1345] - 2*X[3287] - 2*X[5263] + X[3499] <= -4
model += X[6944] - 4*X[7383] - X[4259] + 2*X[4155] - 4*X[1345] + 6*X[3287] - 3*X[5263] - 3*X[3499] <= 1
model += -6*X[2578] + X[4908] - 3*X[1133] - X[1386] - 2*X[4506] - 2*X[1882] - 2*X[7504] + X[2613] <= -4
model += X[2578] - 4*X[4908] - X[1133] + 2*X[1386] - 4*X[4506] + 6*X[1882] - 3*X[7504] - 3*X[2613] <= 1
model += 10*X[3918] - 12*X[68] + 4*X[7212] + 7*X[1916] + 2*Y[158] - 6*Y[157] - Y[156] + 13*Y[155] <= 16
model += -6*X[6361] + X[2279] - 3*X[2920] - X[5503] - 2*X[2762] - 2*X[6359] - 2*X[4659] + X[4017] <= -4
model += X[6361] - 4*X[2279] - X[2920] + 2*X[5503] - 4*X[2762] + 6*X[6359] - 3*X[4659] - 3*X[4017] <= 1
model += -6*X[2682] + X[7079] - 3*X[2564] - X[2150] - 2*X[5461] - 2*X[2891] - 2*X[3586] + X[1945] <= -4
model += X[2682] - 4*X[7079] - X[2564] + 2*X[2150] - 4*X[5461] + 6*X[2891] - 3*X[3586] - 3*X[1945] <= 1
model += -6*X[4187] + X[6440] - 3*X[4646] - X[2552] - 2*X[3967] - 2*X[7226] - 2*X[4263] + X[1396] <= -4
model += X[4187] - 4*X[6440] - X[4646] + 2*X[2552] - 4*X[3967] + 6*X[7226] - 3*X[4263] - 3*X[1396] <= 1
model += -6*X[2863] + X[1110] - 3*X[6728] - X[5165] - 2*X[4254] - 2*X[7321] - 2*X[3863] + X[7601] <= -4
model += X[2863] - 4*X[1110] - X[6728] + 2*X[5165] - 4*X[4254] + 6*X[7321] - 3*X[3863] - 3*X[7601] <= 1
model += 3*X[429] + 9*X[3004] + 7*X[4095] + 5*X[4580] - X[6832] - 4*X[647] + 2*X[5664] - 8*X[315] <= 12
model += -6*X[3614] + X[6222] - 3*X[4928] - X[5752] - 2*X[6558] - 2*X[5422] - 2*X[6994] + X[4278] <= -4
model += X[3614] - 4*X[6222] - X[4928] + 2*X[5752] - 4*X[6558] + 6*X[5422] - 3*X[6994] - 3*X[4278] <= 1
model += 10*X[1705] + 7*X[173] - 4*X[1340] - 12*X[3978] - 2*Y[155] + Y[154] + 6*Y[153] - 13*Y[152] <= 4
model += -X[1705] - 2*X[173] + 6*X[1340] - 10*X[3978] + 3*Y[155] + 4*Y[154] - 9*Y[153] + 11*Y[152] <= 8
model += -6*X[5648] + X[3509] - 3*X[1261] - X[6282] - 2*X[3891] - 2*X[5778] - 2*X[4197] + X[2913] <= -4
model += X[5648] - 4*X[3509] - X[1261] + 2*X[6282] - 4*X[3891] + 6*X[5778] - 3*X[4197] - 3*X[2913] <= 1
model += -6*X[7117] + X[2271] - 3*X[3875] - X[6695] - 2*X[6813] - 2*X[7125] - 2*X[5935] + X[5499] <= -4
model += X[7117] - 4*X[2271] - X[3875] + 2*X[6695] - 4*X[6813] + 6*X[7125] - 3*X[5935] - 3*X[5499] <= 1
model += -6*X[2079] + X[1928] - 3*X[6745] - X[2582] - 2*X[7179] - 2*X[4419] - 2*X[4917] + X[4439] <= -4
model += X[2079] - 4*X[1928] - X[6745] + 2*X[2582] - 4*X[7179] + 6*X[4419] - 3*X[4917] - 3*X[4439] <= 1
model += -6*X[6084] + X[1367] - 3*X[3749] - X[6921] - 2*X[5366] - 2*X[1153] - 2*X[1330] + X[1868] <= -4
model += X[6084] - 4*X[1367] - X[3749] + 2*X[6921] - 4*X[5366] + 6*X[1153] - 3*X[1330] - 3*X[1868] <= 1
model += -6*X[2475] + X[7709] - 3*X[1038] - X[4493] - 2*X[1109] - 2*X[1824] - 2*X[3021] + X[4146] <= -4
model += X[2475] - 4*X[7709] - X[1038] + 2*X[4493] - 4*X[1109] + 6*X[1824] - 3*X[3021] - 3*X[4146] <= 1
model += 3*X[6457] + 9*X[1043] + 7*X[2477] + 5*X[6935] - X[4656] - 4*X[55] + 2*X[1600] - 8*X[795] <= 12
model += -6*X[3738] + X[2984] - 3*X[6318] - X[2587] - 2*X[2679] - 2*X[6054] - 2*X[3301] + X[2001] <= -4
model += X[3738] - 4*X[2984] - X[6318] + 2*X[2587] - 4*X[2679] + 6*X[6054] - 3*X[3301] - 3*X[2001] <= 1
model += -6*X[7606] + X[2002] - 3*X[4008] - X[2815] - 2*X[2916] - 2*X[2998] - 2*X[6167] + X[2910] <= -4
model += X[7606] - 4*X[2002] - X[4008] + 2*X[2815] - 4*X[2916] + 6*X[2998] - 3*X[6167] - 3*X[2910] <= 1
model += -6*X[4406] + X[2778] - 3*X[7708] - X[5853] - 2*X[2343] - 2*X[2065] - 2*X[4318] + X[3463] <= -4
model += X[4406] - 4*X[2778] - X[7708] + 2*X[5853] - 4*X[2343] + 6*X[2065] - 3*X[4318] - 3*X[3463] <= 1
model += 10*X[5244] - 12*X[450] + 4*X[73] + 7*X[285] + 2*X[5257] - 6*X[949] - X[716] + 13*X[5357] <= 16
model += -6*X[5303] + X[4188] - 3*X[6281] - X[6472] - 2*X[2344] - 2*X[2820] - 2*X[5600] + X[5438] <= -4
model += X[5303] - 4*X[4188] - X[6281] + 2*X[6472] - 4*X[2344] + 6*X[2820] - 3*X[5600] - 3*X[5438] <= 1
model += 3*X[92] + 9*X[2545] + 7*X[7669] + 5*X[4029] - X[4141] - 4*X[767] + 2*X[1514] - 8*X[6197] <= 12
model += -6*X[7508] + X[6007] - 3*X[3037] - X[3579] - 2*X[1912] - 2*X[1496] - 2*X[1726] + X[3206] <= -4
model += X[7508] - 4*X[6007] - X[3037] + 2*X[3579] - 4*X[1912] + 6*X[1496] - 3*X[1726] - 3*X[3206] <= 1
model += -6*X[7245] + X[3639] - 3*X[4078] - X[1399] - 2*X[7137] - 2*X[5519] - 2*X[4272] + X[2059] <= -4
model += X[7245] - 4*X[3639] - X[4078] + 2*X[1399] - 4*X[7137] + 6*X[5519] - 3*X[4272] - 3*X[2059] <= 1
model += -6*X[1354] + X[2197] - 3*X[6506] - X[2470] - 2*X[3780] - 2*X[7427] - 2*X[1630] + X[3339] <= -4
model += X[1354] - 4*X[2197] - X[6506] + 2*X[2470] - 4*X[3780] + 6*X[7427] - 3*X[1630] - 3*X[3339] <= 1
model += -6*X[4716] + X[3687] - 3*X[5905] - X[5801] - 2*X[2406] - 2*X[5572] - 2*X[3444] + X[6365] <= -4
model += X[4716] - 4*X[3687] - X[5905] + 2*X[5801] - 4*X[2406] + 6*X[5572] - 3*X[3444] - 3*X[6365] <= 1
model += -6*X[6579] + X[5505] - 3*X[3912] - X[7583] - 2*X[7132] - 2*X[6750] - 2*X[2996] + X[2478] <= -4
model += X[6579] - 4*X[5505] - X[3912] + 2*X[7583] - 4*X[7132] + 6*X[6750] - 3*X[2996] - 3*X[2478] <= 1
model += -6*X[4018] + X[7375] - 3*X[3042] - X[2661] - 2*X[5815] - 2*X[3899] - 2*X[5947] + X[5847] <= -4
model += X[4018] - 4*X[7375] - X[3042] + 2*X[2661] - 4*X[5815] + 6*X[3899] - 3*X[5947] - 3*X[5847] <= 1
model += -6*X[1715] + X[3628] - 3*X[2365] - X[1990] - 2*X[2912] - 2*X[6742] - 2*X[6126] + X[6285] <= -4
model += X[1715] - 4*X[3628] - X[2365] + 2*X[1990] - 4*X[2912] + 6*X[6742] - 3*X[6126] - 3*X[6285] <= 1
model += 10*X[5467] + 7*X[5067] - 4*X[683] - 12*X[6763] - 2*X[76] + X[114] + 6*X[4003] - 13*X[264] <= 4
model += -X[5467] - 2*X[5067] + 6*X[683] - 10*X[6763] + 3*X[76] + 4*X[114] - 9*X[4003] + 11*X[264] <= 8
model += -6*X[2175] + X[6682] - 3*X[4508] - X[2325] - 2*X[5033] - 2*X[2905] - 2*X[1800] + X[7196] <= -4
model += X[2175] - 4*X[6682] - X[4508] + 2*X[2325] - 4*X[5033] + 6*X[2905] - 3*X[1800] - 3*X[7196] <= 1
model += -6*X[2796] + X[6571] - 3*X[4987] - X[3018] - 2*X[1003] - 2*X[7403] - 2*X[3754] + X[1608] <= -4
model += X[2796] - 4*X[6571] - X[4987] + 2*X[3018] - 4*X[1003] + 6*X[7403] - 3*X[3754] - 3*X[1608] <= 1
model += -6*X[7086] + X[4166] - 3*X[6271] - X[5689] - 2*X[7342] - 2*X[6492] - 2*X[4806] + X[6286] <= -4
model += X[7086] - 4*X[4166] - X[6271] + 2*X[5689] - 4*X[7342] + 6*X[6492] - 3*X[4806] - 3*X[6286] <= 1
model += -6*X[2956] + X[1752] - 3*X[1197] - X[6622] - 2*X[4819] - 2*X[5156] - 2*X[4307] + X[3478] <= -4
model += X[2956] - 4*X[1752] - X[1197] + 2*X[6622] - 4*X[4819] + 6*X[5156] - 3*X[4307] - 3*X[3478] <= 1
model += -6*X[7686] + X[6583] - 3*X[5889] - X[4773] - 2*X[7577] - 2*X[2584] - 2*X[2782] + X[7425] <= -4
model += X[7686] - 4*X[6583] - X[5889] + 2*X[4773] - 4*X[7577] + 6*X[2584] - 3*X[2782] - 3*X[7425] <= 1
model += -6*X[2720] + X[2758] - 3*X[6272] - X[4512] - 2*X[5496] - 2*X[6876] - 2*X[4453] + X[6908] <= -4
model += X[2720] - 4*X[2758] - X[6272] + 2*X[4512] - 4*X[5496] + 6*X[6876] - 3*X[4453] - 3*X[6908] <= 1
model += -6*X[3400] + X[6476] - 3*X[4258] - X[7529] - 2*X[6980] - 2*X[2313] - 2*X[5460] + X[6364] <= -4
model += X[3400] - 4*X[6476] - X[4258] + 2*X[7529] - 4*X[6980] + 6*X[2313] - 3*X[5460] - 3*X[6364] <= 1
model += 10*X[2275] + 7*X[539] - 4*X[4973] - 12*X[2957] - 2*Y[159] + Y[158] + 6*Y[157] - 13*Y[156] <= 4
model += -X[2275] - 2*X[539] + 6*X[4973] - 10*X[2957] + 3*Y[159] + 4*Y[158] - 9*Y[157] + 11*Y[156] <= 8
model += -6*X[4119] + X[7732] - 3*X[3362] - X[2242] - 2*X[3230] - 2*X[2194] - 2*X[2885] + X[3855] <= -4
model += X[4119] - 4*X[7732] - X[3362] + 2*X[2242] - 4*X[3230] + 6*X[2194] - 3*X[2885] - 3*X[3855] <= 1
model += -6*X[6391] + X[5501] - 3*X[5493] - X[7600] - 2*X[4192] - 2*X[4689] - 2*X[5880] + X[2468] <= -4
model += X[6391] - 4*X[5501] - X[5493] + 2*X[7600] - 4*X[4192] + 6*X[4689] - 3*X[5880] - 3*X[2468] <= 1
model += -6*X[7710] + X[1651] - 3*X[4609] - X[7340] - 2*X[1448] - 2*X[1209] - 2*X[2339] + X[6524] <= -4
model += X[7710] - 4*X[1651] - X[4609] + 2*X[7340] - 4*X[1448] + 6*X[1209] - 3*X[2339] - 3*X[6524] <= 1
model += -6*X[4130] + X[7701] - 3*X[3250] - X[5820] - 2*X[5681] - 2*X[1614] - 2*X[1906] + X[2946] <= -4
model += X[4130] - 4*X[7701] - X[3250] + 2*X[5820] - 4*X[5681] + 6*X[1614] - 3*X[1906] - 3*X[2946] <= 1
model += -6*X[5189] + X[4804] - 3*X[2014] - X[7246] - 2*X[1556] - 2*X[4175] - 2*X[3152] + X[4274] <= -4
model += X[5189] - 4*X[4804] - X[2014] + 2*X[7246] - 4*X[1556] + 6*X[4175] - 3*X[3152] - 3*X[4274] <= 1
model += 10*X[3796] + 7*X[179] - 4*X[7547] - 12*X[5096] - 2*Y[156] + Y[155] + 6*Y[154] - 13*Y[153] <= 4
model += -X[3796] - 2*X[179] + 6*X[7547] - 10*X[5096] + 3*Y[156] + 4*Y[155] - 9*Y[154] + 11*Y[153] <= 8
model += -6*X[5095] + X[7000] - 3*X[2953] - X[2753] - 2*X[2848] - 2*X[6409] - 2*X[4385] + X[2390] <= -4
model += X[5095] - 4*X[7000] - X[2953] + 2*X[2753] - 4*X[2848] + 6*X[6409] - 3*X[4385] - 3*X[2390] <= 1
model += -6*X[2125] + X[4643] - 3*X[2289] - X[5962] - 2*X[1460] - 2*X[1844] - 2*X[2439] + X[1178] <= -4
model += X[2125] - 4*X[4643] - X[2289] + 2*X[5962] - 4*X[1460] + 6*X[1844] - 3*X[2439] - 3*X[1178] <= 1
model += -6*X[7783] + X[2280] - 3*X[2949] - X[1240] - 2*X[1658] - 2*X[7251] - 2*X[3253] + X[6899] <= -4
model += X[7783] - 4*X[2280] - X[2949] + 2*X[1240] - 4*X[1658] + 6*X[7251] - 3*X[3253] - 3*X[6899] <= 1
model += -6*X[1373] + X[3239] - 3*X[3187] - X[1644] - 2*X[1976] - 2*X[3126] - 2*X[6026] + X[2340] <= -4
model += X[1373] - 4*X[3239] - X[3187] + 2*X[1644] - 4*X[1976] + 6*X[3126] - 3*X[6026] - 3*X[2340] <= 1
model += -6*X[4601] + X[2607] - 3*X[6085] - X[5214] - 2*X[1126] - 2*X[4841] - 2*X[4889] + X[7611] <= -4
model += X[4601] - 4*X[2607] - X[6085] + 2*X[5214] - 4*X[1126] + 6*X[4841] - 3*X[4889] - 3*X[7611] <= 1
model += -6*X[3404] + X[1365] - 3*X[4873] - X[1091] - 2*X[3320] - 2*X[3134] - 2*X[3418] + X[6665] <= -4
model += X[3404] - 4*X[1365] - X[4873] + 2*X[1091] - 4*X[3320] + 6*X[3134] - 3*X[3418] - 3*X[6665] <= 1
model += 3*X[6677] + 9*X[4247] + 7*X[5750] + 5*X[99] - X[6620] - 4*X[676] + 2*X[6435] - 8*X[5729] <= 12
model += -6*X[4202] + X[7094] - 3*X[6303] - X[5265] - 2*X[1870] - 2*X[4405] - 2*X[5697] + X[3201] <= -4
model += X[4202] - 4*X[7094] - X[6303] + 2*X[5265] - 4*X[1870] + 6*X[4405] - 3*X[5697] - 3*X[3201] <= 1
model += -6*X[5201] + X[6744] - 3*X[4251] - X[1182] - 2*X[7186] - 2*X[4297] - 2*X[6160] + X[2085] <= -4
model += X[5201] - 4*X[6744] - X[4251] + 2*X[1182] - 4*X[7186] + 6*X[4297] - 3*X[6160] - 3*X[2085] <= 1
model += -6*X[2795] + X[3612] - 3*X[5728] - X[1950] - 2*X[5465] - 2*X[4112] - 2*X[2363] + X[1273] <= -4
model += X[2795] - 4*X[3612] - X[5728] + 2*X[1950] - 4*X[5465] + 6*X[4112] - 3*X[2363] - 3*X[1273] <= 1
model += 3*X[953] + 9*X[332] + 7*X[7444] + 5*X[6443] - X[986] - 4*X[6882] + 2*X[3999] - 8*X[2182] <= 12
model += -6*X[5713] + X[2008] - 3*X[5093] - X[1964] - 2*X[4035] - 2*X[5336] - 2*X[5432] + X[1587] <= -4
model += X[5713] - 4*X[2008] - X[5093] + 2*X[1964] - 4*X[4035] + 6*X[5336] - 3*X[5432] - 3*X[1587] <= 1
model += -6*X[4654] + X[5364] - 3*X[2919] - X[3882] - 2*X[6175] - 2*X[3779] - 2*X[3859] + X[3027] <= -4
model += X[4654] - 4*X[5364] - X[2919] + 2*X[3882] - 4*X[6175] + 6*X[3779] - 3*X[3859] - 3*X[3027] <= 1
model += -6*X[4162] + X[2918] - 3*X[7571] - X[6427] - 2*X[2749] - 2*X[2695] - 2*X[5378] + X[5862] <= -4
model += X[4162] - 4*X[2918] - X[7571] + 2*X[6427] - 4*X[2749] + 6*X[2695] - 3*X[5378] - 3*X[5862] <= 1
model += 10*X[910] + 7*X[4811] - 4*X[1143] - 12*X[4345] - 2*Y[150] + Y[149] + 6*Y[148] - 13*Y[147] <= 4
model += -X[910] - 2*X[4811] + 6*X[1143] - 10*X[4345] + 3*Y[150] + 4*Y[149] - 9*Y[148] + 11*Y[147] <= 8
model += -6*X[2051] + X[6062] - 3*X[2219] - X[4342] - 2*X[6048] - 2*X[2261] - 2*X[6399] + X[3345] <= -4
model += X[2051] - 4*X[6062] - X[2219] + 2*X[4342] - 4*X[6048] + 6*X[2261] - 3*X[6399] - 3*X[3345] <= 1
model += 3*X[1090] + 9*X[441] + 7*X[4915] + 5*X[7666] - X[4401] - 4*X[79] + 2*X[5266] - 8*X[1086] <= 12
model += -6*X[7063] + X[5183] - 3*X[6307] - X[4498] - 2*X[7075] - 2*X[5233] - 2*X[4945] + X[6333] <= -4
model += X[7063] - 4*X[5183] - X[6307] + 2*X[4498] - 4*X[7075] + 6*X[5233] - 3*X[4945] - 3*X[6333] <= 1
model += -6*X[3430] + X[4388] - 3*X[3225] - X[2466] - 2*X[6610] - 2*X[6746] - 2*X[2419] + X[5463] <= -4
model += X[3430] - 4*X[4388] - X[3225] + 2*X[2466] - 4*X[6610] + 6*X[6746] - 3*X[2419] - 3*X[5463] <= 1
model += -6*X[5942] + X[4323] - 3*X[3895] - X[7329] - 2*X[3602] - 2*X[3323] - 2*X[7784] + X[4923] <= -4
model += X[5942] - 4*X[4323] - X[3895] + 2*X[7329] - 4*X[3602] + 6*X[3323] - 3*X[7784] - 3*X[4923] <= 1
model += -6*X[1031] + X[6538] - 3*X[2220] - X[6842] - 2*X[1771] - 2*X[3965] - 2*X[2748] + X[2990] <= -4
model += X[1031] - 4*X[6538] - X[2220] + 2*X[6842] - 4*X[1771] + 6*X[3965] - 3*X[2748] - 3*X[2990] <= 1
model += -6*X[1982] + X[7775] - 3*X[5567] - X[2693] - 2*X[4758] - 2*X[6613] - 2*X[5071] + X[2524] <= -4
model += X[1982] - 4*X[7775] - X[5567] + 2*X[2693] - 4*X[4758] + 6*X[6613] - 3*X[5071] - 3*X[2524] <= 1
model += -6*X[3047] + X[5898] - 3*X[6556] - X[6231] - 2*X[4550] - 2*X[5924] - 2*X[4156] + X[5608] <= -4
model += X[3047] - 4*X[5898] - X[6556] + 2*X[6231] - 4*X[4550] + 6*X[5924] - 3*X[4156] - 3*X[5608] <= 1
model += 10*X[255] - 12*X[641] + 4*X[1138] + 7*X[7149] + 2*Y[147] - 6*Y[146] - Y[145] + 13*Y[144] <= 16
model += -6*X[2583] + X[6724] - 3*X[4044] - X[6625] - 2*X[2206] - 2*X[4338] - 2*X[6754] + X[2963] <= -4
model += X[2583] - 4*X[6724] - X[4044] + 2*X[6625] - 4*X[2206] + 6*X[4338] - 3*X[6754] - 3*X[2963] <= 1
model += -6*X[5653] + X[1106] - 3*X[6302] - X[1746] - 2*X[6191] - 2*X[2457] - 2*X[6428] + X[2039] <= -4
model += X[5653] - 4*X[1106] - X[6302] + 2*X[1746] - 4*X[6191] + 6*X[2457] - 3*X[6428] - 3*X[2039] <= 1
model += -6*X[5686] + X[3695] - 3*X[4380] - X[1224] - 2*X[1173] - 2*X[5580] - 2*X[4702] + X[7227] <= -4
model += X[5686] - 4*X[3695] - X[4380] + 2*X[1224] - 4*X[1173] + 6*X[5580] - 3*X[4702] - 3*X[7227] <= 1
model += -6*X[1756] + X[4085] - 3*X[6241] - X[4907] - 2*X[7240] - 2*X[4924] - 2*X[7720] + X[4246] <= -4
model += X[1756] - 4*X[4085] - X[6241] + 2*X[4907] - 4*X[7240] + 6*X[4924] - 3*X[7720] - 3*X[4246] <= 1
model += -6*X[5696] + X[2505] - 3*X[2187] - X[4024] - 2*X[2295] - 2*X[5576] - 2*X[5125] + X[2794] <= -4
model += X[5696] - 4*X[2505] - X[2187] + 2*X[4024] - 4*X[2295] + 6*X[5576] - 3*X[5125] - 3*X[2794] <= 1
model += 3*X[4364] + 9*X[7622] + 7*X[6478] + 5*X[1219] - X[7411] - 4*X[34] + 2*X[164] - 8*X[6857] <= 12
model += -6*X[1066] + X[2099] - 3*X[1599] - X[3340] - 2*X[1853] - 2*X[7409] - 2*X[6549] + X[6901] <= -4
model += X[1066] - 4*X[2099] - X[1599] + 2*X[3340] - 4*X[1853] + 6*X[7409] - 3*X[6549] - 3*X[6901] <= 1
model += -6*X[5785] + X[7243] - 3*X[3372] - X[7445] - 2*X[4612] - 2*X[6243] - 2*X[5609] + X[6672] <= -4
model += X[5785] - 4*X[7243] - X[3372] + 2*X[7445] - 4*X[4612] + 6*X[6243] - 3*X[5609] - 3*X[6672] <= 1
model += -6*X[3269] + X[5322] - 3*X[5926] - X[1535] - 2*X[5108] - 2*X[2761] - 2*X[7171] + X[7294] <= -4
model += X[3269] - 4*X[5322] - X[5926] + 2*X[1535] - 4*X[5108] + 6*X[2761] - 3*X[7171] - 3*X[7294] <= 1
model += -6*X[7133] + X[1060] - 3*X[1688] - X[7174] - 2*X[1648] - 2*X[1369] - 2*X[4265] + X[2110] <= -4
model += X[7133] - 4*X[1060] - X[1688] + 2*X[7174] - 4*X[1648] + 6*X[1369] - 3*X[4265] - 3*X[2110] <= 1
model += -6*X[7640] + X[7581] - 3*X[3551] - X[2751] - 2*X[5586] - 2*X[4160] - 2*X[4079] + X[3220] <= -4
model += X[7640] - 4*X[7581] - X[3551] + 2*X[2751] - 4*X[5586] + 6*X[4160] - 3*X[4079] - 3*X[3220] <= 1
model += -6*X[7632] + X[2353] - 3*X[6058] - X[3446] - 2*X[6894] - 2*X[5478] - 2*X[3664] + X[2410] <= -4
model += X[7632] - 4*X[2353] - X[6058] + 2*X[3446] - 4*X[6894] + 6*X[5478] - 3*X[3664] - 3*X[2410] <= 1
model += -6*X[1185] + X[3401] - 3*X[1214] - X[7415] - 2*X[2173] - 2*X[5607] - 2*X[2283] + X[1466] <= -4
model += X[1185] - 4*X[3401] - X[1214] + 2*X[7415] - 4*X[2173] + 6*X[5607] - 3*X[2283] - 3*X[1466] <= 1
model += -6*X[6138] + X[3943] - 3*X[2756] - X[3182] - 2*X[6212] - 2*X[6017] - 2*X[4528] + X[5562] <= -4
model += X[6138] - 4*X[3943] - X[2756] + 2*X[3182] - 4*X[6212] + 6*X[6017] - 3*X[4528] - 3*X[5562] <= 1
model += 3*X[3447] + 9*X[3294] + 7*X[2306] + 5*X[5398] - X[2562] - 4*Y[156] + 2*Y[155] - 8*Y[154] <= 12
model += -6*X[4043] + X[7367] - 3*X[3485] - X[3704] - 2*X[1149] - 2*X[4505] - 2*X[1335] + X[2070] <= -4
model += X[4043] - 4*X[7367] - X[3485] + 2*X[3704] - 4*X[1149] + 6*X[4505] - 3*X[1335] - 3*X[2070] <= 1
model += -6*X[2324] + X[1801] - 3*X[7439] - X[4899] - 2*X[1072] - 2*X[7502] - 2*X[3638] + X[4802] <= -4
model += X[2324] - 4*X[1801] - X[7439] + 2*X[4899] - 4*X[1072] + 6*X[7502] - 3*X[3638] - 3*X[4802] <= 1
model += -6*X[4836] + X[7372] - 3*X[3986] - X[6780] - 2*X[4760] - 2*X[2521] - 2*X[3707] + X[2473] <= -4
model += X[4836] - 4*X[7372] - X[3986] + 2*X[6780] - 4*X[4760] + 6*X[2521] - 3*X[3707] - 3*X[2473] <= 1
model += -6*X[5178] + X[7033] - 3*X[4312] - X[5251] - 2*X[4448] - 2*X[5284] - 2*X[4685] + X[4516] <= -4
model += X[5178] - 4*X[7033] - X[4312] + 2*X[5251] - 4*X[4448] + 6*X[5284] - 3*X[4685] - 3*X[4516] <= 1
model += 3*X[4470] + 9*X[5581] + 7*X[2176] + 5*X[5854] - X[5259] - 4*X[45] + 2*X[4430] - 8*X[983] <= 12
model += 3*X[923] + 9*X[7549] + 7*X[6277] + 5*X[3367] - X[6519] - 4*X[2882] + 2*X[3755] - 8*X[52] <= 12
model += -6*X[5629] + X[1811] - 3*X[4610] - X[1092] - 2*X[7517] - 2*X[4737] - 2*X[4789] + X[3486] <= -4
model += X[5629] - 4*X[1811] - X[4610] + 2*X[1092] - 4*X[7517] + 6*X[4737] - 3*X[4789] - 3*X[3486] <= 1
model += -6*X[6871] + X[2788] - 3*X[4359] - X[4157] - 2*X[4358] - 2*X[6310] - 2*X[3118] + X[7166] <= -4
model += X[6871] - 4*X[2788] - X[4359] + 2*X[4157] - 4*X[4358] + 6*X[6310] - 3*X[3118] - 3*X[7166] <= 1
model += 3*X[6116] + 9*X[6479] + 7*X[2962] + 5*X[7232] - X[4805] - 4*Y[153] + 2*Y[152] - 8*Y[151] <= 12
model += -6*X[5345] + X[3675] - 3*X[4290] - X[4576] - 2*X[2063] - 2*X[6484] - 2*X[6856] + X[4700] <= -4
model += X[5345] - 4*X[3675] - X[4290] + 2*X[4576] - 4*X[2063] + 6*X[6484] - 3*X[6856] - 3*X[4700] <= 1
model += -6*X[4118] + X[4564] - 3*X[7146] - X[6635] - 2*X[3720] - 2*X[2983] - 2*X[6075] + X[3117] <= -4
model += X[4118] - 4*X[4564] - X[7146] + 2*X[6635] - 4*X[3720] + 6*X[2983] - 3*X[6075] - 3*X[3117] <= 1
model += -6*X[6034] + X[4296] - 3*X[2211] - X[7007] - 2*X[2569] - 2*X[3420] - 2*X[2443] + X[2611] <= -4
model += X[6034] - 4*X[4296] - X[2211] + 2*X[7007] - 4*X[2569] + 6*X[3420] - 3*X[2443] - 3*X[2611] <= 1
model += 3*X[328] + 9*X[1037] + 7*X[4353] + 5*X[271] - X[4268] - 4*X[2656] + 2*X[797] - 8*X[3354] <= 12
model += 10*X[7088] + 7*X[791] - 4*X[1237] - 12*X[480] - 2*X[2669] + Y[150] + 6*Y[149] - 13*Y[148] <= 4
model += -X[7088] - 2*X[791] + 6*X[1237] - 10*X[480] + 3*X[2669] + 4*Y[150] - 9*Y[149] + 11*Y[148] <= 8
model += -6*X[3276] + X[1311] - 3*X[6898] - X[5292] - 2*X[4277] - 2*X[6595] - 2*X[2893] + X[4480] <= -4
model += X[3276] - 4*X[1311] - X[6898] + 2*X[5292] - 4*X[4277] + 6*X[6595] - 3*X[2893] - 3*X[4480] <= 1
model += -6*X[3138] + X[4753] - 3*X[2352] - X[1604] - 2*X[6812] - 2*X[5718] - 2*X[4589] + X[5229] <= -4
model += X[3138] - 4*X[4753] - X[2352] + 2*X[1604] - 4*X[6812] + 6*X[5718] - 3*X[4589] - 3*X[5229] <= 1
model += -6*X[1735] + X[3700] - 3*X[5856] - X[2112] - 2*X[3192] - 2*X[2701] - 2*X[5169] + X[7203] <= -4
model += X[1735] - 4*X[3700] - X[5856] + 2*X[2112] - 4*X[3192] + 6*X[2701] - 3*X[5169] - 3*X[7203] <= 1
model += -6*X[3789] + X[4481] - 3*X[4750] - X[3191] - 2*X[5626] - 2*X[1572] - 2*X[5431] + X[3666] <= -4
model += X[3789] - 4*X[4481] - X[4750] + 2*X[3191] - 4*X[5626] + 6*X[1572] - 3*X[5431] - 3*X[3666] <= 1
model += -6*X[7644] + X[1898] - 3*X[1931] - X[2323] - 2*X[5222] - 2*X[1067] - 2*X[6099] + X[2287] <= -4
model += X[7644] - 4*X[1898] - X[1931] + 2*X[2323] - 4*X[5222] + 6*X[1067] - 3*X[6099] - 3*X[2287] <= 1
model += 3*X[5766] + 9*X[4329] + 7*X[5930] + 5*X[5023] - X[4687] - 4*Y[147] + 2*Y[146] - 8*Y[145] <= 12
model += 3*X[6060] + 9*X[7634] + 7*X[3215] + 5*X[4596] - X[818] - 4*X[1529] + 2*X[368] - 8*X[453] <= 12
model += -6*X[4556] + X[2209] - 3*X[2915] - X[4994] - 2*X[1864] - 2*X[3252] - 2*X[2632] + X[7429] <= -4
model += X[4556] - 4*X[2209] - X[2915] + 2*X[4994] - 4*X[1864] + 6*X[3252] - 3*X[2632] - 3*X[7429] <= 1
model += -6*X[3016] + X[3833] - 3*X[4190] - X[4568] - 2*X[2537] - 2*X[6155] - 2*X[3282] + X[1970] <= -4
model += X[3016] - 4*X[3833] - X[4190] + 2*X[4568] - 4*X[2537] + 6*X[6155] - 3*X[3282] - 3*X[1970] <= 1
model += -6*X[2493] + X[6928] - 3*X[4326] - X[1701] - 2*X[1213] - 2*X[4966] - 2*X[2146] + X[3763] <= -4
model += X[2493] - 4*X[6928] - X[4326] + 2*X[1701] - 4*X[1213] + 6*X[4966] - 3*X[2146] - 3*X[3763] <= 1
model += -6*X[5209] + X[5643] - 3*X[2259] - X[4956] - 2*X[4744] - 2*X[3633] - 2*X[4763] + X[7067] <= -4
model += X[5209] - 4*X[5643] - X[2259] + 2*X[4956] - 4*X[4744] + 6*X[3633] - 3*X[4763] - 3*X[7067] <= 1
model += -6*X[5966] + X[4185] - 3*X[1629] - X[3781] - 2*X[2487] - 2*X[1245] - 2*X[3785] + X[2124] <= -4
model += X[5966] - 4*X[4185] - X[1629] + 2*X[3781] - 4*X[2487] + 6*X[1245] - 3*X[3785] - 3*X[2124] <= 1
model += -6*X[4900] + X[5916] - 3*X[6050] - X[6794] - 2*X[5800] - 2*X[3368] - 2*X[5611] + X[7011] <= -4
model += X[4900] - 4*X[5916] - X[6050] + 2*X[6794] - 4*X[5800] + 6*X[3368] - 3*X[5611] - 3*X[7011] <= 1
model += -6*X[3271] + X[2780] - 3*X[6415] - X[5989] - 2*X[1278] - 2*X[5191] - 2*X[6380] + X[6984] <= -4
model += X[3271] - 4*X[2780] - X[6415] + 2*X[5989] - 4*X[1278] + 6*X[5191] - 3*X[6380] - 3*X[6984] <= 1
model += -6*X[7781] + X[2868] - 3*X[2496] - X[4417] - 2*X[7512] - 2*X[3334] - 2*X[5908] + X[5154] <= -4
model += X[7781] - 4*X[2868] - X[2496] + 2*X[4417] - 4*X[7512] + 6*X[3334] - 3*X[5908] - 3*X[5154] <= 1
model += 3*X[6] + 9*X[1014] + 7*X[3623] + 5*X[5881] - X[5245] - 4*X[5314] + 2*X[7194] - 8*X[5158] <= 12
model += -6*X[2549] + X[3581] - 3*X[4120] - X[5548] - 2*X[7576] - 2*X[6011] - 2*X[5730] + X[6133] <= -4
model += X[2549] - 4*X[3581] - X[4120] + 2*X[5548] - 4*X[7576] + 6*X[6011] - 3*X[5730] - 3*X[6133] <= 1
model += -6*X[4099] + X[3061] - 3*X[4690] - X[6598] - 2*X[3488] - 2*X[3319] - 2*X[2752] + X[5092] <= -4
model += X[4099] - 4*X[3061] - X[4690] + 2*X[6598] - 4*X[3488] + 6*X[3319] - 3*X[2752] - 3*X[5092] <= 1
model += -6*X[4466] + X[7711] - 3*X[5520] - X[6234] - 2*X[4349] - 2*X[1616] - 2*X[2944] + X[4310] <= -4
model += X[4466] - 4*X[7711] - X[5520] + 2*X[6234] - 4*X[4349] + 6*X[1616] - 3*X[2944] - 3*X[4310] <= 1
model += -6*X[4673] + X[3139] - 3*X[1677] - X[2326] - 2*X[4922] - 2*X[6836] - 2*X[4234] + X[3350] <= -4
model += X[4673] - 4*X[3139] - X[1677] + 2*X[2326] - 4*X[4922] + 6*X[6836] - 3*X[4234] - 3*X[3350] <= 1
model += -6*X[1139] + X[7673] - 3*X[5053] - X[6897] - 2*X[1376] - 2*X[4467] - 2*X[2924] + X[4020] <= -4
model += X[1139] - 4*X[7673] - X[5053] + 2*X[6897] - 4*X[1376] + 6*X[4467] - 3*X[2924] - 3*X[4020] <= 1
model += -6*X[3145] + X[4219] - 3*X[6926] - X[1350] - 2*X[1692] - 2*X[1416] - 2*X[2332] + X[1215] <= -4
model += X[3145] - 4*X[4219] - X[6926] + 2*X[1350] - 4*X[1692] + 6*X[1416] - 3*X[2332] - 3*X[1215] <= 1
model += -6*X[7647] + X[5874] - 3*X[5218] - X[2850] - 2*X[7515] - 2*X[1984] - 2*X[6843] + X[2133] <= -4
model += X[7647] - 4*X[5874] - X[5218] + 2*X[2850] - 4*X[7515] + 6*X[1984] - 3*X[6843] - 3*X[2133] <= 1
model += 3*X[6408] + 9*X[427] + 7*X[7076] + 5*X[5583] - X[7214] - 4*X[172] + 2*X[252] - 8*X[5140] <= 12
model += -6*X[1444] + X[1276] - 3*X[2052] - X[7500] - 2*X[2033] - 2*X[3103] - 2*X[6140] + X[4582] <= -4
model += X[1444] - 4*X[1276] - X[2052] + 2*X[7500] - 4*X[2033] + 6*X[3103] - 3*X[6140] - 3*X[4582] <= 1
model += -6*X[6954] + X[4524] - 3*X[3044] - X[1353] - 2*X[1349] - 2*X[2666] - 2*X[3589] + X[7162] <= -4
model += X[6954] - 4*X[4524] - X[3044] + 2*X[1353] - 4*X[1349] + 6*X[2666] - 3*X[3589] - 3*X[7162] <= 1
model += -6*X[2554] + X[2447] - 3*X[5673] - X[2454] - 2*X[3132] - 2*X[6575] - 2*X[7432] + X[7509] <= -4
model += X[2554] - 4*X[2447] - X[5673] + 2*X[2454] - 4*X[3132] + 6*X[6575] - 3*X[7432] - 3*X[7509] <= 1
model += -6*X[7059] + X[6275] - 3*X[6491] - X[1669] - 2*X[3645] - 2*X[6971] - 2*X[1974] + X[7687] <= -4
model += X[7059] - 4*X[6275] - X[6491] + 2*X[1669] - 4*X[3645] + 6*X[6971] - 3*X[1974] - 3*X[7687] <= 1
model += 3*X[1797] + 9*X[394] + 7*X[586] + 5*X[6252] - X[1916] - 4*X[2165] + 2*X[4167] - 8*X[873] <= 12
model += -6*X[3659] + X[7207] - 3*X[3523] - X[4499] - 2*X[5965] - 2*X[5352] - 2*X[2254] + X[7112] <= -4
model += X[3659] - 4*X[7207] - X[3523] + 2*X[4499] - 4*X[5965] + 6*X[5352] - 3*X[2254] - 3*X[7112] <= 1
model += -6*X[5855] + X[7062] - 3*X[5470] - X[2025] - 2*X[5627] - 2*X[3922] - 2*X[1843] + X[5839] <= -4
model += X[5855] - 4*X[7062] - X[5470] + 2*X[2025] - 4*X[5627] + 6*X[3922] - 3*X[1843] - 3*X[5839] <= 1
model += -6*X[5649] + X[1682] - 3*X[1459] - X[2448] - 2*X[3590] - 2*X[7744] - 2*X[5235] + X[5991] <= -4
model += X[5649] - 4*X[1682] - X[1459] + 2*X[2448] - 4*X[3590] + 6*X[7744] - 3*X[5235] - 3*X[5991] <= 1
model += -6*X[5506] + X[7733] - 3*X[6887] - X[6112] - 2*X[4331] - 2*X[2598] - 2*X[4103] + X[5315] <= -4
model += X[5506] - 4*X[7733] - X[6887] + 2*X[6112] - 4*X[4331] + 6*X[2598] - 3*X[4103] - 3*X[5315] <= 1
model += -6*X[2404] + X[1034] - 3*X[1693] - X[1160] - 2*X[6790] - 2*X[2268] - 2*X[3258] + X[4620] <= -4
model += X[2404] - 4*X[1034] - X[1693] + 2*X[1160] - 4*X[6790] + 6*X[2268] - 3*X[3258] - 3*X[4620] <= 1
model += -6*X[5810] + X[4213] - 3*X[6837] - X[4930] - 2*X[4862] - 2*X[1025] - 2*X[1134] + X[7249] <= -4
model += X[5810] - 4*X[4213] - X[6837] + 2*X[4930] - 4*X[4862] + 6*X[1025] - 3*X[1134] - 3*X[7249] <= 1
model += -6*X[2942] + X[4040] - 3*X[3840] - X[7066] - 2*X[2049] - 2*X[4434] - 2*X[3599] + X[7569] <= -4
model += X[2942] - 4*X[4040] - X[3840] + 2*X[7066] - 4*X[2049] + 6*X[4434] - 3*X[3599] - 3*X[7569] <= 1
model += 3*X[81] + 9*X[2382] + 7*X[6149] + 5*X[6489] - X[3978] - 4*X[1130] + 2*X[3728] - 8*X[311] <= 12
model += 3*X[3264] + 9*X[515] + 7*X[525] + 5*X[2599] - X[7626] - 4*X[7358] + 2*X[7254] - 8*X[580] <= 12
model += -6*X[7337] + X[2075] - 3*X[7637] - X[3907] - 2*X[6494] - 2*X[6939] - 2*X[4743] + X[2480] <= -4
model += X[7337] - 4*X[2075] - X[7637] + 2*X[3907] - 4*X[6494] + 6*X[6939] - 3*X[4743] - 3*X[2480] <= 1
model += -6*X[7400] + X[5628] - 3*X[4377] - X[3969] - 2*X[7297] - 2*X[2421] - 2*X[4623] + X[4376] <= -4
model += X[7400] - 4*X[5628] - X[4377] + 2*X[3969] - 4*X[7297] + 6*X[2421] - 3*X[4623] - 3*X[4376] <= 1
model += -6*X[1107] + X[2777] - 3*X[3516] - X[1745] - 2*X[5039] - 2*X[4812] - 2*X[6405] + X[7440] <= -4
model += X[1107] - 4*X[2777] - X[3516] + 2*X[1745] - 4*X[5039] + 6*X[4812] - 3*X[6405] - 3*X[7440] <= 1
model += -6*X[5455] + X[3195] - 3*X[2425] - X[4129] - 2*X[5858] - 2*X[7268] - 2*X[4004] + X[1108] <= -4
model += X[5455] - 4*X[3195] - X[2425] + 2*X[4129] - 4*X[5858] + 6*X[7268] - 3*X[4004] - 3*X[1108] <= 1
model += -6*X[7108] + X[7126] - 3*X[6389] - X[5767] - 2*X[1390] - 2*X[1364] - 2*X[4409] + X[1744] <= -4
model += X[7108] - 4*X[7126] - X[6389] + 2*X[5767] - 4*X[1390] + 6*X[1364] - 3*X[4409] - 3*X[1744] <= 1
model += -6*X[6531] + X[5118] - 3*X[1512] - X[2821] - 2*X[3235] - 2*X[5528] - 2*X[4717] + X[6581] <= -4
model += X[6531] - 4*X[5118] - X[1512] + 2*X[2821] - 4*X[3235] + 6*X[5528] - 3*X[4717] - 3*X[6581] <= 1
model += 3*X[577] + 9*X[681] + 7*X[7111] + 5*X[136] - X[4462] - 4*X[6817] + 2*X[1807] - 8*X[5167] <= 12
model += -6*X[1341] + X[4267] - 3*X[6880] - X[3221] - 2*X[1637] - 2*X[4134] - 2*X[3386] + X[3972] <= -4
model += X[1341] - 4*X[4267] - X[6880] + 2*X[3221] - 4*X[1637] + 6*X[4134] - 3*X[3386] - 3*X[3972] <= 1
model += -6*X[7231] + X[5759] - 3*X[6355] - X[5525] - 2*X[1058] - 2*X[4249] - 2*X[6368] + X[4598] <= -4
model += X[7231] - 4*X[5759] - X[6355] + 2*X[5525] - 4*X[1058] + 6*X[4249] - 3*X[6368] - 3*X[4598] <= 1
model += -6*X[5445] + X[1417] - 3*X[3007] - X[4495] - 2*X[7259] - 2*X[6066] - 2*X[4198] + X[6628] <= -4
model += X[5445] - 4*X[1417] - X[3007] + 2*X[4495] - 4*X[7259] + 6*X[6066] - 3*X[4198] - 3*X[6628] <= 1
model += -6*X[6092] + X[6532] - 3*X[3311] - X[3394] - 2*X[3143] - 2*X[6419] - 2*X[7020] + X[6721] <= -4
model += X[6092] - 4*X[6532] - X[3311] + 2*X[3394] - 4*X[3143] + 6*X[6419] - 3*X[7020] - 3*X[6721] <= 1
model += 3*X[6990] + 9*X[282] + 7*X[3934] + 5*X[1988] - X[4489] - 4*X[4988] + 2*X[5975] - 8*X[46] <= 12
model += -6*X[6932] + X[4139] - 3*X[3222] - X[4825] - 2*X[3761] - 2*X[7452] - 2*X[2205] + X[5400] <= -4
model += X[6932] - 4*X[4139] - X[3222] + 2*X[4825] - 4*X[3761] + 6*X[7452] - 3*X[2205] - 3*X[5400] <= 1
model += -6*X[2327] + X[4813] - 3*X[7229] - X[4090] - 2*X[2816] - 2*X[7789] - 2*X[4733] + X[2894] <= -4
model += X[2327] - 4*X[4813] - X[7229] + 2*X[4090] - 4*X[2816] + 6*X[7789] - 3*X[4733] - 3*X[2894] <= 1
model += -6*X[7456] + X[5491] - 3*X[1555] - X[2485] - 2*X[4491] - 2*X[1901] - 2*X[3313] + X[4208] <= -4
model += X[7456] - 4*X[5491] - X[1555] + 2*X[2485] - 4*X[4491] + 6*X[1901] - 3*X[3313] - 3*X[4208] <= 1
model += -6*X[7671] + X[7742] - 3*X[4159] - X[6799] - 2*X[1634] - 2*X[4420] - 2*X[7537] + X[7047] <= -4
model += X[7671] - 4*X[7742] - X[4159] + 2*X[6799] - 4*X[1634] + 6*X[4420] - 3*X[7537] - 3*X[7047] <= 1
model += -6*X[1522] + X[5155] - 3*X[5928] - X[7044] - 2*X[6949] - 2*X[5036] - 2*X[4859] + X[4736] <= -4
model += X[1522] - 4*X[5155] - X[5928] + 2*X[7044] - 4*X[6949] + 6*X[5036] - 3*X[4859] - 3*X[4736] <= 1
model += -6*X[1100] + X[4662] - 3*X[6942] - X[6572] - 2*X[5096] - 2*X[2668] - 2*X[2866] + X[2926] <= -4
model += X[1100] - 4*X[4662] - X[6942] + 2*X[6572] - 4*X[5096] + 6*X[2668] - 3*X[2866] - 3*X[2926] <= 1
model += 3*X[6659] + 9*X[1902] + 7*X[1418] + 5*X[5670] - X[727] - 4*X[270] + 2*X[6981] - 8*X[7295] <= 12
model += 3*X[500] + 9*X[7289] + 7*X[5612] + 5*X[7001] - X[830] - 4*X[2093] + 2*X[6588] - 8*X[4494] <= 12
model += 3*X[1177] + 9*X[2640] + 7*X[5566] + 5*X[1408] - X[4926] - 4*X[497] + 2*X[672] - 8*X[4604] <= 12
model += 3*X[2967] + 9*X[2418] + 7*X[777] + 5*X[4904] - X[1119] - 4*X[391] + 2*X[6077] - 8*X[3439] <= 12
model += 3*X[6384] + 9*X[3643] + 7*X[5955] + 5*X[593] - X[6294] - 4*X[4293] + 2*X[2333] - 8*X[236] <= 12
model += 3*X[6931] + 9*X[3640] + 7*X[138] + 5*X[6016] - X[5497] - 4*X[834] + 2*X[2105] - 8*X[7038] <= 12
model += 3*X[924] + 9*X[6654] + 7*X[4176] + 5*X[5089] - X[4783] - 4*X[7562] + 2*X[419] - 8*X[7314] <= 12
model += 3*X[5606] + 9*X[132] + 7*X[3942] + 5*X[772] - X[1827] - 4*X[5280] + 2*X[2349] - 8*X[1578] <= 12
model += 3*X[985] + 9*X[4350] + 7*X[2273] + 5*X[4391] - X[5536] - 4*X[612] + 2*X[6128] - 8*X[4143] <= 12
model += 10*X[4116] + 7*X[21] - 4*X[7501] - 12*X[5429] - 2*X[4344] + X[1375] + 6*X[662] - 13*X[354] <= 4
model += -X[4116] - 2*X[21] + 6*X[7501] - 10*X[5429] + 3*X[4344] + 4*X[1375] - 9*X[662] + 11*X[354] <= 8
model += 3*X[3898] + 9*X[6298] + 7*X[3137] + 5*X[26] - X[4651] - 4*X[2698] + 2*X[5473] - 8*X[1521] <= 12
model += 3*X[2186] + 9*X[3011] + 7*X[479] + 5*X[5068] - X[3296] - 4*X[934] + 2*X[3392] - 8*X[6052] <= 12
model += 3*X[1666] + 9*X[2739] + 7*X[158] + 5*X[3436] - X[5876] - 4*X[553] + 2*X[1671] - 8*X[7116] <= 12
model += 3*X[206] + 9*X[6800] + 7*X[2042] + 5*X[4688] - X[475] - 4*X[1961] + 2*X[5652] - 8*X[4986] <= 12
model += 3*X[5351] + 9*X[1997] + 7*X[501] + 5*X[3190] - X[957] - 4*X[4354] + 2*X[3541] - 8*X[2781] <= 12
model += 3*X[4057] + 9*X[3794] + 7*X[3877] + 5*X[4794] - X[5592] - 4*X[96] + 2*X[1487] - 8*X[2024] <= 12
model += 3*X[4578] + 9*X[318] + 7*X[7016] + 5*X[7684] - X[3030] - 4*X[1662] + 2*X[1334] - 8*X[522] <= 12
model += 3*X[6224] + 9*X[3003] + 7*X[4315] + 5*X[6209] - X[916] - 4*X[258] + 2*X[7764] - 8*X[2520] <= 12
model += 3*X[3773] + 9*X[1526] + 7*X[4244] + 5*X[4823] - X[495] - 4*X[5224] + 2*X[4793] - 8*X[778] <= 12
model += 10*X[4363] - 12*X[85] + 4*X[2309] + 7*X[83] + 2*X[7487] - 6*X[616] - X[3290] + 13*X[4186] <= 16
model += 10*X[377] + 7*X[7490] - 4*X[1294] - 12*X[5982] - 2*X[482] + X[66] + 6*X[1144] - 13*X[3079] <= 4
model += -X[377] - 2*X[7490] + 6*X[1294] - 10*X[5982] + 3*X[482] + 4*X[66] - 9*X[1144] + 11*X[3079] <= 8
model += 10*X[1073] - 12*X[533] + 4*X[49] + 7*X[1210] + 2*X[4473] - 6*X[742] - X[1525] + 13*X[484] <= 16
model += 3*X[7486] + 9*X[1547] + 7*X[968] + 5*X[4706] - X[856] - 4*X[4124] + 2*X[1684] - 8*X[2663] <= 12
model += 10*X[272] + 7*X[1048] - 4*X[6102] - 12*X[181] - 2*X[6449] + X[4725] + 6*X[715] - 13*X[894] <= 4
model += -X[272] - 2*X[1048] + 6*X[6102] - 10*X[181] + 3*X[6449] + 4*X[4725] - 9*X[715] + 11*X[894] <= 8
model += 3*X[3149] + 9*X[699] + 7*X[2896] + 5*X[7698] - X[2399] - 4*X[694] + 2*X[7650] - 8*X[2265] <= 12
model += 3*X[3484] + 9*X[274] + 7*X[7514] + 5*X[1781] - X[6283] - 4*X[6718] + 2*X[728] - 8*X[6779] <= 12
model += 3*X[6865] + 9*X[2970] + 7*X[88] + 5*X[3904] - X[6838] - 4*X[6707] + 2*X[7505] - 8*X[3570] <= 12
model += 3*X[1022] + 9*X[7629] + 7*X[5661] + 5*X[183] - X[7236] - 4*X[1561] + 2*X[401] - 8*X[5187] <= 12
model += 10*X[8] - 12*X[759] + 4*X[1027] + 7*X[3119] + 2*X[3197] - 6*X[5373] - X[524] + 13*X[5939] <= 16
model += 3*X[107] + 9*X[6554] + 7*X[5622] + 5*X[7661] - X[7396] - 4*X[2367] + 2*X[634] - 8*X[5202] <= 12
model += 3*X[4551] + 9*X[3508] + 7*X[914] + 5*X[5298] - X[3458] - 4*X[483] + 2*X[6671] - 8*X[5783] <= 12
model += 3*X[2255] + 9*X[321] + 7*X[5796] + 5*X[2931] - X[1447] - 4*X[160] + 2*X[2837] - 8*X[1904] <= 12
model += 10*X[74] + 7*X[3312] - 4*X[5210] - 12*X[2337] - 2*X[408] + X[358] + 6*X[2198] - 13*X[7752] <= 4
model += -X[74] - 2*X[3312] + 6*X[5210] - 10*X[2337] + 3*X[408] + 4*X[358] - 9*X[2198] + 11*X[7752] <= 8
model += 3*X[4366] + 9*X[4535] + 7*X[3358] + 5*X[473] - X[4218] - 4*X[689] + 2*X[6320] - 8*X[4266] <= 12
model += 10*X[7244] - 12*X[829] + 4*X[905] + 7*X[5983] + 2*X[2429] - 6*X[6202] - X[2134] + 13*X[5] <= 16
model += 3*X[4500] + 9*X[6096] + 7*X[5895] + 5*X[186] - X[4052] - 4*X[3391] + 2*X[191] - 8*X[2707] <= 12
model += 3*X[2037] + 9*X[1002] + 7*X[7731] + 5*X[4678] - X[382] - 4*X[2616] + 2*X[1479] - 8*X[598] <= 12
model += 3*X[6925] + 9*X[2807] + 7*X[7559] + 5*X[460] - X[808] - 4*X[6424] + 2*X[4934] - 8*X[1325] <= 12
model += 3*X[5515] + 9*X[5685] + 7*X[125] + 5*X[4097] - X[207] - 4*X[6081] + 2*X[1957] - 8*X[3603] <= 12
model += 3*X[2824] + 9*X[1742] + 7*X[4754] + 5*X[3208] - X[1941] - 4*X[576] + 2*X[7769] - 8*X[449] <= 12
model += 10*X[1011] + 7*X[319] - 4*X[5090] - 12*X[7046] - 2*X[642] + X[2149] + 6*X[417] - 13*X[993] <= 4
model += -X[1011] - 2*X[319] + 6*X[5090] - 10*X[7046] + 3*X[642] + 4*X[2149] - 9*X[417] + 11*X[993] <= 8
model += 3*X[943] + 9*X[831] + 7*X[1252] + 5*X[6992] - X[5913] - 4*X[1239] + 2*X[4262] - 8*X[4189] <= 12
model += 3*X[4958] + 9*X[129] + 7*X[6482] + 5*X[6220] - X[3885] - 4*X[5399] + 2*X[512] - 8*X[3778] <= 12
model += 10*X[840] + 7*X[54] - 4*X[4092] - 12*X[5275] - 2*X[3592] + X[6716] + 6*X[3919] - 13*X[152] <= 4
model += -X[840] - 2*X[54] + 6*X[4092] - 10*X[5275] + 3*X[3592] + 4*X[6716] - 9*X[3919] + 11*X[152] <= 8
model += 3*X[1953] + 9*X[5101] + 7*X[2370] + 5*X[1695] - X[490] - 4*X[4820] + 2*X[572] - 8*X[1168] <= 12
model += 3*X[3806] + 9*X[5786] + 7*X[3067] + 5*X[2400] - X[5723] - 4*X[84] + 2*X[3871] - 8*X[7265] <= 12
model += 3*X[712] + 9*X[1492] + 7*X[5117] + 5*X[2804] - X[5803] - 4*X[3177] + 2*X[2417] - 8*X[650] <= 12
model += 3*X[7369] + 9*X[2108] + 7*X[503] + 5*X[7281] - X[3315] - 4*X[5788] + 2*X[766] - 8*X[1857] <= 12
model += 3*X[1636] + 9*X[400] + 7*X[6612] + 5*X[6938] - X[7071] - 4*X[3371] + 2*X[670] - 8*X[4164] <= 12
model += 3*X[14] + 9*X[4402] + 7*X[5241] + 5*X[3970] - X[1338] - 4*X[5746] + 2*X[7080] - 8*X[6722] <= 12
model += 3*X[5884] + 9*X[4484] + 7*X[3384] + 5*X[2026] - X[1424] - 4*X[87] + 2*X[7355] - 8*X[7665] <= 12
model += 3*X[4334] + 9*X[4455] + 7*X[3335] + 5*X[583] - X[3283] - 4*X[472] + 2*X[4941] - 8*X[7511] <= 12
model += 3*X[2567] + 9*X[5015] + 7*X[6969] + 5*X[4611] - X[536] - 4*X[2538] + 2*X[7488] - 8*X[853] <= 12
model += 10*X[833] - 12*X[7534] + 4*X[649] + 7*X[5709] + 2*X[0] - 6*X[3884] - X[3299] + 13*X[7026] <= 16
model += 3*X[1026] + 9*X[4714] + 7*X[2109] + 5*X[412] - X[144] - 4*X[4153] + 2*X[3379] - 8*X[5475] <= 12
model += 3*X[6363] + 9*X[6240] + 7*X[2329] + 5*X[7653] - X[5900] - 4*X[4158] + 2*X[6543] - 8*X[94] <= 12
model += 3*X[7299] + 9*X[7284] + 7*X[4235] + 5*X[635] - X[1929] - 4*X[5682] + 2*X[5203] - 8*X[111] <= 12
model += 3*X[4748] + 9*X[2838] + 7*X[564] + 5*X[384] - X[3360] - 4*X[2978] + 2*X[1441] - 8*X[4451] <= 12
model += 3*X[5383] + 9*X[2230] + 7*X[6301] + 5*X[5372] - X[4148] - 4*X[57] + 2*X[5113] - 8*X[6658] <= 12
model += 10*X[3504] + 7*X[7585] - 4*X[961] - 12*X[3] - 2*X[5468] + X[5306] + 6*X[1840] - 13*X[5813] <= 4
model += -X[3504] - 2*X[7585] + 6*X[961] - 10*X[3] + 3*X[5468] + 4*X[5306] - 9*X[1840] + 11*X[5813] <= 8
model += 3*X[4418] + 9*X[3385] + 7*X[5188] + 5*X[978] - X[2464] - 4*X[3316] + 2*X[2086] - 8*X[861] <= 12
model += 3*X[758] + 9*X[253] + 7*X[5830] + 5*X[3574] - X[1212] - 4*X[1170] + 2*X[5238] - 8*X[3550] <= 12
model += 10*X[955] + 7*X[1753] - 4*X[4207] - 12*X[256] - 2*X[2828] + X[38] + 6*X[1006] - 13*X[3777] <= 4
model += -X[955] - 2*X[1753] + 6*X[4207] - 10*X[256] + 3*X[2828] + 4*X[38] - 9*X[1006] + 11*X[3777] <= 8
model += 3*X[457] + 9*X[3596] + 7*X[3415] + 5*X[1852] - X[4950] - 4*X[2246] + 2*X[254] - 8*X[6215] <= 12
model += 3*X[4911] + 9*X[3308] + 7*X[10] + 5*X[1005] - X[5702] - 4*X[3281] + 2*X[5211] - 8*X[6481] <= 12
model += 3*X[6891] + 9*X[1946] + 7*X[760] + 5*X[2973] - X[7522] - 4*X[6314] + 2*X[5131] - 8*X[779] <= 12
model += 3*X[317] + 9*X[2449] + 7*X[7045] + 5*X[4243] - X[3752] - 4*X[2927] + 2*X[5507] - 8*X[499] <= 12
model += 10*X[963] - 12*X[872] + 4*X[4978] + 7*X[7357] + 2*X[48] - 6*X[532] - X[6951] + 13*X[5659] <= 16
model += 3*X[904] + 9*X[7399] + 7*X[6772] + 5*X[6674] - X[1333] - 4*X[7776] + 2*X[999] - 8*X[2652] <= 12
model += 3*X[1775] + 9*X[3661] + 7*X[4824] + 5*X[2293] - X[3234] - 4*X[2845] + 2*X[51] - 8*X[3845] <= 12
model += 3*X[2041] + 9*X[994] + 7*X[835] + 5*X[5554] - X[6910] - 4*X[4850] + 2*X[2494] - 8*X[5976] <= 12
model += 3*X[7210] + 9*X[709] + 7*X[5288] + 5*X[263] - X[4488] - 4*X[6403] + 2*X[1155] - 8*X[7470] <= 12
model += 3*X[1707] + 9*X[887] + 7*X[4938] + 5*X[2216] - X[639] - 4*X[1873] + 2*X[2940] - 8*X[2237] <= 12
model += 3*X[7691] + 9*X[2817] + 7*X[5595] + 5*X[4005] - X[20] - 4*X[7451] + 2*X[3588] - 8*X[4768] <= 12
model += 3*X[1259] + 9*X[5760] + 7*X[3535] + 5*X[5950] - X[3529] - 4*X[1121] + 2*X[6706] - 8*X[53] <= 12
model += 3*X[1458] + 9*X[2528] + 7*X[5448] + 5*X[6023] - X[901] - 4*X[2536] + 2*X[392] - 8*X[5850] <= 12
model += 3*X[135] + 9*X[5526] + 7*X[2947] + 5*X[6719] - X[461] - 4*X[3154] + 2*X[7397] - 8*X[1956] <= 12
model += 3*X[2642] + 9*X[134] + 7*X[4113] + 5*X[897] - X[3988] - 4*X[5138] + 2*X[2328] - 8*X[6144] <= 12
model += 3*X[5038] + 9*X[5726] + 7*X[7241] + 5*X[7450] - X[393] - 4*X[3971] + 2*X[659] - 8*X[7099] <= 12
model += 3*X[7755] + 9*X[1481] + 7*X[2369] + 5*X[2968] - X[44] - 4*X[5414] + 2*X[5308] - 8*X[2575] <= 12
model += 3*X[3202] + 9*X[411] + 7*X[1217] + 5*X[7350] - X[4503] - 4*X[7346] + 2*X[785] - 8*X[5849] <= 12
model += 3*X[1315] + 9*X[863] + 7*X[4872] + 5*X[162] - X[6473] - 4*X[7484] + 2*X[1184] - 8*X[6991] <= 12
model += 10*X[1200] - 12*X[4136] + 4*X[568] + 7*X[1028] + 2*X[342] - 6*X[133] - X[7300] + 13*X[77] <= 16
model += 3*X[2022] + 9*X[404] + 7*X[1679] + 5*X[3209] - X[445] - 4*X[6839] + 2*X[4901] - 8*X[2872] <= 12
model += 3*X[1158] + 9*X[4309] + 7*X[4415] + 5*X[434] - X[5087] - 4*X[3722] + 2*X[1082] - 8*X[654] <= 12
model += 3*X[7565] + 9*X[2015] + 7*X[3163] + 5*X[5350] - X[18] - 4*X[1606] + 2*X[1388] - 8*X[2347] <= 12
model += 3*X[991] + 9*X[7523] + 7*X[6641] + 5*X[6513] - X[3083] - 4*X[6623] + 2*X[776] - 8*X[6528] <= 12
model += 3*X[815] + 9*X[852] + 7*X[7433] + 5*X[4163] - X[2818] - 4*X[1511] + 2*X[5059] - 8*X[6074] <= 12
model += 3*X[7049] + 9*X[5193] + 7*X[2516] + 5*X[30] - X[6338] - 4*X[5987] + 2*X[2321] - 8*X[3091] <= 12
model += 3*X[1528] + 9*X[3505] + 7*X[3110] + 5*X[3366] - X[886] - 4*X[660] + 2*X[7324] - 8*X[1116] <= 12
model += 3*X[5680] + 9*X[636] + 7*X[1125] + 5*X[466] - X[4209] - 4*X[5334] + 2*X[2729] - 8*X[5736] <= 12
model += 3*X[7491] + 9*X[386] + 7*X[6226] + 5*X[3324] - X[4939] - 4*X[6095] + 2*X[695] - 8*X[7566] <= 12
model += 3*X[3204] + 9*X[973] + 7*X[4543] + 5*X[920] - X[2247] - 4*X[1249] + 2*X[4445] - 8*X[4791] <= 12
model += 3*X[4641] + 9*X[619] + 7*X[4269] + 5*X[5004] - X[3976] - 4*X[194] + 2*X[3039] - 8*X[1151] <= 12
model += 10*X[6228] + 7*X[4701] - 4*X[7304] - 12*X[437] - 2*X[5249] + X[1845] + 6*X[7323] - 13*X[2] <= 4
model += -X[6228] - 2*X[4701] + 6*X[7304] - 10*X[437] + 3*X[5249] + 4*X[1845] - 9*X[7323] + 11*X[2] <= 8
model += 3*X[1046] + 9*X[36] + 7*X[5135] + 5*X[3954] - X[4534] - 4*X[3310] + 2*X[2357] - 8*X[4721] <= 12
model += 3*X[1190] + 9*X[653] + 7*X[3449] + 5*X[2595] - X[701] - 4*X[6573] + 2*X[2171] - 8*X[5389] <= 12
model += 3*X[5112] + 9*X[2061] + 7*X[7483] + 5*X[323] - X[915] - 4*X[3812] + 2*X[2196] - 8*X[2351] <= 12
model += 3*X[4253] + 9*X[7303] + 7*X[7538] + 5*X[1856] - X[6559] - 4*X[425] + 2*X[584] - 8*X[6604] <= 12
model += 3*X[4324] + 9*X[988] + 7*X[291] + 5*X[2976] - X[3887] - 4*X[7061] + 2*X[3306] - 8*X[3849] <= 12
model += 10*X[3880] + 7*X[3792] - 4*X[2859] - 12*X[5770] - 2*X[6141] + X[71] + 6*X[47] - 13*X[4699] <= 4
model += -X[3880] - 2*X[3792] + 6*X[2859] - 10*X[5770] + 3*X[6141] + 4*X[71] - 9*X[47] + 11*X[4699] <= 8
model += 10*X[372] + 7*X[33] - 4*X[266] - 12*X[4683] - 2*X[2799] + X[1829] + 6*X[4724] - 13*X[2811] <= 4
model += -X[372] - 2*X[33] + 6*X[266] - 10*X[4683] + 3*X[2799] + 4*X[1829] - 9*X[4724] + 11*X[2811] <= 8
model += 3*X[224] + 9*X[7060] + 7*X[570] + 5*X[3927] - X[7689] - 4*X[1605] + 2*X[3634] - 8*X[5899] <= 12
model += 3*X[938] + 9*X[3348] + 7*X[7365] + 5*X[4437] - X[5878] - 4*X[1507] + 2*X[1019] - 8*X[637] <= 12
model += 3*X[3038] + 9*X[2628] + 7*X[851] + 5*X[4053] - X[5578] - 4*X[5043] + 2*X[703] - 8*X[3479] <= 12
model += 3*X[6248] + 9*X[7083] + 7*X[4149] + 5*X[657] - X[1785] - 4*X[6584] + 2*X[5390] - 8*X[764] <= 12
model += 3*X[3338] + 9*X[3839] + 7*X[1053] + 5*X[5462] - X[2450] - 4*X[824] + 2*X[544] - 8*X[3405] <= 12
model += 3*X[1063] + 9*X[7319] + 7*X[6907] + 5*X[4572] - X[93] - 4*X[6042] + 2*X[2097] - 8*X[7739] <= 12
model += 3*X[3071] + 9*X[1571] + 7*X[113] + 5*X[6104] - X[3472] - 4*X[927] + 2*X[5151] - 8*X[3010] <= 12
model += 3*X[151] + 9*X[5937] + 7*X[3451] + 5*X[2414] - X[2745] - 4*X[139] + 2*X[7656] - 8*X[5355] <= 12
model += 10*X[4230] - 12*X[3688] + 4*X[451] + 7*X[2562] + 2*Y[144] - 6*Y[159] - Y[158] + 13*Y[157] <= 16
model += 3*X[2316] + 9*X[121] + 7*X[1236] + 5*X[6208] - X[105] - 4*X[1718] + 2*X[3585] - 8*X[2401] <= 12
model += 3*X[7048] + 9*X[187] + 7*X[7328] + 5*X[1562] - X[6086] - 4*X[7468] + 2*X[4194] - 8*X[435] <= 12
model += 3*X[5967] + 9*X[7018] + 7*X[210] + 5*X[423] - X[1384] - 4*X[2072] + 2*X[4942] - 8*X[2021] <= 12
model += 3*X[5615] + 9*X[1474] + 7*X[3926] + 5*X[5540] - X[6111] - 4*X[5662] + 2*X[259] - 8*X[520] <= 12
model += 3*X[64] + 9*X[2291] + 7*X[5057] + 5*X[2121] - X[5887] - 4*X[2705] + 2*X[3830] - 8*X[6867] <= 12
model += 3*X[513] + 9*X[5545] + 7*X[4602] + 5*X[2624] - X[6998] - 4*X[3914] + 2*X[717] - 8*X[3857] <= 12
model += 10*X[6950] + 7*X[5150] - 4*X[1834] - 12*X[4805] - 2*Y[157] + Y[156] + 6*Y[155] - 13*Y[154] <= 4
model += -X[6950] - 2*X[5150] + 6*X[1834] - 10*X[4805] + 3*Y[157] + 4*Y[156] - 9*Y[155] + 11*Y[154] <= 8
model += 3*X[5667] + 9*X[1885] + 7*X[1208] + 5*X[7296] - X[246] - 4*X[1594] + 2*X[1111] - 8*X[211] <= 12
model += 3*X[347] + 9*X[6974] + 7*X[7352] + 5*X[6795] - X[127] - 4*X[1993] + 2*X[6290] - 8*X[6176] <= 12
model += 3*X[3116] + 9*X[228] + 7*X[5716] + 5*X[4509] - X[922] - 4*X[2546] + 2*X[6840] - 8*X[7725] <= 12
model += 10*X[2165] - 12*X[4167] + 4*X[873] + 7*X[2669] + 2*Y[154] - 6*Y[153] - Y[152] + 13*Y[151] <= 16
model += 3*X[556] + 9*X[1517] + 7*X[1759] + 5*X[278] - X[2395] - 4*X[3183] + 2*X[3522] - 8*X[4538] <= 12
model += 3*X[2169] + 9*X[465] + 7*X[6356] + 5*X[4471] - X[4565] - 4*X[3455] + 2*X[195] - 8*X[3270] <= 12
model += 3*X[357] + 9*X[7308] + 7*X[6798] + 5*X[455] - X[7150] - 4*X[6416] + 2*X[7420] - 8*X[5078] <= 12
model += 10*X[917] + 7*X[5116] - 4*X[2639] - 12*X[6169] - 2*X[878] + X[4487] + 6*X[15] - 13*X[3867] <= 4
model += -X[917] - 2*X[5116] + 6*X[2639] - 10*X[6169] + 3*X[878] + 4*X[4487] - 9*X[15] + 11*X[3867] <= 8
model += 10*X[1130] - 12*X[3728] + 4*X[311] + 7*X[4687] + 2*Y[151] - 6*Y[150] - Y[149] + 13*Y[148] <= 16
model += 3*X[3848] + 9*X[5447] + 7*X[4106] + 5*X[793] - X[5052] - 4*X[517] + 2*X[1211] - 8*X[6347] <= 12
model += 3*X[2361] + 9*X[202] + 7*X[3869] + 5*X[219] - X[4661] - 4*X[4177] + 2*X[7097] - 8*X[6374] <= 12
model += 3*X[7688] + 9*X[492] + 7*X[5675] + 5*X[960] - X[4703] - 4*X[6617] + 2*X[4739] - 8*X[7124] <= 12
model += 3*X[3066] + 9*X[3397] + 7*X[5198] + 5*X[387] - X[5331] - 4*X[335] + 2*X[7740] - 8*X[2267] <= 12
model += 10*X[4319] + 7*X[62] - 4*X[363] - 12*X[3524] - 2*X[7616] + X[1920] + 6*X[749] - 13*X[5207] <= 4
model += -X[4319] - 2*X[62] + 6*X[363] - 10*X[3524] + 3*X[7616] + 4*X[1920] - 9*X[749] + 11*X[5207] <= 8
model += 3*X[6697] + 9*X[781] + 7*X[443] + 5*X[6738] - X[5875] - 4*X[6225] + 2*X[6038] - 8*X[5180] <= 12
model += 3*X[5711] + 9*X[4666] + 7*X[7019] + 5*X[3741] - X[787] - 4*X[7106] + 2*X[865] - 8*X[5651] <= 12
model += 3*X[534] + 9*X[5267] + 7*X[1949] + 5*X[1965] - X[550] - 4*X[6869] + 2*X[3025] - 8*X[7356] <= 12
model += 10*X[2858] + 7*X[7619] - 4*X[6297] - 12*X[3573] - 2*Y[148] + Y[147] + 6*Y[146] - 13*Y[145] <= 4
model += -X[2858] - 2*X[7619] + 6*X[6297] - 10*X[3573] + 3*Y[148] + 4*Y[147] - 9*Y[146] + 11*Y[145] <= 8
model += 3*X[784] + 9*X[3555] + 7*X[6963] + 5*X[2875] - X[6101] - 4*X[6858] + 2*X[1551] - 8*X[588] <= 12
model += 3*X[7271] + 9*X[3151] + 7*X[7052] + 5*X[2405] - X[6217] - 4*X[41] + 2*X[2490] - 8*X[5221] <= 12
model += 3*X[2689] + 9*X[3438] + 7*X[243] + 5*X[5106] - X[5731] - 4*X[6499] + 2*X[735] - 8*X[5279] <= 12
model += 10*X[3651] + 7*X[1256] - 4*X[3757] - 12*X[5859] - 2*Y[145] + Y[144] + 6*Y[159] - 13*Y[158] <= 4
model += -X[3651] - 2*X[1256] + 6*X[3757] - 10*X[5859] + 3*Y[145] + 4*Y[144] - 9*Y[159] + 11*Y[158] <= 8
model += 3*X[1690] + 9*X[5683] + 7*X[697] + 5*X[879] - X[3715] - 4*X[1242] + 2*X[5006] - 8*X[6557] <= 12
model += 3*X[1706] + 9*X[3279] + 7*X[3816] + 5*X[1010] - X[225] - 4*X[7719] + 2*X[496] - 8*X[5504] <= 12
model += 3*X[398] + 9*X[6691] + 7*X[3534] + 5*X[3527] - X[5388] - 4*X[369] + 2*X[2982] - 8*X[4647] <= 12
model += 3*X[98] + 9*X[7536] + 7*X[4977] + 5*X[6829] - X[2925] - 4*X[5304] + 2*X[1321] - 8*X[1103] <= 12
model += 3*X[7266] + 9*X[2645] + 7*X[156] + 5*X[1476] - X[5291] - 4*X[6266] + 2*X[3056] - 8*X[422] <= 12
model += 3*X[675] + 9*X[1944] + 7*X[7004] + 5*X[713] - X[1412] - 4*X[2643] + 2*X[5679] - 8*X[2881] <= 12
model += 10*X[1705] - 12*X[173] + 4*X[1340] + 7*X[3978] + 2*Y[155] - 6*Y[154] - Y[153] + 13*Y[152] <= 16
model += 3*X[7407] + 9*X[1319] + 7*X[652] + 5*X[5013] - X[617] - 4*X[2551] + 2*X[7435] - 8*X[4183] <= 12
model += 3*X[5042] + 9*X[3133] + 7*X[7527] + 5*X[7238] - X[4379] - 4*X[286] + 2*X[383] - 8*X[1570] <= 12
model += 10*X[2668] + 7*X[2866] - 4*X[2926] - 12*X[3721] - 2*Y[152] + Y[151] + 6*Y[150] - 13*Y[149] <= 4
model += -X[2668] - 2*X[2866] + 6*X[2926] - 10*X[3721] + 3*Y[152] + 4*Y[151] - 9*Y[150] + 11*Y[149] <= 8
model += 3*X[5009] + 9*X[72] + 7*X[4579] + 5*X[1731] - X[2036] - 4*X[7188] + 2*X[2062] - 8*X[1595] <= 12
model += 10*X[25] + 7*X[506] - 4*X[5756] - 12*X[6958] - 2*X[1516] + X[6976] + 6*X[470] - 13*X[1657] <= 4
model += -X[25] - 2*X[506] + 6*X[5756] - 10*X[6958] + 3*X[1516] + 4*X[6976] - 9*X[470] + 11*X[1657] <= 8
model += 3*X[2392] + 9*X[395] + 7*X[559] + 5*X[1787] - X[7092] - 4*X[3625] + 2*X[5340] - 8*X[7167] <= 12
model += 3*X[5264] + 9*X[839] + 7*X[7253] + 5*X[5993] - X[3630] - 4*X[1229] + 2*X[7730] - 8*X[353] <= 12
model += 3*X[941] + 9*X[6523] + 7*X[1806] + 5*X[6955] - X[1842] - 4*X[1446] + 2*X[2491] - 8*X[801] <= 12
model += 3*X[7158] + 9*X[7623] + 7*X[5890] + 5*X[3518] - X[980] - 4*X[131] + 2*X[4608] - 8*X[1515] <= 12
model += 3*X[6802] + 9*X[2451] + 7*X[6510] + 5*X[11] - X[7252] - 4*X[1639] + 2*X[7762] - 8*X[5909] <= 12
model += 10*X[3233] + 7*X[6031] - 4*X[1721] - 12*X[5094] - 2*Y[149] + Y[148] + 6*Y[147] - 13*Y[146] <= 4
model += -X[3233] - 2*X[6031] + 6*X[1721] - 10*X[5094] + 3*Y[149] + 4*Y[148] - 9*Y[147] + 11*Y[146] <= 8
model += 3*X[3542] + 9*X[4769] + 7*X[2814] + 5*X[7675] - X[7334] - 4*X[2692] + 2*X[982] - 8*X[542] <= 12
model += 3*X[2977] + 9*X[6276] + 7*X[3992] + 5*X[169] - X[3102] - 4*X[122] + 2*X[2658] - 8*X[2770] <= 12
model += 3*X[5530] + 9*X[287] + 7*X[6769] + 5*X[1640] - X[4952] - 4*X[375] + 2*X[3748] - 8*X[6174] <= 12
model += 10*X[7748] + 7*X[1884] - 4*X[7385] - 12*X[4295] - 2*Y[146] + Y[145] + 6*Y[144] - 13*Y[159] <= 4
model += -X[7748] - 2*X[1884] + 6*X[7385] - 10*X[4295] + 3*Y[146] + 4*Y[145] - 9*Y[144] + 11*Y[159] <= 8
model += 3*X[6855] + 9*X[2189] + 7*X[6107] + 5*X[682] - X[1346] - 4*X[7286] + 2*X[4521] - 8*X[326] <= 12
model += 10*X[5467] - 12*X[5067] + 4*X[683] + 7*X[6763] + 2*X[76] - 6*X[114] - X[4003] + 13*X[264] <= 16
model += 3*X[5565] + 9*X[519] + 7*X[5166] + 5*X[2020] - X[452] - 4*X[2959] + 2*X[6251] - 8*X[2743] <= 12
model += 3*X[6245] + 9*X[6239] + 7*X[883] + 5*X[3309] - X[1510] - 4*X[1617] + 2*X[1907] - 8*X[940] <= 12
model += 3*X[6061] + 9*X[27] + 7*X[1316] + 5*X[2662] - X[7587] - 4*X[7663] + 2*X[6875] - 8*X[7256] <= 12
model += 3*X[7638] + 9*X[3655] + 7*X[2740] + 5*X[4096] - X[2981] - 4*X[305] + 2*X[235] - 8*X[5394] <= 12
model += 3*X[5632] + 9*X[7596] + 7*X[5196] + 5*X[686] - X[4228] - 4*X[5704] + 2*X[288] - 8*X[3622] <= 12
model += 3*X[7023] + 9*X[4765] + 7*X[5828] + 5*X[302] - X[2152] - 4*X[1923] + 2*X[1725] - 8*X[809] <= 12
model += 10*X[2275] - 12*X[539] + 4*X[4973] + 7*X[2957] + 2*Y[159] - 6*Y[158] - Y[157] + 13*Y[156] <= 16
model += 3*X[5420] + 9*X[3450] + 7*X[7267] + 5*X[2228] - X[402] - 4*X[4523] + 2*X[3908] - 8*X[142] <= 12
model += 3*X[1889] + 9*X[2192] + 7*X[308] + 5*X[5230] - X[5672] - 4*X[3246] + 2*X[753] - 8*X[6619] <= 12
model += 10*X[1097] + 7*X[6322] - 4*X[5879] - 12*X[29] - 2*X[424] + X[6317] + 6*X[362] - 13*X[7572] <= 4
model += -X[1097] - 2*X[6322] + 6*X[5879] - 10*X[29] + 3*X[424] + 4*X[6317] - 9*X[362] + 11*X[7572] <= 8
model += 3*X[6824] + 9*X[846] + 7*X[921] + 5*X[3565] - X[6340] - 4*X[7177] + 2*X[4876] - 8*X[5774] <= 12
model += 3*X[426] + 9*X[6304] + 7*X[1309] + 5*X[1084] - X[7180] - 4*X[349] + 2*X[3462] - 8*X[3619] <= 12
model += 10*X[3796] - 12*X[179] + 4*X[7547] + 7*X[5096] + 2*Y[156] - 6*Y[155] - Y[154] + 13*Y[153] <= 16
model += 3*X[5274] + 9*X[396] + 7*X[3170] + 5*X[734] - X[5825] - 4*X[7405] + 2*X[5860] - 8*X[4731] <= 12
model += 10*X[4795] + 7*X[7197] - 4*X[4203] - 12*X[1776] - 2*Y[153] + Y[152] + 6*Y[151] - 13*Y[150] <= 4
model += -X[4795] - 2*X[7197] + 6*X[4203] - 10*X[1776] + 3*Y[153] + 4*Y[152] - 9*Y[151] + 11*Y[150] <= 8
model += 3*X[995] + 9*X[4774] + 7*X[177] + 5*X[7685] - X[1301] - 4*X[5425] + 2*X[6180] - 8*X[7595] <= 12
model += 3*X[6714] + 9*X[3993] + 7*X[2793] + 5*X[5819] - X[43] - 4*X[4457] + 2*X[2043] - 8*X[3464] <= 12
model += 3*X[6413] + 9*X[2797] + 7*X[5513] + 5*X[929] - X[153] - 4*X[6259] + 2*X[3248] - 8*X[5192] <= 12
model += 3*X[5126] + 9*X[456] + 7*X[5054] + 5*X[3562] - X[3396] - 4*X[892] + 2*X[6213] - 8*X[5344] <= 12
model += 3*X[3460] + 9*X[2836] + 7*X[7520] + 5*X[5386] - X[7102] - 4*X[1227] + 2*X[97] - 8*X[3081] <= 12
model += 10*X[910] - 12*X[4811] + 4*X[1143] + 7*X[4345] + 2*Y[150] - 6*Y[149] - Y[148] + 13*Y[147] <= 16
model += 10*X[5361] + 7*X[6804] - 4*X[2974] - 12*X[6145] - 2*X[6178] + X[5712] + 6*X[4] - 13*X[344] <= 4
model += -X[5361] - 2*X[6804] + 6*X[2974] - 10*X[6145] + 3*X[6178] + 4*X[5712] - 9*X[4] + 11*X[344] <= 8
model += 3*X[5807] + 9*X[849] + 7*X[3059] + 5*X[565] - X[6376] - 4*X[3856] + 2*X[7441] - 8*X[6616] <= 12
model += 3*X[3560] + 9*X[2248] + 7*X[4472] + 5*X[163] - X[248] - 4*X[3538] + 2*X[4903] - 8*X[5564] <= 12
model += 3*X[900] + 9*X[1434] + 7*X[6692] + 5*X[1761] - X[6605] - 4*X[4603] + 2*X[828] - 8*X[3764] <= 12
model += 3*X[919] + 9*X[2886] + 7*X[5252] + 5*X[5932] - X[609] - 4*X[4745] + 2*X[1162] - 8*X[5542] <= 12
model += 3*X[6230] + 9*X[65] + 7*X[4220] + 5*X[2636] - X[3649] - 4*X[5590] + 2*X[1083] - 8*X[7030] <= 12
model += 3*X[6497] + 9*X[4128] + 7*X[2670] + 5*X[6666] - X[6027] - 4*X[633] + 2*X[752] - 8*X[5938] <= 12
model += 3*X[3854] + 9*X[1979] + 7*X[2772] + 5*X[1443] - X[3107] - 4*X[189] + 2*X[996] - 8*X[2702] <= 12
model += 3*X[5123] + 9*X[3606] + 7*X[2456] + 5*X[825] - X[5720] - 4*X[2100] + 2*X[7073] - 8*X[721] <= 12
model += 3*X[5806] + 9*X[7002] + 7*X[462] + 5*X[4428] - X[2703] - 4*X[969] + 2*X[1047] - 8*X[1147] <= 12
model += 10*X[6432] + 7*X[5974] - 4*X[5384] - 12*X[2841] - 2*Y[144] + Y[159] + 6*Y[158] - 13*Y[157] <= 4
model += -X[6432] - 2*X[5974] + 6*X[5384] - 10*X[2841] + 3*Y[144] + 4*Y[159] - 9*Y[158] + 11*Y[157] <= 8
model += 3*X[1877] + 9*X[7518] + 7*X[214] + 5*X[845] - X[3412] - 4*X[6460] + 2*X[4396] - 8*X[2364] <= 12
model += 3*X[7115] + 9*X[1765] + 7*X[5861] + 5*X[4025] - X[951] - 4*X[7035] + 2*X[3925] - 8*X[866] <= 12
model += 3*X[3736] + 9*X[954] + 7*X[3962] + 5*X[2904] - X[3437] - 4*X[5502] + 2*X[6071] - 8*X[971] <= 12
model += 10*X[737] + 7*X[39] - 4*X[3140] - 12*X[2202] - 2*X[416] + X[4502] + 6*X[1788] - 13*X[4378] <= 4
model += -X[737] - 2*X[39] + 6*X[3140] - 10*X[2202] + 3*X[416] + 4*X[4502] - 9*X[1788] + 11*X[4378] <= 8
model += 10*X[6152] + 7*X[5485] - 4*X[150] - 12*X[7235] - 2*X[24] + X[730] + 6*X[3503] - 13*X[5012] <= 4
model += -X[6152] - 2*X[5485] + 6*X[150] - 10*X[7235] + 3*X[24] + 4*X[730] - 9*X[3503] + 11*X[5012] <= 8
model += 3*X[3949] + 9*X[5945] + 7*X[595] + 5*X[2101] - X[5419] - 4*X[4635] + 2*X[296] - 8*X[3017] <= 12
model += 3*X[5534] + 9*X[7677] + 7*X[4460] + 5*X[1546] - X[5215] - 4*X[78] + 2*X[6546] - 8*X[6030] <= 12
model += 3*X[643] + 9*X[596] + 7*X[1780] + 5*X[5269] - X[2314] - 4*X[4305] + 2*X[3370] - 8*X[4440] <= 12
model += 3*X[876] + 9*X[1673] + 7*X[2143] + 5*X[547] - X[2479] - 4*X[7613] + 2*X[6118] - 8*X[2585] <= 12
model += 3*X[5963] + 9*X[5076] + 7*X[410] + 5*X[812] - X[1554] - 4*X[2452] + 2*X[5701] - 8*X[5663] <= 12
model += 3*X[1374] + 9*X[238] + 7*X[6948] + 5*X[7603] - X[3990] - 4*X[625] + 2*X[3307] - 8*X[5044] <= 12
model += 3*X[3032] + 9*X[3297] + 7*X[2518] + 5*X[3805] - X[3336] - 4*X[1649] + 2*X[67] - 8*X[6117] <= 12
model += 3*X[4785] + 9*X[7604] + 7*X[857] + 5*X[1062] - X[399] - 4*X[6736] + 2*X[4031] - 8*X[4715] <= 12
model += 3*X[2488] + 9*X[770] + 7*X[3480] + 5*X[6567] - X[563] - 4*X[3701] + 2*X[2290] - 8*X[3929] <= 12
model += 10*X[280] + 7*X[3147] - 4*X[476] - 12*X[6001] - 2*X[6131] + X[6464] + 6*X[4104] - 13*X[70] <= 4
model += -X[280] - 2*X[3147] + 6*X[476] - 10*X[6001] + 3*X[6131] + 4*X[6464] - 9*X[4104] + 11*X[70] <= 8
model += 3*X[5219] + 9*X[747] + 7*X[4201] + 5*X[3843] - X[4387] - 4*X[247] + 2*X[2386] - 8*X[6541] <= 12
model += 3*X[1665] + 9*X[3507] + 7*X[367] + 5*X[432] - X[5893] - 4*X[4762] + 2*X[7042] - 8*X[4260] <= 12
model += 10*X[7088] - 12*X[791] + 4*X[1237] + 7*X[480] + 2*X[2669] - 6*Y[150] - Y[149] + 13*Y[148] <= 16
model += 3*X[1247] + 9*X[6502] + 7*X[249] + 5*X[124] - X[3380] - 4*X[4408] + 2*X[1633] - 8*X[7285] <= 12
model += 3*X[7682] + 9*X[42] + 7*X[3935] + 5*X[2617] - X[4837] - 4*X[1435] + 2*X[2864] - 8*X[3510] <= 12
model += 10*X[1751] + 7*X[645] - 4*X[378] - 12*X[126] - 2*X[2010] + X[493] + 6*X[4816] - 13*X[6455] <= 4
model += -X[1751] - 2*X[645] + 6*X[378] - 10*X[126] + 3*X[2010] + 4*X[493] - 9*X[4816] + 11*X[6455] <= 8
model += 3*X[7021] + 9*X[3684] + 7*X[3095] + 5*X[7193] - X[745] - 4*X[1557] + 2*X[226] - 8*X[4093] <= 12
model += 3*X[780] + 9*X[1819] + 7*X[6739] + 5*X[1910] - X[2241] - 4*X[6396] + 2*X[962] - 8*X[3543] <= 12
model += 3*X[6919] + 9*X[6664] + 7*X[5674] + 5*X[1414] - X[498] - 4*X[4300] + 2*X[1056] - 8*X[350] <= 12
model += 3*X[6893] + 9*X[2805] + 7*X[5430] + 5*X[2249] - X[7696] - 4*X[118] + 2*X[290] - 8*X[4398] <= 12
model += 3*X[5349] + 9*X[6021] + 7*X[5844] + 5*X[6676] - X[5582] - 4*X[2502] + 2*X[558] - 8*X[871] <= 12
model += 3*X[6035] + 9*X[407] + 7*X[1380] + 5*X[2432] - X[948] - 4*X[5883] + 2*X[1689] - 8*X[5885] <= 12
model += 3*X[1324] + 9*X[5656] + 7*X[762] + 5*X[3292] - X[594] - 4*X[5127] + 2*X[5999] - 8*X[1356] <= 12
model += 3*X[371] + 9*X[2218] + 7*X[6796] + 5*X[807] - X[1821] - 4*X[2119] + 2*X[4996] - 8*X[5789] <= 12
model += 10*X[4562] + 7*X[31] - 4*X[6968] - 12*X[5206] - 2*X[82] + X[2862] + 6*X[2167] - 13*X[6539] <= 4
model += -X[4562] - 2*X[31] + 6*X[6968] - 10*X[5206] + 3*X[82] + 4*X[2862] - 9*X[2167] + 11*X[6539] <= 8
model += 3*X[5933] + 9*X[5319] + 7*X[1118] + 5*X[7458] - X[28] - 4*X[5558] + 2*X[3188] - 8*X[4746] <= 12
model += 3*X[6640] + 9*X[885] + 7*X[7213] + 5*X[197] - X[6100] - 4*X[5833] + 2*X[2501] - 8*X[5758] <= 12
model += 3*X[827] + 9*X[2191] + 7*X[6036] + 5*X[685] - X[5599] - 4*X[3656] + 2*X[6480] - 8*X[6624] <= 12
model += 3*X[7453] + 9*X[4665] + 7*X[5894] + 5*X[6207] - X[32] - 4*X[7697] + 2*X[4328] - 8*X[3594] <= 12
model += 3*X[2589] + 9*X[6725] + 7*X[7588] + 5*X[6585] - X[1913] - 4*X[3981] + 2*X[61] - 8*X[1454] <= 12
model += 3*X[4468] + 9*X[5919] + 7*X[260] + 5*X[6387] - X[3285] - 4*X[1410] + 2*X[7586] - 8*X[731] <= 12
model += 3*X[6358] + 9*X[1225] + 7*X[1159] + 5*X[6730] - X[3413] - 4*X[4674] + 2*X[154] - 8*X[510] <= 12
model += 3*X[7037] + 9*X[1263] + 7*X[7217] + 5*X[4107] - X[4407] - 4*X[3713] + 2*X[89] - 8*X[3241] <= 12
model += 3*X[4927] + 9*X[3734] + 7*X[912] + 5*X[2048] - X[5973] - 4*X[615] + 2*X[7723] - 8*X[5205] <= 12
model += 3*X[6445] + 9*X[7330] + 7*X[5951] + 5*X[4887] - X[754] - 4*X[2007] + 2*X[1803] - 8*X[166] <= 12
model += 10*X[7754] + 7*X[324] - 4*X[223] - 12*X[86] - 2*X[5008] + X[7221] + 6*X[6615] - 13*X[4882] <= 4
model += -X[7754] - 2*X[324] + 6*X[223] - 10*X[86] + 3*X[5008] + 4*X[7221] - 9*X[6615] + 11*X[4882] <= 8
model += 3*X[2576] + 9*X[820] + 7*X[1700] + 5*X[5341] - X[2013] - 4*X[2738] + 2*X[826] - 8*X[4458] <= 12
model += 3*X[1327] + 9*X[946] + 7*X[7492] + 5*X[7545] - X[2300] - 4*X[732] + 2*X[6170] - 8*X[3669] <= 12
model += 3*X[751] + 9*X[3387] + 7*X[942] + 5*X[6767] - X[5421] - 4*X[2914] + 2*X[2122] - 8*X[1500] <= 12
model += 3*X[936] + 9*X[3750] + 7*X[2270] + 5*X[882] - X[3721] - 4*X[2858] + 2*X[7619] - 8*X[6297] <= 12
model += 3*X[2183] + 9*X[7672] + 7*X[789] + 5*X[6862] - X[627] - 4*X[4675] + 2*X[4507] - 8*X[1832] <= 12
model += 3*X[7140] + 9*X[3295] + 7*X[7370] + 5*X[2304] - X[2627] - 4*X[320] + 2*X[3330] - 8*X[599] <= 12
model += 3*X[4094] + 9*X[140] + 7*X[2665] + 5*X[5014] - X[4751] - 4*X[4515] + 2*X[6309] - 8*X[854] <= 12
model += 3*X[4671] + 9*X[3775] + 7*X[1405] + 5*X[6782] - X[5943] - 4*X[330] + 2*X[693] - 8*X[1089] <= 12
model += 3*X[3166] + 9*X[2812] + 7*X[3448] + 5*X[6522] - X[4627] - 4*X[2067] + 2*X[1068] - 8*X[69] <= 12
model += 3*X[3881] + 9*X[935] + 7*X[193] + 5*X[2555] - X[2440] - 4*X[6093] + 2*X[1296] - 8*X[7722] <= 12
model += 3*X[3724] + 9*X[5755] + 7*X[2637] + 5*X[4067] - X[579] - 4*X[7032] + 2*X[626] - 8*X[2542] <= 12
model += 3*X[2303] + 9*X[2044] + 7*X[2200] + 5*X[896] - X[1828] - 4*X[4291] + 2*X[5312] - 8*X[251] <= 12
model += 3*X[1480] + 9*X[7053] + 7*X[750] + 5*X[6540] - X[1846] - 4*X[146] + 2*X[3254] - 8*X[1199] <= 12
model += 10*X[12] + 7*X[4411] - 4*X[4424] - 12*X[5107] - 2*X[4295] + X[3918] + 6*X[68] - 13*X[7212] <= 4
model += -X[12] - 2*X[4411] + 6*X[4424] - 10*X[5107] + 3*X[4295] + 4*X[3918] - 9*X[68] + 11*X[7212] <= 8
model += 3*X[6047] + 9*X[3069] + 7*X[708] + 5*X[3595] - X[1683] - 4*X[3490] + 2*X[459] - 8*X[3941] <= 12
model += 3*X[4558] + 9*X[7554] + 7*X[5261] + 5*X[819] - X[3844] - 4*X[356] + 2*X[2527] - 8*X[5762] <= 12
model += 3*X[176] + 9*X[3409] + 7*X[6861] + 5*X[7506] - X[2957] - 4*X[1705] + 2*X[173] - 8*X[1340] <= 12
model += 3*X[1887] + 9*X[841] + 7*X[3716] + 5*X[4066] - X[6651] - 4*X[4628] + 2*X[1059] - 8*X[4547] <= 12
model += 3*X[1519] + 9*X[6350] + 7*X[359] + 5*X[7131] - X[5914] - 4*X[3525] + 2*X[2846] - 8*X[5733] <= 12
model += 3*X[1406] + 9*X[5795] + 7*X[3766] + 5*X[7129] - X[6258] - 4*X[1397] + 2*X[947] - 8*X[3945] <= 12
model += 3*X[5535] + 9*X[970] + 7*X[2674] + 5*X[2870] - X[3531] - 4*X[4561] + 2*X[3894] - 8*X[1532] <= 12
model += 3*X[1310] + 9*X[346] + 7*X[4909] + 5*X[3489] - X[6236] - 4*X[3568] + 2*X[4740] - 8*X[2615] <= 12
model += 3*X[1137] + 9*X[4433] + 7*X[6110] + 5*X[5714] - X[604] - 4*X[6593] + 2*X[5639] - 8*X[2453] <= 12
model += 3*X[3646] + 9*X[231] + 7*X[1393] + 5*X[6733] - X[4232] - 4*X[6402] + 2*X[3231] - 8*X[7224] <= 12
model += 3*X[881] + 9*X[6629] + 7*X[5047] + 5*X[5918] - X[6548] - 4*X[6232] + 2*X[2234] - 8*X[2180] <= 12
model += 3*X[5589] + 9*X[268] + 7*X[2366] + 5*X[2688] - X[6580] - 4*X[5956] + 2*X[5518] - 8*X[3214] <= 12
model += 3*X[1204] + 9*X[4520] + 7*X[2672] + 5*X[1494] - X[413] - 4*X[3670] + 2*X[4752] - 8*X[4638] <= 12
model += 10*X[50] + 7*X[104] - 4*X[6412] - 12*X[6079] - 2*X[2299] + X[5048] + 6*X[7138] - 13*X[4710] <= 4
model += -X[50] - 2*X[104] + 6*X[6412] - 10*X[6079] + 3*X[2299] + 4*X[5048] - 9*X[7138] + 11*X[4710] <= 8
model += 3*X[6156] + 9*X[7089] + 7*X[7195] + 5*X[794] - X[3745] - 4*X[6165] + 2*X[2130] - 8*X[3851] <= 12
model += 3*X[5804] + 9*X[365] + 7*X[4990] + 5*X[4080] - X[2460] - 4*X[3679] + 2*X[6342] - 8*X[1748] <= 12
model += 3*X[4348] + 9*X[1407] + 7*X[6669] + 5*X[4637] - X[3226] - 4*X[977] + 2*X[5703] - 8*X[6495] <= 12
model += 3*X[1809] + 9*X[7189] + 7*X[1890] + 5*X[3604] - X[2773] - 4*X[1470] + 2*X[192] - 8*X[3141] <= 12
model += 3*X[3084] + 9*X[3223] + 7*X[6649] + 5*X[438] - X[2655] - 4*X[1114] + 2*X[5533] - 8*X[1171] <= 12
model += 3*X[6113] + 9*X[2411] + 7*X[6823] + 5*X[2436] - X[4563] - 4*X[608] + 2*X[3824] - 8*X[5511] <= 12
model += 3*X[1584] + 9*X[5268] + 7*X[7202] + 5*X[4369] - X[5550] - 4*X[718] + 2*X[3828] - 8*X[3735] <= 12
model += 3*X[2251] + 9*X[5717] + 7*X[6634] + 5*X[7401] - X[2172] - 4*X[2151] + 2*X[103] - 8*X[7485] <= 12
model += 3*X[7056] + 9*X[707] + 7*X[2374] + 5*X[5114] - X[3373] - 4*X[1627] + 2*X[3608] - 8*X[1289] <= 12
model += 3*X[3671] + 9*X[5915] + 7*X[468] + 5*X[1238] - X[3515] - 4*X[4983] + 2*X[3853] - 8*X[3085] <= 12
model += 3*X[5088] + 9*X[5270] + 7*X[4410] + 5*X[5990] - X[414] - 4*X[2484] + 2*X[3029] - 8*X[4944] <= 12
model += 10*X[4289] + 7*X[646] - 4*X[523] - 12*X[5313] - 2*X[1624] + X[2424] + 6*X[313] - 13*X[3940] <= 4
model += -X[4289] - 2*X[646] + 6*X[523] - 10*X[5313] + 3*X[1624] + 4*X[2424] - 9*X[313] + 11*X[3940] <= 8
model += 3*X[487] + 9*X[5645] + 7*X[7050] + 5*X[2455] - X[2980] - 4*X[7110] + 2*X[6346] - 8*X[3331] <= 12
model += 3*X[4504] + 9*X[4054] + 7*X[6065] + 5*X[4375] - X[6329] - 4*X[4559] + 2*X[567] - 8*X[2911] <= 12
model += 3*X[5630] + 9*X[418] + 7*X[7476] + 5*X[2955] - X[1962] - 4*X[5444] + 2*X[4575] - 8*X[5339] <= 12
model += 10*X[4116] - 12*X[21] + 4*X[7501] + 7*X[5429] + 2*X[4344] - 6*X[1375] - X[662] + 13*X[354] <= 16
model += 3*X[1040] + 9*X[312] + 7*X[7759] + 5*X[6937] - X[4370] - 4*X[3790] + 2*X[4884] - 8*X[2139] <= 12
model += 3*X[6450] + 9*X[241] + 7*X[7015] + 5*X[1992] - X[2867] - 4*X[5735] + 2*X[5929] - 8*X[2236] <= 12
model += 3*X[322] + 9*X[7360] + 7*X[3702] + 5*X[3712] - X[6888] - 4*X[2154] + 2*X[3476] - 8*X[4477] <= 12
model += 10*X[1698] + 7*X[6508] - 4*X[6979] - 12*X[1938] - 2*X[474] + X[7477] + 6*X[1270] - 13*X[16] <= 4
model += -X[1698] - 2*X[6508] + 6*X[6979] - 10*X[1938] + 3*X[474] + 4*X[7477] - 9*X[1270] + 11*X[16] <= 8
model += 3*X[3732] + 9*X[739] + 7*X[2860] + 5*X[2296] - X[2397] - 4*X[1739] + 2*X[6452] - 8*X[6997] <= 12
model += 3*X[2489] + 9*X[6132] + 7*X[361] + 5*X[3094] - X[6715] - 4*X[6143] + 2*X[1831] - 8*X[4906] <= 12
model += 3*X[7148] + 9*X[6381] + 7*X[5367] + 5*X[1000] - X[185] - 4*X[4292] + 2*X[1012] - 8*X[7209] <= 12
model += 3*X[1075] + 9*X[7434] + 7*X[1720] + 5*X[5837] - X[889] - 4*X[1703] + 2*X[5282] - 8*X[3593] <= 12
model += 10*X[115] + 7*X[141] - 4*X[7651] - 12*X[5354] - 2*X[6330] + X[7153] + 6*X[765] - 13*X[6783] <= 4
model += -X[115] - 2*X[141] + 6*X[7651] - 10*X[5354] + 3*X[6330] + 4*X[7153] - 9*X[765] + 11*X[6783] <= 8
model += 3*X[6701] + 9*X[4361] + 7*X[629] + 5*X[6759] - X[1357] - 4*X[2833] + 2*X[2908] - 8*X[6608] <= 12
model += 10*X[3706] + 7*X[798] - 4*X[3665] - 12*X[668] - 2*X[1358] + X[174] + 6*X[1069] - 13*X[3561] <= 4
model += -X[3706] - 2*X[798] + 6*X[3665] - 10*X[668] + 3*X[1358] + 4*X[174] - 9*X[1069] + 11*X[3561] <= 8
model += 3*X[1729] + 9*X[1740] + 7*X[4831] + 5*X[1430] - X[6751] - 4*X[5474] + 2*X[1855] - 8*X[907] <= 12
model += 10*X[5692] + 7*X[215] - 4*X[4869] - 12*X[6056] - 2*X[196] + X[1998] + 6*X[314] - 13*X[4776] <= 4
model += -X[5692] - 2*X[215] + 6*X[4869] - 10*X[6056] + 3*X[196] + 4*X[1998] - 9*X[314] + 11*X[4776] <= 8
model += 10*X[464] + 7*X[1826] - 4*X[337] - 12*X[4233] - 2*X[540] + X[7022] + 6*X[4981] - 13*X[3663] <= 4
model += -X[464] - 2*X[1826] + 6*X[337] - 10*X[4233] + 3*X[540] + 4*X[7022] - 9*X[4981] + 11*X[3663] <= 8
model += 3*X[6702] + 9*X[3699] + 7*X[3601] + 5*X[2801] - X[292] - 4*X[3793] + 2*X[7541] - 8*X[3829] <= 12
model += 3*X[4845] + 9*X[2897] + 7*X[6288] + 5*X[4692] - X[7414] - 4*X[989] + 2*X[7157] - 8*X[4708] <= 12
model += 3*X[788] + 9*X[4399] + 7*X[3611] + 5*X[1815] - X[5029] - 4*X[2190] + 2*X[1235] - 8*X[7556] <= 12
model += 3*X[6279] + 9*X[7031] + 7*X[3822] + 5*X[2243] - X[3872] - 4*X[1233] + 2*X[2783] - 8*X[679] <= 12
model += 10*X[6183] + 7*X[7298] - 4*X[90] - 12*X[4775] - 2*X[4335] + X[918] + 6*X[1513] - 13*X[3060] <= 4
model += -X[6183] - 2*X[7298] + 6*X[90] - 10*X[4775] + 3*X[4335] + 4*X[918] - 9*X[1513] + 11*X[3060] <= 8
model += 3*X[2330] + 9*X[1004] + 7*X[7160] + 5*X[848] - X[3351] - 4*X[2999] + 2*X[3009] - 8*X[7624] <= 12
model += 3*X[175] + 9*X[3050] + 7*X[2050] + 5*X[1450] - X[7703] - 4*X[2250] + 2*X[2767] - 8*X[6760] <= 12
model += 3*X[1355] + 9*X[4076] + 7*X[1290] + 5*X[5320] - X[428] - 4*X[1553] + 2*X[1462] - 8*X[5124] <= 12
model += 3*X[3410] + 9*X[4613] + 7*X[3526] + 5*X[4912] - X[1620] - 4*X[674] + 2*X[4801] - 8*X[2733] <= 12
model += 3*X[5593] + 9*X[7551] + 7*X[463] + 5*X[7521] - X[3966] - 4*X[3903] + 2*X[3014] - 8*X[1248] <= 12
model += 3*X[7539] + 9*X[5882] + 7*X[508] + 5*X[1161] - X[4479] - 4*X[3874] + 2*X[7668] - 8*X[2621] <= 12
model += 3*X[4173] + 9*X[1268] + 7*X[4619] + 5*X[2618] - X[2764] - 4*X[6201] + 2*X[726] - 8*X[2284] <= 12
model += 3*X[992] + 9*X[7655] + 7*X[1489] + 5*X[6594] - X[7436] - 4*X[2975] + 2*X[1192] - 8*X[5549] <= 12
model += 10*X[2282] + 7*X[1127] - 4*X[1163] - 12*X[1899] - 2*X[245] + X[3104] + 6*X[205] - 13*X[541] <= 4
model += -X[2282] - 2*X[1127] + 6*X[1163] - 10*X[1899] + 3*X[245] + 4*X[3104] - 9*X[205] + 11*X[541] <= 8
model += 3*X[1228] + 9*X[4722] + 7*X[7263] + 5*X[2458] - X[2696] - 4*X[239] + 2*X[5852] - 8*X[5556] <= 12
model += 3*X[2350] + 9*X[5330] + 7*X[1453] + 5*X[2832] - X[783] - 4*X[2985] + 2*X[7760] - 8*X[1835] <= 12
model += 10*X[1652] + 7*X[13] - 4*X[5676] - 12*X[3180] - 2*X[4853] + X[355] + 6*X[4062] - 13*X[5458] <= 4
model += -X[1652] - 2*X[13] + 6*X[5676] - 10*X[3180] + 3*X[4853] + 4*X[355] - 9*X[4062] + 11*X[5458] <= 8
model += 3*X[7262] + 9*X[4747] + 7*X[3481] + 5*X[3064] - X[562] - 4*X[1279] + 2*X[3146] - 8*X[3850] <= 12
model += 3*X[6761] + 9*X[2786] + 7*X[3155] + 5*X[6825] - X[1428] - 4*X[1359] + 2*X[769] - 8*X[7557] <= 12
model += 3*X[3469] + 9*X[5591] + 7*X[2260] + 5*X[7790] - X[7746] - 4*X[4239] + 2*X[6547] - 8*X[155] <= 12
model += 3*X[2878] + 9*X[984] + 7*X[6941] + 5*X[4597] - X[2184] - 4*X[4015] + 2*X[4577] - 8*X[6793] <= 12
model += 3*X[7135] + 9*X[803] + 7*X[2416] + 5*X[4672] - X[5060] - 4*X[5857] + 2*X[6964] - 8*X[6911] <= 12
model += 3*X[5074] + 9*X[4667] + 7*X[1573] + 5*X[188] - X[1429] - 4*X[4150] + 2*X[7474] - 8*X[4951] <= 12
model += 3*X[711] + 9*X[7756] + 7*X[4544] + 5*X[6917] - X[3803] - 4*X[7151] + 2*X[7715] - 8*X[7230] <= 12
model += 10*X[5902] + 7*X[373] - 4*X[796] - 12*X[723] - 2*X[4782] + X[3179] + 6*X[6153] - 13*X[4140] <= 4
model += -X[5902] - 2*X[373] + 6*X[796] - 10*X[723] + 3*X[4782] + 4*X[3179] - 9*X[6153] + 11*X[4140] <= 8
model += 10*X[377] - 12*X[7490] + 4*X[1294] + 7*X[5982] + 2*X[482] - 6*X[66] - X[1144] + 13*X[3079] <= 16
model += 3*X[2153] + 9*X[5051] + 7*X[1071] + 5*X[4087] - X[755] - 4*X[2511] + 2*X[1830] - 8*X[5551] <= 12
model += 3*X[806] + 9*X[6758] + 7*X[1057] + 5*X[5359] - X[3173] - 4*X[5440] + 2*X[1534] - 8*X[5618] <= 12
model += 10*X[2620] + 7*X[59] - 4*X[790] - 12*X[4993] - 2*X[3424] + X[5494] + 6*X[7412] - 13*X[5538] <= 4
model += -X[2620] - 2*X[59] + 6*X[790] - 10*X[4993] + 3*X[3424] + 4*X[5494] - 9*X[7412] + 11*X[5538] <= 8
model += 10*X[272] - 12*X[1048] + 4*X[6102] + 7*X[181] + 2*X[6449] - 6*X[4725] - X[715] + 13*X[894] <= 16
model += 3*X[1654] + 9*X[581] + 7*X[4657] + 5*X[5616] - X[1881] - 4*X[6465] + 2*X[7639] - 8*X[2444] <= 12
model += 3*X[1732] + 9*X[4045] + 7*X[3756] + 5*X[3956] - X[5691] - 4*X[7003] + 2*X[109] - 8*X[3768] <= 12
model += 3*X[1436] + 9*X[5509] + 7*X[987] + 5*X[5129] - X[1503] - 4*X[4404] + 2*X[7598] - 8*X[5173] <= 12
model += 10*X[3959] + 7*X[60] - 4*X[2892] - 12*X[507] - 2*X[3293] + X[4026] + 6*X[1343] - 13*X[1257] <= 4
model += -X[3959] - 2*X[60] + 6*X[2892] - 10*X[507] + 3*X[3293] + 4*X[4026] - 9*X[1343] + 11*X[1257] <= 8
model += 3*X[2685] + 9*X[3951] + 7*X[4925] + 5*X[3580] - X[2856] - 4*X[5823] + 2*X[6853] - 8*X[240] <= 12
model += 10*X[859] + 7*X[2771] - 4*X[5757] - 12*X[37] - 2*X[3249] + X[1985] + 6*X[4860] - 13*X[3905] <= 4
model += -X[859] - 2*X[2771] + 6*X[5757] - 10*X[37] + 3*X[3249] + 4*X[1985] - 9*X[4860] + 11*X[3905] <= 8
model += 3*X[4954] + 9*X[7469] + 7*X[2403] + 5*X[7774] - X[4630] - 4*X[3729] + 2*X[6709] - 8*X[888] <= 12
model += 3*X[5032] + 9*X[5097] + 7*X[1052] + 5*X[648] - X[4571] - 4*X[4707] + 2*X[2423] - 8*X[3858] <= 12
model += 3*X[5055] + 9*X[6351] + 7*X[587] + 5*X[7081] - X[4214] - 4*X[5040] + 2*X[3591] - 8*X[1667] <= 12
model += 10*X[3597] + 7*X[5747] - 4*X[5063] - 12*X[63] - 2*X[6791] + X[4849] + 6*X[4330] - 13*X[710] <= 4
model += -X[3597] - 2*X[5747] + 6*X[5063] - 10*X[63] + 3*X[6791] + 4*X[4849] - 9*X[4330] + 11*X[710] <= 8
model += 10*X[74] - 12*X[3312] + 4*X[5210] + 7*X[2337] + 2*X[408] - 6*X[358] - X[2198] + 13*X[7752] <= 16
model += 3*X[6727] + 9*X[6826] + 7*X[1403] + 5*X[157] - X[6870] - 4*X[3278] + 2*X[5401] - 8*X[2865] <= 12
model += 10*X[3477] + 7*X[771] - 4*X[2310] - 12*X[1978] - 2*X[5917] + X[257] + 6*X[578] - 13*X[6196] <= 4
model += -X[3477] - 2*X[771] + 6*X[2310] - 10*X[1978] + 3*X[5917] + 4*X[257] - 9*X[578] + 11*X[6196] <= 8
model += 3*X[7646] + 9*X[3694] + 7*X[6518] + 5*X[3730] - X[5605] - 4*X[3864] + 2*X[6020] - 8*X[931] <= 12
model += 3*X[5668] + 9*X[958] + 7*X[2308] + 5*X[5171] - X[1284] - 4*X[7058] + 2*X[4400] - 8*X[3375] <= 12
model += 10*X[502] + 7*X[1915] - 4*X[526] - 12*X[5100] - 2*X[2288] + X[7580] + 6*X[3980] - 13*X[802] <= 4
model += -X[502] - 2*X[1915] + 6*X[526] - 10*X[5100] + 3*X[2288] + 4*X[7580] - 9*X[3980] + 11*X[802] <= 8
model += 3*X[3647] + 9*X[5694] + 7*X[1467] + 5*X[3637] - X[5139] - 4*X[7040] + 2*X[5433] - 8*X[304] <= 12
model += 3*X[1205] + 9*X[485] + 7*X[2481] + 5*X[4059] - X[5024] - 4*X[6788] + 2*X[6778] - 8*X[1568] <= 12
model += 3*X[1812] + 9*X[7394] + 7*X[1482] + 5*X[2876] - X[2825] - 4*X[4931] + 2*X[4726] - 8*X[343] <= 12
model += 3*X[782] + 9*X[6920] + 7*X[2671] + 5*X[3148] - X[4625] - 4*X[3333] + 2*X[7239] - 8*X[1391] <= 12
model += 10*X[3494] + 7*X[2201] - 4*X[3318] - 12*X[5325] - 2*X[2262] + X[9] + 6*X[5247] - 13*X[4226] <= 4
model += -X[3494] - 2*X[2201] + 6*X[3318] - 10*X[5325] + 3*X[2262] + 4*X[9] - 9*X[5247] + 11*X[4226] <= 8
model += 3*X[2164] + 9*X[6349] + 7*X[1917] + 5*X[1222] - X[3024] - 4*X[5472] + 2*X[340] - 8*X[7575] <= 12
model += 3*X[415] + 9*X[7749] + 7*X[6198] + 5*X[1017] - X[1837] - 4*X[1836] + 2*X[6902] - 8*X[1626] <= 12
model += 10*X[7362] + 7*X[6454] - 4*X[677] - 12*X[3653] - 2*X[273] + X[4971] + 6*X[6533] - 13*X[979] <= 4
model += -X[7362] - 2*X[6454] + 6*X[677] - 10*X[3653] + 3*X[273] + 4*X[4971] - 9*X[6533] + 11*X[979] <= 8
model += 3*X[3760] + 9*X[5360] + 7*X[3356] + 5*X[1464] - X[814] - 4*X[2433] + 2*X[1115] - 8*X[3304] <= 12
model += 3*X[5228] + 9*X[944] + 7*X[6589] + 5*X[2463] - X[1317] - 4*X[1914] + 2*X[1531] - 8*X[6063] <= 12
model += 3*X[930] + 9*X[7029] + 7*X[5563] + 5*X[2726] - X[2437] - 4*X[6578] + 2*X[1193] - 8*X[1145] <= 12
model += 10*X[1011] - 12*X[319] + 4*X[5090] + 7*X[7046] + 2*X[642] - 6*X[2149] - X[417] + 13*X[993] <= 16
model += 3*X[4270] + 9*X[227] + 7*X[1607] + 5*X[2889] - X[3511] - 4*X[1008] + 2*X[6904] - 8*X[2360] <= 12
model += 3*X[2305] + 9*X[421] + 7*X[5573] + 5*X[6135] - X[2869] - 4*X[4918] + 2*X[1861] - 8*X[4631] <= 12
model += 3*X[1674] + 9*X[1757] + 7*X[4051] + 5*X[518] - X[7218] - 4*X[1646] + 2*X[6249] - 8*X[2017] <= 12
model += 3*X[5584] + 9*X[6401] + 7*X[804] + 5*X[4600] - X[4382] - 4*X[6485] + 2*X[4250] - 8*X[6551] <= 12
model += 10*X[2966] + 7*X[6378] - 4*X[165] - 12*X[5030] - 2*X[761] + X[3635] + 6*X[591] - 13*X[6729] <= 4
model += -X[2966] - 2*X[6378] + 6*X[165] - 10*X[5030] + 3*X[761] + 4*X[3635] - 9*X[591] + 11*X[6729] <= 8
model += 10*X[6526] + 7*X[348] - 4*X[1623] - 12*X[860] - 2*X[597] + X[3886] + 6*X[6134] - 13*X[4799] <= 4
model += -X[6526] - 2*X[348] + 6*X[1623] - 10*X[860] + 3*X[597] + 4*X[3886] - 9*X[6134] + 11*X[4799] <= 8
model += 3*X[1398] + 9*X[2572] + 7*X[1152] + 5*X[6927] - X[1822] - 4*X[5620] + 2*X[655] - 8*X[5897] <= 12
model += 3*X[7332] + 9*X[5705] + 7*X[1597] + 5*X[3569] - X[1847] - 4*X[2348] + 2*X[5941] - 8*X[439] <= 12
model += 3*X[1394] + 9*X[4042] + 7*X[1021] + 5*X[1136] - X[2263] - 4*X[6334] + 2*X[2388] - 8*X[705] <= 12
model += 3*X[293] + 9*X[3210] + 7*X[3924] + 5*X[2498] - X[4863] - 4*X[6834] + 2*X[2960] - 8*X[4921] <= 12
model += 10*X[1518] + 7*X[198] - 4*X[5940] - 12*X[618] - 2*X[2826] + X[5809] + 6*X[974] - 13*X[6097] <= 4
model += -X[1518] - 2*X[198] + 6*X[5940] - 10*X[618] + 3*X[2826] + 4*X[5809] - 9*X[974] + 11*X[6097] <= 8
model += 10*X[3878] + 7*X[112] - 4*X[447] - 12*X[6633] - 2*X[3668] + X[738] + 6*X[2686] - 13*X[2166] <= 4
model += -X[3878] - 2*X[112] + 6*X[447] - 10*X[6633] + 3*X[3668] + 4*X[738] - 9*X[2686] + 11*X[2166] <= 8
model += 10*X[4839] + 7*X[1036] - 4*X[58] - 12*X[6080] - 2*X[7599] + X[638] + 6*X[1402] - 13*X[4658] <= 4
model += -X[4839] - 2*X[1036] + 6*X[58] - 10*X[6080] + 3*X[7599] + 4*X[638] - 9*X[1402] + 11*X[4658] <= 8
model += 3*X[2080] + 9*X[4069] + 7*X[6362] + 5*X[6237] - X[729] - 4*X[5995] + 2*X[7390] - 8*X[6012] <= 12
model += 10*X[840] - 12*X[54] + 4*X[4092] + 7*X[5275] + 2*X[3592] - 6*X[6716] - X[3919] + 13*X[152] <= 16
model += 3*X[4037] + 9*X[6821] + 7*X[7248] + 5*X[3787] - X[5409] - 4*X[6731] + 2*X[1427] - 8*X[744] <= 12
model += 10*X[5327] + 7*X[91] - 4*X[3521] - 12*X[2588] - 2*X[1295] + X[180] + 6*X[3953] - 13*X[1246] <= 4
model += -X[5327] - 2*X[91] + 6*X[3521] - 10*X[2588] + 3*X[1295] + 4*X[180] - 9*X[3953] + 11*X[1246] <= 8
model += 3*X[6171] + 9*X[1749] + 7*X[1841] + 5*X[3219] - X[3717] - 4*X[1085] + 2*X[276] - 8*X[4501] <= 12
model += 10*X[1893] + 7*X[3376] - 4*X[5181] - 12*X[22] - 2*X[1045] + X[283] + 6*X[2415] - 13*X[3207] <= 4
model += -X[1893] - 2*X[3376] + 6*X[5181] - 10*X[22] + 3*X[1045] + 4*X[283] - 9*X[2415] + 11*X[3207] <= 8
model += 3*X[6777] + 9*X[4357] + 7*X[2311] + 5*X[673] - X[3057] - 4*X[2239] + 2*X[3825] - 8*X[7602] <= 12
model += 10*X[3984] + 7*X[724] - 4*X[589] - 12*X[1439] - 2*X[4100] + X[376] + 6*X[6025] - 13*X[4021] <= 4
model += -X[3984] - 2*X[724] + 6*X[589] - 10*X[1439] + 3*X[4100] + 4*X[376] - 9*X[6025] + 11*X[4021] <= 8
model += 10*X[168] + 7*X[494] - 4*X[6741] - 12*X[3262] - 2*X[7041] + X[644] + 6*X[2884] - 13*X[3428] <= 4
model += -X[168] - 2*X[494] + 6*X[6741] - 10*X[3262] + 3*X[7041] + 4*X[644] - 9*X[2884] + 11*X[3428] <= 8
model += 3*X[5684] + 9*X[234] + 7*X[4459] + 5*X[5276] - X[5137] - 4*X[1559] + 2*X[3696] - 8*X[6831] <= 12
model += 3*X[624] + 9*X[7070] + 7*X[6966] + 5*X[1363] - X[6306] - 4*X[7649] + 2*X[3289] - 8*X[1370] <= 12
model += 3*X[2819] + 9*X[817] + 7*X[4137] + 5*X[2445] - X[7176] - 4*X[6348] + 2*X[1999] - 8*X[4728] <= 12
model += 3*X[6375] + 9*X[3326] + 7*X[6263] + 5*X[3171] - X[4851] - 4*X[2622] + 2*X[406] - 8*X[2177] <= 12
model += 3*X[5010] + 9*X[7270] + 7*X[2077] + 5*X[3985] - X[6900] - 4*X[1552] + 2*X[5121] - 8*X[221] <= 12
model += 3*X[5646] + 9*X[1543] + 7*X[6108] + 5*X[555] - X[6599] - 4*X[4759] + 2*X[2653] - 8*X[4240] <= 12
model += 3*X[3432] + 9*X[3026] + 7*X[966] + 5*X[6630] - X[2851] - 4*X[1675] + 2*X[3616] - 8*X[2068] <= 12
model += 3*X[3626] + 9*X[3136] + 7*X[605] + 5*X[5949] - X[5901] - 4*X[4885] + 2*X[4248] - 8*X[2614] <= 12
model += 3*X[4738] + 9*X[3156] + 7*X[1927] + 5*X[2991] - X[1271] - 4*X[628] + 2*X[2500] - 8*X[2834] <= 12
model += 3*X[614] + 9*X[7741] + 7*X[5931] + 5*X[6430] - X[7582] - 4*X[4957] + 2*X[6268] - 8*X[3419] <= 12
model += 10*X[1] + 7*X[4089] - 4*X[5771] - 12*X[3742] - 2*X[3818] + X[2056] + 6*X[6903] - 13*X[7533] <= 4
model += -X[1] - 2*X[4089] + 6*X[5771] - 10*X[3742] + 3*X[3818] + 4*X[2056] - 9*X[6903] + 11*X[7533] <= 8
model += 3*X[6229] + 9*X[3259] + 7*X[7454] + 5*X[2232] - X[5086] - 4*X[1611] + 2*X[3329] - 8*X[303] <= 12
model += 10*X[381] + 7*X[213] - 4*X[2964] - 12*X[3002] - 2*X[2474] + X[2577] + 6*X[925] - 13*X[2823] <= 4
model += -X[381] - 2*X[213] + 6*X[2964] - 10*X[3002] + 3*X[2474] + 4*X[2577] - 9*X[925] + 11*X[2823] <= 8
model += 3*X[1704] + 9*X[7608] + 7*X[2114] + 5*X[4229] - X[891] - 4*X[4513] + 2*X[3381] - 8*X[6386] <= 12
model += 3*X[2497] + 9*X[6315] + 7*X[6379] + 5*X[1196] - X[5260] - 4*X[4618] + 2*X[366] - 8*X[5019] <= 12
model += 10*X[557] + 7*X[294] - 4*X[6947] - 12*X[4621] - 2*X[2331] + X[3774] + 6*X[6073] - 13*X[509] <= 4
model += -X[557] - 2*X[294] + 6*X[6947] - 10*X[4621] + 3*X[2331] + 4*X[3774] - 9*X[6073] + 11*X[509] <= 8
model += 3*X[123] + 9*X[2948] + 7*X[6221] + 5*X[4081] - X[4999] - 4*X[7393] + 2*X[1900] - 8*X[3762] <= 12
model += 3*X[1833] + 9*X[1176] + 7*X[5687] + 5*X[2806] - X[538] - 4*X[2935] + 2*X[5081] - 8*X[3317] <= 12
model += 3*X[6019] + 9*X[5253] + 7*X[2506] + 5*X[1332] - X[6873] - 4*X[5543] + 2*X[145] - 8*X[6219] <= 12
model += 3*X[6078] + 9*X[6657] + 7*X[5176] + 5*X[1940] - X[7051] - 4*X[870] + 2*X[4325] - 8*X[7215] <= 12
model += 3*X[6569] + 9*X[1784] + 7*X[1488] + 5*X[5782] - X[5647] - 4*X[6912] + 2*X[128] - 8*X[7727] <= 12
model += 3*X[551] + 9*X[4179] + 7*X[1848] + 5*X[7191] - X[2697] - 4*X[1303] + 2*X[1258] - 8*X[4933] <= 12
model += 3*X[4809] + 9*X[4898] + 7*X[2398] + 5*X[1947] - X[7206] - 4*X[1773] + 2*X[454] - 8*X[5871] <= 12
model += 10*X[184] + 7*X[868] - 4*X[6956] - 12*X[2226] - 2*X[5927] + X[5794] + 6*X[678] - 13*X[4429] <= 4
model += -X[184] - 2*X[868] + 6*X[6956] - 10*X[2226] + 3*X[5927] + 4*X[5794] - 9*X[678] + 11*X[4429] <= 8
model += 3*X[5428] + 9*X[7005] + 7*X[3627] + 5*X[6667] - X[6331] - 4*X[3062] + 2*X[757] - 8*X[7119] <= 12
model += 10*X[3504] - 12*X[7585] + 4*X[961] + 7*X[3] + 2*X[5468] - 6*X[5306] - X[1840] + 13*X[5813] <= 16
model += 10*X[955] - 12*X[1753] + 4*X[4207] + 7*X[256] + 2*X[2828] - 6*X[38] - X[1006] + 13*X[3777] <= 16
model += 3*X[2318] + 9*X[1790] + 7*X[4002] + 5*X[3300] - X[2933] - 4*X[6977] + 2*X[301] - 8*X[6552] <= 12
model += 3*X[6536] + 9*X[4719] + 7*X[1537] + 5*X[6642] - X[4670] - 4*X[491] + 2*X[2396] - 8*X[7620] <= 12
model += 3*X[5262] + 9*X[5332] + 7*X[3342] + 5*X[4010] - X[5318] - 4*X[664] + 2*X[2375] - 8*X[5952] <= 12
model += 3*X[5159] + 9*X[5481] + 7*X[4713] + 5*X[3045] - X[573] - 4*X[6274] + 2*X[2612] - 8*X[3860] <= 12
model += 3*X[2045] + 9*X[6507] + 7*X[4680] + 5*X[4257] - X[5343] - 4*X[488] + 2*X[7707] - 8*X[1348] <= 12
model += 3*X[5508] + 9*X[1267] + 7*X[7609] + 5*X[2839] - X[277] - 4*X[2747] + 2*X[7448] - 8*X[3168] <= 12
model += 10*X[35] + 7*X[261] - 4*X[2706] - 12*X[4064] - 2*X[2605] + X[6246] + 6*X[3022] - 13*X[4073] <= 4
model += -X[35] - 2*X[261] + 6*X[2706] - 10*X[4064] + 3*X[2605] + 4*X[6246] - 9*X[3022] + 11*X[4073] <= 8
model += 3*X[6909] + 9*X[7683] + 7*X[6467] + 5*X[4540] - X[756] - 4*X[4170] + 2*X[6044] - 8*X[6137] <= 12
model += 3*X[5634] + 9*X[560] + 7*X[2941] + 5*X[5105] - X[2965] - 4*X[2341] + 2*X[7498] - 8*X[5650] <= 12
model += 3*X[3245] + 9*X[7169] + 7*X[1352] + 5*X[3673] - X[4585] - 4*X[5290] + 2*X[6013] - 8*X[339] <= 12
model += 10*X[2253] + 7*X[7750] - 4*X[543] - 12*X[4386] - 2*X[3557] + X[945] + 6*X[838] - 13*X[5641] <= 4
model += -X[2253] - 2*X[7750] + 6*X[543] - 10*X[4386] + 3*X[3557] + 4*X[945] - 9*X[838] + 11*X[5641] <= 8
model += 3*X[620] + 9*X[4091] + 7*X[6164] + 5*X[1433] - X[7573] - 4*X[3740] + 2*X[6451] - 8*X[4252] <= 12
model += 3*X[3072] + 9*X[5240] + 7*X[6124] + 5*X[329] - X[5792] - 4*X[2763] + 2*X[2389] - 8*X[2766] <= 12
model += 3*X[3937] + 9*X[7418] + 7*X[6720] + 5*X[4070] - X[1112] - 4*X[269] + 2*X[4639] - 8*X[3726] <= 12
model += 3*X[4281] + 9*X[1676] + 7*X[903] + 5*X[5961] - X[4567] - 4*X[3909] + 2*X[6886] - 8*X[3944] <= 12
model += 3*X[6713] + 9*X[6008] + 7*X[862] + 5*X[7109] - X[4288] - 4*X[4553] + 2*X[4221] - 8*X[1361] <= 12
model += 3*X[7258] + 9*X[505] + 7*X[6597] + 5*X[5732] - X[1660] - 4*X[4686] + 2*X[4145] - 8*X[6216] <= 12
model += 3*X[1030] + 9*X[2064] + 7*X[3739] + 5*X[380] - X[4948] - 4*X[6151] + 2*X[3801] - 8*X[4982] <= 12
model += 3*X[1292] + 9*X[7510] + 7*X[552] + 5*X[1796] - X[1615] - 4*X[5886] + 2*X[3101] - 8*X[1167] <= 12
model += 3*X[5742] + 9*X[3063] + 7*X[3305] + 5*X[2650] - X[6655] - 4*X[4664] + 2*X[4989] - 8*X[351] <= 12
model += 3*X[4074] + 9*X[6422] + 7*X[2765] + 5*X[2302] - X[3776] - 4*X[667] + 2*X[6139] - 8*X[3977] <= 12
model += 3*X[5922] + 9*X[5001] + 7*X[6953] + 5*X[1524] - X[877] - 4*X[6747] + 2*X[1231] - 8*X[2016] <= 12
model += 3*X[6463] + 9*X[2514] + 7*X[603] + 5*X[2245] - X[6466] - 4*X[5469] + 2*X[7617] - 8*X[3917] <= 12
model += 10*X[7072] + 7*X[621] - 4*X[1001] - 12*X[6807] - 2*X[1157] + X[433] + 6*X[3051] - 13*X[360] <= 4
model += -X[7072] - 2*X[621] + 6*X[1001] - 10*X[6807] + 3*X[1157] + 4*X[433] - 9*X[3051] + 11*X[360] <= 8
model += 3*X[4757] + 9*X[6534] + 7*X[658] + 5*X[2465] - X[1911] - 4*X[2346] + 2*X[3423] - 8*X[5764] <= 12
model += 3*X[5237] + 9*X[1277] + 7*X[4821] + 5*X[2969] - X[687] - 4*X[7465] + 2*X[3433] - 8*X[7495] <= 12
model += 3*X[3708] + 9*X[4068] + 7*X[3390] + 5*X[1858] - X[6690] - 4*X[2784] + 2*X[1023] - 8*X[537] <= 12
model += 3*X[5120] + 9*X[1234] + 7*X[1501] + 5*X[1661] - X[4492] - 4*X[5185] + 2*X[2810] - 8*X[545] <= 12
model += 10*X[5195] + 7*X[1070] - 4*X[1538] - 12*X[171] - 2*X[212] + X[5740] + 6*X[4573] - 13*X[823] <= 4
model += -X[5195] - 2*X[1070] + 6*X[1538] - 10*X[171] + 3*X[212] + 4*X[5740] - 9*X[4573] + 11*X[823] <= 8
model += 3*X[4616] + 9*X[6816] + 7*X[6325] + 5*X[869] - X[6439] - 4*X[1564] + 2*X[3605] - 8*X[1541] <= 12
model += 10*X[3658] + 7*X[895] - 4*X[5948] - 12*X[691] - 2*X[792] + X[5923] + 6*X[1603] - 13*X[3169] <= 4
model += -X[3658] - 2*X[895] + 6*X[5948] - 10*X[691] + 3*X[792] + 4*X[5923] - 9*X[1603] + 11*X[3169] <= 8
model += 10*X[1635] + 7*X[2256] - 4*X[40] - 12*X[7410] - 2*X[7717] + X[602] + 6*X[3186] - 13*X[7187] <= 4
model += -X[1635] - 2*X[2256] + 6*X[40] - 10*X[7410] + 3*X[7717] + 4*X[602] - 9*X[3186] + 11*X[7187] <= 8
model += 3*X[4390] + 9*X[736] + 7*X[2535] + 5*X[5411] - X[3896] - 4*X[5278] + 2*X[2504] - 8*X[4352] <= 12
model += 3*X[2779] + 9*X[1618] + 7*X[4086] + 5*X[6069] - X[3862] - 4*X[218] + 2*X[3540] - 8*X[1621] <= 12
model += 3*X[1987] + 9*X[295] + 7*X[7338] + 5*X[1716] - X[7765] - 4*X[2161] + 2*X[5588] - 8*X[6611] <= 12
model += 3*X[6182] + 9*X[4454] + 7*X[964] + 5*X[2118] - X[3607] - 4*X[4676] + 2*X[5157] - 8*X[4888] <= 12
model += 10*X[364] + 7*X[1378] - 4*X[4131] - 12*X[5936] - 2*X[4653] + X[6696] + 6*X[95] - 13*X[4566] <= 4
model += -X[364] - 2*X[1378] + 6*X[4131] - 10*X[5936] + 3*X[4653] + 4*X[6696] - 9*X[95] + 11*X[4566] <= 8
model += 3*X[5840] + 9*X[4327] + 7*X[5216] + 5*X[6014] - X[297] - 4*X[4474] + 2*X[2873] - 8*X[7417] <= 12
model += 3*X[7096] + 9*X[3506] + 7*X[159] + 5*X[6186] - X[4279] - 4*X[4337] + 2*X[1148] - 8*X[4151] <= 12
model += 3*X[546] + 9*X[5164] + 7*X[5706] + 5*X[2135] - X[3055] - 4*X[4591] + 2*X[3963] - 8*X[2526] <= 12
model += 3*X[4023] + 9*X[2106] + 7*X[1244] + 5*X[4545] - X[2673] - 4*X[7738] + 2*X[106] - 8*X[3212] <= 12
model += 3*X[2647] + 9*X[4943] + 7*X[6933] + 5*X[6574] - X[5617] - 4*X[529] + 2*X[6626] - 8*X[7705] <= 12
model += 3*X[850] + 9*X[1942] + 7*X[5062] + 5*X[3915] - X[3054] - 4*X[1251] + 2*X[6045] - 8*X[6768] <= 12
model += 3*X[7531] + 9*X[2544] + 7*X[5984] + 5*X[5064] - X[4698] - 4*X[4142] + 2*X[379] - 8*X[4075] <= 12
model += 3*X[2193] + 9*X[1799] + 7*X[1203] + 5*X[1733] - X[6797] - 4*X[2027] + 2*X[7242] - 8*X[690] <= 12
model += 10*X[2435] + 7*X[5671] - 4*X[220] - 12*X[700] - 2*X[4546] + X[1077] + 6*X[1368] - 13*X[610] <= 4
model += -X[2435] - 2*X[5671] + 6*X[220] - 10*X[700] + 3*X[4546] + 4*X[1077] - 9*X[1368] + 11*X[610] <= 8
model += 3*X[307] + 9*X[6270] + 7*X[1791] + 5*X[3528] - X[5843] - 4*X[7778] + 2*X[3093] - 8*X[2377] <= 12
model += 3*X[4223] + 9*X[582] + 7*X[7387] + 5*X[2731] - X[4586] - 4*X[3167] + 2*X[7550] - 8*X[4570] <= 12
model += 3*X[370] + 9*X[7255] + 7*X[6653] + 5*X[4423] - X[5031] - 4*X[5242] + 2*X[3232] - 8*X[2830] <= 12
model += 3*X[575] + 9*X[6675] + 7*X[6877] + 5*X[1981] - X[7012] - 4*X[5005] + 2*X[4648] - 8*X[1680] <= 12
model += 3*X[5635] + 9*X[7085] + 7*X[6267] + 5*X[1305] - X[6681] - 4*X[3411] + 2*X[299] - 8*X[6806] <= 12
model += 10*X[458] + 7*X[4416] - 4*X[217] - 12*X[4422] - 2*X[6173] + X[4555] + 6*X[822] - 13*X[3983] <= 4
model += -X[458] - 2*X[4416] + 6*X[217] - 10*X[4422] + 3*X[6173] + 4*X[4555] - 9*X[822] + 11*X[3983] <= 8
model += 3*X[3441] + 9*X[521] + 7*X[1672] + 5*X[7178] - X[7301] - 4*X[7735] + 2*X[2441] - 8*X[7788] <= 12
model += 3*X[7313] + 9*X[4347] + 7*X[5631] + 5*X[3838] - X[5779] - 4*X[4355] + 2*X[906] - 8*X[3893] <= 12
model += 3*X[204] + 9*X[4009] + 7*X[3268] + 5*X[5980] - X[5604] - 4*X[3676] + 2*X[5236] - 8*X[5358] <= 12
model += 3*X[600] + 9*X[5977] + 7*X[7758] + 5*X[6530] - X[7349] - 4*X[4634] + 2*X[2087] - 8*X[6024] <= 12
model += 10*X[6228] - 12*X[4701] + 4*X[7304] + 7*X[437] + 2*X[5249] - 6*X[1845] - X[7323] + 13*X[2] <= 16
model += 3*X[1101] + 9*X[7430] + 7*X[1122] + 5*X[4998] - X[7283] - 4*X[3960] + 2*X[3078] - 8*X[203] <= 12
model += 3*X[137] + 9*X[6223] + 7*X[3727] + 5*X[3028] - X[7120] - 4*X[3265] + 2*X[6475] - 8*X[2737] <= 12
model += 3*X[3932] + 9*X[2844] + 7*X[2543] + 5*X[1798] - X[7257] - 4*X[5393] + 2*X[143] - 8*X[6483] <= 12
model += 3*X[7721] + 9*X[4848] + 7*X[7305] + 5*X[7628] - X[3374] - 4*X[4878] + 2*X[680] - 8*X[3229] <= 12
model += 3*X[3559] + 9*X[4101] + 7*X[2899] + 5*X[1619] - X[4599] - 4*X[719] + 2*X[1656] - 8*X[3008] <= 12
model += 10*X[3880] - 12*X[3792] + 4*X[2859] + 7*X[5770] + 2*X[6141] - 6*X[71] - X[47] + 13*X[4699] <= 16
model += 10*X[372] - 12*X[33] + 4*X[266] + 7*X[4683] + 2*X[2799] - 6*X[1829] - X[4724] + 13*X[2811] <= 16
model += 3*X[2278] + 9*X[7275] + 7*X[1924] + 5*X[6064] - X[2997] - 4*X[209] + 2*X[2391] - 8*X[7353] <= 12
model += 3*X[3519] + 9*X[6740] + 7*X[4542] + 5*X[5294] - X[590] - 4*X[5877] + 2*X[3636] - 8*X[2011] <= 12
model += 3*X[2297] + 9*X[5812] + 7*X[1750] + 5*X[1766] - X[874] - 4*X[1622] + 2*X[1817] - 8*X[5677] <= 12
model += 3*X[4245] + 9*X[1593] + 7*X[1188] + 5*X[338] - X[7426] - 4*X[3946] + 2*X[2179] - 8*X[5427] <= 12
model += 3*X[4133] + 9*X[6809] + 7*X[1934] + 5*X[3642] - X[5296] - 4*X[4960] + 2*X[661] - 8*X[7489] <= 12
model += 3*X[3216] + 9*X[102] + 7*X[3920] + 5*X[5964] - X[6250] - 4*X[1468] + 2*X[2525] - 8*X[2160] <= 12
model += 3*X[6125] + 9*X[6934] + 7*X[4241] + 5*X[3800] - X[4972] - 4*X[836] + 2*X[5134] - 8*X[5561] <= 12
model += 10*X[706] + 7*X[279] - 4*X[7473] - 12*X[1918] - 2*X[4991] + X[3445] + 6*X[2560] - 13*X[469] <= 4
model += -X[706] - 2*X[279] + 6*X[7473] - 10*X[1918] + 3*X[4991] + 4*X[3445] - 9*X[2560] + 11*X[469] <= 8
model += 3*X[622] + 9*X[6436] + 7*X[4964] + 5*X[7773] - X[3697] - 4*X[7690] + 2*X[6337] - 8*X[3129] <= 12
model += 3*X[3361] + 9*X[4490] + 7*X[5363] + 5*X[899] - X[6914] - 4*X[5765] + 2*X[7331] - 8*X[2358] <= 12
model += 3*X[1033] + 9*X[6918] + 7*X[4792] + 5*X[5037] - X[1440] - 4*X[7069] + 2*X[275] - 8*X[5371] <= 12
model += 3*X[1081] + 9*X[3153] + 7*X[5377] + 5*X[7288] - X[5285] - 4*X[6560] + 2*X[216] - 8*X[7712] <= 12
model += 3*X[6053] + 9*X[2608] + 7*X[5128] + 5*X[4298] - X[3343] - 4*X[2539] + 2*X[2156] - 8*X[665] <= 12
model += 10*X[6993] + 7*X[698] - 4*X[1865] - 12*X[1523] - 2*X[7006] + X[19] + 6*X[1860] - 13*X[7625] <= 4
model += -X[6993] - 2*X[698] + 6*X[1865] - 10*X[1523] + 3*X[7006] + 4*X[19] - 9*X[1860] + 11*X[7625] <= 8
model += 3*X[6264] + 9*X[7552] + 7*X[1202] + 5*X[3031] - X[7009] - 4*X[5374] + 2*X[167] - 8*X[4940] <= 12
model += 3*X[1329] + 9*X[6520] + 7*X[2107] + 5*X[4077] - X[1612] - 4*X[7339] + 2*X[6313] - 8*X[950] <= 12
model += 3*X[1813] + 9*X[2988] + 7*X[6029] + 5*X[2004] - X[5335] - 4*X[4622] + 2*X[1400] - 8*X[972] <= 12
model += 3*X[4013] + 9*X[4122] + 7*X[4452] + 5*X[684] - X[4833] - 4*X[4450] + 2*X[1955] - 8*X[2530] <= 12
model += 3*X[5369] + 9*X[4554] + 7*X[2519] + 5*X[7702] - X[1141] - 4*X[149] + 2*X[7791] - 8*X[7503] <= 12
model += 3*X[7322] + 9*X[4814] + 7*X[1372] + 5*X[7466] - X[4992] - 4*X[3952] + 2*X[341] - 8*X[3821] <= 12
model += 3*X[7192] + 9*X[5273] + 7*X[4969] + 5*X[4880] - X[3466] - 4*X[3414] + 2*X[420] - 8*X[4881] <= 12
model += 3*X[325] + 9*X[2900] + 7*X[7163] + 5*X[5960] - X[4997] - 4*X[5934] + 2*X[4006] - 8*X[3123] <= 12
model += 3*X[7164] + 9*X[5834] + 7*X[431] + 5*X[6398] - X[2580] - 4*X[6723] + 2*X[6103] - 8*X[7699] <= 12
model += 3*X[4893] + 9*X[1883] + 7*X[720] + 5*X[1727] - X[6504] - 4*X[2813] + 2*X[3554] - 8*X[6129] <= 12
model += 3*X[5872] + 9*X[1591] + 7*X[6564] + 5*X[3115] - X[3286] - 4*X[6098] + 2*X[937] - 8*X[1545] <= 12
model += 3*X[4117] + 9*X[5546] + 7*X[281] + 5*X[1074] - X[3467] - 4*X[3897] + 2*X[1814] - 8*X[5141] <= 12
model += 3*X[3251] + 9*X[334] + 7*X[6033] + 5*X[3889] - X[3346] - 4*X[4465] + 2*X[4677] - 8*X[1016] <= 12
model += 3*X[6830] + 9*X[2137] + 7*X[1596] + 5*X[4968] - X[4732] - 4*X[893] + 2*X[2319] - 8*X[6943] <= 12
model += 10*X[6950] - 12*X[5150] + 4*X[1834] + 7*X[4805] + 2*Y[157] - 6*Y[156] - Y[155] + 13*Y[154] <= 16
model += 3*X[2644] + 9*X[6500] + 7*X[6262] + 5*X[4866] - X[7327] - 4*X[5424] + 2*X[909] - 8*X[1581] <= 12
model += 3*X[5808] + 9*X[1783] + 7*X[5186] + 5*X[2507] - X[630] - 4*X[6883] + 2*X[6344] - 8*X[2492] <= 12
model += 3*X[7317] + 9*X[2929] + 7*X[2677] + 5*X[1401] - X[6373] - 4*X[2355] + 2*X[389] - 8*X[6390] <= 12
model += 3*X[2512] + 9*X[2903] + 7*X[6049] + 5*X[743] - X[2409] - 4*X[2523] + 2*X[2163] - 8*X[6810] <= 12
model += 3*X[5452] + 9*X[7335] + 7*X[4261] + 5*X[2847] - X[7584] - 4*X[7143] + 2*X[898] - 8*X[1574] <= 12
model += 10*X[688] + 7*X[2046] - 4*X[7278] - 12*X[5080] - 2*X[3797] + X[7564] + 6*X[80] - 13*X[5695] <= 4
model += -X[688] - 2*X[2046] + 6*X[7278] - 10*X[5080] + 3*X[3797] + 4*X[7564] - 9*X[80] + 11*X[5695] <= 8
model += 3*X[230] + 9*X[3080] + 7*X[6915] + 5*X[3363] - X[6764] - 4*X[4861] + 2*X[5109] - 8*X[7364] <= 12
model += 3*X[7695] + 9*X[6005] + 7*X[6471] + 5*X[3328] - X[316] - 4*X[5451] + 2*X[1769] - 8*X[7513] <= 12
model += 3*X[5835] + 9*X[6477] + 7*X[2170] + 5*X[775] - X[2590] - 4*X[4847] + 2*X[1728] - 8*X[5287] <= 12
model += 3*X[1253] + 9*X[2127] + 7*X[200] + 5*X[4984] - X[1659] - 4*X[1128] + 2*X[4935] - 8*X[5307] <= 12
model += 3*X[1230] + 9*X[1867] + 7*X[7272] + 5*X[6067] - X[7413] - 4*X[4227] + 2*X[6766] - 8*X[805] <= 12
model += 3*X[952] + 9*X[6343] + 7*X[6929] + 5*X[7165] - X[3744] - 4*X[7114] + 2*X[1079] - 8*X[5223] <= 12
model += 10*X[917] - 12*X[5116] + 4*X[2639] + 7*X[6169] + 2*X[878] - 6*X[4487] - X[15] + 13*X[3867] <= 16
model += 3*X[530] + 9*X[7568] + 7*X[2320] + 5*X[4895] - X[3657] - 4*X[5992] + 2*X[4932] - 8*X[1794] <= 12
model += 3*X[3957] + 9*X[549] + 7*X[3530] + 5*X[6190] - X[3263] - 4*X[3910] + 2*X[7497] - 8*X[7472] <= 12
model += 3*X[6406] + 9*X[1020] + 7*X[3577] + 5*X[6429] - X[448] - 4*X[6260] + 2*X[6235] - 8*X[1423] <= 12
model += 10*X[4319] - 12*X[62] + 4*X[363] + 7*X[3524] + 2*X[7616] - 6*X[1920] - X[749] + 13*X[5207] <= 16
model += 3*X[6354] + 9*X[4497] + 7*X[1687] + 5*X[1602] - X[5297] - 4*X[5435] + 2*X[6563] - 8*X[956] <= 12
model += 10*X[2858] - 12*X[7619] + 4*X[6297] + 7*X[3573] + 2*Y[148] - 6*Y[147] - Y[146] + 13*Y[145] <= 16
model += 10*X[763] + 7*X[3341] - 4*X[1255] - 12*X[7261] - 2*X[867] + X[902] + 6*X[4810] - 13*X[2718] <= 4
model += -X[763] - 2*X[3341] + 6*X[1255] - 10*X[7261] + 3*X[867] + 4*X[902] - 9*X[4810] + 11*X[2718] <= 8
model += 3*X[3150] + 9*X[5745] + 7*X[4818] + 5*X[3184] - X[6711] - 4*X[3142] + 2*X[3892] - 8*X[244] <= 12
model += 3*X[2009] + 9*X[4840] + 7*X[2629] + 5*X[504] - X[4691] - 4*X[6089] + 2*X[1925] - 8*X[4071] <= 12
model += 3*X[7170] + 9*X[7363] + 7*X[6643] + 5*X[2648] - X[1201] - 4*X[981] + 2*X[3621] - 8*X[6555] <= 12
model += 10*X[3651] - 12*X[1256] + 4*X[3757] + 7*X[5859] + 2*Y[145] - 6*Y[144] - Y[159] + 13*Y[158] <= 16
model += 3*X[3686] + 9*X[4000] + 7*X[6172] + 5*X[2381] - X[1426] - 4*X[821] + 2*X[5073] - 8*X[1472] <= 12
model += 3*X[3677] + 9*X[4275] + 7*X[298] + 5*X[1588] - X[2482] - 4*X[5721] + 2*X[7223] - 8*X[2372] <= 12
model += 3*X[6453] + 9*X[7381] + 7*X[3174] + 5*X[1124] - X[2634] - 4*X[2294] + 2*X[3260] - 8*X[116] <= 12
model += 10*X[6854] + 7*X[4368] - 4*X[6663] - 12*X[2979] - 2*X[847] + X[843] + 6*X[3483] - 13*X[430] <= 4
model += -X[6854] - 2*X[4368] + 6*X[6663] - 10*X[2979] + 3*X[847] + 4*X[843] - 9*X[3483] + 11*X[430] <= 8
model += 3*X[3834] + 9*X[3751] + 7*X[4181] + 5*X[5490] - X[3811] - 4*X[2713] + 2*X[6392] - 8*X[786] <= 12
model += 3*X[5988] + 9*X[1919] + 7*X[5560] + 5*X[5739] - X[440] - 4*X[3836] + 2*X[4886] - 8*X[3353] <= 12
model += 3*X[6028] + 9*X[1078] + 7*X[1478] + 5*X[4343] - X[3617] - 4*X[2746] + 2*X[832] - 8*X[3181] <= 12
model += 3*X[486] + 9*X[5272] + 7*X[1339] + 5*X[4174] - X[2857] - 4*X[1421] + 2*X[6945] - 8*X[1477] <= 12
model += 3*X[7462] + 9*X[2508] + 7*X[3994] + 5*X[3407] - X[4478] - 4*X[6803] + 2*X[722] - 8*X[5532] <= 12
model += 3*X[2768] + 9*X[5707] + 7*X[585] + 5*X[6705] - X[3162] - 4*X[4527] + 2*X[4605] - 8*X[3690] <= 12
model += 3*X[2603] + 9*X[4693] + 7*X[733] + 5*X[3939] - X[6059] - 4*X[4072] + 2*X[3257] - 8*X[6916] <= 12
model += 10*X[429] + 7*X[3004] - 4*X[4095] - 12*X[4580] - 2*X[6832] + X[647] + 6*X[5664] - 13*X[315] <= 4
model += -X[429] - 2*X[3004] + 6*X[4095] - 10*X[4580] + 3*X[6832] + 4*X[647] - 9*X[5664] + 11*X[315] <= 8
model += 3*X[7155] + 9*X[5402] + 7*X[4522] + 5*X[6273] - X[5110] - 4*X[6474] + 2*X[1989] - 8*X[309] <= 12
model += 3*X[1351] + 9*X[4711] + 7*X[147] + 5*X[7027] - X[5724] - 4*X[1575] + 2*X[3242] - 8*X[3680] <= 12
model += 3*X[2972] + 9*X[1506] + 7*X[403] + 5*X[2951] - X[4048] - 4*X[4718] + 2*X[7416] - 8*X[2096] <= 12
model += 3*X[5056] + 9*X[566] + 7*X[7225] + 5*X[3928] - X[1681] - 4*X[1875] + 2*X[1165] - 8*X[1094] <= 12
model += 3*X[6553] + 9*X[3683] + 7*X[880] + 5*X[7713] - X[1601] - 4*X[3547] + 2*X[5226] - 8*X[5601] <= 12
model += 10*X[6457] + 7*X[1043] - 4*X[2477] - 12*X[6935] - 2*X[4656] + X[55] + 6*X[1600] - 13*X[795] <= 4
model += -X[6457] - 2*X[1043] + 6*X[2477] - 10*X[6935] + 3*X[4656] + 4*X[55] - 9*X[1600] + 11*X[795] <= 8
model += 3*X[3244] + 9*X[3861] + 7*X[5170] + 5*X[7422] - X[6913] - 4*X[405] + 2*X[6646] - 8*X[2380] <= 12
model += 3*X[6487] + 9*X[2744] + 7*X[7659] + 5*X[3352] - X[5213] - 4*X[511] + 2*X[2023] - 8*X[6771] <= 12
model += 3*X[6537] + 9*X[3576] + 7*X[7098] + 5*X[4360] - X[6382] - 4*X[3075] + 2*X[267] - 8*X[5868] <= 12
model += 3*X[1463] + 9*X[4955] + 7*X[932] + 5*X[7307] - X[4125] - 4*X[3068] + 2*X[2802] - 8*X[5791] <= 12
model += 10*X[2668] - 12*X[2866] + 4*X[2926] + 7*X[3721] + 2*Y[152] - 6*Y[151] - Y[150] + 13*Y[149] <= 16
model += 10*X[25] - 12*X[506] + 4*X[5756] + 7*X[6958] + 2*X[1516] - 6*X[6976] - X[470] + 13*X[1657] <= 16
model += 3*X[2168] + 9*X[3578] + 7*X[3053] + 5*X[1888] - X[7479] - 4*X[2571] + 2*X[1198] - 8*X[514] <= 12
model += 10*X[92] + 7*X[2545] - 4*X[7669] - 12*X[4029] - 2*X[4141] + X[767] + 6*X[1514] - 13*X[6197] <= 4
model += -X[92] - 2*X[2545] + 6*X[7669] - 10*X[4029] + 3*X[4141] + 4*X[767] - 9*X[1514] + 11*X[6197] <= 8
model += 3*X[2601] + 9*X[4946] + 7*X[913] + 5*X[4780] - X[7507] - 4*X[2714] + 2*X[2676] - 8*X[3332] <= 12
model += 3*X[5654] + 9*X[2800] + 7*X[4204] + 5*X[7658] - X[489] - 4*X[1954] + 2*X[4549] - 8*X[6289] <= 12
model += 10*X[3233] - 12*X[6031] + 4*X[1721] + 7*X[5094] + 2*Y[149] - 6*Y[148] - Y[147] + 13*Y[146] <= 16
model += 3*X[7100] + 9*X[2092] + 7*X[2541] + 5*X[120] - X[1972] - 4*X[6828] + 2*X[6040] - 8*X[5537] <= 12
model += 3*X[4615] + 9*X[3247] + 7*X[4975] + 5*X[4421] - X[1897] - 4*X[4979] + 2*X[345] - 8*X[5058] <= 12
model += 3*X[4212] + 9*X[4049] + 7*X[4980] + 5*X[4617] - X[2791] - 4*X[1905] + 2*X[222] - 8*X[1499] <= 12
model += 3*X[606] + 9*X[5299] + 7*X[3442] + 5*X[5329] - X[1051] - 4*X[6168] + 2*X[3355] - 8*X[7768] <= 12
model += 3*X[858] + 9*X[6037] + 7*X[4734] + 5*X[5077] - X[2529] - 4*X[4826] + 2*X[6009] - 8*X[1708] <= 12
model += 3*X[4761] + 9*X[3491] + 7*X[7772] + 5*X[3883] - X[2095] - 4*X[4432] + 2*X[442] - 8*X[2510] <= 12
model += 3*X[1486] + 9*X[1536] + 7*X[5104] + 5*X[6752] - X[5258] - 4*X[911] + 2*X[5870] - 8*X[5904] <= 12
model += 3*X[3211] + 9*X[6815] + 7*X[6332] + 5*X[4868] - X[1186] - 4*X[6687] + 2*X[3582] - 8*X[444] <= 12
model += 10*X[7748] - 12*X[1884] + 4*X[7385] + 7*X[4295] + 2*Y[146] - 6*Y[145] - Y[144] + 13*Y[159] <= 16
model += 3*X[6404] + 9*X[6010] + 7*X[117] + 5*X[7185] - X[7325] - 4*X[6072] + 2*X[6193] - 8*X[4195] <= 12
model += 3*X[6678] + 9*X[4583] + 7*X[130] + 5*X[3718] - X[1223] - 4*X[4883] + 2*X[4827] - 8*X[4552] <= 12
model += 3*X[4046] + 9*X[800] + 7*X[5482] + 5*X[1061] - X[3496] - 4*X[2495] + 2*X[4822] - 8*X[7264] <= 12
model += 3*X[6577] + 9*X[3948] + 7*X[4464] + 5*X[6157] - X[352] - 4*X[4778] + 2*X[6433] - 8*X[6448] <= 12
model += 10*X[1097] - 12*X[6322] + 4*X[5879] + 7*X[29] + 2*X[424] - 6*X[6317] - X[362] + 13*X[7572] <= 16
model += 3*X[1738] + 9*X[3144] + 7*X[6726] + 5*X[4238] - X[5395] - 4*X[4800] + 2*X[528] - 8*X[5821] <= 12
model += 3*X[6710] + 9*X[2088] + 7*X[5065] + 5*X[477] - X[4412] - 4*X[2754] + 2*X[1994] - 8*X[6486] <= 12
model += 3*X[4854] + 9*X[844] + 7*X[7343] + 5*X[6257] - X[7570] - 4*X[4001] + 2*X[1755] - 8*X[3227] <= 12
model += 3*X[1169] + 9*X[2117] + 7*X[7785] + 5*X[2066] - X[725] - 4*X[6328] + 2*X[7144] - 8*X[1710] <= 12
model += 3*X[7310] + 9*X[4109] + 7*X[3421] + 5*X[4536] - X[5510] - 4*X[7590] + 2*X[4475] - 8*X[607] <= 12
model += 3*X[6827] + 9*X[7528] + 7*X[3820] + 5*X[2277] - X[1254] - 4*X[5466] + 2*X[471] - 8*X[6462] <= 12
model += 10*X[6677] + 7*X[4247] - 4*X[5750] - 12*X[99] - 2*X[6620] + X[676] + 6*X[6435] - 13*X[5729] <= 4
model += -X[6677] - 2*X[4247] + 6*X[5750] - 10*X[99] + 3*X[6620] + 4*X[676] - 9*X[6435] + 11*X[5729] <= 8
model += 3*X[4587] + 9*X[774] + 7*X[5254] + 5*X[3923] - X[1140] - 4*X[4537] + 2*X[3772] - 8*X[7269] <= 12
model += 3*X[3261] + 9*X[3808] + 7*X[975] + 5*X[4644] - X[6844] - 4*X[7142] + 2*X[5066] - 8*X[1625] <= 12
model += 3*X[5353] + 9*X[4397] + 7*X[632] + 5*X[2030] - X[6280] - 4*X[1850] + 2*X[1609] - 8*X[7563] <= 12
model += 3*X[1558] + 9*X[7424] + 7*X[5657] + 5*X[6200] - X[3831] - 4*X[110] + 2*X[1220] - 8*X[6582] <= 12
model += 3*X[3501] + 9*X[1930] + 7*X[331] + 5*X[4224] - X[2861] - 4*X[6498] + 2*X[2286] - 8*X[4632] <= 12
model += 10*X[4795] - 12*X[7197] + 4*X[4203] + 7*X[1776] + 2*Y[153] - 6*Y[152] - Y[151] + 13*Y[150] <= 16
model += 3*X[6820] + 9*X[1866] + 7*X[816] + 5*X[2034] - X[4569] - 4*X[1318] + 2*X[1438] - 8*X[3077] <= 12
model += 3*X[1713] + 9*X[7013] + 7*X[5174] + 5*X[1431] - X[6545] - 4*X[1959] + 2*X[623] - 8*X[4393] <= 12
model += 3*X[3399] + 9*X[3082] + 7*X[2938] + 5*X[2407] - X[611] - 4*X[1498] + 2*X[3758] - 8*X[3088] <= 12
model += 10*X[953] + 7*X[332] - 4*X[7444] - 12*X[6443] - 2*X[986] + X[6882] + 6*X[3999] - 13*X[2182] <= 4
model += -X[953] - 2*X[332] + 6*X[7444] - 10*X[6443] + 3*X[986] + 4*X[6882] - 9*X[3999] + 11*X[2182] <= 8
model += 3*X[864] + 9*X[4606] + 7*X[2930] + 5*X[1299] - X[7025] - 4*X[3609] + 2*X[3267] - 8*X[6296] <= 12
model += 10*X[5361] - 12*X[6804] + 4*X[2974] + 7*X[6145] + 2*X[6178] - 6*X[5712] - X[4] + 13*X[344] <= 16
model += 3*X[2144] + 9*X[3876] + 7*X[1032] + 5*X[3303] - X[3327] - 4*X[6091] + 2*X[3784] - 8*X[436] <= 12
model += 10*X[1090] + 7*X[441] - 4*X[4915] - 12*X[7666] - 2*X[4401] + X[79] + 6*X[5266] - 13*X[1086] <= 4
model += -X[1090] - 2*X[441] + 6*X[4915] - 10*X[7666] + 3*X[4401] + 4*X[79] - 9*X[5266] + 11*X[1086] <= 8
model += 3*X[746] + 9*X[6188] + 7*X[4723] + 5*X[5084] - X[2394] - 4*X[1308] + 2*X[1274] - 8*X[3127] <= 12
model += 3*X[4962] + 9*X[1484] + 7*X[6055] + 5*X[4755] - X[7438] - 4*X[1142] + 2*X[928] - 8*X[2054] <= 12
model += 3*X[3389] + 9*X[6940] + 7*X[2292] + 5*X[3933] - X[5041] - 4*X[1804] + 2*X[692] - 8*X[1839] <= 12
model += 10*X[4364] + 7*X[7622] - 4*X[6478] - 12*X[1219] - 2*X[7411] + X[34] + 6*X[164] - 13*X[6857] <= 4
model += -X[4364] - 2*X[7622] + 6*X[6478] - 10*X[1219] + 3*X[7411] + 4*X[34] - 9*X[164] + 11*X[6857] <= 8
model += 3*X[4594] + 9*X[5161] + 7*X[4902] + 5*X[478] - X[4649] - 4*X[7482] + 2*X[2522] - 8*X[3459] <= 12
model += 3*X[1872] + 9*X[4161] + 7*X[6660] + 5*X[2214] - X[7579] - 4*X[4414] + 2*X[7341] - 8*X[409] <= 12
model += 10*X[6432] - 12*X[5974] + 4*X[5384] + 7*X[2841] + 2*Y[144] - 6*Y[159] - Y[158] + 13*Y[157] <= 16
model += 3*X[2074] + 9*X[1275] + 7*X[3930] + 5*X[810] - X[4034] - 4*X[5190] + 2*X[7499] - 8*X[1758] <= 12
model += 3*X[6776] + 9*X[5866] + 7*X[3482] + 5*X[748] - X[1221] - 4*X[3165] + 2*X[5026] - 8*X[5753] <= 12
model += 3*X[4829] + 9*X[7130] + 7*X[3382] + 5*X[6636] - X[7729] - 4*X[5277] + 2*X[714] - 8*X[6986] <= 12
model += 3*X[1409] + 9*X[2131] + 7*X[3012] + 5*X[1041] - X[6420] - 4*X[5768] + 2*X[390] - 8*X[1754] <= 12
model += 3*X[3804] + 9*X[2227] + 7*X[3052] + 5*X[5208] - X[3456] - 4*X[2840] + 2*X[385] - 8*X[7779] <= 12
model += 10*X[737] - 12*X[39] + 4*X[3140] + 7*X[2202] + 2*X[416] - 6*X[4502] - X[1788] + 13*X[4378] <= 16
model += 10*X[6152] - 12*X[5485] + 4*X[150] + 7*X[7235] + 2*X[24] - 6*X[730] - X[3503] + 13*X[5012] <= 16
model += 10*X[3447] + 7*X[3294] - 4*X[2306] - 12*X[5398] - 2*X[2562] + Y[156] + 6*Y[155] - 13*Y[154] <= 4
model += -X[3447] - 2*X[3294] + 6*X[2306] - 10*X[5398] + 3*X[2562] + 4*Y[156] - 9*Y[155] + 11*Y[154] <= 8
model += 3*X[1420] + 9*X[6757] + 7*X[3539] + 5*X[178] - X[4242] - 4*X[6972] + 2*X[4937] - 8*X[5160] <= 12
model += 10*X[4470] + 7*X[5581] - 4*X[2176] - 12*X[5854] - 2*X[5259] + X[45] + 6*X[4430] - 13*X[983] <= 4
model += -X[4470] - 2*X[5581] + 6*X[2176] - 10*X[5854] + 3*X[5259] + 4*X[45] - 9*X[4430] + 11*X[983] <= 8
model += 10*X[923] + 7*X[7549] - 4*X[6277] - 12*X[3367] - 2*X[6519] + X[2882] + 6*X[3755] - 13*X[52] <= 4
model += -X[923] - 2*X[7549] + 6*X[6277] - 10*X[3367] + 3*X[6519] + 4*X[2882] - 9*X[3755] + 11*X[52] <= 8
model += 10*X[6116] + 7*X[6479] - 4*X[2962] - 12*X[7232] - 2*X[4805] + Y[153] + 6*Y[152] - 13*Y[151] <= 4
model += -X[6116] - 2*X[6479] + 6*X[2962] - 10*X[7232] + 3*X[4805] + 4*Y[153] - 9*Y[152] + 11*Y[151] <= 8
model += 3*X[7118] + 9*X[4172] + 7*X[7618] + 5*X[3203] - X[640] - 4*X[4742] + 2*X[7605] - 8*X[1102] <= 12
model += 3*X[2132] + 9*X[7351] + 7*X[959] + 5*X[5552] - X[5953] - 4*X[2667] + 2*X[2683] - 8*X[4694] <= 12
model += 3*X[2138] + 9*X[2565] + 7*X[6022] + 5*X[1065] - X[6848] - 4*X[998] + 2*X[1218] - 8*X[2597] <= 12
model += 10*X[280] - 12*X[3147] + 4*X[476] + 7*X[6001] + 2*X[6131] - 6*X[6464] - X[4104] + 13*X[70] <= 16
model += 3*X[7260] + 9*X[7421] + 7*X[702] + 5*X[2472] - X[2888] - 4*X[2233] + 2*X[2664] - 8*X[7395] <= 12
model += 3*X[6253] + 9*X[5797] + 7*X[3654] + 5*X[201] - X[7654] - 4*X[2461] + 2*X[5333] - 8*X[4371] <= 12
model += 3*X[3631] + 9*X[5441] + 7*X[1050] + 5*X[3237] - X[2829] - 4*X[1035] + 2*X[4709] - 8*X[531] <= 12
model += 10*X[328] + 7*X[1037] - 4*X[4353] - 12*X[271] - 2*X[4268] + X[2656] + 6*X[797] - 13*X[3354] <= 4
model += -X[328] - 2*X[1037] + 6*X[4353] - 10*X[271] + 3*X[4268] + 4*X[2656] - 9*X[797] + 11*X[3354] <= 8
model += 3*X[4105] + 9*X[3033] + 7*X[813] + 5*X[2561] - X[1286] - 4*X[1638] + 2*X[7524] - 8*X[6845] <= 12
model += 3*X[1064] + 9*X[651] + 7*X[3791] + 5*X[5342] - X[5907] - 4*X[6162] + 2*X[7204] - 8*X[2060] <= 12
model += 3*X[467] + 9*X[4626] + 7*X[3108] + 5*X[2082] - X[5845] - 4*X[2188] + 2*X[6088] - 8*X[5002] <= 12
model += 3*X[3172] + 9*X[1189] + 7*X[5446] + 5*X[4444] - X[4394] - 4*X[3474] + 2*X[5426] - 8*X[574] <= 12
model += 10*X[1751] - 12*X[645] + 4*X[378] + 7*X[126] + 2*X[2010] - 6*X[493] - X[4816] + 13*X[6455] <= 16
model += 3*X[2704] + 9*X[4065] + 7*X[7103] + 5*X[908] - X[2128] - 4*X[5256] + 2*X[6872] - 8*X[1991] <= 12
model += 10*X[5766] + 7*X[4329] - 4*X[5930] - 12*X[5023] - 2*X[4687] + Y[147] + 6*Y[146] - 13*Y[145] <= 4
model += -X[5766] - 2*X[4329] + 6*X[5930] - 10*X[5023] + 3*X[4687] + 4*Y[147] - 9*Y[146] + 11*Y[145] <= 8
model += 3*X[2126] + 9*X[5000] + 7*X[2700] + 5*X[5865] - X[7757] - 4*X[5597] + 2*X[284] - 8*X[4050] <= 12
model += 3*X[3274] + 9*X[1411] + 7*X[3961] + 5*X[6469] - X[6631] - 4*X[4894] + 2*X[190] - 8*X[6163] <= 12
model += 10*X[6060] + 7*X[7634] - 4*X[3215] - 12*X[4596] - 2*X[818] + X[1529] + 6*X[368] - 13*X[453] <= 4
model += -X[6060] - 2*X[7634] + 6*X[3215] - 10*X[4596] + 3*X[818] + 4*X[1529] - 9*X[368] + 11*X[453] <= 8
model += 3*X[613] + 9*X[5727] + 7*X[4286] + 5*X[5396] - X[1131] - 4*X[5863] + 2*X[3610] - 8*X[2958] <= 12
model += 3*X[1943] + 9*X[2735] + 7*X[2204] + 5*X[561] - X[4313] - 4*X[1331] + 2*X[1135] - 8*X[7664] <= 12
model += 3*X[161] + 9*X[1344] + 7*X[4154] + 5*X[5818] - X[2035] - 4*X[7306] + 2*X[6765] - 8*X[6962] <= 12
model += 3*X[2909] + 9*X[548] + 7*X[5380] + 5*X[3624] - X[3298] - 4*X[2593] + 2*X[3537] - 8*X[6238] <= 12
model += 3*X[6859] + 9*X[7455] + 7*X[3461] + 5*X[571] - X[2000] - 4*X[5413] + 2*X[7753] - 8*X[5099] <= 12
model += 3*X[7392] + 9*X[1389] + 7*X[3826] + 5*X[4180] - X[3573] - 4*X[4230] + 2*X[3688] - 8*X[451] <= 12
model += 10*X[4562] - 12*X[31] + 4*X[6968] + 7*X[5206] + 2*X[82] - 6*X[2862] - X[2167] + 13*X[6539] <= 16
model += 3*X[5305] + 9*X[3092] + 7*X[6987] + 5*X[1670] - X[601] - 4*X[6679] + 2*X[6357] - 8*X[4959] <= 12
model += 3*X[5598] + 9*X[4681] + 7*X[4032] + 5*X[926] - X[6410] - 4*X[2213] + 2*X[7145] - 8*X[6287] <= 12
model += 10*X[6] + 7*X[1014] - 4*X[3623] - 12*X[5881] - 2*X[5245] + X[5314] + 6*X[7194] - 13*X[5158] <= 4
model += -X[6] - 2*X[1014] + 6*X[3623] - 10*X[5881] + 3*X[5245] + 4*X[5314] - 9*X[7194] + 11*X[5158] <= 8
model += 3*X[2923] + 9*X[6214] + 7*X[6961] + 5*X[2651] - X[554] - 4*X[4036] + 2*X[6109] - 8*X[2028] <= 12
model += 3*X[6988] + 9*X[4663] + 7*X[6121] + 5*X[108] - X[7645] - 4*X[3681] + 2*X[5079] - 8*X[5479] <= 12
model += 3*X[3440] + 9*X[997] + 7*X[6300] + 5*X[1711] - X[5859] - 4*X[6950] + 2*X[5150] - 8*X[1834] <= 12
model += 3*X[740] + 9*X[6618] + 7*X[7543] + 5*X[5148] - X[4798] - 4*X[6204] + 2*X[2055] - 8*X[6818] <= 12
model += 3*X[7216] + 9*X[5979] + 7*X[333] + 5*X[4294] - X[4442] - 4*X[1642] + 2*X[2238] - 8*X[2548] <= 12
model += 10*X[6408] + 7*X[427] - 4*X[7076] - 12*X[5583] - 2*X[7214] + X[172] + 6*X[252] - 13*X[5140] <= 4
model += -X[6408] - 2*X[427] + 6*X[7076] - 10*X[5583] + 3*X[7214] + 4*X[172] - 9*X[252] + 11*X[5140] <= 8
model += 3*X[4965] + 9*X[4210] + 7*X[4679] + 5*X[3090] - X[967] - 4*X[5410] + 2*X[2420] - 8*X[2274] <= 12
model += 3*X[4870] + 9*X[696] + 7*X[7014] + 5*X[1009] - X[3532] - 4*X[4920] + 2*X[4374] - 8*X[3344] <= 12
model += 3*X[5744] + 9*X[7043] + 7*X[6032] + 5*X[3807] - X[5098] - 4*X[3997] + 2*X[1736] - 8*X[976] <= 12
model += 3*X[4191] + 9*X[5286] + 7*X[3020] + 5*X[1306] - X[5404] - 4*X[5624] + 2*X[5737] - 8*X[671] <= 12
model += 10*X[1797] + 7*X[394] - 4*X[586] - 12*X[6252] - 2*X[1916] + X[2165] + 6*X[4167] - 13*X[873] <= 4
model += -X[1797] - 2*X[394] + 6*X[586] - 10*X[6252] + 3*X[1916] + 4*X[2165] - 9*X[4167] + 11*X[873] <= 8
model += 3*X[2069] + 9*X[7183] + 7*X[527] + 5*X[5587] - X[3377] - 4*X[2760] + 2*X[4590] - 8*X[5007] <= 12
model += 3*X[3544] + 9*X[4403] + 7*X[1293] + 5*X[397] - X[1849] - 4*X[1952] + 2*X[2563] - 8*X[4055] <= 12
model += 3*X[7090] + 9*X[2619] + 7*X[2503] + 5*X[875] - X[5666] - 4*X[2907] + 2*X[7359] - 8*X[1132] <= 12
model += 3*X[4171] + 9*X[5449] + 7*X[1419] + 5*X[1471] - X[3979] - 4*X[199] + 2*X[6496] - 8*X[5295] <= 12
model += 3*X[6371] + 9*X[6512] + 7*X[2687] + 5*X[631] - X[6850] - 4*X[2774] + 2*X[7449] - 8*X[2113] <= 12
model += 10*X[81] + 7*X[2382] - 4*X[6149] - 12*X[6489] - 2*X[3978] + X[1130] + 6*X[3728] - 13*X[311] <= 4
model += -X[81] - 2*X[2382] + 6*X[6149] - 10*X[6489] + 3*X[3978] + 4*X[1130] - 9*X[3728] + 11*X[311] <= 8
model += 10*X[3264] + 7*X[515] - 4*X[525] - 12*X[2599] - 2*X[7626] + X[7358] + 6*X[7254] - 13*X[580] <= 4
model += -X[3264] - 2*X[515] + 6*X[525] - 10*X[2599] + 3*X[7626] + 4*X[7358] - 9*X[7254] + 11*X[580] <= 8
model += 3*X[2623] + 9*X[3685] + 7*X[3205] + 5*X[2566] - X[6621] - 4*X[1996] + 2*X[3291] - 8*X[592] <= 12
model += 10*X[7754] - 12*X[324] + 4*X[223] + 7*X[86] + 2*X[5008] - 6*X[7221] - X[6615] + 13*X[4882] <= 16
model += 3*X[6606] + 9*X[4447] + 7*X[6703] + 5*X[2408] - X[336] - 4*X[2680] + 2*X[1530] - 8*X[2594] <= 12
model += 3*X[6922] + 9*X[842] + 7*X[3564] + 5*X[3098] - X[2776] - 4*X[1863] + 2*X[3198] - 8*X[2513] <= 12
model += 3*X[5577] + 9*X[1977] + 7*X[1302] + 5*X[6094] - X[741] - 4*X[7280] + 2*X[4705] - 8*X[5271] <= 12
model += 3*X[1963] + 9*X[6434] + 7*X[4807] + 5*X[7525] - X[2018] - 4*X[2952] + 2*X[666] - 8*X[6717] <= 12
model += 3*X[7250] + 9*X[6470] + 7*X[327] + 5*X[1539] - X[4436] - 4*X[1702] + 2*X[2517] - 8*X[1631] <= 12
model += 3*X[101] + 9*X[5027] + 7*X[5492] + 5*X[7558] - X[7290] - 4*X[7107] + 2*X[5637] - 8*X[3841] <= 12
model += 3*X[6447] + 9*X[374] + 7*X[6781] + 5*X[2422] - X[1762] - 4*X[6431] + 2*X[5061] - 8*X[6372] <= 12
model += 3*X[3106] + 9*X[4486] + 7*X[7631] + 5*X[7228] - X[4636] - 4*X[669] + 2*X[2185] - 8*X[2989] <= 12
model += 3*X[2684] + 9*X[6644] + 7*X[4614] + 5*X[6411] - X[6787] - 4*X[1024] + 2*X[2792] - 8*X[939] <= 12
model += 3*X[148] + 9*X[1285] + 7*X[1645] + 5*X[7024] - X[3114] - 4*X[7095] + 2*X[6456] - 8*X[1206] <= 12
model += 3*X[4844] + 9*X[1590] + 7*X[4033] + 5*X[855] - X[1926] - 4*X[7105] + 2*X[4947] - 8*X[6385] <= 12
model += 3*X[4697] + 9*X[5522] + 7*X[7344] + 5*X[3546] - X[2775] - 4*X[2787] + 2*X[933] - 8*X[2385] <= 12
model += 3*X[1641] + 9*X[2842] + 7*X[811] + 5*X[1685] - X[4144] - 4*X[6890] + 2*X[7567] - 8*X[3015] <= 12
model += 3*X[5103] + 9*X[4168] + 7*X[306] + 5*X[3096] - X[2195] - 4*X[6218] + 2*X[2721] - 8*X[4916] <= 12
model += 3*X[4838] + 9*X[6712] + 7*X[1782] + 5*X[7379] - X[6291] - 4*X[4362] + 2*X[1922] - 8*X[535] <= 12
model += 3*X[4593] + 9*X[7198] + 7*X[6967] + 5*X[310] - X[5094] - 4*X[3651] + 2*X[1256] - 8*X[3757] <= 12
model += 3*X[2235] + 9*X[5310] + 7*X[5829] + 5*X[2412] - X[1737] - 4*X[7172] + 2*X[388] - 8*X[2509] <= 12
model += 3*X[2090] + 9*X[4320] + 7*X[1377] + 5*X[5379] - X[481] - 4*X[6041] + 2*X[2446] - 8*X[1029] <= 12
model += 3*X[2378] + 9*X[569] + 7*X[1371] + 5*X[1307] - X[2631] - 4*X[5405] + 2*X[5168] - 8*X[3492] <= 12
model += 3*X[3710] + 9*X[119] + 7*X[6177] + 5*X[6189] - X[6535] - 4*X[5693] + 2*X[4231] - 8*X[3693] <= 12
model += 10*X[577] + 7*X[681] - 4*X[7111] - 12*X[136] - 2*X[4462] + X[6817] + 6*X[1807] - 13*X[5167] <= 4
model += -X[577] - 2*X[681] + 6*X[7111] - 10*X[136] + 3*X[4462] + 4*X[6817] - 9*X[1807] + 11*X[5167] <= 8
model += 3*X[2091] + 9*X[265] + 7*X[6895] + 5*X[5514] - X[5772] - 4*X[4147] + 2*X[5555] - 8*X[3495] <= 12
model += 3*X[4514] + 9*X[6529] + 7*X[6973] + 5*X[6688] - X[289] - 4*X[5888] + 2*X[1312] - 8*X[3650] <= 12
model += 3*X[5204] + 9*X[1451] + 7*X[4511] + 5*X[4787] - X[4961] - 4*X[3536] + 2*X[6693] - 8*X[170] <= 12
model += 3*X[4914] + 9*X[229] + 7*X[6591] + 5*X[1880] - X[7371] - 4*X[5981] + 2*X[4178] - 8*X[1712] <= 12
model += 3*X[6442] + 9*X[5017] + 7*X[2712] + 5*X[3753] - X[1540] - 4*X[2116] + 2*X[890] - 8*X[2076] <= 12
model += 10*X[12] - 12*X[4411] + 4*X[4424] + 7*X[5107] + 2*X[4295] - 6*X[3918] - X[68] + 13*X[7212] <= 16
model += 3*X[3035] + 9*X[4011] + 7*X[6002] + 5*X[242] - X[6662] - 4*X[2922] + 2*X[7680] - 8*X[2835] <= 12
model += 3*X[5437] + 9*X[4165] + 7*X[884] + 5*X[6377] - X[7127] - 4*X[2987] + 2*X[4669] - 8*X[4541] <= 12
model += 10*X[6990] + 7*X[282] - 4*X[3934] - 12*X[1988] - 2*X[4489] + X[4988] + 6*X[5975] - 13*X[46] <= 4
model += -X[6990] - 2*X[282] + 6*X[3934] - 10*X[1988] + 3*X[4489] + 4*X[4988] - 9*X[5975] + 11*X[46] <= 8
model += 3*X[7336] + 9*X[7761] + 7*X[5826] + 5*X[4102] - X[4114] - 4*X[1859] + 2*X[100] - 8*X[6312] <= 12
model += 3*X[2428] + 9*X[990] + 7*X[6087] + 5*X[2725] - X[3224] - 4*X[5301] + 2*X[1395] - 8*X[1381] <= 12
model += 10*X[6659] + 7*X[1902] - 4*X[1418] - 12*X[5670] - 2*X[727] + X[270] + 6*X[6981] - 13*X[7295] <= 4
model += -X[6659] - 2*X[1902] + 6*X[1418] - 10*X[5670] + 3*X[727] + 4*X[270] - 9*X[6981] + 11*X[7295] <= 8
model += 10*X[500] + 7*X[7289] - 4*X[5612] - 12*X[7001] - 2*X[830] + X[2093] + 6*X[6588] - 13*X[4494] <= 4
model += -X[500] - 2*X[7289] + 6*X[5612] - 10*X[7001] + 3*X[830] + 4*X[2093] - 9*X[6588] + 11*X[4494] <= 8
model += 3*X[2006] + 9*X[4063] + 7*X[7734] + 5*X[6650] - X[2212] - 4*X[2992] + 2*X[3284] - 8*X[4196] <= 12
model += 10*X[1177] + 7*X[2640] - 4*X[5566] - 12*X[1408] - 2*X[4926] + X[497] + 6*X[672] - 13*X[4604] <= 4
model += -X[1177] - 2*X[2640] + 6*X[5566] - 10*X[1408] + 3*X[4926] + 4*X[497] - 9*X[672] + 11*X[4604] <= 8
model += 10*X[2967] + 7*X[2418] - 4*X[777] - 12*X[4904] - 2*X[1119] + X[391] + 6*X[6077] - 13*X[3439] <= 4
model += -X[2967] - 2*X[2418] + 6*X[777] - 10*X[4904] + 3*X[1119] + 4*X[391] - 9*X[6077] + 11*X[3439] <= 8
model += 10*X[6384] + 7*X[3643] - 4*X[5955] - 12*X[593] - 2*X[6294] + X[4293] + 6*X[2333] - 13*X[236] <= 4
model += -X[6384] - 2*X[3643] + 6*X[5955] - 10*X[593] + 3*X[6294] + 4*X[4293] - 9*X[2333] + 11*X[236] <= 8
model += 3*X[3911] + 9*X[2887] + 7*X[2264] + 5*X[2757] - X[7463] - 4*X[3705] + 2*X[5873] - 8*X[6841] <= 12
model += 3*X[4496] + 9*X[2558] + 7*X[1241] + 5*X[2711] - X[1194] - 4*X[1968] + 2*X[3070] - 8*X[6278] <= 12
model += 3*X[3921] + 9*X[1007] + 7*X[6847] + 5*X[2362] - X[1415] - 4*X[3998] + 2*X[1044] - 8*X[2570] <= 12
model += 3*X[2532] + 9*X[6835] + 7*X[4127] + 5*X[1166] - X[1300] - 4*X[7674] + 2*X[7201] - 8*X[7380] <= 12
model += 3*X[3369] + 9*X[2210] + 7*X[5488] + 5*X[5197] - X[7065] - 4*X[7036] + 2*X[5773] - 8*X[3500] <= 12
model += 3*X[3435] + 9*X[4910] + 7*X[6656] + 5*X[6561] - X[1995] - 4*X[2690] + 2*X[3906] - 8*X[5489] <= 12
model += 3*X[2315] + 9*X[5323] + 7*X[4485] + 5*X[6517] - X[3902] - 4*X[2699] + 2*X[2140] - 8*X[7459] <= 12
model += 10*X[6931] + 7*X[3640] - 4*X[138] - 12*X[6016] - 2*X[5497] + X[834] + 6*X[2105] - 13*X[7038] <= 4
model += -X[6931] - 2*X[3640] + 6*X[138] - 10*X[6016] + 3*X[5497] + 4*X[834] - 9*X[2105] + 11*X[7038] <= 8
model += 3*X[6255] + 9*X[2266] + 7*X[2755] + 5*X[2553] - X[5751] - 4*X[6423] + 2*X[3185] - 8*X[5046] <= 12
model += 3*X[6770] + 9*X[7377] + 7*X[4271] + 5*X[5045] - X[4217] - 4*X[5091] + 2*X[2540] - 8*X[3786] <= 12
model += 3*X[3236] + 9*X[2301] + 7*X[4652] + 5*X[6755] - X[3393] - 4*X[4132] + 2*X[2633] - 8*X[4650] <= 12
model += 10*X[50] - 12*X[104] + 4*X[6412] + 7*X[6079] + 2*X[2299] - 6*X[5048] - X[7138] + 13*X[4710] <= 16
model += 3*X[7496] + 9*X[7113] + 7*X[6161] + 5*X[6849] - X[4373] - 4*X[6896] + 2*X[2402] - 8*X[4949] <= 12
model += 10*X[924] + 7*X[6654] - 4*X[4176] - 12*X[5089] - 2*X[4783] + X[7562] + 6*X[419] - 13*X[7314] <= 4
model += -X[924] - 2*X[6654] + 6*X[4176] - 10*X[5089] + 3*X[4783] + 4*X[7562] - 9*X[419] + 11*X[7314] <= 8
model += 3*X[5698] + 9*X[5003] + 7*X[3161] + 5*X[6924] - X[6906] - 4*X[5869] + 2*X[2276] - 8*X[1823] <= 12
model += 3*X[4786] + 9*X[6397] + 7*X[5471] + 5*X[2769] - X[1475] - 4*X[6652] + 2*X[7648] - 8*X[2136] <= 12
model += 3*X[4308] + 9*X[3087] + 7*X[4817] + 5*X[2852] - X[1664] - 4*X[6996] + 2*X[3217] - 8*X[3302] <= 12
model += 3*X[3199] + 9*X[6115] + 7*X[3798] + 5*X[5163] - X[6700] - 4*X[4012] + 2*X[1322] - 8*X[7481] <= 12
model += 3*X[5708] + 9*X[1768] + 7*X[4936] + 5*X[3159] - X[2759] - 4*X[2203] + 2*X[5838] - 8*X[7679] <= 12
model += 10*X[5606] + 7*X[132] - 4*X[3942] - 12*X[772] - 2*X[1827] + X[5280] + 6*X[2349] - 13*X[1578] <= 4
model += -X[5606] - 2*X[132] + 6*X[3942] - 10*X[772] + 3*X[1827] + 4*X[5280] - 9*X[2349] + 11*X[1578] <= 8
model += 3*X[4108] + 9*X[1892] + 7*X[6863] + 5*X[7156] - X[3058] - 4*X[3337] + 2*X[5568] - 8*X[7716] <= 12
model += 3*X[5459] + 9*X[6393] + 7*X[4879] + 5*X[7279] - X[4995] - 4*X[3243] + 2*X[1577] - 8*X[5011] <= 12
model += 3*X[3001] + 9*X[6018] + 7*X[6592] + 5*X[2547] - X[3583] - 4*X[1187] + 2*X[7091] - 8*X[1260] <= 12
model += 10*X[4289] - 12*X[646] + 4*X[523] + 7*X[5313] + 2*X[1624] - 6*X[2424] - X[313] + 13*X[3940] <= 16
model += 3*X[6884] + 9*X[7555] + 7*X[5903] + 5*X[5799] - X[5688] - 4*X[1969] + 2*X[3950] - 8*X[4446] <= 12
model += 10*X[985] + 7*X[4350] - 4*X[2273] - 12*X[4391] - 2*X[5536] + X[612] + 6*X[6128] - 13*X[4143] <= 4
model += -X[985] - 2*X[4350] + 6*X[2273] - 10*X[4391] + 3*X[5536] + 4*X[612] - 9*X[6128] + 11*X[4143] <= 8
model += 3*X[1937] + 9*X[3987] + 7*X[2586] + 5*X[4624] - X[7034] - 4*X[7431] + 2*X[1347] - 8*X[5614] <= 12
model += 3*X[7182] + 9*X[3502] + 7*X[2019] + 5*X[2345] - X[7641] - 4*X[4858] + 2*X[4784] - 8*X[7184] <= 12
model += 3*X[2083] + 9*X[2336] + 7*X[6360] + 5*X[3175] - X[1777] - 4*X[5480] + 2*X[1975] - 8*X[1502] <= 12
model += 10*X[3898] + 7*X[6298] - 4*X[3137] - 12*X[26] - 2*X[4651] + X[2698] + 6*X[5473] - 13*X[1521] <= 4
model += -X[3898] - 2*X[6298] + 6*X[3137] - 10*X[26] + 3*X[4651] + 4*X[2698] - 9*X[5473] + 11*X[1521] <= 8
model += 3*X[4720] + 9*X[5741] + 7*X[2252] + 5*X[7382] - X[4007] - 4*X[1207] + 2*X[7302] - 8*X[6609] <= 12
model += 10*X[1698] - 12*X[6508] + 4*X[6979] + 7*X[1938] + 2*X[474] - 6*X[7477] - X[1270] + 13*X[16] <= 16
model += 3*X[1452] + 9*X[1282] + 7*X[2467] + 5*X[5122] - X[7592] - 4*X[2040] + 2*X[5644] - 8*X[1579] <= 12
model += 10*X[115] - 12*X[141] + 4*X[7651] + 7*X[5354] + 2*X[6330] - 6*X[7153] - X[765] + 13*X[6783] <= 16
model += 10*X[2186] + 7*X[3011] - 4*X[479] - 12*X[5068] - 2*X[3296] + X[934] + 6*X[3392] - 13*X[6052] <= 4
model += -X[2186] - 2*X[3011] + 6*X[479] - 10*X[5068] + 3*X[3296] + 4*X[934] - 9*X[3392] + 11*X[6052] <= 8
model += 3*X[5348] + 9*X[2442] + 7*X[3357] + 5*X[3512] - X[6425] - 4*X[7530] + 2*X[5831] - 8*X[6698] <= 12
model += 10*X[3706] - 12*X[798] + 4*X[3665] + 7*X[668] + 2*X[1358] - 6*X[174] - X[1069] + 13*X[3561] <= 16
model += 3*X[3131] + 9*X[2709] + 7*X[2808] + 5*X[3417] - X[3073] - 4*X[4875] + 2*X[6203] - 8*X[3475] <= 12
model += 10*X[5692] - 12*X[215] + 4*X[4869] + 7*X[6056] + 2*X[196] - 6*X[1998] - X[314] + 13*X[4776] <= 16
model += 10*X[464] - 12*X[1826] + 4*X[337] + 7*X[4233] + 2*X[540] - 6*X[7022] - X[4981] + 13*X[3663] <= 16
model += 3*X[1818] + 9*X[1709] + 7*X[1643] + 5*X[1095] - X[2222] - 4*X[2356] + 2*X[3422] - 8*X[4772] <= 12
model += 10*X[1666] + 7*X[2739] - 4*X[158] - 12*X[3436] - 2*X[5876] + X[553] + 6*X[1671] - 13*X[7116] <= 4
model += -X[1666] - 2*X[2739] + 6*X[158] - 10*X[3436] + 3*X[5876] + 4*X[553] - 9*X[1671] + 11*X[7116] <= 8
model += 10*X[206] + 7*X[6800] - 4*X[2042] - 12*X[4688] - 2*X[475] + X[1961] + 6*X[5652] - 13*X[4986] <= 4
model += -X[206] - 2*X[6800] + 6*X[2042] - 10*X[4688] + 3*X[475] + 4*X[1961] - 9*X[5652] + 11*X[4986] <= 8
model += 10*X[5351] + 7*X[1997] - 4*X[501] - 12*X[3190] - 2*X[957] + X[4354] + 6*X[3541] - 13*X[2781] <= 4
model += -X[5351] - 2*X[1997] + 6*X[501] - 10*X[3190] + 3*X[957] + 4*X[4354] - 9*X[3541] + 11*X[2781] <= 8
model += 3*X[5602] + 9*X[1080] + 7*X[4539] + 5*X[4913] - X[4302] - 4*X[2592] + 2*X[6515] - 8*X[2638] <= 12
model += 3*X[4110] + 9*X[3747] + 7*X[2798] + 5*X[2646] - X[1098] - 4*X[4781] + 2*X[4749] - 8*X[7635] <= 12
model += 10*X[6183] - 12*X[7298] + 4*X[90] + 7*X[4775] + 2*X[4335] - 6*X[918] - X[1513] + 13*X[3060] <= 16
model += 3*X[3498] + 9*X[7123] + 7*X[7287] + 5*X[6762] - X[1425] - 4*X[2550] + 2*X[4367] - 8*X[5579] <= 12
model += 3*X[5715] + 9*X[3240] + 7*X[1723] + 5*X[2630] - X[4770] - 4*X[6699] + 2*X[5500] - 8*X[4123] <= 12
model += 10*X[4057] + 7*X[3794] - 4*X[3877] - 12*X[4794] - 2*X[5592] + X[96] + 6*X[1487] - 13*X[2024] <= 4
model += -X[4057] - 2*X[3794] + 6*X[3877] - 10*X[4794] + 3*X[5592] + 4*X[96] - 9*X[1487] + 11*X[2024] <= 8
model += 3*X[6120] + 9*X[2853] + 7*X[4314] + 5*X[3365] - X[1183] - 4*X[7104] + 2*X[3842] - 8*X[5486] <= 12
model += 3*X[5453] + 9*X[5912] + 7*X[6860] + 5*X[3852] - X[6261] - 4*X[4273] + 2*X[5836] - 8*X[2971] <= 12
model += 3*X[2359] + 9*X[6525] + 7*X[4022] + 5*X[3048] - X[5603] - 4*X[6789] + 2*X[4779] - 8*X[5376] <= 12
model += 10*X[4578] + 7*X[318] - 4*X[7016] - 12*X[7684] - 2*X[3030] + X[1662] + 6*X[1334] - 13*X[522] <= 4
model += -X[4578] - 2*X[318] + 6*X[7016] - 10*X[7684] + 3*X[3030] + 4*X[1662] - 9*X[1334] + 11*X[522] <= 8
model += 10*X[2282] - 12*X[1127] + 4*X[1163] + 7*X[1899] + 2*X[245] - 6*X[3104] - X[205] + 13*X[541] <= 16
model += 10*X[1652] - 12*X[13] + 4*X[5676] + 7*X[3180] + 2*X[4853] - 6*X[355] - X[4062] + 13*X[5458] <= 16
model += 3*X[6421] + 9*X[1093] + 7*X[2902] + 5*X[5734] - X[3398] - 4*X[6952] + 2*X[7292] - 8*X[5443] <= 12
model += 10*X[6224] + 7*X[3003] - 4*X[4315] - 12*X[6209] - 2*X[916] + X[258] + 6*X[7764] - 13*X[2520] <= 4
model += -X[6224] - 2*X[3003] + 6*X[4315] - 10*X[6209] + 3*X[916] + 4*X[258] - 9*X[7764] + 11*X[2520] <= 8
model += 10*X[3773] + 7*X[1526] - 4*X[4244] - 12*X[4823] - 2*X[495] + X[5224] + 6*X[4793] - 13*X[778] <= 4
model += -X[3773] - 2*X[1526] + 6*X[4244] - 10*X[4823] + 3*X[495] + 4*X[5224] - 9*X[4793] + 11*X[778] <= 8
model += 3*X[2081] + 9*X[1461] + 7*X[5381] + 5*X[1104] - X[4970] - 4*X[1805] + 2*X[5227] - 8*X[4532] <= 12
model += 3*X[1566] + 9*X[1313] + 7*X[5998] + 5*X[3275] - X[4351] - 4*X[6090] + 2*X[7548] - 8*X[1018] <= 12
model += 3*X[1653] + 9*X[3256] + 7*X[6708] + 5*X[2142] - X[6661] - 4*X[5575] + 2*X[6339] - 8*X[6321] <= 12
model += 3*X[4182] + 9*X[6468] + 7*X[6562] + 5*X[1567] - X[6668] - 4*X[4741] + 2*X[4098] - 8*X[3347] <= 12
model += 3*X[7077] + 9*X[6645] + 7*X[3698] + 5*X[1560] - X[7274] - 4*X[3097] + 2*X[2874] - 8*X[7220] <= 12
model += 10*X[5902] - 12*X[373] + 4*X[796] + 7*X[723] + 2*X[4782] - 6*X[3179] - X[6153] + 13*X[4140] <= 16
model += 3*X[3178] + 9*X[3468] + 7*X[7457] + 5*X[4236] - X[4346] - 4*X[4014] + 2*X[6269] - 8*X[6959] <= 12
model += 3*X[6136] + 9*X[4316] + 7*X[1379] + 5*X[6638] - X[3454] - 4*X[5784] + 2*X[3000] - 8*X[3672] <= 12
model += 3*X[1445] + 9*X[1903] + 7*X[3273] + 5*X[5920] - X[3938] - 4*X[2476] + 2*X[5848] - 8*X[4640] <= 12
model += 10*X[7486] + 7*X[1547] - 4*X[968] - 12*X[4706] - 2*X[856] + X[4124] + 6*X[1684] - 13*X[2663] <= 4
model += -X[7486] - 2*X[1547] + 6*X[968] - 10*X[4706] + 3*X[856] + 4*X[4124] - 9*X[1684] + 11*X[2663] <= 8
model += 10*X[2620] - 12*X[59] + 4*X[790] + 7*X[4993] + 2*X[3424] - 6*X[5494] - X[7412] + 13*X[5538] <= 16
model += 3*X[3470] + 9*X[6801] + 7*X[6774] + 5*X[6127] - X[7222] - 4*X[1156] + 2*X[7642] - 8*X[6336] <= 12
model += 10*X[3149] + 7*X[699] - 4*X[2896] - 12*X[7698] - 2*X[2399] + X[694] + 6*X[7650] - 13*X[2265] <= 4
model += -X[3149] - 2*X[699] + 6*X[2896] - 10*X[7698] + 3*X[2399] + 4*X[694] - 9*X[7650] + 11*X[2265] <= 8
model += 3*X[6353] + 9*X[3019] + 7*X[4372] + 5*X[2272] - X[2383] - 4*X[1694] + 2*X[4121] - 8*X[6868] <= 12
model += 10*X[3484] + 7*X[274] - 4*X[7514] - 12*X[1781] - 2*X[6283] + X[6718] + 6*X[728] - 13*X[6779] <= 4
model += -X[3484] - 2*X[274] + 6*X[7514] - 10*X[1781] + 3*X[6283] + 4*X[6718] - 9*X[728] + 11*X[6779] <= 8
model += 10*X[6865] + 7*X[2970] - 4*X[88] - 12*X[3904] - 2*X[6838] + X[6707] + 6*X[7505] - 13*X[3570] <= 4
model += -X[6865] - 2*X[2970] + 6*X[88] - 10*X[3904] + 3*X[6838] + 4*X[6707] - 9*X[7505] + 11*X[3570] <= 8
model += 10*X[1022] + 7*X[7629] - 4*X[5661] - 12*X[183] - 2*X[7236] + X[1561] + 6*X[401] - 13*X[5187] <= 4
model += -X[1022] - 2*X[7629] + 6*X[5661] - 10*X[183] + 3*X[7236] + 4*X[1561] - 9*X[401] + 11*X[5187] <= 8
model += 10*X[3959] - 12*X[60] + 4*X[2892] + 7*X[507] + 2*X[3293] - 6*X[4026] - X[1343] + 13*X[1257] <= 16
model += 10*X[859] - 12*X[2771] + 4*X[5757] + 7*X[37] + 2*X[3249] - 6*X[1985] - X[4860] + 13*X[3905] <= 16
model += 10*X[107] + 7*X[6554] - 4*X[5622] - 12*X[7661] - 2*X[7396] + X[2367] + 6*X[634] - 13*X[5202] <= 4
model += -X[107] - 2*X[6554] + 6*X[5622] - 10*X[7661] + 3*X[7396] + 4*X[2367] - 9*X[634] + 11*X[5202] <= 8
model += 3*X[2606] + 9*X[2659] + 7*X[5025] + 5*X[7461] - X[1722] - 4*X[2724] + 2*X[6341] - 8*X[7447] <= 12
model += 10*X[4551] + 7*X[3508] - 4*X[914] - 12*X[5298] - 2*X[3458] + X[483] + 6*X[6671] - 13*X[5783] <= 4
model += -X[4551] - 2*X[3508] + 6*X[914] - 10*X[5298] + 3*X[3458] + 4*X[483] - 9*X[6671] + 11*X[5783] <= 8
model += 10*X[2255] + 7*X[321] - 4*X[5796] - 12*X[2931] - 2*X[1447] + X[160] + 6*X[2837] - 13*X[1904] <= 4
model += -X[2255] - 2*X[321] + 6*X[5796] - 10*X[2931] + 3*X[1447] + 4*X[160] - 9*X[2837] + 11*X[1904] <= 8
model += 10*X[3597] - 12*X[5747] + 4*X[5063] + 7*X[63] + 2*X[6791] - 6*X[4849] - X[4330] + 13*X[710] <= 16
model += 3*X[5971] + 9*X[3692] + 7*X[7494] + 5*X[5678] - X[7657] - 4*X[5476] + 2*X[5495] - 8*X[7419] <= 12
model += 10*X[4366] + 7*X[4535] - 4*X[3358] - 12*X[473] - 2*X[4218] + X[689] + 6*X[6320] - 13*X[4266] <= 4
model += -X[4366] - 2*X[4535] + 6*X[3358] - 10*X[473] + 3*X[4218] + 4*X[689] - 9*X[6320] + 11*X[4266] <= 8
model += 10*X[3477] - 12*X[771] + 4*X[2310] + 7*X[1978] + 2*X[5917] - 6*X[257] - X[578] + 13*X[6196] <= 16
model += 10*X[4500] + 7*X[6096] - 4*X[5895] - 12*X[186] - 2*X[4052] + X[3391] + 6*X[191] - 13*X[2707] <= 4
model += -X[4500] - 2*X[6096] + 6*X[5895] - 10*X[186] + 3*X[4052] + 4*X[3391] - 9*X[191] + 11*X[2707] <= 8
model += 10*X[502] - 12*X[1915] + 4*X[526] + 7*X[5100] + 2*X[2288] - 6*X[7580] - X[3980] + 13*X[802] <= 16
model += 3*X[1076] + 9*X[3770] + 7*X[4438] + 5*X[6878] - X[7008] - 4*X[5293] + 2*X[2732] - 8*X[5972] <= 12
model += 3*X[7087] + 9*X[3835] + 7*X[1696] + 5*X[3549] - X[3810] - 4*X[7614] + 2*X[4115] - 8*X[5958] <= 12
model += 3*X[6426] + 9*X[6446] + 7*X[4216] + 5*X[6057] - X[2708] - 4*X[6632] + 2*X[2078] - 8*X[5780] <= 12
model += 10*X[2037] + 7*X[1002] - 4*X[7731] - 12*X[4678] - 2*X[382] + X[2616] + 6*X[1479] - 13*X[598] <= 4
model += -X[2037] - 2*X[1002] + 6*X[7731] - 10*X[4678] + 3*X[382] + 4*X[2616] - 9*X[1479] + 11*X[598] <= 8
model += 3*X[6879] + 9*X[5805] + 7*X[1164] + 5*X[4303] - X[6852] - 4*X[2469] + 2*X[2145] - 8*X[2849] <= 12
model += 3*X[1146] + 9*X[4790] + 7*X[7028] + 5*X[1948] - X[2379] - 4*X[3120] + 2*X[3584] - 8*X[6227] <= 12
model += 3*X[7273] + 9*X[2120] + 7*X[1520] + 5*X[3644] - X[2602] - 4*X[5457] + 2*X[7667] - 8*X[3425] <= 12
model += 3*X[5978] + 9*X[2438] + 7*X[2159] + 5*X[6194] - X[6414] - 4*X[2954] + 2*X[1871] - 8*X[2459] <= 12
model += 10*X[3494] - 12*X[2201] + 4*X[3318] + 7*X[5325] + 2*X[2262] - 6*X[9] - X[5247] + 13*X[4226] <= 16
model += 3*X[5822] + 9*X[4019] + 7*X[6438] + 5*X[7139] - X[1283] - 4*X[2573] + 2*X[2579] - 8*X[7704] <= 12
model += 10*X[7362] - 12*X[6454] + 4*X[677] + 7*X[3653] + 2*X[273] - 6*X[4971] - X[6533] + 13*X[979] <= 16
model += 3*X[7064] + 9*X[3989] + 7*X[3900] + 5*X[2943] - X[4766] - 4*X[4855] + 2*X[5842] - 8*X[7526] <= 12
model += 10*X[6925] + 7*X[2807] - 4*X[7559] - 12*X[460] - 2*X[808] + X[6424] + 6*X[4934] - 13*X[1325] <= 4
model += -X[6925] - 2*X[2807] + 6*X[7559] - 10*X[460] + 3*X[808] + 4*X[6424] - 9*X[4934] + 11*X[1325] <= 8
model += 10*X[5515] + 7*X[5685] - 4*X[125] - 12*X[4097] - 2*X[207] + X[6081] + 6*X[1957] - 13*X[3603] <= 4
model += -X[5515] - 2*X[5685] + 6*X[125] - 10*X[4097] + 3*X[207] + 4*X[6081] - 9*X[1957] + 11*X[3603] <= 8
model += 10*X[2824] + 7*X[1742] - 4*X[4754] - 12*X[3208] - 2*X[1941] + X[576] + 6*X[7769] - 13*X[449] <= 4
model += -X[2824] - 2*X[1742] + 6*X[4754] - 10*X[3208] + 3*X[1941] + 4*X[576] - 9*X[7769] + 11*X[449] <= 8
model += 3*X[3378] + 9*X[2534] + 7*X[5456] + 5*X[1960] - X[2483] - 4*X[2434] + 2*X[4256] - 8*X[5283] <= 12
model += 3*X[4834] + 9*X[4389] + 7*X[6459] + 5*X[1795] - X[1936] - 4*X[5633] + 2*X[6006] - 8*X[6187] <= 12
model += 3*X[6542] + 9*X[1778] + 7*X[1789] + 5*X[5719] - X[1951] - 4*X[7152] + 2*X[4413] - 8*X[3238] <= 12
model += 10*X[2966] - 12*X[6378] + 4*X[165] + 7*X[5030] + 2*X[761] - 6*X[3635] - X[591] + 13*X[6729] <= 16
model += 3*X[6864] + 9*X[3817] + 7*X[4356] + 5*X[1342] - X[7136] - 4*X[6527] + 2*X[6819] - 8*X[1382] <= 12
model += 3*X[1281] + 9*X[3689] + 7*X[5749] + 5*X[3427] - X[7373] - 4*X[7519] + 2*X[6570] - 8*X[4525] <= 12
model += 10*X[6526] - 12*X[348] + 4*X[1623] + 7*X[860] + 2*X[597] - 6*X[3886] - X[6134] + 13*X[4799] <= 16
model += 3*X[6749] + 9*X[5442] + 7*X[6184] + 5*X[4864] - X[1876] - 4*X[3194] + 2*X[2785] - 8*X[5418] <= 12
model += 10*X[943] + 7*X[831] - 4*X[1252] - 12*X[6992] - 2*X[5913] + X[1239] + 6*X[4262] - 13*X[4189] <= 4
model += -X[943] - 2*X[831] + 6*X[1252] - 10*X[6992] + 3*X[5913] + 4*X[1239] - 9*X[4262] + 11*X[4189] <= 8
model += 3*X[1287] + 9*X[6822] + 7*X[6892] + 5*X[3567] - X[5529] - 4*X[3837] + 2*X[3703] - 8*X[5832] <= 12
model += 10*X[4958] + 7*X[129] - 4*X[6482] - 12*X[6220] - 2*X[3885] + X[5399] + 6*X[512] - 13*X[3778] <= 4
model += -X[4958] - 2*X[129] + 6*X[6482] - 10*X[6220] + 3*X[3885] + 4*X[5399] - 9*X[512] + 11*X[3778] <= 8
model += 3*X[6805] + 9*X[6015] + 7*X[4056] + 5*X[4830] - X[7361] - 4*X[7423] + 2*X[6978] - 8*X[1967] <= 12
model += 10*X[1518] - 12*X[198] + 4*X[5940] + 7*X[618] + 2*X[2826] - 6*X[5809] - X[974] + 13*X[6097] <= 16
model += 10*X[3878] - 12*X[112] + 4*X[447] + 7*X[6633] + 2*X[3668] - 6*X[738] - X[2686] + 13*X[2166] <= 16
model += 10*X[4839] - 12*X[1036] + 4*X[58] + 7*X[6080] + 2*X[7599] - 6*X[638] - X[1402] + 13*X[4658] <= 16
model += 3*X[4135] + 9*X[1939] + 7*X[5512] + 5*X[4584] - X[4427] - 4*X[2148] + 2*X[3931] - 8*X[6516] <= 12
model += 3*X[5594] + 9*X[4431] + 7*X[3112] + 5*X[5382] - X[2257] - 4*X[3040] + 2*X[2368] - 8*X[3660] <= 12
model += 10*X[5327] - 12*X[91] + 4*X[3521] + 7*X[2588] + 2*X[1295] - 6*X[180] - X[3953] + 13*X[1246] <= 16
model += 10*X[1893] - 12*X[3376] + 4*X[5181] + 7*X[22] + 2*X[1045] - 6*X[283] - X[2415] + 13*X[3207] <= 16
model += 10*X[3984] - 12*X[724] + 4*X[589] + 7*X[1439] + 2*X[4100] - 6*X[376] - X[6025] + 13*X[4021] <= 16
model += 10*X[1953] + 7*X[5101] - 4*X[2370] - 12*X[1695] - 2*X[490] + X[4820] + 6*X[572] - 13*X[1168] <= 4
model += -X[1953] - 2*X[5101] + 6*X[2370] - 10*X[1695] + 3*X[490] + 4*X[4820] - 9*X[572] + 11*X[1168] <= 8
model += 3*X[7312] + 9*X[4696] + 7*X[6076] + 5*X[1120] - X[1485] - 4*X[2155] + 2*X[6673] - 8*X[5517] <= 12
model += 3*X[6905] + 9*X[3099] + 7*X[5802] + 5*X[5959] - X[5239] - 4*X[1958] + 2*X[7446] - 8*X[1243] <= 12
model += 3*X[4425] + 9*X[6600] + 7*X[5547] + 5*X[2240] - X[5524] - 4*X[4629] + 2*X[6881] - 8*X[3497] <= 12
model += 10*X[168] - 12*X[494] + 4*X[6741] + 7*X[3262] + 2*X[7041] - 6*X[644] - X[2884] + 13*X[3428] <= 16
model += 10*X[3806] + 7*X[5786] - 4*X[3067] - 12*X[2400] - 2*X[5723] + X[84] + 6*X[3871] - 13*X[7265] <= 4
model += -X[3806] - 2*X[5786] + 6*X[3067] - 10*X[2400] + 3*X[5723] + 4*X[84] - 9*X[3871] + 11*X[7265] <= 8
model += 3*X[6147] + 9*X[4530] + 7*X[5814] + 5*X[3641] - X[6773] - 4*X[7542] + 2*X[7017] - 8*X[4028] <= 12
model += 3*X[4482] + 9*X[4039] + 7*X[5069] + 5*X[2574] - X[6295] - 4*X[1191] + 2*X[3795] - 8*X[1150] <= 12
model += 3*X[2162] + 9*X[7205] + 7*X[5397] + 5*X[4767] - X[4865] - 4*X[3788] + 2*X[2803] - 8*X[6039] <= 12
model += 10*X[712] + 7*X[1492] - 4*X[5117] - 12*X[2804] - 2*X[5803] + X[3177] + 6*X[2417] - 13*X[650] <= 4
model += -X[712] - 2*X[1492] + 6*X[5117] - 10*X[2804] + 3*X[5803] + 4*X[3177] - 9*X[2417] + 11*X[650] <= 8
model += 3*X[7670] + 9*X[4557] + 7*X[6159] + 5*X[2657] - X[7771] - 4*X[3402] + 2*X[1966] - 8*X[5362] <= 12
model += 10*X[7369] + 7*X[2108] - 4*X[503] - 12*X[7281] - 2*X[3315] + X[5788] + 6*X[766] - 13*X[1857] <= 4
model += -X[7369] - 2*X[2108] + 6*X[503] - 10*X[7281] + 3*X[3315] + 4*X[5788] - 9*X[766] + 11*X[1857] <= 8
model += 3*X[5571] + 9*X[6521] + 7*X[1493] + 5*X[2012] - X[7408] - 4*X[2635] + 2*X[1668] - 8*X[4896] <= 12
model += 3*X[7078] + 9*X[6874] + 7*X[3277] + 5*X[7389] - X[4332] - 4*X[2581] + 2*X[5986] - 8*X[2058] <= 12
model += 10*X[1636] + 7*X[400] - 4*X[6612] - 12*X[6938] - 2*X[7071] + X[3371] + 6*X[670] - 13*X[4164] <= 4
model += -X[1636] - 2*X[400] + 6*X[6612] - 10*X[6938] + 3*X[7071] + 4*X[3371] - 9*X[670] + 11*X[4164] <= 8
model += 3*X[3074] + 9*X[6490] + 7*X[7706] + 5*X[5179] - X[5553] - 4*X[6586] + 2*X[1808] - 8*X[5793] <= 12
model += 3*X[5231] + 9*X[4199] + 7*X[7386] + 5*X[4383] - X[5957] - 4*X[2129] + 2*X[6683] - 8*X[3691] <= 12
model += 10*X[14] + 7*X[4402] - 4*X[5241] - 12*X[3970] - 2*X[1338] + X[5746] + 6*X[7080] - 13*X[6722] <= 4
model += -X[14] - 2*X[4402] + 6*X[5241] - 10*X[3970] + 3*X[1338] + 4*X[5746] - 9*X[7080] + 11*X[6722] <= 8
model += 3*X[3086] + 9*X[6930] + 7*X[5346] + 5*X[4735] - X[3737] - 4*X[2073] + 2*X[1527] - 8*X[1262] <= 12
model += 3*X[7718] + 9*X[3049] + 7*X[4215] + 5*X[2147] - X[3767] - 4*X[1509] + 2*X[2215] - 8*X[5658] <= 12
model += 10*X[5884] + 7*X[4484] - 4*X[3384] - 12*X[2026] - 2*X[1424] + X[87] + 6*X[7355] - 13*X[7665] <= 4
model += -X[5884] - 2*X[4484] + 6*X[3384] - 10*X[2026] + 3*X[1424] + 4*X[87] - 9*X[7355] + 11*X[7665] <= 8
model += 3*X[6211] + 9*X[5487] + 7*X[2691] + 5*X[7475] - X[2104] - 4*X[3873] + 2*X[7694] - 8*X[2427] <= 12
model += 3*X[2822] + 9*X[5944] + 7*X[2317] + 5*X[7636] - X[5464] - 4*X[3802] + 2*X[4857] - 8*X[7700] <= 12
model += 10*X[1] - 12*X[4089] + 4*X[5771] + 7*X[3742] + 2*X[3818] - 6*X[2056] - X[6903] + 13*X[7533] <= 16
model += 10*X[4334] + 7*X[4455] - 4*X[3335] - 12*X[583] - 2*X[3283] + X[472] + 6*X[4941] - 13*X[7511] <= 4
model += -X[4334] - 2*X[4455] + 6*X[3335] - 10*X[583] + 3*X[3283] + 4*X[472] - 9*X[4941] + 11*X[7511] <= 8
model += 3*X[4642] + 9*X[7442] + 7*X[1491] + 5*X[6369] - X[7282] - 4*X[6106] + 2*X[2244] - 8*X[6319] <= 12
model += 3*X[2338] + 9*X[3814] + 7*X[5997] + 5*X[6503] - X[1764] - 4*X[1383] + 2*X[5655] - 8*X[1455] <= 12
model += 10*X[2567] + 7*X[5015] - 4*X[6969] - 12*X[4611] - 2*X[536] + X[2538] + 6*X[7488] - 13*X[853] <= 4
model += -X[2567] - 2*X[5015] + 6*X[6969] - 10*X[4611] + 3*X[536] + 4*X[2538] - 9*X[7488] + 11*X[853] <= 8
model += 3*X[7122] + 9*X[3916] + 7*X[3493] + 5*X[1869] - X[4560] - 4*X[2005] + 2*X[4843] - 8*X[7692] <= 12
model += 10*X[381] - 12*X[213] + 4*X[2964] + 7*X[3002] + 2*X[2474] - 6*X[2577] - X[925] + 13*X[2823] <= 16
model += 10*X[1026] + 7*X[4714] - 4*X[2109] - 12*X[412] - 2*X[144] + X[4153] + 6*X[3379] - 13*X[5475] <= 4
model += -X[1026] - 2*X[4714] + 6*X[2109] - 10*X[412] + 3*X[144] + 4*X[4153] - 9*X[3379] + 11*X[5475] <= 8
model += 3*X[6046] + 9*X[5309] + 7*X[1932] + 5*X[5034] - X[2723] - 4*X[4788] + 2*X[4510] - 8*X[1548] <= 12
model += 3*X[4548] + 9*X[2384] + 7*X[6366] + 5*X[5925] - X[5619] - 4*X[1449] + 2*X[3125] - 8*X[3160] <= 12
model += 10*X[557] - 12*X[294] + 4*X[6947] + 7*X[4621] + 2*X[2331] - 6*X[3774] - X[6073] + 13*X[509] <= 16
model += 10*X[6363] + 7*X[6240] - 4*X[2329] - 12*X[7653] - 2*X[5900] + X[4158] + 6*X[6543] - 13*X[94] <= 4
model += -X[6363] - 2*X[6240] + 6*X[2329] - 10*X[7653] + 3*X[5900] + 4*X[4158] - 9*X[6543] + 11*X[94] <= 8
model += 10*X[7299] + 7*X[7284] - 4*X[4235] - 12*X[635] - 2*X[1929] + X[5682] + 6*X[5203] - 13*X[111] <= 4
model += -X[7299] - 2*X[7284] + 6*X[4235] - 10*X[635] + 3*X[1929] + 4*X[5682] - 9*X[5203] + 11*X[111] <= 8
model += 3*X[6576] + 9*X[3200] + 7*X[4953] + 5*X[4426] - X[2730] - 4*X[1175] + 2*X[6311] - 8*X[1385] <= 12
model += 10*X[184] - 12*X[868] + 4*X[6956] + 7*X[2226] + 2*X[5927] - 6*X[5794] - X[678] + 13*X[4429] <= 16
model += 3*X[7200] + 9*X[3272] + 7*X[4016] + 5*X[6324] - X[3465] - 4*X[1714] + 2*X[2269] - 8*X[7627] <= 12
model += 3*X[1583] + 9*X[1741] + 7*X[7093] + 5*X[2660] - X[5416] - 4*X[4518] + 2*X[6889] - 8*X[2717] <= 12
model += 3*X[3046] + 9*X[4771] + 7*X[4184] + 5*X[2921] - X[2426] - 4*X[7134] + 2*X[3431] - 8*X[1589] <= 12
model += 10*X[4748] + 7*X[2838] - 4*X[564] - 12*X[384] - 2*X[3360] + X[2978] + 6*X[1441] - 13*X[4451] <= 4
model += -X[4748] - 2*X[2838] + 6*X[564] - 10*X[384] + 3*X[3360] + 4*X[2978] - 9*X[1441] + 11*X[4451] <= 8
model += 10*X[5383] + 7*X[2230] - 4*X[6301] - 12*X[5372] - 2*X[4148] + X[57] + 6*X[5113] - 13*X[6658] <= 4
model += -X[5383] - 2*X[2230] + 6*X[6301] - 10*X[5372] + 3*X[4148] + 4*X[57] - 9*X[5113] + 11*X[6658] <= 8
model += 3*X[3426] + 9*X[3620] + 7*X[5250] + 5*X[3982] - X[5326] - 4*X[1896] + 2*X[7068] - 8*X[4682] <= 12
model += 3*X[2158] + 9*X[3901] + 7*X[7561] + 5*X[7345] - X[1895] - 4*X[7326] + 2*X[3964] - 8*X[7612] <= 12
model += 10*X[4418] + 7*X[3385] - 4*X[5188] - 12*X[978] - 2*X[2464] + X[3316] + 6*X[2086] - 13*X[861] <= 4
model += -X[4418] - 2*X[3385] + 6*X[5188] - 10*X[978] + 3*X[2464] + 4*X[3316] - 9*X[2086] + 11*X[861] <= 8
model += 10*X[758] + 7*X[253] - 4*X[5830] - 12*X[3574] - 2*X[1212] + X[1170] + 6*X[5238] - 13*X[3550] <= 4
model += -X[758] - 2*X[253] + 6*X[5830] - 10*X[3574] + 3*X[1212] + 4*X[1170] - 9*X[5238] + 11*X[3550] <= 8
model += 3*X[5144] + 9*X[3034] + 7*X[3709] + 5*X[7574] - X[2741] - 4*X[6684] + 2*X[4852] - 8*X[6704] <= 12
model += 3*X[7277] + 9*X[3416] + 7*X[7633] + 5*X[1473] - X[6418] - 4*X[2678] + 2*X[1576] - 8*X[7464] <= 12
model += 3*X[2715] + 9*X[1015] + 7*X[4084] + 5*X[3429] - X[2736] - 4*X[1288] + 2*X[3036] - 8*X[4867] <= 12
model += 10*X[457] + 7*X[3596] - 4*X[3415] - 12*X[1852] - 2*X[4950] + X[2246] + 6*X[254] - 13*X[6215] <= 4
model += -X[457] - 2*X[3596] + 6*X[3415] - 10*X[1852] + 3*X[4950] + 4*X[2246] - 9*X[254] + 11*X[6215] <= 8
model += 10*X[4911] + 7*X[3308] - 4*X[10] - 12*X[1005] - 2*X[5702] + X[3281] + 6*X[5211] - 13*X[6481] <= 4
model += -X[4911] - 2*X[3308] + 6*X[10] - 10*X[1005] + 3*X[5702] + 4*X[3281] - 9*X[5211] + 11*X[6481] <= 8
model += 3*X[4633] + 9*X[4712] + 7*X[5970] + 5*X[4526] - X[1686] - 4*X[7311] + 2*X[2157] - 8*X[3164] <= 12
model += 10*X[6891] + 7*X[1946] - 4*X[760] - 12*X[2973] - 2*X[7522] + X[6314] + 6*X[5131] - 13*X[779] <= 4
model += -X[6891] - 2*X[1946] + 6*X[760] - 10*X[2973] + 3*X[7522] + 4*X[6314] - 9*X[5131] + 11*X[779] <= 8
model += 3*X[4276] + 9*X[4138] + 7*X[4729] + 5*X[1432] - X[1508] - 4*X[4892] + 2*X[1336] - 8*X[7615] <= 12
model += 10*X[35] - 12*X[261] + 4*X[2706] + 7*X[4064] + 2*X[2605] - 6*X[6246] - X[3022] + 13*X[4073] <= 16
model += 3*X[3846] + 9*X[7560] + 7*X[6003] + 5*X[6999] - X[3975] - 4*X[2531] + 2*X[6199] - 8*X[5585] <= 12
model += 10*X[2253] - 12*X[7750] + 4*X[543] + 7*X[4386] + 2*X[3557] - 6*X[945] - X[838] + 13*X[5641] <= 16
model += 10*X[317] + 7*X[2449] - 4*X[7045] - 12*X[4243] - 2*X[3752] + X[2927] + 6*X[5507] - 13*X[499] <= 4
model += -X[317] - 2*X[2449] + 6*X[7045] - 10*X[4243] + 3*X[3752] + 4*X[2927] - 9*X[5507] + 11*X[499] <= 8
model += 3*X[1291] + 9*X[5184] + 7*X[4517] + 5*X[6437] - X[6748] - 4*X[1250] + 2*X[7402] - 8*X[4060] <= 12
model += 3*X[2334] + 9*X[3629] + 7*X[6265] + 5*X[7376] - X[1105] - 4*X[2879] + 2*X[5311] - 8*X[1580] <= 12
model += 3*X[3473] + 9*X[5640] + 7*X[3553] + 5*X[3746] - X[4730] - 4*X[3571] + 2*X[2431] - 8*X[5407] <= 12
model += 3*X[6995] + 9*X[7057] + 7*X[6070] + 5*X[6792] - X[6587] - 4*X[2462] + 2*X[1894] - 8*X[1328] <= 12
model += 3*X[7443] + 9*X[5638] + 7*X[3563] + 5*X[6756] - X[5769] - 4*X[2393] + 2*X[2995] - 8*X[1533] <= 12
model += 3*X[5557] + 9*X[3678] + 7*X[6105] + 5*X[6051] - X[4803] - 4*X[6670] + 2*X[3870] - 8*X[2750] <= 12
model += 3*X[2728] + 9*X[3759] + 7*X[5434] + 5*X[5016] - X[1678] - 4*X[6544] + 2*X[6488] - 8*X[5954] <= 12
model += 3*X[6737] + 9*X[1362] + 7*X[2742] + 5*X[3100] - X[2031] - 4*X[3135] + 2*X[5375] - 8*X[3799] <= 12
model += 3*X[5115] + 9*X[6493] + 7*X[5541] + 5*X[5194] - X[3023] - 4*X[3176] + 2*X[7493] - 8*X[7751] <= 12
model += 10*X[904] + 7*X[7399] - 4*X[6772] - 12*X[6674] - 2*X[1333] + X[7776] + 6*X[999] - 13*X[2652] <= 4
model += -X[904] - 2*X[7399] + 6*X[6772] - 10*X[6674] + 3*X[1333] + 4*X[7776] - 9*X[999] + 11*X[2652] <= 8
model += 10*X[1775] + 7*X[3661] - 4*X[4824] - 12*X[2293] - 2*X[3234] + X[2845] + 6*X[51] - 13*X[3845] <= 4
model += -X[1775] - 2*X[3661] + 6*X[4824] - 10*X[2293] + 3*X[3234] + 4*X[2845] - 9*X[51] + 11*X[3845] <= 8
model += 3*X[3322] + 9*X[2901] + 7*X[2322] + 5*X[5406] - X[4846] - 4*X[1265] + 2*X[1226] - 8*X[4237] <= 12
model += 3*X[3552] + 9*X[4311] + 7*X[6866] + 5*X[3674] - X[6957] - 4*X[3005] + 2*X[2877] - 8*X[2604] <= 12
model += 10*X[7072] - 12*X[621] + 4*X[1001] + 7*X[6807] + 2*X[1157] - 6*X[433] - X[3051] + 13*X[360] <= 16
model += 10*X[2041] + 7*X[994] - 4*X[835] - 12*X[5554] - 2*X[6910] + X[4850] + 6*X[2494] - 13*X[5976] <= 4
model += -X[2041] - 2*X[994] + 6*X[835] - 10*X[5554] + 3*X[6910] + 4*X[4850] - 9*X[2494] + 11*X[5976] <= 8
model += 10*X[7210] + 7*X[709] - 4*X[5288] - 12*X[263] - 2*X[4488] + X[6403] + 6*X[1155] - 13*X[7470] <= 4
model += -X[7210] - 2*X[709] + 6*X[5288] - 10*X[263] + 3*X[4488] + 4*X[6403] - 9*X[1155] + 11*X[7470] <= 8
model += 10*X[1707] + 7*X[887] - 4*X[4938] - 12*X[2216] - 2*X[639] + X[1873] + 6*X[2940] - 13*X[2237] <= 4
model += -X[1707] - 2*X[887] + 6*X[4938] - 10*X[2216] + 3*X[639] + 4*X[1873] - 9*X[2940] + 11*X[2237] <= 8
model += 3*X[5498] + 9*X[4588] + 7*X[1099] + 5*X[7388] - X[5338] - 4*X[5450] + 2*X[3725] - 8*X[3556] <= 12
model += 3*X[5172] + 9*X[3406] + 7*X[6043] + 5*X[6885] - X[3865] - 4*X[5781] + 2*X[7234] - 8*X[1504] <= 12
model += 10*X[7691] + 7*X[2817] - 4*X[5595] - 12*X[4005] - 2*X[20] + X[7451] + 6*X[3588] - 13*X[4768] <= 4
model += -X[7691] - 2*X[2817] + 6*X[5595] - 10*X[4005] + 3*X[20] + 4*X[7451] - 9*X[3588] + 11*X[4768] <= 8
model += 10*X[1259] + 7*X[5760] - 4*X[3535] - 12*X[5950] - 2*X[3529] + X[1121] + 6*X[6706] - 13*X[53] <= 4
model += -X[1259] - 2*X[5760] + 6*X[3535] - 10*X[5950] + 3*X[3529] + 4*X[1121] - 9*X[6706] + 11*X[53] <= 8
model += 3*X[5570] + 9*X[7154] + 7*X[5642] + 5*X[4340] - X[2307] - 4*X[7211] + 2*X[5365] - 8*X[5085] <= 12
model += 3*X[4304] + 9*X[2376] + 7*X[7082] + 5*X[7471] - X[5412] - 4*X[1549] + 2*X[6417] - 8*X[1983] <= 12
model += 3*X[6068] + 9*X[7199] + 7*X[5391] + 5*X[3936] - X[4796] - 4*X[1323] + 2*X[2071] - 8*X[4264] <= 12
model += 10*X[1458] + 7*X[2528] - 4*X[5448] - 12*X[6023] - 2*X[901] + X[2536] + 6*X[392] - 13*X[5850] <= 4
model += -X[1458] - 2*X[2528] + 6*X[5448] - 10*X[6023] + 3*X[901] + 4*X[2536] - 9*X[392] + 11*X[5850] <= 8
model += 10*X[135] + 7*X[5526] - 4*X[2947] - 12*X[6719] - 2*X[461] + X[3154] + 6*X[7397] - 13*X[1956] <= 4
model += -X[135] - 2*X[5526] + 6*X[2947] - 10*X[6719] + 3*X[461] + 4*X[3154] - 9*X[7397] + 11*X[1956] <= 8
model += 10*X[5195] - 12*X[1070] + 4*X[1538] + 7*X[171] + 2*X[212] - 6*X[5740] - X[4573] + 13*X[823] <= 16
model += 10*X[2642] + 7*X[134] - 4*X[4113] - 12*X[897] - 2*X[3988] + X[5138] + 6*X[2328] - 13*X[6144] <= 4
model += -X[2642] - 2*X[134] + 6*X[4113] - 10*X[897] + 3*X[3988] + 4*X[5138] - 9*X[2328] + 11*X[6144] <= 8
model += 10*X[5038] + 7*X[5726] - 4*X[7241] - 12*X[7450] - 2*X[393] + X[3971] + 6*X[659] - 13*X[7099] <= 4
model += -X[5038] - 2*X[5726] + 6*X[7241] - 10*X[7450] + 3*X[393] + 4*X[3971] - 9*X[659] + 11*X[7099] <= 8
model += 10*X[3658] - 12*X[895] + 4*X[5948] + 7*X[691] + 2*X[792] - 6*X[5923] - X[1603] + 13*X[3169] <= 16
model += 3*X[4280] + 9*X[2199] + 7*X[2710] + 5*X[7121] - X[4832] - 4*X[3388] + 2*X[6775] - 8*X[5798] <= 12
model += 3*X[4222] + 9*X[6388] + 7*X[2625] + 5*X[3974] - X[2029] - 4*X[1767] + 2*X[5896] - 8*X[6639] <= 12
model += 10*X[7755] + 7*X[1481] - 4*X[2369] - 12*X[2968] - 2*X[44] + X[5414] + 6*X[5308] - 13*X[2575] <= 4
model += -X[7755] - 2*X[1481] + 6*X[2369] - 10*X[2968] + 3*X[44] + 4*X[5414] - 9*X[5308] + 11*X[2575] <= 8
model += 10*X[1635] - 12*X[2256] + 4*X[40] + 7*X[7410] + 2*X[7717] - 6*X[602] - X[3186] + 13*X[7187] <= 16
model += 3*X[7428] + 9*X[7786] + 7*X[6292] + 5*X[4205] - X[5921] - 4*X[6514] + 2*X[5028] - 8*X[1055] <= 12
model += 3*X[3733] + 9*X[6960] + 7*X[4384] + 5*X[4306] - X[7467] - 4*X[3128] + 2*X[7643] - 8*X[1013] <= 12
model += 10*X[3202] + 7*X[411] - 4*X[1217] - 12*X[7350] - 2*X[4503] + X[7346] + 6*X[785] - 13*X[5849] <= 4
model += -X[3202] - 2*X[411] + 6*X[1217] - 10*X[7350] + 3*X[4503] + 4*X[7346] - 9*X[785] + 11*X[5849] <= 8
model += 3*X[5892] + 9*X[1838] + 7*X[2843] + 5*X[4381] - X[6505] - 4*X[2229] + 2*X[6154] - 8*X[2727] <= 12
model += 3*X[3383] + 9*X[1154] + 7*X[6150] + 5*X[5370] - X[2675] - 4*X[1697] + 2*X[5289] - 8*X[6602] <= 12
model += 10*X[364] - 12*X[1378] + 4*X[4131] + 7*X[5936] + 2*X[4653] - 6*X[6696] - X[95] + 13*X[4566] <= 16
model += 3*X[4929] + 9*X[4449] + 7*X[3667] + 5*X[6142] - X[3558] - 4*X[4152] + 2*X[1544] - 8*X[2174] <= 12
model += 3*X[3613] + 9*X[3771] + 7*X[1366] + 5*X[4336] - X[3866] - 4*X[5613] + 2*X[2854] - 8*X[6814] <= 12
model += 3*X[5846] + 9*X[5527] + 7*X[1179] + 5*X[4668] - X[1563] - 4*X[1392] + 2*X[5722] - 8*X[5243] <= 12
model += 3*X[1598] + 9*X[2217] + 7*X[3314] + 5*X[6185] - X[4041] - 4*X[1216] + 2*X[7737] - 8*X[4206] <= 12
model += 10*X[1315] + 7*X[863] - 4*X[4872] - 12*X[162] - 2*X[6473] + X[7484] + 6*X[1184] - 13*X[6991] <= 4
model += -X[1315] - 2*X[863] + 6*X[4872] - 10*X[162] + 3*X[6473] + 4*X[7484] - 9*X[1184] + 11*X[6991] <= 8
model += 3*X[6181] + 9*X[3189] + 7*X[7767] + 5*X[5483] - X[1779] - 4*X[2917] + 2*X[3520] - 8*X[6242] <= 12
model += 3*X[6122] + 9*X[5021] + 7*X[7181] + 5*X[1264] - X[6509] - 4*X[2559] + 2*X[7578] - 8*X[7391] <= 12
model += 10*X[2022] + 7*X[404] - 4*X[1679] - 12*X[3209] - 2*X[445] + X[6839] + 6*X[4901] - 13*X[2872] <= 4
model += -X[2022] - 2*X[404] + 6*X[1679] - 10*X[3209] + 3*X[445] + 4*X[6839] - 9*X[4901] + 11*X[2872] <= 8
model += 3*X[5660] + 9*X[6326] + 7*X[6851] + 5*X[5777] - X[6965] - 4*X[1298] + 2*X[5102] - 8*X[2141] <= 12
model += 3*X[3452] + 9*X[3089] + 7*X[4211] + 5*X[7535] - X[7378] - 4*X[1586] + 2*X[6166] - 8*X[1810] <= 12
model += 10*X[2435] - 12*X[5671] + 4*X[220] + 7*X[700] + 2*X[4546] - 6*X[1077] - X[1368] + 13*X[610] <= 16
model += 10*X[1158] + 7*X[4309] - 4*X[4415] - 12*X[434] - 2*X[5087] + X[3722] + 6*X[1082] - 13*X[654] <= 4
model += -X[1158] - 2*X[4309] + 6*X[4415] - 10*X[434] + 3*X[5087] + 4*X[3722] - 9*X[1082] + 11*X[654] <= 8
model += 3*X[6680] + 9*X[3958] + 7*X[7678] + 5*X[6158] - X[1272] - 4*X[2057] + 2*X[2354] - 8*X[7348] <= 12
model += 3*X[6743] + 9*X[4193] + 7*X[5175] + 5*X[3743] - X[7676] - 4*X[6694] + 2*X[5776] - 8*X[7159] <= 12
model += 10*X[7565] + 7*X[2015] - 4*X[3163] - 12*X[5350] - 2*X[18] + X[1606] + 6*X[1388] - 13*X[2347] <= 4
model += -X[7565] - 2*X[2015] + 6*X[3163] - 10*X[5350] + 3*X[18] + 4*X[1606] - 9*X[1388] + 11*X[2347] <= 8
model += 10*X[991] + 7*X[7523] - 4*X[6641] - 12*X[6513] - 2*X[3083] + X[6623] + 6*X[776] - 13*X[6528] <= 4
model += -X[991] - 2*X[7523] + 6*X[6641] - 10*X[6513] + 3*X[3083] + 4*X[6623] - 9*X[776] + 11*X[6528] <= 8
model += 10*X[815] + 7*X[852] - 4*X[7433] - 12*X[4163] - 2*X[2818] + X[1511] + 6*X[5059] - 13*X[6074] <= 4
model += -X[815] - 2*X[852] + 6*X[7433] - 10*X[4163] + 3*X[2818] + 4*X[1511] - 9*X[5059] + 11*X[6074] <= 8
model += 10*X[458] - 12*X[4416] + 4*X[217] + 7*X[4422] + 2*X[6173] - 6*X[4555] - X[822] + 13*X[3983] <= 16
model += 3*X[1404] + 9*X[7726] + 7*X[5710] + 5*X[1802] - X[5994] - 4*X[6179] + 2*X[4645] - 8*X[6004] <= 12
model += 10*X[7049] + 7*X[5193] - 4*X[2516] - 12*X[30] - 2*X[6338] + X[5987] + 6*X[2321] - 13*X[3091] <= 4
model += -X[7049] - 2*X[5193] + 6*X[2516] - 10*X[30] + 3*X[6338] + 4*X[5987] - 9*X[2321] + 11*X[3091] <= 8
model += 3*X[4684] + 9*X[4727] + 7*X[5281] + 5*X[5827] - X[1497] - 4*X[2880] + 2*X[1337] - 8*X[7128] <= 12
model += 10*X[1528] + 7*X[3505] - 4*X[3110] - 12*X[3366] - 2*X[886] + X[660] + 6*X[7324] - 13*X[1116] <= 4
model += -X[1528] - 2*X[3505] + 6*X[3110] - 10*X[3366] + 3*X[886] + 4*X[660] - 9*X[7324] + 11*X[1116] <= 8
model += 10*X[5680] + 7*X[636] - 4*X[1125] - 12*X[466] - 2*X[4209] + X[5334] + 6*X[2729] - 13*X[5736] <= 4
model += -X[5680] - 2*X[636] + 6*X[1125] - 10*X[466] + 3*X[4209] + 4*X[5334] - 9*X[2729] + 11*X[5736] <= 8
model += 10*X[7491] + 7*X[386] - 4*X[6226] - 12*X[3324] - 2*X[4939] + X[6095] + 6*X[695] - 13*X[7566] <= 4
model += -X[7491] - 2*X[386] + 6*X[6226] - 10*X[3324] + 3*X[4939] + 4*X[6095] - 9*X[695] + 11*X[7566] <= 8
model += 3*X[6607] + 9*X[5610] + 7*X[3815] + 5*X[1699] - X[6206] - 4*X[6146] + 2*X[2626] - 8*X[5153] <= 12
model += 3*X[5387] + 9*X[5152] + 7*X[2371] + 5*X[5996] - X[1569] - 4*X[6627] + 2*X[4083] - 8*X[2641] <= 12
model += 3*X[7309] + 9*X[5199] + 7*X[6335] + 5*X[5754] - X[3105] - 4*X[3213] + 2*X[4301] - 8*X[1878] <= 12
model += 10*X[3204] + 7*X[973] - 4*X[4543] - 12*X[920] - 2*X[2247] + X[1249] + 6*X[4445] - 13*X[4791] <= 4
model += -X[3204] - 2*X[973] + 6*X[4543] - 10*X[920] + 3*X[2247] + 4*X[1249] - 9*X[4445] + 11*X[4791] <= 8
model += 10*X[4641] + 7*X[619] - 4*X[4269] - 12*X[5004] - 2*X[3976] + X[194] + 6*X[3039] - 13*X[1151] <= 4
model += -X[4641] - 2*X[619] + 6*X[4269] - 10*X[5004] + 3*X[3976] + 4*X[194] - 9*X[3039] + 11*X[1151] <= 8
model += 10*X[1046] + 7*X[36] - 4*X[5135] - 12*X[3954] - 2*X[4534] + X[3310] + 6*X[2357] - 13*X[4721] <= 4
model += -X[1046] - 2*X[36] + 6*X[5135] - 10*X[3954] + 3*X[4534] + 4*X[3310] - 9*X[2357] + 11*X[4721] <= 8
model += 10*X[1190] + 7*X[653] - 4*X[3449] - 12*X[2595] - 2*X[701] + X[6573] + 6*X[2171] - 13*X[5389] <= 4
model += -X[1190] - 2*X[653] + 6*X[3449] - 10*X[2595] + 3*X[701] + 4*X[6573] - 9*X[2171] + 11*X[5389] <= 8
model += 3*X[6119] + 9*X[4476] + 7*X[3714] + 5*X[6784] - X[5049] - 4*X[5225] + 2*X[7597] - 8*X[6305] <= 12
model += 3*X[5232] + 9*X[4919] + 7*X[7610] + 5*X[5665] - X[5317] - 4*X[6501] + 2*X[1442] - 8*X[7593] <= 12
model += 10*X[5112] + 7*X[2061] - 4*X[7483] - 12*X[323] - 2*X[915] + X[3812] + 6*X[2196] - 13*X[2351] <= 4
model += -X[5112] - 2*X[2061] + 6*X[7483] - 10*X[323] + 3*X[915] + 4*X[3812] - 9*X[2196] + 11*X[2351] <= 8
model += 3*X[1610] + 9*X[6192] + 7*X[5022] + 5*X[2716] - X[4874] - 4*X[2515] + 2*X[2556] - 8*X[5559] <= 12
model += 10*X[4253] + 7*X[7303] - 4*X[7538] - 12*X[1856] - 2*X[6559] + X[425] + 6*X[584] - 13*X[6604] <= 4
model += -X[4253] - 2*X[7303] + 6*X[7538] - 10*X[1856] + 3*X[6559] + 4*X[425] - 9*X[584] + 11*X[6604] <= 8
model += 3*X[6637] + 9*X[4299] + 7*X[4574] + 5*X[3121] - X[4985] - 4*X[2208] + 2*X[2430] - 8*X[5133] <= 12
model += 3*X[1413] + 9*X[3158] + 7*X[2694] + 5*X[5356] - X[2387] - 4*X[3321] + 2*X[3598] - 8*X[1049] <= 12
model += 3*X[1550] + 9*X[6082] + 7*X[4341] + 5*X[5911] - X[2335] - 4*X[1921] + 2*X[5867] - 8*X[3973] <= 12
model += 3*X[3006] + 9*X[1280] + 7*X[4483] + 5*X[2809] - X[2115] - 4*X[2871] + 2*X[7247] - 8*X[7607] <= 12
model += 10*X[4324] + 7*X[988] - 4*X[291] - 12*X[2976] - 2*X[3887] + X[7061] + 6*X[3306] - 13*X[3849] <= 4
model += -X[4324] - 2*X[988] + 6*X[291] - 10*X[2976] + 3*X[3887] + 4*X[7061] - 9*X[3306] + 11*X[3849] <= 8
model += 3*X[5816] + 9*X[3819] + 7*X[5690] + 5*X[6590] - X[4531] - 4*X[3783] + 2*X[6370] - 8*X[7745] <= 12
model += 3*X[1886] + 9*X[1647] + 7*X[7594] + 5*X[6734] - X[1663] - 4*X[3013] + 2*X[4660] - 8*X[3513] <= 12
model += 3*X[7315] + 9*X[6254] + 7*X[4284] + 5*X[2950] - X[2827] - 4*X[6614] + 2*X[4891] - 8*X[1734] <= 12
model += 10*X[224] + 7*X[7060] - 4*X[570] - 12*X[3927] - 2*X[7689] + X[1605] + 6*X[3634] - 13*X[5899] <= 4
model += -X[224] - 2*X[7060] + 6*X[570] - 10*X[3927] + 3*X[7689] + 4*X[1605] - 9*X[3634] + 11*X[5899] <= 8
model += 3*X[5415] + 9*X[6785] + 7*X[4321] + 5*X[6686] - X[5145] - 4*X[7141] + 2*X[3618] - 8*X[2986] <= 12
model += 3*X[3823] + 9*X[5132] + 7*X[4519] + 5*X[5177] - X[2413] - 4*X[1117] + 2*X[3879] - 8*X[5569] <= 12
model += 10*X[938] + 7*X[3348] - 4*X[7365] - 12*X[4437] - 2*X[5878] + X[1507] + 6*X[1019] - 13*X[637] <= 4
model += -X[938] - 2*X[3348] + 6*X[7365] - 10*X[4437] + 3*X[5878] + 4*X[1507] - 9*X[1019] + 11*X[637] <= 8
model += 3*X[5328] + 9*X[1304] + 7*X[6367] + 5*X[1565] - X[1743] - 4*X[2003] + 2*X[1437] - 8*X[3832] <= 12
model += 3*X[5621] + 9*X[3890] + 7*X[3809] + 5*X[1387] - X[7233] - 4*X[5018] + 2*X[2649] - 8*X[6458] <= 12
model += 10*X[3038] + 7*X[2628] - 4*X[851] - 12*X[4053] - 2*X[5578] + X[5043] + 6*X[703] - 13*X[3479] <= 4
model += -X[3038] - 2*X[2628] + 6*X[851] - 10*X[4053] + 3*X[5578] + 4*X[5043] - 9*X[703] + 11*X[3479] <= 8
model += 10*X[706] - 12*X[279] + 4*X[7473] + 7*X[1918] + 2*X[4991] - 6*X[3445] - X[2560] + 13*X[469] <= 16
model += 10*X[6248] + 7*X[7083] - 4*X[4149] - 12*X[657] - 2*X[1785] + X[6584] + 6*X[5390] - 13*X[764] <= 4
model += -X[6248] - 2*X[7083] + 6*X[4149] - 10*X[657] + 3*X[1785] + 4*X[6584] - 9*X[5390] + 11*X[764] <= 8
model += 3*X[5075] + 9*X[5246] + 7*X[6293] + 5*X[7766] - X[7660] - 4*X[2939] + 2*X[6685] - 8*X[4595] <= 12
model += 10*X[3338] + 7*X[3839] - 4*X[1053] - 12*X[5462] - 2*X[2450] + X[824] + 6*X[544] - 13*X[3405] <= 4
model += -X[3338] - 2*X[3839] + 6*X[1053] - 10*X[5462] + 3*X[2450] + 4*X[824] - 9*X[544] + 11*X[3405] <= 8
model += 3*X[3947] + 9*X[1854] + 7*X[6985] + 5*X[7681] - X[5142] - 4*X[7621] + 2*X[1730] - 8*X[4169] <= 12
model += 10*X[6993] - 12*X[698] + 4*X[1865] + 7*X[1523] + 2*X[7006] - 6*X[19] - X[1860] + 13*X[7625] <= 16
model += 10*X[1063] + 7*X[7319] - 4*X[6907] - 12*X[4572] - 2*X[93] + X[6042] + 6*X[2097] - 13*X[7739] <= 4
model += -X[1063] - 2*X[7319] + 6*X[6907] - 10*X[4572] + 3*X[93] + 4*X[6042] - 9*X[2097] + 11*X[7739] <= 8
model += 3*X[2053] + 9*X[5050] + 7*X[6566] + 5*X[1174] - X[5851] - 4*X[3769] + 2*X[6732] - 8*X[4461] <= 12
model += 10*X[3071] + 7*X[1571] - 4*X[113] - 12*X[6104] - 2*X[3472] + X[927] + 6*X[5151] - 13*X[3010] <= 4
model += -X[3071] - 2*X[1571] + 6*X[113] - 10*X[6104] + 3*X[3472] + 4*X[927] - 9*X[5151] + 11*X[3010] <= 8
model += 3*X[1760] + 9*X[6648] + 7*X[5020] + 5*X[2932] - X[5841] - 4*X[2790] + 2*X[6647] - 8*X[7460] <= 12
model += 10*X[151] + 7*X[5937] - 4*X[3451] - 12*X[2414] - 2*X[2745] + X[139] + 6*X[7656] - 13*X[5355] <= 4
model += -X[151] - 2*X[5937] + 6*X[3451] - 10*X[2414] + 3*X[2745] + 4*X[139] - 9*X[7656] + 11*X[5355] <= 8
model += 3*X[2654] + 9*X[3130] + 7*X[5864] + 5*X[7780] - X[7406] - 4*X[1933] + 2*X[2722] - 8*X[2719] <= 12
model += 10*X[2316] + 7*X[121] - 4*X[1236] - 12*X[6208] - 2*X[105] + X[1718] + 6*X[3585] - 13*X[2401] <= 4
model += -X[2316] - 2*X[121] + 6*X[1236] - 10*X[6208] + 3*X[105] + 4*X[1718] - 9*X[3585] + 11*X[2401] <= 8
model += 10*X[7048] + 7*X[187] - 4*X[7328] - 12*X[1562] - 2*X[6086] + X[7468] + 6*X[4194] - 13*X[435] <= 4
model += -X[7048] - 2*X[187] + 6*X[7328] - 10*X[1562] + 3*X[6086] + 4*X[7468] - 9*X[4194] + 11*X[435] <= 8
model += 3*X[3364] + 9*X[6923] + 7*X[2224] + 5*X[4533] - X[4088] - 4*X[1655] + 2*X[1457] - 8*X[1582] <= 12
model += 3*X[7398] + 9*X[6247] + 7*X[7728] + 5*X[2610] - X[2098] - 4*X[6596] + 2*X[1505] - 8*X[1772] <= 12
model += 10*X[5967] + 7*X[7018] - 4*X[210] - 12*X[423] - 2*X[1384] + X[2072] + 6*X[4942] - 13*X[2021] <= 4
model += -X[5967] - 2*X[7018] + 6*X[210] - 10*X[423] + 3*X[1384] + 4*X[2072] - 9*X[4942] + 11*X[2021] <= 8
model += 10*X[5615] + 7*X[1474] - 4*X[3926] - 12*X[5540] - 2*X[6111] + X[5662] + 6*X[259] - 13*X[520] <= 4
model += -X[5615] - 2*X[1474] + 6*X[3926] - 10*X[5540] + 3*X[6111] + 4*X[5662] - 9*X[259] + 11*X[520] <= 8
model += 3*X[3157] + 9*X[5436] + 7*X[3813] + 5*X[2285] - X[5454] - 4*X[4967] + 2*X[5130] - 8*X[6808] <= 12
model += 10*X[64] + 7*X[2291] - 4*X[5057] - 12*X[2121] - 2*X[5887] + X[2705] + 6*X[3830] - 13*X[6867] <= 4
model += -X[64] - 2*X[2291] + 6*X[5057] - 10*X[2121] + 3*X[5887] + 4*X[2705] - 9*X[3830] + 11*X[6867] <= 8
model += 10*X[513] + 7*X[5545] - 4*X[4602] - 12*X[2624] - 2*X[6998] + X[3914] + 6*X[717] - 13*X[3857] <= 4
model += -X[513] - 2*X[5545] + 6*X[4602] - 10*X[2624] + 3*X[6998] + 4*X[3914] - 9*X[717] + 11*X[3857] <= 8
model += 3*X[1320] + 9*X[7478] + 7*X[6735] + 5*X[3266] - X[6130] - 4*X[5385] + 2*X[1862] - 8*X[4581] <= 12
model += 10*X[5667] + 7*X[1885] - 4*X[1208] - 12*X[7296] - 2*X[246] + X[1594] + 6*X[1111] - 13*X[211] <= 4
model += -X[5667] - 2*X[1885] + 6*X[1208] - 10*X[7296] + 3*X[246] + 4*X[1594] - 9*X[1111] + 11*X[211] <= 8
model += 3*X[7347] + 9*X[2047] + 7*X[2681] + 5*X[5521] - X[7276] - 4*X[3615] + 2*X[4255] - 8*X[6689] <= 12
model += 10*X[347] + 7*X[6974] - 4*X[7352] - 12*X[6795] - 2*X[127] + X[1993] + 6*X[6290] - 13*X[6176] <= 4
model += -X[347] - 2*X[6974] + 6*X[7352] - 10*X[6795] + 3*X[127] + 4*X[1993] - 9*X[6290] + 11*X[6176] <= 8
model += 10*X[688] - 12*X[2046] + 4*X[7278] + 7*X[5080] + 2*X[3797] - 6*X[7564] - X[80] + 13*X[5695] <= 16
model += 3*X[5136] + 9*X[4030] + 7*X[1908] + 5*X[6833] - X[7175] - 4*X[3652] + 2*X[6511] - 8*X[5417] <= 12
model += 10*X[3116] + 7*X[228] - 4*X[5716] - 12*X[4509] - 2*X[922] + X[2546] + 6*X[6840] - 13*X[7725] <= 4
model += -X[3116] - 2*X[228] + 6*X[5716] - 10*X[4509] + 3*X[922] + 4*X[2546] - 9*X[6840] + 11*X[7725] <= 8
model += 3*X[3517] + 9*X[3395] + 7*X[2906] + 5*X[4835] - X[5574] - 4*X[2223] + 2*X[7074] - 8*X[5891] <= 12
model += 10*X[556] + 7*X[1517] - 4*X[1759] - 12*X[278] - 2*X[2395] + X[3183] + 6*X[3522] - 13*X[4538] <= 4
model += -X[556] - 2*X[1517] + 6*X[1759] - 10*X[278] + 3*X[2395] + 4*X[3183] - 9*X[3522] + 11*X[4538] <= 8
model += 3*X[2312] + 9*X[3888] + 7*X[6195] + 5*X[3575] - X[7173] - 4*X[3487] + 2*X[1042] - 8*X[6205] <= 12
model += 10*X[2169] + 7*X[465] - 4*X[6356] - 12*X[4471] - 2*X[4565] + X[3455] + 6*X[195] - 13*X[3270] <= 4
model += -X[2169] - 2*X[465] + 6*X[6356] - 10*X[4471] + 3*X[4565] + 4*X[3455] - 9*X[195] + 11*X[3270] <= 8
model += 3*X[4828] + 9*X[2342] + 7*X[2032] + 5*X[7546] - X[1456] - 4*X[7532] + 2*X[2936] - 8*X[3548] <= 12
model += 3*X[4126] + 9*X[2890] + 7*X[3566] + 5*X[7333] - X[2038] - 4*X[1986] + 2*X[4027] - 8*X[5212] <= 12
model += 3*X[2499] + 9*X[6946] + 7*X[1326] + 5*X[6352] - X[7190] - 4*X[7437] + 2*X[5392] - 8*X[3572] <= 12
model += 10*X[357] + 7*X[7308] - 4*X[6798] - 12*X[455] - 2*X[7150] + X[6416] + 6*X[7420] - 13*X[5078] <= 4
model += -X[357] - 2*X[7308] + 6*X[6798] - 10*X[455] + 3*X[7150] + 4*X[6416] - 9*X[7420] + 11*X[5078] <= 8
model += 3*X[4469] + 9*X[4082] + 7*X[4339] + 5*X[5072] - X[2557] - 4*X[6395] + 2*X[7368] - 8*X[5300] <= 12
model += 3*X[2178] + 9*X[7724] + 7*X[5817] + 5*X[3288] - X[2111] - 4*X[1269] + 2*X[7662] - 8*X[3124] <= 12
model += 3*X[7316] + 9*X[7652] + 7*X[1650] + 5*X[4456] - X[1879] - 4*X[4815] + 2*X[2994] - 8*X[6786] <= 12
model += 3*X[3847] + 9*X[5083] + 7*X[3041] + 5*X[5787] - X[7055] - 4*X[5439] + 2*X[4777] - 8*X[1851] <= 12
model += 3*X[3359] + 9*X[1980] + 7*X[4287] + 5*X[3111] - X[4695] - 4*X[7101] + 2*X[7168] - 8*X[4111] <= 12
model += 3*X[1054] + 9*X[5539] + 7*X[4797] + 5*X[4463] - X[4890] - 4*X[4655] + 2*X[2123] - 8*X[2533] <= 12
model += 10*X[3848] + 7*X[5447] - 4*X[4106] - 12*X[793] - 2*X[5052] + X[517] + 6*X[1211] - 13*X[6347] <= 4
model += -X[3848] - 2*X[5447] + 6*X[4106] - 10*X[793] + 3*X[5052] + 4*X[517] - 9*X[1211] + 11*X[6347] <= 8
model += 10*X[2361] + 7*X[202] - 4*X[3869] - 12*X[219] - 2*X[4661] + X[4177] + 6*X[7097] - 13*X[6374] <= 4
model += -X[2361] - 2*X[202] + 6*X[3869] - 10*X[219] + 3*X[4661] + 4*X[4177] - 9*X[7097] + 11*X[6374] <= 8
model += 3*X[4905] + 9*X[2993] + 7*X[4607] + 5*X[1232] - X[7010] - 4*X[3731] + 2*X[7320] - 8*X[1495] <= 12
model += 10*X[7688] + 7*X[492] - 4*X[5675] - 12*X[960] - 2*X[4703] + X[6617] + 6*X[4739] - 13*X[7124] <= 4
model += -X[7688] - 2*X[492] + 6*X[5675] - 10*X[960] + 3*X[4703] + 4*X[6617] - 9*X[4739] + 11*X[7124] <= 8
model += 3*X[5368] + 9*X[3723] + 7*X[5636] + 5*X[4285] - X[7540] - 4*X[7736] + 2*X[1793] - 8*X[7553] <= 12
model += 10*X[3066] + 7*X[3397] - 4*X[5198] - 12*X[387] - 2*X[5331] + X[335] + 6*X[7740] - 13*X[2267] <= 4
model += -X[3066] - 2*X[3397] + 6*X[5198] - 10*X[387] + 3*X[5331] + 4*X[335] - 9*X[7740] + 11*X[2267] <= 8
model += 3*X[2281] + 9*X[3403] + 7*X[1087] + 5*X[5738] - X[4897] - 4*X[5162] + 2*X[3514] - 8*X[6441] <= 12
model += 10*X[6697] + 7*X[781] - 4*X[443] - 12*X[6738] - 2*X[5875] + X[6225] + 6*X[6038] - 13*X[5180] <= 4
model += -X[6697] - 2*X[781] + 6*X[443] - 10*X[6738] + 3*X[5875] + 4*X[6225] - 9*X[6038] + 11*X[5180] <= 8
model += 10*X[5711] + 7*X[4666] - 4*X[7019] - 12*X[3741] - 2*X[787] + X[7106] + 6*X[865] - 13*X[5651] <= 4
model += -X[5711] - 2*X[4666] + 6*X[7019] - 10*X[3741] + 3*X[787] + 4*X[7106] - 9*X[865] + 11*X[5651] <= 8
model += 10*X[534] + 7*X[5267] - 4*X[1949] - 12*X[1965] - 2*X[550] + X[6869] + 6*X[3025] - 13*X[7356] <= 4
model += -X[534] - 2*X[5267] + 6*X[1949] - 10*X[1965] + 3*X[550] + 4*X[6869] - 9*X[3025] + 11*X[7356] <= 8
model += 3*X[3076] + 9*X[5200] + 7*X[6982] + 5*X[4441] - X[2298] - 4*X[4704] + 2*X[6975] - 8*X[3043] <= 12
model += 3*X[6444] + 9*X[1469] + 7*X[6394] + 5*X[1181] - X[7084] - 4*X[5477] + 2*X[4282] - 8*X[3955] <= 12
model += 10*X[763] - 12*X[3341] + 4*X[1255] + 7*X[7261] + 2*X[867] - 6*X[902] - X[4810] + 13*X[2718] <= 16
model += 10*X[784] + 7*X[3555] - 4*X[6963] - 12*X[2875] - 2*X[6101] + X[6858] + 6*X[1551] - 13*X[588] <= 4
model += -X[784] - 2*X[3555] + 6*X[6963] - 10*X[2875] + 3*X[6101] + 4*X[6858] - 9*X[1551] + 11*X[588] <= 8
model += 10*X[7271] + 7*X[3151] - 4*X[7052] - 12*X[2405] - 2*X[6217] + X[41] + 6*X[2490] - 13*X[5221] <= 4
model += -X[7271] - 2*X[3151] + 6*X[7052] - 10*X[2405] + 3*X[6217] + 4*X[41] - 9*X[2490] + 11*X[5221] <= 8
model += 3*X[7374] + 9*X[1820] + 7*X[6565] + 5*X[7237] - X[4333] - 4*X[3782] + 2*X[1613] - 8*X[1973] <= 12
model += 3*X[6148] + 9*X[5217] + 7*X[2568] + 5*X[3255] - X[5523] - 4*X[1129] + 2*X[5234] - 8*X[2855] <= 12
model += 3*X[2945] + 9*X[2961] + 7*X[3349] + 5*X[6400] - X[4365] - 4*X[5147] + 2*X[4877] - 8*X[7516] <= 12
model += 10*X[2689] + 7*X[3438] - 4*X[243] - 12*X[5106] - 2*X[5731] + X[6499] + 6*X[735] - 13*X[5279] <= 4
model += -X[2689] - 2*X[3438] + 6*X[243] - 10*X[5106] + 3*X[5731] + 4*X[6499] - 9*X[735] + 11*X[5279] <= 8
model += 3*X[1360] + 9*X[6989] + 7*X[4395] + 5*X[5146] - X[5484] - 4*X[1123] + 2*X[5316] - 8*X[2937] <= 12
model += 3*X[3968] + 9*X[3228] + 7*X[5748] + 5*X[1786] - X[6603] - 4*X[3533] + 2*X[1096] - 8*X[2734] <= 12
model += 3*X[2591] + 9*X[5302] + 7*X[5149] + 5*X[5516] - X[1297] - 4*X[6983] + 2*X[7714] - 8*X[1314] <= 12
model += 3*X[6550] + 9*X[4808] + 7*X[4392] + 5*X[2609] - X[4283] - 4*X[5403] + 2*X[5248] - 8*X[4756] <= 12
model += 3*X[3632] + 9*X[5625] + 7*X[1490] + 5*X[4963] - X[5143] - 4*X[6327] + 2*X[7763] - 8*X[2471] <= 12
model += 10*X[1690] + 7*X[5683] - 4*X[697] - 12*X[879] - 2*X[3715] + X[1242] + 6*X[5006] - 13*X[6557] <= 4
model += -X[1690] - 2*X[5683] + 6*X[697] - 10*X[879] + 3*X[3715] + 4*X[1242] - 9*X[5006] + 11*X[6557] <= 8
model += 10*X[6854] - 12*X[4368] + 4*X[6663] + 7*X[2979] + 2*X[847] - 6*X[843] - X[3483] + 13*X[430] <= 16
model += 3*X[3113] + 9*X[4200] + 7*X[1465] + 5*X[3600] - X[5119] - 4*X[1770] + 2*X[3719] - 8*X[6210] <= 12
model += 3*X[6316] + 9*X[2789] + 7*X[5725] + 5*X[6345] - X[1195] - 4*X[5082] + 2*X[4764] - 8*X[1585] <= 12
model += 3*X[5408] + 9*X[7161] + 7*X[6299] + 5*X[1266] - X[3913] - 4*X[7147] + 2*X[5669] - 8*X[6936] <= 12
model += 3*X[6944] + 9*X[7383] + 7*X[4259] + 5*X[4155] - X[1345] - 4*X[3287] + 2*X[5263] - 8*X[3499] <= 12
model += 3*X[2578] + 9*X[4908] + 7*X[1133] + 5*X[1386] - X[4506] - 4*X[1882] + 2*X[7504] - 8*X[2613] <= 12
model += 10*X[1706] + 7*X[3279] - 4*X[3816] - 12*X[1010] - 2*X[225] + X[7719] + 6*X[496] - 13*X[5504] <= 4
model += -X[1706] - 2*X[3279] + 6*X[3816] - 10*X[1010] + 3*X[225] + 4*X[7719] - 9*X[496] + 11*X[5504] <= 8
model += 3*X[6361] + 9*X[2279] + 7*X[2920] + 5*X[5503] - X[2762] - 4*X[6359] + 2*X[4659] - 8*X[4017] <= 12
model += 10*X[398] + 7*X[6691] - 4*X[3534] - 12*X[3527] - 2*X[5388] + X[369] + 6*X[2982] - 13*X[4647] <= 4
model += -X[398] - 2*X[6691] + 6*X[3534] - 10*X[3527] + 3*X[5388] + 4*X[369] - 9*X[2982] + 11*X[4647] <= 8
model += 10*X[98] + 7*X[7536] - 4*X[4977] - 12*X[6829] - 2*X[2925] + X[5304] + 6*X[1321] - 13*X[1103] <= 4
model += -X[98] - 2*X[7536] + 6*X[4977] - 10*X[6829] + 3*X[2925] + 4*X[5304] - 9*X[1321] + 11*X[1103] <= 8
model += 3*X[2682] + 9*X[7079] + 7*X[2564] + 5*X[2150] - X[5461] - 4*X[2891] + 2*X[3586] - 8*X[1945] <= 12
model += 10*X[7266] + 7*X[2645] - 4*X[156] - 12*X[1476] - 2*X[5291] + X[6266] + 6*X[3056] - 13*X[422] <= 4
model += -X[7266] - 2*X[2645] + 6*X[156] - 10*X[1476] + 3*X[5291] + 4*X[6266] - 9*X[3056] + 11*X[422] <= 8
model += 3*X[4187] + 9*X[6440] + 7*X[4646] + 5*X[2552] - X[3967] - 4*X[7226] + 2*X[4263] - 8*X[1396] <= 12
model += 3*X[2863] + 9*X[1110] + 7*X[6728] + 5*X[5165] - X[4254] - 4*X[7321] + 2*X[3863] - 8*X[7601] <= 12
model += 10*X[429] - 12*X[3004] + 4*X[4095] + 7*X[4580] + 2*X[6832] - 6*X[647] - X[5664] + 13*X[315] <= 16
model += 3*X[3614] + 9*X[6222] + 7*X[4928] + 5*X[5752] - X[6558] - 4*X[5422] + 2*X[6994] - 8*X[4278] <= 12
model += 10*X[675] + 7*X[1944] - 4*X[7004] - 12*X[713] - 2*X[1412] + X[2643] + 6*X[5679] - 13*X[2881] <= 4
model += -X[675] - 2*X[1944] + 6*X[7004] - 10*X[713] + 3*X[1412] + 4*X[2643] - 9*X[5679] + 11*X[2881] <= 8
model += 3*X[5648] + 9*X[3509] + 7*X[1261] + 5*X[6282] - X[3891] - 4*X[5778] + 2*X[4197] - 8*X[2913] <= 12
model += 3*X[7117] + 9*X[2271] + 7*X[3875] + 5*X[6695] - X[6813] - 4*X[7125] + 2*X[5935] - 8*X[5499] <= 12
model += 3*X[2079] + 9*X[1928] + 7*X[6745] + 5*X[2582] - X[7179] - 4*X[4419] + 2*X[4917] - 8*X[4439] <= 12
model += 10*X[7407] + 7*X[1319] - 4*X[652] - 12*X[5013] - 2*X[617] + X[2551] + 6*X[7435] - 13*X[4183] <= 4
model += -X[7407] - 2*X[1319] + 6*X[652] - 10*X[5013] + 3*X[617] + 4*X[2551] - 9*X[7435] + 11*X[4183] <= 8
model += 3*X[6084] + 9*X[1367] + 7*X[3749] + 5*X[6921] - X[5366] - 4*X[1153] + 2*X[1330] - 8*X[1868] <= 12
model += 3*X[2475] + 9*X[7709] + 7*X[1038] + 5*X[4493] - X[1109] - 4*X[1824] + 2*X[3021] - 8*X[4146] <= 12
model += 10*X[6457] - 12*X[1043] + 4*X[2477] + 7*X[6935] + 2*X[4656] - 6*X[55] - X[1600] + 13*X[795] <= 16
model += 3*X[3738] + 9*X[2984] + 7*X[6318] + 5*X[2587] - X[2679] - 4*X[6054] + 2*X[3301] - 8*X[2001] <= 12
model += 3*X[7606] + 9*X[2002] + 7*X[4008] + 5*X[2815] - X[2916] - 4*X[2998] + 2*X[6167] - 8*X[2910] <= 12
model += 10*X[5042] + 7*X[3133] - 4*X[7527] - 12*X[7238] - 2*X[4379] + X[286] + 6*X[383] - 13*X[1570] <= 4
model += -X[5042] - 2*X[3133] + 6*X[7527] - 10*X[7238] + 3*X[4379] + 4*X[286] - 9*X[383] + 11*X[1570] <= 8
model += 10*X[5009] + 7*X[72] - 4*X[4579] - 12*X[1731] - 2*X[2036] + X[7188] + 6*X[2062] - 13*X[1595] <= 4
model += -X[5009] - 2*X[72] + 6*X[4579] - 10*X[1731] + 3*X[2036] + 4*X[7188] - 9*X[2062] + 11*X[1595] <= 8
model += 3*X[4406] + 9*X[2778] + 7*X[7708] + 5*X[5853] - X[2343] - 4*X[2065] + 2*X[4318] - 8*X[3463] <= 12
model += 10*X[2392] + 7*X[395] - 4*X[559] - 12*X[1787] - 2*X[7092] + X[3625] + 6*X[5340] - 13*X[7167] <= 4
model += -X[2392] - 2*X[395] + 6*X[559] - 10*X[1787] + 3*X[7092] + 4*X[3625] - 9*X[5340] + 11*X[7167] <= 8
model += 3*X[5303] + 9*X[4188] + 7*X[6281] + 5*X[6472] - X[2344] - 4*X[2820] + 2*X[5600] - 8*X[5438] <= 12
model += 10*X[5264] + 7*X[839] - 4*X[7253] - 12*X[5993] - 2*X[3630] + X[1229] + 6*X[7730] - 13*X[353] <= 4
model += -X[5264] - 2*X[839] + 6*X[7253] - 10*X[5993] + 3*X[3630] + 4*X[1229] - 9*X[7730] + 11*X[353] <= 8
model += 10*X[941] + 7*X[6523] - 4*X[1806] - 12*X[6955] - 2*X[1842] + X[1446] + 6*X[2491] - 13*X[801] <= 4
model += -X[941] - 2*X[6523] + 6*X[1806] - 10*X[6955] + 3*X[1842] + 4*X[1446] - 9*X[2491] + 11*X[801] <= 8
model += 10*X[92] - 12*X[2545] + 4*X[7669] + 7*X[4029] + 2*X[4141] - 6*X[767] - X[1514] + 13*X[6197] <= 16
model += 10*X[7158] + 7*X[7623] - 4*X[5890] - 12*X[3518] - 2*X[980] + X[131] + 6*X[4608] - 13*X[1515] <= 4
model += -X[7158] - 2*X[7623] + 6*X[5890] - 10*X[3518] + 3*X[980] + 4*X[131] - 9*X[4608] + 11*X[1515] <= 8
model += 3*X[7508] + 9*X[6007] + 7*X[3037] + 5*X[3579] - X[1912] - 4*X[1496] + 2*X[1726] - 8*X[3206] <= 12
model += 3*X[7245] + 9*X[3639] + 7*X[4078] + 5*X[1399] - X[7137] - 4*X[5519] + 2*X[4272] - 8*X[2059] <= 12
model += 10*X[6802] + 7*X[2451] - 4*X[6510] - 12*X[11] - 2*X[7252] + X[1639] + 6*X[7762] - 13*X[5909] <= 4
model += -X[6802] - 2*X[2451] + 6*X[6510] - 10*X[11] + 3*X[7252] + 4*X[1639] - 9*X[7762] + 11*X[5909] <= 8
model += 3*X[1354] + 9*X[2197] + 7*X[6506] + 5*X[2470] - X[3780] - 4*X[7427] + 2*X[1630] - 8*X[3339] <= 12
model += 3*X[4716] + 9*X[3687] + 7*X[5905] + 5*X[5801] - X[2406] - 4*X[5572] + 2*X[3444] - 8*X[6365] <= 12
model += 3*X[6579] + 9*X[5505] + 7*X[3912] + 5*X[7583] - X[7132] - 4*X[6750] + 2*X[2996] - 8*X[2478] <= 12
model += 10*X[3542] + 7*X[4769] - 4*X[2814] - 12*X[7675] - 2*X[7334] + X[2692] + 6*X[982] - 13*X[542] <= 4
model += -X[3542] - 2*X[4769] + 6*X[2814] - 10*X[7675] + 3*X[7334] + 4*X[2692] - 9*X[982] + 11*X[542] <= 8
model += 10*X[2977] + 7*X[6276] - 4*X[3992] - 12*X[169] - 2*X[3102] + X[122] + 6*X[2658] - 13*X[2770] <= 4
model += -X[2977] - 2*X[6276] + 6*X[3992] - 10*X[169] + 3*X[3102] + 4*X[122] - 9*X[2658] + 11*X[2770] <= 8
model += 3*X[4018] + 9*X[7375] + 7*X[3042] + 5*X[2661] - X[5815] - 4*X[3899] + 2*X[5947] - 8*X[5847] <= 12
model += 3*X[1715] + 9*X[3628] + 7*X[2365] + 5*X[1990] - X[2912] - 4*X[6742] + 2*X[6126] - 8*X[6285] <= 12
model += 10*X[5530] + 7*X[287] - 4*X[6769] - 12*X[1640] - 2*X[4952] + X[375] + 6*X[3748] - 13*X[6174] <= 4
model += -X[5530] - 2*X[287] + 6*X[6769] - 10*X[1640] + 3*X[4952] + 4*X[375] - 9*X[3748] + 11*X[6174] <= 8
model += 10*X[6855] + 7*X[2189] - 4*X[6107] - 12*X[682] - 2*X[1346] + X[7286] + 6*X[4521] - 13*X[326] <= 4
model += -X[6855] - 2*X[2189] + 6*X[6107] - 10*X[682] + 3*X[1346] + 4*X[7286] - 9*X[4521] + 11*X[326] <= 8
model += 3*X[2175] + 9*X[6682] + 7*X[4508] + 5*X[2325] - X[5033] - 4*X[2905] + 2*X[1800] - 8*X[7196] <= 12
model += 10*X[5565] + 7*X[519] - 4*X[5166] - 12*X[2020] - 2*X[452] + X[2959] + 6*X[6251] - 13*X[2743] <= 4
model += -X[5565] - 2*X[519] + 6*X[5166] - 10*X[2020] + 3*X[452] + 4*X[2959] - 9*X[6251] + 11*X[2743] <= 8
model += 3*X[2796] + 9*X[6571] + 7*X[4987] + 5*X[3018] - X[1003] - 4*X[7403] + 2*X[3754] - 8*X[1608] <= 12
model += 3*X[7086] + 9*X[4166] + 7*X[6271] + 5*X[5689] - X[7342] - 4*X[6492] + 2*X[4806] - 8*X[6286] <= 12
model += 10*X[6245] + 7*X[6239] - 4*X[883] - 12*X[3309] - 2*X[1510] + X[1617] + 6*X[1907] - 13*X[940] <= 4
model += -X[6245] - 2*X[6239] + 6*X[883] - 10*X[3309] + 3*X[1510] + 4*X[1617] - 9*X[1907] + 11*X[940] <= 8
model += 3*X[2956] + 9*X[1752] + 7*X[1197] + 5*X[6622] - X[4819] - 4*X[5156] + 2*X[4307] - 8*X[3478] <= 12
model += 10*X[6061] + 7*X[27] - 4*X[1316] - 12*X[2662] - 2*X[7587] + X[7663] + 6*X[6875] - 13*X[7256] <= 4
model += -X[6061] - 2*X[27] + 6*X[1316] - 10*X[2662] + 3*X[7587] + 4*X[7663] - 9*X[6875] + 11*X[7256] <= 8
model += 10*X[7638] + 7*X[3655] - 4*X[2740] - 12*X[4096] - 2*X[2981] + X[305] + 6*X[235] - 13*X[5394] <= 4
model += -X[7638] - 2*X[3655] + 6*X[2740] - 10*X[4096] + 3*X[2981] + 4*X[305] - 9*X[235] + 11*X[5394] <= 8
model += 10*X[5632] + 7*X[7596] - 4*X[5196] - 12*X[686] - 2*X[4228] + X[5704] + 6*X[288] - 13*X[3622] <= 4
model += -X[5632] - 2*X[7596] + 6*X[5196] - 10*X[686] + 3*X[4228] + 4*X[5704] - 9*X[288] + 11*X[3622] <= 8
model += 3*X[7686] + 9*X[6583] + 7*X[5889] + 5*X[4773] - X[7577] - 4*X[2584] + 2*X[2782] - 8*X[7425] <= 12
model += 3*X[2720] + 9*X[2758] + 7*X[6272] + 5*X[4512] - X[5496] - 4*X[6876] + 2*X[4453] - 8*X[6908] <= 12
model += 10*X[7023] + 7*X[4765] - 4*X[5828] - 12*X[302] - 2*X[2152] + X[1923] + 6*X[1725] - 13*X[809] <= 4
model += -X[7023] - 2*X[4765] + 6*X[5828] - 10*X[302] + 3*X[2152] + 4*X[1923] - 9*X[1725] + 11*X[809] <= 8
model += 3*X[3400] + 9*X[6476] + 7*X[4258] + 5*X[7529] - X[6980] - 4*X[2313] + 2*X[5460] - 8*X[6364] <= 12
model += 10*X[5420] + 7*X[3450] - 4*X[7267] - 12*X[2228] - 2*X[402] + X[4523] + 6*X[3908] - 13*X[142] <= 4
model += -X[5420] - 2*X[3450] + 6*X[7267] - 10*X[2228] + 3*X[402] + 4*X[4523] - 9*X[3908] + 11*X[142] <= 8
model += 3*X[4119] + 9*X[7732] + 7*X[3362] + 5*X[2242] - X[3230] - 4*X[2194] + 2*X[2885] - 8*X[3855] <= 12
model += 3*X[6391] + 9*X[5501] + 7*X[5493] + 5*X[7600] - X[4192] - 4*X[4689] + 2*X[5880] - 8*X[2468] <= 12
model += 10*X[1889] + 7*X[2192] - 4*X[308] - 12*X[5230] - 2*X[5672] + X[3246] + 6*X[753] - 13*X[6619] <= 4
model += -X[1889] - 2*X[2192] + 6*X[308] - 10*X[5230] + 3*X[5672] + 4*X[3246] - 9*X[753] + 11*X[6619] <= 8
model += 3*X[7710] + 9*X[1651] + 7*X[4609] + 5*X[7340] - X[1448] - 4*X[1209] + 2*X[2339] - 8*X[6524] <= 12
model += 3*X[4130] + 9*X[7701] + 7*X[3250] + 5*X[5820] - X[5681] - 4*X[1614] + 2*X[1906] - 8*X[2946] <= 12
model += 3*X[5189] + 9*X[4804] + 7*X[2014] + 5*X[7246] - X[1556] - 4*X[4175] + 2*X[3152] - 8*X[4274] <= 12
model += 10*X[6824] + 7*X[846] - 4*X[921] - 12*X[3565] - 2*X[6340] + X[7177] + 6*X[4876] - 13*X[5774] <= 4
model += -X[6824] - 2*X[846] + 6*X[921] - 10*X[3565] + 3*X[6340] + 4*X[7177] - 9*X[4876] + 11*X[5774] <= 8
model += 10*X[426] + 7*X[6304] - 4*X[1309] - 12*X[1084] - 2*X[7180] + X[349] + 6*X[3462] - 13*X[3619] <= 4
model += -X[426] - 2*X[6304] + 6*X[1309] - 10*X[1084] + 3*X[7180] + 4*X[349] - 9*X[3462] + 11*X[3619] <= 8
model += 3*X[5095] + 9*X[7000] + 7*X[2953] + 5*X[2753] - X[2848] - 4*X[6409] + 2*X[4385] - 8*X[2390] <= 12
model += 3*X[2125] + 9*X[4643] + 7*X[2289] + 5*X[5962] - X[1460] - 4*X[1844] + 2*X[2439] - 8*X[1178] <= 12
model += 3*X[7783] + 9*X[2280] + 7*X[2949] + 5*X[1240] - X[1658] - 4*X[7251] + 2*X[3253] - 8*X[6899] <= 12
model += 3*X[1373] + 9*X[3239] + 7*X[3187] + 5*X[1644] - X[1976] - 4*X[3126] + 2*X[6026] - 8*X[2340] <= 12
model += 3*X[4601] + 9*X[2607] + 7*X[6085] + 5*X[5214] - X[1126] - 4*X[4841] + 2*X[4889] - 8*X[7611] <= 12
model += 3*X[3404] + 9*X[1365] + 7*X[4873] + 5*X[1091] - X[3320] - 4*X[3134] + 2*X[3418] - 8*X[6665] <= 12
model += 10*X[6677] - 12*X[4247] + 4*X[5750] + 7*X[99] + 2*X[6620] - 6*X[676] - X[6435] + 13*X[5729] <= 16
model += 10*X[5274] + 7*X[396] - 4*X[3170] - 12*X[734] - 2*X[5825] + X[7405] + 6*X[5860] - 13*X[4731] <= 4
model += -X[5274] - 2*X[396] + 6*X[3170] - 10*X[734] + 3*X[5825] + 4*X[7405] - 9*X[5860] + 11*X[4731] <= 8
model += 10*X[995] + 7*X[4774] - 4*X[177] - 12*X[7685] - 2*X[1301] + X[5425] + 6*X[6180] - 13*X[7595] <= 4
model += -X[995] - 2*X[4774] + 6*X[177] - 10*X[7685] + 3*X[1301] + 4*X[5425] - 9*X[6180] + 11*X[7595] <= 8
model += 10*X[6714] + 7*X[3993] - 4*X[2793] - 12*X[5819] - 2*X[43] + X[4457] + 6*X[2043] - 13*X[3464] <= 4
model += -X[6714] - 2*X[3993] + 6*X[2793] - 10*X[5819] + 3*X[43] + 4*X[4457] - 9*X[2043] + 11*X[3464] <= 8
model += 3*X[4202] + 9*X[7094] + 7*X[6303] + 5*X[5265] - X[1870] - 4*X[4405] + 2*X[5697] - 8*X[3201] <= 12
model += 10*X[6413] + 7*X[2797] - 4*X[5513] - 12*X[929] - 2*X[153] + X[6259] + 6*X[3248] - 13*X[5192] <= 4
model += -X[6413] - 2*X[2797] + 6*X[5513] - 10*X[929] + 3*X[153] + 4*X[6259] - 9*X[3248] + 11*X[5192] <= 8
model += 3*X[5201] + 9*X[6744] + 7*X[4251] + 5*X[1182] - X[7186] - 4*X[4297] + 2*X[6160] - 8*X[2085] <= 12
model += 3*X[2795] + 9*X[3612] + 7*X[5728] + 5*X[1950] - X[5465] - 4*X[4112] + 2*X[2363] - 8*X[1273] <= 12
model += 10*X[5126] + 7*X[456] - 4*X[5054] - 12*X[3562] - 2*X[3396] + X[892] + 6*X[6213] - 13*X[5344] <= 4
model += -X[5126] - 2*X[456] + 6*X[5054] - 10*X[3562] + 3*X[3396] + 4*X[892] - 9*X[6213] + 11*X[5344] <= 8
model += 10*X[3460] + 7*X[2836] - 4*X[7520] - 12*X[5386] - 2*X[7102] + X[1227] + 6*X[97] - 13*X[3081] <= 4
model += -X[3460] - 2*X[2836] + 6*X[7520] - 10*X[5386] + 3*X[7102] + 4*X[1227] - 9*X[97] + 11*X[3081] <= 8
model += 10*X[953] - 12*X[332] + 4*X[7444] + 7*X[6443] + 2*X[986] - 6*X[6882] - X[3999] + 13*X[2182] <= 16
model += 3*X[5713] + 9*X[2008] + 7*X[5093] + 5*X[1964] - X[4035] - 4*X[5336] + 2*X[5432] - 8*X[1587] <= 12
model += 3*X[4654] + 9*X[5364] + 7*X[2919] + 5*X[3882] - X[6175] - 4*X[3779] + 2*X[3859] - 8*X[3027] <= 12
model += 3*X[4162] + 9*X[2918] + 7*X[7571] + 5*X[6427] - X[2749] - 4*X[2695] + 2*X[5378] - 8*X[5862] <= 12
model += 10*X[5807] + 7*X[849] - 4*X[3059] - 12*X[565] - 2*X[6376] + X[3856] + 6*X[7441] - 13*X[6616] <= 4
model += -X[5807] - 2*X[849] + 6*X[3059] - 10*X[565] + 3*X[6376] + 4*X[3856] - 9*X[7441] + 11*X[6616] <= 8
model += 3*X[2051] + 9*X[6062] + 7*X[2219] + 5*X[4342] - X[6048] - 4*X[2261] + 2*X[6399] - 8*X[3345] <= 12
model += 10*X[3560] + 7*X[2248] - 4*X[4472] - 12*X[163] - 2*X[248] + X[3538] + 6*X[4903] - 13*X[5564] <= 4
model += -X[3560] - 2*X[2248] + 6*X[4472] - 10*X[163] + 3*X[248] + 4*X[3538] - 9*X[4903] + 11*X[5564] <= 8
model += 10*X[900] + 7*X[1434] - 4*X[6692] - 12*X[1761] - 2*X[6605] + X[4603] + 6*X[828] - 13*X[3764] <= 4
model += -X[900] - 2*X[1434] + 6*X[6692] - 10*X[1761] + 3*X[6605] + 4*X[4603] - 9*X[828] + 11*X[3764] <= 8
model += 10*X[1090] - 12*X[441] + 4*X[4915] + 7*X[7666] + 2*X[4401] - 6*X[79] - X[5266] + 13*X[1086] <= 16
model += 3*X[7063] + 9*X[5183] + 7*X[6307] + 5*X[4498] - X[7075] - 4*X[5233] + 2*X[4945] - 8*X[6333] <= 12
model += 3*X[3430] + 9*X[4388] + 7*X[3225] + 5*X[2466] - X[6610] - 4*X[6746] + 2*X[2419] - 8*X[5463] <= 12
model += 3*X[5942] + 9*X[4323] + 7*X[3895] + 5*X[7329] - X[3602] - 4*X[3323] + 2*X[7784] - 8*X[4923] <= 12
model += 3*X[1031] + 9*X[6538] + 7*X[2220] + 5*X[6842] - X[1771] - 4*X[3965] + 2*X[2748] - 8*X[2990] <= 12
model += 10*X[919] + 7*X[2886] - 4*X[5252] - 12*X[5932] - 2*X[609] + X[4745] + 6*X[1162] - 13*X[5542] <= 4
model += -X[919] - 2*X[2886] + 6*X[5252] - 10*X[5932] + 3*X[609] + 4*X[4745] - 9*X[1162] + 11*X[5542] <= 8
model += 10*X[6230] + 7*X[65] - 4*X[4220] - 12*X[2636] - 2*X[3649] + X[5590] + 6*X[1083] - 13*X[7030] <= 4
model += -X[6230] - 2*X[65] + 6*X[4220] - 10*X[2636] + 3*X[3649] + 4*X[5590] - 9*X[1083] + 11*X[7030] <= 8
model += 3*X[1982] + 9*X[7775] + 7*X[5567] + 5*X[2693] - X[4758] - 4*X[6613] + 2*X[5071] - 8*X[2524] <= 12
model += 3*X[3047] + 9*X[5898] + 7*X[6556] + 5*X[6231] - X[4550] - 4*X[5924] + 2*X[4156] - 8*X[5608] <= 12
model += 3*X[2583] + 9*X[6724] + 7*X[4044] + 5*X[6625] - X[2206] - 4*X[4338] + 2*X[6754] - 8*X[2963] <= 12
model += 3*X[5653] + 9*X[1106] + 7*X[6302] + 5*X[1746] - X[6191] - 4*X[2457] + 2*X[6428] - 8*X[2039] <= 12
model += 10*X[6497] + 7*X[4128] - 4*X[2670] - 12*X[6666] - 2*X[6027] + X[633] + 6*X[752] - 13*X[5938] <= 4
model += -X[6497] - 2*X[4128] + 6*X[2670] - 10*X[6666] + 3*X[6027] + 4*X[633] - 9*X[752] + 11*X[5938] <= 8
model += 3*X[5686] + 9*X[3695] + 7*X[4380] + 5*X[1224] - X[1173] - 4*X[5580] + 2*X[4702] - 8*X[7227] <= 12
model += 10*X[3854] + 7*X[1979] - 4*X[2772] - 12*X[1443] - 2*X[3107] + X[189] + 6*X[996] - 13*X[2702] <= 4
model += -X[3854] - 2*X[1979] + 6*X[2772] - 10*X[1443] + 3*X[3107] + 4*X[189] - 9*X[996] + 11*X[2702] <= 8
model += 3*X[1756] + 9*X[4085] + 7*X[6241] + 5*X[4907] - X[7240] - 4*X[4924] + 2*X[7720] - 8*X[4246] <= 12
model += 3*X[5696] + 9*X[2505] + 7*X[2187] + 5*X[4024] - X[2295] - 4*X[5576] + 2*X[5125] - 8*X[2794] <= 12
model += 10*X[4364] - 12*X[7622] + 4*X[6478] + 7*X[1219] + 2*X[7411] - 6*X[34] - X[164] + 13*X[6857] <= 16
model += 3*X[1066] + 9*X[2099] + 7*X[1599] + 5*X[3340] - X[1853] - 4*X[7409] + 2*X[6549] - 8*X[6901] <= 12
model += 3*X[5785] + 9*X[7243] + 7*X[3372] + 5*X[7445] - X[4612] - 4*X[6243] + 2*X[5609] - 8*X[6672] <= 12
model += 10*X[5123] + 7*X[3606] - 4*X[2456] - 12*X[825] - 2*X[5720] + X[2100] + 6*X[7073] - 13*X[721] <= 4
model += -X[5123] - 2*X[3606] + 6*X[2456] - 10*X[825] + 3*X[5720] + 4*X[2100] - 9*X[7073] + 11*X[721] <= 8
model += 10*X[5806] + 7*X[7002] - 4*X[462] - 12*X[4428] - 2*X[2703] + X[969] + 6*X[1047] - 13*X[1147] <= 4
model += -X[5806] - 2*X[7002] + 6*X[462] - 10*X[4428] + 3*X[2703] + 4*X[969] - 9*X[1047] + 11*X[1147] <= 8
model += 3*X[3269] + 9*X[5322] + 7*X[5926] + 5*X[1535] - X[5108] - 4*X[2761] + 2*X[7171] - 8*X[7294] <= 12
model += 10*X[1877] + 7*X[7518] - 4*X[214] - 12*X[845] - 2*X[3412] + X[6460] + 6*X[4396] - 13*X[2364] <= 4
model += -X[1877] - 2*X[7518] + 6*X[214] - 10*X[845] + 3*X[3412] + 4*X[6460] - 9*X[4396] + 11*X[2364] <= 8
model += 3*X[7133] + 9*X[1060] + 7*X[1688] + 5*X[7174] - X[1648] - 4*X[1369] + 2*X[4265] - 8*X[2110] <= 12
model += 10*X[7115] + 7*X[1765] - 4*X[5861] - 12*X[4025] - 2*X[951] + X[7035] + 6*X[3925] - 13*X[866] <= 4
model += -X[7115] - 2*X[1765] + 6*X[5861] - 10*X[4025] + 3*X[951] + 4*X[7035] - 9*X[3925] + 11*X[866] <= 8
model += 3*X[7640] + 9*X[7581] + 7*X[3551] + 5*X[2751] - X[5586] - 4*X[4160] + 2*X[4079] - 8*X[3220] <= 12
model += 3*X[7632] + 9*X[2353] + 7*X[6058] + 5*X[3446] - X[6894] - 4*X[5478] + 2*X[3664] - 8*X[2410] <= 12
model += 3*X[1185] + 9*X[3401] + 7*X[1214] + 5*X[7415] - X[2173] - 4*X[5607] + 2*X[2283] - 8*X[1466] <= 12
model += 10*X[3736] + 7*X[954] - 4*X[3962] - 12*X[2904] - 2*X[3437] + X[5502] + 6*X[6071] - 13*X[971] <= 4
model += -X[3736] - 2*X[954] + 6*X[3962] - 10*X[2904] + 3*X[3437] + 4*X[5502] - 9*X[6071] + 11*X[971] <= 8
model += 3*X[6138] + 9*X[3943] + 7*X[2756] + 5*X[3182] - X[6212] - 4*X[6017] + 2*X[4528] - 8*X[5562] <= 12
model += 10*X[3447] - 12*X[3294] + 4*X[2306] + 7*X[5398] + 2*X[2562] - 6*Y[156] - Y[155] + 13*Y[154] <= 16
model += 10*X[3949] + 7*X[5945] - 4*X[595] - 12*X[2101] - 2*X[5419] + X[4635] + 6*X[296] - 13*X[3017] <= 4
model += -X[3949] - 2*X[5945] + 6*X[595] - 10*X[2101] + 3*X[5419] + 4*X[4635] - 9*X[296] + 11*X[3017] <= 8
model += 10*X[5534] + 7*X[7677] - 4*X[4460] - 12*X[1546] - 2*X[5215] + X[78] + 6*X[6546] - 13*X[6030] <= 4
model += -X[5534] - 2*X[7677] + 6*X[4460] - 10*X[1546] + 3*X[5215] + 4*X[78] - 9*X[6546] + 11*X[6030] <= 8
model += 3*X[4043] + 9*X[7367] + 7*X[3485] + 5*X[3704] - X[1149] - 4*X[4505] + 2*X[1335] - 8*X[2070] <= 12
model += 3*X[2324] + 9*X[1801] + 7*X[7439] + 5*X[4899] - X[1072] - 4*X[7502] + 2*X[3638] - 8*X[4802] <= 12
model += 3*X[4836] + 9*X[7372] + 7*X[3986] + 5*X[6780] - X[4760] - 4*X[2521] + 2*X[3707] - 8*X[2473] <= 12
model += 10*X[643] + 7*X[596] - 4*X[1780] - 12*X[5269] - 2*X[2314] + X[4305] + 6*X[3370] - 13*X[4440] <= 4
model += -X[643] - 2*X[596] + 6*X[1780] - 10*X[5269] + 3*X[2314] + 4*X[4305] - 9*X[3370] + 11*X[4440] <= 8
model += 3*X[5178] + 9*X[7033] + 7*X[4312] + 5*X[5251] - X[4448] - 4*X[5284] + 2*X[4685] - 8*X[4516] <= 12
model += 10*X[876] + 7*X[1673] - 4*X[2143] - 12*X[547] - 2*X[2479] + X[7613] + 6*X[6118] - 13*X[2585] <= 4
model += -X[876] - 2*X[1673] + 6*X[2143] - 10*X[547] + 3*X[2479] + 4*X[7613] - 9*X[6118] + 11*X[2585] <= 8
model += 10*X[4470] - 12*X[5581] + 4*X[2176] + 7*X[5854] + 2*X[5259] - 6*X[45] - X[4430] + 13*X[983] <= 16
model += 10*X[5963] + 7*X[5076] - 4*X[410] - 12*X[812] - 2*X[1554] + X[2452] + 6*X[5701] - 13*X[5663] <= 4
model += -X[5963] - 2*X[5076] + 6*X[410] - 10*X[812] + 3*X[1554] + 4*X[2452] - 9*X[5701] + 11*X[5663] <= 8
model += 10*X[923] - 12*X[7549] + 4*X[6277] + 7*X[3367] + 2*X[6519] - 6*X[2882] - X[3755] + 13*X[52] <= 16
model += 3*X[5629] + 9*X[1811] + 7*X[4610] + 5*X[1092] - X[7517] - 4*X[4737] + 2*X[4789] - 8*X[3486] <= 12
model += 10*X[1374] + 7*X[238] - 4*X[6948] - 12*X[7603] - 2*X[3990] + X[625] + 6*X[3307] - 13*X[5044] <= 4
model += -X[1374] - 2*X[238] + 6*X[6948] - 10*X[7603] + 3*X[3990] + 4*X[625] - 9*X[3307] + 11*X[5044] <= 8
model += 3*X[6871] + 9*X[2788] + 7*X[4359] + 5*X[4157] - X[4358] - 4*X[6310] + 2*X[3118] - 8*X[7166] <= 12
model += 10*X[3032] + 7*X[3297] - 4*X[2518] - 12*X[3805] - 2*X[3336] + X[1649] + 6*X[67] - 13*X[6117] <= 4
model += -X[3032] - 2*X[3297] + 6*X[2518] - 10*X[3805] + 3*X[3336] + 4*X[1649] - 9*X[67] + 11*X[6117] <= 8
model += 10*X[6116] - 12*X[6479] + 4*X[2962] + 7*X[7232] + 2*X[4805] - 6*Y[153] - Y[152] + 13*Y[151] <= 16
model += 3*X[5345] + 9*X[3675] + 7*X[4290] + 5*X[4576] - X[2063] - 4*X[6484] + 2*X[6856] - 8*X[4700] <= 12
model += 10*X[4785] + 7*X[7604] - 4*X[857] - 12*X[1062] - 2*X[399] + X[6736] + 6*X[4031] - 13*X[4715] <= 4
model += -X[4785] - 2*X[7604] + 6*X[857] - 10*X[1062] + 3*X[399] + 4*X[6736] - 9*X[4031] + 11*X[4715] <= 8
model += 3*X[4118] + 9*X[4564] + 7*X[7146] + 5*X[6635] - X[3720] - 4*X[2983] + 2*X[6075] - 8*X[3117] <= 12
model += 10*X[2488] + 7*X[770] - 4*X[3480] - 12*X[6567] - 2*X[563] + X[3701] + 6*X[2290] - 13*X[3929] <= 4
model += -X[2488] - 2*X[770] + 6*X[3480] - 10*X[6567] + 3*X[563] + 4*X[3701] - 9*X[2290] + 11*X[3929] <= 8
model += 3*X[6034] + 9*X[4296] + 7*X[2211] + 5*X[7007] - X[2569] - 4*X[3420] + 2*X[2443] - 8*X[2611] <= 12
model += 10*X[328] - 12*X[1037] + 4*X[4353] + 7*X[271] + 2*X[4268] - 6*X[2656] - X[797] + 13*X[3354] <= 16
model += 10*X[5219] + 7*X[747] - 4*X[4201] - 12*X[3843] - 2*X[4387] + X[247] + 6*X[2386] - 13*X[6541] <= 4
model += -X[5219] - 2*X[747] + 6*X[4201] - 10*X[3843] + 3*X[4387] + 4*X[247] - 9*X[2386] + 11*X[6541] <= 8
model += 10*X[1665] + 7*X[3507] - 4*X[367] - 12*X[432] - 2*X[5893] + X[4762] + 6*X[7042] - 13*X[4260] <= 4
model += -X[1665] - 2*X[3507] + 6*X[367] - 10*X[432] + 3*X[5893] + 4*X[4762] - 9*X[7042] + 11*X[4260] <= 8
model += 10*X[1247] + 7*X[6502] - 4*X[249] - 12*X[124] - 2*X[3380] + X[4408] + 6*X[1633] - 13*X[7285] <= 4
model += -X[1247] - 2*X[6502] + 6*X[249] - 10*X[124] + 3*X[3380] + 4*X[4408] - 9*X[1633] + 11*X[7285] <= 8
model += 3*X[3276] + 9*X[1311] + 7*X[6898] + 5*X[5292] - X[4277] - 4*X[6595] + 2*X[2893] - 8*X[4480] <= 12
model += 3*X[3138] + 9*X[4753] + 7*X[2352] + 5*X[1604] - X[6812] - 4*X[5718] + 2*X[4589] - 8*X[5229] <= 12
model += 10*X[7682] + 7*X[42] - 4*X[3935] - 12*X[2617] - 2*X[4837] + X[1435] + 6*X[2864] - 13*X[3510] <= 4
model += -X[7682] - 2*X[42] + 6*X[3935] - 10*X[2617] + 3*X[4837] + 4*X[1435] - 9*X[2864] + 11*X[3510] <= 8
model += 3*X[1735] + 9*X[3700] + 7*X[5856] + 5*X[2112] - X[3192] - 4*X[2701] + 2*X[5169] - 8*X[7203] <= 12
model += 3*X[3789] + 9*X[4481] + 7*X[4750] + 5*X[3191] - X[5626] - 4*X[1572] + 2*X[5431] - 8*X[3666] <= 12
model += 3*X[7644] + 9*X[1898] + 7*X[1931] + 5*X[2323] - X[5222] - 4*X[1067] + 2*X[6099] - 8*X[2287] <= 12
model += 10*X[7021] + 7*X[3684] - 4*X[3095] - 12*X[7193] - 2*X[745] + X[1557] + 6*X[226] - 13*X[4093] <= 4
model += -X[7021] - 2*X[3684] + 6*X[3095] - 10*X[7193] + 3*X[745] + 4*X[1557] - 9*X[226] + 11*X[4093] <= 8
model += 10*X[780] + 7*X[1819] - 4*X[6739] - 12*X[1910] - 2*X[2241] + X[6396] + 6*X[962] - 13*X[3543] <= 4
model += -X[780] - 2*X[1819] + 6*X[6739] - 10*X[1910] + 3*X[2241] + 4*X[6396] - 9*X[962] + 11*X[3543] <= 8
model += 10*X[6919] + 7*X[6664] - 4*X[5674] - 12*X[1414] - 2*X[498] + X[4300] + 6*X[1056] - 13*X[350] <= 4
model += -X[6919] - 2*X[6664] + 6*X[5674] - 10*X[1414] + 3*X[498] + 4*X[4300] - 9*X[1056] + 11*X[350] <= 8
model += 10*X[6893] + 7*X[2805] - 4*X[5430] - 12*X[2249] - 2*X[7696] + X[118] + 6*X[290] - 13*X[4398] <= 4
model += -X[6893] - 2*X[2805] + 6*X[5430] - 10*X[2249] + 3*X[7696] + 4*X[118] - 9*X[290] + 11*X[4398] <= 8
model += 10*X[5766] - 12*X[4329] + 4*X[5930] + 7*X[5023] + 2*X[4687] - 6*Y[147] - Y[146] + 13*Y[145] <= 16
model += 10*X[6060] - 12*X[7634] + 4*X[3215] + 7*X[4596] + 2*X[818] - 6*X[1529] - X[368] + 13*X[453] <= 16
model += 3*X[4556] + 9*X[2209] + 7*X[2915] + 5*X[4994] - X[1864] - 4*X[3252] + 2*X[2632] - 8*X[7429] <= 12
model += 10*X[5349] + 7*X[6021] - 4*X[5844] - 12*X[6676] - 2*X[5582] + X[2502] + 6*X[558] - 13*X[871] <= 4
model += -X[5349] - 2*X[6021] + 6*X[5844] - 10*X[6676] + 3*X[5582] + 4*X[2502] - 9*X[558] + 11*X[871] <= 8
model += 10*X[6035] + 7*X[407] - 4*X[1380] - 12*X[2432] - 2*X[948] + X[5883] + 6*X[1689] - 13*X[5885] <= 4
model += -X[6035] - 2*X[407] + 6*X[1380] - 10*X[2432] + 3*X[948] + 4*X[5883] - 9*X[1689] + 11*X[5885] <= 8
model += 3*X[3016] + 9*X[3833] + 7*X[4190] + 5*X[4568] - X[2537] - 4*X[6155] + 2*X[3282] - 8*X[1970] <= 12
model += 3*X[2493] + 9*X[6928] + 7*X[4326] + 5*X[1701] - X[1213] - 4*X[4966] + 2*X[2146] - 8*X[3763] <= 12
model += 3*X[5209] + 9*X[5643] + 7*X[2259] + 5*X[4956] - X[4744] - 4*X[3633] + 2*X[4763] - 8*X[7067] <= 12
model += 10*X[1324] + 7*X[5656] - 4*X[762] - 12*X[3292] - 2*X[594] + X[5127] + 6*X[5999] - 13*X[1356] <= 4
model += -X[1324] - 2*X[5656] + 6*X[762] - 10*X[3292] + 3*X[594] + 4*X[5127] - 9*X[5999] + 11*X[1356] <= 8
model += 10*X[371] + 7*X[2218] - 4*X[6796] - 12*X[807] - 2*X[1821] + X[2119] + 6*X[4996] - 13*X[5789] <= 4
model += -X[371] - 2*X[2218] + 6*X[6796] - 10*X[807] + 3*X[1821] + 4*X[2119] - 9*X[4996] + 11*X[5789] <= 8
model += 3*X[5966] + 9*X[4185] + 7*X[1629] + 5*X[3781] - X[2487] - 4*X[1245] + 2*X[3785] - 8*X[2124] <= 12
model += 3*X[4900] + 9*X[5916] + 7*X[6050] + 5*X[6794] - X[5800] - 4*X[3368] + 2*X[5611] - 8*X[7011] <= 12
model += 3*X[3271] + 9*X[2780] + 7*X[6415] + 5*X[5989] - X[1278] - 4*X[5191] + 2*X[6380] - 8*X[6984] <= 12
model += 3*X[7781] + 9*X[2868] + 7*X[2496] + 5*X[4417] - X[7512] - 4*X[3334] + 2*X[5908] - 8*X[5154] <= 12
model += 10*X[6] - 12*X[1014] + 4*X[3623] + 7*X[5881] + 2*X[5245] - 6*X[5314] - X[7194] + 13*X[5158] <= 16
model += 3*X[2549] + 9*X[3581] + 7*X[4120] + 5*X[5548] - X[7576] - 4*X[6011] + 2*X[5730] - 8*X[6133] <= 12
model += 3*X[4099] + 9*X[3061] + 7*X[4690] + 5*X[6598] - X[3488] - 4*X[3319] + 2*X[2752] - 8*X[5092] <= 12
model += 10*X[5933] + 7*X[5319] - 4*X[1118] - 12*X[7458] - 2*X[28] + X[5558] + 6*X[3188] - 13*X[4746] <= 4
model += -X[5933] - 2*X[5319] + 6*X[1118] - 10*X[7458] + 3*X[28] + 4*X[5558] - 9*X[3188] + 11*X[4746] <= 8
model += 3*X[4466] + 9*X[7711] + 7*X[5520] + 5*X[6234] - X[4349] - 4*X[1616] + 2*X[2944] - 8*X[4310] <= 12
model += 10*X[6640] + 7*X[885] - 4*X[7213] - 12*X[197] - 2*X[6100] + X[5833] + 6*X[2501] - 13*X[5758] <= 4
model += -X[6640] - 2*X[885] + 6*X[7213] - 10*X[197] + 3*X[6100] + 4*X[5833] - 9*X[2501] + 11*X[5758] <= 8
model += 3*X[4673] + 9*X[3139] + 7*X[1677] + 5*X[2326] - X[4922] - 4*X[6836] + 2*X[4234] - 8*X[3350] <= 12
model += 3*X[1139] + 9*X[7673] + 7*X[5053] + 5*X[6897] - X[1376] - 4*X[4467] + 2*X[2924] - 8*X[4020] <= 12
model += 10*X[827] + 7*X[2191] - 4*X[6036] - 12*X[685] - 2*X[5599] + X[3656] + 6*X[6480] - 13*X[6624] <= 4
model += -X[827] - 2*X[2191] + 6*X[6036] - 10*X[685] + 3*X[5599] + 4*X[3656] - 9*X[6480] + 11*X[6624] <= 8
model += 3*X[3145] + 9*X[4219] + 7*X[6926] + 5*X[1350] - X[1692] - 4*X[1416] + 2*X[2332] - 8*X[1215] <= 12
model += 3*X[7647] + 9*X[5874] + 7*X[5218] + 5*X[2850] - X[7515] - 4*X[1984] + 2*X[6843] - 8*X[2133] <= 12
model += 10*X[6408] - 12*X[427] + 4*X[7076] + 7*X[5583] + 2*X[7214] - 6*X[172] - X[252] + 13*X[5140] <= 16
model += 10*X[7453] + 7*X[4665] - 4*X[5894] - 12*X[6207] - 2*X[32] + X[7697] + 6*X[4328] - 13*X[3594] <= 4
model += -X[7453] - 2*X[4665] + 6*X[5894] - 10*X[6207] + 3*X[32] + 4*X[7697] - 9*X[4328] + 11*X[3594] <= 8
model += 3*X[1444] + 9*X[1276] + 7*X[2052] + 5*X[7500] - X[2033] - 4*X[3103] + 2*X[6140] - 8*X[4582] <= 12
model += 3*X[6954] + 9*X[4524] + 7*X[3044] + 5*X[1353] - X[1349] - 4*X[2666] + 2*X[3589] - 8*X[7162] <= 12
model += 3*X[2554] + 9*X[2447] + 7*X[5673] + 5*X[2454] - X[3132] - 4*X[6575] + 2*X[7432] - 8*X[7509] <= 12
model += 3*X[7059] + 9*X[6275] + 7*X[6491] + 5*X[1669] - X[3645] - 4*X[6971] + 2*X[1974] - 8*X[7687] <= 12
model += 10*X[1797] - 12*X[394] + 4*X[586] + 7*X[6252] + 2*X[1916] - 6*X[2165] - X[4167] + 13*X[873] <= 16
model += 3*X[3659] + 9*X[7207] + 7*X[3523] + 5*X[4499] - X[5965] - 4*X[5352] + 2*X[2254] - 8*X[7112] <= 12
model += 3*X[5855] + 9*X[7062] + 7*X[5470] + 5*X[2025] - X[5627] - 4*X[3922] + 2*X[1843] - 8*X[5839] <= 12
model += 3*X[5649] + 9*X[1682] + 7*X[1459] + 5*X[2448] - X[3590] - 4*X[7744] + 2*X[5235] - 8*X[5991] <= 12
model += 3*X[5506] + 9*X[7733] + 7*X[6887] + 5*X[6112] - X[4331] - 4*X[2598] + 2*X[4103] - 8*X[5315] <= 12
model += 10*X[2589] + 7*X[6725] - 4*X[7588] - 12*X[6585] - 2*X[1913] + X[3981] + 6*X[61] - 13*X[1454] <= 4
model += -X[2589] - 2*X[6725] + 6*X[7588] - 10*X[6585] + 3*X[1913] + 4*X[3981] - 9*X[61] + 11*X[1454] <= 8
model += 10*X[4468] + 7*X[5919] - 4*X[260] - 12*X[6387] - 2*X[3285] + X[1410] + 6*X[7586] - 13*X[731] <= 4
model += -X[4468] - 2*X[5919] + 6*X[260] - 10*X[6387] + 3*X[3285] + 4*X[1410] - 9*X[7586] + 11*X[731] <= 8
model += 3*X[2404] + 9*X[1034] + 7*X[1693] + 5*X[1160] - X[6790] - 4*X[2268] + 2*X[3258] - 8*X[4620] <= 12
model += 3*X[5810] + 9*X[4213] + 7*X[6837] + 5*X[4930] - X[4862] - 4*X[1025] + 2*X[1134] - 8*X[7249] <= 12
model += 10*X[6358] + 7*X[1225] - 4*X[1159] - 12*X[6730] - 2*X[3413] + X[4674] + 6*X[154] - 13*X[510] <= 4
model += -X[6358] - 2*X[1225] + 6*X[1159] - 10*X[6730] + 3*X[3413] + 4*X[4674] - 9*X[154] + 11*X[510] <= 8
model += 10*X[7037] + 7*X[1263] - 4*X[7217] - 12*X[4107] - 2*X[4407] + X[3713] + 6*X[89] - 13*X[3241] <= 4
model += -X[7037] - 2*X[1263] + 6*X[7217] - 10*X[4107] + 3*X[4407] + 4*X[3713] - 9*X[89] + 11*X[3241] <= 8
model += 3*X[2942] + 9*X[4040] + 7*X[3840] + 5*X[7066] - X[2049] - 4*X[4434] + 2*X[3599] - 8*X[7569] <= 12
model += 10*X[81] - 12*X[2382] + 4*X[6149] + 7*X[6489] + 2*X[3978] - 6*X[1130] - X[3728] + 13*X[311] <= 16
model += 10*X[4927] + 7*X[3734] - 4*X[912] - 12*X[2048] - 2*X[5973] + X[615] + 6*X[7723] - 13*X[5205] <= 4
model += -X[4927] - 2*X[3734] + 6*X[912] - 10*X[2048] + 3*X[5973] + 4*X[615] - 9*X[7723] + 11*X[5205] <= 8
model += 10*X[3264] - 12*X[515] + 4*X[525] + 7*X[2599] + 2*X[7626] - 6*X[7358] - X[7254] + 13*X[580] <= 16
model += 10*X[6445] + 7*X[7330] - 4*X[5951] - 12*X[4887] - 2*X[754] + X[2007] + 6*X[1803] - 13*X[166] <= 4
model += -X[6445] - 2*X[7330] + 6*X[5951] - 10*X[4887] + 3*X[754] + 4*X[2007] - 9*X[1803] + 11*X[166] <= 8
model += 10*X[2576] + 7*X[820] - 4*X[1700] - 12*X[5341] - 2*X[2013] + X[2738] + 6*X[826] - 13*X[4458] <= 4
model += -X[2576] - 2*X[820] + 6*X[1700] - 10*X[5341] + 3*X[2013] + 4*X[2738] - 9*X[826] + 11*X[4458] <= 8
model += 3*X[7337] + 9*X[2075] + 7*X[7637] + 5*X[3907] - X[6494] - 4*X[6939] + 2*X[4743] - 8*X[2480] <= 12
model += 10*X[1327] + 7*X[946] - 4*X[7492] - 12*X[7545] - 2*X[2300] + X[732] + 6*X[6170] - 13*X[3669] <= 4
model += -X[1327] - 2*X[946] + 6*X[7492] - 10*X[7545] + 3*X[2300] + 4*X[732] - 9*X[6170] + 11*X[3669] <= 8
model += 10*X[751] + 7*X[3387] - 4*X[942] - 12*X[6767] - 2*X[5421] + X[2914] + 6*X[2122] - 13*X[1500] <= 4
model += -X[751] - 2*X[3387] + 6*X[942] - 10*X[6767] + 3*X[5421] + 4*X[2914] - 9*X[2122] + 11*X[1500] <= 8
model += 10*X[936] + 7*X[3750] - 4*X[2270] - 12*X[882] - 2*X[3721] + X[2858] + 6*X[7619] - 13*X[6297] <= 4
model += -X[936] - 2*X[3750] + 6*X[2270] - 10*X[882] + 3*X[3721] + 4*X[2858] - 9*X[7619] + 11*X[6297] <= 8
model += 3*X[7400] + 9*X[5628] + 7*X[4377] + 5*X[3969] - X[7297] - 4*X[2421] + 2*X[4623] - 8*X[4376] <= 12
model += 10*X[2183] + 7*X[7672] - 4*X[789] - 12*X[6862] - 2*X[627] + X[4675] + 6*X[4507] - 13*X[1832] <= 4
model += -X[2183] - 2*X[7672] + 6*X[789] - 10*X[6862] + 3*X[627] + 4*X[4675] - 9*X[4507] + 11*X[1832] <= 8
model += 3*X[1107] + 9*X[2777] + 7*X[3516] + 5*X[1745] - X[5039] - 4*X[4812] + 2*X[6405] - 8*X[7440] <= 12
model += 10*X[7140] + 7*X[3295] - 4*X[7370] - 12*X[2304] - 2*X[2627] + X[320] + 6*X[3330] - 13*X[599] <= 4
model += -X[7140] - 2*X[3295] + 6*X[7370] - 10*X[2304] + 3*X[2627] + 4*X[320] - 9*X[3330] + 11*X[599] <= 8
model += 10*X[4094] + 7*X[140] - 4*X[2665] - 12*X[5014] - 2*X[4751] + X[4515] + 6*X[6309] - 13*X[854] <= 4
model += -X[4094] - 2*X[140] + 6*X[2665] - 10*X[5014] + 3*X[4751] + 4*X[4515] - 9*X[6309] + 11*X[854] <= 8
model += 3*X[5455] + 9*X[3195] + 7*X[2425] + 5*X[4129] - X[5858] - 4*X[7268] + 2*X[4004] - 8*X[1108] <= 12
model += 3*X[7108] + 9*X[7126] + 7*X[6389] + 5*X[5767] - X[1390] - 4*X[1364] + 2*X[4409] - 8*X[1744] <= 12
model += 10*X[4671] + 7*X[3775] - 4*X[1405] - 12*X[6782] - 2*X[5943] + X[330] + 6*X[693] - 13*X[1089] <= 4
model += -X[4671] - 2*X[3775] + 6*X[1405] - 10*X[6782] + 3*X[5943] + 4*X[330] - 9*X[693] + 11*X[1089] <= 8
model += 10*X[3166] + 7*X[2812] - 4*X[3448] - 12*X[6522] - 2*X[4627] + X[2067] + 6*X[1068] - 13*X[69] <= 4
model += -X[3166] - 2*X[2812] + 6*X[3448] - 10*X[6522] + 3*X[4627] + 4*X[2067] - 9*X[1068] + 11*X[69] <= 8
model += 10*X[3881] + 7*X[935] - 4*X[193] - 12*X[2555] - 2*X[2440] + X[6093] + 6*X[1296] - 13*X[7722] <= 4
model += -X[3881] - 2*X[935] + 6*X[193] - 10*X[2555] + 3*X[2440] + 4*X[6093] - 9*X[1296] + 11*X[7722] <= 8
model += 10*X[3724] + 7*X[5755] - 4*X[2637] - 12*X[4067] - 2*X[579] + X[7032] + 6*X[626] - 13*X[2542] <= 4
model += -X[3724] - 2*X[5755] + 6*X[2637] - 10*X[4067] + 3*X[579] + 4*X[7032] - 9*X[626] + 11*X[2542] <= 8
model += 3*X[6531] + 9*X[5118] + 7*X[1512] + 5*X[2821] - X[3235] - 4*X[5528] + 2*X[4717] - 8*X[6581] <= 12
model += 10*X[2303] + 7*X[2044] - 4*X[2200] - 12*X[896] - 2*X[1828] + X[4291] + 6*X[5312] - 13*X[251] <= 4
model += -X[2303] - 2*X[2044] + 6*X[2200] - 10*X[896] + 3*X[1828] + 4*X[4291] - 9*X[5312] + 11*X[251] <= 8
model += 10*X[577] - 12*X[681] + 4*X[7111] + 7*X[136] + 2*X[4462] - 6*X[6817] - X[1807] + 13*X[5167] <= 16
model += 10*X[1480] + 7*X[7053] - 4*X[750] - 12*X[6540] - 2*X[1846] + X[146] + 6*X[3254] - 13*X[1199] <= 4
model += -X[1480] - 2*X[7053] + 6*X[750] - 10*X[6540] + 3*X[1846] + 4*X[146] - 9*X[3254] + 11*X[1199] <= 8
model += 3*X[1341] + 9*X[4267] + 7*X[6880] + 5*X[3221] - X[1637] - 4*X[4134] + 2*X[3386] - 8*X[3972] <= 12
model += 10*X[6047] + 7*X[3069] - 4*X[708] - 12*X[3595] - 2*X[1683] + X[3490] + 6*X[459] - 13*X[3941] <= 4
model += -X[6047] - 2*X[3069] + 6*X[708] - 10*X[3595] + 3*X[1683] + 4*X[3490] - 9*X[459] + 11*X[3941] <= 8
model += 3*X[7231] + 9*X[5759] + 7*X[6355] + 5*X[5525] - X[1058] - 4*X[4249] + 2*X[6368] - 8*X[4598] <= 12
model += 3*X[5445] + 9*X[1417] + 7*X[3007] + 5*X[4495] - X[7259] - 4*X[6066] + 2*X[4198] - 8*X[6628] <= 12
model += 3*X[6092] + 9*X[6532] + 7*X[3311] + 5*X[3394] - X[3143] - 4*X[6419] + 2*X[7020] - 8*X[6721] <= 12
model += 10*X[6990] - 12*X[282] + 4*X[3934] + 7*X[1988] + 2*X[4489] - 6*X[4988] - X[5975] + 13*X[46] <= 16
model += 3*X[6932] + 9*X[4139] + 7*X[3222] + 5*X[4825] - X[3761] - 4*X[7452] + 2*X[2205] - 8*X[5400] <= 12
model += 3*X[2327] + 9*X[4813] + 7*X[7229] + 5*X[4090] - X[2816] - 4*X[7789] + 2*X[4733] - 8*X[2894] <= 12
model += 3*X[7456] + 9*X[5491] + 7*X[1555] + 5*X[2485] - X[4491] - 4*X[1901] + 2*X[3313] - 8*X[4208] <= 12
model += 3*X[7671] + 9*X[7742] + 7*X[4159] + 5*X[6799] - X[1634] - 4*X[4420] + 2*X[7537] - 8*X[7047] <= 12
model += 3*X[1522] + 9*X[5155] + 7*X[5928] + 5*X[7044] - X[6949] - 4*X[5036] + 2*X[4859] - 8*X[4736] <= 12
model += 10*X[4558] + 7*X[7554] - 4*X[5261] - 12*X[819] - 2*X[3844] + X[356] + 6*X[2527] - 13*X[5762] <= 4
model += -X[4558] - 2*X[7554] + 6*X[5261] - 10*X[819] + 3*X[3844] + 4*X[356] - 9*X[2527] + 11*X[5762] <= 8
model += 10*X[176] + 7*X[3409] - 4*X[6861] - 12*X[7506] - 2*X[2957] + X[1705] + 6*X[173] - 13*X[1340] <= 4
model += -X[176] - 2*X[3409] + 6*X[6861] - 10*X[7506] + 3*X[2957] + 4*X[1705] - 9*X[173] + 11*X[1340] <= 8
model += 3*X[1100] + 9*X[4662] + 7*X[6942] + 5*X[6572] - X[5096] - 4*X[2668] + 2*X[2866] - 8*X[2926] <= 12
model += 10*X[6659] - 12*X[1902] + 4*X[1418] + 7*X[5670] + 2*X[727] - 6*X[270] - X[6981] + 13*X[7295] <= 16
model += 10*X[500] - 12*X[7289] + 4*X[5612] + 7*X[7001] + 2*X[830] - 6*X[2093] - X[6588] + 13*X[4494] <= 16
model += 10*X[1177] - 12*X[2640] + 4*X[5566] + 7*X[1408] + 2*X[4926] - 6*X[497] - X[672] + 13*X[4604] <= 16
model += 10*X[1887] + 7*X[841] - 4*X[3716] - 12*X[4066] - 2*X[6651] + X[4628] + 6*X[1059] - 13*X[4547] <= 4
model += -X[1887] - 2*X[841] + 6*X[3716] - 10*X[4066] + 3*X[6651] + 4*X[4628] - 9*X[1059] + 11*X[4547] <= 8
model += 10*X[1519] + 7*X[6350] - 4*X[359] - 12*X[7131] - 2*X[5914] + X[3525] + 6*X[2846] - 13*X[5733] <= 4
model += -X[1519] - 2*X[6350] + 6*X[359] - 10*X[7131] + 3*X[5914] + 4*X[3525] - 9*X[2846] + 11*X[5733] <= 8
model += 10*X[1406] + 7*X[5795] - 4*X[3766] - 12*X[7129] - 2*X[6258] + X[1397] + 6*X[947] - 13*X[3945] <= 4
model += -X[1406] - 2*X[5795] + 6*X[3766] - 10*X[7129] + 3*X[6258] + 4*X[1397] - 9*X[947] + 11*X[3945] <= 8
model += 10*X[2967] - 12*X[2418] + 4*X[777] + 7*X[4904] + 2*X[1119] - 6*X[391] - X[6077] + 13*X[3439] <= 16
model += 10*X[5535] + 7*X[970] - 4*X[2674] - 12*X[2870] - 2*X[3531] + X[4561] + 6*X[3894] - 13*X[1532] <= 4
model += -X[5535] - 2*X[970] + 6*X[2674] - 10*X[2870] + 3*X[3531] + 4*X[4561] - 9*X[3894] + 11*X[1532] <= 8
model += 10*X[6384] - 12*X[3643] + 4*X[5955] + 7*X[593] + 2*X[6294] - 6*X[4293] - X[2333] + 13*X[236] <= 16
model += 10*X[1310] + 7*X[346] - 4*X[4909] - 12*X[3489] - 2*X[6236] + X[3568] + 6*X[4740] - 13*X[2615] <= 4
model += -X[1310] - 2*X[346] + 6*X[4909] - 10*X[3489] + 3*X[6236] + 4*X[3568] - 9*X[4740] + 11*X[2615] <= 8
model += 10*X[1137] + 7*X[4433] - 4*X[6110] - 12*X[5714] - 2*X[604] + X[6593] + 6*X[5639] - 13*X[2453] <= 4
model += -X[1137] - 2*X[4433] + 6*X[6110] - 10*X[5714] + 3*X[604] + 4*X[6593] - 9*X[5639] + 11*X[2453] <= 8
model += 10*X[3646] + 7*X[231] - 4*X[1393] - 12*X[6733] - 2*X[4232] + X[6402] + 6*X[3231] - 13*X[7224] <= 4
model += -X[3646] - 2*X[231] + 6*X[1393] - 10*X[6733] + 3*X[4232] + 4*X[6402] - 9*X[3231] + 11*X[7224] <= 8
model += 10*X[6931] - 12*X[3640] + 4*X[138] + 7*X[6016] + 2*X[5497] - 6*X[834] - X[2105] + 13*X[7038] <= 16
model += 10*X[881] + 7*X[6629] - 4*X[5047] - 12*X[5918] - 2*X[6548] + X[6232] + 6*X[2234] - 13*X[2180] <= 4
model += -X[881] - 2*X[6629] + 6*X[5047] - 10*X[5918] + 3*X[6548] + 4*X[6232] - 9*X[2234] + 11*X[2180] <= 8
model += 10*X[5589] + 7*X[268] - 4*X[2366] - 12*X[2688] - 2*X[6580] + X[5956] + 6*X[5518] - 13*X[3214] <= 4
model += -X[5589] - 2*X[268] + 6*X[2366] - 10*X[2688] + 3*X[6580] + 4*X[5956] - 9*X[5518] + 11*X[3214] <= 8
model += 10*X[1204] + 7*X[4520] - 4*X[2672] - 12*X[1494] - 2*X[413] + X[3670] + 6*X[4752] - 13*X[4638] <= 4
model += -X[1204] - 2*X[4520] + 6*X[2672] - 10*X[1494] + 3*X[413] + 4*X[3670] - 9*X[4752] + 11*X[4638] <= 8
model += 10*X[6156] + 7*X[7089] - 4*X[7195] - 12*X[794] - 2*X[3745] + X[6165] + 6*X[2130] - 13*X[3851] <= 4
model += -X[6156] - 2*X[7089] + 6*X[7195] - 10*X[794] + 3*X[3745] + 4*X[6165] - 9*X[2130] + 11*X[3851] <= 8
model += 10*X[924] - 12*X[6654] + 4*X[4176] + 7*X[5089] + 2*X[4783] - 6*X[7562] - X[419] + 13*X[7314] <= 16
model += 10*X[5804] + 7*X[365] - 4*X[4990] - 12*X[4080] - 2*X[2460] + X[3679] + 6*X[6342] - 13*X[1748] <= 4
model += -X[5804] - 2*X[365] + 6*X[4990] - 10*X[4080] + 3*X[2460] + 4*X[3679] - 9*X[6342] + 11*X[1748] <= 8
model += 10*X[4348] + 7*X[1407] - 4*X[6669] - 12*X[4637] - 2*X[3226] + X[977] + 6*X[5703] - 13*X[6495] <= 4
model += -X[4348] - 2*X[1407] + 6*X[6669] - 10*X[4637] + 3*X[3226] + 4*X[977] - 9*X[5703] + 11*X[6495] <= 8
model += 10*X[1809] + 7*X[7189] - 4*X[1890] - 12*X[3604] - 2*X[2773] + X[1470] + 6*X[192] - 13*X[3141] <= 4
model += -X[1809] - 2*X[7189] + 6*X[1890] - 10*X[3604] + 3*X[2773] + 4*X[1470] - 9*X[192] + 11*X[3141] <= 8
model += 10*X[5606] - 12*X[132] + 4*X[3942] + 7*X[772] + 2*X[1827] - 6*X[5280] - X[2349] + 13*X[1578] <= 16
model += 10*X[3084] + 7*X[3223] - 4*X[6649] - 12*X[438] - 2*X[2655] + X[1114] + 6*X[5533] - 13*X[1171] <= 4
model += -X[3084] - 2*X[3223] + 6*X[6649] - 10*X[438] + 3*X[2655] + 4*X[1114] - 9*X[5533] + 11*X[1171] <= 8
model += 10*X[6113] + 7*X[2411] - 4*X[6823] - 12*X[2436] - 2*X[4563] + X[608] + 6*X[3824] - 13*X[5511] <= 4
model += -X[6113] - 2*X[2411] + 6*X[6823] - 10*X[2436] + 3*X[4563] + 4*X[608] - 9*X[3824] + 11*X[5511] <= 8
model += 10*X[1584] + 7*X[5268] - 4*X[7202] - 12*X[4369] - 2*X[5550] + X[718] + 6*X[3828] - 13*X[3735] <= 4
model += -X[1584] - 2*X[5268] + 6*X[7202] - 10*X[4369] + 3*X[5550] + 4*X[718] - 9*X[3828] + 11*X[3735] <= 8
model += 10*X[2251] + 7*X[5717] - 4*X[6634] - 12*X[7401] - 2*X[2172] + X[2151] + 6*X[103] - 13*X[7485] <= 4
model += -X[2251] - 2*X[5717] + 6*X[6634] - 10*X[7401] + 3*X[2172] + 4*X[2151] - 9*X[103] + 11*X[7485] <= 8
model += 10*X[7056] + 7*X[707] - 4*X[2374] - 12*X[5114] - 2*X[3373] + X[1627] + 6*X[3608] - 13*X[1289] <= 4
model += -X[7056] - 2*X[707] + 6*X[2374] - 10*X[5114] + 3*X[3373] + 4*X[1627] - 9*X[3608] + 11*X[1289] <= 8
model += 10*X[3671] + 7*X[5915] - 4*X[468] - 12*X[1238] - 2*X[3515] + X[4983] + 6*X[3853] - 13*X[3085] <= 4
model += -X[3671] - 2*X[5915] + 6*X[468] - 10*X[1238] + 3*X[3515] + 4*X[4983] - 9*X[3853] + 11*X[3085] <= 8
model += 10*X[5088] + 7*X[5270] - 4*X[4410] - 12*X[5990] - 2*X[414] + X[2484] + 6*X[3029] - 13*X[4944] <= 4
model += -X[5088] - 2*X[5270] + 6*X[4410] - 10*X[5990] + 3*X[414] + 4*X[2484] - 9*X[3029] + 11*X[4944] <= 8
model += 10*X[487] + 7*X[5645] - 4*X[7050] - 12*X[2455] - 2*X[2980] + X[7110] + 6*X[6346] - 13*X[3331] <= 4
model += -X[487] - 2*X[5645] + 6*X[7050] - 10*X[2455] + 3*X[2980] + 4*X[7110] - 9*X[6346] + 11*X[3331] <= 8
model += 10*X[985] - 12*X[4350] + 4*X[2273] + 7*X[4391] + 2*X[5536] - 6*X[612] - X[6128] + 13*X[4143] <= 16
model += 10*X[4504] + 7*X[4054] - 4*X[6065] - 12*X[4375] - 2*X[6329] + X[4559] + 6*X[567] - 13*X[2911] <= 4
model += -X[4504] - 2*X[4054] + 6*X[6065] - 10*X[4375] + 3*X[6329] + 4*X[4559] - 9*X[567] + 11*X[2911] <= 8
model += 10*X[5630] + 7*X[418] - 4*X[7476] - 12*X[2955] - 2*X[1962] + X[5444] + 6*X[4575] - 13*X[5339] <= 4
model += -X[5630] - 2*X[418] + 6*X[7476] - 10*X[2955] + 3*X[1962] + 4*X[5444] - 9*X[4575] + 11*X[5339] <= 8
model += 10*X[1040] + 7*X[312] - 4*X[7759] - 12*X[6937] - 2*X[4370] + X[3790] + 6*X[4884] - 13*X[2139] <= 4
model += -X[1040] - 2*X[312] + 6*X[7759] - 10*X[6937] + 3*X[4370] + 4*X[3790] - 9*X[4884] + 11*X[2139] <= 8
model += 10*X[6450] + 7*X[241] - 4*X[7015] - 12*X[1992] - 2*X[2867] + X[5735] + 6*X[5929] - 13*X[2236] <= 4
model += -X[6450] - 2*X[241] + 6*X[7015] - 10*X[1992] + 3*X[2867] + 4*X[5735] - 9*X[5929] + 11*X[2236] <= 8
model += 10*X[322] + 7*X[7360] - 4*X[3702] - 12*X[3712] - 2*X[6888] + X[2154] + 6*X[3476] - 13*X[4477] <= 4
model += -X[322] - 2*X[7360] + 6*X[3702] - 10*X[3712] + 3*X[6888] + 4*X[2154] - 9*X[3476] + 11*X[4477] <= 8
model += 10*X[3898] - 12*X[6298] + 4*X[3137] + 7*X[26] + 2*X[4651] - 6*X[2698] - X[5473] + 13*X[1521] <= 16
model += 10*X[3732] + 7*X[739] - 4*X[2860] - 12*X[2296] - 2*X[2397] + X[1739] + 6*X[6452] - 13*X[6997] <= 4
model += -X[3732] - 2*X[739] + 6*X[2860] - 10*X[2296] + 3*X[2397] + 4*X[1739] - 9*X[6452] + 11*X[6997] <= 8
model += 10*X[2489] + 7*X[6132] - 4*X[361] - 12*X[3094] - 2*X[6715] + X[6143] + 6*X[1831] - 13*X[4906] <= 4
model += -X[2489] - 2*X[6132] + 6*X[361] - 10*X[3094] + 3*X[6715] + 4*X[6143] - 9*X[1831] + 11*X[4906] <= 8
model += 10*X[7148] + 7*X[6381] - 4*X[5367] - 12*X[1000] - 2*X[185] + X[4292] + 6*X[1012] - 13*X[7209] <= 4
model += -X[7148] - 2*X[6381] + 6*X[5367] - 10*X[1000] + 3*X[185] + 4*X[4292] - 9*X[1012] + 11*X[7209] <= 8
model += 10*X[1075] + 7*X[7434] - 4*X[1720] - 12*X[5837] - 2*X[889] + X[1703] + 6*X[5282] - 13*X[3593] <= 4
model += -X[1075] - 2*X[7434] + 6*X[1720] - 10*X[5837] + 3*X[889] + 4*X[1703] - 9*X[5282] + 11*X[3593] <= 8
model += 10*X[2186] - 12*X[3011] + 4*X[479] + 7*X[5068] + 2*X[3296] - 6*X[934] - X[3392] + 13*X[6052] <= 16
model += 10*X[6701] + 7*X[4361] - 4*X[629] - 12*X[6759] - 2*X[1357] + X[2833] + 6*X[2908] - 13*X[6608] <= 4
model += -X[6701] - 2*X[4361] + 6*X[629] - 10*X[6759] + 3*X[1357] + 4*X[2833] - 9*X[2908] + 11*X[6608] <= 8
model += 10*X[1729] + 7*X[1740] - 4*X[4831] - 12*X[1430] - 2*X[6751] + X[5474] + 6*X[1855] - 13*X[907] <= 4
model += -X[1729] - 2*X[1740] + 6*X[4831] - 10*X[1430] + 3*X[6751] + 4*X[5474] - 9*X[1855] + 11*X[907] <= 8
model += 10*X[1666] - 12*X[2739] + 4*X[158] + 7*X[3436] + 2*X[5876] - 6*X[553] - X[1671] + 13*X[7116] <= 16
model += 10*X[6702] + 7*X[3699] - 4*X[3601] - 12*X[2801] - 2*X[292] + X[3793] + 6*X[7541] - 13*X[3829] <= 4
model += -X[6702] - 2*X[3699] + 6*X[3601] - 10*X[2801] + 3*X[292] + 4*X[3793] - 9*X[7541] + 11*X[3829] <= 8
model += 10*X[206] - 12*X[6800] + 4*X[2042] + 7*X[4688] + 2*X[475] - 6*X[1961] - X[5652] + 13*X[4986] <= 16
model += 10*X[5351] - 12*X[1997] + 4*X[501] + 7*X[3190] + 2*X[957] - 6*X[4354] - X[3541] + 13*X[2781] <= 16
model += 10*X[4845] + 7*X[2897] - 4*X[6288] - 12*X[4692] - 2*X[7414] + X[989] + 6*X[7157] - 13*X[4708] <= 4
model += -X[4845] - 2*X[2897] + 6*X[6288] - 10*X[4692] + 3*X[7414] + 4*X[989] - 9*X[7157] + 11*X[4708] <= 8
model += 10*X[788] + 7*X[4399] - 4*X[3611] - 12*X[1815] - 2*X[5029] + X[2190] + 6*X[1235] - 13*X[7556] <= 4
model += -X[788] - 2*X[4399] + 6*X[3611] - 10*X[1815] + 3*X[5029] + 4*X[2190] - 9*X[1235] + 11*X[7556] <= 8
model += 10*X[6279] + 7*X[7031] - 4*X[3822] - 12*X[2243] - 2*X[3872] + X[1233] + 6*X[2783] - 13*X[679] <= 4
model += -X[6279] - 2*X[7031] + 6*X[3822] - 10*X[2243] + 3*X[3872] + 4*X[1233] - 9*X[2783] + 11*X[679] <= 8
model += 10*X[2330] + 7*X[1004] - 4*X[7160] - 12*X[848] - 2*X[3351] + X[2999] + 6*X[3009] - 13*X[7624] <= 4
model += -X[2330] - 2*X[1004] + 6*X[7160] - 10*X[848] + 3*X[3351] + 4*X[2999] - 9*X[3009] + 11*X[7624] <= 8
model += 10*X[4057] - 12*X[3794] + 4*X[3877] + 7*X[4794] + 2*X[5592] - 6*X[96] - X[1487] + 13*X[2024] <= 16
model += 10*X[175] + 7*X[3050] - 4*X[2050] - 12*X[1450] - 2*X[7703] + X[2250] + 6*X[2767] - 13*X[6760] <= 4
model += -X[175] - 2*X[3050] + 6*X[2050] - 10*X[1450] + 3*X[7703] + 4*X[2250] - 9*X[2767] + 11*X[6760] <= 8
model += 10*X[1355] + 7*X[4076] - 4*X[1290] - 12*X[5320] - 2*X[428] + X[1553] + 6*X[1462] - 13*X[5124] <= 4
model += -X[1355] - 2*X[4076] + 6*X[1290] - 10*X[5320] + 3*X[428] + 4*X[1553] - 9*X[1462] + 11*X[5124] <= 8
model += 10*X[3410] + 7*X[4613] - 4*X[3526] - 12*X[4912] - 2*X[1620] + X[674] + 6*X[4801] - 13*X[2733] <= 4
model += -X[3410] - 2*X[4613] + 6*X[3526] - 10*X[4912] + 3*X[1620] + 4*X[674] - 9*X[4801] + 11*X[2733] <= 8
model += 10*X[5593] + 7*X[7551] - 4*X[463] - 12*X[7521] - 2*X[3966] + X[3903] + 6*X[3014] - 13*X[1248] <= 4
model += -X[5593] - 2*X[7551] + 6*X[463] - 10*X[7521] + 3*X[3966] + 4*X[3903] - 9*X[3014] + 11*X[1248] <= 8
model += 10*X[7539] + 7*X[5882] - 4*X[508] - 12*X[1161] - 2*X[4479] + X[3874] + 6*X[7668] - 13*X[2621] <= 4
model += -X[7539] - 2*X[5882] + 6*X[508] - 10*X[1161] + 3*X[4479] + 4*X[3874] - 9*X[7668] + 11*X[2621] <= 8
model += 10*X[4173] + 7*X[1268] - 4*X[4619] - 12*X[2618] - 2*X[2764] + X[6201] + 6*X[726] - 13*X[2284] <= 4
model += -X[4173] - 2*X[1268] + 6*X[4619] - 10*X[2618] + 3*X[2764] + 4*X[6201] - 9*X[726] + 11*X[2284] <= 8
model += 10*X[992] + 7*X[7655] - 4*X[1489] - 12*X[6594] - 2*X[7436] + X[2975] + 6*X[1192] - 13*X[5549] <= 4
model += -X[992] - 2*X[7655] + 6*X[1489] - 10*X[6594] + 3*X[7436] + 4*X[2975] - 9*X[1192] + 11*X[5549] <= 8
model += 10*X[4578] - 12*X[318] + 4*X[7016] + 7*X[7684] + 2*X[3030] - 6*X[1662] - X[1334] + 13*X[522] <= 16
model += 10*X[1228] + 7*X[4722] - 4*X[7263] - 12*X[2458] - 2*X[2696] + X[239] + 6*X[5852] - 13*X[5556] <= 4
model += -X[1228] - 2*X[4722] + 6*X[7263] - 10*X[2458] + 3*X[2696] + 4*X[239] - 9*X[5852] + 11*X[5556] <= 8
model += 10*X[2350] + 7*X[5330] - 4*X[1453] - 12*X[2832] - 2*X[783] + X[2985] + 6*X[7760] - 13*X[1835] <= 4
model += -X[2350] - 2*X[5330] + 6*X[1453] - 10*X[2832] + 3*X[783] + 4*X[2985] - 9*X[7760] + 11*X[1835] <= 8
model += 10*X[7262] + 7*X[4747] - 4*X[3481] - 12*X[3064] - 2*X[562] + X[1279] + 6*X[3146] - 13*X[3850] <= 4
model += -X[7262] - 2*X[4747] + 6*X[3481] - 10*X[3064] + 3*X[562] + 4*X[1279] - 9*X[3146] + 11*X[3850] <= 8
model += 10*X[6224] - 12*X[3003] + 4*X[4315] + 7*X[6209] + 2*X[916] - 6*X[258] - X[7764] + 13*X[2520] <= 16
model += 10*X[3773] - 12*X[1526] + 4*X[4244] + 7*X[4823] + 2*X[495] - 6*X[5224] - X[4793] + 13*X[778] <= 16
model += 10*X[6761] + 7*X[2786] - 4*X[3155] - 12*X[6825] - 2*X[1428] + X[1359] + 6*X[769] - 13*X[7557] <= 4
model += -X[6761] - 2*X[2786] + 6*X[3155] - 10*X[6825] + 3*X[1428] + 4*X[1359] - 9*X[769] + 11*X[7557] <= 8
model += 10*X[3469] + 7*X[5591] - 4*X[2260] - 12*X[7790] - 2*X[7746] + X[4239] + 6*X[6547] - 13*X[155] <= 4
model += -X[3469] - 2*X[5591] + 6*X[2260] - 10*X[7790] + 3*X[7746] + 4*X[4239] - 9*X[6547] + 11*X[155] <= 8
model += 10*X[2878] + 7*X[984] - 4*X[6941] - 12*X[4597] - 2*X[2184] + X[4015] + 6*X[4577] - 13*X[6793] <= 4
model += -X[2878] - 2*X[984] + 6*X[6941] - 10*X[4597] + 3*X[2184] + 4*X[4015] - 9*X[4577] + 11*X[6793] <= 8
model += 10*X[7135] + 7*X[803] - 4*X[2416] - 12*X[4672] - 2*X[5060] + X[5857] + 6*X[6964] - 13*X[6911] <= 4
model += -X[7135] - 2*X[803] + 6*X[2416] - 10*X[4672] + 3*X[5060] + 4*X[5857] - 9*X[6964] + 11*X[6911] <= 8
model += 10*X[5074] + 7*X[4667] - 4*X[1573] - 12*X[188] - 2*X[1429] + X[4150] + 6*X[7474] - 13*X[4951] <= 4
model += -X[5074] - 2*X[4667] + 6*X[1573] - 10*X[188] + 3*X[1429] + 4*X[4150] - 9*X[7474] + 11*X[4951] <= 8
model += 10*X[711] + 7*X[7756] - 4*X[4544] - 12*X[6917] - 2*X[3803] + X[7151] + 6*X[7715] - 13*X[7230] <= 4
model += -X[711] - 2*X[7756] + 6*X[4544] - 10*X[6917] + 3*X[3803] + 4*X[7151] - 9*X[7715] + 11*X[7230] <= 8
model += 10*X[7486] - 12*X[1547] + 4*X[968] + 7*X[4706] + 2*X[856] - 6*X[4124] - X[1684] + 13*X[2663] <= 16
model += 10*X[2153] + 7*X[5051] - 4*X[1071] - 12*X[4087] - 2*X[755] + X[2511] + 6*X[1830] - 13*X[5551] <= 4
model += -X[2153] - 2*X[5051] + 6*X[1071] - 10*X[4087] + 3*X[755] + 4*X[2511] - 9*X[1830] + 11*X[5551] <= 8
model += 10*X[806] + 7*X[6758] - 4*X[1057] - 12*X[5359] - 2*X[3173] + X[5440] + 6*X[1534] - 13*X[5618] <= 4
model += -X[806] - 2*X[6758] + 6*X[1057] - 10*X[5359] + 3*X[3173] + 4*X[5440] - 9*X[1534] + 11*X[5618] <= 8
model += 10*X[3149] - 12*X[699] + 4*X[2896] + 7*X[7698] + 2*X[2399] - 6*X[694] - X[7650] + 13*X[2265] <= 16
model += 10*X[1654] + 7*X[581] - 4*X[4657] - 12*X[5616] - 2*X[1881] + X[6465] + 6*X[7639] - 13*X[2444] <= 4
model += -X[1654] - 2*X[581] + 6*X[4657] - 10*X[5616] + 3*X[1881] + 4*X[6465] - 9*X[7639] + 11*X[2444] <= 8
model += 10*X[3484] - 12*X[274] + 4*X[7514] + 7*X[1781] + 2*X[6283] - 6*X[6718] - X[728] + 13*X[6779] <= 16
model += 10*X[6865] - 12*X[2970] + 4*X[88] + 7*X[3904] + 2*X[6838] - 6*X[6707] - X[7505] + 13*X[3570] <= 16
model += 10*X[1732] + 7*X[4045] - 4*X[3756] - 12*X[3956] - 2*X[5691] + X[7003] + 6*X[109] - 13*X[3768] <= 4
model += -X[1732] - 2*X[4045] + 6*X[3756] - 10*X[3956] + 3*X[5691] + 4*X[7003] - 9*X[109] + 11*X[3768] <= 8
model += 10*X[1022] - 12*X[7629] + 4*X[5661] + 7*X[183] + 2*X[7236] - 6*X[1561] - X[401] + 13*X[5187] <= 16
model += 10*X[1436] + 7*X[5509] - 4*X[987] - 12*X[5129] - 2*X[1503] + X[4404] + 6*X[7598] - 13*X[5173] <= 4
model += -X[1436] - 2*X[5509] + 6*X[987] - 10*X[5129] + 3*X[1503] + 4*X[4404] - 9*X[7598] + 11*X[5173] <= 8
model += 10*X[2685] + 7*X[3951] - 4*X[4925] - 12*X[3580] - 2*X[2856] + X[5823] + 6*X[6853] - 13*X[240] <= 4
model += -X[2685] - 2*X[3951] + 6*X[4925] - 10*X[3580] + 3*X[2856] + 4*X[5823] - 9*X[6853] + 11*X[240] <= 8
model += 10*X[4954] + 7*X[7469] - 4*X[2403] - 12*X[7774] - 2*X[4630] + X[3729] + 6*X[6709] - 13*X[888] <= 4
model += -X[4954] - 2*X[7469] + 6*X[2403] - 10*X[7774] + 3*X[4630] + 4*X[3729] - 9*X[6709] + 11*X[888] <= 8
model += 10*X[5032] + 7*X[5097] - 4*X[1052] - 12*X[648] - 2*X[4571] + X[4707] + 6*X[2423] - 13*X[3858] <= 4
model += -X[5032] - 2*X[5097] + 6*X[1052] - 10*X[648] + 3*X[4571] + 4*X[4707] - 9*X[2423] + 11*X[3858] <= 8
model += 10*X[107] - 12*X[6554] + 4*X[5622] + 7*X[7661] + 2*X[7396] - 6*X[2367] - X[634] + 13*X[5202] <= 16
model += 10*X[5055] + 7*X[6351] - 4*X[587] - 12*X[7081] - 2*X[4214] + X[5040] + 6*X[3591] - 13*X[1667] <= 4
model += -X[5055] - 2*X[6351] + 6*X[587] - 10*X[7081] + 3*X[4214] + 4*X[5040] - 9*X[3591] + 11*X[1667] <= 8
model += 10*X[4551] - 12*X[3508] + 4*X[914] + 7*X[5298] + 2*X[3458] - 6*X[483] - X[6671] + 13*X[5783] <= 16
model += 10*X[2255] - 12*X[321] + 4*X[5796] + 7*X[2931] + 2*X[1447] - 6*X[160] - X[2837] + 13*X[1904] <= 16
model += 10*X[6727] + 7*X[6826] - 4*X[1403] - 12*X[157] - 2*X[6870] + X[3278] + 6*X[5401] - 13*X[2865] <= 4
model += -X[6727] - 2*X[6826] + 6*X[1403] - 10*X[157] + 3*X[6870] + 4*X[3278] - 9*X[5401] + 11*X[2865] <= 8
model += 10*X[4366] - 12*X[4535] + 4*X[3358] + 7*X[473] + 2*X[4218] - 6*X[689] - X[6320] + 13*X[4266] <= 16
model += 10*X[7646] + 7*X[3694] - 4*X[6518] - 12*X[3730] - 2*X[5605] + X[3864] + 6*X[6020] - 13*X[931] <= 4
model += -X[7646] - 2*X[3694] + 6*X[6518] - 10*X[3730] + 3*X[5605] + 4*X[3864] - 9*X[6020] + 11*X[931] <= 8
model += 10*X[4500] - 12*X[6096] + 4*X[5895] + 7*X[186] + 2*X[4052] - 6*X[3391] - X[191] + 13*X[2707] <= 16
model += 10*X[5668] + 7*X[958] - 4*X[2308] - 12*X[5171] - 2*X[1284] + X[7058] + 6*X[4400] - 13*X[3375] <= 4
model += -X[5668] - 2*X[958] + 6*X[2308] - 10*X[5171] + 3*X[1284] + 4*X[7058] - 9*X[4400] + 11*X[3375] <= 8
model += 10*X[3647] + 7*X[5694] - 4*X[1467] - 12*X[3637] - 2*X[5139] + X[7040] + 6*X[5433] - 13*X[304] <= 4
model += -X[3647] - 2*X[5694] + 6*X[1467] - 10*X[3637] + 3*X[5139] + 4*X[7040] - 9*X[5433] + 11*X[304] <= 8
model += 10*X[2037] - 12*X[1002] + 4*X[7731] + 7*X[4678] + 2*X[382] - 6*X[2616] - X[1479] + 13*X[598] <= 16
model += 10*X[1205] + 7*X[485] - 4*X[2481] - 12*X[4059] - 2*X[5024] + X[6788] + 6*X[6778] - 13*X[1568] <= 4
model += -X[1205] - 2*X[485] + 6*X[2481] - 10*X[4059] + 3*X[5024] + 4*X[6788] - 9*X[6778] + 11*X[1568] <= 8
model += 10*X[1812] + 7*X[7394] - 4*X[1482] - 12*X[2876] - 2*X[2825] + X[4931] + 6*X[4726] - 13*X[343] <= 4
model += -X[1812] - 2*X[7394] + 6*X[1482] - 10*X[2876] + 3*X[2825] + 4*X[4931] - 9*X[4726] + 11*X[343] <= 8
model += 10*X[782] + 7*X[6920] - 4*X[2671] - 12*X[3148] - 2*X[4625] + X[3333] + 6*X[7239] - 13*X[1391] <= 4
model += -X[782] - 2*X[6920] + 6*X[2671] - 10*X[3148] + 3*X[4625] + 4*X[3333] - 9*X[7239] + 11*X[1391] <= 8
model += 10*X[2164] + 7*X[6349] - 4*X[1917] - 12*X[1222] - 2*X[3024] + X[5472] + 6*X[340] - 13*X[7575] <= 4
model += -X[2164] - 2*X[6349] + 6*X[1917] - 10*X[1222] + 3*X[3024] + 4*X[5472] - 9*X[340] + 11*X[7575] <= 8
model += 10*X[415] + 7*X[7749] - 4*X[6198] - 12*X[1017] - 2*X[1837] + X[1836] + 6*X[6902] - 13*X[1626] <= 4
model += -X[415] - 2*X[7749] + 6*X[6198] - 10*X[1017] + 3*X[1837] + 4*X[1836] - 9*X[6902] + 11*X[1626] <= 8
model += 10*X[3760] + 7*X[5360] - 4*X[3356] - 12*X[1464] - 2*X[814] + X[2433] + 6*X[1115] - 13*X[3304] <= 4
model += -X[3760] - 2*X[5360] + 6*X[3356] - 10*X[1464] + 3*X[814] + 4*X[2433] - 9*X[1115] + 11*X[3304] <= 8
model += 10*X[6925] - 12*X[2807] + 4*X[7559] + 7*X[460] + 2*X[808] - 6*X[6424] - X[4934] + 13*X[1325] <= 16
model += 10*X[5228] + 7*X[944] - 4*X[6589] - 12*X[2463] - 2*X[1317] + X[1914] + 6*X[1531] - 13*X[6063] <= 4
model += -X[5228] - 2*X[944] + 6*X[6589] - 10*X[2463] + 3*X[1317] + 4*X[1914] - 9*X[1531] + 11*X[6063] <= 8
model += 10*X[930] + 7*X[7029] - 4*X[5563] - 12*X[2726] - 2*X[2437] + X[6578] + 6*X[1193] - 13*X[1145] <= 4
model += -X[930] - 2*X[7029] + 6*X[5563] - 10*X[2726] + 3*X[2437] + 4*X[6578] - 9*X[1193] + 11*X[1145] <= 8
model += 10*X[5515] - 12*X[5685] + 4*X[125] + 7*X[4097] + 2*X[207] - 6*X[6081] - X[1957] + 13*X[3603] <= 16
model += 10*X[2824] - 12*X[1742] + 4*X[4754] + 7*X[3208] + 2*X[1941] - 6*X[576] - X[7769] + 13*X[449] <= 16
model += 10*X[4270] + 7*X[227] - 4*X[1607] - 12*X[2889] - 2*X[3511] + X[1008] + 6*X[6904] - 13*X[2360] <= 4
model += -X[4270] - 2*X[227] + 6*X[1607] - 10*X[2889] + 3*X[3511] + 4*X[1008] - 9*X[6904] + 11*X[2360] <= 8
model += 10*X[2305] + 7*X[421] - 4*X[5573] - 12*X[6135] - 2*X[2869] + X[4918] + 6*X[1861] - 13*X[4631] <= 4
model += -X[2305] - 2*X[421] + 6*X[5573] - 10*X[6135] + 3*X[2869] + 4*X[4918] - 9*X[1861] + 11*X[4631] <= 8
model += 10*X[1674] + 7*X[1757] - 4*X[4051] - 12*X[518] - 2*X[7218] + X[1646] + 6*X[6249] - 13*X[2017] <= 4
model += -X[1674] - 2*X[1757] + 6*X[4051] - 10*X[518] + 3*X[7218] + 4*X[1646] - 9*X[6249] + 11*X[2017] <= 8
model += 10*X[5584] + 7*X[6401] - 4*X[804] - 12*X[4600] - 2*X[4382] + X[6485] + 6*X[4250] - 13*X[6551] <= 4
model += -X[5584] - 2*X[6401] + 6*X[804] - 10*X[4600] + 3*X[4382] + 4*X[6485] - 9*X[4250] + 11*X[6551] <= 8
model += 10*X[1398] + 7*X[2572] - 4*X[1152] - 12*X[6927] - 2*X[1822] + X[5620] + 6*X[655] - 13*X[5897] <= 4
model += -X[1398] - 2*X[2572] + 6*X[1152] - 10*X[6927] + 3*X[1822] + 4*X[5620] - 9*X[655] + 11*X[5897] <= 8
model += 10*X[7332] + 7*X[5705] - 4*X[1597] - 12*X[3569] - 2*X[1847] + X[2348] + 6*X[5941] - 13*X[439] <= 4
model += -X[7332] - 2*X[5705] + 6*X[1597] - 10*X[3569] + 3*X[1847] + 4*X[2348] - 9*X[5941] + 11*X[439] <= 8
model += 10*X[1394] + 7*X[4042] - 4*X[1021] - 12*X[1136] - 2*X[2263] + X[6334] + 6*X[2388] - 13*X[705] <= 4
model += -X[1394] - 2*X[4042] + 6*X[1021] - 10*X[1136] + 3*X[2263] + 4*X[6334] - 9*X[2388] + 11*X[705] <= 8
model += 10*X[943] - 12*X[831] + 4*X[1252] + 7*X[6992] + 2*X[5913] - 6*X[1239] - X[4262] + 13*X[4189] <= 16
model += 10*X[4958] - 12*X[129] + 4*X[6482] + 7*X[6220] + 2*X[3885] - 6*X[5399] - X[512] + 13*X[3778] <= 16
model += 10*X[293] + 7*X[3210] - 4*X[3924] - 12*X[2498] - 2*X[4863] + X[6834] + 6*X[2960] - 13*X[4921] <= 4
model += -X[293] - 2*X[3210] + 6*X[3924] - 10*X[2498] + 3*X[4863] + 4*X[6834] - 9*X[2960] + 11*X[4921] <= 8
model += 10*X[2080] + 7*X[4069] - 4*X[6362] - 12*X[6237] - 2*X[729] + X[5995] + 6*X[7390] - 13*X[6012] <= 4
model += -X[2080] - 2*X[4069] + 6*X[6362] - 10*X[6237] + 3*X[729] + 4*X[5995] - 9*X[7390] + 11*X[6012] <= 8
model += 10*X[4037] + 7*X[6821] - 4*X[7248] - 12*X[3787] - 2*X[5409] + X[6731] + 6*X[1427] - 13*X[744] <= 4
model += -X[4037] - 2*X[6821] + 6*X[7248] - 10*X[3787] + 3*X[5409] + 4*X[6731] - 9*X[1427] + 11*X[744] <= 8
model += 10*X[6171] + 7*X[1749] - 4*X[1841] - 12*X[3219] - 2*X[3717] + X[1085] + 6*X[276] - 13*X[4501] <= 4
model += -X[6171] - 2*X[1749] + 6*X[1841] - 10*X[3219] + 3*X[3717] + 4*X[1085] - 9*X[276] + 11*X[4501] <= 8
model += 10*X[6777] + 7*X[4357] - 4*X[2311] - 12*X[673] - 2*X[3057] + X[2239] + 6*X[3825] - 13*X[7602] <= 4
model += -X[6777] - 2*X[4357] + 6*X[2311] - 10*X[673] + 3*X[3057] + 4*X[2239] - 9*X[3825] + 11*X[7602] <= 8
model += 10*X[1953] - 12*X[5101] + 4*X[2370] + 7*X[1695] + 2*X[490] - 6*X[4820] - X[572] + 13*X[1168] <= 16
model += 10*X[3806] - 12*X[5786] + 4*X[3067] + 7*X[2400] + 2*X[5723] - 6*X[84] - X[3871] + 13*X[7265] <= 16
model += 10*X[712] - 12*X[1492] + 4*X[5117] + 7*X[2804] + 2*X[5803] - 6*X[3177] - X[2417] + 13*X[650] <= 16
model += 10*X[5684] + 7*X[234] - 4*X[4459] - 12*X[5276] - 2*X[5137] + X[1559] + 6*X[3696] - 13*X[6831] <= 4
model += -X[5684] - 2*X[234] + 6*X[4459] - 10*X[5276] + 3*X[5137] + 4*X[1559] - 9*X[3696] + 11*X[6831] <= 8
model += 10*X[624] + 7*X[7070] - 4*X[6966] - 12*X[1363] - 2*X[6306] + X[7649] + 6*X[3289] - 13*X[1370] <= 4
model += -X[624] - 2*X[7070] + 6*X[6966] - 10*X[1363] + 3*X[6306] + 4*X[7649] - 9*X[3289] + 11*X[1370] <= 8
model += 10*X[7369] - 12*X[2108] + 4*X[503] + 7*X[7281] + 2*X[3315] - 6*X[5788] - X[766] + 13*X[1857] <= 16
model += 10*X[2819] + 7*X[817] - 4*X[4137] - 12*X[2445] - 2*X[7176] + X[6348] + 6*X[1999] - 13*X[4728] <= 4
model += -X[2819] - 2*X[817] + 6*X[4137] - 10*X[2445] + 3*X[7176] + 4*X[6348] - 9*X[1999] + 11*X[4728] <= 8
model += 10*X[6375] + 7*X[3326] - 4*X[6263] - 12*X[3171] - 2*X[4851] + X[2622] + 6*X[406] - 13*X[2177] <= 4
model += -X[6375] - 2*X[3326] + 6*X[6263] - 10*X[3171] + 3*X[4851] + 4*X[2622] - 9*X[406] + 11*X[2177] <= 8
model += 10*X[1636] - 12*X[400] + 4*X[6612] + 7*X[6938] + 2*X[7071] - 6*X[3371] - X[670] + 13*X[4164] <= 16
model += 10*X[5010] + 7*X[7270] - 4*X[2077] - 12*X[3985] - 2*X[6900] + X[1552] + 6*X[5121] - 13*X[221] <= 4
model += -X[5010] - 2*X[7270] + 6*X[2077] - 10*X[3985] + 3*X[6900] + 4*X[1552] - 9*X[5121] + 11*X[221] <= 8
model += 10*X[5646] + 7*X[1543] - 4*X[6108] - 12*X[555] - 2*X[6599] + X[4759] + 6*X[2653] - 13*X[4240] <= 4
model += -X[5646] - 2*X[1543] + 6*X[6108] - 10*X[555] + 3*X[6599] + 4*X[4759] - 9*X[2653] + 11*X[4240] <= 8
model += 10*X[14] - 12*X[4402] + 4*X[5241] + 7*X[3970] + 2*X[1338] - 6*X[5746] - X[7080] + 13*X[6722] <= 16
model += 10*X[3432] + 7*X[3026] - 4*X[966] - 12*X[6630] - 2*X[2851] + X[1675] + 6*X[3616] - 13*X[2068] <= 4
model += -X[3432] - 2*X[3026] + 6*X[966] - 10*X[6630] + 3*X[2851] + 4*X[1675] - 9*X[3616] + 11*X[2068] <= 8
model += 10*X[5884] - 12*X[4484] + 4*X[3384] + 7*X[2026] + 2*X[1424] - 6*X[87] - X[7355] + 13*X[7665] <= 16
model += 10*X[3626] + 7*X[3136] - 4*X[605] - 12*X[5949] - 2*X[5901] + X[4885] + 6*X[4248] - 13*X[2614] <= 4
model += -X[3626] - 2*X[3136] + 6*X[605] - 10*X[5949] + 3*X[5901] + 4*X[4885] - 9*X[4248] + 11*X[2614] <= 8
model += 10*X[4738] + 7*X[3156] - 4*X[1927] - 12*X[2991] - 2*X[1271] + X[628] + 6*X[2500] - 13*X[2834] <= 4
model += -X[4738] - 2*X[3156] + 6*X[1927] - 10*X[2991] + 3*X[1271] + 4*X[628] - 9*X[2500] + 11*X[2834] <= 8
model += 10*X[614] + 7*X[7741] - 4*X[5931] - 12*X[6430] - 2*X[7582] + X[4957] + 6*X[6268] - 13*X[3419] <= 4
model += -X[614] - 2*X[7741] + 6*X[5931] - 10*X[6430] + 3*X[7582] + 4*X[4957] - 9*X[6268] + 11*X[3419] <= 8
model += 10*X[4334] - 12*X[4455] + 4*X[3335] + 7*X[583] + 2*X[3283] - 6*X[472] - X[4941] + 13*X[7511] <= 16
model += 10*X[2567] - 12*X[5015] + 4*X[6969] + 7*X[4611] + 2*X[536] - 6*X[2538] - X[7488] + 13*X[853] <= 16
model += 10*X[6229] + 7*X[3259] - 4*X[7454] - 12*X[2232] - 2*X[5086] + X[1611] + 6*X[3329] - 13*X[303] <= 4
model += -X[6229] - 2*X[3259] + 6*X[7454] - 10*X[2232] + 3*X[5086] + 4*X[1611] - 9*X[3329] + 11*X[303] <= 8
model += 10*X[1704] + 7*X[7608] - 4*X[2114] - 12*X[4229] - 2*X[891] + X[4513] + 6*X[3381] - 13*X[6386] <= 4
model += -X[1704] - 2*X[7608] + 6*X[2114] - 10*X[4229] + 3*X[891] + 4*X[4513] - 9*X[3381] + 11*X[6386] <= 8
model += 10*X[1026] - 12*X[4714] + 4*X[2109] + 7*X[412] + 2*X[144] - 6*X[4153] - X[3379] + 13*X[5475] <= 16
model += 10*X[2497] + 7*X[6315] - 4*X[6379] - 12*X[1196] - 2*X[5260] + X[4618] + 6*X[366] - 13*X[5019] <= 4
model += -X[2497] - 2*X[6315] + 6*X[6379] - 10*X[1196] + 3*X[5260] + 4*X[4618] - 9*X[366] + 11*X[5019] <= 8
model += 10*X[123] + 7*X[2948] - 4*X[6221] - 12*X[4081] - 2*X[4999] + X[7393] + 6*X[1900] - 13*X[3762] <= 4
model += -X[123] - 2*X[2948] + 6*X[6221] - 10*X[4081] + 3*X[4999] + 4*X[7393] - 9*X[1900] + 11*X[3762] <= 8
model += 10*X[6363] - 12*X[6240] + 4*X[2329] + 7*X[7653] + 2*X[5900] - 6*X[4158] - X[6543] + 13*X[94] <= 16
model += 10*X[7299] - 12*X[7284] + 4*X[4235] + 7*X[635] + 2*X[1929] - 6*X[5682] - X[5203] + 13*X[111] <= 16
model += 10*X[1833] + 7*X[1176] - 4*X[5687] - 12*X[2806] - 2*X[538] + X[2935] + 6*X[5081] - 13*X[3317] <= 4
model += -X[1833] - 2*X[1176] + 6*X[5687] - 10*X[2806] + 3*X[538] + 4*X[2935] - 9*X[5081] + 11*X[3317] <= 8
model += 10*X[6019] + 7*X[5253] - 4*X[2506] - 12*X[1332] - 2*X[6873] + X[5543] + 6*X[145] - 13*X[6219] <= 4
model += -X[6019] - 2*X[5253] + 6*X[2506] - 10*X[1332] + 3*X[6873] + 4*X[5543] - 9*X[145] + 11*X[6219] <= 8
model += 10*X[6078] + 7*X[6657] - 4*X[5176] - 12*X[1940] - 2*X[7051] + X[870] + 6*X[4325] - 13*X[7215] <= 4
model += -X[6078] - 2*X[6657] + 6*X[5176] - 10*X[1940] + 3*X[7051] + 4*X[870] - 9*X[4325] + 11*X[7215] <= 8
model += 10*X[6569] + 7*X[1784] - 4*X[1488] - 12*X[5782] - 2*X[5647] + X[6912] + 6*X[128] - 13*X[7727] <= 4
model += -X[6569] - 2*X[1784] + 6*X[1488] - 10*X[5782] + 3*X[5647] + 4*X[6912] - 9*X[128] + 11*X[7727] <= 8
model += 10*X[551] + 7*X[4179] - 4*X[1848] - 12*X[7191] - 2*X[2697] + X[1303] + 6*X[1258] - 13*X[4933] <= 4
model += -X[551] - 2*X[4179] + 6*X[1848] - 10*X[7191] + 3*X[2697] + 4*X[1303] - 9*X[1258] + 11*X[4933] <= 8
model += 10*X[4809] + 7*X[4898] - 4*X[2398] - 12*X[1947] - 2*X[7206] + X[1773] + 6*X[454] - 13*X[5871] <= 4
model += -X[4809] - 2*X[4898] + 6*X[2398] - 10*X[1947] + 3*X[7206] + 4*X[1773] - 9*X[454] + 11*X[5871] <= 8
model += 10*X[4748] - 12*X[2838] + 4*X[564] + 7*X[384] + 2*X[3360] - 6*X[2978] - X[1441] + 13*X[4451] <= 16
model += 10*X[5383] - 12*X[2230] + 4*X[6301] + 7*X[5372] + 2*X[4148] - 6*X[57] - X[5113] + 13*X[6658] <= 16
model += 10*X[5428] + 7*X[7005] - 4*X[3627] - 12*X[6667] - 2*X[6331] + X[3062] + 6*X[757] - 13*X[7119] <= 4
model += -X[5428] - 2*X[7005] + 6*X[3627] - 10*X[6667] + 3*X[6331] + 4*X[3062] - 9*X[757] + 11*X[7119] <= 8
model += 10*X[4418] - 12*X[3385] + 4*X[5188] + 7*X[978] + 2*X[2464] - 6*X[3316] - X[2086] + 13*X[861] <= 16
model += 10*X[758] - 12*X[253] + 4*X[5830] + 7*X[3574] + 2*X[1212] - 6*X[1170] - X[5238] + 13*X[3550] <= 16
model += 10*X[2318] + 7*X[1790] - 4*X[4002] - 12*X[3300] - 2*X[2933] + X[6977] + 6*X[301] - 13*X[6552] <= 4
model += -X[2318] - 2*X[1790] + 6*X[4002] - 10*X[3300] + 3*X[2933] + 4*X[6977] - 9*X[301] + 11*X[6552] <= 8
model += 10*X[6536] + 7*X[4719] - 4*X[1537] - 12*X[6642] - 2*X[4670] + X[491] + 6*X[2396] - 13*X[7620] <= 4
model += -X[6536] - 2*X[4719] + 6*X[1537] - 10*X[6642] + 3*X[4670] + 4*X[491] - 9*X[2396] + 11*X[7620] <= 8
model += 10*X[457] - 12*X[3596] + 4*X[3415] + 7*X[1852] + 2*X[4950] - 6*X[2246] - X[254] + 13*X[6215] <= 16
model += 10*X[5262] + 7*X[5332] - 4*X[3342] - 12*X[4010] - 2*X[5318] + X[664] + 6*X[2375] - 13*X[5952] <= 4
model += -X[5262] - 2*X[5332] + 6*X[3342] - 10*X[4010] + 3*X[5318] + 4*X[664] - 9*X[2375] + 11*X[5952] <= 8
model += 10*X[5159] + 7*X[5481] - 4*X[4713] - 12*X[3045] - 2*X[573] + X[6274] + 6*X[2612] - 13*X[3860] <= 4
model += -X[5159] - 2*X[5481] + 6*X[4713] - 10*X[3045] + 3*X[573] + 4*X[6274] - 9*X[2612] + 11*X[3860] <= 8
model += 10*X[4911] - 12*X[3308] + 4*X[10] + 7*X[1005] + 2*X[5702] - 6*X[3281] - X[5211] + 13*X[6481] <= 16
model += 10*X[2045] + 7*X[6507] - 4*X[4680] - 12*X[4257] - 2*X[5343] + X[488] + 6*X[7707] - 13*X[1348] <= 4
model += -X[2045] - 2*X[6507] + 6*X[4680] - 10*X[4257] + 3*X[5343] + 4*X[488] - 9*X[7707] + 11*X[1348] <= 8
model += 10*X[6891] - 12*X[1946] + 4*X[760] + 7*X[2973] + 2*X[7522] - 6*X[6314] - X[5131] + 13*X[779] <= 16
model += 10*X[5508] + 7*X[1267] - 4*X[7609] - 12*X[2839] - 2*X[277] + X[2747] + 6*X[7448] - 13*X[3168] <= 4
model += -X[5508] - 2*X[1267] + 6*X[7609] - 10*X[2839] + 3*X[277] + 4*X[2747] - 9*X[7448] + 11*X[3168] <= 8
model += 10*X[6909] + 7*X[7683] - 4*X[6467] - 12*X[4540] - 2*X[756] + X[4170] + 6*X[6044] - 13*X[6137] <= 4
model += -X[6909] - 2*X[7683] + 6*X[6467] - 10*X[4540] + 3*X[756] + 4*X[4170] - 9*X[6044] + 11*X[6137] <= 8
model += 10*X[5634] + 7*X[560] - 4*X[2941] - 12*X[5105] - 2*X[2965] + X[2341] + 6*X[7498] - 13*X[5650] <= 4
model += -X[5634] - 2*X[560] + 6*X[2941] - 10*X[5105] + 3*X[2965] + 4*X[2341] - 9*X[7498] + 11*X[5650] <= 8
model += 10*X[3245] + 7*X[7169] - 4*X[1352] - 12*X[3673] - 2*X[4585] + X[5290] + 6*X[6013] - 13*X[339] <= 4
model += -X[3245] - 2*X[7169] + 6*X[1352] - 10*X[3673] + 3*X[4585] + 4*X[5290] - 9*X[6013] + 11*X[339] <= 8
model += 10*X[317] - 12*X[2449] + 4*X[7045] + 7*X[4243] + 2*X[3752] - 6*X[2927] - X[5507] + 13*X[499] <= 16
model += 10*X[620] + 7*X[4091] - 4*X[6164] - 12*X[1433] - 2*X[7573] + X[3740] + 6*X[6451] - 13*X[4252] <= 4
model += -X[620] - 2*X[4091] + 6*X[6164] - 10*X[1433] + 3*X[7573] + 4*X[3740] - 9*X[6451] + 11*X[4252] <= 8
model += 10*X[3072] + 7*X[5240] - 4*X[6124] - 12*X[329] - 2*X[5792] + X[2763] + 6*X[2389] - 13*X[2766] <= 4
model += -X[3072] - 2*X[5240] + 6*X[6124] - 10*X[329] + 3*X[5792] + 4*X[2763] - 9*X[2389] + 11*X[2766] <= 8
model += 10*X[3937] + 7*X[7418] - 4*X[6720] - 12*X[4070] - 2*X[1112] + X[269] + 6*X[4639] - 13*X[3726] <= 4
model += -X[3937] - 2*X[7418] + 6*X[6720] - 10*X[4070] + 3*X[1112] + 4*X[269] - 9*X[4639] + 11*X[3726] <= 8
model += 10*X[4281] + 7*X[1676] - 4*X[903] - 12*X[5961] - 2*X[4567] + X[3909] + 6*X[6886] - 13*X[3944] <= 4
model += -X[4281] - 2*X[1676] + 6*X[903] - 10*X[5961] + 3*X[4567] + 4*X[3909] - 9*X[6886] + 11*X[3944] <= 8
model += 10*X[6713] + 7*X[6008] - 4*X[862] - 12*X[7109] - 2*X[4288] + X[4553] + 6*X[4221] - 13*X[1361] <= 4
model += -X[6713] - 2*X[6008] + 6*X[862] - 10*X[7109] + 3*X[4288] + 4*X[4553] - 9*X[4221] + 11*X[1361] <= 8
model += 10*X[7258] + 7*X[505] - 4*X[6597] - 12*X[5732] - 2*X[1660] + X[4686] + 6*X[4145] - 13*X[6216] <= 4
model += -X[7258] - 2*X[505] + 6*X[6597] - 10*X[5732] + 3*X[1660] + 4*X[4686] - 9*X[4145] + 11*X[6216] <= 8
model += 10*X[1030] + 7*X[2064] - 4*X[3739] - 12*X[380] - 2*X[4948] + X[6151] + 6*X[3801] - 13*X[4982] <= 4
model += -X[1030] - 2*X[2064] + 6*X[3739] - 10*X[380] + 3*X[4948] + 4*X[6151] - 9*X[3801] + 11*X[4982] <= 8
model += 10*X[1292] + 7*X[7510] - 4*X[552] - 12*X[1796] - 2*X[1615] + X[5886] + 6*X[3101] - 13*X[1167] <= 4
model += -X[1292] - 2*X[7510] + 6*X[552] - 10*X[1796] + 3*X[1615] + 4*X[5886] - 9*X[3101] + 11*X[1167] <= 8
model += 10*X[5742] + 7*X[3063] - 4*X[3305] - 12*X[2650] - 2*X[6655] + X[4664] + 6*X[4989] - 13*X[351] <= 4
model += -X[5742] - 2*X[3063] + 6*X[3305] - 10*X[2650] + 3*X[6655] + 4*X[4664] - 9*X[4989] + 11*X[351] <= 8
model += 10*X[4074] + 7*X[6422] - 4*X[2765] - 12*X[2302] - 2*X[3776] + X[667] + 6*X[6139] - 13*X[3977] <= 4
model += -X[4074] - 2*X[6422] + 6*X[2765] - 10*X[2302] + 3*X[3776] + 4*X[667] - 9*X[6139] + 11*X[3977] <= 8
model += 10*X[904] - 12*X[7399] + 4*X[6772] + 7*X[6674] + 2*X[1333] - 6*X[7776] - X[999] + 13*X[2652] <= 16
model += 10*X[1775] - 12*X[3661] + 4*X[4824] + 7*X[2293] + 2*X[3234] - 6*X[2845] - X[51] + 13*X[3845] <= 16
model += 10*X[5922] + 7*X[5001] - 4*X[6953] - 12*X[1524] - 2*X[877] + X[6747] + 6*X[1231] - 13*X[2016] <= 4
model += -X[5922] - 2*X[5001] + 6*X[6953] - 10*X[1524] + 3*X[877] + 4*X[6747] - 9*X[1231] + 11*X[2016] <= 8
model += 10*X[6463] + 7*X[2514] - 4*X[603] - 12*X[2245] - 2*X[6466] + X[5469] + 6*X[7617] - 13*X[3917] <= 4
model += -X[6463] - 2*X[2514] + 6*X[603] - 10*X[2245] + 3*X[6466] + 4*X[5469] - 9*X[7617] + 11*X[3917] <= 8
model += 10*X[2041] - 12*X[994] + 4*X[835] + 7*X[5554] + 2*X[6910] - 6*X[4850] - X[2494] + 13*X[5976] <= 16
model += 10*X[7210] - 12*X[709] + 4*X[5288] + 7*X[263] + 2*X[4488] - 6*X[6403] - X[1155] + 13*X[7470] <= 16
model += 10*X[1707] - 12*X[887] + 4*X[4938] + 7*X[2216] + 2*X[639] - 6*X[1873] - X[2940] + 13*X[2237] <= 16
model += 10*X[4757] + 7*X[6534] - 4*X[658] - 12*X[2465] - 2*X[1911] + X[2346] + 6*X[3423] - 13*X[5764] <= 4
model += -X[4757] - 2*X[6534] + 6*X[658] - 10*X[2465] + 3*X[1911] + 4*X[2346] - 9*X[3423] + 11*X[5764] <= 8
model += 10*X[5237] + 7*X[1277] - 4*X[4821] - 12*X[2969] - 2*X[687] + X[7465] + 6*X[3433] - 13*X[7495] <= 4
model += -X[5237] - 2*X[1277] + 6*X[4821] - 10*X[2969] + 3*X[687] + 4*X[7465] - 9*X[3433] + 11*X[7495] <= 8
model += 10*X[7691] - 12*X[2817] + 4*X[5595] + 7*X[4005] + 2*X[20] - 6*X[7451] - X[3588] + 13*X[4768] <= 16
model += 10*X[1259] - 12*X[5760] + 4*X[3535] + 7*X[5950] + 2*X[3529] - 6*X[1121] - X[6706] + 13*X[53] <= 16
model += 10*X[3708] + 7*X[4068] - 4*X[3390] - 12*X[1858] - 2*X[6690] + X[2784] + 6*X[1023] - 13*X[537] <= 4
model += -X[3708] - 2*X[4068] + 6*X[3390] - 10*X[1858] + 3*X[6690] + 4*X[2784] - 9*X[1023] + 11*X[537] <= 8
model += 10*X[1458] - 12*X[2528] + 4*X[5448] + 7*X[6023] + 2*X[901] - 6*X[2536] - X[392] + 13*X[5850] <= 16
model += 10*X[5120] + 7*X[1234] - 4*X[1501] - 12*X[1661] - 2*X[4492] + X[5185] + 6*X[2810] - 13*X[545] <= 4
model += -X[5120] - 2*X[1234] + 6*X[1501] - 10*X[1661] + 3*X[4492] + 4*X[5185] - 9*X[2810] + 11*X[545] <= 8
model += 10*X[135] - 12*X[5526] + 4*X[2947] + 7*X[6719] + 2*X[461] - 6*X[3154] - X[7397] + 13*X[1956] <= 16
model += 10*X[4616] + 7*X[6816] - 4*X[6325] - 12*X[869] - 2*X[6439] + X[1564] + 6*X[3605] - 13*X[1541] <= 4
model += -X[4616] - 2*X[6816] + 6*X[6325] - 10*X[869] + 3*X[6439] + 4*X[1564] - 9*X[3605] + 11*X[1541] <= 8
model += 10*X[2642] - 12*X[134] + 4*X[4113] + 7*X[897] + 2*X[3988] - 6*X[5138] - X[2328] + 13*X[6144] <= 16
model += 10*X[5038] - 12*X[5726] + 4*X[7241] + 7*X[7450] + 2*X[393] - 6*X[3971] - X[659] + 13*X[7099] <= 16
model += 10*X[7755] - 12*X[1481] + 4*X[2369] + 7*X[2968] + 2*X[44] - 6*X[5414] - X[5308] + 13*X[2575] <= 16
model += 10*X[3202] - 12*X[411] + 4*X[1217] + 7*X[7350] + 2*X[4503] - 6*X[7346] - X[785] + 13*X[5849] <= 16
model += 10*X[4390] + 7*X[736] - 4*X[2535] - 12*X[5411] - 2*X[3896] + X[5278] + 6*X[2504] - 13*X[4352] <= 4
model += -X[4390] - 2*X[736] + 6*X[2535] - 10*X[5411] + 3*X[3896] + 4*X[5278] - 9*X[2504] + 11*X[4352] <= 8
model += 10*X[2779] + 7*X[1618] - 4*X[4086] - 12*X[6069] - 2*X[3862] + X[218] + 6*X[3540] - 13*X[1621] <= 4
model += -X[2779] - 2*X[1618] + 6*X[4086] - 10*X[6069] + 3*X[3862] + 4*X[218] - 9*X[3540] + 11*X[1621] <= 8
model += 10*X[1987] + 7*X[295] - 4*X[7338] - 12*X[1716] - 2*X[7765] + X[2161] + 6*X[5588] - 13*X[6611] <= 4
model += -X[1987] - 2*X[295] + 6*X[7338] - 10*X[1716] + 3*X[7765] + 4*X[2161] - 9*X[5588] + 11*X[6611] <= 8
model += 10*X[6182] + 7*X[4454] - 4*X[964] - 12*X[2118] - 2*X[3607] + X[4676] + 6*X[5157] - 13*X[4888] <= 4
model += -X[6182] - 2*X[4454] + 6*X[964] - 10*X[2118] + 3*X[3607] + 4*X[4676] - 9*X[5157] + 11*X[4888] <= 8
model += 10*X[5840] + 7*X[4327] - 4*X[5216] - 12*X[6014] - 2*X[297] + X[4474] + 6*X[2873] - 13*X[7417] <= 4
model += -X[5840] - 2*X[4327] + 6*X[5216] - 10*X[6014] + 3*X[297] + 4*X[4474] - 9*X[2873] + 11*X[7417] <= 8
model += 10*X[7096] + 7*X[3506] - 4*X[159] - 12*X[6186] - 2*X[4279] + X[4337] + 6*X[1148] - 13*X[4151] <= 4
model += -X[7096] - 2*X[3506] + 6*X[159] - 10*X[6186] + 3*X[4279] + 4*X[4337] - 9*X[1148] + 11*X[4151] <= 8
model += 10*X[1315] - 12*X[863] + 4*X[4872] + 7*X[162] + 2*X[6473] - 6*X[7484] - X[1184] + 13*X[6991] <= 16
model += 10*X[546] + 7*X[5164] - 4*X[5706] - 12*X[2135] - 2*X[3055] + X[4591] + 6*X[3963] - 13*X[2526] <= 4
model += -X[546] - 2*X[5164] + 6*X[5706] - 10*X[2135] + 3*X[3055] + 4*X[4591] - 9*X[3963] + 11*X[2526] <= 8
model += 10*X[4023] + 7*X[2106] - 4*X[1244] - 12*X[4545] - 2*X[2673] + X[7738] + 6*X[106] - 13*X[3212] <= 4
model += -X[4023] - 2*X[2106] + 6*X[1244] - 10*X[4545] + 3*X[2673] + 4*X[7738] - 9*X[106] + 11*X[3212] <= 8
model += 10*X[2647] + 7*X[4943] - 4*X[6933] - 12*X[6574] - 2*X[5617] + X[529] + 6*X[6626] - 13*X[7705] <= 4
model += -X[2647] - 2*X[4943] + 6*X[6933] - 10*X[6574] + 3*X[5617] + 4*X[529] - 9*X[6626] + 11*X[7705] <= 8
model += 10*X[2022] - 12*X[404] + 4*X[1679] + 7*X[3209] + 2*X[445] - 6*X[6839] - X[4901] + 13*X[2872] <= 16
model += 10*X[850] + 7*X[1942] - 4*X[5062] - 12*X[3915] - 2*X[3054] + X[1251] + 6*X[6045] - 13*X[6768] <= 4
model += -X[850] - 2*X[1942] + 6*X[5062] - 10*X[3915] + 3*X[3054] + 4*X[1251] - 9*X[6045] + 11*X[6768] <= 8
model += 10*X[7531] + 7*X[2544] - 4*X[5984] - 12*X[5064] - 2*X[4698] + X[4142] + 6*X[379] - 13*X[4075] <= 4
model += -X[7531] - 2*X[2544] + 6*X[5984] - 10*X[5064] + 3*X[4698] + 4*X[4142] - 9*X[379] + 11*X[4075] <= 8
model += 10*X[2193] + 7*X[1799] - 4*X[1203] - 12*X[1733] - 2*X[6797] + X[2027] + 6*X[7242] - 13*X[690] <= 4
model += -X[2193] - 2*X[1799] + 6*X[1203] - 10*X[1733] + 3*X[6797] + 4*X[2027] - 9*X[7242] + 11*X[690] <= 8
model += 10*X[1158] - 12*X[4309] + 4*X[4415] + 7*X[434] + 2*X[5087] - 6*X[3722] - X[1082] + 13*X[654] <= 16
model += 10*X[307] + 7*X[6270] - 4*X[1791] - 12*X[3528] - 2*X[5843] + X[7778] + 6*X[3093] - 13*X[2377] <= 4
model += -X[307] - 2*X[6270] + 6*X[1791] - 10*X[3528] + 3*X[5843] + 4*X[7778] - 9*X[3093] + 11*X[2377] <= 8
model += 10*X[4223] + 7*X[582] - 4*X[7387] - 12*X[2731] - 2*X[4586] + X[3167] + 6*X[7550] - 13*X[4570] <= 4
model += -X[4223] - 2*X[582] + 6*X[7387] - 10*X[2731] + 3*X[4586] + 4*X[3167] - 9*X[7550] + 11*X[4570] <= 8
model += 10*X[370] + 7*X[7255] - 4*X[6653] - 12*X[4423] - 2*X[5031] + X[5242] + 6*X[3232] - 13*X[2830] <= 4
model += -X[370] - 2*X[7255] + 6*X[6653] - 10*X[4423] + 3*X[5031] + 4*X[5242] - 9*X[3232] + 11*X[2830] <= 8
model += 10*X[575] + 7*X[6675] - 4*X[6877] - 12*X[1981] - 2*X[7012] + X[5005] + 6*X[4648] - 13*X[1680] <= 4
model += -X[575] - 2*X[6675] + 6*X[6877] - 10*X[1981] + 3*X[7012] + 4*X[5005] - 9*X[4648] + 11*X[1680] <= 8
model += 10*X[7565] - 12*X[2015] + 4*X[3163] + 7*X[5350] + 2*X[18] - 6*X[1606] - X[1388] + 13*X[2347] <= 16
model += 10*X[991] - 12*X[7523] + 4*X[6641] + 7*X[6513] + 2*X[3083] - 6*X[6623] - X[776] + 13*X[6528] <= 16
model += 10*X[815] - 12*X[852] + 4*X[7433] + 7*X[4163] + 2*X[2818] - 6*X[1511] - X[5059] + 13*X[6074] <= 16
model += 10*X[5635] + 7*X[7085] - 4*X[6267] - 12*X[1305] - 2*X[6681] + X[3411] + 6*X[299] - 13*X[6806] <= 4
model += -X[5635] - 2*X[7085] + 6*X[6267] - 10*X[1305] + 3*X[6681] + 4*X[3411] - 9*X[299] + 11*X[6806] <= 8
model += 10*X[3441] + 7*X[521] - 4*X[1672] - 12*X[7178] - 2*X[7301] + X[7735] + 6*X[2441] - 13*X[7788] <= 4
model += -X[3441] - 2*X[521] + 6*X[1672] - 10*X[7178] + 3*X[7301] + 4*X[7735] - 9*X[2441] + 11*X[7788] <= 8
model += 10*X[7313] + 7*X[4347] - 4*X[5631] - 12*X[3838] - 2*X[5779] + X[4355] + 6*X[906] - 13*X[3893] <= 4
model += -X[7313] - 2*X[4347] + 6*X[5631] - 10*X[3838] + 3*X[5779] + 4*X[4355] - 9*X[906] + 11*X[3893] <= 8
model += 10*X[7049] - 12*X[5193] + 4*X[2516] + 7*X[30] + 2*X[6338] - 6*X[5987] - X[2321] + 13*X[3091] <= 16
model += 10*X[1528] - 12*X[3505] + 4*X[3110] + 7*X[3366] + 2*X[886] - 6*X[660] - X[7324] + 13*X[1116] <= 16
model += 10*X[5680] - 12*X[636] + 4*X[1125] + 7*X[466] + 2*X[4209] - 6*X[5334] - X[2729] + 13*X[5736] <= 16
model += 10*X[7491] - 12*X[386] + 4*X[6226] + 7*X[3324] + 2*X[4939] - 6*X[6095] - X[695] + 13*X[7566] <= 16
model += 10*X[204] + 7*X[4009] - 4*X[3268] - 12*X[5980] - 2*X[5604] + X[3676] + 6*X[5236] - 13*X[5358] <= 4
model += -X[204] - 2*X[4009] + 6*X[3268] - 10*X[5980] + 3*X[5604] + 4*X[3676] - 9*X[5236] + 11*X[5358] <= 8
model += 10*X[600] + 7*X[5977] - 4*X[7758] - 12*X[6530] - 2*X[7349] + X[4634] + 6*X[2087] - 13*X[6024] <= 4
model += -X[600] - 2*X[5977] + 6*X[7758] - 10*X[6530] + 3*X[7349] + 4*X[4634] - 9*X[2087] + 11*X[6024] <= 8
model += 10*X[3204] - 12*X[973] + 4*X[4543] + 7*X[920] + 2*X[2247] - 6*X[1249] - X[4445] + 13*X[4791] <= 16
model += 10*X[4641] - 12*X[619] + 4*X[4269] + 7*X[5004] + 2*X[3976] - 6*X[194] - X[3039] + 13*X[1151] <= 16
model += 10*X[1046] - 12*X[36] + 4*X[5135] + 7*X[3954] + 2*X[4534] - 6*X[3310] - X[2357] + 13*X[4721] <= 16
model += 10*X[1101] + 7*X[7430] - 4*X[1122] - 12*X[4998] - 2*X[7283] + X[3960] + 6*X[3078] - 13*X[203] <= 4
model += -X[1101] - 2*X[7430] + 6*X[1122] - 10*X[4998] + 3*X[7283] + 4*X[3960] - 9*X[3078] + 11*X[203] <= 8
model += 10*X[1190] - 12*X[653] + 4*X[3449] + 7*X[2595] + 2*X[701] - 6*X[6573] - X[2171] + 13*X[5389] <= 16
model += 10*X[137] + 7*X[6223] - 4*X[3727] - 12*X[3028] - 2*X[7120] + X[3265] + 6*X[6475] - 13*X[2737] <= 4
model += -X[137] - 2*X[6223] + 6*X[3727] - 10*X[3028] + 3*X[7120] + 4*X[3265] - 9*X[6475] + 11*X[2737] <= 8
model += 10*X[5112] - 12*X[2061] + 4*X[7483] + 7*X[323] + 2*X[915] - 6*X[3812] - X[2196] + 13*X[2351] <= 16
model += 10*X[4253] - 12*X[7303] + 4*X[7538] + 7*X[1856] + 2*X[6559] - 6*X[425] - X[584] + 13*X[6604] <= 16
model += 10*X[3932] + 7*X[2844] - 4*X[2543] - 12*X[1798] - 2*X[7257] + X[5393] + 6*X[143] - 13*X[6483] <= 4
model += -X[3932] - 2*X[2844] + 6*X[2543] - 10*X[1798] + 3*X[7257] + 4*X[5393] - 9*X[143] + 11*X[6483] <= 8
model += 10*X[7721] + 7*X[4848] - 4*X[7305] - 12*X[7628] - 2*X[3374] + X[4878] + 6*X[680] - 13*X[3229] <= 4
model += -X[7721] - 2*X[4848] + 6*X[7305] - 10*X[7628] + 3*X[3374] + 4*X[4878] - 9*X[680] + 11*X[3229] <= 8
model += 10*X[4324] - 12*X[988] + 4*X[291] + 7*X[2976] + 2*X[3887] - 6*X[7061] - X[3306] + 13*X[3849] <= 16
model += 10*X[3559] + 7*X[4101] - 4*X[2899] - 12*X[1619] - 2*X[4599] + X[719] + 6*X[1656] - 13*X[3008] <= 4
model += -X[3559] - 2*X[4101] + 6*X[2899] - 10*X[1619] + 3*X[4599] + 4*X[719] - 9*X[1656] + 11*X[3008] <= 8
model += 10*X[2278] + 7*X[7275] - 4*X[1924] - 12*X[6064] - 2*X[2997] + X[209] + 6*X[2391] - 13*X[7353] <= 4
model += -X[2278] - 2*X[7275] + 6*X[1924] - 10*X[6064] + 3*X[2997] + 4*X[209] - 9*X[2391] + 11*X[7353] <= 8
model += 10*X[224] - 12*X[7060] + 4*X[570] + 7*X[3927] + 2*X[7689] - 6*X[1605] - X[3634] + 13*X[5899] <= 16
model += 10*X[3519] + 7*X[6740] - 4*X[4542] - 12*X[5294] - 2*X[590] + X[5877] + 6*X[3636] - 13*X[2011] <= 4
model += -X[3519] - 2*X[6740] + 6*X[4542] - 10*X[5294] + 3*X[590] + 4*X[5877] - 9*X[3636] + 11*X[2011] <= 8
model += 10*X[2297] + 7*X[5812] - 4*X[1750] - 12*X[1766] - 2*X[874] + X[1622] + 6*X[1817] - 13*X[5677] <= 4
model += -X[2297] - 2*X[5812] + 6*X[1750] - 10*X[1766] + 3*X[874] + 4*X[1622] - 9*X[1817] + 11*X[5677] <= 8
model += 10*X[938] - 12*X[3348] + 4*X[7365] + 7*X[4437] + 2*X[5878] - 6*X[1507] - X[1019] + 13*X[637] <= 16
model += 10*X[4245] + 7*X[1593] - 4*X[1188] - 12*X[338] - 2*X[7426] + X[3946] + 6*X[2179] - 13*X[5427] <= 4
model += -X[4245] - 2*X[1593] + 6*X[1188] - 10*X[338] + 3*X[7426] + 4*X[3946] - 9*X[2179] + 11*X[5427] <= 8
model += 10*X[3038] - 12*X[2628] + 4*X[851] + 7*X[4053] + 2*X[5578] - 6*X[5043] - X[703] + 13*X[3479] <= 16
model += 10*X[4133] + 7*X[6809] - 4*X[1934] - 12*X[3642] - 2*X[5296] + X[4960] + 6*X[661] - 13*X[7489] <= 4
model += -X[4133] - 2*X[6809] + 6*X[1934] - 10*X[3642] + 3*X[5296] + 4*X[4960] - 9*X[661] + 11*X[7489] <= 8
model += 10*X[3216] + 7*X[102] - 4*X[3920] - 12*X[5964] - 2*X[6250] + X[1468] + 6*X[2525] - 13*X[2160] <= 4
model += -X[3216] - 2*X[102] + 6*X[3920] - 10*X[5964] + 3*X[6250] + 4*X[1468] - 9*X[2525] + 11*X[2160] <= 8
model += 10*X[6125] + 7*X[6934] - 4*X[4241] - 12*X[3800] - 2*X[4972] + X[836] + 6*X[5134] - 13*X[5561] <= 4
model += -X[6125] - 2*X[6934] + 6*X[4241] - 10*X[3800] + 3*X[4972] + 4*X[836] - 9*X[5134] + 11*X[5561] <= 8
model += 10*X[622] + 7*X[6436] - 4*X[4964] - 12*X[7773] - 2*X[3697] + X[7690] + 6*X[6337] - 13*X[3129] <= 4
model += -X[622] - 2*X[6436] + 6*X[4964] - 10*X[7773] + 3*X[3697] + 4*X[7690] - 9*X[6337] + 11*X[3129] <= 8
model += 10*X[3361] + 7*X[4490] - 4*X[5363] - 12*X[899] - 2*X[6914] + X[5765] + 6*X[7331] - 13*X[2358] <= 4
model += -X[3361] - 2*X[4490] + 6*X[5363] - 10*X[899] + 3*X[6914] + 4*X[5765] - 9*X[7331] + 11*X[2358] <= 8
model += 10*X[1033] + 7*X[6918] - 4*X[4792] - 12*X[5037] - 2*X[1440] + X[7069] + 6*X[275] - 13*X[5371] <= 4
model += -X[1033] - 2*X[6918] + 6*X[4792] - 10*X[5037] + 3*X[1440] + 4*X[7069] - 9*X[275] + 11*X[5371] <= 8
model += 10*X[1081] + 7*X[3153] - 4*X[5377] - 12*X[7288] - 2*X[5285] + X[6560] + 6*X[216] - 13*X[7712] <= 4
model += -X[1081] - 2*X[3153] + 6*X[5377] - 10*X[7288] + 3*X[5285] + 4*X[6560] - 9*X[216] + 11*X[7712] <= 8
model += 10*X[6248] - 12*X[7083] + 4*X[4149] + 7*X[657] + 2*X[1785] - 6*X[6584] - X[5390] + 13*X[764] <= 16
model += 10*X[3338] - 12*X[3839] + 4*X[1053] + 7*X[5462] + 2*X[2450] - 6*X[824] - X[544] + 13*X[3405] <= 16
model += 10*X[6053] + 7*X[2608] - 4*X[5128] - 12*X[4298] - 2*X[3343] + X[2539] + 6*X[2156] - 13*X[665] <= 4
model += -X[6053] - 2*X[2608] + 6*X[5128] - 10*X[4298] + 3*X[3343] + 4*X[2539] - 9*X[2156] + 11*X[665] <= 8
model += 10*X[6264] + 7*X[7552] - 4*X[1202] - 12*X[3031] - 2*X[7009] + X[5374] + 6*X[167] - 13*X[4940] <= 4
model += -X[6264] - 2*X[7552] + 6*X[1202] - 10*X[3031] + 3*X[7009] + 4*X[5374] - 9*X[167] + 11*X[4940] <= 8
model += 10*X[1329] + 7*X[6520] - 4*X[2107] - 12*X[4077] - 2*X[1612] + X[7339] + 6*X[6313] - 13*X[950] <= 4
model += -X[1329] - 2*X[6520] + 6*X[2107] - 10*X[4077] + 3*X[1612] + 4*X[7339] - 9*X[6313] + 11*X[950] <= 8
model += 10*X[1063] - 12*X[7319] + 4*X[6907] + 7*X[4572] + 2*X[93] - 6*X[6042] - X[2097] + 13*X[7739] <= 16
model += 10*X[3071] - 12*X[1571] + 4*X[113] + 7*X[6104] + 2*X[3472] - 6*X[927] - X[5151] + 13*X[3010] <= 16
model += 10*X[1813] + 7*X[2988] - 4*X[6029] - 12*X[2004] - 2*X[5335] + X[4622] + 6*X[1400] - 13*X[972] <= 4
model += -X[1813] - 2*X[2988] + 6*X[6029] - 10*X[2004] + 3*X[5335] + 4*X[4622] - 9*X[1400] + 11*X[972] <= 8
model += 10*X[4013] + 7*X[4122] - 4*X[4452] - 12*X[684] - 2*X[4833] + X[4450] + 6*X[1955] - 13*X[2530] <= 4
model += -X[4013] - 2*X[4122] + 6*X[4452] - 10*X[684] + 3*X[4833] + 4*X[4450] - 9*X[1955] + 11*X[2530] <= 8
model += 10*X[5369] + 7*X[4554] - 4*X[2519] - 12*X[7702] - 2*X[1141] + X[149] + 6*X[7791] - 13*X[7503] <= 4
model += -X[5369] - 2*X[4554] + 6*X[2519] - 10*X[7702] + 3*X[1141] + 4*X[149] - 9*X[7791] + 11*X[7503] <= 8
model += 10*X[151] - 12*X[5937] + 4*X[3451] + 7*X[2414] + 2*X[2745] - 6*X[139] - X[7656] + 13*X[5355] <= 16
model += 10*X[7322] + 7*X[4814] - 4*X[1372] - 12*X[7466] - 2*X[4992] + X[3952] + 6*X[341] - 13*X[3821] <= 4
model += -X[7322] - 2*X[4814] + 6*X[1372] - 10*X[7466] + 3*X[4992] + 4*X[3952] - 9*X[341] + 11*X[3821] <= 8
model += 10*X[7192] + 7*X[5273] - 4*X[4969] - 12*X[4880] - 2*X[3466] + X[3414] + 6*X[420] - 13*X[4881] <= 4
model += -X[7192] - 2*X[5273] + 6*X[4969] - 10*X[4880] + 3*X[3466] + 4*X[3414] - 9*X[420] + 11*X[4881] <= 8
model += 10*X[325] + 7*X[2900] - 4*X[7163] - 12*X[5960] - 2*X[4997] + X[5934] + 6*X[4006] - 13*X[3123] <= 4
model += -X[325] - 2*X[2900] + 6*X[7163] - 10*X[5960] + 3*X[4997] + 4*X[5934] - 9*X[4006] + 11*X[3123] <= 8
model += 10*X[2316] - 12*X[121] + 4*X[1236] + 7*X[6208] + 2*X[105] - 6*X[1718] - X[3585] + 13*X[2401] <= 16
model += 10*X[7164] + 7*X[5834] - 4*X[431] - 12*X[6398] - 2*X[2580] + X[6723] + 6*X[6103] - 13*X[7699] <= 4
model += -X[7164] - 2*X[5834] + 6*X[431] - 10*X[6398] + 3*X[2580] + 4*X[6723] - 9*X[6103] + 11*X[7699] <= 8
model += 10*X[4893] + 7*X[1883] - 4*X[720] - 12*X[1727] - 2*X[6504] + X[2813] + 6*X[3554] - 13*X[6129] <= 4
model += -X[4893] - 2*X[1883] + 6*X[720] - 10*X[1727] + 3*X[6504] + 4*X[2813] - 9*X[3554] + 11*X[6129] <= 8
model += 10*X[7048] - 12*X[187] + 4*X[7328] + 7*X[1562] + 2*X[6086] - 6*X[7468] - X[4194] + 13*X[435] <= 16
model += 10*X[5872] + 7*X[1591] - 4*X[6564] - 12*X[3115] - 2*X[3286] + X[6098] + 6*X[937] - 13*X[1545] <= 4
model += -X[5872] - 2*X[1591] + 6*X[6564] - 10*X[3115] + 3*X[3286] + 4*X[6098] - 9*X[937] + 11*X[1545] <= 8
model += 10*X[4117] + 7*X[5546] - 4*X[281] - 12*X[1074] - 2*X[3467] + X[3897] + 6*X[1814] - 13*X[5141] <= 4
model += -X[4117] - 2*X[5546] + 6*X[281] - 10*X[1074] + 3*X[3467] + 4*X[3897] - 9*X[1814] + 11*X[5141] <= 8
model += 10*X[3251] + 7*X[334] - 4*X[6033] - 12*X[3889] - 2*X[3346] + X[4465] + 6*X[4677] - 13*X[1016] <= 4
model += -X[3251] - 2*X[334] + 6*X[6033] - 10*X[3889] + 3*X[3346] + 4*X[4465] - 9*X[4677] + 11*X[1016] <= 8
model += 10*X[5967] - 12*X[7018] + 4*X[210] + 7*X[423] + 2*X[1384] - 6*X[2072] - X[4942] + 13*X[2021] <= 16
model += 10*X[5615] - 12*X[1474] + 4*X[3926] + 7*X[5540] + 2*X[6111] - 6*X[5662] - X[259] + 13*X[520] <= 16
model += 10*X[64] - 12*X[2291] + 4*X[5057] + 7*X[2121] + 2*X[5887] - 6*X[2705] - X[3830] + 13*X[6867] <= 16
model += 10*X[6830] + 7*X[2137] - 4*X[1596] - 12*X[4968] - 2*X[4732] + X[893] + 6*X[2319] - 13*X[6943] <= 4
model += -X[6830] - 2*X[2137] + 6*X[1596] - 10*X[4968] + 3*X[4732] + 4*X[893] - 9*X[2319] + 11*X[6943] <= 8
model += 10*X[513] - 12*X[5545] + 4*X[4602] + 7*X[2624] + 2*X[6998] - 6*X[3914] - X[717] + 13*X[3857] <= 16
model += 10*X[5667] - 12*X[1885] + 4*X[1208] + 7*X[7296] + 2*X[246] - 6*X[1594] - X[1111] + 13*X[211] <= 16
model += 10*X[2644] + 7*X[6500] - 4*X[6262] - 12*X[4866] - 2*X[7327] + X[5424] + 6*X[909] - 13*X[1581] <= 4
model += -X[2644] - 2*X[6500] + 6*X[6262] - 10*X[4866] + 3*X[7327] + 4*X[5424] - 9*X[909] + 11*X[1581] <= 8
model += 10*X[5808] + 7*X[1783] - 4*X[5186] - 12*X[2507] - 2*X[630] + X[6883] + 6*X[6344] - 13*X[2492] <= 4
model += -X[5808] - 2*X[1783] + 6*X[5186] - 10*X[2507] + 3*X[630] + 4*X[6883] - 9*X[6344] + 11*X[2492] <= 8
model += 10*X[7317] + 7*X[2929] - 4*X[2677] - 12*X[1401] - 2*X[6373] + X[2355] + 6*X[389] - 13*X[6390] <= 4
model += -X[7317] - 2*X[2929] + 6*X[2677] - 10*X[1401] + 3*X[6373] + 4*X[2355] - 9*X[389] + 11*X[6390] <= 8
model += 10*X[2512] + 7*X[2903] - 4*X[6049] - 12*X[743] - 2*X[2409] + X[2523] + 6*X[2163] - 13*X[6810] <= 4
model += -X[2512] - 2*X[2903] + 6*X[6049] - 10*X[743] + 3*X[2409] + 4*X[2523] - 9*X[2163] + 11*X[6810] <= 8
model += 10*X[347] - 12*X[6974] + 4*X[7352] + 7*X[6795] + 2*X[127] - 6*X[1993] - X[6290] + 13*X[6176] <= 16
model += 10*X[5452] + 7*X[7335] - 4*X[4261] - 12*X[2847] - 2*X[7584] + X[7143] + 6*X[898] - 13*X[1574] <= 4
model += -X[5452] - 2*X[7335] + 6*X[4261] - 10*X[2847] + 3*X[7584] + 4*X[7143] - 9*X[898] + 11*X[1574] <= 8
model += 10*X[230] + 7*X[3080] - 4*X[6915] - 12*X[3363] - 2*X[6764] + X[4861] + 6*X[5109] - 13*X[7364] <= 4
model += -X[230] - 2*X[3080] + 6*X[6915] - 10*X[3363] + 3*X[6764] + 4*X[4861] - 9*X[5109] + 11*X[7364] <= 8
model += 10*X[3116] - 12*X[228] + 4*X[5716] + 7*X[4509] + 2*X[922] - 6*X[2546] - X[6840] + 13*X[7725] <= 16
model += 10*X[7695] + 7*X[6005] - 4*X[6471] - 12*X[3328] - 2*X[316] + X[5451] + 6*X[1769] - 13*X[7513] <= 4
model += -X[7695] - 2*X[6005] + 6*X[6471] - 10*X[3328] + 3*X[316] + 4*X[5451] - 9*X[1769] + 11*X[7513] <= 8
model += 10*X[5835] + 7*X[6477] - 4*X[2170] - 12*X[775] - 2*X[2590] + X[4847] + 6*X[1728] - 13*X[5287] <= 4
model += -X[5835] - 2*X[6477] + 6*X[2170] - 10*X[775] + 3*X[2590] + 4*X[4847] - 9*X[1728] + 11*X[5287] <= 8
model += 10*X[1253] + 7*X[2127] - 4*X[200] - 12*X[4984] - 2*X[1659] + X[1128] + 6*X[4935] - 13*X[5307] <= 4
model += -X[1253] - 2*X[2127] + 6*X[200] - 10*X[4984] + 3*X[1659] + 4*X[1128] - 9*X[4935] + 11*X[5307] <= 8
model += 10*X[556] - 12*X[1517] + 4*X[1759] + 7*X[278] + 2*X[2395] - 6*X[3183] - X[3522] + 13*X[4538] <= 16
model += 10*X[2169] - 12*X[465] + 4*X[6356] + 7*X[4471] + 2*X[4565] - 6*X[3455] - X[195] + 13*X[3270] <= 16
model += 10*X[1230] + 7*X[1867] - 4*X[7272] - 12*X[6067] - 2*X[7413] + X[4227] + 6*X[6766] - 13*X[805] <= 4
model += -X[1230] - 2*X[1867] + 6*X[7272] - 10*X[6067] + 3*X[7413] + 4*X[4227] - 9*X[6766] + 11*X[805] <= 8
model += 10*X[952] + 7*X[6343] - 4*X[6929] - 12*X[7165] - 2*X[3744] + X[7114] + 6*X[1079] - 13*X[5223] <= 4
model += -X[952] - 2*X[6343] + 6*X[6929] - 10*X[7165] + 3*X[3744] + 4*X[7114] - 9*X[1079] + 11*X[5223] <= 8
model += 10*X[357] - 12*X[7308] + 4*X[6798] + 7*X[455] + 2*X[7150] - 6*X[6416] - X[7420] + 13*X[5078] <= 16
model += 10*X[530] + 7*X[7568] - 4*X[2320] - 12*X[4895] - 2*X[3657] + X[5992] + 6*X[4932] - 13*X[1794] <= 4
model += -X[530] - 2*X[7568] + 6*X[2320] - 10*X[4895] + 3*X[3657] + 4*X[5992] - 9*X[4932] + 11*X[1794] <= 8
model += 10*X[3848] - 12*X[5447] + 4*X[4106] + 7*X[793] + 2*X[5052] - 6*X[517] - X[1211] + 13*X[6347] <= 16
model += 10*X[3957] + 7*X[549] - 4*X[3530] - 12*X[6190] - 2*X[3263] + X[3910] + 6*X[7497] - 13*X[7472] <= 4
model += -X[3957] - 2*X[549] + 6*X[3530] - 10*X[6190] + 3*X[3263] + 4*X[3910] - 9*X[7497] + 11*X[7472] <= 8
model += 10*X[2361] - 12*X[202] + 4*X[3869] + 7*X[219] + 2*X[4661] - 6*X[4177] - X[7097] + 13*X[6374] <= 16
model += 10*X[6406] + 7*X[1020] - 4*X[3577] - 12*X[6429] - 2*X[448] + X[6260] + 6*X[6235] - 13*X[1423] <= 4
model += -X[6406] - 2*X[1020] + 6*X[3577] - 10*X[6429] + 3*X[448] + 4*X[6260] - 9*X[6235] + 11*X[1423] <= 8
model += 10*X[7688] - 12*X[492] + 4*X[5675] + 7*X[960] + 2*X[4703] - 6*X[6617] - X[4739] + 13*X[7124] <= 16
model += 10*X[3066] - 12*X[3397] + 4*X[5198] + 7*X[387] + 2*X[5331] - 6*X[335] - X[7740] + 13*X[2267] <= 16
model += 10*X[6697] - 12*X[781] + 4*X[443] + 7*X[6738] + 2*X[5875] - 6*X[6225] - X[6038] + 13*X[5180] <= 16
model += 10*X[5711] - 12*X[4666] + 4*X[7019] + 7*X[3741] + 2*X[787] - 6*X[7106] - X[865] + 13*X[5651] <= 16
model += 10*X[534] - 12*X[5267] + 4*X[1949] + 7*X[1965] + 2*X[550] - 6*X[6869] - X[3025] + 13*X[7356] <= 16
model += 10*X[6354] + 7*X[4497] - 4*X[1687] - 12*X[1602] - 2*X[5297] + X[5435] + 6*X[6563] - 13*X[956] <= 4
model += -X[6354] - 2*X[4497] + 6*X[1687] - 10*X[1602] + 3*X[5297] + 4*X[5435] - 9*X[6563] + 11*X[956] <= 8
model += 10*X[784] - 12*X[3555] + 4*X[6963] + 7*X[2875] + 2*X[6101] - 6*X[6858] - X[1551] + 13*X[588] <= 16
model += 10*X[7271] - 12*X[3151] + 4*X[7052] + 7*X[2405] + 2*X[6217] - 6*X[41] - X[2490] + 13*X[5221] <= 16
model += 10*X[3150] + 7*X[5745] - 4*X[4818] - 12*X[3184] - 2*X[6711] + X[3142] + 6*X[3892] - 13*X[244] <= 4
model += -X[3150] - 2*X[5745] + 6*X[4818] - 10*X[3184] + 3*X[6711] + 4*X[3142] - 9*X[3892] + 11*X[244] <= 8
model += 10*X[2689] - 12*X[3438] + 4*X[243] + 7*X[5106] + 2*X[5731] - 6*X[6499] - X[735] + 13*X[5279] <= 16
model += 10*X[2009] + 7*X[4840] - 4*X[2629] - 12*X[504] - 2*X[4691] + X[6089] + 6*X[1925] - 13*X[4071] <= 4
model += -X[2009] - 2*X[4840] + 6*X[2629] - 10*X[504] + 3*X[4691] + 4*X[6089] - 9*X[1925] + 11*X[4071] <= 8
model += 10*X[7170] + 7*X[7363] - 4*X[6643] - 12*X[2648] - 2*X[1201] + X[981] + 6*X[3621] - 13*X[6555] <= 4
model += -X[7170] - 2*X[7363] + 6*X[6643] - 10*X[2648] + 3*X[1201] + 4*X[981] - 9*X[3621] + 11*X[6555] <= 8
model += 10*X[3686] + 7*X[4000] - 4*X[6172] - 12*X[2381] - 2*X[1426] + X[821] + 6*X[5073] - 13*X[1472] <= 4
model += -X[3686] - 2*X[4000] + 6*X[6172] - 10*X[2381] + 3*X[1426] + 4*X[821] - 9*X[5073] + 11*X[1472] <= 8
model += 10*X[3677] + 7*X[4275] - 4*X[298] - 12*X[1588] - 2*X[2482] + X[5721] + 6*X[7223] - 13*X[2372] <= 4
model += -X[3677] - 2*X[4275] + 6*X[298] - 10*X[1588] + 3*X[2482] + 4*X[5721] - 9*X[7223] + 11*X[2372] <= 8
model += 10*X[6453] + 7*X[7381] - 4*X[3174] - 12*X[1124] - 2*X[2634] + X[2294] + 6*X[3260] - 13*X[116] <= 4
model += -X[6453] - 2*X[7381] + 6*X[3174] - 10*X[1124] + 3*X[2634] + 4*X[2294] - 9*X[3260] + 11*X[116] <= 8
model += 10*X[1690] - 12*X[5683] + 4*X[697] + 7*X[879] + 2*X[3715] - 6*X[1242] - X[5006] + 13*X[6557] <= 16
model += 10*X[3834] + 7*X[3751] - 4*X[4181] - 12*X[5490] - 2*X[3811] + X[2713] + 6*X[6392] - 13*X[786] <= 4
model += -X[3834] - 2*X[3751] + 6*X[4181] - 10*X[5490] + 3*X[3811] + 4*X[2713] - 9*X[6392] + 11*X[786] <= 8
model += 10*X[5988] + 7*X[1919] - 4*X[5560] - 12*X[5739] - 2*X[440] + X[3836] + 6*X[4886] - 13*X[3353] <= 4
model += -X[5988] - 2*X[1919] + 6*X[5560] - 10*X[5739] + 3*X[440] + 4*X[3836] - 9*X[4886] + 11*X[3353] <= 8
model += 10*X[6028] + 7*X[1078] - 4*X[1478] - 12*X[4343] - 2*X[3617] + X[2746] + 6*X[832] - 13*X[3181] <= 4
model += -X[6028] - 2*X[1078] + 6*X[1478] - 10*X[4343] + 3*X[3617] + 4*X[2746] - 9*X[832] + 11*X[3181] <= 8
model += 10*X[1706] - 12*X[3279] + 4*X[3816] + 7*X[1010] + 2*X[225] - 6*X[7719] - X[496] + 13*X[5504] <= 16
model += 10*X[486] + 7*X[5272] - 4*X[1339] - 12*X[4174] - 2*X[2857] + X[1421] + 6*X[6945] - 13*X[1477] <= 4
model += -X[486] - 2*X[5272] + 6*X[1339] - 10*X[4174] + 3*X[2857] + 4*X[1421] - 9*X[6945] + 11*X[1477] <= 8
model += 10*X[398] - 12*X[6691] + 4*X[3534] + 7*X[3527] + 2*X[5388] - 6*X[369] - X[2982] + 13*X[4647] <= 16
model += 10*X[98] - 12*X[7536] + 4*X[4977] + 7*X[6829] + 2*X[2925] - 6*X[5304] - X[1321] + 13*X[1103] <= 16
model += 10*X[7462] + 7*X[2508] - 4*X[3994] - 12*X[3407] - 2*X[4478] + X[6803] + 6*X[722] - 13*X[5532] <= 4
model += -X[7462] - 2*X[2508] + 6*X[3994] - 10*X[3407] + 3*X[4478] + 4*X[6803] - 9*X[722] + 11*X[5532] <= 8
model += 10*X[7266] - 12*X[2645] + 4*X[156] + 7*X[1476] + 2*X[5291] - 6*X[6266] - X[3056] + 13*X[422] <= 16
model += 10*X[2768] + 7*X[5707] - 4*X[585] - 12*X[6705] - 2*X[3162] + X[4527] + 6*X[4605] - 13*X[3690] <= 4
model += -X[2768] - 2*X[5707] + 6*X[585] - 10*X[6705] + 3*X[3162] + 4*X[4527] - 9*X[4605] + 11*X[3690] <= 8
model += 10*X[2603] + 7*X[4693] - 4*X[733] - 12*X[3939] - 2*X[6059] + X[4072] + 6*X[3257] - 13*X[6916] <= 4
model += -X[2603] - 2*X[4693] + 6*X[733] - 10*X[3939] + 3*X[6059] + 4*X[4072] - 9*X[3257] + 11*X[6916] <= 8
model += 10*X[7155] + 7*X[5402] - 4*X[4522] - 12*X[6273] - 2*X[5110] + X[6474] + 6*X[1989] - 13*X[309] <= 4
model += -X[7155] - 2*X[5402] + 6*X[4522] - 10*X[6273] + 3*X[5110] + 4*X[6474] - 9*X[1989] + 11*X[309] <= 8
model += 10*X[1351] + 7*X[4711] - 4*X[147] - 12*X[7027] - 2*X[5724] + X[1575] + 6*X[3242] - 13*X[3680] <= 4
model += -X[1351] - 2*X[4711] + 6*X[147] - 10*X[7027] + 3*X[5724] + 4*X[1575] - 9*X[3242] + 11*X[3680] <= 8
model += 10*X[675] - 12*X[1944] + 4*X[7004] + 7*X[713] + 2*X[1412] - 6*X[2643] - X[5679] + 13*X[2881] <= 16
model += 10*X[2972] + 7*X[1506] - 4*X[403] - 12*X[2951] - 2*X[4048] + X[4718] + 6*X[7416] - 13*X[2096] <= 4
model += -X[2972] - 2*X[1506] + 6*X[403] - 10*X[2951] + 3*X[4048] + 4*X[4718] - 9*X[7416] + 11*X[2096] <= 8
model += 10*X[5056] + 7*X[566] - 4*X[7225] - 12*X[3928] - 2*X[1681] + X[1875] + 6*X[1165] - 13*X[1094] <= 4
model += -X[5056] - 2*X[566] + 6*X[7225] - 10*X[3928] + 3*X[1681] + 4*X[1875] - 9*X[1165] + 11*X[1094] <= 8
model += 10*X[6553] + 7*X[3683] - 4*X[880] - 12*X[7713] - 2*X[1601] + X[3547] + 6*X[5226] - 13*X[5601] <= 4
model += -X[6553] - 2*X[3683] + 6*X[880] - 10*X[7713] + 3*X[1601] + 4*X[3547] - 9*X[5226] + 11*X[5601] <= 8
model += 10*X[7407] - 12*X[1319] + 4*X[652] + 7*X[5013] + 2*X[617] - 6*X[2551] - X[7435] + 13*X[4183] <= 16
model += 10*X[3244] + 7*X[3861] - 4*X[5170] - 12*X[7422] - 2*X[6913] + X[405] + 6*X[6646] - 13*X[2380] <= 4
model += -X[3244] - 2*X[3861] + 6*X[5170] - 10*X[7422] + 3*X[6913] + 4*X[405] - 9*X[6646] + 11*X[2380] <= 8
model += 10*X[6487] + 7*X[2744] - 4*X[7659] - 12*X[3352] - 2*X[5213] + X[511] + 6*X[2023] - 13*X[6771] <= 4
model += -X[6487] - 2*X[2744] + 6*X[7659] - 10*X[3352] + 3*X[5213] + 4*X[511] - 9*X[2023] + 11*X[6771] <= 8
model += 10*X[6537] + 7*X[3576] - 4*X[7098] - 12*X[4360] - 2*X[6382] + X[3075] + 6*X[267] - 13*X[5868] <= 4
model += -X[6537] - 2*X[3576] + 6*X[7098] - 10*X[4360] + 3*X[6382] + 4*X[3075] - 9*X[267] + 11*X[5868] <= 8
model += 10*X[1463] + 7*X[4955] - 4*X[932] - 12*X[7307] - 2*X[4125] + X[3068] + 6*X[2802] - 13*X[5791] <= 4
model += -X[1463] - 2*X[4955] + 6*X[932] - 10*X[7307] + 3*X[4125] + 4*X[3068] - 9*X[2802] + 11*X[5791] <= 8
model += 10*X[5042] - 12*X[3133] + 4*X[7527] + 7*X[7238] + 2*X[4379] - 6*X[286] - X[383] + 13*X[1570] <= 16
model += 10*X[5009] - 12*X[72] + 4*X[4579] + 7*X[1731] + 2*X[2036] - 6*X[7188] - X[2062] + 13*X[1595] <= 16
model += 10*X[2392] - 12*X[395] + 4*X[559] + 7*X[1787] + 2*X[7092] - 6*X[3625] - X[5340] + 13*X[7167] <= 16
model += 10*X[5264] - 12*X[839] + 4*X[7253] + 7*X[5993] + 2*X[3630] - 6*X[1229] - X[7730] + 13*X[353] <= 16
model += 10*X[2168] + 7*X[3578] - 4*X[3053] - 12*X[1888] - 2*X[7479] + X[2571] + 6*X[1198] - 13*X[514] <= 4
model += -X[2168] - 2*X[3578] + 6*X[3053] - 10*X[1888] + 3*X[7479] + 4*X[2571] - 9*X[1198] + 11*X[514] <= 8
model += 10*X[941] - 12*X[6523] + 4*X[1806] + 7*X[6955] + 2*X[1842] - 6*X[1446] - X[2491] + 13*X[801] <= 16
model += 10*X[7158] - 12*X[7623] + 4*X[5890] + 7*X[3518] + 2*X[980] - 6*X[131] - X[4608] + 13*X[1515] <= 16
model += 10*X[2601] + 7*X[4946] - 4*X[913] - 12*X[4780] - 2*X[7507] + X[2714] + 6*X[2676] - 13*X[3332] <= 4
model += -X[2601] - 2*X[4946] + 6*X[913] - 10*X[4780] + 3*X[7507] + 4*X[2714] - 9*X[2676] + 11*X[3332] <= 8
model += 10*X[5654] + 7*X[2800] - 4*X[4204] - 12*X[7658] - 2*X[489] + X[1954] + 6*X[4549] - 13*X[6289] <= 4
model += -X[5654] - 2*X[2800] + 6*X[4204] - 10*X[7658] + 3*X[489] + 4*X[1954] - 9*X[4549] + 11*X[6289] <= 8
model += 10*X[6802] - 12*X[2451] + 4*X[6510] + 7*X[11] + 2*X[7252] - 6*X[1639] - X[7762] + 13*X[5909] <= 16
model += 10*X[7100] + 7*X[2092] - 4*X[2541] - 12*X[120] - 2*X[1972] + X[6828] + 6*X[6040] - 13*X[5537] <= 4
model += -X[7100] - 2*X[2092] + 6*X[2541] - 10*X[120] + 3*X[1972] + 4*X[6828] - 9*X[6040] + 11*X[5537] <= 8
model += 10*X[4615] + 7*X[3247] - 4*X[4975] - 12*X[4421] - 2*X[1897] + X[4979] + 6*X[345] - 13*X[5058] <= 4
model += -X[4615] - 2*X[3247] + 6*X[4975] - 10*X[4421] + 3*X[1897] + 4*X[4979] - 9*X[345] + 11*X[5058] <= 8
model += 10*X[4212] + 7*X[4049] - 4*X[4980] - 12*X[4617] - 2*X[2791] + X[1905] + 6*X[222] - 13*X[1499] <= 4
model += -X[4212] - 2*X[4049] + 6*X[4980] - 10*X[4617] + 3*X[2791] + 4*X[1905] - 9*X[222] + 11*X[1499] <= 8
model += 10*X[606] + 7*X[5299] - 4*X[3442] - 12*X[5329] - 2*X[1051] + X[6168] + 6*X[3355] - 13*X[7768] <= 4
model += -X[606] - 2*X[5299] + 6*X[3442] - 10*X[5329] + 3*X[1051] + 4*X[6168] - 9*X[3355] + 11*X[7768] <= 8
model += 10*X[3542] - 12*X[4769] + 4*X[2814] + 7*X[7675] + 2*X[7334] - 6*X[2692] - X[982] + 13*X[542] <= 16
model += 10*X[858] + 7*X[6037] - 4*X[4734] - 12*X[5077] - 2*X[2529] + X[4826] + 6*X[6009] - 13*X[1708] <= 4
model += -X[858] - 2*X[6037] + 6*X[4734] - 10*X[5077] + 3*X[2529] + 4*X[4826] - 9*X[6009] + 11*X[1708] <= 8
model += 10*X[2977] - 12*X[6276] + 4*X[3992] + 7*X[169] + 2*X[3102] - 6*X[122] - X[2658] + 13*X[2770] <= 16
model += 10*X[4761] + 7*X[3491] - 4*X[7772] - 12*X[3883] - 2*X[2095] + X[4432] + 6*X[442] - 13*X[2510] <= 4
model += -X[4761] - 2*X[3491] + 6*X[7772] - 10*X[3883] + 3*X[2095] + 4*X[4432] - 9*X[442] + 11*X[2510] <= 8
model += 10*X[1486] + 7*X[1536] - 4*X[5104] - 12*X[6752] - 2*X[5258] + X[911] + 6*X[5870] - 13*X[5904] <= 4
model += -X[1486] - 2*X[1536] + 6*X[5104] - 10*X[6752] + 3*X[5258] + 4*X[911] - 9*X[5870] + 11*X[5904] <= 8
model += 10*X[3211] + 7*X[6815] - 4*X[6332] - 12*X[4868] - 2*X[1186] + X[6687] + 6*X[3582] - 13*X[444] <= 4
model += -X[3211] - 2*X[6815] + 6*X[6332] - 10*X[4868] + 3*X[1186] + 4*X[6687] - 9*X[3582] + 11*X[444] <= 8
model += 10*X[5530] - 12*X[287] + 4*X[6769] + 7*X[1640] + 2*X[4952] - 6*X[375] - X[3748] + 13*X[6174] <= 16
model += 10*X[6855] - 12*X[2189] + 4*X[6107] + 7*X[682] + 2*X[1346] - 6*X[7286] - X[4521] + 13*X[326] <= 16
model += 10*X[5565] - 12*X[519] + 4*X[5166] + 7*X[2020] + 2*X[452] - 6*X[2959] - X[6251] + 13*X[2743] <= 16
model += 10*X[6245] - 12*X[6239] + 4*X[883] + 7*X[3309] + 2*X[1510] - 6*X[1617] - X[1907] + 13*X[940] <= 16
model += 10*X[6061] - 12*X[27] + 4*X[1316] + 7*X[2662] + 2*X[7587] - 6*X[7663] - X[6875] + 13*X[7256] <= 16
model += 10*X[7638] - 12*X[3655] + 4*X[2740] + 7*X[4096] + 2*X[2981] - 6*X[305] - X[235] + 13*X[5394] <= 16
model += 10*X[5632] - 12*X[7596] + 4*X[5196] + 7*X[686] + 2*X[4228] - 6*X[5704] - X[288] + 13*X[3622] <= 16
model += 10*X[6404] + 7*X[6010] - 4*X[117] - 12*X[7185] - 2*X[7325] + X[6072] + 6*X[6193] - 13*X[4195] <= 4
model += -X[6404] - 2*X[6010] + 6*X[117] - 10*X[7185] + 3*X[7325] + 4*X[6072] - 9*X[6193] + 11*X[4195] <= 8
model += 10*X[7023] - 12*X[4765] + 4*X[5828] + 7*X[302] + 2*X[2152] - 6*X[1923] - X[1725] + 13*X[809] <= 16
model += 10*X[6678] + 7*X[4583] - 4*X[130] - 12*X[3718] - 2*X[1223] + X[4883] + 6*X[4827] - 13*X[4552] <= 4
model += -X[6678] - 2*X[4583] + 6*X[130] - 10*X[3718] + 3*X[1223] + 4*X[4883] - 9*X[4827] + 11*X[4552] <= 8
model += 10*X[4046] + 7*X[800] - 4*X[5482] - 12*X[1061] - 2*X[3496] + X[2495] + 6*X[4822] - 13*X[7264] <= 4
model += -X[4046] - 2*X[800] + 6*X[5482] - 10*X[1061] + 3*X[3496] + 4*X[2495] - 9*X[4822] + 11*X[7264] <= 8
model += 10*X[5420] - 12*X[3450] + 4*X[7267] + 7*X[2228] + 2*X[402] - 6*X[4523] - X[3908] + 13*X[142] <= 16
model += 10*X[1889] - 12*X[2192] + 4*X[308] + 7*X[5230] + 2*X[5672] - 6*X[3246] - X[753] + 13*X[6619] <= 16
model += 10*X[6577] + 7*X[3948] - 4*X[4464] - 12*X[6157] - 2*X[352] + X[4778] + 6*X[6433] - 13*X[6448] <= 4
model += -X[6577] - 2*X[3948] + 6*X[4464] - 10*X[6157] + 3*X[352] + 4*X[4778] - 9*X[6433] + 11*X[6448] <= 8
model += 10*X[1738] + 7*X[3144] - 4*X[6726] - 12*X[4238] - 2*X[5395] + X[4800] + 6*X[528] - 13*X[5821] <= 4
model += -X[1738] - 2*X[3144] + 6*X[6726] - 10*X[4238] + 3*X[5395] + 4*X[4800] - 9*X[528] + 11*X[5821] <= 8
model += 10*X[6824] - 12*X[846] + 4*X[921] + 7*X[3565] + 2*X[6340] - 6*X[7177] - X[4876] + 13*X[5774] <= 16
model += 10*X[426] - 12*X[6304] + 4*X[1309] + 7*X[1084] + 2*X[7180] - 6*X[349] - X[3462] + 13*X[3619] <= 16
model += 10*X[6710] + 7*X[2088] - 4*X[5065] - 12*X[477] - 2*X[4412] + X[2754] + 6*X[1994] - 13*X[6486] <= 4
model += -X[6710] - 2*X[2088] + 6*X[5065] - 10*X[477] + 3*X[4412] + 4*X[2754] - 9*X[1994] + 11*X[6486] <= 8
model += 10*X[4854] + 7*X[844] - 4*X[7343] - 12*X[6257] - 2*X[7570] + X[4001] + 6*X[1755] - 13*X[3227] <= 4
model += -X[4854] - 2*X[844] + 6*X[7343] - 10*X[6257] + 3*X[7570] + 4*X[4001] - 9*X[1755] + 11*X[3227] <= 8
model += 10*X[1169] + 7*X[2117] - 4*X[7785] - 12*X[2066] - 2*X[725] + X[6328] + 6*X[7144] - 13*X[1710] <= 4
model += -X[1169] - 2*X[2117] + 6*X[7785] - 10*X[2066] + 3*X[725] + 4*X[6328] - 9*X[7144] + 11*X[1710] <= 8
model += 10*X[7310] + 7*X[4109] - 4*X[3421] - 12*X[4536] - 2*X[5510] + X[7590] + 6*X[4475] - 13*X[607] <= 4
model += -X[7310] - 2*X[4109] + 6*X[3421] - 10*X[4536] + 3*X[5510] + 4*X[7590] - 9*X[4475] + 11*X[607] <= 8
model += 10*X[6827] + 7*X[7528] - 4*X[3820] - 12*X[2277] - 2*X[1254] + X[5466] + 6*X[471] - 13*X[6462] <= 4
model += -X[6827] - 2*X[7528] + 6*X[3820] - 10*X[2277] + 3*X[1254] + 4*X[5466] - 9*X[471] + 11*X[6462] <= 8
model += 10*X[4587] + 7*X[774] - 4*X[5254] - 12*X[3923] - 2*X[1140] + X[4537] + 6*X[3772] - 13*X[7269] <= 4
model += -X[4587] - 2*X[774] + 6*X[5254] - 10*X[3923] + 3*X[1140] + 4*X[4537] - 9*X[3772] + 11*X[7269] <= 8
model += 10*X[5274] - 12*X[396] + 4*X[3170] + 7*X[734] + 2*X[5825] - 6*X[7405] - X[5860] + 13*X[4731] <= 16
model += 10*X[3261] + 7*X[3808] - 4*X[975] - 12*X[4644] - 2*X[6844] + X[7142] + 6*X[5066] - 13*X[1625] <= 4
model += -X[3261] - 2*X[3808] + 6*X[975] - 10*X[4644] + 3*X[6844] + 4*X[7142] - 9*X[5066] + 11*X[1625] <= 8
model += 10*X[5353] + 7*X[4397] - 4*X[632] - 12*X[2030] - 2*X[6280] + X[1850] + 6*X[1609] - 13*X[7563] <= 4
model += -X[5353] - 2*X[4397] + 6*X[632] - 10*X[2030] + 3*X[6280] + 4*X[1850] - 9*X[1609] + 11*X[7563] <= 8
model += 10*X[1558] + 7*X[7424] - 4*X[5657] - 12*X[6200] - 2*X[3831] + X[110] + 6*X[1220] - 13*X[6582] <= 4
model += -X[1558] - 2*X[7424] + 6*X[5657] - 10*X[6200] + 3*X[3831] + 4*X[110] - 9*X[1220] + 11*X[6582] <= 8
model += 10*X[3501] + 7*X[1930] - 4*X[331] - 12*X[4224] - 2*X[2861] + X[6498] + 6*X[2286] - 13*X[4632] <= 4
model += -X[3501] - 2*X[1930] + 6*X[331] - 10*X[4224] + 3*X[2861] + 4*X[6498] - 9*X[2286] + 11*X[4632] <= 8
model += 10*X[6820] + 7*X[1866] - 4*X[816] - 12*X[2034] - 2*X[4569] + X[1318] + 6*X[1438] - 13*X[3077] <= 4
model += -X[6820] - 2*X[1866] + 6*X[816] - 10*X[2034] + 3*X[4569] + 4*X[1318] - 9*X[1438] + 11*X[3077] <= 8
model += 10*X[1713] + 7*X[7013] - 4*X[5174] - 12*X[1431] - 2*X[6545] + X[1959] + 6*X[623] - 13*X[4393] <= 4
model += -X[1713] - 2*X[7013] + 6*X[5174] - 10*X[1431] + 3*X[6545] + 4*X[1959] - 9*X[623] + 11*X[4393] <= 8
model += 10*X[995] - 12*X[4774] + 4*X[177] + 7*X[7685] + 2*X[1301] - 6*X[5425] - X[6180] + 13*X[7595] <= 16
model += 10*X[6714] - 12*X[3993] + 4*X[2793] + 7*X[5819] + 2*X[43] - 6*X[4457] - X[2043] + 13*X[3464] <= 16
model += 10*X[6413] - 12*X[2797] + 4*X[5513] + 7*X[929] + 2*X[153] - 6*X[6259] - X[3248] + 13*X[5192] <= 16
model += 10*X[3399] + 7*X[3082] - 4*X[2938] - 12*X[2407] - 2*X[611] + X[1498] + 6*X[3758] - 13*X[3088] <= 4
model += -X[3399] - 2*X[3082] + 6*X[2938] - 10*X[2407] + 3*X[611] + 4*X[1498] - 9*X[3758] + 11*X[3088] <= 8
model += 10*X[5126] - 12*X[456] + 4*X[5054] + 7*X[3562] + 2*X[3396] - 6*X[892] - X[6213] + 13*X[5344] <= 16
model += 10*X[3460] - 12*X[2836] + 4*X[7520] + 7*X[5386] + 2*X[7102] - 6*X[1227] - X[97] + 13*X[3081] <= 16
model += 10*X[864] + 7*X[4606] - 4*X[2930] - 12*X[1299] - 2*X[7025] + X[3609] + 6*X[3267] - 13*X[6296] <= 4
model += -X[864] - 2*X[4606] + 6*X[2930] - 10*X[1299] + 3*X[7025] + 4*X[3609] - 9*X[3267] + 11*X[6296] <= 8
model += 10*X[5807] - 12*X[849] + 4*X[3059] + 7*X[565] + 2*X[6376] - 6*X[3856] - X[7441] + 13*X[6616] <= 16
model += 10*X[2144] + 7*X[3876] - 4*X[1032] - 12*X[3303] - 2*X[3327] + X[6091] + 6*X[3784] - 13*X[436] <= 4
model += -X[2144] - 2*X[3876] + 6*X[1032] - 10*X[3303] + 3*X[3327] + 4*X[6091] - 9*X[3784] + 11*X[436] <= 8
model += 10*X[3560] - 12*X[2248] + 4*X[4472] + 7*X[163] + 2*X[248] - 6*X[3538] - X[4903] + 13*X[5564] <= 16
model += 10*X[900] - 12*X[1434] + 4*X[6692] + 7*X[1761] + 2*X[6605] - 6*X[4603] - X[828] + 13*X[3764] <= 16
model += 10*X[746] + 7*X[6188] - 4*X[4723] - 12*X[5084] - 2*X[2394] + X[1308] + 6*X[1274] - 13*X[3127] <= 4
model += -X[746] - 2*X[6188] + 6*X[4723] - 10*X[5084] + 3*X[2394] + 4*X[1308] - 9*X[1274] + 11*X[3127] <= 8
model += 10*X[919] - 12*X[2886] + 4*X[5252] + 7*X[5932] + 2*X[609] - 6*X[4745] - X[1162] + 13*X[5542] <= 16
model += 10*X[6230] - 12*X[65] + 4*X[4220] + 7*X[2636] + 2*X[3649] - 6*X[5590] - X[1083] + 13*X[7030] <= 16
model += 10*X[6497] - 12*X[4128] + 4*X[2670] + 7*X[6666] + 2*X[6027] - 6*X[633] - X[752] + 13*X[5938] <= 16
model += 10*X[4962] + 7*X[1484] - 4*X[6055] - 12*X[4755] - 2*X[7438] + X[1142] + 6*X[928] - 13*X[2054] <= 4
model += -X[4962] - 2*X[1484] + 6*X[6055] - 10*X[4755] + 3*X[7438] + 4*X[1142] - 9*X[928] + 11*X[2054] <= 8
model += 10*X[3854] - 12*X[1979] + 4*X[2772] + 7*X[1443] + 2*X[3107] - 6*X[189] - X[996] + 13*X[2702] <= 16
model += 10*X[3389] + 7*X[6940] - 4*X[2292] - 12*X[3933] - 2*X[5041] + X[1804] + 6*X[692] - 13*X[1839] <= 4
model += -X[3389] - 2*X[6940] + 6*X[2292] - 10*X[3933] + 3*X[5041] + 4*X[1804] - 9*X[692] + 11*X[1839] <= 8
model += 10*X[4594] + 7*X[5161] - 4*X[4902] - 12*X[478] - 2*X[4649] + X[7482] + 6*X[2522] - 13*X[3459] <= 4
model += -X[4594] - 2*X[5161] + 6*X[4902] - 10*X[478] + 3*X[4649] + 4*X[7482] - 9*X[2522] + 11*X[3459] <= 8
model += 10*X[1872] + 7*X[4161] - 4*X[6660] - 12*X[2214] - 2*X[7579] + X[4414] + 6*X[7341] - 13*X[409] <= 4
model += -X[1872] - 2*X[4161] + 6*X[6660] - 10*X[2214] + 3*X[7579] + 4*X[4414] - 9*X[7341] + 11*X[409] <= 8
model += 10*X[5123] - 12*X[3606] + 4*X[2456] + 7*X[825] + 2*X[5720] - 6*X[2100] - X[7073] + 13*X[721] <= 16
model += 10*X[5806] - 12*X[7002] + 4*X[462] + 7*X[4428] + 2*X[2703] - 6*X[969] - X[1047] + 13*X[1147] <= 16
model += 10*X[2074] + 7*X[1275] - 4*X[3930] - 12*X[810] - 2*X[4034] + X[5190] + 6*X[7499] - 13*X[1758] <= 4
model += -X[2074] - 2*X[1275] + 6*X[3930] - 10*X[810] + 3*X[4034] + 4*X[5190] - 9*X[7499] + 11*X[1758] <= 8
model += 10*X[1877] - 12*X[7518] + 4*X[214] + 7*X[845] + 2*X[3412] - 6*X[6460] - X[4396] + 13*X[2364] <= 16
model += 10*X[6776] + 7*X[5866] - 4*X[3482] - 12*X[748] - 2*X[1221] + X[3165] + 6*X[5026] - 13*X[5753] <= 4
model += -X[6776] - 2*X[5866] + 6*X[3482] - 10*X[748] + 3*X[1221] + 4*X[3165] - 9*X[5026] + 11*X[5753] <= 8
model += 10*X[7115] - 12*X[1765] + 4*X[5861] + 7*X[4025] + 2*X[951] - 6*X[7035] - X[3925] + 13*X[866] <= 16
model += 10*X[4829] + 7*X[7130] - 4*X[3382] - 12*X[6636] - 2*X[7729] + X[5277] + 6*X[714] - 13*X[6986] <= 4
model += -X[4829] - 2*X[7130] + 6*X[3382] - 10*X[6636] + 3*X[7729] + 4*X[5277] - 9*X[714] + 11*X[6986] <= 8
model += 10*X[1409] + 7*X[2131] - 4*X[3012] - 12*X[1041] - 2*X[6420] + X[5768] + 6*X[390] - 13*X[1754] <= 4
model += -X[1409] - 2*X[2131] + 6*X[3012] - 10*X[1041] + 3*X[6420] + 4*X[5768] - 9*X[390] + 11*X[1754] <= 8
model += 10*X[3736] - 12*X[954] + 4*X[3962] + 7*X[2904] + 2*X[3437] - 6*X[5502] - X[6071] + 13*X[971] <= 16
model += 10*X[3804] + 7*X[2227] - 4*X[3052] - 12*X[5208] - 2*X[3456] + X[2840] + 6*X[385] - 13*X[7779] <= 4
model += -X[3804] - 2*X[2227] + 6*X[3052] - 10*X[5208] + 3*X[3456] + 4*X[2840] - 9*X[385] + 11*X[7779] <= 8
model += 10*X[3949] - 12*X[5945] + 4*X[595] + 7*X[2101] + 2*X[5419] - 6*X[4635] - X[296] + 13*X[3017] <= 16
model += 10*X[5534] - 12*X[7677] + 4*X[4460] + 7*X[1546] + 2*X[5215] - 6*X[78] - X[6546] + 13*X[6030] <= 16
model += 10*X[1420] + 7*X[6757] - 4*X[3539] - 12*X[178] - 2*X[4242] + X[6972] + 6*X[4937] - 13*X[5160] <= 4
model += -X[1420] - 2*X[6757] + 6*X[3539] - 10*X[178] + 3*X[4242] + 4*X[6972] - 9*X[4937] + 11*X[5160] <= 8
model += 10*X[643] - 12*X[596] + 4*X[1780] + 7*X[5269] + 2*X[2314] - 6*X[4305] - X[3370] + 13*X[4440] <= 16
model += 10*X[876] - 12*X[1673] + 4*X[2143] + 7*X[547] + 2*X[2479] - 6*X[7613] - X[6118] + 13*X[2585] <= 16
model += 10*X[5963] - 12*X[5076] + 4*X[410] + 7*X[812] + 2*X[1554] - 6*X[2452] - X[5701] + 13*X[5663] <= 16
model += 10*X[1374] - 12*X[238] + 4*X[6948] + 7*X[7603] + 2*X[3990] - 6*X[625] - X[3307] + 13*X[5044] <= 16
model += 10*X[3032] - 12*X[3297] + 4*X[2518] + 7*X[3805] + 2*X[3336] - 6*X[1649] - X[67] + 13*X[6117] <= 16
model += 10*X[4785] - 12*X[7604] + 4*X[857] + 7*X[1062] + 2*X[399] - 6*X[6736] - X[4031] + 13*X[4715] <= 16
model += 10*X[7118] + 7*X[4172] - 4*X[7618] - 12*X[3203] - 2*X[640] + X[4742] + 6*X[7605] - 13*X[1102] <= 4
model += -X[7118] - 2*X[4172] + 6*X[7618] - 10*X[3203] + 3*X[640] + 4*X[4742] - 9*X[7605] + 11*X[1102] <= 8
model += 10*X[2488] - 12*X[770] + 4*X[3480] + 7*X[6567] + 2*X[563] - 6*X[3701] - X[2290] + 13*X[3929] <= 16
model += 10*X[2132] + 7*X[7351] - 4*X[959] - 12*X[5552] - 2*X[5953] + X[2667] + 6*X[2683] - 13*X[4694] <= 4
model += -X[2132] - 2*X[7351] + 6*X[959] - 10*X[5552] + 3*X[5953] + 4*X[2667] - 9*X[2683] + 11*X[4694] <= 8
model += 10*X[2138] + 7*X[2565] - 4*X[6022] - 12*X[1065] - 2*X[6848] + X[998] + 6*X[1218] - 13*X[2597] <= 4
model += -X[2138] - 2*X[2565] + 6*X[6022] - 10*X[1065] + 3*X[6848] + 4*X[998] - 9*X[1218] + 11*X[2597] <= 8
model += 10*X[7260] + 7*X[7421] - 4*X[702] - 12*X[2472] - 2*X[2888] + X[2233] + 6*X[2664] - 13*X[7395] <= 4
model += -X[7260] - 2*X[7421] + 6*X[702] - 10*X[2472] + 3*X[2888] + 4*X[2233] - 9*X[2664] + 11*X[7395] <= 8
model += 10*X[6253] + 7*X[5797] - 4*X[3654] - 12*X[201] - 2*X[7654] + X[2461] + 6*X[5333] - 13*X[4371] <= 4
model += -X[6253] - 2*X[5797] + 6*X[3654] - 10*X[201] + 3*X[7654] + 4*X[2461] - 9*X[5333] + 11*X[4371] <= 8
model += 10*X[3631] + 7*X[5441] - 4*X[1050] - 12*X[3237] - 2*X[2829] + X[1035] + 6*X[4709] - 13*X[531] <= 4
model += -X[3631] - 2*X[5441] + 6*X[1050] - 10*X[3237] + 3*X[2829] + 4*X[1035] - 9*X[4709] + 11*X[531] <= 8
model += 10*X[4105] + 7*X[3033] - 4*X[813] - 12*X[2561] - 2*X[1286] + X[1638] + 6*X[7524] - 13*X[6845] <= 4
model += -X[4105] - 2*X[3033] + 6*X[813] - 10*X[2561] + 3*X[1286] + 4*X[1638] - 9*X[7524] + 11*X[6845] <= 8
model += 10*X[5219] - 12*X[747] + 4*X[4201] + 7*X[3843] + 2*X[4387] - 6*X[247] - X[2386] + 13*X[6541] <= 16
model += 10*X[1665] - 12*X[3507] + 4*X[367] + 7*X[432] + 2*X[5893] - 6*X[4762] - X[7042] + 13*X[4260] <= 16
model += 10*X[1064] + 7*X[651] - 4*X[3791] - 12*X[5342] - 2*X[5907] + X[6162] + 6*X[7204] - 13*X[2060] <= 4
model += -X[1064] - 2*X[651] + 6*X[3791] - 10*X[5342] + 3*X[5907] + 4*X[6162] - 9*X[7204] + 11*X[2060] <= 8
model += 10*X[467] + 7*X[4626] - 4*X[3108] - 12*X[2082] - 2*X[5845] + X[2188] + 6*X[6088] - 13*X[5002] <= 4
model += -X[467] - 2*X[4626] + 6*X[3108] - 10*X[2082] + 3*X[5845] + 4*X[2188] - 9*X[6088] + 11*X[5002] <= 8
model += 10*X[3172] + 7*X[1189] - 4*X[5446] - 12*X[4444] - 2*X[4394] + X[3474] + 6*X[5426] - 13*X[574] <= 4
model += -X[3172] - 2*X[1189] + 6*X[5446] - 10*X[4444] + 3*X[4394] + 4*X[3474] - 9*X[5426] + 11*X[574] <= 8
model += 10*X[1247] - 12*X[6502] + 4*X[249] + 7*X[124] + 2*X[3380] - 6*X[4408] - X[1633] + 13*X[7285] <= 16
model += 10*X[7682] - 12*X[42] + 4*X[3935] + 7*X[2617] + 2*X[4837] - 6*X[1435] - X[2864] + 13*X[3510] <= 16
model += 10*X[2704] + 7*X[4065] - 4*X[7103] - 12*X[908] - 2*X[2128] + X[5256] + 6*X[6872] - 13*X[1991] <= 4
model += -X[2704] - 2*X[4065] + 6*X[7103] - 10*X[908] + 3*X[2128] + 4*X[5256] - 9*X[6872] + 11*X[1991] <= 8
model += 10*X[7021] - 12*X[3684] + 4*X[3095] + 7*X[7193] + 2*X[745] - 6*X[1557] - X[226] + 13*X[4093] <= 16
model += 10*X[780] - 12*X[1819] + 4*X[6739] + 7*X[1910] + 2*X[2241] - 6*X[6396] - X[962] + 13*X[3543] <= 16
model += 10*X[6919] - 12*X[6664] + 4*X[5674] + 7*X[1414] + 2*X[498] - 6*X[4300] - X[1056] + 13*X[350] <= 16
model += 10*X[6893] - 12*X[2805] + 4*X[5430] + 7*X[2249] + 2*X[7696] - 6*X[118] - X[290] + 13*X[4398] <= 16
model += 10*X[2126] + 7*X[5000] - 4*X[2700] - 12*X[5865] - 2*X[7757] + X[5597] + 6*X[284] - 13*X[4050] <= 4
model += -X[2126] - 2*X[5000] + 6*X[2700] - 10*X[5865] + 3*X[7757] + 4*X[5597] - 9*X[284] + 11*X[4050] <= 8
model += 10*X[3274] + 7*X[1411] - 4*X[3961] - 12*X[6469] - 2*X[6631] + X[4894] + 6*X[190] - 13*X[6163] <= 4
model += -X[3274] - 2*X[1411] + 6*X[3961] - 10*X[6469] + 3*X[6631] + 4*X[4894] - 9*X[190] + 11*X[6163] <= 8
model += 10*X[5349] - 12*X[6021] + 4*X[5844] + 7*X[6676] + 2*X[5582] - 6*X[2502] - X[558] + 13*X[871] <= 16
model += 10*X[6035] - 12*X[407] + 4*X[1380] + 7*X[2432] + 2*X[948] - 6*X[5883] - X[1689] + 13*X[5885] <= 16
model += 10*X[613] + 7*X[5727] - 4*X[4286] - 12*X[5396] - 2*X[1131] + X[5863] + 6*X[3610] - 13*X[2958] <= 4
model += -X[613] - 2*X[5727] + 6*X[4286] - 10*X[5396] + 3*X[1131] + 4*X[5863] - 9*X[3610] + 11*X[2958] <= 8
model += 10*X[1943] + 7*X[2735] - 4*X[2204] - 12*X[561] - 2*X[4313] + X[1331] + 6*X[1135] - 13*X[7664] <= 4
model += -X[1943] - 2*X[2735] + 6*X[2204] - 10*X[561] + 3*X[4313] + 4*X[1331] - 9*X[1135] + 11*X[7664] <= 8
model += 10*X[1324] - 12*X[5656] + 4*X[762] + 7*X[3292] + 2*X[594] - 6*X[5127] - X[5999] + 13*X[1356] <= 16
model += 10*X[161] + 7*X[1344] - 4*X[4154] - 12*X[5818] - 2*X[2035] + X[7306] + 6*X[6765] - 13*X[6962] <= 4
model += -X[161] - 2*X[1344] + 6*X[4154] - 10*X[5818] + 3*X[2035] + 4*X[7306] - 9*X[6765] + 11*X[6962] <= 8
model += 10*X[2909] + 7*X[548] - 4*X[5380] - 12*X[3624] - 2*X[3298] + X[2593] + 6*X[3537] - 13*X[6238] <= 4
model += -X[2909] - 2*X[548] + 6*X[5380] - 10*X[3624] + 3*X[3298] + 4*X[2593] - 9*X[3537] + 11*X[6238] <= 8
model += 10*X[6859] + 7*X[7455] - 4*X[3461] - 12*X[571] - 2*X[2000] + X[5413] + 6*X[7753] - 13*X[5099] <= 4
model += -X[6859] - 2*X[7455] + 6*X[3461] - 10*X[571] + 3*X[2000] + 4*X[5413] - 9*X[7753] + 11*X[5099] <= 8
model += 10*X[371] - 12*X[2218] + 4*X[6796] + 7*X[807] + 2*X[1821] - 6*X[2119] - X[4996] + 13*X[5789] <= 16
model += 10*X[7392] + 7*X[1389] - 4*X[3826] - 12*X[4180] - 2*X[3573] + X[4230] + 6*X[3688] - 13*X[451] <= 4
model += -X[7392] - 2*X[1389] + 6*X[3826] - 10*X[4180] + 3*X[3573] + 4*X[4230] - 9*X[3688] + 11*X[451] <= 8
model += 10*X[5305] + 7*X[3092] - 4*X[6987] - 12*X[1670] - 2*X[601] + X[6679] + 6*X[6357] - 13*X[4959] <= 4
model += -X[5305] - 2*X[3092] + 6*X[6987] - 10*X[1670] + 3*X[601] + 4*X[6679] - 9*X[6357] + 11*X[4959] <= 8
model += 10*X[5598] + 7*X[4681] - 4*X[4032] - 12*X[926] - 2*X[6410] + X[2213] + 6*X[7145] - 13*X[6287] <= 4
model += -X[5598] - 2*X[4681] + 6*X[4032] - 10*X[926] + 3*X[6410] + 4*X[2213] - 9*X[7145] + 11*X[6287] <= 8
model += 10*X[2923] + 7*X[6214] - 4*X[6961] - 12*X[2651] - 2*X[554] + X[4036] + 6*X[6109] - 13*X[2028] <= 4
model += -X[2923] - 2*X[6214] + 6*X[6961] - 10*X[2651] + 3*X[554] + 4*X[4036] - 9*X[6109] + 11*X[2028] <= 8
model += 10*X[5933] - 12*X[5319] + 4*X[1118] + 7*X[7458] + 2*X[28] - 6*X[5558] - X[3188] + 13*X[4746] <= 16
model += 10*X[6988] + 7*X[4663] - 4*X[6121] - 12*X[108] - 2*X[7645] + X[3681] + 6*X[5079] - 13*X[5479] <= 4
model += -X[6988] - 2*X[4663] + 6*X[6121] - 10*X[108] + 3*X[7645] + 4*X[3681] - 9*X[5079] + 11*X[5479] <= 8
model += 10*X[6640] - 12*X[885] + 4*X[7213] + 7*X[197] + 2*X[6100] - 6*X[5833] - X[2501] + 13*X[5758] <= 16
model += 10*X[3440] + 7*X[997] - 4*X[6300] - 12*X[1711] - 2*X[5859] + X[6950] + 6*X[5150] - 13*X[1834] <= 4
model += -X[3440] - 2*X[997] + 6*X[6300] - 10*X[1711] + 3*X[5859] + 4*X[6950] - 9*X[5150] + 11*X[1834] <= 8
model += 10*X[827] - 12*X[2191] + 4*X[6036] + 7*X[685] + 2*X[5599] - 6*X[3656] - X[6480] + 13*X[6624] <= 16
model += 10*X[740] + 7*X[6618] - 4*X[7543] - 12*X[5148] - 2*X[4798] + X[6204] + 6*X[2055] - 13*X[6818] <= 4
model += -X[740] - 2*X[6618] + 6*X[7543] - 10*X[5148] + 3*X[4798] + 4*X[6204] - 9*X[2055] + 11*X[6818] <= 8
model += 10*X[7216] + 7*X[5979] - 4*X[333] - 12*X[4294] - 2*X[4442] + X[1642] + 6*X[2238] - 13*X[2548] <= 4
model += -X[7216] - 2*X[5979] + 6*X[333] - 10*X[4294] + 3*X[4442] + 4*X[1642] - 9*X[2238] + 11*X[2548] <= 8
model += 10*X[7453] - 12*X[4665] + 4*X[5894] + 7*X[6207] + 2*X[32] - 6*X[7697] - X[4328] + 13*X[3594] <= 16
model += 10*X[4965] + 7*X[4210] - 4*X[4679] - 12*X[3090] - 2*X[967] + X[5410] + 6*X[2420] - 13*X[2274] <= 4
model += -X[4965] - 2*X[4210] + 6*X[4679] - 10*X[3090] + 3*X[967] + 4*X[5410] - 9*X[2420] + 11*X[2274] <= 8
model += 10*X[4870] + 7*X[696] - 4*X[7014] - 12*X[1009] - 2*X[3532] + X[4920] + 6*X[4374] - 13*X[3344] <= 4
model += -X[4870] - 2*X[696] + 6*X[7014] - 10*X[1009] + 3*X[3532] + 4*X[4920] - 9*X[4374] + 11*X[3344] <= 8
model += 10*X[5744] + 7*X[7043] - 4*X[6032] - 12*X[3807] - 2*X[5098] + X[3997] + 6*X[1736] - 13*X[976] <= 4
model += -X[5744] - 2*X[7043] + 6*X[6032] - 10*X[3807] + 3*X[5098] + 4*X[3997] - 9*X[1736] + 11*X[976] <= 8
model += 10*X[4191] + 7*X[5286] - 4*X[3020] - 12*X[1306] - 2*X[5404] + X[5624] + 6*X[5737] - 13*X[671] <= 4
model += -X[4191] - 2*X[5286] + 6*X[3020] - 10*X[1306] + 3*X[5404] + 4*X[5624] - 9*X[5737] + 11*X[671] <= 8
model += 10*X[2069] + 7*X[7183] - 4*X[527] - 12*X[5587] - 2*X[3377] + X[2760] + 6*X[4590] - 13*X[5007] <= 4
model += -X[2069] - 2*X[7183] + 6*X[527] - 10*X[5587] + 3*X[3377] + 4*X[2760] - 9*X[4590] + 11*X[5007] <= 8
model += 10*X[3544] + 7*X[4403] - 4*X[1293] - 12*X[397] - 2*X[1849] + X[1952] + 6*X[2563] - 13*X[4055] <= 4
model += -X[3544] - 2*X[4403] + 6*X[1293] - 10*X[397] + 3*X[1849] + 4*X[1952] - 9*X[2563] + 11*X[4055] <= 8
model += 10*X[2589] - 12*X[6725] + 4*X[7588] + 7*X[6585] + 2*X[1913] - 6*X[3981] - X[61] + 13*X[1454] <= 16
model += 10*X[4468] - 12*X[5919] + 4*X[260] + 7*X[6387] + 2*X[3285] - 6*X[1410] - X[7586] + 13*X[731] <= 16
model += 10*X[7090] + 7*X[2619] - 4*X[2503] - 12*X[875] - 2*X[5666] + X[2907] + 6*X[7359] - 13*X[1132] <= 4
model += -X[7090] - 2*X[2619] + 6*X[2503] - 10*X[875] + 3*X[5666] + 4*X[2907] - 9*X[7359] + 11*X[1132] <= 8
model += 10*X[6358] - 12*X[1225] + 4*X[1159] + 7*X[6730] + 2*X[3413] - 6*X[4674] - X[154] + 13*X[510] <= 16
model += 10*X[4171] + 7*X[5449] - 4*X[1419] - 12*X[1471] - 2*X[3979] + X[199] + 6*X[6496] - 13*X[5295] <= 4
model += -X[4171] - 2*X[5449] + 6*X[1419] - 10*X[1471] + 3*X[3979] + 4*X[199] - 9*X[6496] + 11*X[5295] <= 8
model += 10*X[6371] + 7*X[6512] - 4*X[2687] - 12*X[631] - 2*X[6850] + X[2774] + 6*X[7449] - 13*X[2113] <= 4
model += -X[6371] - 2*X[6512] + 6*X[2687] - 10*X[631] + 3*X[6850] + 4*X[2774] - 9*X[7449] + 11*X[2113] <= 8
model += 10*X[7037] - 12*X[1263] + 4*X[7217] + 7*X[4107] + 2*X[4407] - 6*X[3713] - X[89] + 13*X[3241] <= 16
model += 10*X[4927] - 12*X[3734] + 4*X[912] + 7*X[2048] + 2*X[5973] - 6*X[615] - X[7723] + 13*X[5205] <= 16
model += 10*X[2623] + 7*X[3685] - 4*X[3205] - 12*X[2566] - 2*X[6621] + X[1996] + 6*X[3291] - 13*X[592] <= 4
model += -X[2623] - 2*X[3685] + 6*X[3205] - 10*X[2566] + 3*X[6621] + 4*X[1996] - 9*X[3291] + 11*X[592] <= 8
model += 10*X[6445] - 12*X[7330] + 4*X[5951] + 7*X[4887] + 2*X[754] - 6*X[2007] - X[1803] + 13*X[166] <= 16
model += 10*X[2576] - 12*X[820] + 4*X[1700] + 7*X[5341] + 2*X[2013] - 6*X[2738] - X[826] + 13*X[4458] <= 16
model += 10*X[6606] + 7*X[4447] - 4*X[6703] - 12*X[2408] - 2*X[336] + X[2680] + 6*X[1530] - 13*X[2594] <= 4
model += -X[6606] - 2*X[4447] + 6*X[6703] - 10*X[2408] + 3*X[336] + 4*X[2680] - 9*X[1530] + 11*X[2594] <= 8
model += 10*X[6922] + 7*X[842] - 4*X[3564] - 12*X[3098] - 2*X[2776] + X[1863] + 6*X[3198] - 13*X[2513] <= 4
model += -X[6922] - 2*X[842] + 6*X[3564] - 10*X[3098] + 3*X[2776] + 4*X[1863] - 9*X[3198] + 11*X[2513] <= 8
model += 10*X[5577] + 7*X[1977] - 4*X[1302] - 12*X[6094] - 2*X[741] + X[7280] + 6*X[4705] - 13*X[5271] <= 4
model += -X[5577] - 2*X[1977] + 6*X[1302] - 10*X[6094] + 3*X[741] + 4*X[7280] - 9*X[4705] + 11*X[5271] <= 8
model += 10*X[1327] - 12*X[946] + 4*X[7492] + 7*X[7545] + 2*X[2300] - 6*X[732] - X[6170] + 13*X[3669] <= 16
model += 10*X[1963] + 7*X[6434] - 4*X[4807] - 12*X[7525] - 2*X[2018] + X[2952] + 6*X[666] - 13*X[6717] <= 4
model += -X[1963] - 2*X[6434] + 6*X[4807] - 10*X[7525] + 3*X[2018] + 4*X[2952] - 9*X[666] + 11*X[6717] <= 8
model += 10*X[7250] + 7*X[6470] - 4*X[327] - 12*X[1539] - 2*X[4436] + X[1702] + 6*X[2517] - 13*X[1631] <= 4
model += -X[7250] - 2*X[6470] + 6*X[327] - 10*X[1539] + 3*X[4436] + 4*X[1702] - 9*X[2517] + 11*X[1631] <= 8
model += 10*X[751] - 12*X[3387] + 4*X[942] + 7*X[6767] + 2*X[5421] - 6*X[2914] - X[2122] + 13*X[1500] <= 16
model += 10*X[101] + 7*X[5027] - 4*X[5492] - 12*X[7558] - 2*X[7290] + X[7107] + 6*X[5637] - 13*X[3841] <= 4
model += -X[101] - 2*X[5027] + 6*X[5492] - 10*X[7558] + 3*X[7290] + 4*X[7107] - 9*X[5637] + 11*X[3841] <= 8
model += 10*X[6447] + 7*X[374] - 4*X[6781] - 12*X[2422] - 2*X[1762] + X[6431] + 6*X[5061] - 13*X[6372] <= 4
model += -X[6447] - 2*X[374] + 6*X[6781] - 10*X[2422] + 3*X[1762] + 4*X[6431] - 9*X[5061] + 11*X[6372] <= 8
model += 10*X[936] - 12*X[3750] + 4*X[2270] + 7*X[882] + 2*X[3721] - 6*X[2858] - X[7619] + 13*X[6297] <= 16
model += 10*X[3106] + 7*X[4486] - 4*X[7631] - 12*X[7228] - 2*X[4636] + X[669] + 6*X[2185] - 13*X[2989] <= 4
model += -X[3106] - 2*X[4486] + 6*X[7631] - 10*X[7228] + 3*X[4636] + 4*X[669] - 9*X[2185] + 11*X[2989] <= 8
model += 10*X[2183] - 12*X[7672] + 4*X[789] + 7*X[6862] + 2*X[627] - 6*X[4675] - X[4507] + 13*X[1832] <= 16
model += 10*X[2684] + 7*X[6644] - 4*X[4614] - 12*X[6411] - 2*X[6787] + X[1024] + 6*X[2792] - 13*X[939] <= 4
model += -X[2684] - 2*X[6644] + 6*X[4614] - 10*X[6411] + 3*X[6787] + 4*X[1024] - 9*X[2792] + 11*X[939] <= 8
model += 10*X[148] + 7*X[1285] - 4*X[1645] - 12*X[7024] - 2*X[3114] + X[7095] + 6*X[6456] - 13*X[1206] <= 4
model += -X[148] - 2*X[1285] + 6*X[1645] - 10*X[7024] + 3*X[3114] + 4*X[7095] - 9*X[6456] + 11*X[1206] <= 8
model += 10*X[7140] - 12*X[3295] + 4*X[7370] + 7*X[2304] + 2*X[2627] - 6*X[320] - X[3330] + 13*X[599] <= 16
model += 10*X[4094] - 12*X[140] + 4*X[2665] + 7*X[5014] + 2*X[4751] - 6*X[4515] - X[6309] + 13*X[854] <= 16
model += 10*X[4844] + 7*X[1590] - 4*X[4033] - 12*X[855] - 2*X[1926] + X[7105] + 6*X[4947] - 13*X[6385] <= 4
model += -X[4844] - 2*X[1590] + 6*X[4033] - 10*X[855] + 3*X[1926] + 4*X[7105] - 9*X[4947] + 11*X[6385] <= 8
model += 10*X[4697] + 7*X[5522] - 4*X[7344] - 12*X[3546] - 2*X[2775] + X[2787] + 6*X[933] - 13*X[2385] <= 4
model += -X[4697] - 2*X[5522] + 6*X[7344] - 10*X[3546] + 3*X[2775] + 4*X[2787] - 9*X[933] + 11*X[2385] <= 8
model += 10*X[1641] + 7*X[2842] - 4*X[811] - 12*X[1685] - 2*X[4144] + X[6890] + 6*X[7567] - 13*X[3015] <= 4
model += -X[1641] - 2*X[2842] + 6*X[811] - 10*X[1685] + 3*X[4144] + 4*X[6890] - 9*X[7567] + 11*X[3015] <= 8
model += 10*X[5103] + 7*X[4168] - 4*X[306] - 12*X[3096] - 2*X[2195] + X[6218] + 6*X[2721] - 13*X[4916] <= 4
model += -X[5103] - 2*X[4168] + 6*X[306] - 10*X[3096] + 3*X[2195] + 4*X[6218] - 9*X[2721] + 11*X[4916] <= 8
model += 10*X[4671] - 12*X[3775] + 4*X[1405] + 7*X[6782] + 2*X[5943] - 6*X[330] - X[693] + 13*X[1089] <= 16
model += 10*X[4838] + 7*X[6712] - 4*X[1782] - 12*X[7379] - 2*X[6291] + X[4362] + 6*X[1922] - 13*X[535] <= 4
model += -X[4838] - 2*X[6712] + 6*X[1782] - 10*X[7379] + 3*X[6291] + 4*X[4362] - 9*X[1922] + 11*X[535] <= 8
model += 10*X[4593] + 7*X[7198] - 4*X[6967] - 12*X[310] - 2*X[5094] + X[3651] + 6*X[1256] - 13*X[3757] <= 4
model += -X[4593] - 2*X[7198] + 6*X[6967] - 10*X[310] + 3*X[5094] + 4*X[3651] - 9*X[1256] + 11*X[3757] <= 8
model += 10*X[3166] - 12*X[2812] + 4*X[3448] + 7*X[6522] + 2*X[4627] - 6*X[2067] - X[1068] + 13*X[69] <= 16
model += 10*X[3881] - 12*X[935] + 4*X[193] + 7*X[2555] + 2*X[2440] - 6*X[6093] - X[1296] + 13*X[7722] <= 16
model += 10*X[3724] - 12*X[5755] + 4*X[2637] + 7*X[4067] + 2*X[579] - 6*X[7032] - X[626] + 13*X[2542] <= 16
model += 10*X[2235] + 7*X[5310] - 4*X[5829] - 12*X[2412] - 2*X[1737] + X[7172] + 6*X[388] - 13*X[2509] <= 4
model += -X[2235] - 2*X[5310] + 6*X[5829] - 10*X[2412] + 3*X[1737] + 4*X[7172] - 9*X[388] + 11*X[2509] <= 8
model += 10*X[2090] + 7*X[4320] - 4*X[1377] - 12*X[5379] - 2*X[481] + X[6041] + 6*X[2446] - 13*X[1029] <= 4
model += -X[2090] - 2*X[4320] + 6*X[1377] - 10*X[5379] + 3*X[481] + 4*X[6041] - 9*X[2446] + 11*X[1029] <= 8
model += 10*X[2378] + 7*X[569] - 4*X[1371] - 12*X[1307] - 2*X[2631] + X[5405] + 6*X[5168] - 13*X[3492] <= 4
model += -X[2378] - 2*X[569] + 6*X[1371] - 10*X[1307] + 3*X[2631] + 4*X[5405] - 9*X[5168] + 11*X[3492] <= 8
model += 10*X[2303] - 12*X[2044] + 4*X[2200] + 7*X[896] + 2*X[1828] - 6*X[4291] - X[5312] + 13*X[251] <= 16
model += 10*X[3710] + 7*X[119] - 4*X[6177] - 12*X[6189] - 2*X[6535] + X[5693] + 6*X[4231] - 13*X[3693] <= 4
model += -X[3710] - 2*X[119] + 6*X[6177] - 10*X[6189] + 3*X[6535] + 4*X[5693] - 9*X[4231] + 11*X[3693] <= 8
model += 10*X[2091] + 7*X[265] - 4*X[6895] - 12*X[5514] - 2*X[5772] + X[4147] + 6*X[5555] - 13*X[3495] <= 4
model += -X[2091] - 2*X[265] + 6*X[6895] - 10*X[5514] + 3*X[5772] + 4*X[4147] - 9*X[5555] + 11*X[3495] <= 8
model += 10*X[4514] + 7*X[6529] - 4*X[6973] - 12*X[6688] - 2*X[289] + X[5888] + 6*X[1312] - 13*X[3650] <= 4
model += -X[4514] - 2*X[6529] + 6*X[6973] - 10*X[6688] + 3*X[289] + 4*X[5888] - 9*X[1312] + 11*X[3650] <= 8
model += 10*X[1480] - 12*X[7053] + 4*X[750] + 7*X[6540] + 2*X[1846] - 6*X[146] - X[3254] + 13*X[1199] <= 16
model += 10*X[5204] + 7*X[1451] - 4*X[4511] - 12*X[4787] - 2*X[4961] + X[3536] + 6*X[6693] - 13*X[170] <= 4
model += -X[5204] - 2*X[1451] + 6*X[4511] - 10*X[4787] + 3*X[4961] + 4*X[3536] - 9*X[6693] + 11*X[170] <= 8
model += 10*X[4914] + 7*X[229] - 4*X[6591] - 12*X[1880] - 2*X[7371] + X[5981] + 6*X[4178] - 13*X[1712] <= 4
model += -X[4914] - 2*X[229] + 6*X[6591] - 10*X[1880] + 3*X[7371] + 4*X[5981] - 9*X[4178] + 11*X[1712] <= 8
model += 10*X[6442] + 7*X[5017] - 4*X[2712] - 12*X[3753] - 2*X[1540] + X[2116] + 6*X[890] - 13*X[2076] <= 4
model += -X[6442] - 2*X[5017] + 6*X[2712] - 10*X[3753] + 3*X[1540] + 4*X[2116] - 9*X[890] + 11*X[2076] <= 8
model += 10*X[3035] + 7*X[4011] - 4*X[6002] - 12*X[242] - 2*X[6662] + X[2922] + 6*X[7680] - 13*X[2835] <= 4
model += -X[3035] - 2*X[4011] + 6*X[6002] - 10*X[242] + 3*X[6662] + 4*X[2922] - 9*X[7680] + 11*X[2835] <= 8
model += 10*X[5437] + 7*X[4165] - 4*X[884] - 12*X[6377] - 2*X[7127] + X[2987] + 6*X[4669] - 13*X[4541] <= 4
model += -X[5437] - 2*X[4165] + 6*X[884] - 10*X[6377] + 3*X[7127] + 4*X[2987] - 9*X[4669] + 11*X[4541] <= 8
model += 10*X[6047] - 12*X[3069] + 4*X[708] + 7*X[3595] + 2*X[1683] - 6*X[3490] - X[459] + 13*X[3941] <= 16
model += 10*X[7336] + 7*X[7761] - 4*X[5826] - 12*X[4102] - 2*X[4114] + X[1859] + 6*X[100] - 13*X[6312] <= 4
model += -X[7336] - 2*X[7761] + 6*X[5826] - 10*X[4102] + 3*X[4114] + 4*X[1859] - 9*X[100] + 11*X[6312] <= 8
model += 10*X[2428] + 7*X[990] - 4*X[6087] - 12*X[2725] - 2*X[3224] + X[5301] + 6*X[1395] - 13*X[1381] <= 4
model += -X[2428] - 2*X[990] + 6*X[6087] - 10*X[2725] + 3*X[3224] + 4*X[5301] - 9*X[1395] + 11*X[1381] <= 8
model += 10*X[4558] - 12*X[7554] + 4*X[5261] + 7*X[819] + 2*X[3844] - 6*X[356] - X[2527] + 13*X[5762] <= 16
model += 10*X[176] - 12*X[3409] + 4*X[6861] + 7*X[7506] + 2*X[2957] - 6*X[1705] - X[173] + 13*X[1340] <= 16
model += 10*X[2006] + 7*X[4063] - 4*X[7734] - 12*X[6650] - 2*X[2212] + X[2992] + 6*X[3284] - 13*X[4196] <= 4
model += -X[2006] - 2*X[4063] + 6*X[7734] - 10*X[6650] + 3*X[2212] + 4*X[2992] - 9*X[3284] + 11*X[4196] <= 8
model += 10*X[1887] - 12*X[841] + 4*X[3716] + 7*X[4066] + 2*X[6651] - 6*X[4628] - X[1059] + 13*X[4547] <= 16
model += 10*X[1519] - 12*X[6350] + 4*X[359] + 7*X[7131] + 2*X[5914] - 6*X[3525] - X[2846] + 13*X[5733] <= 16
model += 10*X[1406] - 12*X[5795] + 4*X[3766] + 7*X[7129] + 2*X[6258] - 6*X[1397] - X[947] + 13*X[3945] <= 16
model += 10*X[5535] - 12*X[970] + 4*X[2674] + 7*X[2870] + 2*X[3531] - 6*X[4561] - X[3894] + 13*X[1532] <= 16
model += 10*X[3911] + 7*X[2887] - 4*X[2264] - 12*X[2757] - 2*X[7463] + X[3705] + 6*X[5873] - 13*X[6841] <= 4
model += -X[3911] - 2*X[2887] + 6*X[2264] - 10*X[2757] + 3*X[7463] + 4*X[3705] - 9*X[5873] + 11*X[6841] <= 8
model += 10*X[4496] + 7*X[2558] - 4*X[1241] - 12*X[2711] - 2*X[1194] + X[1968] + 6*X[3070] - 13*X[6278] <= 4
model += -X[4496] - 2*X[2558] + 6*X[1241] - 10*X[2711] + 3*X[1194] + 4*X[1968] - 9*X[3070] + 11*X[6278] <= 8
model += 10*X[3921] + 7*X[1007] - 4*X[6847] - 12*X[2362] - 2*X[1415] + X[3998] + 6*X[1044] - 13*X[2570] <= 4
model += -X[3921] - 2*X[1007] + 6*X[6847] - 10*X[2362] + 3*X[1415] + 4*X[3998] - 9*X[1044] + 11*X[2570] <= 8
model += 10*X[2532] + 7*X[6835] - 4*X[4127] - 12*X[1166] - 2*X[1300] + X[7674] + 6*X[7201] - 13*X[7380] <= 4
model += -X[2532] - 2*X[6835] + 6*X[4127] - 10*X[1166] + 3*X[1300] + 4*X[7674] - 9*X[7201] + 11*X[7380] <= 8
model += 10*X[1310] - 12*X[346] + 4*X[4909] + 7*X[3489] + 2*X[6236] - 6*X[3568] - X[4740] + 13*X[2615] <= 16
model += 10*X[3369] + 7*X[2210] - 4*X[5488] - 12*X[5197] - 2*X[7065] + X[7036] + 6*X[5773] - 13*X[3500] <= 4
model += -X[3369] - 2*X[2210] + 6*X[5488] - 10*X[5197] + 3*X[7065] + 4*X[7036] - 9*X[5773] + 11*X[3500] <= 8
model += 10*X[3435] + 7*X[4910] - 4*X[6656] - 12*X[6561] - 2*X[1995] + X[2690] + 6*X[3906] - 13*X[5489] <= 4
model += -X[3435] - 2*X[4910] + 6*X[6656] - 10*X[6561] + 3*X[1995] + 4*X[2690] - 9*X[3906] + 11*X[5489] <= 8
model += 10*X[1137] - 12*X[4433] + 4*X[6110] + 7*X[5714] + 2*X[604] - 6*X[6593] - X[5639] + 13*X[2453] <= 16
model += 10*X[2315] + 7*X[5323] - 4*X[4485] - 12*X[6517] - 2*X[3902] + X[2699] + 6*X[2140] - 13*X[7459] <= 4
model += -X[2315] - 2*X[5323] + 6*X[4485] - 10*X[6517] + 3*X[3902] + 4*X[2699] - 9*X[2140] + 11*X[7459] <= 8
model += 10*X[3646] - 12*X[231] + 4*X[1393] + 7*X[6733] + 2*X[4232] - 6*X[6402] - X[3231] + 13*X[7224] <= 16
model += 10*X[6255] + 7*X[2266] - 4*X[2755] - 12*X[2553] - 2*X[5751] + X[6423] + 6*X[3185] - 13*X[5046] <= 4
model += -X[6255] - 2*X[2266] + 6*X[2755] - 10*X[2553] + 3*X[5751] + 4*X[6423] - 9*X[3185] + 11*X[5046] <= 8
model += 10*X[881] - 12*X[6629] + 4*X[5047] + 7*X[5918] + 2*X[6548] - 6*X[6232] - X[2234] + 13*X[2180] <= 16
model += 10*X[6770] + 7*X[7377] - 4*X[4271] - 12*X[5045] - 2*X[4217] + X[5091] + 6*X[2540] - 13*X[3786] <= 4
model += -X[6770] - 2*X[7377] + 6*X[4271] - 10*X[5045] + 3*X[4217] + 4*X[5091] - 9*X[2540] + 11*X[3786] <= 8
model += 10*X[5589] - 12*X[268] + 4*X[2366] + 7*X[2688] + 2*X[6580] - 6*X[5956] - X[5518] + 13*X[3214] <= 16
model += 10*X[3236] + 7*X[2301] - 4*X[4652] - 12*X[6755] - 2*X[3393] + X[4132] + 6*X[2633] - 13*X[4650] <= 4
model += -X[3236] - 2*X[2301] + 6*X[4652] - 10*X[6755] + 3*X[3393] + 4*X[4132] - 9*X[2633] + 11*X[4650] <= 8
model += 10*X[1204] - 12*X[4520] + 4*X[2672] + 7*X[1494] + 2*X[413] - 6*X[3670] - X[4752] + 13*X[4638] <= 16
model += 10*X[7496] + 7*X[7113] - 4*X[6161] - 12*X[6849] - 2*X[4373] + X[6896] + 6*X[2402] - 13*X[4949] <= 4
model += -X[7496] - 2*X[7113] + 6*X[6161] - 10*X[6849] + 3*X[4373] + 4*X[6896] - 9*X[2402] + 11*X[4949] <= 8
model += 10*X[6156] - 12*X[7089] + 4*X[7195] + 7*X[794] + 2*X[3745] - 6*X[6165] - X[2130] + 13*X[3851] <= 16
model += 10*X[5698] + 7*X[5003] - 4*X[3161] - 12*X[6924] - 2*X[6906] + X[5869] + 6*X[2276] - 13*X[1823] <= 4
model += -X[5698] - 2*X[5003] + 6*X[3161] - 10*X[6924] + 3*X[6906] + 4*X[5869] - 9*X[2276] + 11*X[1823] <= 8
model += 10*X[5804] - 12*X[365] + 4*X[4990] + 7*X[4080] + 2*X[2460] - 6*X[3679] - X[6342] + 13*X[1748] <= 16
model += 10*X[4786] + 7*X[6397] - 4*X[5471] - 12*X[2769] - 2*X[1475] + X[6652] + 6*X[7648] - 13*X[2136] <= 4
model += -X[4786] - 2*X[6397] + 6*X[5471] - 10*X[2769] + 3*X[1475] + 4*X[6652] - 9*X[7648] + 11*X[2136] <= 8
model += 10*X[4348] - 12*X[1407] + 4*X[6669] + 7*X[4637] + 2*X[3226] - 6*X[977] - X[5703] + 13*X[6495] <= 16
model += 10*X[4308] + 7*X[3087] - 4*X[4817] - 12*X[2852] - 2*X[1664] + X[6996] + 6*X[3217] - 13*X[3302] <= 4
model += -X[4308] - 2*X[3087] + 6*X[4817] - 10*X[2852] + 3*X[1664] + 4*X[6996] - 9*X[3217] + 11*X[3302] <= 8
model += 10*X[3199] + 7*X[6115] - 4*X[3798] - 12*X[5163] - 2*X[6700] + X[4012] + 6*X[1322] - 13*X[7481] <= 4
model += -X[3199] - 2*X[6115] + 6*X[3798] - 10*X[5163] + 3*X[6700] + 4*X[4012] - 9*X[1322] + 11*X[7481] <= 8
model += 10*X[5708] + 7*X[1768] - 4*X[4936] - 12*X[3159] - 2*X[2759] + X[2203] + 6*X[5838] - 13*X[7679] <= 4
model += -X[5708] - 2*X[1768] + 6*X[4936] - 10*X[3159] + 3*X[2759] + 4*X[2203] - 9*X[5838] + 11*X[7679] <= 8
model += 10*X[1809] - 12*X[7189] + 4*X[1890] + 7*X[3604] + 2*X[2773] - 6*X[1470] - X[192] + 13*X[3141] <= 16
model += 10*X[3084] - 12*X[3223] + 4*X[6649] + 7*X[438] + 2*X[2655] - 6*X[1114] - X[5533] + 13*X[1171] <= 16
model += 10*X[4108] + 7*X[1892] - 4*X[6863] - 12*X[7156] - 2*X[3058] + X[3337] + 6*X[5568] - 13*X[7716] <= 4
model += -X[4108] - 2*X[1892] + 6*X[6863] - 10*X[7156] + 3*X[3058] + 4*X[3337] - 9*X[5568] + 11*X[7716] <= 8
model += 10*X[6113] - 12*X[2411] + 4*X[6823] + 7*X[2436] + 2*X[4563] - 6*X[608] - X[3824] + 13*X[5511] <= 16
model += 10*X[5459] + 7*X[6393] - 4*X[4879] - 12*X[7279] - 2*X[4995] + X[3243] + 6*X[1577] - 13*X[5011] <= 4
model += -X[5459] - 2*X[6393] + 6*X[4879] - 10*X[7279] + 3*X[4995] + 4*X[3243] - 9*X[1577] + 11*X[5011] <= 8
model += 10*X[1584] - 12*X[5268] + 4*X[7202] + 7*X[4369] + 2*X[5550] - 6*X[718] - X[3828] + 13*X[3735] <= 16
model += 10*X[3001] + 7*X[6018] - 4*X[6592] - 12*X[2547] - 2*X[3583] + X[1187] + 6*X[7091] - 13*X[1260] <= 4
model += -X[3001] - 2*X[6018] + 6*X[6592] - 10*X[2547] + 3*X[3583] + 4*X[1187] - 9*X[7091] + 11*X[1260] <= 8
model += 10*X[2251] - 12*X[5717] + 4*X[6634] + 7*X[7401] + 2*X[2172] - 6*X[2151] - X[103] + 13*X[7485] <= 16
model += 10*X[7056] - 12*X[707] + 4*X[2374] + 7*X[5114] + 2*X[3373] - 6*X[1627] - X[3608] + 13*X[1289] <= 16
model += 10*X[3671] - 12*X[5915] + 4*X[468] + 7*X[1238] + 2*X[3515] - 6*X[4983] - X[3853] + 13*X[3085] <= 16
model += 10*X[5088] - 12*X[5270] + 4*X[4410] + 7*X[5990] + 2*X[414] - 6*X[2484] - X[3029] + 13*X[4944] <= 16
model += 10*X[487] - 12*X[5645] + 4*X[7050] + 7*X[2455] + 2*X[2980] - 6*X[7110] - X[6346] + 13*X[3331] <= 16
model += 10*X[6884] + 7*X[7555] - 4*X[5903] - 12*X[5799] - 2*X[5688] + X[1969] + 6*X[3950] - 13*X[4446] <= 4
model += -X[6884] - 2*X[7555] + 6*X[5903] - 10*X[5799] + 3*X[5688] + 4*X[1969] - 9*X[3950] + 11*X[4446] <= 8
model += 10*X[4504] - 12*X[4054] + 4*X[6065] + 7*X[4375] + 2*X[6329] - 6*X[4559] - X[567] + 13*X[2911] <= 16
model += 10*X[5630] - 12*X[418] + 4*X[7476] + 7*X[2955] + 2*X[1962] - 6*X[5444] - X[4575] + 13*X[5339] <= 16
model += 10*X[1937] + 7*X[3987] - 4*X[2586] - 12*X[4624] - 2*X[7034] + X[7431] + 6*X[1347] - 13*X[5614] <= 4
model += -X[1937] - 2*X[3987] + 6*X[2586] - 10*X[4624] + 3*X[7034] + 4*X[7431] - 9*X[1347] + 11*X[5614] <= 8
model += 10*X[1040] - 12*X[312] + 4*X[7759] + 7*X[6937] + 2*X[4370] - 6*X[3790] - X[4884] + 13*X[2139] <= 16
model += 10*X[6450] - 12*X[241] + 4*X[7015] + 7*X[1992] + 2*X[2867] - 6*X[5735] - X[5929] + 13*X[2236] <= 16
model += 10*X[322] - 12*X[7360] + 4*X[3702] + 7*X[3712] + 2*X[6888] - 6*X[2154] - X[3476] + 13*X[4477] <= 16
model += 10*X[7182] + 7*X[3502] - 4*X[2019] - 12*X[2345] - 2*X[7641] + X[4858] + 6*X[4784] - 13*X[7184] <= 4
model += -X[7182] - 2*X[3502] + 6*X[2019] - 10*X[2345] + 3*X[7641] + 4*X[4858] - 9*X[4784] + 11*X[7184] <= 8
model += 10*X[2083] + 7*X[2336] - 4*X[6360] - 12*X[3175] - 2*X[1777] + X[5480] + 6*X[1975] - 13*X[1502] <= 4
model += -X[2083] - 2*X[2336] + 6*X[6360] - 10*X[3175] + 3*X[1777] + 4*X[5480] - 9*X[1975] + 11*X[1502] <= 8
model += 10*X[4720] + 7*X[5741] - 4*X[2252] - 12*X[7382] - 2*X[4007] + X[1207] + 6*X[7302] - 13*X[6609] <= 4
model += -X[4720] - 2*X[5741] + 6*X[2252] - 10*X[7382] + 3*X[4007] + 4*X[1207] - 9*X[7302] + 11*X[6609] <= 8
model += 10*X[3732] - 12*X[739] + 4*X[2860] + 7*X[2296] + 2*X[2397] - 6*X[1739] - X[6452] + 13*X[6997] <= 16
model += 10*X[1452] + 7*X[1282] - 4*X[2467] - 12*X[5122] - 2*X[7592] + X[2040] + 6*X[5644] - 13*X[1579] <= 4
model += -X[1452] - 2*X[1282] + 6*X[2467] - 10*X[5122] + 3*X[7592] + 4*X[2040] - 9*X[5644] + 11*X[1579] <= 8
model += 10*X[2489] - 12*X[6132] + 4*X[361] + 7*X[3094] + 2*X[6715] - 6*X[6143] - X[1831] + 13*X[4906] <= 16
model += 10*X[7148] - 12*X[6381] + 4*X[5367] + 7*X[1000] + 2*X[185] - 6*X[4292] - X[1012] + 13*X[7209] <= 16
model += 10*X[1075] - 12*X[7434] + 4*X[1720] + 7*X[5837] + 2*X[889] - 6*X[1703] - X[5282] + 13*X[3593] <= 16
model += 10*X[6701] - 12*X[4361] + 4*X[629] + 7*X[6759] + 2*X[1357] - 6*X[2833] - X[2908] + 13*X[6608] <= 16
model += 10*X[5348] + 7*X[2442] - 4*X[3357] - 12*X[3512] - 2*X[6425] + X[7530] + 6*X[5831] - 13*X[6698] <= 4
model += -X[5348] - 2*X[2442] + 6*X[3357] - 10*X[3512] + 3*X[6425] + 4*X[7530] - 9*X[5831] + 11*X[6698] <= 8
model += 10*X[1729] - 12*X[1740] + 4*X[4831] + 7*X[1430] + 2*X[6751] - 6*X[5474] - X[1855] + 13*X[907] <= 16
model += 10*X[3131] + 7*X[2709] - 4*X[2808] - 12*X[3417] - 2*X[3073] + X[4875] + 6*X[6203] - 13*X[3475] <= 4
model += -X[3131] - 2*X[2709] + 6*X[2808] - 10*X[3417] + 3*X[3073] + 4*X[4875] - 9*X[6203] + 11*X[3475] <= 8
model += 10*X[1818] + 7*X[1709] - 4*X[1643] - 12*X[1095] - 2*X[2222] + X[2356] + 6*X[3422] - 13*X[4772] <= 4
model += -X[1818] - 2*X[1709] + 6*X[1643] - 10*X[1095] + 3*X[2222] + 4*X[2356] - 9*X[3422] + 11*X[4772] <= 8
model += 10*X[6702] - 12*X[3699] + 4*X[3601] + 7*X[2801] + 2*X[292] - 6*X[3793] - X[7541] + 13*X[3829] <= 16
model += 10*X[5602] + 7*X[1080] - 4*X[4539] - 12*X[4913] - 2*X[4302] + X[2592] + 6*X[6515] - 13*X[2638] <= 4
model += -X[5602] - 2*X[1080] + 6*X[4539] - 10*X[4913] + 3*X[4302] + 4*X[2592] - 9*X[6515] + 11*X[2638] <= 8
model += 10*X[4845] - 12*X[2897] + 4*X[6288] + 7*X[4692] + 2*X[7414] - 6*X[989] - X[7157] + 13*X[4708] <= 16
model += 10*X[788] - 12*X[4399] + 4*X[3611] + 7*X[1815] + 2*X[5029] - 6*X[2190] - X[1235] + 13*X[7556] <= 16
model += 10*X[6279] - 12*X[7031] + 4*X[3822] + 7*X[2243] + 2*X[3872] - 6*X[1233] - X[2783] + 13*X[679] <= 16
model += 10*X[4110] + 7*X[3747] - 4*X[2798] - 12*X[2646] - 2*X[1098] + X[4781] + 6*X[4749] - 13*X[7635] <= 4
model += -X[4110] - 2*X[3747] + 6*X[2798] - 10*X[2646] + 3*X[1098] + 4*X[4781] - 9*X[4749] + 11*X[7635] <= 8
model += 10*X[3498] + 7*X[7123] - 4*X[7287] - 12*X[6762] - 2*X[1425] + X[2550] + 6*X[4367] - 13*X[5579] <= 4
model += -X[3498] - 2*X[7123] + 6*X[7287] - 10*X[6762] + 3*X[1425] + 4*X[2550] - 9*X[4367] + 11*X[5579] <= 8
model += 10*X[5715] + 7*X[3240] - 4*X[1723] - 12*X[2630] - 2*X[4770] + X[6699] + 6*X[5500] - 13*X[4123] <= 4
model += -X[5715] - 2*X[3240] + 6*X[1723] - 10*X[2630] + 3*X[4770] + 4*X[6699] - 9*X[5500] + 11*X[4123] <= 8
model += 10*X[2330] - 12*X[1004] + 4*X[7160] + 7*X[848] + 2*X[3351] - 6*X[2999] - X[3009] + 13*X[7624] <= 16
model += 10*X[175] - 12*X[3050] + 4*X[2050] + 7*X[1450] + 2*X[7703] - 6*X[2250] - X[2767] + 13*X[6760] <= 16
model += 10*X[1355] - 12*X[4076] + 4*X[1290] + 7*X[5320] + 2*X[428] - 6*X[1553] - X[1462] + 13*X[5124] <= 16
model += 10*X[3410] - 12*X[4613] + 4*X[3526] + 7*X[4912] + 2*X[1620] - 6*X[674] - X[4801] + 13*X[2733] <= 16
model += 10*X[6120] + 7*X[2853] - 4*X[4314] - 12*X[3365] - 2*X[1183] + X[7104] + 6*X[3842] - 13*X[5486] <= 4
model += -X[6120] - 2*X[2853] + 6*X[4314] - 10*X[3365] + 3*X[1183] + 4*X[7104] - 9*X[3842] + 11*X[5486] <= 8
model += 10*X[5453] + 7*X[5912] - 4*X[6860] - 12*X[3852] - 2*X[6261] + X[4273] + 6*X[5836] - 13*X[2971] <= 4
model += -X[5453] - 2*X[5912] + 6*X[6860] - 10*X[3852] + 3*X[6261] + 4*X[4273] - 9*X[5836] + 11*X[2971] <= 8
model += 10*X[5593] - 12*X[7551] + 4*X[463] + 7*X[7521] + 2*X[3966] - 6*X[3903] - X[3014] + 13*X[1248] <= 16
model += 10*X[7539] - 12*X[5882] + 4*X[508] + 7*X[1161] + 2*X[4479] - 6*X[3874] - X[7668] + 13*X[2621] <= 16
model += 10*X[2359] + 7*X[6525] - 4*X[4022] - 12*X[3048] - 2*X[5603] + X[6789] + 6*X[4779] - 13*X[5376] <= 4
model += -X[2359] - 2*X[6525] + 6*X[4022] - 10*X[3048] + 3*X[5603] + 4*X[6789] - 9*X[4779] + 11*X[5376] <= 8
model += 10*X[4173] - 12*X[1268] + 4*X[4619] + 7*X[2618] + 2*X[2764] - 6*X[6201] - X[726] + 13*X[2284] <= 16
model += 10*X[992] - 12*X[7655] + 4*X[1489] + 7*X[6594] + 2*X[7436] - 6*X[2975] - X[1192] + 13*X[5549] <= 16
model += 10*X[1228] - 12*X[4722] + 4*X[7263] + 7*X[2458] + 2*X[2696] - 6*X[239] - X[5852] + 13*X[5556] <= 16
model += 10*X[2350] - 12*X[5330] + 4*X[1453] + 7*X[2832] + 2*X[783] - 6*X[2985] - X[7760] + 13*X[1835] <= 16
model += 10*X[7262] - 12*X[4747] + 4*X[3481] + 7*X[3064] + 2*X[562] - 6*X[1279] - X[3146] + 13*X[3850] <= 16
model += 10*X[6421] + 7*X[1093] - 4*X[2902] - 12*X[5734] - 2*X[3398] + X[6952] + 6*X[7292] - 13*X[5443] <= 4
model += -X[6421] - 2*X[1093] + 6*X[2902] - 10*X[5734] + 3*X[3398] + 4*X[6952] - 9*X[7292] + 11*X[5443] <= 8
model += 10*X[2081] + 7*X[1461] - 4*X[5381] - 12*X[1104] - 2*X[4970] + X[1805] + 6*X[5227] - 13*X[4532] <= 4
model += -X[2081] - 2*X[1461] + 6*X[5381] - 10*X[1104] + 3*X[4970] + 4*X[1805] - 9*X[5227] + 11*X[4532] <= 8
model += 10*X[1566] + 7*X[1313] - 4*X[5998] - 12*X[3275] - 2*X[4351] + X[6090] + 6*X[7548] - 13*X[1018] <= 4
model += -X[1566] - 2*X[1313] + 6*X[5998] - 10*X[3275] + 3*X[4351] + 4*X[6090] - 9*X[7548] + 11*X[1018] <= 8
model += 10*X[1653] + 7*X[3256] - 4*X[6708] - 12*X[2142] - 2*X[6661] + X[5575] + 6*X[6339] - 13*X[6321] <= 4
model += -X[1653] - 2*X[3256] + 6*X[6708] - 10*X[2142] + 3*X[6661] + 4*X[5575] - 9*X[6339] + 11*X[6321] <= 8
model += 10*X[6761] - 12*X[2786] + 4*X[3155] + 7*X[6825] + 2*X[1428] - 6*X[1359] - X[769] + 13*X[7557] <= 16
model += 10*X[3469] - 12*X[5591] + 4*X[2260] + 7*X[7790] + 2*X[7746] - 6*X[4239] - X[6547] + 13*X[155] <= 16
model += 10*X[2878] - 12*X[984] + 4*X[6941] + 7*X[4597] + 2*X[2184] - 6*X[4015] - X[4577] + 13*X[6793] <= 16
model += 10*X[7135] - 12*X[803] + 4*X[2416] + 7*X[4672] + 2*X[5060] - 6*X[5857] - X[6964] + 13*X[6911] <= 16
model += 10*X[5074] - 12*X[4667] + 4*X[1573] + 7*X[188] + 2*X[1429] - 6*X[4150] - X[7474] + 13*X[4951] <= 16
model += 10*X[4182] + 7*X[6468] - 4*X[6562] - 12*X[1567] - 2*X[6668] + X[4741] + 6*X[4098] - 13*X[3347] <= 4
model += -X[4182] - 2*X[6468] + 6*X[6562] - 10*X[1567] + 3*X[6668] + 4*X[4741] - 9*X[4098] + 11*X[3347] <= 8
model += 10*X[7077] + 7*X[6645] - 4*X[3698] - 12*X[1560] - 2*X[7274] + X[3097] + 6*X[2874] - 13*X[7220] <= 4
model += -X[7077] - 2*X[6645] + 6*X[3698] - 10*X[1560] + 3*X[7274] + 4*X[3097] - 9*X[2874] + 11*X[7220] <= 8
model += 10*X[711] - 12*X[7756] + 4*X[4544] + 7*X[6917] + 2*X[3803] - 6*X[7151] - X[7715] + 13*X[7230] <= 16
model += 10*X[3178] + 7*X[3468] - 4*X[7457] - 12*X[4236] - 2*X[4346] + X[4014] + 6*X[6269] - 13*X[6959] <= 4
model += -X[3178] - 2*X[3468] + 6*X[7457] - 10*X[4236] + 3*X[4346] + 4*X[4014] - 9*X[6269] + 11*X[6959] <= 8
model += 10*X[6136] + 7*X[4316] - 4*X[1379] - 12*X[6638] - 2*X[3454] + X[5784] + 6*X[3000] - 13*X[3672] <= 4
model += -X[6136] - 2*X[4316] + 6*X[1379] - 10*X[6638] + 3*X[3454] + 4*X[5784] - 9*X[3000] + 11*X[3672] <= 8
model += 10*X[1445] + 7*X[1903] - 4*X[3273] - 12*X[5920] - 2*X[3938] + X[2476] + 6*X[5848] - 13*X[4640] <= 4
model += -X[1445] - 2*X[1903] + 6*X[3273] - 10*X[5920] + 3*X[3938] + 4*X[2476] - 9*X[5848] + 11*X[4640] <= 8
model += 10*X[2153] - 12*X[5051] + 4*X[1071] + 7*X[4087] + 2*X[755] - 6*X[2511] - X[1830] + 13*X[5551] <= 16
model += 10*X[806] - 12*X[6758] + 4*X[1057] + 7*X[5359] + 2*X[3173] - 6*X[5440] - X[1534] + 13*X[5618] <= 16
model += 10*X[3470] + 7*X[6801] - 4*X[6774] - 12*X[6127] - 2*X[7222] + X[1156] + 6*X[7642] - 13*X[6336] <= 4
model += -X[3470] - 2*X[6801] + 6*X[6774] - 10*X[6127] + 3*X[7222] + 4*X[1156] - 9*X[7642] + 11*X[6336] <= 8
model += 10*X[1654] - 12*X[581] + 4*X[4657] + 7*X[5616] + 2*X[1881] - 6*X[6465] - X[7639] + 13*X[2444] <= 16
model += 10*X[6353] + 7*X[3019] - 4*X[4372] - 12*X[2272] - 2*X[2383] + X[1694] + 6*X[4121] - 13*X[6868] <= 4
model += -X[6353] - 2*X[3019] + 6*X[4372] - 10*X[2272] + 3*X[2383] + 4*X[1694] - 9*X[4121] + 11*X[6868] <= 8
model += 10*X[1732] - 12*X[4045] + 4*X[3756] + 7*X[3956] + 2*X[5691] - 6*X[7003] - X[109] + 13*X[3768] <= 16
model += 10*X[1436] - 12*X[5509] + 4*X[987] + 7*X[5129] + 2*X[1503] - 6*X[4404] - X[7598] + 13*X[5173] <= 16
model += 10*X[2685] - 12*X[3951] + 4*X[4925] + 7*X[3580] + 2*X[2856] - 6*X[5823] - X[6853] + 13*X[240] <= 16
model += 10*X[4954] - 12*X[7469] + 4*X[2403] + 7*X[7774] + 2*X[4630] - 6*X[3729] - X[6709] + 13*X[888] <= 16
model += 10*X[5032] - 12*X[5097] + 4*X[1052] + 7*X[648] + 2*X[4571] - 6*X[4707] - X[2423] + 13*X[3858] <= 16
model += 10*X[2606] + 7*X[2659] - 4*X[5025] - 12*X[7461] - 2*X[1722] + X[2724] + 6*X[6341] - 13*X[7447] <= 4
model += -X[2606] - 2*X[2659] + 6*X[5025] - 10*X[7461] + 3*X[1722] + 4*X[2724] - 9*X[6341] + 11*X[7447] <= 8
model += 10*X[5055] - 12*X[6351] + 4*X[587] + 7*X[7081] + 2*X[4214] - 6*X[5040] - X[3591] + 13*X[1667] <= 16
model += 10*X[5971] + 7*X[3692] - 4*X[7494] - 12*X[5678] - 2*X[7657] + X[5476] + 6*X[5495] - 13*X[7419] <= 4
model += -X[5971] - 2*X[3692] + 6*X[7494] - 10*X[5678] + 3*X[7657] + 4*X[5476] - 9*X[5495] + 11*X[7419] <= 8
model += 10*X[6727] - 12*X[6826] + 4*X[1403] + 7*X[157] + 2*X[6870] - 6*X[3278] - X[5401] + 13*X[2865] <= 16
model += 10*X[7646] - 12*X[3694] + 4*X[6518] + 7*X[3730] + 2*X[5605] - 6*X[3864] - X[6020] + 13*X[931] <= 16
model += 10*X[5668] - 12*X[958] + 4*X[2308] + 7*X[5171] + 2*X[1284] - 6*X[7058] - X[4400] + 13*X[3375] <= 16
model += 10*X[1076] + 7*X[3770] - 4*X[4438] - 12*X[6878] - 2*X[7008] + X[5293] + 6*X[2732] - 13*X[5972] <= 4
model += -X[1076] - 2*X[3770] + 6*X[4438] - 10*X[6878] + 3*X[7008] + 4*X[5293] - 9*X[2732] + 11*X[5972] <= 8
model += 10*X[3647] - 12*X[5694] + 4*X[1467] + 7*X[3637] + 2*X[5139] - 6*X[7040] - X[5433] + 13*X[304] <= 16
model += 10*X[7087] + 7*X[3835] - 4*X[1696] - 12*X[3549] - 2*X[3810] + X[7614] + 6*X[4115] - 13*X[5958] <= 4
model += -X[7087] - 2*X[3835] + 6*X[1696] - 10*X[3549] + 3*X[3810] + 4*X[7614] - 9*X[4115] + 11*X[5958] <= 8
model += 10*X[6426] + 7*X[6446] - 4*X[4216] - 12*X[6057] - 2*X[2708] + X[6632] + 6*X[2078] - 13*X[5780] <= 4
model += -X[6426] - 2*X[6446] + 6*X[4216] - 10*X[6057] + 3*X[2708] + 4*X[6632] - 9*X[2078] + 11*X[5780] <= 8
model += 10*X[1205] - 12*X[485] + 4*X[2481] + 7*X[4059] + 2*X[5024] - 6*X[6788] - X[6778] + 13*X[1568] <= 16
model += 10*X[1812] - 12*X[7394] + 4*X[1482] + 7*X[2876] + 2*X[2825] - 6*X[4931] - X[4726] + 13*X[343] <= 16
model += 10*X[6879] + 7*X[5805] - 4*X[1164] - 12*X[4303] - 2*X[6852] + X[2469] + 6*X[2145] - 13*X[2849] <= 4
model += -X[6879] - 2*X[5805] + 6*X[1164] - 10*X[4303] + 3*X[6852] + 4*X[2469] - 9*X[2145] + 11*X[2849] <= 8
model += 10*X[1146] + 7*X[4790] - 4*X[7028] - 12*X[1948] - 2*X[2379] + X[3120] + 6*X[3584] - 13*X[6227] <= 4
model += -X[1146] - 2*X[4790] + 6*X[7028] - 10*X[1948] + 3*X[2379] + 4*X[3120] - 9*X[3584] + 11*X[6227] <= 8
model += 10*X[782] - 12*X[6920] + 4*X[2671] + 7*X[3148] + 2*X[4625] - 6*X[3333] - X[7239] + 13*X[1391] <= 16
model += 10*X[7273] + 7*X[2120] - 4*X[1520] - 12*X[3644] - 2*X[2602] + X[5457] + 6*X[7667] - 13*X[3425] <= 4
model += -X[7273] - 2*X[2120] + 6*X[1520] - 10*X[3644] + 3*X[2602] + 4*X[5457] - 9*X[7667] + 11*X[3425] <= 8
model += 10*X[5978] + 7*X[2438] - 4*X[2159] - 12*X[6194] - 2*X[6414] + X[2954] + 6*X[1871] - 13*X[2459] <= 4
model += -X[5978] - 2*X[2438] + 6*X[2159] - 10*X[6194] + 3*X[6414] + 4*X[2954] - 9*X[1871] + 11*X[2459] <= 8
model += 10*X[2164] - 12*X[6349] + 4*X[1917] + 7*X[1222] + 2*X[3024] - 6*X[5472] - X[340] + 13*X[7575] <= 16
model += 10*X[5822] + 7*X[4019] - 4*X[6438] - 12*X[7139] - 2*X[1283] + X[2573] + 6*X[2579] - 13*X[7704] <= 4
model += -X[5822] - 2*X[4019] + 6*X[6438] - 10*X[7139] + 3*X[1283] + 4*X[2573] - 9*X[2579] + 11*X[7704] <= 8
model += 10*X[415] - 12*X[7749] + 4*X[6198] + 7*X[1017] + 2*X[1837] - 6*X[1836] - X[6902] + 13*X[1626] <= 16
model += 10*X[3760] - 12*X[5360] + 4*X[3356] + 7*X[1464] + 2*X[814] - 6*X[2433] - X[1115] + 13*X[3304] <= 16
model += 10*X[7064] + 7*X[3989] - 4*X[3900] - 12*X[2943] - 2*X[4766] + X[4855] + 6*X[5842] - 13*X[7526] <= 4
model += -X[7064] - 2*X[3989] + 6*X[3900] - 10*X[2943] + 3*X[4766] + 4*X[4855] - 9*X[5842] + 11*X[7526] <= 8
model += 10*X[5228] - 12*X[944] + 4*X[6589] + 7*X[2463] + 2*X[1317] - 6*X[1914] - X[1531] + 13*X[6063] <= 16
model += 10*X[930] - 12*X[7029] + 4*X[5563] + 7*X[2726] + 2*X[2437] - 6*X[6578] - X[1193] + 13*X[1145] <= 16
model += 10*X[3378] + 7*X[2534] - 4*X[5456] - 12*X[1960] - 2*X[2483] + X[2434] + 6*X[4256] - 13*X[5283] <= 4
model += -X[3378] - 2*X[2534] + 6*X[5456] - 10*X[1960] + 3*X[2483] + 4*X[2434] - 9*X[4256] + 11*X[5283] <= 8
model += 10*X[4834] + 7*X[4389] - 4*X[6459] - 12*X[1795] - 2*X[1936] + X[5633] + 6*X[6006] - 13*X[6187] <= 4
model += -X[4834] - 2*X[4389] + 6*X[6459] - 10*X[1795] + 3*X[1936] + 4*X[5633] - 9*X[6006] + 11*X[6187] <= 8
model += 10*X[4270] - 12*X[227] + 4*X[1607] + 7*X[2889] + 2*X[3511] - 6*X[1008] - X[6904] + 13*X[2360] <= 16
model += 10*X[2305] - 12*X[421] + 4*X[5573] + 7*X[6135] + 2*X[2869] - 6*X[4918] - X[1861] + 13*X[4631] <= 16
model += 10*X[6542] + 7*X[1778] - 4*X[1789] - 12*X[5719] - 2*X[1951] + X[7152] + 6*X[4413] - 13*X[3238] <= 4
model += -X[6542] - 2*X[1778] + 6*X[1789] - 10*X[5719] + 3*X[1951] + 4*X[7152] - 9*X[4413] + 11*X[3238] <= 8
model += 10*X[1674] - 12*X[1757] + 4*X[4051] + 7*X[518] + 2*X[7218] - 6*X[1646] - X[6249] + 13*X[2017] <= 16
model += 10*X[5584] - 12*X[6401] + 4*X[804] + 7*X[4600] + 2*X[4382] - 6*X[6485] - X[4250] + 13*X[6551] <= 16
model += 10*X[6864] + 7*X[3817] - 4*X[4356] - 12*X[1342] - 2*X[7136] + X[6527] + 6*X[6819] - 13*X[1382] <= 4
model += -X[6864] - 2*X[3817] + 6*X[4356] - 10*X[1342] + 3*X[7136] + 4*X[6527] - 9*X[6819] + 11*X[1382] <= 8
model += 10*X[1281] + 7*X[3689] - 4*X[5749] - 12*X[3427] - 2*X[7373] + X[7519] + 6*X[6570] - 13*X[4525] <= 4
model += -X[1281] - 2*X[3689] + 6*X[5749] - 10*X[3427] + 3*X[7373] + 4*X[7519] - 9*X[6570] + 11*X[4525] <= 8
model += 10*X[1398] - 12*X[2572] + 4*X[1152] + 7*X[6927] + 2*X[1822] - 6*X[5620] - X[655] + 13*X[5897] <= 16
model += 10*X[7332] - 12*X[5705] + 4*X[1597] + 7*X[3569] + 2*X[1847] - 6*X[2348] - X[5941] + 13*X[439] <= 16
model += 10*X[6749] + 7*X[5442] - 4*X[6184] - 12*X[4864] - 2*X[1876] + X[3194] + 6*X[2785] - 13*X[5418] <= 4
model += -X[6749] - 2*X[5442] + 6*X[6184] - 10*X[4864] + 3*X[1876] + 4*X[3194] - 9*X[2785] + 11*X[5418] <= 8
model += 10*X[1394] - 12*X[4042] + 4*X[1021] + 7*X[1136] + 2*X[2263] - 6*X[6334] - X[2388] + 13*X[705] <= 16
model += 10*X[1287] + 7*X[6822] - 4*X[6892] - 12*X[3567] - 2*X[5529] + X[3837] + 6*X[3703] - 13*X[5832] <= 4
model += -X[1287] - 2*X[6822] + 6*X[6892] - 10*X[3567] + 3*X[5529] + 4*X[3837] - 9*X[3703] + 11*X[5832] <= 8
model += 10*X[293] - 12*X[3210] + 4*X[3924] + 7*X[2498] + 2*X[4863] - 6*X[6834] - X[2960] + 13*X[4921] <= 16
model += 10*X[6805] + 7*X[6015] - 4*X[4056] - 12*X[4830] - 2*X[7361] + X[7423] + 6*X[6978] - 13*X[1967] <= 4
model += -X[6805] - 2*X[6015] + 6*X[4056] - 10*X[4830] + 3*X[7361] + 4*X[7423] - 9*X[6978] + 11*X[1967] <= 8
model += 10*X[2080] - 12*X[4069] + 4*X[6362] + 7*X[6237] + 2*X[729] - 6*X[5995] - X[7390] + 13*X[6012] <= 16
model += 10*X[4135] + 7*X[1939] - 4*X[5512] - 12*X[4584] - 2*X[4427] + X[2148] + 6*X[3931] - 13*X[6516] <= 4
model += -X[4135] - 2*X[1939] + 6*X[5512] - 10*X[4584] + 3*X[4427] + 4*X[2148] - 9*X[3931] + 11*X[6516] <= 8
model += 10*X[5594] + 7*X[4431] - 4*X[3112] - 12*X[5382] - 2*X[2257] + X[3040] + 6*X[2368] - 13*X[3660] <= 4
model += -X[5594] - 2*X[4431] + 6*X[3112] - 10*X[5382] + 3*X[2257] + 4*X[3040] - 9*X[2368] + 11*X[3660] <= 8
model += 10*X[4037] - 12*X[6821] + 4*X[7248] + 7*X[3787] + 2*X[5409] - 6*X[6731] - X[1427] + 13*X[744] <= 16
model += 10*X[6171] - 12*X[1749] + 4*X[1841] + 7*X[3219] + 2*X[3717] - 6*X[1085] - X[276] + 13*X[4501] <= 16
model += 10*X[6777] - 12*X[4357] + 4*X[2311] + 7*X[673] + 2*X[3057] - 6*X[2239] - X[3825] + 13*X[7602] <= 16
model += 10*X[7312] + 7*X[4696] - 4*X[6076] - 12*X[1120] - 2*X[1485] + X[2155] + 6*X[6673] - 13*X[5517] <= 4
model += -X[7312] - 2*X[4696] + 6*X[6076] - 10*X[1120] + 3*X[1485] + 4*X[2155] - 9*X[6673] + 11*X[5517] <= 8
model += 10*X[6905] + 7*X[3099] - 4*X[5802] - 12*X[5959] - 2*X[5239] + X[1958] + 6*X[7446] - 13*X[1243] <= 4
model += -X[6905] - 2*X[3099] + 6*X[5802] - 10*X[5959] + 3*X[5239] + 4*X[1958] - 9*X[7446] + 11*X[1243] <= 8
model += 10*X[4425] + 7*X[6600] - 4*X[5547] - 12*X[2240] - 2*X[5524] + X[4629] + 6*X[6881] - 13*X[3497] <= 4
model += -X[4425] - 2*X[6600] + 6*X[5547] - 10*X[2240] + 3*X[5524] + 4*X[4629] - 9*X[6881] + 11*X[3497] <= 8
model += 10*X[6147] + 7*X[4530] - 4*X[5814] - 12*X[3641] - 2*X[6773] + X[7542] + 6*X[7017] - 13*X[4028] <= 4
model += -X[6147] - 2*X[4530] + 6*X[5814] - 10*X[3641] + 3*X[6773] + 4*X[7542] - 9*X[7017] + 11*X[4028] <= 8
model += 10*X[4482] + 7*X[4039] - 4*X[5069] - 12*X[2574] - 2*X[6295] + X[1191] + 6*X[3795] - 13*X[1150] <= 4
model += -X[4482] - 2*X[4039] + 6*X[5069] - 10*X[2574] + 3*X[6295] + 4*X[1191] - 9*X[3795] + 11*X[1150] <= 8
model += 10*X[2162] + 7*X[7205] - 4*X[5397] - 12*X[4767] - 2*X[4865] + X[3788] + 6*X[2803] - 13*X[6039] <= 4
model += -X[2162] - 2*X[7205] + 6*X[5397] - 10*X[4767] + 3*X[4865] + 4*X[3788] - 9*X[2803] + 11*X[6039] <= 8
model += 10*X[5684] - 12*X[234] + 4*X[4459] + 7*X[5276] + 2*X[5137] - 6*X[1559] - X[3696] + 13*X[6831] <= 16
model += 10*X[624] - 12*X[7070] + 4*X[6966] + 7*X[1363] + 2*X[6306] - 6*X[7649] - X[3289] + 13*X[1370] <= 16
model += 10*X[7670] + 7*X[4557] - 4*X[6159] - 12*X[2657] - 2*X[7771] + X[3402] + 6*X[1966] - 13*X[5362] <= 4
model += -X[7670] - 2*X[4557] + 6*X[6159] - 10*X[2657] + 3*X[7771] + 4*X[3402] - 9*X[1966] + 11*X[5362] <= 8
model += 10*X[5571] + 7*X[6521] - 4*X[1493] - 12*X[2012] - 2*X[7408] + X[2635] + 6*X[1668] - 13*X[4896] <= 4
model += -X[5571] - 2*X[6521] + 6*X[1493] - 10*X[2012] + 3*X[7408] + 4*X[2635] - 9*X[1668] + 11*X[4896] <= 8
model += 10*X[2819] - 12*X[817] + 4*X[4137] + 7*X[2445] + 2*X[7176] - 6*X[6348] - X[1999] + 13*X[4728] <= 16
model += 10*X[6375] - 12*X[3326] + 4*X[6263] + 7*X[3171] + 2*X[4851] - 6*X[2622] - X[406] + 13*X[2177] <= 16
model += 10*X[7078] + 7*X[6874] - 4*X[3277] - 12*X[7389] - 2*X[4332] + X[2581] + 6*X[5986] - 13*X[2058] <= 4
model += -X[7078] - 2*X[6874] + 6*X[3277] - 10*X[7389] + 3*X[4332] + 4*X[2581] - 9*X[5986] + 11*X[2058] <= 8
model += 10*X[3074] + 7*X[6490] - 4*X[7706] - 12*X[5179] - 2*X[5553] + X[6586] + 6*X[1808] - 13*X[5793] <= 4
model += -X[3074] - 2*X[6490] + 6*X[7706] - 10*X[5179] + 3*X[5553] + 4*X[6586] - 9*X[1808] + 11*X[5793] <= 8
model += 10*X[5010] - 12*X[7270] + 4*X[2077] + 7*X[3985] + 2*X[6900] - 6*X[1552] - X[5121] + 13*X[221] <= 16
model += 10*X[5646] - 12*X[1543] + 4*X[6108] + 7*X[555] + 2*X[6599] - 6*X[4759] - X[2653] + 13*X[4240] <= 16
model += 10*X[5231] + 7*X[4199] - 4*X[7386] - 12*X[4383] - 2*X[5957] + X[2129] + 6*X[6683] - 13*X[3691] <= 4
model += -X[5231] - 2*X[4199] + 6*X[7386] - 10*X[4383] + 3*X[5957] + 4*X[2129] - 9*X[6683] + 11*X[3691] <= 8
model += 10*X[3086] + 7*X[6930] - 4*X[5346] - 12*X[4735] - 2*X[3737] + X[2073] + 6*X[1527] - 13*X[1262] <= 4
model += -X[3086] - 2*X[6930] + 6*X[5346] - 10*X[4735] + 3*X[3737] + 4*X[2073] - 9*X[1527] + 11*X[1262] <= 8
model += 10*X[3432] - 12*X[3026] + 4*X[966] + 7*X[6630] + 2*X[2851] - 6*X[1675] - X[3616] + 13*X[2068] <= 16
model += 10*X[7718] + 7*X[3049] - 4*X[4215] - 12*X[2147] - 2*X[3767] + X[1509] + 6*X[2215] - 13*X[5658] <= 4
model += -X[7718] - 2*X[3049] + 6*X[4215] - 10*X[2147] + 3*X[3767] + 4*X[1509] - 9*X[2215] + 11*X[5658] <= 8
model += 10*X[3626] - 12*X[3136] + 4*X[605] + 7*X[5949] + 2*X[5901] - 6*X[4885] - X[4248] + 13*X[2614] <= 16
model += 10*X[4738] - 12*X[3156] + 4*X[1927] + 7*X[2991] + 2*X[1271] - 6*X[628] - X[2500] + 13*X[2834] <= 16
model += 10*X[6211] + 7*X[5487] - 4*X[2691] - 12*X[7475] - 2*X[2104] + X[3873] + 6*X[7694] - 13*X[2427] <= 4
model += -X[6211] - 2*X[5487] + 6*X[2691] - 10*X[7475] + 3*X[2104] + 4*X[3873] - 9*X[7694] + 11*X[2427] <= 8
model += 10*X[2822] + 7*X[5944] - 4*X[2317] - 12*X[7636] - 2*X[5464] + X[3802] + 6*X[4857] - 13*X[7700] <= 4
model += -X[2822] - 2*X[5944] + 6*X[2317] - 10*X[7636] + 3*X[5464] + 4*X[3802] - 9*X[4857] + 11*X[7700] <= 8
model += 10*X[614] - 12*X[7741] + 4*X[5931] + 7*X[6430] + 2*X[7582] - 6*X[4957] - X[6268] + 13*X[3419] <= 16
model += 10*X[4642] + 7*X[7442] - 4*X[1491] - 12*X[6369] - 2*X[7282] + X[6106] + 6*X[2244] - 13*X[6319] <= 4
model += -X[4642] - 2*X[7442] + 6*X[1491] - 10*X[6369] + 3*X[7282] + 4*X[6106] - 9*X[2244] + 11*X[6319] <= 8
model += 10*X[2338] + 7*X[3814] - 4*X[5997] - 12*X[6503] - 2*X[1764] + X[1383] + 6*X[5655] - 13*X[1455] <= 4
model += -X[2338] - 2*X[3814] + 6*X[5997] - 10*X[6503] + 3*X[1764] + 4*X[1383] - 9*X[5655] + 11*X[1455] <= 8
model += 10*X[6229] - 12*X[3259] + 4*X[7454] + 7*X[2232] + 2*X[5086] - 6*X[1611] - X[3329] + 13*X[303] <= 16
model += 10*X[7122] + 7*X[3916] - 4*X[3493] - 12*X[1869] - 2*X[4560] + X[2005] + 6*X[4843] - 13*X[7692] <= 4
model += -X[7122] - 2*X[3916] + 6*X[3493] - 10*X[1869] + 3*X[4560] + 4*X[2005] - 9*X[4843] + 11*X[7692] <= 8
model += 10*X[1704] - 12*X[7608] + 4*X[2114] + 7*X[4229] + 2*X[891] - 6*X[4513] - X[3381] + 13*X[6386] <= 16
model += 10*X[6046] + 7*X[5309] - 4*X[1932] - 12*X[5034] - 2*X[2723] + X[4788] + 6*X[4510] - 13*X[1548] <= 4
model += -X[6046] - 2*X[5309] + 6*X[1932] - 10*X[5034] + 3*X[2723] + 4*X[4788] - 9*X[4510] + 11*X[1548] <= 8
model += 10*X[4548] + 7*X[2384] - 4*X[6366] - 12*X[5925] - 2*X[5619] + X[1449] + 6*X[3125] - 13*X[3160] <= 4
model += -X[4548] - 2*X[2384] + 6*X[6366] - 10*X[5925] + 3*X[5619] + 4*X[1449] - 9*X[3125] + 11*X[3160] <= 8
model += 10*X[2497] - 12*X[6315] + 4*X[6379] + 7*X[1196] + 2*X[5260] - 6*X[4618] - X[366] + 13*X[5019] <= 16
model += 10*X[123] - 12*X[2948] + 4*X[6221] + 7*X[4081] + 2*X[4999] - 6*X[7393] - X[1900] + 13*X[3762] <= 16
model += 10*X[1833] - 12*X[1176] + 4*X[5687] + 7*X[2806] + 2*X[538] - 6*X[2935] - X[5081] + 13*X[3317] <= 16
model += 10*X[6019] - 12*X[5253] + 4*X[2506] + 7*X[1332] + 2*X[6873] - 6*X[5543] - X[145] + 13*X[6219] <= 16
model += 10*X[6576] + 7*X[3200] - 4*X[4953] - 12*X[4426] - 2*X[2730] + X[1175] + 6*X[6311] - 13*X[1385] <= 4
model += -X[6576] - 2*X[3200] + 6*X[4953] - 10*X[4426] + 3*X[2730] + 4*X[1175] - 9*X[6311] + 11*X[1385] <= 8
model += 10*X[6078] - 12*X[6657] + 4*X[5176] + 7*X[1940] + 2*X[7051] - 6*X[870] - X[4325] + 13*X[7215] <= 16
model += 10*X[6569] - 12*X[1784] + 4*X[1488] + 7*X[5782] + 2*X[5647] - 6*X[6912] - X[128] + 13*X[7727] <= 16
model += 10*X[551] - 12*X[4179] + 4*X[1848] + 7*X[7191] + 2*X[2697] - 6*X[1303] - X[1258] + 13*X[4933] <= 16
model += 10*X[4809] - 12*X[4898] + 4*X[2398] + 7*X[1947] + 2*X[7206] - 6*X[1773] - X[454] + 13*X[5871] <= 16
model += 10*X[7200] + 7*X[3272] - 4*X[4016] - 12*X[6324] - 2*X[3465] + X[1714] + 6*X[2269] - 13*X[7627] <= 4
model += -X[7200] - 2*X[3272] + 6*X[4016] - 10*X[6324] + 3*X[3465] + 4*X[1714] - 9*X[2269] + 11*X[7627] <= 8
model += 10*X[1583] + 7*X[1741] - 4*X[7093] - 12*X[2660] - 2*X[5416] + X[4518] + 6*X[6889] - 13*X[2717] <= 4
model += -X[1583] - 2*X[1741] + 6*X[7093] - 10*X[2660] + 3*X[5416] + 4*X[4518] - 9*X[6889] + 11*X[2717] <= 8
model += 10*X[3046] + 7*X[4771] - 4*X[4184] - 12*X[2921] - 2*X[2426] + X[7134] + 6*X[3431] - 13*X[1589] <= 4
model += -X[3046] - 2*X[4771] + 6*X[4184] - 10*X[2921] + 3*X[2426] + 4*X[7134] - 9*X[3431] + 11*X[1589] <= 8
model += 10*X[3426] + 7*X[3620] - 4*X[5250] - 12*X[3982] - 2*X[5326] + X[1896] + 6*X[7068] - 13*X[4682] <= 4
model += -X[3426] - 2*X[3620] + 6*X[5250] - 10*X[3982] + 3*X[5326] + 4*X[1896] - 9*X[7068] + 11*X[4682] <= 8
model += 10*X[5428] - 12*X[7005] + 4*X[3627] + 7*X[6667] + 2*X[6331] - 6*X[3062] - X[757] + 13*X[7119] <= 16
model += 10*X[2158] + 7*X[3901] - 4*X[7561] - 12*X[7345] - 2*X[1895] + X[7326] + 6*X[3964] - 13*X[7612] <= 4
model += -X[2158] - 2*X[3901] + 6*X[7561] - 10*X[7345] + 3*X[1895] + 4*X[7326] - 9*X[3964] + 11*X[7612] <= 8
model += 10*X[5144] + 7*X[3034] - 4*X[3709] - 12*X[7574] - 2*X[2741] + X[6684] + 6*X[4852] - 13*X[6704] <= 4
model += -X[5144] - 2*X[3034] + 6*X[3709] - 10*X[7574] + 3*X[2741] + 4*X[6684] - 9*X[4852] + 11*X[6704] <= 8
model += 10*X[2318] - 12*X[1790] + 4*X[4002] + 7*X[3300] + 2*X[2933] - 6*X[6977] - X[301] + 13*X[6552] <= 16
model += 10*X[6536] - 12*X[4719] + 4*X[1537] + 7*X[6642] + 2*X[4670] - 6*X[491] - X[2396] + 13*X[7620] <= 16
model += 10*X[7277] + 7*X[3416] - 4*X[7633] - 12*X[1473] - 2*X[6418] + X[2678] + 6*X[1576] - 13*X[7464] <= 4
model += -X[7277] - 2*X[3416] + 6*X[7633] - 10*X[1473] + 3*X[6418] + 4*X[2678] - 9*X[1576] + 11*X[7464] <= 8
model += 10*X[2715] + 7*X[1015] - 4*X[4084] - 12*X[3429] - 2*X[2736] + X[1288] + 6*X[3036] - 13*X[4867] <= 4
model += -X[2715] - 2*X[1015] + 6*X[4084] - 10*X[3429] + 3*X[2736] + 4*X[1288] - 9*X[3036] + 11*X[4867] <= 8
model += 10*X[5262] - 12*X[5332] + 4*X[3342] + 7*X[4010] + 2*X[5318] - 6*X[664] - X[2375] + 13*X[5952] <= 16
model += 10*X[5159] - 12*X[5481] + 4*X[4713] + 7*X[3045] + 2*X[573] - 6*X[6274] - X[2612] + 13*X[3860] <= 16
model += 10*X[2045] - 12*X[6507] + 4*X[4680] + 7*X[4257] + 2*X[5343] - 6*X[488] - X[7707] + 13*X[1348] <= 16
model += 10*X[4633] + 7*X[4712] - 4*X[5970] - 12*X[4526] - 2*X[1686] + X[7311] + 6*X[2157] - 13*X[3164] <= 4
model += -X[4633] - 2*X[4712] + 6*X[5970] - 10*X[4526] + 3*X[1686] + 4*X[7311] - 9*X[2157] + 11*X[3164] <= 8
model += 10*X[4276] + 7*X[4138] - 4*X[4729] - 12*X[1432] - 2*X[1508] + X[4892] + 6*X[1336] - 13*X[7615] <= 4
model += -X[4276] - 2*X[4138] + 6*X[4729] - 10*X[1432] + 3*X[1508] + 4*X[4892] - 9*X[1336] + 11*X[7615] <= 8
model += 10*X[5508] - 12*X[1267] + 4*X[7609] + 7*X[2839] + 2*X[277] - 6*X[2747] - X[7448] + 13*X[3168] <= 16
model += 10*X[6909] - 12*X[7683] + 4*X[6467] + 7*X[4540] + 2*X[756] - 6*X[4170] - X[6044] + 13*X[6137] <= 16
model += 10*X[3846] + 7*X[7560] - 4*X[6003] - 12*X[6999] - 2*X[3975] + X[2531] + 6*X[6199] - 13*X[5585] <= 4
model += -X[3846] - 2*X[7560] + 6*X[6003] - 10*X[6999] + 3*X[3975] + 4*X[2531] - 9*X[6199] + 11*X[5585] <= 8
model += 10*X[5634] - 12*X[560] + 4*X[2941] + 7*X[5105] + 2*X[2965] - 6*X[2341] - X[7498] + 13*X[5650] <= 16
model += 10*X[3245] - 12*X[7169] + 4*X[1352] + 7*X[3673] + 2*X[4585] - 6*X[5290] - X[6013] + 13*X[339] <= 16
model += 10*X[620] - 12*X[4091] + 4*X[6164] + 7*X[1433] + 2*X[7573] - 6*X[3740] - X[6451] + 13*X[4252] <= 16
model += 10*X[3072] - 12*X[5240] + 4*X[6124] + 7*X[329] + 2*X[5792] - 6*X[2763] - X[2389] + 13*X[2766] <= 16
model += 10*X[1291] + 7*X[5184] - 4*X[4517] - 12*X[6437] - 2*X[6748] + X[1250] + 6*X[7402] - 13*X[4060] <= 4
model += -X[1291] - 2*X[5184] + 6*X[4517] - 10*X[6437] + 3*X[6748] + 4*X[1250] - 9*X[7402] + 11*X[4060] <= 8
model += 10*X[2334] + 7*X[3629] - 4*X[6265] - 12*X[7376] - 2*X[1105] + X[2879] + 6*X[5311] - 13*X[1580] <= 4
model += -X[2334] - 2*X[3629] + 6*X[6265] - 10*X[7376] + 3*X[1105] + 4*X[2879] - 9*X[5311] + 11*X[1580] <= 8
model += 10*X[3937] - 12*X[7418] + 4*X[6720] + 7*X[4070] + 2*X[1112] - 6*X[269] - X[4639] + 13*X[3726] <= 16
model += 10*X[3473] + 7*X[5640] - 4*X[3553] - 12*X[3746] - 2*X[4730] + X[3571] + 6*X[2431] - 13*X[5407] <= 4
model += -X[3473] - 2*X[5640] + 6*X[3553] - 10*X[3746] + 3*X[4730] + 4*X[3571] - 9*X[2431] + 11*X[5407] <= 8
model += 10*X[6995] + 7*X[7057] - 4*X[6070] - 12*X[6792] - 2*X[6587] + X[2462] + 6*X[1894] - 13*X[1328] <= 4
model += -X[6995] - 2*X[7057] + 6*X[6070] - 10*X[6792] + 3*X[6587] + 4*X[2462] - 9*X[1894] + 11*X[1328] <= 8
model += 10*X[4281] - 12*X[1676] + 4*X[903] + 7*X[5961] + 2*X[4567] - 6*X[3909] - X[6886] + 13*X[3944] <= 16
model += 10*X[6713] - 12*X[6008] + 4*X[862] + 7*X[7109] + 2*X[4288] - 6*X[4553] - X[4221] + 13*X[1361] <= 16
model += 10*X[7258] - 12*X[505] + 4*X[6597] + 7*X[5732] + 2*X[1660] - 6*X[4686] - X[4145] + 13*X[6216] <= 16
model += 10*X[1030] - 12*X[2064] + 4*X[3739] + 7*X[380] + 2*X[4948] - 6*X[6151] - X[3801] + 13*X[4982] <= 16
model += 10*X[7443] + 7*X[5638] - 4*X[3563] - 12*X[6756] - 2*X[5769] + X[2393] + 6*X[2995] - 13*X[1533] <= 4
model += -X[7443] - 2*X[5638] + 6*X[3563] - 10*X[6756] + 3*X[5769] + 4*X[2393] - 9*X[2995] + 11*X[1533] <= 8
model += 10*X[1292] - 12*X[7510] + 4*X[552] + 7*X[1796] + 2*X[1615] - 6*X[5886] - X[3101] + 13*X[1167] <= 16
model += 10*X[5742] - 12*X[3063] + 4*X[3305] + 7*X[2650] + 2*X[6655] - 6*X[4664] - X[4989] + 13*X[351] <= 16
model += 10*X[5557] + 7*X[3678] - 4*X[6105] - 12*X[6051] - 2*X[4803] + X[6670] + 6*X[3870] - 13*X[2750] <= 4
model += -X[5557] - 2*X[3678] + 6*X[6105] - 10*X[6051] + 3*X[4803] + 4*X[6670] - 9*X[3870] + 11*X[2750] <= 8
model += 10*X[2728] + 7*X[3759] - 4*X[5434] - 12*X[5016] - 2*X[1678] + X[6544] + 6*X[6488] - 13*X[5954] <= 4
model += -X[2728] - 2*X[3759] + 6*X[5434] - 10*X[5016] + 3*X[1678] + 4*X[6544] - 9*X[6488] + 11*X[5954] <= 8
model += 10*X[6737] + 7*X[1362] - 4*X[2742] - 12*X[3100] - 2*X[2031] + X[3135] + 6*X[5375] - 13*X[3799] <= 4
model += -X[6737] - 2*X[1362] + 6*X[2742] - 10*X[3100] + 3*X[2031] + 4*X[3135] - 9*X[5375] + 11*X[3799] <= 8
model += 10*X[4074] - 12*X[6422] + 4*X[2765] + 7*X[2302] + 2*X[3776] - 6*X[667] - X[6139] + 13*X[3977] <= 16
model += 10*X[5115] + 7*X[6493] - 4*X[5541] - 12*X[5194] - 2*X[3023] + X[3176] + 6*X[7493] - 13*X[7751] <= 4
model += -X[5115] - 2*X[6493] + 6*X[5541] - 10*X[5194] + 3*X[3023] + 4*X[3176] - 9*X[7493] + 11*X[7751] <= 8
model += 10*X[3322] + 7*X[2901] - 4*X[2322] - 12*X[5406] - 2*X[4846] + X[1265] + 6*X[1226] - 13*X[4237] <= 4
model += -X[3322] - 2*X[2901] + 6*X[2322] - 10*X[5406] + 3*X[4846] + 4*X[1265] - 9*X[1226] + 11*X[4237] <= 8
model += 10*X[3552] + 7*X[4311] - 4*X[6866] - 12*X[3674] - 2*X[6957] + X[3005] + 6*X[2877] - 13*X[2604] <= 4
model += -X[3552] - 2*X[4311] + 6*X[6866] - 10*X[3674] + 3*X[6957] + 4*X[3005] - 9*X[2877] + 11*X[2604] <= 8
model += 10*X[5922] - 12*X[5001] + 4*X[6953] + 7*X[1524] + 2*X[877] - 6*X[6747] - X[1231] + 13*X[2016] <= 16
model += 10*X[6463] - 12*X[2514] + 4*X[603] + 7*X[2245] + 2*X[6466] - 6*X[5469] - X[7617] + 13*X[3917] <= 16
model += 10*X[4757] - 12*X[6534] + 4*X[658] + 7*X[2465] + 2*X[1911] - 6*X[2346] - X[3423] + 13*X[5764] <= 16
model += 10*X[5498] + 7*X[4588] - 4*X[1099] - 12*X[7388] - 2*X[5338] + X[5450] + 6*X[3725] - 13*X[3556] <= 4
model += -X[5498] - 2*X[4588] + 6*X[1099] - 10*X[7388] + 3*X[5338] + 4*X[5450] - 9*X[3725] + 11*X[3556] <= 8
model += 10*X[5172] + 7*X[3406] - 4*X[6043] - 12*X[6885] - 2*X[3865] + X[5781] + 6*X[7234] - 13*X[1504] <= 4
model += -X[5172] - 2*X[3406] + 6*X[6043] - 10*X[6885] + 3*X[3865] + 4*X[5781] - 9*X[7234] + 11*X[1504] <= 8
model += 10*X[5237] - 12*X[1277] + 4*X[4821] + 7*X[2969] + 2*X[687] - 6*X[7465] - X[3433] + 13*X[7495] <= 16
model += 10*X[3708] - 12*X[4068] + 4*X[3390] + 7*X[1858] + 2*X[6690] - 6*X[2784] - X[1023] + 13*X[537] <= 16
model += 10*X[5570] + 7*X[7154] - 4*X[5642] - 12*X[4340] - 2*X[2307] + X[7211] + 6*X[5365] - 13*X[5085] <= 4
model += -X[5570] - 2*X[7154] + 6*X[5642] - 10*X[4340] + 3*X[2307] + 4*X[7211] - 9*X[5365] + 11*X[5085] <= 8
model += 10*X[4304] + 7*X[2376] - 4*X[7082] - 12*X[7471] - 2*X[5412] + X[1549] + 6*X[6417] - 13*X[1983] <= 4
model += -X[4304] - 2*X[2376] + 6*X[7082] - 10*X[7471] + 3*X[5412] + 4*X[1549] - 9*X[6417] + 11*X[1983] <= 8
model += 10*X[6068] + 7*X[7199] - 4*X[5391] - 12*X[3936] - 2*X[4796] + X[1323] + 6*X[2071] - 13*X[4264] <= 4
model += -X[6068] - 2*X[7199] + 6*X[5391] - 10*X[3936] + 3*X[4796] + 4*X[1323] - 9*X[2071] + 11*X[4264] <= 8
model += 10*X[5120] - 12*X[1234] + 4*X[1501] + 7*X[1661] + 2*X[4492] - 6*X[5185] - X[2810] + 13*X[545] <= 16
model += 10*X[4616] - 12*X[6816] + 4*X[6325] + 7*X[869] + 2*X[6439] - 6*X[1564] - X[3605] + 13*X[1541] <= 16
model += 10*X[4280] + 7*X[2199] - 4*X[2710] - 12*X[7121] - 2*X[4832] + X[3388] + 6*X[6775] - 13*X[5798] <= 4
model += -X[4280] - 2*X[2199] + 6*X[2710] - 10*X[7121] + 3*X[4832] + 4*X[3388] - 9*X[6775] + 11*X[5798] <= 8
model += 10*X[4222] + 7*X[6388] - 4*X[2625] - 12*X[3974] - 2*X[2029] + X[1767] + 6*X[5896] - 13*X[6639] <= 4
model += -X[4222] - 2*X[6388] + 6*X[2625] - 10*X[3974] + 3*X[2029] + 4*X[1767] - 9*X[5896] + 11*X[6639] <= 8
model += 10*X[7428] + 7*X[7786] - 4*X[6292] - 12*X[4205] - 2*X[5921] + X[6514] + 6*X[5028] - 13*X[1055] <= 4
model += -X[7428] - 2*X[7786] + 6*X[6292] - 10*X[4205] + 3*X[5921] + 4*X[6514] - 9*X[5028] + 11*X[1055] <= 8
model += 10*X[3733] + 7*X[6960] - 4*X[4384] - 12*X[4306] - 2*X[7467] + X[3128] + 6*X[7643] - 13*X[1013] <= 4
model += -X[3733] - 2*X[6960] + 6*X[4384] - 10*X[4306] + 3*X[7467] + 4*X[3128] - 9*X[7643] + 11*X[1013] <= 8
model += 10*X[5892] + 7*X[1838] - 4*X[2843] - 12*X[4381] - 2*X[6505] + X[2229] + 6*X[6154] - 13*X[2727] <= 4
model += -X[5892] - 2*X[1838] + 6*X[2843] - 10*X[4381] + 3*X[6505] + 4*X[2229] - 9*X[6154] + 11*X[2727] <= 8
model += 10*X[4390] - 12*X[736] + 4*X[2535] + 7*X[5411] + 2*X[3896] - 6*X[5278] - X[2504] + 13*X[4352] <= 16
model += 10*X[3383] + 7*X[1154] - 4*X[6150] - 12*X[5370] - 2*X[2675] + X[1697] + 6*X[5289] - 13*X[6602] <= 4
model += -X[3383] - 2*X[1154] + 6*X[6150] - 10*X[5370] + 3*X[2675] + 4*X[1697] - 9*X[5289] + 11*X[6602] <= 8
model += 10*X[2779] - 12*X[1618] + 4*X[4086] + 7*X[6069] + 2*X[3862] - 6*X[218] - X[3540] + 13*X[1621] <= 16
model += 10*X[1987] - 12*X[295] + 4*X[7338] + 7*X[1716] + 2*X[7765] - 6*X[2161] - X[5588] + 13*X[6611] <= 16
model += 10*X[6182] - 12*X[4454] + 4*X[964] + 7*X[2118] + 2*X[3607] - 6*X[4676] - X[5157] + 13*X[4888] <= 16
model += 10*X[4929] + 7*X[4449] - 4*X[3667] - 12*X[6142] - 2*X[3558] + X[4152] + 6*X[1544] - 13*X[2174] <= 4
model += -X[4929] - 2*X[4449] + 6*X[3667] - 10*X[6142] + 3*X[3558] + 4*X[4152] - 9*X[1544] + 11*X[2174] <= 8
model += 10*X[5840] - 12*X[4327] + 4*X[5216] + 7*X[6014] + 2*X[297] - 6*X[4474] - X[2873] + 13*X[7417] <= 16
model += 10*X[3613] + 7*X[3771] - 4*X[1366] - 12*X[4336] - 2*X[3866] + X[5613] + 6*X[2854] - 13*X[6814] <= 4
model += -X[3613] - 2*X[3771] + 6*X[1366] - 10*X[4336] + 3*X[3866] + 4*X[5613] - 9*X[2854] + 11*X[6814] <= 8
model += 10*X[5846] + 7*X[5527] - 4*X[1179] - 12*X[4668] - 2*X[1563] + X[1392] + 6*X[5722] - 13*X[5243] <= 4
model += -X[5846] - 2*X[5527] + 6*X[1179] - 10*X[4668] + 3*X[1563] + 4*X[1392] - 9*X[5722] + 11*X[5243] <= 8
model += 10*X[1598] + 7*X[2217] - 4*X[3314] - 12*X[6185] - 2*X[4041] + X[1216] + 6*X[7737] - 13*X[4206] <= 4
model += -X[1598] - 2*X[2217] + 6*X[3314] - 10*X[6185] + 3*X[4041] + 4*X[1216] - 9*X[7737] + 11*X[4206] <= 8
model += 10*X[7096] - 12*X[3506] + 4*X[159] + 7*X[6186] + 2*X[4279] - 6*X[4337] - X[1148] + 13*X[4151] <= 16
model += 10*X[546] - 12*X[5164] + 4*X[5706] + 7*X[2135] + 2*X[3055] - 6*X[4591] - X[3963] + 13*X[2526] <= 16
model += 10*X[4023] - 12*X[2106] + 4*X[1244] + 7*X[4545] + 2*X[2673] - 6*X[7738] - X[106] + 13*X[3212] <= 16
model += 10*X[6181] + 7*X[3189] - 4*X[7767] - 12*X[5483] - 2*X[1779] + X[2917] + 6*X[3520] - 13*X[6242] <= 4
model += -X[6181] - 2*X[3189] + 6*X[7767] - 10*X[5483] + 3*X[1779] + 4*X[2917] - 9*X[3520] + 11*X[6242] <= 8
model += 10*X[6122] + 7*X[5021] - 4*X[7181] - 12*X[1264] - 2*X[6509] + X[2559] + 6*X[7578] - 13*X[7391] <= 4
model += -X[6122] - 2*X[5021] + 6*X[7181] - 10*X[1264] + 3*X[6509] + 4*X[2559] - 9*X[7578] + 11*X[7391] <= 8
model += 10*X[2647] - 12*X[4943] + 4*X[6933] + 7*X[6574] + 2*X[5617] - 6*X[529] - X[6626] + 13*X[7705] <= 16
model += 10*X[850] - 12*X[1942] + 4*X[5062] + 7*X[3915] + 2*X[3054] - 6*X[1251] - X[6045] + 13*X[6768] <= 16
model += 10*X[5660] + 7*X[6326] - 4*X[6851] - 12*X[5777] - 2*X[6965] + X[1298] + 6*X[5102] - 13*X[2141] <= 4
model += -X[5660] - 2*X[6326] + 6*X[6851] - 10*X[5777] + 3*X[6965] + 4*X[1298] - 9*X[5102] + 11*X[2141] <= 8
model += 10*X[7531] - 12*X[2544] + 4*X[5984] + 7*X[5064] + 2*X[4698] - 6*X[4142] - X[379] + 13*X[4075] <= 16
model += 10*X[2193] - 12*X[1799] + 4*X[1203] + 7*X[1733] + 2*X[6797] - 6*X[2027] - X[7242] + 13*X[690] <= 16
model += 10*X[3452] + 7*X[3089] - 4*X[4211] - 12*X[7535] - 2*X[7378] + X[1586] + 6*X[6166] - 13*X[1810] <= 4
model += -X[3452] - 2*X[3089] + 6*X[4211] - 10*X[7535] + 3*X[7378] + 4*X[1586] - 9*X[6166] + 11*X[1810] <= 8
model += 10*X[6680] + 7*X[3958] - 4*X[7678] - 12*X[6158] - 2*X[1272] + X[2057] + 6*X[2354] - 13*X[7348] <= 4
model += -X[6680] - 2*X[3958] + 6*X[7678] - 10*X[6158] + 3*X[1272] + 4*X[2057] - 9*X[2354] + 11*X[7348] <= 8
model += 10*X[307] - 12*X[6270] + 4*X[1791] + 7*X[3528] + 2*X[5843] - 6*X[7778] - X[3093] + 13*X[2377] <= 16
model += 10*X[4223] - 12*X[582] + 4*X[7387] + 7*X[2731] + 2*X[4586] - 6*X[3167] - X[7550] + 13*X[4570] <= 16
model += 10*X[6743] + 7*X[4193] - 4*X[5175] - 12*X[3743] - 2*X[7676] + X[6694] + 6*X[5776] - 13*X[7159] <= 4
model += -X[6743] - 2*X[4193] + 6*X[5175] - 10*X[3743] + 3*X[7676] + 4*X[6694] - 9*X[5776] + 11*X[7159] <= 8
model += 10*X[370] - 12*X[7255] + 4*X[6653] + 7*X[4423] + 2*X[5031] - 6*X[5242] - X[3232] + 13*X[2830] <= 16
model += 10*X[575] - 12*X[6675] + 4*X[6877] + 7*X[1981] + 2*X[7012] - 6*X[5005] - X[4648] + 13*X[1680] <= 16
model += 10*X[5635] - 12*X[7085] + 4*X[6267] + 7*X[1305] + 2*X[6681] - 6*X[3411] - X[299] + 13*X[6806] <= 16
model += 10*X[1404] + 7*X[7726] - 4*X[5710] - 12*X[1802] - 2*X[5994] + X[6179] + 6*X[4645] - 13*X[6004] <= 4
model += -X[1404] - 2*X[7726] + 6*X[5710] - 10*X[1802] + 3*X[5994] + 4*X[6179] - 9*X[4645] + 11*X[6004] <= 8
model += 10*X[3441] - 12*X[521] + 4*X[1672] + 7*X[7178] + 2*X[7301] - 6*X[7735] - X[2441] + 13*X[7788] <= 16
model += 10*X[7313] - 12*X[4347] + 4*X[5631] + 7*X[3838] + 2*X[5779] - 6*X[4355] - X[906] + 13*X[3893] <= 16
model += 10*X[4684] + 7*X[4727] - 4*X[5281] - 12*X[5827] - 2*X[1497] + X[2880] + 6*X[1337] - 13*X[7128] <= 4
model += -X[4684] - 2*X[4727] + 6*X[5281] - 10*X[5827] + 3*X[1497] + 4*X[2880] - 9*X[1337] + 11*X[7128] <= 8
model += 10*X[204] - 12*X[4009] + 4*X[3268] + 7*X[5980] + 2*X[5604] - 6*X[3676] - X[5236] + 13*X[5358] <= 16
model += 10*X[600] - 12*X[5977] + 4*X[7758] + 7*X[6530] + 2*X[7349] - 6*X[4634] - X[2087] + 13*X[6024] <= 16
model += 10*X[6607] + 7*X[5610] - 4*X[3815] - 12*X[1699] - 2*X[6206] + X[6146] + 6*X[2626] - 13*X[5153] <= 4
model += -X[6607] - 2*X[5610] + 6*X[3815] - 10*X[1699] + 3*X[6206] + 4*X[6146] - 9*X[2626] + 11*X[5153] <= 8
model += 10*X[5387] + 7*X[5152] - 4*X[2371] - 12*X[5996] - 2*X[1569] + X[6627] + 6*X[4083] - 13*X[2641] <= 4
model += -X[5387] - 2*X[5152] + 6*X[2371] - 10*X[5996] + 3*X[1569] + 4*X[6627] - 9*X[4083] + 11*X[2641] <= 8
model += 10*X[7309] + 7*X[5199] - 4*X[6335] - 12*X[5754] - 2*X[3105] + X[3213] + 6*X[4301] - 13*X[1878] <= 4
model += -X[7309] - 2*X[5199] + 6*X[6335] - 10*X[5754] + 3*X[3105] + 4*X[3213] - 9*X[4301] + 11*X[1878] <= 8
model += 10*X[1101] - 12*X[7430] + 4*X[1122] + 7*X[4998] + 2*X[7283] - 6*X[3960] - X[3078] + 13*X[203] <= 16
model += 10*X[137] - 12*X[6223] + 4*X[3727] + 7*X[3028] + 2*X[7120] - 6*X[3265] - X[6475] + 13*X[2737] <= 16
model += 10*X[6119] + 7*X[4476] - 4*X[3714] - 12*X[6784] - 2*X[5049] + X[5225] + 6*X[7597] - 13*X[6305] <= 4
model += -X[6119] - 2*X[4476] + 6*X[3714] - 10*X[6784] + 3*X[5049] + 4*X[5225] - 9*X[7597] + 11*X[6305] <= 8
model += 10*X[5232] + 7*X[4919] - 4*X[7610] - 12*X[5665] - 2*X[5317] + X[6501] + 6*X[1442] - 13*X[7593] <= 4
model += -X[5232] - 2*X[4919] + 6*X[7610] - 10*X[5665] + 3*X[5317] + 4*X[6501] - 9*X[1442] + 11*X[7593] <= 8
model += 10*X[1610] + 7*X[6192] - 4*X[5022] - 12*X[2716] - 2*X[4874] + X[2515] + 6*X[2556] - 13*X[5559] <= 4
model += -X[1610] - 2*X[6192] + 6*X[5022] - 10*X[2716] + 3*X[4874] + 4*X[2515] - 9*X[2556] + 11*X[5559] <= 8
model += 10*X[6637] + 7*X[4299] - 4*X[4574] - 12*X[3121] - 2*X[4985] + X[2208] + 6*X[2430] - 13*X[5133] <= 4
model += -X[6637] - 2*X[4299] + 6*X[4574] - 10*X[3121] + 3*X[4985] + 4*X[2208] - 9*X[2430] + 11*X[5133] <= 8
model += 10*X[3932] - 12*X[2844] + 4*X[2543] + 7*X[1798] + 2*X[7257] - 6*X[5393] - X[143] + 13*X[6483] <= 16
model += 10*X[1413] + 7*X[3158] - 4*X[2694] - 12*X[5356] - 2*X[2387] + X[3321] + 6*X[3598] - 13*X[1049] <= 4
model += -X[1413] - 2*X[3158] + 6*X[2694] - 10*X[5356] + 3*X[2387] + 4*X[3321] - 9*X[3598] + 11*X[1049] <= 8
model += 10*X[1550] + 7*X[6082] - 4*X[4341] - 12*X[5911] - 2*X[2335] + X[1921] + 6*X[5867] - 13*X[3973] <= 4
model += -X[1550] - 2*X[6082] + 6*X[4341] - 10*X[5911] + 3*X[2335] + 4*X[1921] - 9*X[5867] + 11*X[3973] <= 8
model += 10*X[7721] - 12*X[4848] + 4*X[7305] + 7*X[7628] + 2*X[3374] - 6*X[4878] - X[680] + 13*X[3229] <= 16
model += 10*X[3006] + 7*X[1280] - 4*X[4483] - 12*X[2809] - 2*X[2115] + X[2871] + 6*X[7247] - 13*X[7607] <= 4
model += -X[3006] - 2*X[1280] + 6*X[4483] - 10*X[2809] + 3*X[2115] + 4*X[2871] - 9*X[7247] + 11*X[7607] <= 8
model += 10*X[3559] - 12*X[4101] + 4*X[2899] + 7*X[1619] + 2*X[4599] - 6*X[719] - X[1656] + 13*X[3008] <= 16
model += 10*X[5816] + 7*X[3819] - 4*X[5690] - 12*X[6590] - 2*X[4531] + X[3783] + 6*X[6370] - 13*X[7745] <= 4
model += -X[5816] - 2*X[3819] + 6*X[5690] - 10*X[6590] + 3*X[4531] + 4*X[3783] - 9*X[6370] + 11*X[7745] <= 8
model += 10*X[1886] + 7*X[1647] - 4*X[7594] - 12*X[6734] - 2*X[1663] + X[3013] + 6*X[4660] - 13*X[3513] <= 4
model += -X[1886] - 2*X[1647] + 6*X[7594] - 10*X[6734] + 3*X[1663] + 4*X[3013] - 9*X[4660] + 11*X[3513] <= 8
model += 10*X[7315] + 7*X[6254] - 4*X[4284] - 12*X[2950] - 2*X[2827] + X[6614] + 6*X[4891] - 13*X[1734] <= 4
model += -X[7315] - 2*X[6254] + 6*X[4284] - 10*X[2950] + 3*X[2827] + 4*X[6614] - 9*X[4891] + 11*X[1734] <= 8
model += 10*X[2278] - 12*X[7275] + 4*X[1924] + 7*X[6064] + 2*X[2997] - 6*X[209] - X[2391] + 13*X[7353] <= 16
model += 10*X[5415] + 7*X[6785] - 4*X[4321] - 12*X[6686] - 2*X[5145] + X[7141] + 6*X[3618] - 13*X[2986] <= 4
model += -X[5415] - 2*X[6785] + 6*X[4321] - 10*X[6686] + 3*X[5145] + 4*X[7141] - 9*X[3618] + 11*X[2986] <= 8
model += 10*X[3519] - 12*X[6740] + 4*X[4542] + 7*X[5294] + 2*X[590] - 6*X[5877] - X[3636] + 13*X[2011] <= 16
model += 10*X[3823] + 7*X[5132] - 4*X[4519] - 12*X[5177] - 2*X[2413] + X[1117] + 6*X[3879] - 13*X[5569] <= 4
model += -X[3823] - 2*X[5132] + 6*X[4519] - 10*X[5177] + 3*X[2413] + 4*X[1117] - 9*X[3879] + 11*X[5569] <= 8
model += 10*X[2297] - 12*X[5812] + 4*X[1750] + 7*X[1766] + 2*X[874] - 6*X[1622] - X[1817] + 13*X[5677] <= 16
model += 10*X[4245] - 12*X[1593] + 4*X[1188] + 7*X[338] + 2*X[7426] - 6*X[3946] - X[2179] + 13*X[5427] <= 16
model += 10*X[5328] + 7*X[1304] - 4*X[6367] - 12*X[1565] - 2*X[1743] + X[2003] + 6*X[1437] - 13*X[3832] <= 4
model += -X[5328] - 2*X[1304] + 6*X[6367] - 10*X[1565] + 3*X[1743] + 4*X[2003] - 9*X[1437] + 11*X[3832] <= 8
model += 10*X[5621] + 7*X[3890] - 4*X[3809] - 12*X[1387] - 2*X[7233] + X[5018] + 6*X[2649] - 13*X[6458] <= 4
model += -X[5621] - 2*X[3890] + 6*X[3809] - 10*X[1387] + 3*X[7233] + 4*X[5018] - 9*X[2649] + 11*X[6458] <= 8
model += 10*X[4133] - 12*X[6809] + 4*X[1934] + 7*X[3642] + 2*X[5296] - 6*X[4960] - X[661] + 13*X[7489] <= 16
model += 10*X[3216] - 12*X[102] + 4*X[3920] + 7*X[5964] + 2*X[6250] - 6*X[1468] - X[2525] + 13*X[2160] <= 16
model += 10*X[6125] - 12*X[6934] + 4*X[4241] + 7*X[3800] + 2*X[4972] - 6*X[836] - X[5134] + 13*X[5561] <= 16
model += 10*X[622] - 12*X[6436] + 4*X[4964] + 7*X[7773] + 2*X[3697] - 6*X[7690] - X[6337] + 13*X[3129] <= 16
model += 10*X[3361] - 12*X[4490] + 4*X[5363] + 7*X[899] + 2*X[6914] - 6*X[5765] - X[7331] + 13*X[2358] <= 16
model += 10*X[1033] - 12*X[6918] + 4*X[4792] + 7*X[5037] + 2*X[1440] - 6*X[7069] - X[275] + 13*X[5371] <= 16
model += 10*X[1081] - 12*X[3153] + 4*X[5377] + 7*X[7288] + 2*X[5285] - 6*X[6560] - X[216] + 13*X[7712] <= 16
model += 10*X[5075] + 7*X[5246] - 4*X[6293] - 12*X[7766] - 2*X[7660] + X[2939] + 6*X[6685] - 13*X[4595] <= 4
model += -X[5075] - 2*X[5246] + 6*X[6293] - 10*X[7766] + 3*X[7660] + 4*X[2939] - 9*X[6685] + 11*X[4595] <= 8
model += 10*X[3947] + 7*X[1854] - 4*X[6985] - 12*X[7681] - 2*X[5142] + X[7621] + 6*X[1730] - 13*X[4169] <= 4
model += -X[3947] - 2*X[1854] + 6*X[6985] - 10*X[7681] + 3*X[5142] + 4*X[7621] - 9*X[1730] + 11*X[4169] <= 8
model += 10*X[6053] - 12*X[2608] + 4*X[5128] + 7*X[4298] + 2*X[3343] - 6*X[2539] - X[2156] + 13*X[665] <= 16
model += 10*X[6264] - 12*X[7552] + 4*X[1202] + 7*X[3031] + 2*X[7009] - 6*X[5374] - X[167] + 13*X[4940] <= 16
model += 10*X[1329] - 12*X[6520] + 4*X[2107] + 7*X[4077] + 2*X[1612] - 6*X[7339] - X[6313] + 13*X[950] <= 16
model += 10*X[2053] + 7*X[5050] - 4*X[6566] - 12*X[1174] - 2*X[5851] + X[3769] + 6*X[6732] - 13*X[4461] <= 4
model += -X[2053] - 2*X[5050] + 6*X[6566] - 10*X[1174] + 3*X[5851] + 4*X[3769] - 9*X[6732] + 11*X[4461] <= 8
model += 10*X[1813] - 12*X[2988] + 4*X[6029] + 7*X[2004] + 2*X[5335] - 6*X[4622] - X[1400] + 13*X[972] <= 16
model += 10*X[1760] + 7*X[6648] - 4*X[5020] - 12*X[2932] - 2*X[5841] + X[2790] + 6*X[6647] - 13*X[7460] <= 4
model += -X[1760] - 2*X[6648] + 6*X[5020] - 10*X[2932] + 3*X[5841] + 4*X[2790] - 9*X[6647] + 11*X[7460] <= 8
model += 10*X[4013] - 12*X[4122] + 4*X[4452] + 7*X[684] + 2*X[4833] - 6*X[4450] - X[1955] + 13*X[2530] <= 16
model += 10*X[5369] - 12*X[4554] + 4*X[2519] + 7*X[7702] + 2*X[1141] - 6*X[149] - X[7791] + 13*X[7503] <= 16
model += 10*X[7322] - 12*X[4814] + 4*X[1372] + 7*X[7466] + 2*X[4992] - 6*X[3952] - X[341] + 13*X[3821] <= 16
model += 10*X[7192] - 12*X[5273] + 4*X[4969] + 7*X[4880] + 2*X[3466] - 6*X[3414] - X[420] + 13*X[4881] <= 16
model += 10*X[2654] + 7*X[3130] - 4*X[5864] - 12*X[7780] - 2*X[7406] + X[1933] + 6*X[2722] - 13*X[2719] <= 4
model += -X[2654] - 2*X[3130] + 6*X[5864] - 10*X[7780] + 3*X[7406] + 4*X[1933] - 9*X[2722] + 11*X[2719] <= 8
model += 10*X[325] - 12*X[2900] + 4*X[7163] + 7*X[5960] + 2*X[4997] - 6*X[5934] - X[4006] + 13*X[3123] <= 16
model += 10*X[7164] - 12*X[5834] + 4*X[431] + 7*X[6398] + 2*X[2580] - 6*X[6723] - X[6103] + 13*X[7699] <= 16
model += 10*X[4893] - 12*X[1883] + 4*X[720] + 7*X[1727] + 2*X[6504] - 6*X[2813] - X[3554] + 13*X[6129] <= 16
model += 10*X[5872] - 12*X[1591] + 4*X[6564] + 7*X[3115] + 2*X[3286] - 6*X[6098] - X[937] + 13*X[1545] <= 16
model += 10*X[3364] + 7*X[6923] - 4*X[2224] - 12*X[4533] - 2*X[4088] + X[1655] + 6*X[1457] - 13*X[1582] <= 4
model += -X[3364] - 2*X[6923] + 6*X[2224] - 10*X[4533] + 3*X[4088] + 4*X[1655] - 9*X[1457] + 11*X[1582] <= 8
model += 10*X[4117] - 12*X[5546] + 4*X[281] + 7*X[1074] + 2*X[3467] - 6*X[3897] - X[1814] + 13*X[5141] <= 16
model += 10*X[3251] - 12*X[334] + 4*X[6033] + 7*X[3889] + 2*X[3346] - 6*X[4465] - X[4677] + 13*X[1016] <= 16
model += 10*X[7398] + 7*X[6247] - 4*X[7728] - 12*X[2610] - 2*X[2098] + X[6596] + 6*X[1505] - 13*X[1772] <= 4
model += -X[7398] - 2*X[6247] + 6*X[7728] - 10*X[2610] + 3*X[2098] + 4*X[6596] - 9*X[1505] + 11*X[1772] <= 8
model += 10*X[3157] + 7*X[5436] - 4*X[3813] - 12*X[2285] - 2*X[5454] + X[4967] + 6*X[5130] - 13*X[6808] <= 4
model += -X[3157] - 2*X[5436] + 6*X[3813] - 10*X[2285] + 3*X[5454] + 4*X[4967] - 9*X[5130] + 11*X[6808] <= 8
model += 10*X[6830] - 12*X[2137] + 4*X[1596] + 7*X[4968] + 2*X[4732] - 6*X[893] - X[2319] + 13*X[6943] <= 16
model += 10*X[1320] + 7*X[7478] - 4*X[6735] - 12*X[3266] - 2*X[6130] + X[5385] + 6*X[1862] - 13*X[4581] <= 4
model += -X[1320] - 2*X[7478] + 6*X[6735] - 10*X[3266] + 3*X[6130] + 4*X[5385] - 9*X[1862] + 11*X[4581] <= 8
model += 10*X[2644] - 12*X[6500] + 4*X[6262] + 7*X[4866] + 2*X[7327] - 6*X[5424] - X[909] + 13*X[1581] <= 16
model += 10*X[5808] - 12*X[1783] + 4*X[5186] + 7*X[2507] + 2*X[630] - 6*X[6883] - X[6344] + 13*X[2492] <= 16
model += 10*X[7347] + 7*X[2047] - 4*X[2681] - 12*X[5521] - 2*X[7276] + X[3615] + 6*X[4255] - 13*X[6689] <= 4
model += -X[7347] - 2*X[2047] + 6*X[2681] - 10*X[5521] + 3*X[7276] + 4*X[3615] - 9*X[4255] + 11*X[6689] <= 8
model += 10*X[7317] - 12*X[2929] + 4*X[2677] + 7*X[1401] + 2*X[6373] - 6*X[2355] - X[389] + 13*X[6390] <= 16
model += 10*X[2512] - 12*X[2903] + 4*X[6049] + 7*X[743] + 2*X[2409] - 6*X[2523] - X[2163] + 13*X[6810] <= 16
model += 10*X[5452] - 12*X[7335] + 4*X[4261] + 7*X[2847] + 2*X[7584] - 6*X[7143] - X[898] + 13*X[1574] <= 16
model += 10*X[230] - 12*X[3080] + 4*X[6915] + 7*X[3363] + 2*X[6764] - 6*X[4861] - X[5109] + 13*X[7364] <= 16
model += 10*X[5136] + 7*X[4030] - 4*X[1908] - 12*X[6833] - 2*X[7175] + X[3652] + 6*X[6511] - 13*X[5417] <= 4
model += -X[5136] - 2*X[4030] + 6*X[1908] - 10*X[6833] + 3*X[7175] + 4*X[3652] - 9*X[6511] + 11*X[5417] <= 8
model += 10*X[7695] - 12*X[6005] + 4*X[6471] + 7*X[3328] + 2*X[316] - 6*X[5451] - X[1769] + 13*X[7513] <= 16
model += 10*X[5835] - 12*X[6477] + 4*X[2170] + 7*X[775] + 2*X[2590] - 6*X[4847] - X[1728] + 13*X[5287] <= 16
model += 10*X[1253] - 12*X[2127] + 4*X[200] + 7*X[4984] + 2*X[1659] - 6*X[1128] - X[4935] + 13*X[5307] <= 16
model += 10*X[3517] + 7*X[3395] - 4*X[2906] - 12*X[4835] - 2*X[5574] + X[2223] + 6*X[7074] - 13*X[5891] <= 4
model += -X[3517] - 2*X[3395] + 6*X[2906] - 10*X[4835] + 3*X[5574] + 4*X[2223] - 9*X[7074] + 11*X[5891] <= 8
model += 10*X[2312] + 7*X[3888] - 4*X[6195] - 12*X[3575] - 2*X[7173] + X[3487] + 6*X[1042] - 13*X[6205] <= 4
model += -X[2312] - 2*X[3888] + 6*X[6195] - 10*X[3575] + 3*X[7173] + 4*X[3487] - 9*X[1042] + 11*X[6205] <= 8
model += 10*X[4828] + 7*X[2342] - 4*X[2032] - 12*X[7546] - 2*X[1456] + X[7532] + 6*X[2936] - 13*X[3548] <= 4
model += -X[4828] - 2*X[2342] + 6*X[2032] - 10*X[7546] + 3*X[1456] + 4*X[7532] - 9*X[2936] + 11*X[3548] <= 8
model += 10*X[4126] + 7*X[2890] - 4*X[3566] - 12*X[7333] - 2*X[2038] + X[1986] + 6*X[4027] - 13*X[5212] <= 4
model += -X[4126] - 2*X[2890] + 6*X[3566] - 10*X[7333] + 3*X[2038] + 4*X[1986] - 9*X[4027] + 11*X[5212] <= 8
model += 10*X[1230] - 12*X[1867] + 4*X[7272] + 7*X[6067] + 2*X[7413] - 6*X[4227] - X[6766] + 13*X[805] <= 16
model += 10*X[2499] + 7*X[6946] - 4*X[1326] - 12*X[6352] - 2*X[7190] + X[7437] + 6*X[5392] - 13*X[3572] <= 4
model += -X[2499] - 2*X[6946] + 6*X[1326] - 10*X[6352] + 3*X[7190] + 4*X[7437] - 9*X[5392] + 11*X[3572] <= 8
model += 10*X[952] - 12*X[6343] + 4*X[6929] + 7*X[7165] + 2*X[3744] - 6*X[7114] - X[1079] + 13*X[5223] <= 16
model += 10*X[4469] + 7*X[4082] - 4*X[4339] - 12*X[5072] - 2*X[2557] + X[6395] + 6*X[7368] - 13*X[5300] <= 4
model += -X[4469] - 2*X[4082] + 6*X[4339] - 10*X[5072] + 3*X[2557] + 4*X[6395] - 9*X[7368] + 11*X[5300] <= 8
model += 10*X[2178] + 7*X[7724] - 4*X[5817] - 12*X[3288] - 2*X[2111] + X[1269] + 6*X[7662] - 13*X[3124] <= 4
model += -X[2178] - 2*X[7724] + 6*X[5817] - 10*X[3288] + 3*X[2111] + 4*X[1269] - 9*X[7662] + 11*X[3124] <= 8
model += 10*X[530] - 12*X[7568] + 4*X[2320] + 7*X[4895] + 2*X[3657] - 6*X[5992] - X[4932] + 13*X[1794] <= 16
model += 10*X[7316] + 7*X[7652] - 4*X[1650] - 12*X[4456] - 2*X[1879] + X[4815] + 6*X[2994] - 13*X[6786] <= 4
model += -X[7316] - 2*X[7652] + 6*X[1650] - 10*X[4456] + 3*X[1879] + 4*X[4815] - 9*X[2994] + 11*X[6786] <= 8
model += 10*X[3847] + 7*X[5083] - 4*X[3041] - 12*X[5787] - 2*X[7055] + X[5439] + 6*X[4777] - 13*X[1851] <= 4
model += -X[3847] - 2*X[5083] + 6*X[3041] - 10*X[5787] + 3*X[7055] + 4*X[5439] - 9*X[4777] + 11*X[1851] <= 8
model += 10*X[3359] + 7*X[1980] - 4*X[4287] - 12*X[3111] - 2*X[4695] + X[7101] + 6*X[7168] - 13*X[4111] <= 4
model += -X[3359] - 2*X[1980] + 6*X[4287] - 10*X[3111] + 3*X[4695] + 4*X[7101] - 9*X[7168] + 11*X[4111] <= 8
model += 10*X[1054] + 7*X[5539] - 4*X[4797] - 12*X[4463] - 2*X[4890] + X[4655] + 6*X[2123] - 13*X[2533] <= 4
model += -X[1054] - 2*X[5539] + 6*X[4797] - 10*X[4463] + 3*X[4890] + 4*X[4655] - 9*X[2123] + 11*X[2533] <= 8
model += 10*X[3957] - 12*X[549] + 4*X[3530] + 7*X[6190] + 2*X[3263] - 6*X[3910] - X[7497] + 13*X[7472] <= 16
model += 10*X[4905] + 7*X[2993] - 4*X[4607] - 12*X[1232] - 2*X[7010] + X[3731] + 6*X[7320] - 13*X[1495] <= 4
model += -X[4905] - 2*X[2993] + 6*X[4607] - 10*X[1232] + 3*X[7010] + 4*X[3731] - 9*X[7320] + 11*X[1495] <= 8
model += 10*X[6406] - 12*X[1020] + 4*X[3577] + 7*X[6429] + 2*X[448] - 6*X[6260] - X[6235] + 13*X[1423] <= 16
model += 10*X[5368] + 7*X[3723] - 4*X[5636] - 12*X[4285] - 2*X[7540] + X[7736] + 6*X[1793] - 13*X[7553] <= 4
model += -X[5368] - 2*X[3723] + 6*X[5636] - 10*X[4285] + 3*X[7540] + 4*X[7736] - 9*X[1793] + 11*X[7553] <= 8
model += 10*X[2281] + 7*X[3403] - 4*X[1087] - 12*X[5738] - 2*X[4897] + X[5162] + 6*X[3514] - 13*X[6441] <= 4
model += -X[2281] - 2*X[3403] + 6*X[1087] - 10*X[5738] + 3*X[4897] + 4*X[5162] - 9*X[3514] + 11*X[6441] <= 8
model += 10*X[6354] - 12*X[4497] + 4*X[1687] + 7*X[1602] + 2*X[5297] - 6*X[5435] - X[6563] + 13*X[956] <= 16
model += 10*X[3076] + 7*X[5200] - 4*X[6982] - 12*X[4441] - 2*X[2298] + X[4704] + 6*X[6975] - 13*X[3043] <= 4
model += -X[3076] - 2*X[5200] + 6*X[6982] - 10*X[4441] + 3*X[2298] + 4*X[4704] - 9*X[6975] + 11*X[3043] <= 8
model += 10*X[6444] + 7*X[1469] - 4*X[6394] - 12*X[1181] - 2*X[7084] + X[5477] + 6*X[4282] - 13*X[3955] <= 4
model += -X[6444] - 2*X[1469] + 6*X[6394] - 10*X[1181] + 3*X[7084] + 4*X[5477] - 9*X[4282] + 11*X[3955] <= 8
model += 10*X[7374] + 7*X[1820] - 4*X[6565] - 12*X[7237] - 2*X[4333] + X[3782] + 6*X[1613] - 13*X[1973] <= 4
model += -X[7374] - 2*X[1820] + 6*X[6565] - 10*X[7237] + 3*X[4333] + 4*X[3782] - 9*X[1613] + 11*X[1973] <= 8
model += 10*X[3150] - 12*X[5745] + 4*X[4818] + 7*X[3184] + 2*X[6711] - 6*X[3142] - X[3892] + 13*X[244] <= 16
model += 10*X[6148] + 7*X[5217] - 4*X[2568] - 12*X[3255] - 2*X[5523] + X[1129] + 6*X[5234] - 13*X[2855] <= 4
model += -X[6148] - 2*X[5217] + 6*X[2568] - 10*X[3255] + 3*X[5523] + 4*X[1129] - 9*X[5234] + 11*X[2855] <= 8
model += 10*X[2945] + 7*X[2961] - 4*X[3349] - 12*X[6400] - 2*X[4365] + X[5147] + 6*X[4877] - 13*X[7516] <= 4
model += -X[2945] - 2*X[2961] + 6*X[3349] - 10*X[6400] + 3*X[4365] + 4*X[5147] - 9*X[4877] + 11*X[7516] <= 8
model += 10*X[2009] - 12*X[4840] + 4*X[2629] + 7*X[504] + 2*X[4691] - 6*X[6089] - X[1925] + 13*X[4071] <= 16
model += 10*X[1360] + 7*X[6989] - 4*X[4395] - 12*X[5146] - 2*X[5484] + X[1123] + 6*X[5316] - 13*X[2937] <= 4
model += -X[1360] - 2*X[6989] + 6*X[4395] - 10*X[5146] + 3*X[5484] + 4*X[1123] - 9*X[5316] + 11*X[2937] <= 8
model += 10*X[3968] + 7*X[3228] - 4*X[5748] - 12*X[1786] - 2*X[6603] + X[3533] + 6*X[1096] - 13*X[2734] <= 4
model += -X[3968] - 2*X[3228] + 6*X[5748] - 10*X[1786] + 3*X[6603] + 4*X[3533] - 9*X[1096] + 11*X[2734] <= 8
model += 10*X[7170] - 12*X[7363] + 4*X[6643] + 7*X[2648] + 2*X[1201] - 6*X[981] - X[3621] + 13*X[6555] <= 16
model += 10*X[2591] + 7*X[5302] - 4*X[5149] - 12*X[5516] - 2*X[1297] + X[6983] + 6*X[7714] - 13*X[1314] <= 4
model += -X[2591] - 2*X[5302] + 6*X[5149] - 10*X[5516] + 3*X[1297] + 4*X[6983] - 9*X[7714] + 11*X[1314] <= 8
model += 10*X[6550] + 7*X[4808] - 4*X[4392] - 12*X[2609] - 2*X[4283] + X[5403] + 6*X[5248] - 13*X[4756] <= 4
model += -X[6550] - 2*X[4808] + 6*X[4392] - 10*X[2609] + 3*X[4283] + 4*X[5403] - 9*X[5248] + 11*X[4756] <= 8
model += 10*X[3686] - 12*X[4000] + 4*X[6172] + 7*X[2381] + 2*X[1426] - 6*X[821] - X[5073] + 13*X[1472] <= 16
model += 10*X[3677] - 12*X[4275] + 4*X[298] + 7*X[1588] + 2*X[2482] - 6*X[5721] - X[7223] + 13*X[2372] <= 16
model += 10*X[3632] + 7*X[5625] - 4*X[1490] - 12*X[4963] - 2*X[5143] + X[6327] + 6*X[7763] - 13*X[2471] <= 4
model += -X[3632] - 2*X[5625] + 6*X[1490] - 10*X[4963] + 3*X[5143] + 4*X[6327] - 9*X[7763] + 11*X[2471] <= 8
model += 10*X[6453] - 12*X[7381] + 4*X[3174] + 7*X[1124] + 2*X[2634] - 6*X[2294] - X[3260] + 13*X[116] <= 16
model += 10*X[3113] + 7*X[4200] - 4*X[1465] - 12*X[3600] - 2*X[5119] + X[1770] + 6*X[3719] - 13*X[6210] <= 4
model += -X[3113] - 2*X[4200] + 6*X[1465] - 10*X[3600] + 3*X[5119] + 4*X[1770] - 9*X[3719] + 11*X[6210] <= 8
model += 10*X[6316] + 7*X[2789] - 4*X[5725] - 12*X[6345] - 2*X[1195] + X[5082] + 6*X[4764] - 13*X[1585] <= 4
model += -X[6316] - 2*X[2789] + 6*X[5725] - 10*X[6345] + 3*X[1195] + 4*X[5082] - 9*X[4764] + 11*X[1585] <= 8
model += 10*X[5408] + 7*X[7161] - 4*X[6299] - 12*X[1266] - 2*X[3913] + X[7147] + 6*X[5669] - 13*X[6936] <= 4
model += -X[5408] - 2*X[7161] + 6*X[6299] - 10*X[1266] + 3*X[3913] + 4*X[7147] - 9*X[5669] + 11*X[6936] <= 8
model += 10*X[6944] + 7*X[7383] - 4*X[4259] - 12*X[4155] - 2*X[1345] + X[3287] + 6*X[5263] - 13*X[3499] <= 4
model += -X[6944] - 2*X[7383] + 6*X[4259] - 10*X[4155] + 3*X[1345] + 4*X[3287] - 9*X[5263] + 11*X[3499] <= 8
model += 10*X[3834] - 12*X[3751] + 4*X[4181] + 7*X[5490] + 2*X[3811] - 6*X[2713] - X[6392] + 13*X[786] <= 16
model += 10*X[5988] - 12*X[1919] + 4*X[5560] + 7*X[5739] + 2*X[440] - 6*X[3836] - X[4886] + 13*X[3353] <= 16
model += 10*X[6028] - 12*X[1078] + 4*X[1478] + 7*X[4343] + 2*X[3617] - 6*X[2746] - X[832] + 13*X[3181] <= 16
model += 10*X[2578] + 7*X[4908] - 4*X[1133] - 12*X[1386] - 2*X[4506] + X[1882] + 6*X[7504] - 13*X[2613] <= 4
model += -X[2578] - 2*X[4908] + 6*X[1133] - 10*X[1386] + 3*X[4506] + 4*X[1882] - 9*X[7504] + 11*X[2613] <= 8
model += 10*X[486] - 12*X[5272] + 4*X[1339] + 7*X[4174] + 2*X[2857] - 6*X[1421] - X[6945] + 13*X[1477] <= 16
model += 10*X[6361] + 7*X[2279] - 4*X[2920] - 12*X[5503] - 2*X[2762] + X[6359] + 6*X[4659] - 13*X[4017] <= 4
model += -X[6361] - 2*X[2279] + 6*X[2920] - 10*X[5503] + 3*X[2762] + 4*X[6359] - 9*X[4659] + 11*X[4017] <= 8
model += 10*X[7462] - 12*X[2508] + 4*X[3994] + 7*X[3407] + 2*X[4478] - 6*X[6803] - X[722] + 13*X[5532] <= 16
model += 10*X[2682] + 7*X[7079] - 4*X[2564] - 12*X[2150] - 2*X[5461] + X[2891] + 6*X[3586] - 13*X[1945] <= 4
model += -X[2682] - 2*X[7079] + 6*X[2564] - 10*X[2150] + 3*X[5461] + 4*X[2891] - 9*X[3586] + 11*X[1945] <= 8
model += 10*X[2768] - 12*X[5707] + 4*X[585] + 7*X[6705] + 2*X[3162] - 6*X[4527] - X[4605] + 13*X[3690] <= 16
model += 10*X[2603] - 12*X[4693] + 4*X[733] + 7*X[3939] + 2*X[6059] - 6*X[4072] - X[3257] + 13*X[6916] <= 16
model += 10*X[4187] + 7*X[6440] - 4*X[4646] - 12*X[2552] - 2*X[3967] + X[7226] + 6*X[4263] - 13*X[1396] <= 4
model += -X[4187] - 2*X[6440] + 6*X[4646] - 10*X[2552] + 3*X[3967] + 4*X[7226] - 9*X[4263] + 11*X[1396] <= 8
model += 10*X[2863] + 7*X[1110] - 4*X[6728] - 12*X[5165] - 2*X[4254] + X[7321] + 6*X[3863] - 13*X[7601] <= 4
model += -X[2863] - 2*X[1110] + 6*X[6728] - 10*X[5165] + 3*X[4254] + 4*X[7321] - 9*X[3863] + 11*X[7601] <= 8
model += 10*X[7155] - 12*X[5402] + 4*X[4522] + 7*X[6273] + 2*X[5110] - 6*X[6474] - X[1989] + 13*X[309] <= 16
model += 10*X[1351] - 12*X[4711] + 4*X[147] + 7*X[7027] + 2*X[5724] - 6*X[1575] - X[3242] + 13*X[3680] <= 16
model += 10*X[3614] + 7*X[6222] - 4*X[4928] - 12*X[5752] - 2*X[6558] + X[5422] + 6*X[6994] - 13*X[4278] <= 4
model += -X[3614] - 2*X[6222] + 6*X[4928] - 10*X[5752] + 3*X[6558] + 4*X[5422] - 9*X[6994] + 11*X[4278] <= 8
model += 10*X[2972] - 12*X[1506] + 4*X[403] + 7*X[2951] + 2*X[4048] - 6*X[4718] - X[7416] + 13*X[2096] <= 16
model += 10*X[5056] - 12*X[566] + 4*X[7225] + 7*X[3928] + 2*X[1681] - 6*X[1875] - X[1165] + 13*X[1094] <= 16
model += 10*X[6553] - 12*X[3683] + 4*X[880] + 7*X[7713] + 2*X[1601] - 6*X[3547] - X[5226] + 13*X[5601] <= 16
model += 10*X[5648] + 7*X[3509] - 4*X[1261] - 12*X[6282] - 2*X[3891] + X[5778] + 6*X[4197] - 13*X[2913] <= 4
model += -X[5648] - 2*X[3509] + 6*X[1261] - 10*X[6282] + 3*X[3891] + 4*X[5778] - 9*X[4197] + 11*X[2913] <= 8
model += 10*X[7117] + 7*X[2271] - 4*X[3875] - 12*X[6695] - 2*X[6813] + X[7125] + 6*X[5935] - 13*X[5499] <= 4
model += -X[7117] - 2*X[2271] + 6*X[3875] - 10*X[6695] + 3*X[6813] + 4*X[7125] - 9*X[5935] + 11*X[5499] <= 8
model += 10*X[2079] + 7*X[1928] - 4*X[6745] - 12*X[2582] - 2*X[7179] + X[4419] + 6*X[4917] - 13*X[4439] <= 4
model += -X[2079] - 2*X[1928] + 6*X[6745] - 10*X[2582] + 3*X[7179] + 4*X[4419] - 9*X[4917] + 11*X[4439] <= 8
model += 10*X[6084] + 7*X[1367] - 4*X[3749] - 12*X[6921] - 2*X[5366] + X[1153] + 6*X[1330] - 13*X[1868] <= 4
model += -X[6084] - 2*X[1367] + 6*X[3749] - 10*X[6921] + 3*X[5366] + 4*X[1153] - 9*X[1330] + 11*X[1868] <= 8
model += 10*X[2475] + 7*X[7709] - 4*X[1038] - 12*X[4493] - 2*X[1109] + X[1824] + 6*X[3021] - 13*X[4146] <= 4
model += -X[2475] - 2*X[7709] + 6*X[1038] - 10*X[4493] + 3*X[1109] + 4*X[1824] - 9*X[3021] + 11*X[4146] <= 8
model += 10*X[3244] - 12*X[3861] + 4*X[5170] + 7*X[7422] + 2*X[6913] - 6*X[405] - X[6646] + 13*X[2380] <= 16
model += 10*X[3738] + 7*X[2984] - 4*X[6318] - 12*X[2587] - 2*X[2679] + X[6054] + 6*X[3301] - 13*X[2001] <= 4
model += -X[3738] - 2*X[2984] + 6*X[6318] - 10*X[2587] + 3*X[2679] + 4*X[6054] - 9*X[3301] + 11*X[2001] <= 8
model += 10*X[6487] - 12*X[2744] + 4*X[7659] + 7*X[3352] + 2*X[5213] - 6*X[511] - X[2023] + 13*X[6771] <= 16
model += 10*X[6537] - 12*X[3576] + 4*X[7098] + 7*X[4360] + 2*X[6382] - 6*X[3075] - X[267] + 13*X[5868] <= 16
model += 10*X[1463] - 12*X[4955] + 4*X[932] + 7*X[7307] + 2*X[4125] - 6*X[3068] - X[2802] + 13*X[5791] <= 16
model += 10*X[7606] + 7*X[2002] - 4*X[4008] - 12*X[2815] - 2*X[2916] + X[2998] + 6*X[6167] - 13*X[2910] <= 4
model += -X[7606] - 2*X[2002] + 6*X[4008] - 10*X[2815] + 3*X[2916] + 4*X[2998] - 9*X[6167] + 11*X[2910] <= 8
model += 10*X[4406] + 7*X[2778] - 4*X[7708] - 12*X[5853] - 2*X[2343] + X[2065] + 6*X[4318] - 13*X[3463] <= 4
model += -X[4406] - 2*X[2778] + 6*X[7708] - 10*X[5853] + 3*X[2343] + 4*X[2065] - 9*X[4318] + 11*X[3463] <= 8
model += 10*X[5303] + 7*X[4188] - 4*X[6281] - 12*X[6472] - 2*X[2344] + X[2820] + 6*X[5600] - 13*X[5438] <= 4
model += -X[5303] - 2*X[4188] + 6*X[6281] - 10*X[6472] + 3*X[2344] + 4*X[2820] - 9*X[5600] + 11*X[5438] <= 8
model += 10*X[2168] - 12*X[3578] + 4*X[3053] + 7*X[1888] + 2*X[7479] - 6*X[2571] - X[1198] + 13*X[514] <= 16
model += 10*X[2601] - 12*X[4946] + 4*X[913] + 7*X[4780] + 2*X[7507] - 6*X[2714] - X[2676] + 13*X[3332] <= 16
model += 10*X[5654] - 12*X[2800] + 4*X[4204] + 7*X[7658] + 2*X[489] - 6*X[1954] - X[4549] + 13*X[6289] <= 16
model += 10*X[7508] + 7*X[6007] - 4*X[3037] - 12*X[3579] - 2*X[1912] + X[1496] + 6*X[1726] - 13*X[3206] <= 4
model += -X[7508] - 2*X[6007] + 6*X[3037] - 10*X[3579] + 3*X[1912] + 4*X[1496] - 9*X[1726] + 11*X[3206] <= 8
model += 10*X[7245] + 7*X[3639] - 4*X[4078] - 12*X[1399] - 2*X[7137] + X[5519] + 6*X[4272] - 13*X[2059] <= 4
model += -X[7245] - 2*X[3639] + 6*X[4078] - 10*X[1399] + 3*X[7137] + 4*X[5519] - 9*X[4272] + 11*X[2059] <= 8
model += 10*X[7100] - 12*X[2092] + 4*X[2541] + 7*X[120] + 2*X[1972] - 6*X[6828] - X[6040] + 13*X[5537] <= 16
model += 10*X[4615] - 12*X[3247] + 4*X[4975] + 7*X[4421] + 2*X[1897] - 6*X[4979] - X[345] + 13*X[5058] <= 16
model += 10*X[1354] + 7*X[2197] - 4*X[6506] - 12*X[2470] - 2*X[3780] + X[7427] + 6*X[1630] - 13*X[3339] <= 4
model += -X[1354] - 2*X[2197] + 6*X[6506] - 10*X[2470] + 3*X[3780] + 4*X[7427] - 9*X[1630] + 11*X[3339] <= 8
model += 10*X[4716] + 7*X[3687] - 4*X[5905] - 12*X[5801] - 2*X[2406] + X[5572] + 6*X[3444] - 13*X[6365] <= 4
model += -X[4716] - 2*X[3687] + 6*X[5905] - 10*X[5801] + 3*X[2406] + 4*X[5572] - 9*X[3444] + 11*X[6365] <= 8
model += 10*X[6579] + 7*X[5505] - 4*X[3912] - 12*X[7583] - 2*X[7132] + X[6750] + 6*X[2996] - 13*X[2478] <= 4
model += -X[6579] - 2*X[5505] + 6*X[3912] - 10*X[7583] + 3*X[7132] + 4*X[6750] - 9*X[2996] + 11*X[2478] <= 8
model += 10*X[4212] - 12*X[4049] + 4*X[4980] + 7*X[4617] + 2*X[2791] - 6*X[1905] - X[222] + 13*X[1499] <= 16
model += 10*X[606] - 12*X[5299] + 4*X[3442] + 7*X[5329] + 2*X[1051] - 6*X[6168] - X[3355] + 13*X[7768] <= 16
model += 10*X[858] - 12*X[6037] + 4*X[4734] + 7*X[5077] + 2*X[2529] - 6*X[4826] - X[6009] + 13*X[1708] <= 16
model += 10*X[4761] - 12*X[3491] + 4*X[7772] + 7*X[3883] + 2*X[2095] - 6*X[4432] - X[442] + 13*X[2510] <= 16
model += 10*X[1486] - 12*X[1536] + 4*X[5104] + 7*X[6752] + 2*X[5258] - 6*X[911] - X[5870] + 13*X[5904] <= 16
model += 10*X[3211] - 12*X[6815] + 4*X[6332] + 7*X[4868] + 2*X[1186] - 6*X[6687] - X[3582] + 13*X[444] <= 16
model += 10*X[4018] + 7*X[7375] - 4*X[3042] - 12*X[2661] - 2*X[5815] + X[3899] + 6*X[5947] - 13*X[5847] <= 4
model += -X[4018] - 2*X[7375] + 6*X[3042] - 10*X[2661] + 3*X[5815] + 4*X[3899] - 9*X[5947] + 11*X[5847] <= 8
model += 10*X[1715] + 7*X[3628] - 4*X[2365] - 12*X[1990] - 2*X[2912] + X[6742] + 6*X[6126] - 13*X[6285] <= 4
model += -X[1715] - 2*X[3628] + 6*X[2365] - 10*X[1990] + 3*X[2912] + 4*X[6742] - 9*X[6126] + 11*X[6285] <= 8
model += 10*X[2175] + 7*X[6682] - 4*X[4508] - 12*X[2325] - 2*X[5033] + X[2905] + 6*X[1800] - 13*X[7196] <= 4
model += -X[2175] - 2*X[6682] + 6*X[4508] - 10*X[2325] + 3*X[5033] + 4*X[2905] - 9*X[1800] + 11*X[7196] <= 8
model += 10*X[2796] + 7*X[6571] - 4*X[4987] - 12*X[3018] - 2*X[1003] + X[7403] + 6*X[3754] - 13*X[1608] <= 4
model += -X[2796] - 2*X[6571] + 6*X[4987] - 10*X[3018] + 3*X[1003] + 4*X[7403] - 9*X[3754] + 11*X[1608] <= 8
model += 10*X[7086] + 7*X[4166] - 4*X[6271] - 12*X[5689] - 2*X[7342] + X[6492] + 6*X[4806] - 13*X[6286] <= 4
model += -X[7086] - 2*X[4166] + 6*X[6271] - 10*X[5689] + 3*X[7342] + 4*X[6492] - 9*X[4806] + 11*X[6286] <= 8
model += 10*X[2956] + 7*X[1752] - 4*X[1197] - 12*X[6622] - 2*X[4819] + X[5156] + 6*X[4307] - 13*X[3478] <= 4
model += -X[2956] - 2*X[1752] + 6*X[1197] - 10*X[6622] + 3*X[4819] + 4*X[5156] - 9*X[4307] + 11*X[3478] <= 8
model += 10*X[7686] + 7*X[6583] - 4*X[5889] - 12*X[4773] - 2*X[7577] + X[2584] + 6*X[2782] - 13*X[7425] <= 4
model += -X[7686] - 2*X[6583] + 6*X[5889] - 10*X[4773] + 3*X[7577] + 4*X[2584] - 9*X[2782] + 11*X[7425] <= 8
model += 10*X[2720] + 7*X[2758] - 4*X[6272] - 12*X[4512] - 2*X[5496] + X[6876] + 6*X[4453] - 13*X[6908] <= 4
model += -X[2720] - 2*X[2758] + 6*X[6272] - 10*X[4512] + 3*X[5496] + 4*X[6876] - 9*X[4453] + 11*X[6908] <= 8
model += 10*X[6404] - 12*X[6010] + 4*X[117] + 7*X[7185] + 2*X[7325] - 6*X[6072] - X[6193] + 13*X[4195] <= 16
model += 10*X[3400] + 7*X[6476] - 4*X[4258] - 12*X[7529] - 2*X[6980] + X[2313] + 6*X[5460] - 13*X[6364] <= 4
model += -X[3400] - 2*X[6476] + 6*X[4258] - 10*X[7529] + 3*X[6980] + 4*X[2313] - 9*X[5460] + 11*X[6364] <= 8
model += 10*X[6678] - 12*X[4583] + 4*X[130] + 7*X[3718] + 2*X[1223] - 6*X[4883] - X[4827] + 13*X[4552] <= 16
model += 10*X[4046] - 12*X[800] + 4*X[5482] + 7*X[1061] + 2*X[3496] - 6*X[2495] - X[4822] + 13*X[7264] <= 16
model += 10*X[4119] + 7*X[7732] - 4*X[3362] - 12*X[2242] - 2*X[3230] + X[2194] + 6*X[2885] - 13*X[3855] <= 4
model += -X[4119] - 2*X[7732] + 6*X[3362] - 10*X[2242] + 3*X[3230] + 4*X[2194] - 9*X[2885] + 11*X[3855] <= 8
model += 10*X[6391] + 7*X[5501] - 4*X[5493] - 12*X[7600] - 2*X[4192] + X[4689] + 6*X[5880] - 13*X[2468] <= 4
model += -X[6391] - 2*X[5501] + 6*X[5493] - 10*X[7600] + 3*X[4192] + 4*X[4689] - 9*X[5880] + 11*X[2468] <= 8
model += 10*X[6577] - 12*X[3948] + 4*X[4464] + 7*X[6157] + 2*X[352] - 6*X[4778] - X[6433] + 13*X[6448] <= 16
model += 10*X[7710] + 7*X[1651] - 4*X[4609] - 12*X[7340] - 2*X[1448] + X[1209] + 6*X[2339] - 13*X[6524] <= 4
model += -X[7710] - 2*X[1651] + 6*X[4609] - 10*X[7340] + 3*X[1448] + 4*X[1209] - 9*X[2339] + 11*X[6524] <= 8
model += 10*X[1738] - 12*X[3144] + 4*X[6726] + 7*X[4238] + 2*X[5395] - 6*X[4800] - X[528] + 13*X[5821] <= 16
model += 10*X[4130] + 7*X[7701] - 4*X[3250] - 12*X[5820] - 2*X[5681] + X[1614] + 6*X[1906] - 13*X[2946] <= 4
model += -X[4130] - 2*X[7701] + 6*X[3250] - 10*X[5820] + 3*X[5681] + 4*X[1614] - 9*X[1906] + 11*X[2946] <= 8
model += 10*X[5189] + 7*X[4804] - 4*X[2014] - 12*X[7246] - 2*X[1556] + X[4175] + 6*X[3152] - 13*X[4274] <= 4
model += -X[5189] - 2*X[4804] + 6*X[2014] - 10*X[7246] + 3*X[1556] + 4*X[4175] - 9*X[3152] + 11*X[4274] <= 8
model += 10*X[6710] - 12*X[2088] + 4*X[5065] + 7*X[477] + 2*X[4412] - 6*X[2754] - X[1994] + 13*X[6486] <= 16
model += 10*X[4854] - 12*X[844] + 4*X[7343] + 7*X[6257] + 2*X[7570] - 6*X[4001] - X[1755] + 13*X[3227] <= 16
model += 10*X[1169] - 12*X[2117] + 4*X[7785] + 7*X[2066] + 2*X[725] - 6*X[6328] - X[7144] + 13*X[1710] <= 16
model += 10*X[5095] + 7*X[7000] - 4*X[2953] - 12*X[2753] - 2*X[2848] + X[6409] + 6*X[4385] - 13*X[2390] <= 4
model += -X[5095] - 2*X[7000] + 6*X[2953] - 10*X[2753] + 3*X[2848] + 4*X[6409] - 9*X[4385] + 11*X[2390] <= 8
model += 10*X[2125] + 7*X[4643] - 4*X[2289] - 12*X[5962] - 2*X[1460] + X[1844] + 6*X[2439] - 13*X[1178] <= 4
model += -X[2125] - 2*X[4643] + 6*X[2289] - 10*X[5962] + 3*X[1460] + 4*X[1844] - 9*X[2439] + 11*X[1178] <= 8
model += 10*X[7783] + 7*X[2280] - 4*X[2949] - 12*X[1240] - 2*X[1658] + X[7251] + 6*X[3253] - 13*X[6899] <= 4
model += -X[7783] - 2*X[2280] + 6*X[2949] - 10*X[1240] + 3*X[1658] + 4*X[7251] - 9*X[3253] + 11*X[6899] <= 8
model += 10*X[1373] + 7*X[3239] - 4*X[3187] - 12*X[1644] - 2*X[1976] + X[3126] + 6*X[6026] - 13*X[2340] <= 4
model += -X[1373] - 2*X[3239] + 6*X[3187] - 10*X[1644] + 3*X[1976] + 4*X[3126] - 9*X[6026] + 11*X[2340] <= 8
model += 10*X[7310] - 12*X[4109] + 4*X[3421] + 7*X[4536] + 2*X[5510] - 6*X[7590] - X[4475] + 13*X[607] <= 16
model += 10*X[4601] + 7*X[2607] - 4*X[6085] - 12*X[5214] - 2*X[1126] + X[4841] + 6*X[4889] - 13*X[7611] <= 4
model += -X[4601] - 2*X[2607] + 6*X[6085] - 10*X[5214] + 3*X[1126] + 4*X[4841] - 9*X[4889] + 11*X[7611] <= 8
model += 10*X[3404] + 7*X[1365] - 4*X[4873] - 12*X[1091] - 2*X[3320] + X[3134] + 6*X[3418] - 13*X[6665] <= 4
model += -X[3404] - 2*X[1365] + 6*X[4873] - 10*X[1091] + 3*X[3320] + 4*X[3134] - 9*X[3418] + 11*X[6665] <= 8
model += 10*X[6827] - 12*X[7528] + 4*X[3820] + 7*X[2277] + 2*X[1254] - 6*X[5466] - X[471] + 13*X[6462] <= 16
model += 10*X[4587] - 12*X[774] + 4*X[5254] + 7*X[3923] + 2*X[1140] - 6*X[4537] - X[3772] + 13*X[7269] <= 16
model += 10*X[3261] - 12*X[3808] + 4*X[975] + 7*X[4644] + 2*X[6844] - 6*X[7142] - X[5066] + 13*X[1625] <= 16
model += 10*X[5353] - 12*X[4397] + 4*X[632] + 7*X[2030] + 2*X[6280] - 6*X[1850] - X[1609] + 13*X[7563] <= 16
model += 10*X[1558] - 12*X[7424] + 4*X[5657] + 7*X[6200] + 2*X[3831] - 6*X[110] - X[1220] + 13*X[6582] <= 16
model += 10*X[3501] - 12*X[1930] + 4*X[331] + 7*X[4224] + 2*X[2861] - 6*X[6498] - X[2286] + 13*X[4632] <= 16
model += 10*X[6820] - 12*X[1866] + 4*X[816] + 7*X[2034] + 2*X[4569] - 6*X[1318] - X[1438] + 13*X[3077] <= 16
model += 10*X[1713] - 12*X[7013] + 4*X[5174] + 7*X[1431] + 2*X[6545] - 6*X[1959] - X[623] + 13*X[4393] <= 16
model += 10*X[4202] + 7*X[7094] - 4*X[6303] - 12*X[5265] - 2*X[1870] + X[4405] + 6*X[5697] - 13*X[3201] <= 4
model += -X[4202] - 2*X[7094] + 6*X[6303] - 10*X[5265] + 3*X[1870] + 4*X[4405] - 9*X[5697] + 11*X[3201] <= 8
model += 10*X[5201] + 7*X[6744] - 4*X[4251] - 12*X[1182] - 2*X[7186] + X[4297] + 6*X[6160] - 13*X[2085] <= 4
model += -X[5201] - 2*X[6744] + 6*X[4251] - 10*X[1182] + 3*X[7186] + 4*X[4297] - 9*X[6160] + 11*X[2085] <= 8
model += 10*X[2795] + 7*X[3612] - 4*X[5728] - 12*X[1950] - 2*X[5465] + X[4112] + 6*X[2363] - 13*X[1273] <= 4
model += -X[2795] - 2*X[3612] + 6*X[5728] - 10*X[1950] + 3*X[5465] + 4*X[4112] - 9*X[2363] + 11*X[1273] <= 8
model += 10*X[3399] - 12*X[3082] + 4*X[2938] + 7*X[2407] + 2*X[611] - 6*X[1498] - X[3758] + 13*X[3088] <= 16
model += 10*X[864] - 12*X[4606] + 4*X[2930] + 7*X[1299] + 2*X[7025] - 6*X[3609] - X[3267] + 13*X[6296] <= 16
model += 10*X[5713] + 7*X[2008] - 4*X[5093] - 12*X[1964] - 2*X[4035] + X[5336] + 6*X[5432] - 13*X[1587] <= 4
model += -X[5713] - 2*X[2008] + 6*X[5093] - 10*X[1964] + 3*X[4035] + 4*X[5336] - 9*X[5432] + 11*X[1587] <= 8
model += 10*X[4654] + 7*X[5364] - 4*X[2919] - 12*X[3882] - 2*X[6175] + X[3779] + 6*X[3859] - 13*X[3027] <= 4
model += -X[4654] - 2*X[5364] + 6*X[2919] - 10*X[3882] + 3*X[6175] + 4*X[3779] - 9*X[3859] + 11*X[3027] <= 8
model += 10*X[4162] + 7*X[2918] - 4*X[7571] - 12*X[6427] - 2*X[2749] + X[2695] + 6*X[5378] - 13*X[5862] <= 4
model += -X[4162] - 2*X[2918] + 6*X[7571] - 10*X[6427] + 3*X[2749] + 4*X[2695] - 9*X[5378] + 11*X[5862] <= 8
model += 10*X[2144] - 12*X[3876] + 4*X[1032] + 7*X[3303] + 2*X[3327] - 6*X[6091] - X[3784] + 13*X[436] <= 16
model += 10*X[2051] + 7*X[6062] - 4*X[2219] - 12*X[4342] - 2*X[6048] + X[2261] + 6*X[6399] - 13*X[3345] <= 4
model += -X[2051] - 2*X[6062] + 6*X[2219] - 10*X[4342] + 3*X[6048] + 4*X[2261] - 9*X[6399] + 11*X[3345] <= 8
model += 10*X[7063] + 7*X[5183] - 4*X[6307] - 12*X[4498] - 2*X[7075] + X[5233] + 6*X[4945] - 13*X[6333] <= 4
model += -X[7063] - 2*X[5183] + 6*X[6307] - 10*X[4498] + 3*X[7075] + 4*X[5233] - 9*X[4945] + 11*X[6333] <= 8
model += 10*X[3430] + 7*X[4388] - 4*X[3225] - 12*X[2466] - 2*X[6610] + X[6746] + 6*X[2419] - 13*X[5463] <= 4
model += -X[3430] - 2*X[4388] + 6*X[3225] - 10*X[2466] + 3*X[6610] + 4*X[6746] - 9*X[2419] + 11*X[5463] <= 8
model += 10*X[5942] + 7*X[4323] - 4*X[3895] - 12*X[7329] - 2*X[3602] + X[3323] + 6*X[7784] - 13*X[4923] <= 4
model += -X[5942] - 2*X[4323] + 6*X[3895] - 10*X[7329] + 3*X[3602] + 4*X[3323] - 9*X[7784] + 11*X[4923] <= 8
model += 10*X[746] - 12*X[6188] + 4*X[4723] + 7*X[5084] + 2*X[2394] - 6*X[1308] - X[1274] + 13*X[3127] <= 16
model += 10*X[1031] + 7*X[6538] - 4*X[2220] - 12*X[6842] - 2*X[1771] + X[3965] + 6*X[2748] - 13*X[2990] <= 4
model += -X[1031] - 2*X[6538] + 6*X[2220] - 10*X[6842] + 3*X[1771] + 4*X[3965] - 9*X[2748] + 11*X[2990] <= 8
model += 10*X[1982] + 7*X[7775] - 4*X[5567] - 12*X[2693] - 2*X[4758] + X[6613] + 6*X[5071] - 13*X[2524] <= 4
model += -X[1982] - 2*X[7775] + 6*X[5567] - 10*X[2693] + 3*X[4758] + 4*X[6613] - 9*X[5071] + 11*X[2524] <= 8
model += 10*X[3047] + 7*X[5898] - 4*X[6556] - 12*X[6231] - 2*X[4550] + X[5924] + 6*X[4156] - 13*X[5608] <= 4
model += -X[3047] - 2*X[5898] + 6*X[6556] - 10*X[6231] + 3*X[4550] + 4*X[5924] - 9*X[4156] + 11*X[5608] <= 8
model += 10*X[2583] + 7*X[6724] - 4*X[4044] - 12*X[6625] - 2*X[2206] + X[4338] + 6*X[6754] - 13*X[2963] <= 4
model += -X[2583] - 2*X[6724] + 6*X[4044] - 10*X[6625] + 3*X[2206] + 4*X[4338] - 9*X[6754] + 11*X[2963] <= 8
model += 10*X[5653] + 7*X[1106] - 4*X[6302] - 12*X[1746] - 2*X[6191] + X[2457] + 6*X[6428] - 13*X[2039] <= 4
model += -X[5653] - 2*X[1106] + 6*X[6302] - 10*X[1746] + 3*X[6191] + 4*X[2457] - 9*X[6428] + 11*X[2039] <= 8
model += 10*X[5686] + 7*X[3695] - 4*X[4380] - 12*X[1224] - 2*X[1173] + X[5580] + 6*X[4702] - 13*X[7227] <= 4
model += -X[5686] - 2*X[3695] + 6*X[4380] - 10*X[1224] + 3*X[1173] + 4*X[5580] - 9*X[4702] + 11*X[7227] <= 8
model += 10*X[4962] - 12*X[1484] + 4*X[6055] + 7*X[4755] + 2*X[7438] - 6*X[1142] - X[928] + 13*X[2054] <= 16
model += 10*X[1756] + 7*X[4085] - 4*X[6241] - 12*X[4907] - 2*X[7240] + X[4924] + 6*X[7720] - 13*X[4246] <= 4
model += -X[1756] - 2*X[4085] + 6*X[6241] - 10*X[4907] + 3*X[7240] + 4*X[4924] - 9*X[7720] + 11*X[4246] <= 8
model += 10*X[5696] + 7*X[2505] - 4*X[2187] - 12*X[4024] - 2*X[2295] + X[5576] + 6*X[5125] - 13*X[2794] <= 4
model += -X[5696] - 2*X[2505] + 6*X[2187] - 10*X[4024] + 3*X[2295] + 4*X[5576] - 9*X[5125] + 11*X[2794] <= 8
model += 10*X[3389] - 12*X[6940] + 4*X[2292] + 7*X[3933] + 2*X[5041] - 6*X[1804] - X[692] + 13*X[1839] <= 16
model += 10*X[4594] - 12*X[5161] + 4*X[4902] + 7*X[478] + 2*X[4649] - 6*X[7482] - X[2522] + 13*X[3459] <= 16
model += 10*X[1066] + 7*X[2099] - 4*X[1599] - 12*X[3340] - 2*X[1853] + X[7409] + 6*X[6549] - 13*X[6901] <= 4
model += -X[1066] - 2*X[2099] + 6*X[1599] - 10*X[3340] + 3*X[1853] + 4*X[7409] - 9*X[6549] + 11*X[6901] <= 8
model += 10*X[5785] + 7*X[7243] - 4*X[3372] - 12*X[7445] - 2*X[4612] + X[6243] + 6*X[5609] - 13*X[6672] <= 4
model += -X[5785] - 2*X[7243] + 6*X[3372] - 10*X[7445] + 3*X[4612] + 4*X[6243] - 9*X[5609] + 11*X[6672] <= 8
model += 10*X[1872] - 12*X[4161] + 4*X[6660] + 7*X[2214] + 2*X[7579] - 6*X[4414] - X[7341] + 13*X[409] <= 16
model += 10*X[3269] + 7*X[5322] - 4*X[5926] - 12*X[1535] - 2*X[5108] + X[2761] + 6*X[7171] - 13*X[7294] <= 4
model += -X[3269] - 2*X[5322] + 6*X[5926] - 10*X[1535] + 3*X[5108] + 4*X[2761] - 9*X[7171] + 11*X[7294] <= 8
model += 10*X[2074] - 12*X[1275] + 4*X[3930] + 7*X[810] + 2*X[4034] - 6*X[5190] - X[7499] + 13*X[1758] <= 16
model += 10*X[7133] + 7*X[1060] - 4*X[1688] - 12*X[7174] - 2*X[1648] + X[1369] + 6*X[4265] - 13*X[2110] <= 4
model += -X[7133] - 2*X[1060] + 6*X[1688] - 10*X[7174] + 3*X[1648] + 4*X[1369] - 9*X[4265] + 11*X[2110] <= 8
model += 10*X[6776] - 12*X[5866] + 4*X[3482] + 7*X[748] + 2*X[1221] - 6*X[3165] - X[5026] + 13*X[5753] <= 16
model += 10*X[7640] + 7*X[7581] - 4*X[3551] - 12*X[2751] - 2*X[5586] + X[4160] + 6*X[4079] - 13*X[3220] <= 4
model += -X[7640] - 2*X[7581] + 6*X[3551] - 10*X[2751] + 3*X[5586] + 4*X[4160] - 9*X[4079] + 11*X[3220] <= 8
model += 10*X[7632] + 7*X[2353] - 4*X[6058] - 12*X[3446] - 2*X[6894] + X[5478] + 6*X[3664] - 13*X[2410] <= 4
model += -X[7632] - 2*X[2353] + 6*X[6058] - 10*X[3446] + 3*X[6894] + 4*X[5478] - 9*X[3664] + 11*X[2410] <= 8
model += 10*X[4829] - 12*X[7130] + 4*X[3382] + 7*X[6636] + 2*X[7729] - 6*X[5277] - X[714] + 13*X[6986] <= 16
model += 10*X[1409] - 12*X[2131] + 4*X[3012] + 7*X[1041] + 2*X[6420] - 6*X[5768] - X[390] + 13*X[1754] <= 16
model += 10*X[1185] + 7*X[3401] - 4*X[1214] - 12*X[7415] - 2*X[2173] + X[5607] + 6*X[2283] - 13*X[1466] <= 4
model += -X[1185] - 2*X[3401] + 6*X[1214] - 10*X[7415] + 3*X[2173] + 4*X[5607] - 9*X[2283] + 11*X[1466] <= 8
model += 10*X[6138] + 7*X[3943] - 4*X[2756] - 12*X[3182] - 2*X[6212] + X[6017] + 6*X[4528] - 13*X[5562] <= 4
model += -X[6138] - 2*X[3943] + 6*X[2756] - 10*X[3182] + 3*X[6212] + 4*X[6017] - 9*X[4528] + 11*X[5562] <= 8
model += 10*X[3804] - 12*X[2227] + 4*X[3052] + 7*X[5208] + 2*X[3456] - 6*X[2840] - X[385] + 13*X[7779] <= 16
model += 10*X[4043] + 7*X[7367] - 4*X[3485] - 12*X[3704] - 2*X[1149] + X[4505] + 6*X[1335] - 13*X[2070] <= 4
model += -X[4043] - 2*X[7367] + 6*X[3485] - 10*X[3704] + 3*X[1149] + 4*X[4505] - 9*X[1335] + 11*X[2070] <= 8
model += 10*X[2324] + 7*X[1801] - 4*X[7439] - 12*X[4899] - 2*X[1072] + X[7502] + 6*X[3638] - 13*X[4802] <= 4
model += -X[2324] - 2*X[1801] + 6*X[7439] - 10*X[4899] + 3*X[1072] + 4*X[7502] - 9*X[3638] + 11*X[4802] <= 8
model += 10*X[4836] + 7*X[7372] - 4*X[3986] - 12*X[6780] - 2*X[4760] + X[2521] + 6*X[3707] - 13*X[2473] <= 4
model += -X[4836] - 2*X[7372] + 6*X[3986] - 10*X[6780] + 3*X[4760] + 4*X[2521] - 9*X[3707] + 11*X[2473] <= 8
model += 10*X[1420] - 12*X[6757] + 4*X[3539] + 7*X[178] + 2*X[4242] - 6*X[6972] - X[4937] + 13*X[5160] <= 16
model += 10*X[5178] + 7*X[7033] - 4*X[4312] - 12*X[5251] - 2*X[4448] + X[5284] + 6*X[4685] - 13*X[4516] <= 4
model += -X[5178] - 2*X[7033] + 6*X[4312] - 10*X[5251] + 3*X[4448] + 4*X[5284] - 9*X[4685] + 11*X[4516] <= 8
model += 10*X[5629] + 7*X[1811] - 4*X[4610] - 12*X[1092] - 2*X[7517] + X[4737] + 6*X[4789] - 13*X[3486] <= 4
model += -X[5629] - 2*X[1811] + 6*X[4610] - 10*X[1092] + 3*X[7517] + 4*X[4737] - 9*X[4789] + 11*X[3486] <= 8
model += 10*X[6871] + 7*X[2788] - 4*X[4359] - 12*X[4157] - 2*X[4358] + X[6310] + 6*X[3118] - 13*X[7166] <= 4
model += -X[6871] - 2*X[2788] + 6*X[4359] - 10*X[4157] + 3*X[4358] + 4*X[6310] - 9*X[3118] + 11*X[7166] <= 8
model += 10*X[5345] + 7*X[3675] - 4*X[4290] - 12*X[4576] - 2*X[2063] + X[6484] + 6*X[6856] - 13*X[4700] <= 4
model += -X[5345] - 2*X[3675] + 6*X[4290] - 10*X[4576] + 3*X[2063] + 4*X[6484] - 9*X[6856] + 11*X[4700] <= 8
model += 10*X[7118] - 12*X[4172] + 4*X[7618] + 7*X[3203] + 2*X[640] - 6*X[4742] - X[7605] + 13*X[1102] <= 16
model += 10*X[4118] + 7*X[4564] - 4*X[7146] - 12*X[6635] - 2*X[3720] + X[2983] + 6*X[6075] - 13*X[3117] <= 4
model += -X[4118] - 2*X[4564] + 6*X[7146] - 10*X[6635] + 3*X[3720] + 4*X[2983] - 9*X[6075] + 11*X[3117] <= 8
model += 10*X[2132] - 12*X[7351] + 4*X[959] + 7*X[5552] + 2*X[5953] - 6*X[2667] - X[2683] + 13*X[4694] <= 16
model += 10*X[2138] - 12*X[2565] + 4*X[6022] + 7*X[1065] + 2*X[6848] - 6*X[998] - X[1218] + 13*X[2597] <= 16
model += 10*X[7260] - 12*X[7421] + 4*X[702] + 7*X[2472] + 2*X[2888] - 6*X[2233] - X[2664] + 13*X[7395] <= 16
model += 10*X[6034] + 7*X[4296] - 4*X[2211] - 12*X[7007] - 2*X[2569] + X[3420] + 6*X[2443] - 13*X[2611] <= 4
model += -X[6034] - 2*X[4296] + 6*X[2211] - 10*X[7007] + 3*X[2569] + 4*X[3420] - 9*X[2443] + 11*X[2611] <= 8
model += 10*X[6253] - 12*X[5797] + 4*X[3654] + 7*X[201] + 2*X[7654] - 6*X[2461] - X[5333] + 13*X[4371] <= 16
model += 10*X[3631] - 12*X[5441] + 4*X[1050] + 7*X[3237] + 2*X[2829] - 6*X[1035] - X[4709] + 13*X[531] <= 16
model += 10*X[4105] - 12*X[3033] + 4*X[813] + 7*X[2561] + 2*X[1286] - 6*X[1638] - X[7524] + 13*X[6845] <= 16
model += 10*X[1064] - 12*X[651] + 4*X[3791] + 7*X[5342] + 2*X[5907] - 6*X[6162] - X[7204] + 13*X[2060] <= 16
model += 10*X[467] - 12*X[4626] + 4*X[3108] + 7*X[2082] + 2*X[5845] - 6*X[2188] - X[6088] + 13*X[5002] <= 16
model += 10*X[3172] - 12*X[1189] + 4*X[5446] + 7*X[4444] + 2*X[4394] - 6*X[3474] - X[5426] + 13*X[574] <= 16
model += 10*X[3276] + 7*X[1311] - 4*X[6898] - 12*X[5292] - 2*X[4277] + X[6595] + 6*X[2893] - 13*X[4480] <= 4
model += -X[3276] - 2*X[1311] + 6*X[6898] - 10*X[5292] + 3*X[4277] + 4*X[6595] - 9*X[2893] + 11*X[4480] <= 8
model += 10*X[3138] + 7*X[4753] - 4*X[2352] - 12*X[1604] - 2*X[6812] + X[5718] + 6*X[4589] - 13*X[5229] <= 4
model += -X[3138] - 2*X[4753] + 6*X[2352] - 10*X[1604] + 3*X[6812] + 4*X[5718] - 9*X[4589] + 11*X[5229] <= 8
model += 10*X[2704] - 12*X[4065] + 4*X[7103] + 7*X[908] + 2*X[2128] - 6*X[5256] - X[6872] + 13*X[1991] <= 16
model += 10*X[1735] + 7*X[3700] - 4*X[5856] - 12*X[2112] - 2*X[3192] + X[2701] + 6*X[5169] - 13*X[7203] <= 4
model += -X[1735] - 2*X[3700] + 6*X[5856] - 10*X[2112] + 3*X[3192] + 4*X[2701] - 9*X[5169] + 11*X[7203] <= 8
model += 10*X[3789] + 7*X[4481] - 4*X[4750] - 12*X[3191] - 2*X[5626] + X[1572] + 6*X[5431] - 13*X[3666] <= 4
model += -X[3789] - 2*X[4481] + 6*X[4750] - 10*X[3191] + 3*X[5626] + 4*X[1572] - 9*X[5431] + 11*X[3666] <= 8
model += 10*X[7644] + 7*X[1898] - 4*X[1931] - 12*X[2323] - 2*X[5222] + X[1067] + 6*X[6099] - 13*X[2287] <= 4
model += -X[7644] - 2*X[1898] + 6*X[1931] - 10*X[2323] + 3*X[5222] + 4*X[1067] - 9*X[6099] + 11*X[2287] <= 8
model += 10*X[2126] - 12*X[5000] + 4*X[2700] + 7*X[5865] + 2*X[7757] - 6*X[5597] - X[284] + 13*X[4050] <= 16
model += 10*X[3274] - 12*X[1411] + 4*X[3961] + 7*X[6469] + 2*X[6631] - 6*X[4894] - X[190] + 13*X[6163] <= 16
model += 10*X[4556] + 7*X[2209] - 4*X[2915] - 12*X[4994] - 2*X[1864] + X[3252] + 6*X[2632] - 13*X[7429] <= 4
model += -X[4556] - 2*X[2209] + 6*X[2915] - 10*X[4994] + 3*X[1864] + 4*X[3252] - 9*X[2632] + 11*X[7429] <= 8
model += 10*X[3016] + 7*X[3833] - 4*X[4190] - 12*X[4568] - 2*X[2537] + X[6155] + 6*X[3282] - 13*X[1970] <= 4
model += -X[3016] - 2*X[3833] + 6*X[4190] - 10*X[4568] + 3*X[2537] + 4*X[6155] - 9*X[3282] + 11*X[1970] <= 8
model += 10*X[613] - 12*X[5727] + 4*X[4286] + 7*X[5396] + 2*X[1131] - 6*X[5863] - X[3610] + 13*X[2958] <= 16
model += 10*X[1943] - 12*X[2735] + 4*X[2204] + 7*X[561] + 2*X[4313] - 6*X[1331] - X[1135] + 13*X[7664] <= 16
model += 10*X[2493] + 7*X[6928] - 4*X[4326] - 12*X[1701] - 2*X[1213] + X[4966] + 6*X[2146] - 13*X[3763] <= 4
model += -X[2493] - 2*X[6928] + 6*X[4326] - 10*X[1701] + 3*X[1213] + 4*X[4966] - 9*X[2146] + 11*X[3763] <= 8
model += 10*X[5209] + 7*X[5643] - 4*X[2259] - 12*X[4956] - 2*X[4744] + X[3633] + 6*X[4763] - 13*X[7067] <= 4
model += -X[5209] - 2*X[5643] + 6*X[2259] - 10*X[4956] + 3*X[4744] + 4*X[3633] - 9*X[4763] + 11*X[7067] <= 8
model += 10*X[161] - 12*X[1344] + 4*X[4154] + 7*X[5818] + 2*X[2035] - 6*X[7306] - X[6765] + 13*X[6962] <= 16
model += 10*X[2909] - 12*X[548] + 4*X[5380] + 7*X[3624] + 2*X[3298] - 6*X[2593] - X[3537] + 13*X[6238] <= 16
model += 10*X[6859] - 12*X[7455] + 4*X[3461] + 7*X[571] + 2*X[2000] - 6*X[5413] - X[7753] + 13*X[5099] <= 16
model += 10*X[7392] - 12*X[1389] + 4*X[3826] + 7*X[4180] + 2*X[3573] - 6*X[4230] - X[3688] + 13*X[451] <= 16
model += 10*X[5966] + 7*X[4185] - 4*X[1629] - 12*X[3781] - 2*X[2487] + X[1245] + 6*X[3785] - 13*X[2124] <= 4
model += -X[5966] - 2*X[4185] + 6*X[1629] - 10*X[3781] + 3*X[2487] + 4*X[1245] - 9*X[3785] + 11*X[2124] <= 8
model += 10*X[4900] + 7*X[5916] - 4*X[6050] - 12*X[6794] - 2*X[5800] + X[3368] + 6*X[5611] - 13*X[7011] <= 4
model += -X[4900] - 2*X[5916] + 6*X[6050] - 10*X[6794] + 3*X[5800] + 4*X[3368] - 9*X[5611] + 11*X[7011] <= 8
model += 10*X[5305] - 12*X[3092] + 4*X[6987] + 7*X[1670] + 2*X[601] - 6*X[6679] - X[6357] + 13*X[4959] <= 16
model += 10*X[5598] - 12*X[4681] + 4*X[4032] + 7*X[926] + 2*X[6410] - 6*X[2213] - X[7145] + 13*X[6287] <= 16
model += 10*X[3271] + 7*X[2780] - 4*X[6415] - 12*X[5989] - 2*X[1278] + X[5191] + 6*X[6380] - 13*X[6984] <= 4
model += -X[3271] - 2*X[2780] + 6*X[6415] - 10*X[5989] + 3*X[1278] + 4*X[5191] - 9*X[6380] + 11*X[6984] <= 8
model += 10*X[7781] + 7*X[2868] - 4*X[2496] - 12*X[4417] - 2*X[7512] + X[3334] + 6*X[5908] - 13*X[5154] <= 4
model += -X[7781] - 2*X[2868] + 6*X[2496] - 10*X[4417] + 3*X[7512] + 4*X[3334] - 9*X[5908] + 11*X[5154] <= 8
model += 10*X[2923] - 12*X[6214] + 4*X[6961] + 7*X[2651] + 2*X[554] - 6*X[4036] - X[6109] + 13*X[2028] <= 16
model += 10*X[2549] + 7*X[3581] - 4*X[4120] - 12*X[5548] - 2*X[7576] + X[6011] + 6*X[5730] - 13*X[6133] <= 4
model += -X[2549] - 2*X[3581] + 6*X[4120] - 10*X[5548] + 3*X[7576] + 4*X[6011] - 9*X[5730] + 11*X[6133] <= 8
model += 10*X[4099] + 7*X[3061] - 4*X[4690] - 12*X[6598] - 2*X[3488] + X[3319] + 6*X[2752] - 13*X[5092] <= 4
model += -X[4099] - 2*X[3061] + 6*X[4690] - 10*X[6598] + 3*X[3488] + 4*X[3319] - 9*X[2752] + 11*X[5092] <= 8
model += 10*X[4466] + 7*X[7711] - 4*X[5520] - 12*X[6234] - 2*X[4349] + X[1616] + 6*X[2944] - 13*X[4310] <= 4
model += -X[4466] - 2*X[7711] + 6*X[5520] - 10*X[6234] + 3*X[4349] + 4*X[1616] - 9*X[2944] + 11*X[4310] <= 8
model += 10*X[6988] - 12*X[4663] + 4*X[6121] + 7*X[108] + 2*X[7645] - 6*X[3681] - X[5079] + 13*X[5479] <= 16
model += 10*X[4673] + 7*X[3139] - 4*X[1677] - 12*X[2326] - 2*X[4922] + X[6836] + 6*X[4234] - 13*X[3350] <= 4
model += -X[4673] - 2*X[3139] + 6*X[1677] - 10*X[2326] + 3*X[4922] + 4*X[6836] - 9*X[4234] + 11*X[3350] <= 8
model += 10*X[3440] - 12*X[997] + 4*X[6300] + 7*X[1711] + 2*X[5859] - 6*X[6950] - X[5150] + 13*X[1834] <= 16
model += 10*X[1139] + 7*X[7673] - 4*X[5053] - 12*X[6897] - 2*X[1376] + X[4467] + 6*X[2924] - 13*X[4020] <= 4
model += -X[1139] - 2*X[7673] + 6*X[5053] - 10*X[6897] + 3*X[1376] + 4*X[4467] - 9*X[2924] + 11*X[4020] <= 8
model += 10*X[740] - 12*X[6618] + 4*X[7543] + 7*X[5148] + 2*X[4798] - 6*X[6204] - X[2055] + 13*X[6818] <= 16
model += 10*X[7216] - 12*X[5979] + 4*X[333] + 7*X[4294] + 2*X[4442] - 6*X[1642] - X[2238] + 13*X[2548] <= 16
model += 10*X[3145] + 7*X[4219] - 4*X[6926] - 12*X[1350] - 2*X[1692] + X[1416] + 6*X[2332] - 13*X[1215] <= 4
model += -X[3145] - 2*X[4219] + 6*X[6926] - 10*X[1350] + 3*X[1692] + 4*X[1416] - 9*X[2332] + 11*X[1215] <= 8
model += 10*X[7647] + 7*X[5874] - 4*X[5218] - 12*X[2850] - 2*X[7515] + X[1984] + 6*X[6843] - 13*X[2133] <= 4
model += -X[7647] - 2*X[5874] + 6*X[5218] - 10*X[2850] + 3*X[7515] + 4*X[1984] - 9*X[6843] + 11*X[2133] <= 8
model += 10*X[1444] + 7*X[1276] - 4*X[2052] - 12*X[7500] - 2*X[2033] + X[3103] + 6*X[6140] - 13*X[4582] <= 4
model += -X[1444] - 2*X[1276] + 6*X[2052] - 10*X[7500] + 3*X[2033] + 4*X[3103] - 9*X[6140] + 11*X[4582] <= 8
model += 10*X[4965] - 12*X[4210] + 4*X[4679] + 7*X[3090] + 2*X[967] - 6*X[5410] - X[2420] + 13*X[2274] <= 16
model += 10*X[4870] - 12*X[696] + 4*X[7014] + 7*X[1009] + 2*X[3532] - 6*X[4920] - X[4374] + 13*X[3344] <= 16
model += 10*X[5744] - 12*X[7043] + 4*X[6032] + 7*X[3807] + 2*X[5098] - 6*X[3997] - X[1736] + 13*X[976] <= 16
model += 10*X[6954] + 7*X[4524] - 4*X[3044] - 12*X[1353] - 2*X[1349] + X[2666] + 6*X[3589] - 13*X[7162] <= 4
model += -X[6954] - 2*X[4524] + 6*X[3044] - 10*X[1353] + 3*X[1349] + 4*X[2666] - 9*X[3589] + 11*X[7162] <= 8
model += 10*X[2554] + 7*X[2447] - 4*X[5673] - 12*X[2454] - 2*X[3132] + X[6575] + 6*X[7432] - 13*X[7509] <= 4
model += -X[2554] - 2*X[2447] + 6*X[5673] - 10*X[2454] + 3*X[3132] + 4*X[6575] - 9*X[7432] + 11*X[7509] <= 8
model += 10*X[7059] + 7*X[6275] - 4*X[6491] - 12*X[1669] - 2*X[3645] + X[6971] + 6*X[1974] - 13*X[7687] <= 4
model += -X[7059] - 2*X[6275] + 6*X[6491] - 10*X[1669] + 3*X[3645] + 4*X[6971] - 9*X[1974] + 11*X[7687] <= 8
model += 10*X[4191] - 12*X[5286] + 4*X[3020] + 7*X[1306] + 2*X[5404] - 6*X[5624] - X[5737] + 13*X[671] <= 16
model += 10*X[3659] + 7*X[7207] - 4*X[3523] - 12*X[4499] - 2*X[5965] + X[5352] + 6*X[2254] - 13*X[7112] <= 4
model += -X[3659] - 2*X[7207] + 6*X[3523] - 10*X[4499] + 3*X[5965] + 4*X[5352] - 9*X[2254] + 11*X[7112] <= 8
model += 10*X[2069] - 12*X[7183] + 4*X[527] + 7*X[5587] + 2*X[3377] - 6*X[2760] - X[4590] + 13*X[5007] <= 16
model += 10*X[5855] + 7*X[7062] - 4*X[5470] - 12*X[2025] - 2*X[5627] + X[3922] + 6*X[1843] - 13*X[5839] <= 4
model += -X[5855] - 2*X[7062] + 6*X[5470] - 10*X[2025] + 3*X[5627] + 4*X[3922] - 9*X[1843] + 11*X[5839] <= 8
model += 10*X[3544] - 12*X[4403] + 4*X[1293] + 7*X[397] + 2*X[1849] - 6*X[1952] - X[2563] + 13*X[4055] <= 16
model += 10*X[5649] + 7*X[1682] - 4*X[1459] - 12*X[2448] - 2*X[3590] + X[7744] + 6*X[5235] - 13*X[5991] <= 4
model += -X[5649] - 2*X[1682] + 6*X[1459] - 10*X[2448] + 3*X[3590] + 4*X[7744] - 9*X[5235] + 11*X[5991] <= 8
model += 10*X[5506] + 7*X[7733] - 4*X[6887] - 12*X[6112] - 2*X[4331] + X[2598] + 6*X[4103] - 13*X[5315] <= 4
model += -X[5506] - 2*X[7733] + 6*X[6887] - 10*X[6112] + 3*X[4331] + 4*X[2598] - 9*X[4103] + 11*X[5315] <= 8
model += 10*X[2404] + 7*X[1034] - 4*X[1693] - 12*X[1160] - 2*X[6790] + X[2268] + 6*X[3258] - 13*X[4620] <= 4
model += -X[2404] - 2*X[1034] + 6*X[1693] - 10*X[1160] + 3*X[6790] + 4*X[2268] - 9*X[3258] + 11*X[4620] <= 8
model += 10*X[5810] + 7*X[4213] - 4*X[6837] - 12*X[4930] - 2*X[4862] + X[1025] + 6*X[1134] - 13*X[7249] <= 4
model += -X[5810] - 2*X[4213] + 6*X[6837] - 10*X[4930] + 3*X[4862] + 4*X[1025] - 9*X[1134] + 11*X[7249] <= 8
model += 10*X[7090] - 12*X[2619] + 4*X[2503] + 7*X[875] + 2*X[5666] - 6*X[2907] - X[7359] + 13*X[1132] <= 16
model += 10*X[4171] - 12*X[5449] + 4*X[1419] + 7*X[1471] + 2*X[3979] - 6*X[199] - X[6496] + 13*X[5295] <= 16
model += 10*X[6371] - 12*X[6512] + 4*X[2687] + 7*X[631] + 2*X[6850] - 6*X[2774] - X[7449] + 13*X[2113] <= 16
model += 10*X[2942] + 7*X[4040] - 4*X[3840] - 12*X[7066] - 2*X[2049] + X[4434] + 6*X[3599] - 13*X[7569] <= 4
model += -X[2942] - 2*X[4040] + 6*X[3840] - 10*X[7066] + 3*X[2049] + 4*X[4434] - 9*X[3599] + 11*X[7569] <= 8
model += 10*X[2623] - 12*X[3685] + 4*X[3205] + 7*X[2566] + 2*X[6621] - 6*X[1996] - X[3291] + 13*X[592] <= 16
model += 10*X[7337] + 7*X[2075] - 4*X[7637] - 12*X[3907] - 2*X[6494] + X[6939] + 6*X[4743] - 13*X[2480] <= 4
model += -X[7337] - 2*X[2075] + 6*X[7637] - 10*X[3907] + 3*X[6494] + 4*X[6939] - 9*X[4743] + 11*X[2480] <= 8
model += 10*X[6606] - 12*X[4447] + 4*X[6703] + 7*X[2408] + 2*X[336] - 6*X[2680] - X[1530] + 13*X[2594] <= 16
model += 10*X[6922] - 12*X[842] + 4*X[3564] + 7*X[3098] + 2*X[2776] - 6*X[1863] - X[3198] + 13*X[2513] <= 16
model += 10*X[5577] - 12*X[1977] + 4*X[1302] + 7*X[6094] + 2*X[741] - 6*X[7280] - X[4705] + 13*X[5271] <= 16
model += 10*X[1963] - 12*X[6434] + 4*X[4807] + 7*X[7525] + 2*X[2018] - 6*X[2952] - X[666] + 13*X[6717] <= 16
model += 10*X[7250] - 12*X[6470] + 4*X[327] + 7*X[1539] + 2*X[4436] - 6*X[1702] - X[2517] + 13*X[1631] <= 16
model += 10*X[101] - 12*X[5027] + 4*X[5492] + 7*X[7558] + 2*X[7290] - 6*X[7107] - X[5637] + 13*X[3841] <= 16
model += 10*X[6447] - 12*X[374] + 4*X[6781] + 7*X[2422] + 2*X[1762] - 6*X[6431] - X[5061] + 13*X[6372] <= 16
model += 10*X[7400] + 7*X[5628] - 4*X[4377] - 12*X[3969] - 2*X[7297] + X[2421] + 6*X[4623] - 13*X[4376] <= 4
model += -X[7400] - 2*X[5628] + 6*X[4377] - 10*X[3969] + 3*X[7297] + 4*X[2421] - 9*X[4623] + 11*X[4376] <= 8
model += 10*X[3106] - 12*X[4486] + 4*X[7631] + 7*X[7228] + 2*X[4636] - 6*X[669] - X[2185] + 13*X[2989] <= 16
model += 10*X[1107] + 7*X[2777] - 4*X[3516] - 12*X[1745] - 2*X[5039] + X[4812] + 6*X[6405] - 13*X[7440] <= 4
model += -X[1107] - 2*X[2777] + 6*X[3516] - 10*X[1745] + 3*X[5039] + 4*X[4812] - 9*X[6405] + 11*X[7440] <= 8
model += 10*X[2684] - 12*X[6644] + 4*X[4614] + 7*X[6411] + 2*X[6787] - 6*X[1024] - X[2792] + 13*X[939] <= 16
model += 10*X[148] - 12*X[1285] + 4*X[1645] + 7*X[7024] + 2*X[3114] - 6*X[7095] - X[6456] + 13*X[1206] <= 16
model += 10*X[5455] + 7*X[3195] - 4*X[2425] - 12*X[4129] - 2*X[5858] + X[7268] + 6*X[4004] - 13*X[1108] <= 4
model += -X[5455] - 2*X[3195] + 6*X[2425] - 10*X[4129] + 3*X[5858] + 4*X[7268] - 9*X[4004] + 11*X[1108] <= 8
model += 10*X[4844] - 12*X[1590] + 4*X[4033] + 7*X[855] + 2*X[1926] - 6*X[7105] - X[4947] + 13*X[6385] <= 16
model += 10*X[4697] - 12*X[5522] + 4*X[7344] + 7*X[3546] + 2*X[2775] - 6*X[2787] - X[933] + 13*X[2385] <= 16
model += 10*X[1641] - 12*X[2842] + 4*X[811] + 7*X[1685] + 2*X[4144] - 6*X[6890] - X[7567] + 13*X[3015] <= 16
model += 10*X[5103] - 12*X[4168] + 4*X[306] + 7*X[3096] + 2*X[2195] - 6*X[6218] - X[2721] + 13*X[4916] <= 16
model += 10*X[7108] + 7*X[7126] - 4*X[6389] - 12*X[5767] - 2*X[1390] + X[1364] + 6*X[4409] - 13*X[1744] <= 4
model += -X[7108] - 2*X[7126] + 6*X[6389] - 10*X[5767] + 3*X[1390] + 4*X[1364] - 9*X[4409] + 11*X[1744] <= 8
model += 10*X[4838] - 12*X[6712] + 4*X[1782] + 7*X[7379] + 2*X[6291] - 6*X[4362] - X[1922] + 13*X[535] <= 16
model += 10*X[4593] - 12*X[7198] + 4*X[6967] + 7*X[310] + 2*X[5094] - 6*X[3651] - X[1256] + 13*X[3757] <= 16
model += 10*X[2235] - 12*X[5310] + 4*X[5829] + 7*X[2412] + 2*X[1737] - 6*X[7172] - X[388] + 13*X[2509] <= 16
model += 10*X[2090] - 12*X[4320] + 4*X[1377] + 7*X[5379] + 2*X[481] - 6*X[6041] - X[2446] + 13*X[1029] <= 16
model += 10*X[2378] - 12*X[569] + 4*X[1371] + 7*X[1307] + 2*X[2631] - 6*X[5405] - X[5168] + 13*X[3492] <= 16
model += 10*X[6531] + 7*X[5118] - 4*X[1512] - 12*X[2821] - 2*X[3235] + X[5528] + 6*X[4717] - 13*X[6581] <= 4
model += -X[6531] - 2*X[5118] + 6*X[1512] - 10*X[2821] + 3*X[3235] + 4*X[5528] - 9*X[4717] + 11*X[6581] <= 8
model += 10*X[3710] - 12*X[119] + 4*X[6177] + 7*X[6189] + 2*X[6535] - 6*X[5693] - X[4231] + 13*X[3693] <= 16
model += 10*X[2091] - 12*X[265] + 4*X[6895] + 7*X[5514] + 2*X[5772] - 6*X[4147] - X[5555] + 13*X[3495] <= 16
model += 10*X[4514] - 12*X[6529] + 4*X[6973] + 7*X[6688] + 2*X[289] - 6*X[5888] - X[1312] + 13*X[3650] <= 16
model += 10*X[5204] - 12*X[1451] + 4*X[4511] + 7*X[4787] + 2*X[4961] - 6*X[3536] - X[6693] + 13*X[170] <= 16
model += 10*X[4914] - 12*X[229] + 4*X[6591] + 7*X[1880] + 2*X[7371] - 6*X[5981] - X[4178] + 13*X[1712] <= 16
model += 10*X[6442] - 12*X[5017] + 4*X[2712] + 7*X[3753] + 2*X[1540] - 6*X[2116] - X[890] + 13*X[2076] <= 16
model += 10*X[3035] - 12*X[4011] + 4*X[6002] + 7*X[242] + 2*X[6662] - 6*X[2922] - X[7680] + 13*X[2835] <= 16
model += 10*X[1341] + 7*X[4267] - 4*X[6880] - 12*X[3221] - 2*X[1637] + X[4134] + 6*X[3386] - 13*X[3972] <= 4
model += -X[1341] - 2*X[4267] + 6*X[6880] - 10*X[3221] + 3*X[1637] + 4*X[4134] - 9*X[3386] + 11*X[3972] <= 8
model += 10*X[5437] - 12*X[4165] + 4*X[884] + 7*X[6377] + 2*X[7127] - 6*X[2987] - X[4669] + 13*X[4541] <= 16
model += 10*X[7231] + 7*X[5759] - 4*X[6355] - 12*X[5525] - 2*X[1058] + X[4249] + 6*X[6368] - 13*X[4598] <= 4
model += -X[7231] - 2*X[5759] + 6*X[6355] - 10*X[5525] + 3*X[1058] + 4*X[4249] - 9*X[6368] + 11*X[4598] <= 8
model += 10*X[5445] + 7*X[1417] - 4*X[3007] - 12*X[4495] - 2*X[7259] + X[6066] + 6*X[4198] - 13*X[6628] <= 4
model += -X[5445] - 2*X[1417] + 6*X[3007] - 10*X[4495] + 3*X[7259] + 4*X[6066] - 9*X[4198] + 11*X[6628] <= 8
model += 10*X[6092] + 7*X[6532] - 4*X[3311] - 12*X[3394] - 2*X[3143] + X[6419] + 6*X[7020] - 13*X[6721] <= 4
model += -X[6092] - 2*X[6532] + 6*X[3311] - 10*X[3394] + 3*X[3143] + 4*X[6419] - 9*X[7020] + 11*X[6721] <= 8
model += 10*X[6932] + 7*X[4139] - 4*X[3222] - 12*X[4825] - 2*X[3761] + X[7452] + 6*X[2205] - 13*X[5400] <= 4
model += -X[6932] - 2*X[4139] + 6*X[3222] - 10*X[4825] + 3*X[3761] + 4*X[7452] - 9*X[2205] + 11*X[5400] <= 8
model += 10*X[2327] + 7*X[4813] - 4*X[7229] - 12*X[4090] - 2*X[2816] + X[7789] + 6*X[4733] - 13*X[2894] <= 4
model += -X[2327] - 2*X[4813] + 6*X[7229] - 10*X[4090] + 3*X[2816] + 4*X[7789] - 9*X[4733] + 11*X[2894] <= 8
model += 10*X[7456] + 7*X[5491] - 4*X[1555] - 12*X[2485] - 2*X[4491] + X[1901] + 6*X[3313] - 13*X[4208] <= 4
model += -X[7456] - 2*X[5491] + 6*X[1555] - 10*X[2485] + 3*X[4491] + 4*X[1901] - 9*X[3313] + 11*X[4208] <= 8
model += 10*X[7671] + 7*X[7742] - 4*X[4159] - 12*X[6799] - 2*X[1634] + X[4420] + 6*X[7537] - 13*X[7047] <= 4
model += -X[7671] - 2*X[7742] + 6*X[4159] - 10*X[6799] + 3*X[1634] + 4*X[4420] - 9*X[7537] + 11*X[7047] <= 8
model += 10*X[7336] - 12*X[7761] + 4*X[5826] + 7*X[4102] + 2*X[4114] - 6*X[1859] - X[100] + 13*X[6312] <= 16
model += 10*X[2428] - 12*X[990] + 4*X[6087] + 7*X[2725] + 2*X[3224] - 6*X[5301] - X[1395] + 13*X[1381] <= 16
model += 10*X[1522] + 7*X[5155] - 4*X[5928] - 12*X[7044] - 2*X[6949] + X[5036] + 6*X[4859] - 13*X[4736] <= 4
model += -X[1522] - 2*X[5155] + 6*X[5928] - 10*X[7044] + 3*X[6949] + 4*X[5036] - 9*X[4859] + 11*X[4736] <= 8
model += 10*X[1100] + 7*X[4662] - 4*X[6942] - 12*X[6572] - 2*X[5096] + X[2668] + 6*X[2866] - 13*X[2926] <= 4
model += -X[1100] - 2*X[4662] + 6*X[6942] - 10*X[6572] + 3*X[5096] + 4*X[2668] - 9*X[2866] + 11*X[2926] <= 8
model += 10*X[2006] - 12*X[4063] + 4*X[7734] + 7*X[6650] + 2*X[2212] - 6*X[2992] - X[3284] + 13*X[4196] <= 16
model += 10*X[3911] - 12*X[2887] + 4*X[2264] + 7*X[2757] + 2*X[7463] - 6*X[3705] - X[5873] + 13*X[6841] <= 16
model += 10*X[4496] - 12*X[2558] + 4*X[1241] + 7*X[2711] + 2*X[1194] - 6*X[1968] - X[3070] + 13*X[6278] <= 16
model += 10*X[3921] - 12*X[1007] + 4*X[6847] + 7*X[2362] + 2*X[1415] - 6*X[3998] - X[1044] + 13*X[2570] <= 16
model += 10*X[2532] - 12*X[6835] + 4*X[4127] + 7*X[1166] + 2*X[1300] - 6*X[7674] - X[7201] + 13*X[7380] <= 16
model += 10*X[3369] - 12*X[2210] + 4*X[5488] + 7*X[5197] + 2*X[7065] - 6*X[7036] - X[5773] + 13*X[3500] <= 16
model += 10*X[3435] - 12*X[4910] + 4*X[6656] + 7*X[6561] + 2*X[1995] - 6*X[2690] - X[3906] + 13*X[5489] <= 16
model += 10*X[2315] - 12*X[5323] + 4*X[4485] + 7*X[6517] + 2*X[3902] - 6*X[2699] - X[2140] + 13*X[7459] <= 16
model += 10*X[6255] - 12*X[2266] + 4*X[2755] + 7*X[2553] + 2*X[5751] - 6*X[6423] - X[3185] + 13*X[5046] <= 16
model += 10*X[6770] - 12*X[7377] + 4*X[4271] + 7*X[5045] + 2*X[4217] - 6*X[5091] - X[2540] + 13*X[3786] <= 16
model += 10*X[3236] - 12*X[2301] + 4*X[4652] + 7*X[6755] + 2*X[3393] - 6*X[4132] - X[2633] + 13*X[4650] <= 16
model += 10*X[7496] - 12*X[7113] + 4*X[6161] + 7*X[6849] + 2*X[4373] - 6*X[6896] - X[2402] + 13*X[4949] <= 16
model += 10*X[5698] - 12*X[5003] + 4*X[3161] + 7*X[6924] + 2*X[6906] - 6*X[5869] - X[2276] + 13*X[1823] <= 16
model += 10*X[4786] - 12*X[6397] + 4*X[5471] + 7*X[2769] + 2*X[1475] - 6*X[6652] - X[7648] + 13*X[2136] <= 16
model += 10*X[4308] - 12*X[3087] + 4*X[4817] + 7*X[2852] + 2*X[1664] - 6*X[6996] - X[3217] + 13*X[3302] <= 16
model += 10*X[3199] - 12*X[6115] + 4*X[3798] + 7*X[5163] + 2*X[6700] - 6*X[4012] - X[1322] + 13*X[7481] <= 16
model += 10*X[5708] - 12*X[1768] + 4*X[4936] + 7*X[3159] + 2*X[2759] - 6*X[2203] - X[5838] + 13*X[7679] <= 16
model += 10*X[4108] - 12*X[1892] + 4*X[6863] + 7*X[7156] + 2*X[3058] - 6*X[3337] - X[5568] + 13*X[7716] <= 16
model += 10*X[5459] - 12*X[6393] + 4*X[4879] + 7*X[7279] + 2*X[4995] - 6*X[3243] - X[1577] + 13*X[5011] <= 16
model += 10*X[3001] - 12*X[6018] + 4*X[6592] + 7*X[2547] + 2*X[3583] - 6*X[1187] - X[7091] + 13*X[1260] <= 16
model += 10*X[6884] - 12*X[7555] + 4*X[5903] + 7*X[5799] + 2*X[5688] - 6*X[1969] - X[3950] + 13*X[4446] <= 16
model += 10*X[1937] - 12*X[3987] + 4*X[2586] + 7*X[4624] + 2*X[7034] - 6*X[7431] - X[1347] + 13*X[5614] <= 16
model += 10*X[7182] - 12*X[3502] + 4*X[2019] + 7*X[2345] + 2*X[7641] - 6*X[4858] - X[4784] + 13*X[7184] <= 16
model += 10*X[2083] - 12*X[2336] + 4*X[6360] + 7*X[3175] + 2*X[1777] - 6*X[5480] - X[1975] + 13*X[1502] <= 16
model += 10*X[4720] - 12*X[5741] + 4*X[2252] + 7*X[7382] + 2*X[4007] - 6*X[1207] - X[7302] + 13*X[6609] <= 16
model += 10*X[1452] - 12*X[1282] + 4*X[2467] + 7*X[5122] + 2*X[7592] - 6*X[2040] - X[5644] + 13*X[1579] <= 16
model += 10*X[5348] - 12*X[2442] + 4*X[3357] + 7*X[3512] + 2*X[6425] - 6*X[7530] - X[5831] + 13*X[6698] <= 16
model += 10*X[3131] - 12*X[2709] + 4*X[2808] + 7*X[3417] + 2*X[3073] - 6*X[4875] - X[6203] + 13*X[3475] <= 16
model += 10*X[1818] - 12*X[1709] + 4*X[1643] + 7*X[1095] + 2*X[2222] - 6*X[2356] - X[3422] + 13*X[4772] <= 16
model += 10*X[5602] - 12*X[1080] + 4*X[4539] + 7*X[4913] + 2*X[4302] - 6*X[2592] - X[6515] + 13*X[2638] <= 16
model += 10*X[4110] - 12*X[3747] + 4*X[2798] + 7*X[2646] + 2*X[1098] - 6*X[4781] - X[4749] + 13*X[7635] <= 16
model += 10*X[3498] - 12*X[7123] + 4*X[7287] + 7*X[6762] + 2*X[1425] - 6*X[2550] - X[4367] + 13*X[5579] <= 16
model += 10*X[5715] - 12*X[3240] + 4*X[1723] + 7*X[2630] + 2*X[4770] - 6*X[6699] - X[5500] + 13*X[4123] <= 16
model += 10*X[6120] - 12*X[2853] + 4*X[4314] + 7*X[3365] + 2*X[1183] - 6*X[7104] - X[3842] + 13*X[5486] <= 16
model += 10*X[5453] - 12*X[5912] + 4*X[6860] + 7*X[3852] + 2*X[6261] - 6*X[4273] - X[5836] + 13*X[2971] <= 16
model += 10*X[2359] - 12*X[6525] + 4*X[4022] + 7*X[3048] + 2*X[5603] - 6*X[6789] - X[4779] + 13*X[5376] <= 16
model += 10*X[6421] - 12*X[1093] + 4*X[2902] + 7*X[5734] + 2*X[3398] - 6*X[6952] - X[7292] + 13*X[5443] <= 16
model += 10*X[2081] - 12*X[1461] + 4*X[5381] + 7*X[1104] + 2*X[4970] - 6*X[1805] - X[5227] + 13*X[4532] <= 16
model += 10*X[1566] - 12*X[1313] + 4*X[5998] + 7*X[3275] + 2*X[4351] - 6*X[6090] - X[7548] + 13*X[1018] <= 16
model += 10*X[1653] - 12*X[3256] + 4*X[6708] + 7*X[2142] + 2*X[6661] - 6*X[5575] - X[6339] + 13*X[6321] <= 16
model += 10*X[4182] - 12*X[6468] + 4*X[6562] + 7*X[1567] + 2*X[6668] - 6*X[4741] - X[4098] + 13*X[3347] <= 16
model += 10*X[7077] - 12*X[6645] + 4*X[3698] + 7*X[1560] + 2*X[7274] - 6*X[3097] - X[2874] + 13*X[7220] <= 16
model += 10*X[3178] - 12*X[3468] + 4*X[7457] + 7*X[4236] + 2*X[4346] - 6*X[4014] - X[6269] + 13*X[6959] <= 16
model += 10*X[6136] - 12*X[4316] + 4*X[1379] + 7*X[6638] + 2*X[3454] - 6*X[5784] - X[3000] + 13*X[3672] <= 16
model += 10*X[1445] - 12*X[1903] + 4*X[3273] + 7*X[5920] + 2*X[3938] - 6*X[2476] - X[5848] + 13*X[4640] <= 16
model += 10*X[3470] - 12*X[6801] + 4*X[6774] + 7*X[6127] + 2*X[7222] - 6*X[1156] - X[7642] + 13*X[6336] <= 16
model += 10*X[6353] - 12*X[3019] + 4*X[4372] + 7*X[2272] + 2*X[2383] - 6*X[1694] - X[4121] + 13*X[6868] <= 16
model += 10*X[2606] - 12*X[2659] + 4*X[5025] + 7*X[7461] + 2*X[1722] - 6*X[2724] - X[6341] + 13*X[7447] <= 16
model += 10*X[5971] - 12*X[3692] + 4*X[7494] + 7*X[5678] + 2*X[7657] - 6*X[5476] - X[5495] + 13*X[7419] <= 16
model += 10*X[1076] - 12*X[3770] + 4*X[4438] + 7*X[6878] + 2*X[7008] - 6*X[5293] - X[2732] + 13*X[5972] <= 16
model += 10*X[7087] - 12*X[3835] + 4*X[1696] + 7*X[3549] + 2*X[3810] - 6*X[7614] - X[4115] + 13*X[5958] <= 16
model += 10*X[6426] - 12*X[6446] + 4*X[4216] + 7*X[6057] + 2*X[2708] - 6*X[6632] - X[2078] + 13*X[5780] <= 16
model += 10*X[6879] - 12*X[5805] + 4*X[1164] + 7*X[4303] + 2*X[6852] - 6*X[2469] - X[2145] + 13*X[2849] <= 16
model += 10*X[1146] - 12*X[4790] + 4*X[7028] + 7*X[1948] + 2*X[2379] - 6*X[3120] - X[3584] + 13*X[6227] <= 16
model += 10*X[7273] - 12*X[2120] + 4*X[1520] + 7*X[3644] + 2*X[2602] - 6*X[5457] - X[7667] + 13*X[3425] <= 16
model += 10*X[5978] - 12*X[2438] + 4*X[2159] + 7*X[6194] + 2*X[6414] - 6*X[2954] - X[1871] + 13*X[2459] <= 16
model += 10*X[5822] - 12*X[4019] + 4*X[6438] + 7*X[7139] + 2*X[1283] - 6*X[2573] - X[2579] + 13*X[7704] <= 16
model += 10*X[7064] - 12*X[3989] + 4*X[3900] + 7*X[2943] + 2*X[4766] - 6*X[4855] - X[5842] + 13*X[7526] <= 16
model += 10*X[3378] - 12*X[2534] + 4*X[5456] + 7*X[1960] + 2*X[2483] - 6*X[2434] - X[4256] + 13*X[5283] <= 16
model += 10*X[4834] - 12*X[4389] + 4*X[6459] + 7*X[1795] + 2*X[1936] - 6*X[5633] - X[6006] + 13*X[6187] <= 16
model += 10*X[6542] - 12*X[1778] + 4*X[1789] + 7*X[5719] + 2*X[1951] - 6*X[7152] - X[4413] + 13*X[3238] <= 16
model += 10*X[6864] - 12*X[3817] + 4*X[4356] + 7*X[1342] + 2*X[7136] - 6*X[6527] - X[6819] + 13*X[1382] <= 16
model += 10*X[1281] - 12*X[3689] + 4*X[5749] + 7*X[3427] + 2*X[7373] - 6*X[7519] - X[6570] + 13*X[4525] <= 16
model += 10*X[6749] - 12*X[5442] + 4*X[6184] + 7*X[4864] + 2*X[1876] - 6*X[3194] - X[2785] + 13*X[5418] <= 16
model += 10*X[1287] - 12*X[6822] + 4*X[6892] + 7*X[3567] + 2*X[5529] - 6*X[3837] - X[3703] + 13*X[5832] <= 16
model += 10*X[6805] - 12*X[6015] + 4*X[4056] + 7*X[4830] + 2*X[7361] - 6*X[7423] - X[6978] + 13*X[1967] <= 16
model += 10*X[4135] - 12*X[1939] + 4*X[5512] + 7*X[4584] + 2*X[4427] - 6*X[2148] - X[3931] + 13*X[6516] <= 16
model += 10*X[5594] - 12*X[4431] + 4*X[3112] + 7*X[5382] + 2*X[2257] - 6*X[3040] - X[2368] + 13*X[3660] <= 16
model += 10*X[7312] - 12*X[4696] + 4*X[6076] + 7*X[1120] + 2*X[1485] - 6*X[2155] - X[6673] + 13*X[5517] <= 16
model += 10*X[6905] - 12*X[3099] + 4*X[5802] + 7*X[5959] + 2*X[5239] - 6*X[1958] - X[7446] + 13*X[1243] <= 16
model += 10*X[4425] - 12*X[6600] + 4*X[5547] + 7*X[2240] + 2*X[5524] - 6*X[4629] - X[6881] + 13*X[3497] <= 16
model += 10*X[6147] - 12*X[4530] + 4*X[5814] + 7*X[3641] + 2*X[6773] - 6*X[7542] - X[7017] + 13*X[4028] <= 16
model += 10*X[4482] - 12*X[4039] + 4*X[5069] + 7*X[2574] + 2*X[6295] - 6*X[1191] - X[3795] + 13*X[1150] <= 16
model += 10*X[2162] - 12*X[7205] + 4*X[5397] + 7*X[4767] + 2*X[4865] - 6*X[3788] - X[2803] + 13*X[6039] <= 16
model += 10*X[7670] - 12*X[4557] + 4*X[6159] + 7*X[2657] + 2*X[7771] - 6*X[3402] - X[1966] + 13*X[5362] <= 16
model += 10*X[5571] - 12*X[6521] + 4*X[1493] + 7*X[2012] + 2*X[7408] - 6*X[2635] - X[1668] + 13*X[4896] <= 16
model += 10*X[7078] - 12*X[6874] + 4*X[3277] + 7*X[7389] + 2*X[4332] - 6*X[2581] - X[5986] + 13*X[2058] <= 16
model += 10*X[3074] - 12*X[6490] + 4*X[7706] + 7*X[5179] + 2*X[5553] - 6*X[6586] - X[1808] + 13*X[5793] <= 16
model += 10*X[5231] - 12*X[4199] + 4*X[7386] + 7*X[4383] + 2*X[5957] - 6*X[2129] - X[6683] + 13*X[3691] <= 16
model += 10*X[3086] - 12*X[6930] + 4*X[5346] + 7*X[4735] + 2*X[3737] - 6*X[2073] - X[1527] + 13*X[1262] <= 16
model += 10*X[7718] - 12*X[3049] + 4*X[4215] + 7*X[2147] + 2*X[3767] - 6*X[1509] - X[2215] + 13*X[5658] <= 16
model += 10*X[6211] - 12*X[5487] + 4*X[2691] + 7*X[7475] + 2*X[2104] - 6*X[3873] - X[7694] + 13*X[2427] <= 16
model += 10*X[2822] - 12*X[5944] + 4*X[2317] + 7*X[7636] + 2*X[5464] - 6*X[3802] - X[4857] + 13*X[7700] <= 16
model += 10*X[4642] - 12*X[7442] + 4*X[1491] + 7*X[6369] + 2*X[7282] - 6*X[6106] - X[2244] + 13*X[6319] <= 16
model += 10*X[2338] - 12*X[3814] + 4*X[5997] + 7*X[6503] + 2*X[1764] - 6*X[1383] - X[5655] + 13*X[1455] <= 16
model += 10*X[7122] - 12*X[3916] + 4*X[3493] + 7*X[1869] + 2*X[4560] - 6*X[2005] - X[4843] + 13*X[7692] <= 16
model += 10*X[6046] - 12*X[5309] + 4*X[1932] + 7*X[5034] + 2*X[2723] - 6*X[4788] - X[4510] + 13*X[1548] <= 16
model += 10*X[4548] - 12*X[2384] + 4*X[6366] + 7*X[5925] + 2*X[5619] - 6*X[1449] - X[3125] + 13*X[3160] <= 16
model += 10*X[6576] - 12*X[3200] + 4*X[4953] + 7*X[4426] + 2*X[2730] - 6*X[1175] - X[6311] + 13*X[1385] <= 16
model += 10*X[7200] - 12*X[3272] + 4*X[4016] + 7*X[6324] + 2*X[3465] - 6*X[1714] - X[2269] + 13*X[7627] <= 16
model += 10*X[1583] - 12*X[1741] + 4*X[7093] + 7*X[2660] + 2*X[5416] - 6*X[4518] - X[6889] + 13*X[2717] <= 16
model += 10*X[3046] - 12*X[4771] + 4*X[4184] + 7*X[2921] + 2*X[2426] - 6*X[7134] - X[3431] + 13*X[1589] <= 16
model += 10*X[3426] - 12*X[3620] + 4*X[5250] + 7*X[3982] + 2*X[5326] - 6*X[1896] - X[7068] + 13*X[4682] <= 16
model += 10*X[2158] - 12*X[3901] + 4*X[7561] + 7*X[7345] + 2*X[1895] - 6*X[7326] - X[3964] + 13*X[7612] <= 16
model += 10*X[5144] - 12*X[3034] + 4*X[3709] + 7*X[7574] + 2*X[2741] - 6*X[6684] - X[4852] + 13*X[6704] <= 16
model += 10*X[7277] - 12*X[3416] + 4*X[7633] + 7*X[1473] + 2*X[6418] - 6*X[2678] - X[1576] + 13*X[7464] <= 16
model += 10*X[2715] - 12*X[1015] + 4*X[4084] + 7*X[3429] + 2*X[2736] - 6*X[1288] - X[3036] + 13*X[4867] <= 16
model += 10*X[4633] - 12*X[4712] + 4*X[5970] + 7*X[4526] + 2*X[1686] - 6*X[7311] - X[2157] + 13*X[3164] <= 16
model += 10*X[4276] - 12*X[4138] + 4*X[4729] + 7*X[1432] + 2*X[1508] - 6*X[4892] - X[1336] + 13*X[7615] <= 16
model += 10*X[3846] - 12*X[7560] + 4*X[6003] + 7*X[6999] + 2*X[3975] - 6*X[2531] - X[6199] + 13*X[5585] <= 16
model += 10*X[1291] - 12*X[5184] + 4*X[4517] + 7*X[6437] + 2*X[6748] - 6*X[1250] - X[7402] + 13*X[4060] <= 16
model += 10*X[2334] - 12*X[3629] + 4*X[6265] + 7*X[7376] + 2*X[1105] - 6*X[2879] - X[5311] + 13*X[1580] <= 16
model += 10*X[3473] - 12*X[5640] + 4*X[3553] + 7*X[3746] + 2*X[4730] - 6*X[3571] - X[2431] + 13*X[5407] <= 16
model += 10*X[6995] - 12*X[7057] + 4*X[6070] + 7*X[6792] + 2*X[6587] - 6*X[2462] - X[1894] + 13*X[1328] <= 16
model += 10*X[7443] - 12*X[5638] + 4*X[3563] + 7*X[6756] + 2*X[5769] - 6*X[2393] - X[2995] + 13*X[1533] <= 16
model += 10*X[5557] - 12*X[3678] + 4*X[6105] + 7*X[6051] + 2*X[4803] - 6*X[6670] - X[3870] + 13*X[2750] <= 16
model += 10*X[2728] - 12*X[3759] + 4*X[5434] + 7*X[5016] + 2*X[1678] - 6*X[6544] - X[6488] + 13*X[5954] <= 16
model += 10*X[6737] - 12*X[1362] + 4*X[2742] + 7*X[3100] + 2*X[2031] - 6*X[3135] - X[5375] + 13*X[3799] <= 16
model += 10*X[5115] - 12*X[6493] + 4*X[5541] + 7*X[5194] + 2*X[3023] - 6*X[3176] - X[7493] + 13*X[7751] <= 16
model += 10*X[3322] - 12*X[2901] + 4*X[2322] + 7*X[5406] + 2*X[4846] - 6*X[1265] - X[1226] + 13*X[4237] <= 16
model += 10*X[3552] - 12*X[4311] + 4*X[6866] + 7*X[3674] + 2*X[6957] - 6*X[3005] - X[2877] + 13*X[2604] <= 16
model += 10*X[5498] - 12*X[4588] + 4*X[1099] + 7*X[7388] + 2*X[5338] - 6*X[5450] - X[3725] + 13*X[3556] <= 16
model += 10*X[5172] - 12*X[3406] + 4*X[6043] + 7*X[6885] + 2*X[3865] - 6*X[5781] - X[7234] + 13*X[1504] <= 16
model += 10*X[5570] - 12*X[7154] + 4*X[5642] + 7*X[4340] + 2*X[2307] - 6*X[7211] - X[5365] + 13*X[5085] <= 16
model += 10*X[4304] - 12*X[2376] + 4*X[7082] + 7*X[7471] + 2*X[5412] - 6*X[1549] - X[6417] + 13*X[1983] <= 16
model += 10*X[6068] - 12*X[7199] + 4*X[5391] + 7*X[3936] + 2*X[4796] - 6*X[1323] - X[2071] + 13*X[4264] <= 16
model += 10*X[4280] - 12*X[2199] + 4*X[2710] + 7*X[7121] + 2*X[4832] - 6*X[3388] - X[6775] + 13*X[5798] <= 16
model += 10*X[4222] - 12*X[6388] + 4*X[2625] + 7*X[3974] + 2*X[2029] - 6*X[1767] - X[5896] + 13*X[6639] <= 16
model += 10*X[7428] - 12*X[7786] + 4*X[6292] + 7*X[4205] + 2*X[5921] - 6*X[6514] - X[5028] + 13*X[1055] <= 16
model += 10*X[3733] - 12*X[6960] + 4*X[4384] + 7*X[4306] + 2*X[7467] - 6*X[3128] - X[7643] + 13*X[1013] <= 16
model += 10*X[5892] - 12*X[1838] + 4*X[2843] + 7*X[4381] + 2*X[6505] - 6*X[2229] - X[6154] + 13*X[2727] <= 16
model += 10*X[3383] - 12*X[1154] + 4*X[6150] + 7*X[5370] + 2*X[2675] - 6*X[1697] - X[5289] + 13*X[6602] <= 16
model += 10*X[4929] - 12*X[4449] + 4*X[3667] + 7*X[6142] + 2*X[3558] - 6*X[4152] - X[1544] + 13*X[2174] <= 16
model += 10*X[3613] - 12*X[3771] + 4*X[1366] + 7*X[4336] + 2*X[3866] - 6*X[5613] - X[2854] + 13*X[6814] <= 16
model += 10*X[5846] - 12*X[5527] + 4*X[1179] + 7*X[4668] + 2*X[1563] - 6*X[1392] - X[5722] + 13*X[5243] <= 16
model += 10*X[1598] - 12*X[2217] + 4*X[3314] + 7*X[6185] + 2*X[4041] - 6*X[1216] - X[7737] + 13*X[4206] <= 16
model += 10*X[6181] - 12*X[3189] + 4*X[7767] + 7*X[5483] + 2*X[1779] - 6*X[2917] - X[3520] + 13*X[6242] <= 16
model += 10*X[6122] - 12*X[5021] + 4*X[7181] + 7*X[1264] + 2*X[6509] - 6*X[2559] - X[7578] + 13*X[7391] <= 16
model += 10*X[5660] - 12*X[6326] + 4*X[6851] + 7*X[5777] + 2*X[6965] - 6*X[1298] - X[5102] + 13*X[2141] <= 16
model += 10*X[3452] - 12*X[3089] + 4*X[4211] + 7*X[7535] + 2*X[7378] - 6*X[1586] - X[6166] + 13*X[1810] <= 16
model += 10*X[6680] - 12*X[3958] + 4*X[7678] + 7*X[6158] + 2*X[1272] - 6*X[2057] - X[2354] + 13*X[7348] <= 16
model += 10*X[6743] - 12*X[4193] + 4*X[5175] + 7*X[3743] + 2*X[7676] - 6*X[6694] - X[5776] + 13*X[7159] <= 16
model += 10*X[1404] - 12*X[7726] + 4*X[5710] + 7*X[1802] + 2*X[5994] - 6*X[6179] - X[4645] + 13*X[6004] <= 16
model += 10*X[4684] - 12*X[4727] + 4*X[5281] + 7*X[5827] + 2*X[1497] - 6*X[2880] - X[1337] + 13*X[7128] <= 16
model += 10*X[6607] - 12*X[5610] + 4*X[3815] + 7*X[1699] + 2*X[6206] - 6*X[6146] - X[2626] + 13*X[5153] <= 16
model += 10*X[5387] - 12*X[5152] + 4*X[2371] + 7*X[5996] + 2*X[1569] - 6*X[6627] - X[4083] + 13*X[2641] <= 16
model += 10*X[7309] - 12*X[5199] + 4*X[6335] + 7*X[5754] + 2*X[3105] - 6*X[3213] - X[4301] + 13*X[1878] <= 16
model += 10*X[6119] - 12*X[4476] + 4*X[3714] + 7*X[6784] + 2*X[5049] - 6*X[5225] - X[7597] + 13*X[6305] <= 16
model += 10*X[5232] - 12*X[4919] + 4*X[7610] + 7*X[5665] + 2*X[5317] - 6*X[6501] - X[1442] + 13*X[7593] <= 16
model += 10*X[1610] - 12*X[6192] + 4*X[5022] + 7*X[2716] + 2*X[4874] - 6*X[2515] - X[2556] + 13*X[5559] <= 16
model += 10*X[6637] - 12*X[4299] + 4*X[4574] + 7*X[3121] + 2*X[4985] - 6*X[2208] - X[2430] + 13*X[5133] <= 16
model += 10*X[1413] - 12*X[3158] + 4*X[2694] + 7*X[5356] + 2*X[2387] - 6*X[3321] - X[3598] + 13*X[1049] <= 16
model += 10*X[1550] - 12*X[6082] + 4*X[4341] + 7*X[5911] + 2*X[2335] - 6*X[1921] - X[5867] + 13*X[3973] <= 16
model += 10*X[3006] - 12*X[1280] + 4*X[4483] + 7*X[2809] + 2*X[2115] - 6*X[2871] - X[7247] + 13*X[7607] <= 16
model += 10*X[5816] - 12*X[3819] + 4*X[5690] + 7*X[6590] + 2*X[4531] - 6*X[3783] - X[6370] + 13*X[7745] <= 16
model += 10*X[1886] - 12*X[1647] + 4*X[7594] + 7*X[6734] + 2*X[1663] - 6*X[3013] - X[4660] + 13*X[3513] <= 16
model += 10*X[7315] - 12*X[6254] + 4*X[4284] + 7*X[2950] + 2*X[2827] - 6*X[6614] - X[4891] + 13*X[1734] <= 16
model += 10*X[5415] - 12*X[6785] + 4*X[4321] + 7*X[6686] + 2*X[5145] - 6*X[7141] - X[3618] + 13*X[2986] <= 16
model += 10*X[3823] - 12*X[5132] + 4*X[4519] + 7*X[5177] + 2*X[2413] - 6*X[1117] - X[3879] + 13*X[5569] <= 16
model += 10*X[5328] - 12*X[1304] + 4*X[6367] + 7*X[1565] + 2*X[1743] - 6*X[2003] - X[1437] + 13*X[3832] <= 16
model += 10*X[5621] - 12*X[3890] + 4*X[3809] + 7*X[1387] + 2*X[7233] - 6*X[5018] - X[2649] + 13*X[6458] <= 16
model += 10*X[5075] - 12*X[5246] + 4*X[6293] + 7*X[7766] + 2*X[7660] - 6*X[2939] - X[6685] + 13*X[4595] <= 16
model += 10*X[3947] - 12*X[1854] + 4*X[6985] + 7*X[7681] + 2*X[5142] - 6*X[7621] - X[1730] + 13*X[4169] <= 16
model += 10*X[2053] - 12*X[5050] + 4*X[6566] + 7*X[1174] + 2*X[5851] - 6*X[3769] - X[6732] + 13*X[4461] <= 16
model += 10*X[1760] - 12*X[6648] + 4*X[5020] + 7*X[2932] + 2*X[5841] - 6*X[2790] - X[6647] + 13*X[7460] <= 16
model += 10*X[2654] - 12*X[3130] + 4*X[5864] + 7*X[7780] + 2*X[7406] - 6*X[1933] - X[2722] + 13*X[2719] <= 16
model += 10*X[3364] - 12*X[6923] + 4*X[2224] + 7*X[4533] + 2*X[4088] - 6*X[1655] - X[1457] + 13*X[1582] <= 16
model += 10*X[7398] - 12*X[6247] + 4*X[7728] + 7*X[2610] + 2*X[2098] - 6*X[6596] - X[1505] + 13*X[1772] <= 16
model += 10*X[3157] - 12*X[5436] + 4*X[3813] + 7*X[2285] + 2*X[5454] - 6*X[4967] - X[5130] + 13*X[6808] <= 16
model += 10*X[1320] - 12*X[7478] + 4*X[6735] + 7*X[3266] + 2*X[6130] - 6*X[5385] - X[1862] + 13*X[4581] <= 16
model += 10*X[7347] - 12*X[2047] + 4*X[2681] + 7*X[5521] + 2*X[7276] - 6*X[3615] - X[4255] + 13*X[6689] <= 16
model += 10*X[5136] - 12*X[4030] + 4*X[1908] + 7*X[6833] + 2*X[7175] - 6*X[3652] - X[6511] + 13*X[5417] <= 16
model += 10*X[3517] - 12*X[3395] + 4*X[2906] + 7*X[4835] + 2*X[5574] - 6*X[2223] - X[7074] + 13*X[5891] <= 16
model += 10*X[2312] - 12*X[3888] + 4*X[6195] + 7*X[3575] + 2*X[7173] - 6*X[3487] - X[1042] + 13*X[6205] <= 16
model += 10*X[4828] - 12*X[2342] + 4*X[2032] + 7*X[7546] + 2*X[1456] - 6*X[7532] - X[2936] + 13*X[3548] <= 16
model += 10*X[4126] - 12*X[2890] + 4*X[3566] + 7*X[7333] + 2*X[2038] - 6*X[1986] - X[4027] + 13*X[5212] <= 16
model += 10*X[2499] - 12*X[6946] + 4*X[1326] + 7*X[6352] + 2*X[7190] - 6*X[7437] - X[5392] + 13*X[3572] <= 16
model += 10*X[4469] - 12*X[4082] + 4*X[4339] + 7*X[5072] + 2*X[2557] - 6*X[6395] - X[7368] + 13*X[5300] <= 16
model += 10*X[2178] - 12*X[7724] + 4*X[5817] + 7*X[3288] + 2*X[2111] - 6*X[1269] - X[7662] + 13*X[3124] <= 16
model += 10*X[7316] - 12*X[7652] + 4*X[1650] + 7*X[4456] + 2*X[1879] - 6*X[4815] - X[2994] + 13*X[6786] <= 16
model += 10*X[3847] - 12*X[5083] + 4*X[3041] + 7*X[5787] + 2*X[7055] - 6*X[5439] - X[4777] + 13*X[1851] <= 16
model += 10*X[3359] - 12*X[1980] + 4*X[4287] + 7*X[3111] + 2*X[4695] - 6*X[7101] - X[7168] + 13*X[4111] <= 16
model += 10*X[1054] - 12*X[5539] + 4*X[4797] + 7*X[4463] + 2*X[4890] - 6*X[4655] - X[2123] + 13*X[2533] <= 16
model += 10*X[4905] - 12*X[2993] + 4*X[4607] + 7*X[1232] + 2*X[7010] - 6*X[3731] - X[7320] + 13*X[1495] <= 16
model += 10*X[5368] - 12*X[3723] + 4*X[5636] + 7*X[4285] + 2*X[7540] - 6*X[7736] - X[1793] + 13*X[7553] <= 16
model += 10*X[2281] - 12*X[3403] + 4*X[1087] + 7*X[5738] + 2*X[4897] - 6*X[5162] - X[3514] + 13*X[6441] <= 16
model += 10*X[3076] - 12*X[5200] + 4*X[6982] + 7*X[4441] + 2*X[2298] - 6*X[4704] - X[6975] + 13*X[3043] <= 16
model += 10*X[6444] - 12*X[1469] + 4*X[6394] + 7*X[1181] + 2*X[7084] - 6*X[5477] - X[4282] + 13*X[3955] <= 16
model += 10*X[7374] - 12*X[1820] + 4*X[6565] + 7*X[7237] + 2*X[4333] - 6*X[3782] - X[1613] + 13*X[1973] <= 16
model += 10*X[6148] - 12*X[5217] + 4*X[2568] + 7*X[3255] + 2*X[5523] - 6*X[1129] - X[5234] + 13*X[2855] <= 16
model += 10*X[2945] - 12*X[2961] + 4*X[3349] + 7*X[6400] + 2*X[4365] - 6*X[5147] - X[4877] + 13*X[7516] <= 16
model += 10*X[1360] - 12*X[6989] + 4*X[4395] + 7*X[5146] + 2*X[5484] - 6*X[1123] - X[5316] + 13*X[2937] <= 16
model += 10*X[3968] - 12*X[3228] + 4*X[5748] + 7*X[1786] + 2*X[6603] - 6*X[3533] - X[1096] + 13*X[2734] <= 16
model += 10*X[2591] - 12*X[5302] + 4*X[5149] + 7*X[5516] + 2*X[1297] - 6*X[6983] - X[7714] + 13*X[1314] <= 16
model += 10*X[6550] - 12*X[4808] + 4*X[4392] + 7*X[2609] + 2*X[4283] - 6*X[5403] - X[5248] + 13*X[4756] <= 16
model += 10*X[3632] - 12*X[5625] + 4*X[1490] + 7*X[4963] + 2*X[5143] - 6*X[6327] - X[7763] + 13*X[2471] <= 16
model += 10*X[3113] - 12*X[4200] + 4*X[1465] + 7*X[3600] + 2*X[5119] - 6*X[1770] - X[3719] + 13*X[6210] <= 16
model += 10*X[6316] - 12*X[2789] + 4*X[5725] + 7*X[6345] + 2*X[1195] - 6*X[5082] - X[4764] + 13*X[1585] <= 16
model += 10*X[5408] - 12*X[7161] + 4*X[6299] + 7*X[1266] + 2*X[3913] - 6*X[7147] - X[5669] + 13*X[6936] <= 16
model += 10*X[6944] - 12*X[7383] + 4*X[4259] + 7*X[4155] + 2*X[1345] - 6*X[3287] - X[5263] + 13*X[3499] <= 16
model += 10*X[2578] - 12*X[4908] + 4*X[1133] + 7*X[1386] + 2*X[4506] - 6*X[1882] - X[7504] + 13*X[2613] <= 16
model += 10*X[6361] - 12*X[2279] + 4*X[2920] + 7*X[5503] + 2*X[2762] - 6*X[6359] - X[4659] + 13*X[4017] <= 16
model += 10*X[2682] - 12*X[7079] + 4*X[2564] + 7*X[2150] + 2*X[5461] - 6*X[2891] - X[3586] + 13*X[1945] <= 16
model += 10*X[4187] - 12*X[6440] + 4*X[4646] + 7*X[2552] + 2*X[3967] - 6*X[7226] - X[4263] + 13*X[1396] <= 16
model += 10*X[2863] - 12*X[1110] + 4*X[6728] + 7*X[5165] + 2*X[4254] - 6*X[7321] - X[3863] + 13*X[7601] <= 16
model += 10*X[3614] - 12*X[6222] + 4*X[4928] + 7*X[5752] + 2*X[6558] - 6*X[5422] - X[6994] + 13*X[4278] <= 16
model += 10*X[5648] - 12*X[3509] + 4*X[1261] + 7*X[6282] + 2*X[3891] - 6*X[5778] - X[4197] + 13*X[2913] <= 16
model += 10*X[7117] - 12*X[2271] + 4*X[3875] + 7*X[6695] + 2*X[6813] - 6*X[7125] - X[5935] + 13*X[5499] <= 16
model += 10*X[2079] - 12*X[1928] + 4*X[6745] + 7*X[2582] + 2*X[7179] - 6*X[4419] - X[4917] + 13*X[4439] <= 16
model += 10*X[6084] - 12*X[1367] + 4*X[3749] + 7*X[6921] + 2*X[5366] - 6*X[1153] - X[1330] + 13*X[1868] <= 16
model += 10*X[2475] - 12*X[7709] + 4*X[1038] + 7*X[4493] + 2*X[1109] - 6*X[1824] - X[3021] + 13*X[4146] <= 16
model += 10*X[3738] - 12*X[2984] + 4*X[6318] + 7*X[2587] + 2*X[2679] - 6*X[6054] - X[3301] + 13*X[2001] <= 16
model += 10*X[7606] - 12*X[2002] + 4*X[4008] + 7*X[2815] + 2*X[2916] - 6*X[2998] - X[6167] + 13*X[2910] <= 16
model += 10*X[4406] - 12*X[2778] + 4*X[7708] + 7*X[5853] + 2*X[2343] - 6*X[2065] - X[4318] + 13*X[3463] <= 16
model += 10*X[5303] - 12*X[4188] + 4*X[6281] + 7*X[6472] + 2*X[2344] - 6*X[2820] - X[5600] + 13*X[5438] <= 16
model += 10*X[7508] - 12*X[6007] + 4*X[3037] + 7*X[3579] + 2*X[1912] - 6*X[1496] - X[1726] + 13*X[3206] <= 16
model += 10*X[7245] - 12*X[3639] + 4*X[4078] + 7*X[1399] + 2*X[7137] - 6*X[5519] - X[4272] + 13*X[2059] <= 16
model += 10*X[1354] - 12*X[2197] + 4*X[6506] + 7*X[2470] + 2*X[3780] - 6*X[7427] - X[1630] + 13*X[3339] <= 16
model += 10*X[4716] - 12*X[3687] + 4*X[5905] + 7*X[5801] + 2*X[2406] - 6*X[5572] - X[3444] + 13*X[6365] <= 16
model += 10*X[6579] - 12*X[5505] + 4*X[3912] + 7*X[7583] + 2*X[7132] - 6*X[6750] - X[2996] + 13*X[2478] <= 16
model += 10*X[4018] - 12*X[7375] + 4*X[3042] + 7*X[2661] + 2*X[5815] - 6*X[3899] - X[5947] + 13*X[5847] <= 16
model += 10*X[1715] - 12*X[3628] + 4*X[2365] + 7*X[1990] + 2*X[2912] - 6*X[6742] - X[6126] + 13*X[6285] <= 16
model += 10*X[2175] - 12*X[6682] + 4*X[4508] + 7*X[2325] + 2*X[5033] - 6*X[2905] - X[1800] + 13*X[7196] <= 16
model += 10*X[2796] - 12*X[6571] + 4*X[4987] + 7*X[3018] + 2*X[1003] - 6*X[7403] - X[3754] + 13*X[1608] <= 16
model += 10*X[7086] - 12*X[4166] + 4*X[6271] + 7*X[5689] + 2*X[7342] - 6*X[6492] - X[4806] + 13*X[6286] <= 16
model += 10*X[2956] - 12*X[1752] + 4*X[1197] + 7*X[6622] + 2*X[4819] - 6*X[5156] - X[4307] + 13*X[3478] <= 16
model += 10*X[7686] - 12*X[6583] + 4*X[5889] + 7*X[4773] + 2*X[7577] - 6*X[2584] - X[2782] + 13*X[7425] <= 16
model += 10*X[2720] - 12*X[2758] + 4*X[6272] + 7*X[4512] + 2*X[5496] - 6*X[6876] - X[4453] + 13*X[6908] <= 16
model += 10*X[3400] - 12*X[6476] + 4*X[4258] + 7*X[7529] + 2*X[6980] - 6*X[2313] - X[5460] + 13*X[6364] <= 16
model += 10*X[4119] - 12*X[7732] + 4*X[3362] + 7*X[2242] + 2*X[3230] - 6*X[2194] - X[2885] + 13*X[3855] <= 16
model += 10*X[6391] - 12*X[5501] + 4*X[5493] + 7*X[7600] + 2*X[4192] - 6*X[4689] - X[5880] + 13*X[2468] <= 16
model += 10*X[7710] - 12*X[1651] + 4*X[4609] + 7*X[7340] + 2*X[1448] - 6*X[1209] - X[2339] + 13*X[6524] <= 16
model += 10*X[4130] - 12*X[7701] + 4*X[3250] + 7*X[5820] + 2*X[5681] - 6*X[1614] - X[1906] + 13*X[2946] <= 16
model += 10*X[5189] - 12*X[4804] + 4*X[2014] + 7*X[7246] + 2*X[1556] - 6*X[4175] - X[3152] + 13*X[4274] <= 16
model += 10*X[5095] - 12*X[7000] + 4*X[2953] + 7*X[2753] + 2*X[2848] - 6*X[6409] - X[4385] + 13*X[2390] <= 16
model += 10*X[2125] - 12*X[4643] + 4*X[2289] + 7*X[5962] + 2*X[1460] - 6*X[1844] - X[2439] + 13*X[1178] <= 16
model += 10*X[7783] - 12*X[2280] + 4*X[2949] + 7*X[1240] + 2*X[1658] - 6*X[7251] - X[3253] + 13*X[6899] <= 16
model += 10*X[1373] - 12*X[3239] + 4*X[3187] + 7*X[1644] + 2*X[1976] - 6*X[3126] - X[6026] + 13*X[2340] <= 16
model += 10*X[4601] - 12*X[2607] + 4*X[6085] + 7*X[5214] + 2*X[1126] - 6*X[4841] - X[4889] + 13*X[7611] <= 16
model += 10*X[3404] - 12*X[1365] + 4*X[4873] + 7*X[1091] + 2*X[3320] - 6*X[3134] - X[3418] + 13*X[6665] <= 16
model += 10*X[4202] - 12*X[7094] + 4*X[6303] + 7*X[5265] + 2*X[1870] - 6*X[4405] - X[5697] + 13*X[3201] <= 16
model += 10*X[5201] - 12*X[6744] + 4*X[4251] + 7*X[1182] + 2*X[7186] - 6*X[4297] - X[6160] + 13*X[2085] <= 16
model += 10*X[2795] - 12*X[3612] + 4*X[5728] + 7*X[1950] + 2*X[5465] - 6*X[4112] - X[2363] + 13*X[1273] <= 16
model += 10*X[5713] - 12*X[2008] + 4*X[5093] + 7*X[1964] + 2*X[4035] - 6*X[5336] - X[5432] + 13*X[1587] <= 16
model += 10*X[4654] - 12*X[5364] + 4*X[2919] + 7*X[3882] + 2*X[6175] - 6*X[3779] - X[3859] + 13*X[3027] <= 16
model += 10*X[4162] - 12*X[2918] + 4*X[7571] + 7*X[6427] + 2*X[2749] - 6*X[2695] - X[5378] + 13*X[5862] <= 16
model += 10*X[2051] - 12*X[6062] + 4*X[2219] + 7*X[4342] + 2*X[6048] - 6*X[2261] - X[6399] + 13*X[3345] <= 16
model += 10*X[7063] - 12*X[5183] + 4*X[6307] + 7*X[4498] + 2*X[7075] - 6*X[5233] - X[4945] + 13*X[6333] <= 16
model += 10*X[3430] - 12*X[4388] + 4*X[3225] + 7*X[2466] + 2*X[6610] - 6*X[6746] - X[2419] + 13*X[5463] <= 16
model += 10*X[5942] - 12*X[4323] + 4*X[3895] + 7*X[7329] + 2*X[3602] - 6*X[3323] - X[7784] + 13*X[4923] <= 16
model += 10*X[1031] - 12*X[6538] + 4*X[2220] + 7*X[6842] + 2*X[1771] - 6*X[3965] - X[2748] + 13*X[2990] <= 16
model += 10*X[1982] - 12*X[7775] + 4*X[5567] + 7*X[2693] + 2*X[4758] - 6*X[6613] - X[5071] + 13*X[2524] <= 16
model += 10*X[3047] - 12*X[5898] + 4*X[6556] + 7*X[6231] + 2*X[4550] - 6*X[5924] - X[4156] + 13*X[5608] <= 16
model += 10*X[2583] - 12*X[6724] + 4*X[4044] + 7*X[6625] + 2*X[2206] - 6*X[4338] - X[6754] + 13*X[2963] <= 16
model += 10*X[5653] - 12*X[1106] + 4*X[6302] + 7*X[1746] + 2*X[6191] - 6*X[2457] - X[6428] + 13*X[2039] <= 16
model += 10*X[5686] - 12*X[3695] + 4*X[4380] + 7*X[1224] + 2*X[1173] - 6*X[5580] - X[4702] + 13*X[7227] <= 16
model += 10*X[1756] - 12*X[4085] + 4*X[6241] + 7*X[4907] + 2*X[7240] - 6*X[4924] - X[7720] + 13*X[4246] <= 16
model += 10*X[5696] - 12*X[2505] + 4*X[2187] + 7*X[4024] + 2*X[2295] - 6*X[5576] - X[5125] + 13*X[2794] <= 16
model += 10*X[1066] - 12*X[2099] + 4*X[1599] + 7*X[3340] + 2*X[1853] - 6*X[7409] - X[6549] + 13*X[6901] <= 16
model += 10*X[5785] - 12*X[7243] + 4*X[3372] + 7*X[7445] + 2*X[4612] - 6*X[6243] - X[5609] + 13*X[6672] <= 16
model += 10*X[3269] - 12*X[5322] + 4*X[5926] + 7*X[1535] + 2*X[5108] - 6*X[2761] - X[7171] + 13*X[7294] <= 16
model += 10*X[7133] - 12*X[1060] + 4*X[1688] + 7*X[7174] + 2*X[1648] - 6*X[1369] - X[4265] + 13*X[2110] <= 16
model += 10*X[7640] - 12*X[7581] + 4*X[3551] + 7*X[2751] + 2*X[5586] - 6*X[4160] - X[4079] + 13*X[3220] <= 16
model += 10*X[7632] - 12*X[2353] + 4*X[6058] + 7*X[3446] + 2*X[6894] - 6*X[5478] - X[3664] + 13*X[2410] <= 16
model += 10*X[1185] - 12*X[3401] + 4*X[1214] + 7*X[7415] + 2*X[2173] - 6*X[5607] - X[2283] + 13*X[1466] <= 16
model += 10*X[6138] - 12*X[3943] + 4*X[2756] + 7*X[3182] + 2*X[6212] - 6*X[6017] - X[4528] + 13*X[5562] <= 16
model += 10*X[4043] - 12*X[7367] + 4*X[3485] + 7*X[3704] + 2*X[1149] - 6*X[4505] - X[1335] + 13*X[2070] <= 16
model += 10*X[2324] - 12*X[1801] + 4*X[7439] + 7*X[4899] + 2*X[1072] - 6*X[7502] - X[3638] + 13*X[4802] <= 16
model += 10*X[4836] - 12*X[7372] + 4*X[3986] + 7*X[6780] + 2*X[4760] - 6*X[2521] - X[3707] + 13*X[2473] <= 16
model += 10*X[5178] - 12*X[7033] + 4*X[4312] + 7*X[5251] + 2*X[4448] - 6*X[5284] - X[4685] + 13*X[4516] <= 16
model += 10*X[5629] - 12*X[1811] + 4*X[4610] + 7*X[1092] + 2*X[7517] - 6*X[4737] - X[4789] + 13*X[3486] <= 16
model += 10*X[6871] - 12*X[2788] + 4*X[4359] + 7*X[4157] + 2*X[4358] - 6*X[6310] - X[3118] + 13*X[7166] <= 16
model += 10*X[5345] - 12*X[3675] + 4*X[4290] + 7*X[4576] + 2*X[2063] - 6*X[6484] - X[6856] + 13*X[4700] <= 16
model += 10*X[4118] - 12*X[4564] + 4*X[7146] + 7*X[6635] + 2*X[3720] - 6*X[2983] - X[6075] + 13*X[3117] <= 16
model += 10*X[6034] - 12*X[4296] + 4*X[2211] + 7*X[7007] + 2*X[2569] - 6*X[3420] - X[2443] + 13*X[2611] <= 16
model += 10*X[3276] - 12*X[1311] + 4*X[6898] + 7*X[5292] + 2*X[4277] - 6*X[6595] - X[2893] + 13*X[4480] <= 16
model += 10*X[3138] - 12*X[4753] + 4*X[2352] + 7*X[1604] + 2*X[6812] - 6*X[5718] - X[4589] + 13*X[5229] <= 16
model += 10*X[1735] - 12*X[3700] + 4*X[5856] + 7*X[2112] + 2*X[3192] - 6*X[2701] - X[5169] + 13*X[7203] <= 16
model += 10*X[3789] - 12*X[4481] + 4*X[4750] + 7*X[3191] + 2*X[5626] - 6*X[1572] - X[5431] + 13*X[3666] <= 16
model += 10*X[7644] - 12*X[1898] + 4*X[1931] + 7*X[2323] + 2*X[5222] - 6*X[1067] - X[6099] + 13*X[2287] <= 16
model += 10*X[4556] - 12*X[2209] + 4*X[2915] + 7*X[4994] + 2*X[1864] - 6*X[3252] - X[2632] + 13*X[7429] <= 16
model += 10*X[3016] - 12*X[3833] + 4*X[4190] + 7*X[4568] + 2*X[2537] - 6*X[6155] - X[3282] + 13*X[1970] <= 16
model += 10*X[2493] - 12*X[6928] + 4*X[4326] + 7*X[1701] + 2*X[1213] - 6*X[4966] - X[2146] + 13*X[3763] <= 16
model += 10*X[5209] - 12*X[5643] + 4*X[2259] + 7*X[4956] + 2*X[4744] - 6*X[3633] - X[4763] + 13*X[7067] <= 16
model += 10*X[5966] - 12*X[4185] + 4*X[1629] + 7*X[3781] + 2*X[2487] - 6*X[1245] - X[3785] + 13*X[2124] <= 16
model += 10*X[4900] - 12*X[5916] + 4*X[6050] + 7*X[6794] + 2*X[5800] - 6*X[3368] - X[5611] + 13*X[7011] <= 16
model += 10*X[3271] - 12*X[2780] + 4*X[6415] + 7*X[5989] + 2*X[1278] - 6*X[5191] - X[6380] + 13*X[6984] <= 16
model += 10*X[7781] - 12*X[2868] + 4*X[2496] + 7*X[4417] + 2*X[7512] - 6*X[3334] - X[5908] + 13*X[5154] <= 16
model += 10*X[2549] - 12*X[3581] + 4*X[4120] + 7*X[5548] + 2*X[7576] - 6*X[6011] - X[5730] + 13*X[6133] <= 16
model += 10*X[4099] - 12*X[3061] + 4*X[4690] + 7*X[6598] + 2*X[3488] - 6*X[3319] - X[2752] + 13*X[5092] <= 16
model += 10*X[4466] - 12*X[7711] + 4*X[5520] + 7*X[6234] + 2*X[4349] - 6*X[1616] - X[2944] + 13*X[4310] <= 16
model += 10*X[4673] - 12*X[3139] + 4*X[1677] + 7*X[2326] + 2*X[4922] - 6*X[6836] - X[4234] + 13*X[3350] <= 16
model += 10*X[1139] - 12*X[7673] + 4*X[5053] + 7*X[6897] + 2*X[1376] - 6*X[4467] - X[2924] + 13*X[4020] <= 16
model += 10*X[3145] - 12*X[4219] + 4*X[6926] + 7*X[1350] + 2*X[1692] - 6*X[1416] - X[2332] + 13*X[1215] <= 16
model += 10*X[7647] - 12*X[5874] + 4*X[5218] + 7*X[2850] + 2*X[7515] - 6*X[1984] - X[6843] + 13*X[2133] <= 16
model += 10*X[1444] - 12*X[1276] + 4*X[2052] + 7*X[7500] + 2*X[2033] - 6*X[3103] - X[6140] + 13*X[4582] <= 16
model += 10*X[6954] - 12*X[4524] + 4*X[3044] + 7*X[1353] + 2*X[1349] - 6*X[2666] - X[3589] + 13*X[7162] <= 16
model += 10*X[2554] - 12*X[2447] + 4*X[5673] + 7*X[2454] + 2*X[3132] - 6*X[6575] - X[7432] + 13*X[7509] <= 16
model += 10*X[7059] - 12*X[6275] + 4*X[6491] + 7*X[1669] + 2*X[3645] - 6*X[6971] - X[1974] + 13*X[7687] <= 16
model += 10*X[3659] - 12*X[7207] + 4*X[3523] + 7*X[4499] + 2*X[5965] - 6*X[5352] - X[2254] + 13*X[7112] <= 16
model += 10*X[5855] - 12*X[7062] + 4*X[5470] + 7*X[2025] + 2*X[5627] - 6*X[3922] - X[1843] + 13*X[5839] <= 16
model += 10*X[5649] - 12*X[1682] + 4*X[1459] + 7*X[2448] + 2*X[3590] - 6*X[7744] - X[5235] + 13*X[5991] <= 16
model += 10*X[5506] - 12*X[7733] + 4*X[6887] + 7*X[6112] + 2*X[4331] - 6*X[2598] - X[4103] + 13*X[5315] <= 16
model += 10*X[2404] - 12*X[1034] + 4*X[1693] + 7*X[1160] + 2*X[6790] - 6*X[2268] - X[3258] + 13*X[4620] <= 16
model += 10*X[5810] - 12*X[4213] + 4*X[6837] + 7*X[4930] + 2*X[4862] - 6*X[1025] - X[1134] + 13*X[7249] <= 16
model += 10*X[2942] - 12*X[4040] + 4*X[3840] + 7*X[7066] + 2*X[2049] - 6*X[4434] - X[3599] + 13*X[7569] <= 16
model += 10*X[7337] - 12*X[2075] + 4*X[7637] + 7*X[3907] + 2*X[6494] - 6*X[6939] - X[4743] + 13*X[2480] <= 16
model += 10*X[7400] - 12*X[5628] + 4*X[4377] + 7*X[3969] + 2*X[7297] - 6*X[2421] - X[4623] + 13*X[4376] <= 16
model += 10*X[1107] - 12*X[2777] + 4*X[3516] + 7*X[1745] + 2*X[5039] - 6*X[4812] - X[6405] + 13*X[7440] <= 16
model += 10*X[5455] - 12*X[3195] + 4*X[2425] + 7*X[4129] + 2*X[5858] - 6*X[7268] - X[4004] + 13*X[1108] <= 16
model += 10*X[7108] - 12*X[7126] + 4*X[6389] + 7*X[5767] + 2*X[1390] - 6*X[1364] - X[4409] + 13*X[1744] <= 16
model += 10*X[6531] - 12*X[5118] + 4*X[1512] + 7*X[2821] + 2*X[3235] - 6*X[5528] - X[4717] + 13*X[6581] <= 16
model += 10*X[1341] - 12*X[4267] + 4*X[6880] + 7*X[3221] + 2*X[1637] - 6*X[4134] - X[3386] + 13*X[3972] <= 16
model += 10*X[7231] - 12*X[5759] + 4*X[6355] + 7*X[5525] + 2*X[1058] - 6*X[4249] - X[6368] + 13*X[4598] <= 16
model += 10*X[5445] - 12*X[1417] + 4*X[3007] + 7*X[4495] + 2*X[7259] - 6*X[6066] - X[4198] + 13*X[6628] <= 16
model += 10*X[6092] - 12*X[6532] + 4*X[3311] + 7*X[3394] + 2*X[3143] - 6*X[6419] - X[7020] + 13*X[6721] <= 16
model += 10*X[6932] - 12*X[4139] + 4*X[3222] + 7*X[4825] + 2*X[3761] - 6*X[7452] - X[2205] + 13*X[5400] <= 16
model += 10*X[2327] - 12*X[4813] + 4*X[7229] + 7*X[4090] + 2*X[2816] - 6*X[7789] - X[4733] + 13*X[2894] <= 16
model += 10*X[7456] - 12*X[5491] + 4*X[1555] + 7*X[2485] + 2*X[4491] - 6*X[1901] - X[3313] + 13*X[4208] <= 16
model += 10*X[7671] - 12*X[7742] + 4*X[4159] + 7*X[6799] + 2*X[1634] - 6*X[4420] - X[7537] + 13*X[7047] <= 16
model += 10*X[1522] - 12*X[5155] + 4*X[5928] + 7*X[7044] + 2*X[6949] - 6*X[5036] - X[4859] + 13*X[4736] <= 16
model += 10*X[1100] - 12*X[4662] + 4*X[6942] + 7*X[6572] + 2*X[5096] - 6*X[2668] - X[2866] + 13*X[2926] <= 16

model.verbose = 0
status = model.optimize()
if status.name == "OPTIMAL":
    print("\u001b[32mPassword correct!\u001b[0m")
else:
    print("\u001b[31mPassword wrong!\u001b[0m")